/* A Bison parser, made by GNU Bison 3.7.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30705

/* Bison version string.  */
#define YYBISON_VERSION "3.7.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

/* First part of user prologue.  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 268 "gram.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "gram.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_IDENT = 3,                      /* IDENT  */
  YYSYMBOL_FCONST = 4,                     /* FCONST  */
  YYSYMBOL_SCONST = 5,                     /* SCONST  */
  YYSYMBOL_BCONST = 6,                     /* BCONST  */
  YYSYMBOL_XCONST = 7,                     /* XCONST  */
  YYSYMBOL_Op = 8,                         /* Op  */
  YYSYMBOL_ICONST = 9,                     /* ICONST  */
  YYSYMBOL_PARAM = 10,                     /* PARAM  */
  YYSYMBOL_TYPECAST = 11,                  /* TYPECAST  */
  YYSYMBOL_DOT_DOT = 12,                   /* DOT_DOT  */
  YYSYMBOL_COLON_EQUALS = 13,              /* COLON_EQUALS  */
  YYSYMBOL_EQUALS_GREATER = 14,            /* EQUALS_GREATER  */
  YYSYMBOL_LESS_EQUALS = 15,               /* LESS_EQUALS  */
  YYSYMBOL_GREATER_EQUALS = 16,            /* GREATER_EQUALS  */
  YYSYMBOL_NOT_EQUALS = 17,                /* NOT_EQUALS  */
  YYSYMBOL_ABORT_P = 18,                   /* ABORT_P  */
  YYSYMBOL_ABSOLUTE_P = 19,                /* ABSOLUTE_P  */
  YYSYMBOL_ACCESS = 20,                    /* ACCESS  */
  YYSYMBOL_ACTION = 21,                    /* ACTION  */
  YYSYMBOL_ADD_P = 22,                     /* ADD_P  */
  YYSYMBOL_ADMIN = 23,                     /* ADMIN  */
  YYSYMBOL_AFTER = 24,                     /* AFTER  */
  YYSYMBOL_AGGREGATE = 25,                 /* AGGREGATE  */
  YYSYMBOL_ALL = 26,                       /* ALL  */
  YYSYMBOL_ALSO = 27,                      /* ALSO  */
  YYSYMBOL_ALTER = 28,                     /* ALTER  */
  YYSYMBOL_ALWAYS = 29,                    /* ALWAYS  */
  YYSYMBOL_ANALYSE = 30,                   /* ANALYSE  */
  YYSYMBOL_ANALYZE = 31,                   /* ANALYZE  */
  YYSYMBOL_AND = 32,                       /* AND  */
  YYSYMBOL_ANY = 33,                       /* ANY  */
  YYSYMBOL_ARRAY = 34,                     /* ARRAY  */
  YYSYMBOL_AS = 35,                        /* AS  */
  YYSYMBOL_ASC = 36,                       /* ASC  */
  YYSYMBOL_ASSERTION = 37,                 /* ASSERTION  */
  YYSYMBOL_ASSIGNMENT = 38,                /* ASSIGNMENT  */
  YYSYMBOL_ASYMMETRIC = 39,                /* ASYMMETRIC  */
  YYSYMBOL_AT = 40,                        /* AT  */
  YYSYMBOL_ATTACH = 41,                    /* ATTACH  */
  YYSYMBOL_ATTRIBUTE = 42,                 /* ATTRIBUTE  */
  YYSYMBOL_AUTHORIZATION = 43,             /* AUTHORIZATION  */
  YYSYMBOL_BACKWARD = 44,                  /* BACKWARD  */
  YYSYMBOL_BEFORE = 45,                    /* BEFORE  */
  YYSYMBOL_BEGIN_P = 46,                   /* BEGIN_P  */
  YYSYMBOL_BETWEEN = 47,                   /* BETWEEN  */
  YYSYMBOL_BIGINT = 48,                    /* BIGINT  */
  YYSYMBOL_BINARY = 49,                    /* BINARY  */
  YYSYMBOL_BIT = 50,                       /* BIT  */
  YYSYMBOL_BOOLEAN_P = 51,                 /* BOOLEAN_P  */
  YYSYMBOL_BOTH = 52,                      /* BOTH  */
  YYSYMBOL_BY = 53,                        /* BY  */
  YYSYMBOL_CACHE = 54,                     /* CACHE  */
  YYSYMBOL_CALL = 55,                      /* CALL  */
  YYSYMBOL_CALLED = 56,                    /* CALLED  */
  YYSYMBOL_CASCADE = 57,                   /* CASCADE  */
  YYSYMBOL_CASCADED = 58,                  /* CASCADED  */
  YYSYMBOL_CASE = 59,                      /* CASE  */
  YYSYMBOL_CAST = 60,                      /* CAST  */
  YYSYMBOL_CATALOG_P = 61,                 /* CATALOG_P  */
  YYSYMBOL_CHAIN = 62,                     /* CHAIN  */
  YYSYMBOL_CHAR_P = 63,                    /* CHAR_P  */
  YYSYMBOL_CHARACTER = 64,                 /* CHARACTER  */
  YYSYMBOL_CHARACTERISTICS = 65,           /* CHARACTERISTICS  */
  YYSYMBOL_CHECK = 66,                     /* CHECK  */
  YYSYMBOL_CHECKPOINT = 67,                /* CHECKPOINT  */
  YYSYMBOL_CLASS = 68,                     /* CLASS  */
  YYSYMBOL_CLOSE = 69,                     /* CLOSE  */
  YYSYMBOL_CLUSTER = 70,                   /* CLUSTER  */
  YYSYMBOL_COALESCE = 71,                  /* COALESCE  */
  YYSYMBOL_COLLATE = 72,                   /* COLLATE  */
  YYSYMBOL_COLLATION = 73,                 /* COLLATION  */
  YYSYMBOL_COLUMN = 74,                    /* COLUMN  */
  YYSYMBOL_COLUMNS = 75,                   /* COLUMNS  */
  YYSYMBOL_COMMENT = 76,                   /* COMMENT  */
  YYSYMBOL_COMMENTS = 77,                  /* COMMENTS  */
  YYSYMBOL_COMMIT = 78,                    /* COMMIT  */
  YYSYMBOL_COMMITTED = 79,                 /* COMMITTED  */
  YYSYMBOL_CONCURRENTLY = 80,              /* CONCURRENTLY  */
  YYSYMBOL_CONFIGURATION = 81,             /* CONFIGURATION  */
  YYSYMBOL_CONFLICT = 82,                  /* CONFLICT  */
  YYSYMBOL_CONNECTION = 83,                /* CONNECTION  */
  YYSYMBOL_CONSTRAINT = 84,                /* CONSTRAINT  */
  YYSYMBOL_CONSTRAINTS = 85,               /* CONSTRAINTS  */
  YYSYMBOL_CONTENT_P = 86,                 /* CONTENT_P  */
  YYSYMBOL_CONTINUE_P = 87,                /* CONTINUE_P  */
  YYSYMBOL_CONVERSION_P = 88,              /* CONVERSION_P  */
  YYSYMBOL_COPY = 89,                      /* COPY  */
  YYSYMBOL_COST = 90,                      /* COST  */
  YYSYMBOL_CREATE = 91,                    /* CREATE  */
  YYSYMBOL_CROSS = 92,                     /* CROSS  */
  YYSYMBOL_CSV = 93,                       /* CSV  */
  YYSYMBOL_CUBE = 94,                      /* CUBE  */
  YYSYMBOL_CURRENT_P = 95,                 /* CURRENT_P  */
  YYSYMBOL_CURRENT_CATALOG = 96,           /* CURRENT_CATALOG  */
  YYSYMBOL_CURRENT_DATE = 97,              /* CURRENT_DATE  */
  YYSYMBOL_CURRENT_ROLE = 98,              /* CURRENT_ROLE  */
  YYSYMBOL_CURRENT_SCHEMA = 99,            /* CURRENT_SCHEMA  */
  YYSYMBOL_CURRENT_TIME = 100,             /* CURRENT_TIME  */
  YYSYMBOL_CURRENT_TIMESTAMP = 101,        /* CURRENT_TIMESTAMP  */
  YYSYMBOL_CURRENT_USER = 102,             /* CURRENT_USER  */
  YYSYMBOL_CURSOR = 103,                   /* CURSOR  */
  YYSYMBOL_CYCLE = 104,                    /* CYCLE  */
  YYSYMBOL_DATA_P = 105,                   /* DATA_P  */
  YYSYMBOL_DATABASE = 106,                 /* DATABASE  */
  YYSYMBOL_DAY_P = 107,                    /* DAY_P  */
  YYSYMBOL_DEALLOCATE = 108,               /* DEALLOCATE  */
  YYSYMBOL_DEC = 109,                      /* DEC  */
  YYSYMBOL_DECIMAL_P = 110,                /* DECIMAL_P  */
  YYSYMBOL_DECLARE = 111,                  /* DECLARE  */
  YYSYMBOL_DEFAULT = 112,                  /* DEFAULT  */
  YYSYMBOL_DEFAULTS = 113,                 /* DEFAULTS  */
  YYSYMBOL_DEFERRABLE = 114,               /* DEFERRABLE  */
  YYSYMBOL_DEFERRED = 115,                 /* DEFERRED  */
  YYSYMBOL_DEFINER = 116,                  /* DEFINER  */
  YYSYMBOL_DELETE_P = 117,                 /* DELETE_P  */
  YYSYMBOL_DELIMITER = 118,                /* DELIMITER  */
  YYSYMBOL_DELIMITERS = 119,               /* DELIMITERS  */
  YYSYMBOL_DEPENDS = 120,                  /* DEPENDS  */
  YYSYMBOL_DESC = 121,                     /* DESC  */
  YYSYMBOL_DETACH = 122,                   /* DETACH  */
  YYSYMBOL_DICTIONARY = 123,               /* DICTIONARY  */
  YYSYMBOL_DISABLE_P = 124,                /* DISABLE_P  */
  YYSYMBOL_DISCARD = 125,                  /* DISCARD  */
  YYSYMBOL_DISTINCT = 126,                 /* DISTINCT  */
  YYSYMBOL_DO = 127,                       /* DO  */
  YYSYMBOL_DOCUMENT_P = 128,               /* DOCUMENT_P  */
  YYSYMBOL_DOMAIN_P = 129,                 /* DOMAIN_P  */
  YYSYMBOL_DOUBLE_P = 130,                 /* DOUBLE_P  */
  YYSYMBOL_DROP = 131,                     /* DROP  */
  YYSYMBOL_EACH = 132,                     /* EACH  */
  YYSYMBOL_ELSE = 133,                     /* ELSE  */
  YYSYMBOL_ENABLE_P = 134,                 /* ENABLE_P  */
  YYSYMBOL_ENCODING = 135,                 /* ENCODING  */
  YYSYMBOL_ENCRYPTED = 136,                /* ENCRYPTED  */
  YYSYMBOL_END_P = 137,                    /* END_P  */
  YYSYMBOL_ENUM_P = 138,                   /* ENUM_P  */
  YYSYMBOL_ESCAPE = 139,                   /* ESCAPE  */
  YYSYMBOL_EVENT = 140,                    /* EVENT  */
  YYSYMBOL_EXCEPT = 141,                   /* EXCEPT  */
  YYSYMBOL_EXCLUDE = 142,                  /* EXCLUDE  */
  YYSYMBOL_EXCLUDING = 143,                /* EXCLUDING  */
  YYSYMBOL_EXCLUSIVE = 144,                /* EXCLUSIVE  */
  YYSYMBOL_EXECUTE = 145,                  /* EXECUTE  */
  YYSYMBOL_EXISTS = 146,                   /* EXISTS  */
  YYSYMBOL_EXPLAIN = 147,                  /* EXPLAIN  */
  YYSYMBOL_EXTENSION = 148,                /* EXTENSION  */
  YYSYMBOL_EXTERNAL = 149,                 /* EXTERNAL  */
  YYSYMBOL_EXTRACT = 150,                  /* EXTRACT  */
  YYSYMBOL_FALSE_P = 151,                  /* FALSE_P  */
  YYSYMBOL_FAMILY = 152,                   /* FAMILY  */
  YYSYMBOL_FETCH = 153,                    /* FETCH  */
  YYSYMBOL_FILTER = 154,                   /* FILTER  */
  YYSYMBOL_FIRST_P = 155,                  /* FIRST_P  */
  YYSYMBOL_FLOAT_P = 156,                  /* FLOAT_P  */
  YYSYMBOL_FOLLOWING = 157,                /* FOLLOWING  */
  YYSYMBOL_FOR = 158,                      /* FOR  */
  YYSYMBOL_FORCE = 159,                    /* FORCE  */
  YYSYMBOL_FOREIGN = 160,                  /* FOREIGN  */
  YYSYMBOL_FORWARD = 161,                  /* FORWARD  */
  YYSYMBOL_FREEZE = 162,                   /* FREEZE  */
  YYSYMBOL_FROM = 163,                     /* FROM  */
  YYSYMBOL_FULL = 164,                     /* FULL  */
  YYSYMBOL_FUNCTION = 165,                 /* FUNCTION  */
  YYSYMBOL_FUNCTIONS = 166,                /* FUNCTIONS  */
  YYSYMBOL_GENERATED = 167,                /* GENERATED  */
  YYSYMBOL_GLOBAL = 168,                   /* GLOBAL  */
  YYSYMBOL_GRANT = 169,                    /* GRANT  */
  YYSYMBOL_GRANTED = 170,                  /* GRANTED  */
  YYSYMBOL_GREATEST = 171,                 /* GREATEST  */
  YYSYMBOL_GROUP_P = 172,                  /* GROUP_P  */
  YYSYMBOL_GROUPING = 173,                 /* GROUPING  */
  YYSYMBOL_GROUPS = 174,                   /* GROUPS  */
  YYSYMBOL_HANDLER = 175,                  /* HANDLER  */
  YYSYMBOL_HAVING = 176,                   /* HAVING  */
  YYSYMBOL_HEADER_P = 177,                 /* HEADER_P  */
  YYSYMBOL_HOLD = 178,                     /* HOLD  */
  YYSYMBOL_HOUR_P = 179,                   /* HOUR_P  */
  YYSYMBOL_IDENTITY_P = 180,               /* IDENTITY_P  */
  YYSYMBOL_IF_P = 181,                     /* IF_P  */
  YYSYMBOL_ILIKE = 182,                    /* ILIKE  */
  YYSYMBOL_IMMEDIATE = 183,                /* IMMEDIATE  */
  YYSYMBOL_IMMUTABLE = 184,                /* IMMUTABLE  */
  YYSYMBOL_IMPLICIT_P = 185,               /* IMPLICIT_P  */
  YYSYMBOL_IMPORT_P = 186,                 /* IMPORT_P  */
  YYSYMBOL_IN_P = 187,                     /* IN_P  */
  YYSYMBOL_INCLUDE = 188,                  /* INCLUDE  */
  YYSYMBOL_INCLUDING = 189,                /* INCLUDING  */
  YYSYMBOL_INCREMENT = 190,                /* INCREMENT  */
  YYSYMBOL_INDEX = 191,                    /* INDEX  */
  YYSYMBOL_INDEXES = 192,                  /* INDEXES  */
  YYSYMBOL_INHERIT = 193,                  /* INHERIT  */
  YYSYMBOL_INHERITS = 194,                 /* INHERITS  */
  YYSYMBOL_INITIALLY = 195,                /* INITIALLY  */
  YYSYMBOL_INLINE_P = 196,                 /* INLINE_P  */
  YYSYMBOL_INNER_P = 197,                  /* INNER_P  */
  YYSYMBOL_INOUT = 198,                    /* INOUT  */
  YYSYMBOL_INPUT_P = 199,                  /* INPUT_P  */
  YYSYMBOL_INSENSITIVE = 200,              /* INSENSITIVE  */
  YYSYMBOL_INSERT = 201,                   /* INSERT  */
  YYSYMBOL_INSTEAD = 202,                  /* INSTEAD  */
  YYSYMBOL_INT_P = 203,                    /* INT_P  */
  YYSYMBOL_INTEGER = 204,                  /* INTEGER  */
  YYSYMBOL_INTERSECT = 205,                /* INTERSECT  */
  YYSYMBOL_INTERVAL = 206,                 /* INTERVAL  */
  YYSYMBOL_INTO = 207,                     /* INTO  */
  YYSYMBOL_INVOKER = 208,                  /* INVOKER  */
  YYSYMBOL_IS = 209,                       /* IS  */
  YYSYMBOL_ISNULL = 210,                   /* ISNULL  */
  YYSYMBOL_ISOLATION = 211,                /* ISOLATION  */
  YYSYMBOL_JOIN = 212,                     /* JOIN  */
  YYSYMBOL_KEY = 213,                      /* KEY  */
  YYSYMBOL_LABEL = 214,                    /* LABEL  */
  YYSYMBOL_LANGUAGE = 215,                 /* LANGUAGE  */
  YYSYMBOL_LARGE_P = 216,                  /* LARGE_P  */
  YYSYMBOL_LAST_P = 217,                   /* LAST_P  */
  YYSYMBOL_LATERAL_P = 218,                /* LATERAL_P  */
  YYSYMBOL_LEADING = 219,                  /* LEADING  */
  YYSYMBOL_LEAKPROOF = 220,                /* LEAKPROOF  */
  YYSYMBOL_LEAST = 221,                    /* LEAST  */
  YYSYMBOL_LEFT = 222,                     /* LEFT  */
  YYSYMBOL_LEVEL = 223,                    /* LEVEL  */
  YYSYMBOL_LIKE = 224,                     /* LIKE  */
  YYSYMBOL_LIMIT = 225,                    /* LIMIT  */
  YYSYMBOL_LISTEN = 226,                   /* LISTEN  */
  YYSYMBOL_LOAD = 227,                     /* LOAD  */
  YYSYMBOL_LOCAL = 228,                    /* LOCAL  */
  YYSYMBOL_LOCALTIME = 229,                /* LOCALTIME  */
  YYSYMBOL_LOCALTIMESTAMP = 230,           /* LOCALTIMESTAMP  */
  YYSYMBOL_LOCATION = 231,                 /* LOCATION  */
  YYSYMBOL_LOCK_P = 232,                   /* LOCK_P  */
  YYSYMBOL_LOCKED = 233,                   /* LOCKED  */
  YYSYMBOL_LOGGED = 234,                   /* LOGGED  */
  YYSYMBOL_MAPPING = 235,                  /* MAPPING  */
  YYSYMBOL_MATCH = 236,                    /* MATCH  */
  YYSYMBOL_MATERIALIZED = 237,             /* MATERIALIZED  */
  YYSYMBOL_MAXVALUE = 238,                 /* MAXVALUE  */
  YYSYMBOL_METHOD = 239,                   /* METHOD  */
  YYSYMBOL_MINUTE_P = 240,                 /* MINUTE_P  */
  YYSYMBOL_MINVALUE = 241,                 /* MINVALUE  */
  YYSYMBOL_MODE = 242,                     /* MODE  */
  YYSYMBOL_MONTH_P = 243,                  /* MONTH_P  */
  YYSYMBOL_MOVE = 244,                     /* MOVE  */
  YYSYMBOL_NAME_P = 245,                   /* NAME_P  */
  YYSYMBOL_NAMES = 246,                    /* NAMES  */
  YYSYMBOL_NATIONAL = 247,                 /* NATIONAL  */
  YYSYMBOL_NATURAL = 248,                  /* NATURAL  */
  YYSYMBOL_NCHAR = 249,                    /* NCHAR  */
  YYSYMBOL_NEW = 250,                      /* NEW  */
  YYSYMBOL_NEXT = 251,                     /* NEXT  */
  YYSYMBOL_NO = 252,                       /* NO  */
  YYSYMBOL_NONE = 253,                     /* NONE  */
  YYSYMBOL_NOT = 254,                      /* NOT  */
  YYSYMBOL_NOTHING = 255,                  /* NOTHING  */
  YYSYMBOL_NOTIFY = 256,                   /* NOTIFY  */
  YYSYMBOL_NOTNULL = 257,                  /* NOTNULL  */
  YYSYMBOL_NOWAIT = 258,                   /* NOWAIT  */
  YYSYMBOL_NULL_P = 259,                   /* NULL_P  */
  YYSYMBOL_NULLIF = 260,                   /* NULLIF  */
  YYSYMBOL_NULLS_P = 261,                  /* NULLS_P  */
  YYSYMBOL_NUMERIC = 262,                  /* NUMERIC  */
  YYSYMBOL_OBJECT_P = 263,                 /* OBJECT_P  */
  YYSYMBOL_OF = 264,                       /* OF  */
  YYSYMBOL_OFF = 265,                      /* OFF  */
  YYSYMBOL_OFFSET = 266,                   /* OFFSET  */
  YYSYMBOL_OIDS = 267,                     /* OIDS  */
  YYSYMBOL_OLD = 268,                      /* OLD  */
  YYSYMBOL_ON = 269,                       /* ON  */
  YYSYMBOL_ONLY = 270,                     /* ONLY  */
  YYSYMBOL_OPERATOR = 271,                 /* OPERATOR  */
  YYSYMBOL_OPTION = 272,                   /* OPTION  */
  YYSYMBOL_OPTIONS = 273,                  /* OPTIONS  */
  YYSYMBOL_OR = 274,                       /* OR  */
  YYSYMBOL_ORDER = 275,                    /* ORDER  */
  YYSYMBOL_ORDINALITY = 276,               /* ORDINALITY  */
  YYSYMBOL_OTHERS = 277,                   /* OTHERS  */
  YYSYMBOL_OUT_P = 278,                    /* OUT_P  */
  YYSYMBOL_OUTER_P = 279,                  /* OUTER_P  */
  YYSYMBOL_OVER = 280,                     /* OVER  */
  YYSYMBOL_OVERLAPS = 281,                 /* OVERLAPS  */
  YYSYMBOL_OVERLAY = 282,                  /* OVERLAY  */
  YYSYMBOL_OVERRIDING = 283,               /* OVERRIDING  */
  YYSYMBOL_OWNED = 284,                    /* OWNED  */
  YYSYMBOL_OWNER = 285,                    /* OWNER  */
  YYSYMBOL_PARALLEL = 286,                 /* PARALLEL  */
  YYSYMBOL_PARSER = 287,                   /* PARSER  */
  YYSYMBOL_PARTIAL = 288,                  /* PARTIAL  */
  YYSYMBOL_PARTITION = 289,                /* PARTITION  */
  YYSYMBOL_PASSING = 290,                  /* PASSING  */
  YYSYMBOL_PASSWORD = 291,                 /* PASSWORD  */
  YYSYMBOL_PLACING = 292,                  /* PLACING  */
  YYSYMBOL_PLANS = 293,                    /* PLANS  */
  YYSYMBOL_POLICY = 294,                   /* POLICY  */
  YYSYMBOL_POSITION = 295,                 /* POSITION  */
  YYSYMBOL_PRECEDING = 296,                /* PRECEDING  */
  YYSYMBOL_PRECISION = 297,                /* PRECISION  */
  YYSYMBOL_PRESERVE = 298,                 /* PRESERVE  */
  YYSYMBOL_PREPARE = 299,                  /* PREPARE  */
  YYSYMBOL_PREPARED = 300,                 /* PREPARED  */
  YYSYMBOL_PRIMARY = 301,                  /* PRIMARY  */
  YYSYMBOL_PRIOR = 302,                    /* PRIOR  */
  YYSYMBOL_PRIVILEGES = 303,               /* PRIVILEGES  */
  YYSYMBOL_PROCEDURAL = 304,               /* PROCEDURAL  */
  YYSYMBOL_PROCEDURE = 305,                /* PROCEDURE  */
  YYSYMBOL_PROCEDURES = 306,               /* PROCEDURES  */
  YYSYMBOL_PROGRAM = 307,                  /* PROGRAM  */
  YYSYMBOL_PUBLICATION = 308,              /* PUBLICATION  */
  YYSYMBOL_QUOTE = 309,                    /* QUOTE  */
  YYSYMBOL_RANGE = 310,                    /* RANGE  */
  YYSYMBOL_READ = 311,                     /* READ  */
  YYSYMBOL_REAL = 312,                     /* REAL  */
  YYSYMBOL_REASSIGN = 313,                 /* REASSIGN  */
  YYSYMBOL_RECHECK = 314,                  /* RECHECK  */
  YYSYMBOL_RECURSIVE = 315,                /* RECURSIVE  */
  YYSYMBOL_REF_P = 316,                    /* REF_P  */
  YYSYMBOL_REFERENCES = 317,               /* REFERENCES  */
  YYSYMBOL_REFERENCING = 318,              /* REFERENCING  */
  YYSYMBOL_REFRESH = 319,                  /* REFRESH  */
  YYSYMBOL_REINDEX = 320,                  /* REINDEX  */
  YYSYMBOL_RELATIVE_P = 321,               /* RELATIVE_P  */
  YYSYMBOL_RELEASE = 322,                  /* RELEASE  */
  YYSYMBOL_RENAME = 323,                   /* RENAME  */
  YYSYMBOL_REPEATABLE = 324,               /* REPEATABLE  */
  YYSYMBOL_REPLACE = 325,                  /* REPLACE  */
  YYSYMBOL_REPLICA = 326,                  /* REPLICA  */
  YYSYMBOL_RESET = 327,                    /* RESET  */
  YYSYMBOL_RESTART = 328,                  /* RESTART  */
  YYSYMBOL_RESTRICT = 329,                 /* RESTRICT  */
  YYSYMBOL_RETURNING = 330,                /* RETURNING  */
  YYSYMBOL_RETURNS = 331,                  /* RETURNS  */
  YYSYMBOL_REVOKE = 332,                   /* REVOKE  */
  YYSYMBOL_RIGHT = 333,                    /* RIGHT  */
  YYSYMBOL_ROLE = 334,                     /* ROLE  */
  YYSYMBOL_ROLLBACK = 335,                 /* ROLLBACK  */
  YYSYMBOL_ROLLUP = 336,                   /* ROLLUP  */
  YYSYMBOL_ROUTINE = 337,                  /* ROUTINE  */
  YYSYMBOL_ROUTINES = 338,                 /* ROUTINES  */
  YYSYMBOL_ROW = 339,                      /* ROW  */
  YYSYMBOL_ROWS = 340,                     /* ROWS  */
  YYSYMBOL_RULE = 341,                     /* RULE  */
  YYSYMBOL_SAVEPOINT = 342,                /* SAVEPOINT  */
  YYSYMBOL_SCHEMA = 343,                   /* SCHEMA  */
  YYSYMBOL_SCHEMAS = 344,                  /* SCHEMAS  */
  YYSYMBOL_SCROLL = 345,                   /* SCROLL  */
  YYSYMBOL_SEARCH = 346,                   /* SEARCH  */
  YYSYMBOL_SECOND_P = 347,                 /* SECOND_P  */
  YYSYMBOL_SECURITY = 348,                 /* SECURITY  */
  YYSYMBOL_SELECT = 349,                   /* SELECT  */
  YYSYMBOL_SEQUENCE = 350,                 /* SEQUENCE  */
  YYSYMBOL_SEQUENCES = 351,                /* SEQUENCES  */
  YYSYMBOL_SERIALIZABLE = 352,             /* SERIALIZABLE  */
  YYSYMBOL_SERVER = 353,                   /* SERVER  */
  YYSYMBOL_SESSION = 354,                  /* SESSION  */
  YYSYMBOL_SESSION_USER = 355,             /* SESSION_USER  */
  YYSYMBOL_SET = 356,                      /* SET  */
  YYSYMBOL_SETS = 357,                     /* SETS  */
  YYSYMBOL_SETOF = 358,                    /* SETOF  */
  YYSYMBOL_SHARE = 359,                    /* SHARE  */
  YYSYMBOL_SHOW = 360,                     /* SHOW  */
  YYSYMBOL_SIMILAR = 361,                  /* SIMILAR  */
  YYSYMBOL_SIMPLE = 362,                   /* SIMPLE  */
  YYSYMBOL_SKIP = 363,                     /* SKIP  */
  YYSYMBOL_SMALLINT = 364,                 /* SMALLINT  */
  YYSYMBOL_SNAPSHOT = 365,                 /* SNAPSHOT  */
  YYSYMBOL_SOME = 366,                     /* SOME  */
  YYSYMBOL_SQL_P = 367,                    /* SQL_P  */
  YYSYMBOL_STABLE = 368,                   /* STABLE  */
  YYSYMBOL_STANDALONE_P = 369,             /* STANDALONE_P  */
  YYSYMBOL_START = 370,                    /* START  */
  YYSYMBOL_STATEMENT = 371,                /* STATEMENT  */
  YYSYMBOL_STATISTICS = 372,               /* STATISTICS  */
  YYSYMBOL_STDIN = 373,                    /* STDIN  */
  YYSYMBOL_STDOUT = 374,                   /* STDOUT  */
  YYSYMBOL_STORAGE = 375,                  /* STORAGE  */
  YYSYMBOL_STRICT_P = 376,                 /* STRICT_P  */
  YYSYMBOL_STRIP_P = 377,                  /* STRIP_P  */
  YYSYMBOL_SUBSCRIPTION = 378,             /* SUBSCRIPTION  */
  YYSYMBOL_SUBSTRING = 379,                /* SUBSTRING  */
  YYSYMBOL_SYMMETRIC = 380,                /* SYMMETRIC  */
  YYSYMBOL_SYSID = 381,                    /* SYSID  */
  YYSYMBOL_SYSTEM_P = 382,                 /* SYSTEM_P  */
  YYSYMBOL_TABLE = 383,                    /* TABLE  */
  YYSYMBOL_TABLES = 384,                   /* TABLES  */
  YYSYMBOL_TABLESAMPLE = 385,              /* TABLESAMPLE  */
  YYSYMBOL_TABLESPACE = 386,               /* TABLESPACE  */
  YYSYMBOL_TEMP = 387,                     /* TEMP  */
  YYSYMBOL_TEMPLATE = 388,                 /* TEMPLATE  */
  YYSYMBOL_TEMPORARY = 389,                /* TEMPORARY  */
  YYSYMBOL_TEXT_P = 390,                   /* TEXT_P  */
  YYSYMBOL_THEN = 391,                     /* THEN  */
  YYSYMBOL_TIES = 392,                     /* TIES  */
  YYSYMBOL_TIME = 393,                     /* TIME  */
  YYSYMBOL_TIMESTAMP = 394,                /* TIMESTAMP  */
  YYSYMBOL_TO = 395,                       /* TO  */
  YYSYMBOL_TRAILING = 396,                 /* TRAILING  */
  YYSYMBOL_TRANSACTION = 397,              /* TRANSACTION  */
  YYSYMBOL_TRANSFORM = 398,                /* TRANSFORM  */
  YYSYMBOL_TREAT = 399,                    /* TREAT  */
  YYSYMBOL_TRIGGER = 400,                  /* TRIGGER  */
  YYSYMBOL_TRIM = 401,                     /* TRIM  */
  YYSYMBOL_TRUE_P = 402,                   /* TRUE_P  */
  YYSYMBOL_TRUNCATE = 403,                 /* TRUNCATE  */
  YYSYMBOL_TRUSTED = 404,                  /* TRUSTED  */
  YYSYMBOL_TYPE_P = 405,                   /* TYPE_P  */
  YYSYMBOL_TYPES_P = 406,                  /* TYPES_P  */
  YYSYMBOL_UNBOUNDED = 407,                /* UNBOUNDED  */
  YYSYMBOL_UNCOMMITTED = 408,              /* UNCOMMITTED  */
  YYSYMBOL_UNENCRYPTED = 409,              /* UNENCRYPTED  */
  YYSYMBOL_UNION = 410,                    /* UNION  */
  YYSYMBOL_UNIQUE = 411,                   /* UNIQUE  */
  YYSYMBOL_UNKNOWN = 412,                  /* UNKNOWN  */
  YYSYMBOL_UNLISTEN = 413,                 /* UNLISTEN  */
  YYSYMBOL_UNLOGGED = 414,                 /* UNLOGGED  */
  YYSYMBOL_UNTIL = 415,                    /* UNTIL  */
  YYSYMBOL_UPDATE = 416,                   /* UPDATE  */
  YYSYMBOL_USER = 417,                     /* USER  */
  YYSYMBOL_USING = 418,                    /* USING  */
  YYSYMBOL_VACUUM = 419,                   /* VACUUM  */
  YYSYMBOL_VALID = 420,                    /* VALID  */
  YYSYMBOL_VALIDATE = 421,                 /* VALIDATE  */
  YYSYMBOL_VALIDATOR = 422,                /* VALIDATOR  */
  YYSYMBOL_VALUE_P = 423,                  /* VALUE_P  */
  YYSYMBOL_VALUES = 424,                   /* VALUES  */
  YYSYMBOL_VARCHAR = 425,                  /* VARCHAR  */
  YYSYMBOL_VARIADIC = 426,                 /* VARIADIC  */
  YYSYMBOL_VARYING = 427,                  /* VARYING  */
  YYSYMBOL_VERBOSE = 428,                  /* VERBOSE  */
  YYSYMBOL_VERSION_P = 429,                /* VERSION_P  */
  YYSYMBOL_VIEW = 430,                     /* VIEW  */
  YYSYMBOL_VIEWS = 431,                    /* VIEWS  */
  YYSYMBOL_VOLATILE = 432,                 /* VOLATILE  */
  YYSYMBOL_WHEN = 433,                     /* WHEN  */
  YYSYMBOL_WHERE = 434,                    /* WHERE  */
  YYSYMBOL_WHITESPACE_P = 435,             /* WHITESPACE_P  */
  YYSYMBOL_WINDOW = 436,                   /* WINDOW  */
  YYSYMBOL_WITH = 437,                     /* WITH  */
  YYSYMBOL_WITHIN = 438,                   /* WITHIN  */
  YYSYMBOL_WITHOUT = 439,                  /* WITHOUT  */
  YYSYMBOL_WORK = 440,                     /* WORK  */
  YYSYMBOL_WRAPPER = 441,                  /* WRAPPER  */
  YYSYMBOL_WRITE = 442,                    /* WRITE  */
  YYSYMBOL_XML_P = 443,                    /* XML_P  */
  YYSYMBOL_XMLATTRIBUTES = 444,            /* XMLATTRIBUTES  */
  YYSYMBOL_XMLCONCAT = 445,                /* XMLCONCAT  */
  YYSYMBOL_XMLELEMENT = 446,               /* XMLELEMENT  */
  YYSYMBOL_XMLEXISTS = 447,                /* XMLEXISTS  */
  YYSYMBOL_XMLFOREST = 448,                /* XMLFOREST  */
  YYSYMBOL_XMLNAMESPACES = 449,            /* XMLNAMESPACES  */
  YYSYMBOL_XMLPARSE = 450,                 /* XMLPARSE  */
  YYSYMBOL_XMLPI = 451,                    /* XMLPI  */
  YYSYMBOL_XMLROOT = 452,                  /* XMLROOT  */
  YYSYMBOL_XMLSERIALIZE = 453,             /* XMLSERIALIZE  */
  YYSYMBOL_XMLTABLE = 454,                 /* XMLTABLE  */
  YYSYMBOL_YEAR_P = 455,                   /* YEAR_P  */
  YYSYMBOL_YES_P = 456,                    /* YES_P  */
  YYSYMBOL_ZONE = 457,                     /* ZONE  */
  YYSYMBOL_NOT_LA = 458,                   /* NOT_LA  */
  YYSYMBOL_NULLS_LA = 459,                 /* NULLS_LA  */
  YYSYMBOL_WITH_LA = 460,                  /* WITH_LA  */
  YYSYMBOL_461_ = 461,                     /* '<'  */
  YYSYMBOL_462_ = 462,                     /* '>'  */
  YYSYMBOL_463_ = 463,                     /* '='  */
  YYSYMBOL_POSTFIXOP = 464,                /* POSTFIXOP  */
  YYSYMBOL_465_ = 465,                     /* '+'  */
  YYSYMBOL_466_ = 466,                     /* '-'  */
  YYSYMBOL_467_ = 467,                     /* '*'  */
  YYSYMBOL_468_ = 468,                     /* '/'  */
  YYSYMBOL_469_ = 469,                     /* '%'  */
  YYSYMBOL_470_ = 470,                     /* '^'  */
  YYSYMBOL_UMINUS = 471,                   /* UMINUS  */
  YYSYMBOL_472_ = 472,                     /* '['  */
  YYSYMBOL_473_ = 473,                     /* ']'  */
  YYSYMBOL_474_ = 474,                     /* '('  */
  YYSYMBOL_475_ = 475,                     /* ')'  */
  YYSYMBOL_476_ = 476,                     /* '.'  */
  YYSYMBOL_477_ = 477,                     /* ';'  */
  YYSYMBOL_478_ = 478,                     /* ','  */
  YYSYMBOL_479_ = 479,                     /* ':'  */
  YYSYMBOL_YYACCEPT = 480,                 /* $accept  */
  YYSYMBOL_stmtblock = 481,                /* stmtblock  */
  YYSYMBOL_stmtmulti = 482,                /* stmtmulti  */
  YYSYMBOL_stmt = 483,                     /* stmt  */
  YYSYMBOL_CallStmt = 484,                 /* CallStmt  */
  YYSYMBOL_CreateRoleStmt = 485,           /* CreateRoleStmt  */
  YYSYMBOL_opt_with = 486,                 /* opt_with  */
  YYSYMBOL_OptRoleList = 487,              /* OptRoleList  */
  YYSYMBOL_AlterOptRoleList = 488,         /* AlterOptRoleList  */
  YYSYMBOL_AlterOptRoleElem = 489,         /* AlterOptRoleElem  */
  YYSYMBOL_CreateOptRoleElem = 490,        /* CreateOptRoleElem  */
  YYSYMBOL_CreateUserStmt = 491,           /* CreateUserStmt  */
  YYSYMBOL_AlterRoleStmt = 492,            /* AlterRoleStmt  */
  YYSYMBOL_opt_in_database = 493,          /* opt_in_database  */
  YYSYMBOL_AlterRoleSetStmt = 494,         /* AlterRoleSetStmt  */
  YYSYMBOL_DropRoleStmt = 495,             /* DropRoleStmt  */
  YYSYMBOL_CreateGroupStmt = 496,          /* CreateGroupStmt  */
  YYSYMBOL_AlterGroupStmt = 497,           /* AlterGroupStmt  */
  YYSYMBOL_add_drop = 498,                 /* add_drop  */
  YYSYMBOL_CreateSchemaStmt = 499,         /* CreateSchemaStmt  */
  YYSYMBOL_OptSchemaName = 500,            /* OptSchemaName  */
  YYSYMBOL_OptSchemaEltList = 501,         /* OptSchemaEltList  */
  YYSYMBOL_schema_stmt = 502,              /* schema_stmt  */
  YYSYMBOL_VariableSetStmt = 503,          /* VariableSetStmt  */
  YYSYMBOL_set_rest = 504,                 /* set_rest  */
  YYSYMBOL_generic_set = 505,              /* generic_set  */
  YYSYMBOL_set_rest_more = 506,            /* set_rest_more  */
  YYSYMBOL_var_name = 507,                 /* var_name  */
  YYSYMBOL_var_list = 508,                 /* var_list  */
  YYSYMBOL_var_value = 509,                /* var_value  */
  YYSYMBOL_iso_level = 510,                /* iso_level  */
  YYSYMBOL_opt_boolean_or_string = 511,    /* opt_boolean_or_string  */
  YYSYMBOL_zone_value = 512,               /* zone_value  */
  YYSYMBOL_opt_encoding = 513,             /* opt_encoding  */
  YYSYMBOL_NonReservedWord_or_Sconst = 514, /* NonReservedWord_or_Sconst  */
  YYSYMBOL_VariableResetStmt = 515,        /* VariableResetStmt  */
  YYSYMBOL_reset_rest = 516,               /* reset_rest  */
  YYSYMBOL_generic_reset = 517,            /* generic_reset  */
  YYSYMBOL_SetResetClause = 518,           /* SetResetClause  */
  YYSYMBOL_FunctionSetResetClause = 519,   /* FunctionSetResetClause  */
  YYSYMBOL_VariableShowStmt = 520,         /* VariableShowStmt  */
  YYSYMBOL_ConstraintsSetStmt = 521,       /* ConstraintsSetStmt  */
  YYSYMBOL_constraints_set_list = 522,     /* constraints_set_list  */
  YYSYMBOL_constraints_set_mode = 523,     /* constraints_set_mode  */
  YYSYMBOL_CheckPointStmt = 524,           /* CheckPointStmt  */
  YYSYMBOL_DiscardStmt = 525,              /* DiscardStmt  */
  YYSYMBOL_AlterTableStmt = 526,           /* AlterTableStmt  */
  YYSYMBOL_alter_table_cmds = 527,         /* alter_table_cmds  */
  YYSYMBOL_partition_cmd = 528,            /* partition_cmd  */
  YYSYMBOL_index_partition_cmd = 529,      /* index_partition_cmd  */
  YYSYMBOL_alter_table_cmd = 530,          /* alter_table_cmd  */
  YYSYMBOL_alter_column_default = 531,     /* alter_column_default  */
  YYSYMBOL_opt_drop_behavior = 532,        /* opt_drop_behavior  */
  YYSYMBOL_opt_collate_clause = 533,       /* opt_collate_clause  */
  YYSYMBOL_alter_using = 534,              /* alter_using  */
  YYSYMBOL_replica_identity = 535,         /* replica_identity  */
  YYSYMBOL_reloptions = 536,               /* reloptions  */
  YYSYMBOL_opt_reloptions = 537,           /* opt_reloptions  */
  YYSYMBOL_reloption_list = 538,           /* reloption_list  */
  YYSYMBOL_reloption_elem = 539,           /* reloption_elem  */
  YYSYMBOL_alter_identity_column_option_list = 540, /* alter_identity_column_option_list  */
  YYSYMBOL_alter_identity_column_option = 541, /* alter_identity_column_option  */
  YYSYMBOL_PartitionBoundSpec = 542,       /* PartitionBoundSpec  */
  YYSYMBOL_hash_partbound_elem = 543,      /* hash_partbound_elem  */
  YYSYMBOL_hash_partbound = 544,           /* hash_partbound  */
  YYSYMBOL_partbound_datum = 545,          /* partbound_datum  */
  YYSYMBOL_partbound_datum_list = 546,     /* partbound_datum_list  */
  YYSYMBOL_range_datum_list = 547,         /* range_datum_list  */
  YYSYMBOL_PartitionRangeDatum = 548,      /* PartitionRangeDatum  */
  YYSYMBOL_AlterCompositeTypeStmt = 549,   /* AlterCompositeTypeStmt  */
  YYSYMBOL_alter_type_cmds = 550,          /* alter_type_cmds  */
  YYSYMBOL_alter_type_cmd = 551,           /* alter_type_cmd  */
  YYSYMBOL_ClosePortalStmt = 552,          /* ClosePortalStmt  */
  YYSYMBOL_CopyStmt = 553,                 /* CopyStmt  */
  YYSYMBOL_copy_from = 554,                /* copy_from  */
  YYSYMBOL_opt_program = 555,              /* opt_program  */
  YYSYMBOL_copy_file_name = 556,           /* copy_file_name  */
  YYSYMBOL_copy_options = 557,             /* copy_options  */
  YYSYMBOL_copy_opt_list = 558,            /* copy_opt_list  */
  YYSYMBOL_copy_opt_item = 559,            /* copy_opt_item  */
  YYSYMBOL_opt_binary = 560,               /* opt_binary  */
  YYSYMBOL_opt_oids = 561,                 /* opt_oids  */
  YYSYMBOL_copy_delimiter = 562,           /* copy_delimiter  */
  YYSYMBOL_opt_using = 563,                /* opt_using  */
  YYSYMBOL_copy_generic_opt_list = 564,    /* copy_generic_opt_list  */
  YYSYMBOL_copy_generic_opt_elem = 565,    /* copy_generic_opt_elem  */
  YYSYMBOL_copy_generic_opt_arg = 566,     /* copy_generic_opt_arg  */
  YYSYMBOL_copy_generic_opt_arg_list = 567, /* copy_generic_opt_arg_list  */
  YYSYMBOL_copy_generic_opt_arg_list_item = 568, /* copy_generic_opt_arg_list_item  */
  YYSYMBOL_CreateStmt = 569,               /* CreateStmt  */
  YYSYMBOL_OptTemp = 570,                  /* OptTemp  */
  YYSYMBOL_OptTableElementList = 571,      /* OptTableElementList  */
  YYSYMBOL_OptTypedTableElementList = 572, /* OptTypedTableElementList  */
  YYSYMBOL_TableElementList = 573,         /* TableElementList  */
  YYSYMBOL_TypedTableElementList = 574,    /* TypedTableElementList  */
  YYSYMBOL_TableElement = 575,             /* TableElement  */
  YYSYMBOL_TypedTableElement = 576,        /* TypedTableElement  */
  YYSYMBOL_columnDef = 577,                /* columnDef  */
  YYSYMBOL_columnOptions = 578,            /* columnOptions  */
  YYSYMBOL_ColQualList = 579,              /* ColQualList  */
  YYSYMBOL_ColConstraint = 580,            /* ColConstraint  */
  YYSYMBOL_ColConstraintElem = 581,        /* ColConstraintElem  */
  YYSYMBOL_generated_when = 582,           /* generated_when  */
  YYSYMBOL_ConstraintAttr = 583,           /* ConstraintAttr  */
  YYSYMBOL_TableLikeClause = 584,          /* TableLikeClause  */
  YYSYMBOL_TableLikeOptionList = 585,      /* TableLikeOptionList  */
  YYSYMBOL_TableLikeOption = 586,          /* TableLikeOption  */
  YYSYMBOL_TableConstraint = 587,          /* TableConstraint  */
  YYSYMBOL_ConstraintElem = 588,           /* ConstraintElem  */
  YYSYMBOL_opt_no_inherit = 589,           /* opt_no_inherit  */
  YYSYMBOL_opt_column_list = 590,          /* opt_column_list  */
  YYSYMBOL_columnList = 591,               /* columnList  */
  YYSYMBOL_columnElem = 592,               /* columnElem  */
  YYSYMBOL_opt_c_include = 593,            /* opt_c_include  */
  YYSYMBOL_key_match = 594,                /* key_match  */
  YYSYMBOL_ExclusionConstraintList = 595,  /* ExclusionConstraintList  */
  YYSYMBOL_ExclusionConstraintElem = 596,  /* ExclusionConstraintElem  */
  YYSYMBOL_ExclusionWhereClause = 597,     /* ExclusionWhereClause  */
  YYSYMBOL_key_actions = 598,              /* key_actions  */
  YYSYMBOL_key_update = 599,               /* key_update  */
  YYSYMBOL_key_delete = 600,               /* key_delete  */
  YYSYMBOL_key_action = 601,               /* key_action  */
  YYSYMBOL_OptInherit = 602,               /* OptInherit  */
  YYSYMBOL_OptPartitionSpec = 603,         /* OptPartitionSpec  */
  YYSYMBOL_PartitionSpec = 604,            /* PartitionSpec  */
  YYSYMBOL_part_strategy = 605,            /* part_strategy  */
  YYSYMBOL_part_params = 606,              /* part_params  */
  YYSYMBOL_part_elem = 607,                /* part_elem  */
  YYSYMBOL_OptWith = 608,                  /* OptWith  */
  YYSYMBOL_OnCommitOption = 609,           /* OnCommitOption  */
  YYSYMBOL_OptTableSpace = 610,            /* OptTableSpace  */
  YYSYMBOL_OptConsTableSpace = 611,        /* OptConsTableSpace  */
  YYSYMBOL_ExistingIndex = 612,            /* ExistingIndex  */
  YYSYMBOL_CreateStatsStmt = 613,          /* CreateStatsStmt  */
  YYSYMBOL_CreateAsStmt = 614,             /* CreateAsStmt  */
  YYSYMBOL_create_as_target = 615,         /* create_as_target  */
  YYSYMBOL_opt_with_data = 616,            /* opt_with_data  */
  YYSYMBOL_CreateMatViewStmt = 617,        /* CreateMatViewStmt  */
  YYSYMBOL_create_mv_target = 618,         /* create_mv_target  */
  YYSYMBOL_OptNoLog = 619,                 /* OptNoLog  */
  YYSYMBOL_RefreshMatViewStmt = 620,       /* RefreshMatViewStmt  */
  YYSYMBOL_CreateSeqStmt = 621,            /* CreateSeqStmt  */
  YYSYMBOL_AlterSeqStmt = 622,             /* AlterSeqStmt  */
  YYSYMBOL_OptSeqOptList = 623,            /* OptSeqOptList  */
  YYSYMBOL_OptParenthesizedSeqOptList = 624, /* OptParenthesizedSeqOptList  */
  YYSYMBOL_SeqOptList = 625,               /* SeqOptList  */
  YYSYMBOL_SeqOptElem = 626,               /* SeqOptElem  */
  YYSYMBOL_opt_by = 627,                   /* opt_by  */
  YYSYMBOL_NumericOnly = 628,              /* NumericOnly  */
  YYSYMBOL_NumericOnly_list = 629,         /* NumericOnly_list  */
  YYSYMBOL_CreatePLangStmt = 630,          /* CreatePLangStmt  */
  YYSYMBOL_opt_trusted = 631,              /* opt_trusted  */
  YYSYMBOL_handler_name = 632,             /* handler_name  */
  YYSYMBOL_opt_inline_handler = 633,       /* opt_inline_handler  */
  YYSYMBOL_validator_clause = 634,         /* validator_clause  */
  YYSYMBOL_opt_validator = 635,            /* opt_validator  */
  YYSYMBOL_DropPLangStmt = 636,            /* DropPLangStmt  */
  YYSYMBOL_opt_procedural = 637,           /* opt_procedural  */
  YYSYMBOL_CreateTableSpaceStmt = 638,     /* CreateTableSpaceStmt  */
  YYSYMBOL_OptTableSpaceOwner = 639,       /* OptTableSpaceOwner  */
  YYSYMBOL_DropTableSpaceStmt = 640,       /* DropTableSpaceStmt  */
  YYSYMBOL_CreateExtensionStmt = 641,      /* CreateExtensionStmt  */
  YYSYMBOL_create_extension_opt_list = 642, /* create_extension_opt_list  */
  YYSYMBOL_create_extension_opt_item = 643, /* create_extension_opt_item  */
  YYSYMBOL_AlterExtensionStmt = 644,       /* AlterExtensionStmt  */
  YYSYMBOL_alter_extension_opt_list = 645, /* alter_extension_opt_list  */
  YYSYMBOL_alter_extension_opt_item = 646, /* alter_extension_opt_item  */
  YYSYMBOL_AlterExtensionContentsStmt = 647, /* AlterExtensionContentsStmt  */
  YYSYMBOL_CreateFdwStmt = 648,            /* CreateFdwStmt  */
  YYSYMBOL_fdw_option = 649,               /* fdw_option  */
  YYSYMBOL_fdw_options = 650,              /* fdw_options  */
  YYSYMBOL_opt_fdw_options = 651,          /* opt_fdw_options  */
  YYSYMBOL_AlterFdwStmt = 652,             /* AlterFdwStmt  */
  YYSYMBOL_create_generic_options = 653,   /* create_generic_options  */
  YYSYMBOL_generic_option_list = 654,      /* generic_option_list  */
  YYSYMBOL_alter_generic_options = 655,    /* alter_generic_options  */
  YYSYMBOL_alter_generic_option_list = 656, /* alter_generic_option_list  */
  YYSYMBOL_alter_generic_option_elem = 657, /* alter_generic_option_elem  */
  YYSYMBOL_generic_option_elem = 658,      /* generic_option_elem  */
  YYSYMBOL_generic_option_name = 659,      /* generic_option_name  */
  YYSYMBOL_generic_option_arg = 660,       /* generic_option_arg  */
  YYSYMBOL_CreateForeignServerStmt = 661,  /* CreateForeignServerStmt  */
  YYSYMBOL_opt_type = 662,                 /* opt_type  */
  YYSYMBOL_foreign_server_version = 663,   /* foreign_server_version  */
  YYSYMBOL_opt_foreign_server_version = 664, /* opt_foreign_server_version  */
  YYSYMBOL_AlterForeignServerStmt = 665,   /* AlterForeignServerStmt  */
  YYSYMBOL_CreateForeignTableStmt = 666,   /* CreateForeignTableStmt  */
  YYSYMBOL_AlterForeignTableStmt = 667,    /* AlterForeignTableStmt  */
  YYSYMBOL_ImportForeignSchemaStmt = 668,  /* ImportForeignSchemaStmt  */
  YYSYMBOL_import_qualification_type = 669, /* import_qualification_type  */
  YYSYMBOL_import_qualification = 670,     /* import_qualification  */
  YYSYMBOL_CreateUserMappingStmt = 671,    /* CreateUserMappingStmt  */
  YYSYMBOL_auth_ident = 672,               /* auth_ident  */
  YYSYMBOL_DropUserMappingStmt = 673,      /* DropUserMappingStmt  */
  YYSYMBOL_AlterUserMappingStmt = 674,     /* AlterUserMappingStmt  */
  YYSYMBOL_CreatePolicyStmt = 675,         /* CreatePolicyStmt  */
  YYSYMBOL_AlterPolicyStmt = 676,          /* AlterPolicyStmt  */
  YYSYMBOL_RowSecurityOptionalExpr = 677,  /* RowSecurityOptionalExpr  */
  YYSYMBOL_RowSecurityOptionalWithCheck = 678, /* RowSecurityOptionalWithCheck  */
  YYSYMBOL_RowSecurityDefaultToRole = 679, /* RowSecurityDefaultToRole  */
  YYSYMBOL_RowSecurityOptionalToRole = 680, /* RowSecurityOptionalToRole  */
  YYSYMBOL_RowSecurityDefaultPermissive = 681, /* RowSecurityDefaultPermissive  */
  YYSYMBOL_RowSecurityDefaultForCmd = 682, /* RowSecurityDefaultForCmd  */
  YYSYMBOL_row_security_cmd = 683,         /* row_security_cmd  */
  YYSYMBOL_CreateAmStmt = 684,             /* CreateAmStmt  */
  YYSYMBOL_CreateTrigStmt = 685,           /* CreateTrigStmt  */
  YYSYMBOL_TriggerActionTime = 686,        /* TriggerActionTime  */
  YYSYMBOL_TriggerEvents = 687,            /* TriggerEvents  */
  YYSYMBOL_TriggerOneEvent = 688,          /* TriggerOneEvent  */
  YYSYMBOL_TriggerReferencing = 689,       /* TriggerReferencing  */
  YYSYMBOL_TriggerTransitions = 690,       /* TriggerTransitions  */
  YYSYMBOL_TriggerTransition = 691,        /* TriggerTransition  */
  YYSYMBOL_TransitionOldOrNew = 692,       /* TransitionOldOrNew  */
  YYSYMBOL_TransitionRowOrTable = 693,     /* TransitionRowOrTable  */
  YYSYMBOL_TransitionRelName = 694,        /* TransitionRelName  */
  YYSYMBOL_TriggerForSpec = 695,           /* TriggerForSpec  */
  YYSYMBOL_TriggerForOptEach = 696,        /* TriggerForOptEach  */
  YYSYMBOL_TriggerForType = 697,           /* TriggerForType  */
  YYSYMBOL_TriggerWhen = 698,              /* TriggerWhen  */
  YYSYMBOL_FUNCTION_or_PROCEDURE = 699,    /* FUNCTION_or_PROCEDURE  */
  YYSYMBOL_TriggerFuncArgs = 700,          /* TriggerFuncArgs  */
  YYSYMBOL_TriggerFuncArg = 701,           /* TriggerFuncArg  */
  YYSYMBOL_OptConstrFromTable = 702,       /* OptConstrFromTable  */
  YYSYMBOL_ConstraintAttributeSpec = 703,  /* ConstraintAttributeSpec  */
  YYSYMBOL_ConstraintAttributeElem = 704,  /* ConstraintAttributeElem  */
  YYSYMBOL_CreateEventTrigStmt = 705,      /* CreateEventTrigStmt  */
  YYSYMBOL_event_trigger_when_list = 706,  /* event_trigger_when_list  */
  YYSYMBOL_event_trigger_when_item = 707,  /* event_trigger_when_item  */
  YYSYMBOL_event_trigger_value_list = 708, /* event_trigger_value_list  */
  YYSYMBOL_AlterEventTrigStmt = 709,       /* AlterEventTrigStmt  */
  YYSYMBOL_enable_trigger = 710,           /* enable_trigger  */
  YYSYMBOL_CreateAssertStmt = 711,         /* CreateAssertStmt  */
  YYSYMBOL_DropAssertStmt = 712,           /* DropAssertStmt  */
  YYSYMBOL_DefineStmt = 713,               /* DefineStmt  */
  YYSYMBOL_definition = 714,               /* definition  */
  YYSYMBOL_def_list = 715,                 /* def_list  */
  YYSYMBOL_def_elem = 716,                 /* def_elem  */
  YYSYMBOL_def_arg = 717,                  /* def_arg  */
  YYSYMBOL_old_aggr_definition = 718,      /* old_aggr_definition  */
  YYSYMBOL_old_aggr_list = 719,            /* old_aggr_list  */
  YYSYMBOL_old_aggr_elem = 720,            /* old_aggr_elem  */
  YYSYMBOL_opt_enum_val_list = 721,        /* opt_enum_val_list  */
  YYSYMBOL_enum_val_list = 722,            /* enum_val_list  */
  YYSYMBOL_AlterEnumStmt = 723,            /* AlterEnumStmt  */
  YYSYMBOL_opt_if_not_exists = 724,        /* opt_if_not_exists  */
  YYSYMBOL_CreateOpClassStmt = 725,        /* CreateOpClassStmt  */
  YYSYMBOL_opclass_item_list = 726,        /* opclass_item_list  */
  YYSYMBOL_opclass_item = 727,             /* opclass_item  */
  YYSYMBOL_opt_default = 728,              /* opt_default  */
  YYSYMBOL_opt_opfamily = 729,             /* opt_opfamily  */
  YYSYMBOL_opclass_purpose = 730,          /* opclass_purpose  */
  YYSYMBOL_opt_recheck = 731,              /* opt_recheck  */
  YYSYMBOL_CreateOpFamilyStmt = 732,       /* CreateOpFamilyStmt  */
  YYSYMBOL_AlterOpFamilyStmt = 733,        /* AlterOpFamilyStmt  */
  YYSYMBOL_opclass_drop_list = 734,        /* opclass_drop_list  */
  YYSYMBOL_opclass_drop = 735,             /* opclass_drop  */
  YYSYMBOL_DropOpClassStmt = 736,          /* DropOpClassStmt  */
  YYSYMBOL_DropOpFamilyStmt = 737,         /* DropOpFamilyStmt  */
  YYSYMBOL_DropOwnedStmt = 738,            /* DropOwnedStmt  */
  YYSYMBOL_ReassignOwnedStmt = 739,        /* ReassignOwnedStmt  */
  YYSYMBOL_DropStmt = 740,                 /* DropStmt  */
  YYSYMBOL_drop_type_any_name = 741,       /* drop_type_any_name  */
  YYSYMBOL_drop_type_name = 742,           /* drop_type_name  */
  YYSYMBOL_drop_type_name_on_any_name = 743, /* drop_type_name_on_any_name  */
  YYSYMBOL_any_name_list = 744,            /* any_name_list  */
  YYSYMBOL_any_name = 745,                 /* any_name  */
  YYSYMBOL_attrs = 746,                    /* attrs  */
  YYSYMBOL_type_name_list = 747,           /* type_name_list  */
  YYSYMBOL_TruncateStmt = 748,             /* TruncateStmt  */
  YYSYMBOL_opt_restart_seqs = 749,         /* opt_restart_seqs  */
  YYSYMBOL_CommentStmt = 750,              /* CommentStmt  */
  YYSYMBOL_comment_type_any_name = 751,    /* comment_type_any_name  */
  YYSYMBOL_comment_type_name = 752,        /* comment_type_name  */
  YYSYMBOL_comment_text = 753,             /* comment_text  */
  YYSYMBOL_SecLabelStmt = 754,             /* SecLabelStmt  */
  YYSYMBOL_opt_provider = 755,             /* opt_provider  */
  YYSYMBOL_security_label_type_any_name = 756, /* security_label_type_any_name  */
  YYSYMBOL_security_label_type_name = 757, /* security_label_type_name  */
  YYSYMBOL_security_label = 758,           /* security_label  */
  YYSYMBOL_FetchStmt = 759,                /* FetchStmt  */
  YYSYMBOL_fetch_args = 760,               /* fetch_args  */
  YYSYMBOL_from_in = 761,                  /* from_in  */
  YYSYMBOL_opt_from_in = 762,              /* opt_from_in  */
  YYSYMBOL_GrantStmt = 763,                /* GrantStmt  */
  YYSYMBOL_RevokeStmt = 764,               /* RevokeStmt  */
  YYSYMBOL_privileges = 765,               /* privileges  */
  YYSYMBOL_privilege_list = 766,           /* privilege_list  */
  YYSYMBOL_privilege = 767,                /* privilege  */
  YYSYMBOL_privilege_target = 768,         /* privilege_target  */
  YYSYMBOL_grantee_list = 769,             /* grantee_list  */
  YYSYMBOL_grantee = 770,                  /* grantee  */
  YYSYMBOL_opt_grant_grant_option = 771,   /* opt_grant_grant_option  */
  YYSYMBOL_GrantRoleStmt = 772,            /* GrantRoleStmt  */
  YYSYMBOL_RevokeRoleStmt = 773,           /* RevokeRoleStmt  */
  YYSYMBOL_opt_grant_admin_option = 774,   /* opt_grant_admin_option  */
  YYSYMBOL_opt_granted_by = 775,           /* opt_granted_by  */
  YYSYMBOL_AlterDefaultPrivilegesStmt = 776, /* AlterDefaultPrivilegesStmt  */
  YYSYMBOL_DefACLOptionList = 777,         /* DefACLOptionList  */
  YYSYMBOL_DefACLOption = 778,             /* DefACLOption  */
  YYSYMBOL_DefACLAction = 779,             /* DefACLAction  */
  YYSYMBOL_defacl_privilege_target = 780,  /* defacl_privilege_target  */
  YYSYMBOL_IndexStmt = 781,                /* IndexStmt  */
  YYSYMBOL_opt_unique = 782,               /* opt_unique  */
  YYSYMBOL_opt_concurrently = 783,         /* opt_concurrently  */
  YYSYMBOL_opt_index_name = 784,           /* opt_index_name  */
  YYSYMBOL_access_method_clause = 785,     /* access_method_clause  */
  YYSYMBOL_index_params = 786,             /* index_params  */
  YYSYMBOL_index_elem = 787,               /* index_elem  */
  YYSYMBOL_opt_include = 788,              /* opt_include  */
  YYSYMBOL_index_including_params = 789,   /* index_including_params  */
  YYSYMBOL_opt_collate = 790,              /* opt_collate  */
  YYSYMBOL_opt_class = 791,                /* opt_class  */
  YYSYMBOL_opt_asc_desc = 792,             /* opt_asc_desc  */
  YYSYMBOL_opt_nulls_order = 793,          /* opt_nulls_order  */
  YYSYMBOL_CreateFunctionStmt = 794,       /* CreateFunctionStmt  */
  YYSYMBOL_opt_or_replace = 795,           /* opt_or_replace  */
  YYSYMBOL_func_args = 796,                /* func_args  */
  YYSYMBOL_func_args_list = 797,           /* func_args_list  */
  YYSYMBOL_function_with_argtypes_list = 798, /* function_with_argtypes_list  */
  YYSYMBOL_function_with_argtypes = 799,   /* function_with_argtypes  */
  YYSYMBOL_func_args_with_defaults = 800,  /* func_args_with_defaults  */
  YYSYMBOL_func_args_with_defaults_list = 801, /* func_args_with_defaults_list  */
  YYSYMBOL_func_arg = 802,                 /* func_arg  */
  YYSYMBOL_arg_class = 803,                /* arg_class  */
  YYSYMBOL_param_name = 804,               /* param_name  */
  YYSYMBOL_func_return = 805,              /* func_return  */
  YYSYMBOL_func_type = 806,                /* func_type  */
  YYSYMBOL_func_arg_with_default = 807,    /* func_arg_with_default  */
  YYSYMBOL_aggr_arg = 808,                 /* aggr_arg  */
  YYSYMBOL_aggr_args = 809,                /* aggr_args  */
  YYSYMBOL_aggr_args_list = 810,           /* aggr_args_list  */
  YYSYMBOL_aggregate_with_argtypes = 811,  /* aggregate_with_argtypes  */
  YYSYMBOL_aggregate_with_argtypes_list = 812, /* aggregate_with_argtypes_list  */
  YYSYMBOL_createfunc_opt_list = 813,      /* createfunc_opt_list  */
  YYSYMBOL_common_func_opt_item = 814,     /* common_func_opt_item  */
  YYSYMBOL_createfunc_opt_item = 815,      /* createfunc_opt_item  */
  YYSYMBOL_func_as = 816,                  /* func_as  */
  YYSYMBOL_transform_type_list = 817,      /* transform_type_list  */
  YYSYMBOL_opt_definition = 818,           /* opt_definition  */
  YYSYMBOL_table_func_column = 819,        /* table_func_column  */
  YYSYMBOL_table_func_column_list = 820,   /* table_func_column_list  */
  YYSYMBOL_AlterFunctionStmt = 821,        /* AlterFunctionStmt  */
  YYSYMBOL_alterfunc_opt_list = 822,       /* alterfunc_opt_list  */
  YYSYMBOL_opt_restrict = 823,             /* opt_restrict  */
  YYSYMBOL_RemoveFuncStmt = 824,           /* RemoveFuncStmt  */
  YYSYMBOL_RemoveAggrStmt = 825,           /* RemoveAggrStmt  */
  YYSYMBOL_RemoveOperStmt = 826,           /* RemoveOperStmt  */
  YYSYMBOL_oper_argtypes = 827,            /* oper_argtypes  */
  YYSYMBOL_any_operator = 828,             /* any_operator  */
  YYSYMBOL_operator_with_argtypes_list = 829, /* operator_with_argtypes_list  */
  YYSYMBOL_operator_with_argtypes = 830,   /* operator_with_argtypes  */
  YYSYMBOL_DoStmt = 831,                   /* DoStmt  */
  YYSYMBOL_dostmt_opt_list = 832,          /* dostmt_opt_list  */
  YYSYMBOL_dostmt_opt_item = 833,          /* dostmt_opt_item  */
  YYSYMBOL_CreateCastStmt = 834,           /* CreateCastStmt  */
  YYSYMBOL_cast_context = 835,             /* cast_context  */
  YYSYMBOL_DropCastStmt = 836,             /* DropCastStmt  */
  YYSYMBOL_opt_if_exists = 837,            /* opt_if_exists  */
  YYSYMBOL_CreateTransformStmt = 838,      /* CreateTransformStmt  */
  YYSYMBOL_transform_element_list = 839,   /* transform_element_list  */
  YYSYMBOL_DropTransformStmt = 840,        /* DropTransformStmt  */
  YYSYMBOL_ReindexStmt = 841,              /* ReindexStmt  */
  YYSYMBOL_reindex_target_type = 842,      /* reindex_target_type  */
  YYSYMBOL_reindex_target_multitable = 843, /* reindex_target_multitable  */
  YYSYMBOL_reindex_option_list = 844,      /* reindex_option_list  */
  YYSYMBOL_reindex_option_elem = 845,      /* reindex_option_elem  */
  YYSYMBOL_AlterTblSpcStmt = 846,          /* AlterTblSpcStmt  */
  YYSYMBOL_RenameStmt = 847,               /* RenameStmt  */
  YYSYMBOL_opt_column = 848,               /* opt_column  */
  YYSYMBOL_opt_set_data = 849,             /* opt_set_data  */
  YYSYMBOL_AlterObjectDependsStmt = 850,   /* AlterObjectDependsStmt  */
  YYSYMBOL_AlterObjectSchemaStmt = 851,    /* AlterObjectSchemaStmt  */
  YYSYMBOL_AlterOperatorStmt = 852,        /* AlterOperatorStmt  */
  YYSYMBOL_operator_def_list = 853,        /* operator_def_list  */
  YYSYMBOL_operator_def_elem = 854,        /* operator_def_elem  */
  YYSYMBOL_operator_def_arg = 855,         /* operator_def_arg  */
  YYSYMBOL_AlterOwnerStmt = 856,           /* AlterOwnerStmt  */
  YYSYMBOL_CreatePublicationStmt = 857,    /* CreatePublicationStmt  */
  YYSYMBOL_opt_publication_for_tables = 858, /* opt_publication_for_tables  */
  YYSYMBOL_publication_for_tables = 859,   /* publication_for_tables  */
  YYSYMBOL_AlterPublicationStmt = 860,     /* AlterPublicationStmt  */
  YYSYMBOL_CreateSubscriptionStmt = 861,   /* CreateSubscriptionStmt  */
  YYSYMBOL_publication_name_list = 862,    /* publication_name_list  */
  YYSYMBOL_publication_name_item = 863,    /* publication_name_item  */
  YYSYMBOL_AlterSubscriptionStmt = 864,    /* AlterSubscriptionStmt  */
  YYSYMBOL_DropSubscriptionStmt = 865,     /* DropSubscriptionStmt  */
  YYSYMBOL_RuleStmt = 866,                 /* RuleStmt  */
  YYSYMBOL_RuleActionList = 867,           /* RuleActionList  */
  YYSYMBOL_RuleActionMulti = 868,          /* RuleActionMulti  */
  YYSYMBOL_RuleActionStmt = 869,           /* RuleActionStmt  */
  YYSYMBOL_RuleActionStmtOrEmpty = 870,    /* RuleActionStmtOrEmpty  */
  YYSYMBOL_event = 871,                    /* event  */
  YYSYMBOL_opt_instead = 872,              /* opt_instead  */
  YYSYMBOL_NotifyStmt = 873,               /* NotifyStmt  */
  YYSYMBOL_notify_payload = 874,           /* notify_payload  */
  YYSYMBOL_ListenStmt = 875,               /* ListenStmt  */
  YYSYMBOL_UnlistenStmt = 876,             /* UnlistenStmt  */
  YYSYMBOL_TransactionStmt = 877,          /* TransactionStmt  */
  YYSYMBOL_opt_transaction = 878,          /* opt_transaction  */
  YYSYMBOL_transaction_mode_item = 879,    /* transaction_mode_item  */
  YYSYMBOL_transaction_mode_list = 880,    /* transaction_mode_list  */
  YYSYMBOL_transaction_mode_list_or_empty = 881, /* transaction_mode_list_or_empty  */
  YYSYMBOL_ViewStmt = 882,                 /* ViewStmt  */
  YYSYMBOL_opt_check_option = 883,         /* opt_check_option  */
  YYSYMBOL_LoadStmt = 884,                 /* LoadStmt  */
  YYSYMBOL_CreatedbStmt = 885,             /* CreatedbStmt  */
  YYSYMBOL_createdb_opt_list = 886,        /* createdb_opt_list  */
  YYSYMBOL_createdb_opt_items = 887,       /* createdb_opt_items  */
  YYSYMBOL_createdb_opt_item = 888,        /* createdb_opt_item  */
  YYSYMBOL_createdb_opt_name = 889,        /* createdb_opt_name  */
  YYSYMBOL_opt_equal = 890,                /* opt_equal  */
  YYSYMBOL_AlterDatabaseStmt = 891,        /* AlterDatabaseStmt  */
  YYSYMBOL_AlterDatabaseSetStmt = 892,     /* AlterDatabaseSetStmt  */
  YYSYMBOL_DropdbStmt = 893,               /* DropdbStmt  */
  YYSYMBOL_AlterCollationStmt = 894,       /* AlterCollationStmt  */
  YYSYMBOL_AlterSystemStmt = 895,          /* AlterSystemStmt  */
  YYSYMBOL_CreateDomainStmt = 896,         /* CreateDomainStmt  */
  YYSYMBOL_AlterDomainStmt = 897,          /* AlterDomainStmt  */
  YYSYMBOL_opt_as = 898,                   /* opt_as  */
  YYSYMBOL_AlterTSDictionaryStmt = 899,    /* AlterTSDictionaryStmt  */
  YYSYMBOL_AlterTSConfigurationStmt = 900, /* AlterTSConfigurationStmt  */
  YYSYMBOL_any_with = 901,                 /* any_with  */
  YYSYMBOL_CreateConversionStmt = 902,     /* CreateConversionStmt  */
  YYSYMBOL_ClusterStmt = 903,              /* ClusterStmt  */
  YYSYMBOL_cluster_index_specification = 904, /* cluster_index_specification  */
  YYSYMBOL_VacuumStmt = 905,               /* VacuumStmt  */
  YYSYMBOL_vacuum_option_list = 906,       /* vacuum_option_list  */
  YYSYMBOL_vacuum_option_elem = 907,       /* vacuum_option_elem  */
  YYSYMBOL_AnalyzeStmt = 908,              /* AnalyzeStmt  */
  YYSYMBOL_analyze_option_list = 909,      /* analyze_option_list  */
  YYSYMBOL_analyze_option_elem = 910,      /* analyze_option_elem  */
  YYSYMBOL_analyze_keyword = 911,          /* analyze_keyword  */
  YYSYMBOL_opt_analyze = 912,              /* opt_analyze  */
  YYSYMBOL_opt_verbose = 913,              /* opt_verbose  */
  YYSYMBOL_opt_full = 914,                 /* opt_full  */
  YYSYMBOL_opt_freeze = 915,               /* opt_freeze  */
  YYSYMBOL_opt_name_list = 916,            /* opt_name_list  */
  YYSYMBOL_vacuum_relation = 917,          /* vacuum_relation  */
  YYSYMBOL_vacuum_relation_list = 918,     /* vacuum_relation_list  */
  YYSYMBOL_opt_vacuum_relation_list = 919, /* opt_vacuum_relation_list  */
  YYSYMBOL_ExplainStmt = 920,              /* ExplainStmt  */
  YYSYMBOL_ExplainableStmt = 921,          /* ExplainableStmt  */
  YYSYMBOL_explain_option_list = 922,      /* explain_option_list  */
  YYSYMBOL_explain_option_elem = 923,      /* explain_option_elem  */
  YYSYMBOL_explain_option_name = 924,      /* explain_option_name  */
  YYSYMBOL_explain_option_arg = 925,       /* explain_option_arg  */
  YYSYMBOL_PrepareStmt = 926,              /* PrepareStmt  */
  YYSYMBOL_prep_type_clause = 927,         /* prep_type_clause  */
  YYSYMBOL_PreparableStmt = 928,           /* PreparableStmt  */
  YYSYMBOL_ExecuteStmt = 929,              /* ExecuteStmt  */
  YYSYMBOL_execute_param_clause = 930,     /* execute_param_clause  */
  YYSYMBOL_DeallocateStmt = 931,           /* DeallocateStmt  */
  YYSYMBOL_InsertStmt = 932,               /* InsertStmt  */
  YYSYMBOL_insert_target = 933,            /* insert_target  */
  YYSYMBOL_insert_rest = 934,              /* insert_rest  */
  YYSYMBOL_override_kind = 935,            /* override_kind  */
  YYSYMBOL_insert_column_list = 936,       /* insert_column_list  */
  YYSYMBOL_insert_column_item = 937,       /* insert_column_item  */
  YYSYMBOL_opt_on_conflict = 938,          /* opt_on_conflict  */
  YYSYMBOL_opt_conf_expr = 939,            /* opt_conf_expr  */
  YYSYMBOL_returning_clause = 940,         /* returning_clause  */
  YYSYMBOL_DeleteStmt = 941,               /* DeleteStmt  */
  YYSYMBOL_using_clause = 942,             /* using_clause  */
  YYSYMBOL_LockStmt = 943,                 /* LockStmt  */
  YYSYMBOL_opt_lock = 944,                 /* opt_lock  */
  YYSYMBOL_lock_type = 945,                /* lock_type  */
  YYSYMBOL_opt_nowait = 946,               /* opt_nowait  */
  YYSYMBOL_opt_nowait_or_skip = 947,       /* opt_nowait_or_skip  */
  YYSYMBOL_UpdateStmt = 948,               /* UpdateStmt  */
  YYSYMBOL_set_clause_list = 949,          /* set_clause_list  */
  YYSYMBOL_set_clause = 950,               /* set_clause  */
  YYSYMBOL_set_target = 951,               /* set_target  */
  YYSYMBOL_set_target_list = 952,          /* set_target_list  */
  YYSYMBOL_DeclareCursorStmt = 953,        /* DeclareCursorStmt  */
  YYSYMBOL_cursor_name = 954,              /* cursor_name  */
  YYSYMBOL_cursor_options = 955,           /* cursor_options  */
  YYSYMBOL_opt_hold = 956,                 /* opt_hold  */
  YYSYMBOL_SelectStmt = 957,               /* SelectStmt  */
  YYSYMBOL_select_with_parens = 958,       /* select_with_parens  */
  YYSYMBOL_select_no_parens = 959,         /* select_no_parens  */
  YYSYMBOL_select_clause = 960,            /* select_clause  */
  YYSYMBOL_simple_select = 961,            /* simple_select  */
  YYSYMBOL_with_clause = 962,              /* with_clause  */
  YYSYMBOL_cte_list = 963,                 /* cte_list  */
  YYSYMBOL_common_table_expr = 964,        /* common_table_expr  */
  YYSYMBOL_opt_with_clause = 965,          /* opt_with_clause  */
  YYSYMBOL_into_clause = 966,              /* into_clause  */
  YYSYMBOL_OptTempTableName = 967,         /* OptTempTableName  */
  YYSYMBOL_opt_table = 968,                /* opt_table  */
  YYSYMBOL_all_or_distinct = 969,          /* all_or_distinct  */
  YYSYMBOL_distinct_clause = 970,          /* distinct_clause  */
  YYSYMBOL_opt_all_clause = 971,           /* opt_all_clause  */
  YYSYMBOL_opt_sort_clause = 972,          /* opt_sort_clause  */
  YYSYMBOL_sort_clause = 973,              /* sort_clause  */
  YYSYMBOL_sortby_list = 974,              /* sortby_list  */
  YYSYMBOL_sortby = 975,                   /* sortby  */
  YYSYMBOL_select_limit = 976,             /* select_limit  */
  YYSYMBOL_opt_select_limit = 977,         /* opt_select_limit  */
  YYSYMBOL_limit_clause = 978,             /* limit_clause  */
  YYSYMBOL_offset_clause = 979,            /* offset_clause  */
  YYSYMBOL_select_limit_value = 980,       /* select_limit_value  */
  YYSYMBOL_select_offset_value = 981,      /* select_offset_value  */
  YYSYMBOL_select_fetch_first_value = 982, /* select_fetch_first_value  */
  YYSYMBOL_I_or_F_const = 983,             /* I_or_F_const  */
  YYSYMBOL_row_or_rows = 984,              /* row_or_rows  */
  YYSYMBOL_first_or_next = 985,            /* first_or_next  */
  YYSYMBOL_group_clause = 986,             /* group_clause  */
  YYSYMBOL_group_by_list = 987,            /* group_by_list  */
  YYSYMBOL_group_by_item = 988,            /* group_by_item  */
  YYSYMBOL_empty_grouping_set = 989,       /* empty_grouping_set  */
  YYSYMBOL_rollup_clause = 990,            /* rollup_clause  */
  YYSYMBOL_cube_clause = 991,              /* cube_clause  */
  YYSYMBOL_grouping_sets_clause = 992,     /* grouping_sets_clause  */
  YYSYMBOL_having_clause = 993,            /* having_clause  */
  YYSYMBOL_for_locking_clause = 994,       /* for_locking_clause  */
  YYSYMBOL_opt_for_locking_clause = 995,   /* opt_for_locking_clause  */
  YYSYMBOL_for_locking_items = 996,        /* for_locking_items  */
  YYSYMBOL_for_locking_item = 997,         /* for_locking_item  */
  YYSYMBOL_for_locking_strength = 998,     /* for_locking_strength  */
  YYSYMBOL_locked_rels_list = 999,         /* locked_rels_list  */
  YYSYMBOL_values_clause = 1000,           /* values_clause  */
  YYSYMBOL_from_clause = 1001,             /* from_clause  */
  YYSYMBOL_from_list = 1002,               /* from_list  */
  YYSYMBOL_table_ref = 1003,               /* table_ref  */
  YYSYMBOL_joined_table = 1004,            /* joined_table  */
  YYSYMBOL_alias_clause = 1005,            /* alias_clause  */
  YYSYMBOL_opt_alias_clause = 1006,        /* opt_alias_clause  */
  YYSYMBOL_func_alias_clause = 1007,       /* func_alias_clause  */
  YYSYMBOL_join_type = 1008,               /* join_type  */
  YYSYMBOL_join_outer = 1009,              /* join_outer  */
  YYSYMBOL_join_qual = 1010,               /* join_qual  */
  YYSYMBOL_relation_expr = 1011,           /* relation_expr  */
  YYSYMBOL_relation_expr_list = 1012,      /* relation_expr_list  */
  YYSYMBOL_relation_expr_opt_alias = 1013, /* relation_expr_opt_alias  */
  YYSYMBOL_tablesample_clause = 1014,      /* tablesample_clause  */
  YYSYMBOL_opt_repeatable_clause = 1015,   /* opt_repeatable_clause  */
  YYSYMBOL_func_table = 1016,              /* func_table  */
  YYSYMBOL_rowsfrom_item = 1017,           /* rowsfrom_item  */
  YYSYMBOL_rowsfrom_list = 1018,           /* rowsfrom_list  */
  YYSYMBOL_opt_col_def_list = 1019,        /* opt_col_def_list  */
  YYSYMBOL_opt_ordinality = 1020,          /* opt_ordinality  */
  YYSYMBOL_where_clause = 1021,            /* where_clause  */
  YYSYMBOL_where_or_current_clause = 1022, /* where_or_current_clause  */
  YYSYMBOL_OptTableFuncElementList = 1023, /* OptTableFuncElementList  */
  YYSYMBOL_TableFuncElementList = 1024,    /* TableFuncElementList  */
  YYSYMBOL_TableFuncElement = 1025,        /* TableFuncElement  */
  YYSYMBOL_xmltable = 1026,                /* xmltable  */
  YYSYMBOL_xmltable_column_list = 1027,    /* xmltable_column_list  */
  YYSYMBOL_xmltable_column_el = 1028,      /* xmltable_column_el  */
  YYSYMBOL_xmltable_column_option_list = 1029, /* xmltable_column_option_list  */
  YYSYMBOL_xmltable_column_option_el = 1030, /* xmltable_column_option_el  */
  YYSYMBOL_xml_namespace_list = 1031,      /* xml_namespace_list  */
  YYSYMBOL_xml_namespace_el = 1032,        /* xml_namespace_el  */
  YYSYMBOL_Typename = 1033,                /* Typename  */
  YYSYMBOL_opt_array_bounds = 1034,        /* opt_array_bounds  */
  YYSYMBOL_SimpleTypename = 1035,          /* SimpleTypename  */
  YYSYMBOL_ConstTypename = 1036,           /* ConstTypename  */
  YYSYMBOL_GenericType = 1037,             /* GenericType  */
  YYSYMBOL_opt_type_modifiers = 1038,      /* opt_type_modifiers  */
  YYSYMBOL_Numeric = 1039,                 /* Numeric  */
  YYSYMBOL_opt_float = 1040,               /* opt_float  */
  YYSYMBOL_Bit = 1041,                     /* Bit  */
  YYSYMBOL_ConstBit = 1042,                /* ConstBit  */
  YYSYMBOL_BitWithLength = 1043,           /* BitWithLength  */
  YYSYMBOL_BitWithoutLength = 1044,        /* BitWithoutLength  */
  YYSYMBOL_Character = 1045,               /* Character  */
  YYSYMBOL_ConstCharacter = 1046,          /* ConstCharacter  */
  YYSYMBOL_CharacterWithLength = 1047,     /* CharacterWithLength  */
  YYSYMBOL_CharacterWithoutLength = 1048,  /* CharacterWithoutLength  */
  YYSYMBOL_character = 1049,               /* character  */
  YYSYMBOL_opt_varying = 1050,             /* opt_varying  */
  YYSYMBOL_ConstDatetime = 1051,           /* ConstDatetime  */
  YYSYMBOL_ConstInterval = 1052,           /* ConstInterval  */
  YYSYMBOL_opt_timezone = 1053,            /* opt_timezone  */
  YYSYMBOL_opt_interval = 1054,            /* opt_interval  */
  YYSYMBOL_interval_second = 1055,         /* interval_second  */
  YYSYMBOL_a_expr = 1056,                  /* a_expr  */
  YYSYMBOL_b_expr = 1057,                  /* b_expr  */
  YYSYMBOL_c_expr = 1058,                  /* c_expr  */
  YYSYMBOL_func_application = 1059,        /* func_application  */
  YYSYMBOL_func_expr = 1060,               /* func_expr  */
  YYSYMBOL_func_expr_windowless = 1061,    /* func_expr_windowless  */
  YYSYMBOL_func_expr_common_subexpr = 1062, /* func_expr_common_subexpr  */
  YYSYMBOL_xml_root_version = 1063,        /* xml_root_version  */
  YYSYMBOL_opt_xml_root_standalone = 1064, /* opt_xml_root_standalone  */
  YYSYMBOL_xml_attributes = 1065,          /* xml_attributes  */
  YYSYMBOL_xml_attribute_list = 1066,      /* xml_attribute_list  */
  YYSYMBOL_xml_attribute_el = 1067,        /* xml_attribute_el  */
  YYSYMBOL_document_or_content = 1068,     /* document_or_content  */
  YYSYMBOL_xml_whitespace_option = 1069,   /* xml_whitespace_option  */
  YYSYMBOL_xmlexists_argument = 1070,      /* xmlexists_argument  */
  YYSYMBOL_within_group_clause = 1071,     /* within_group_clause  */
  YYSYMBOL_filter_clause = 1072,           /* filter_clause  */
  YYSYMBOL_window_clause = 1073,           /* window_clause  */
  YYSYMBOL_window_definition_list = 1074,  /* window_definition_list  */
  YYSYMBOL_window_definition = 1075,       /* window_definition  */
  YYSYMBOL_over_clause = 1076,             /* over_clause  */
  YYSYMBOL_window_specification = 1077,    /* window_specification  */
  YYSYMBOL_opt_existing_window_name = 1078, /* opt_existing_window_name  */
  YYSYMBOL_opt_partition_clause = 1079,    /* opt_partition_clause  */
  YYSYMBOL_opt_frame_clause = 1080,        /* opt_frame_clause  */
  YYSYMBOL_frame_extent = 1081,            /* frame_extent  */
  YYSYMBOL_frame_bound = 1082,             /* frame_bound  */
  YYSYMBOL_opt_window_exclusion_clause = 1083, /* opt_window_exclusion_clause  */
  YYSYMBOL_row = 1084,                     /* row  */
  YYSYMBOL_explicit_row = 1085,            /* explicit_row  */
  YYSYMBOL_implicit_row = 1086,            /* implicit_row  */
  YYSYMBOL_sub_type = 1087,                /* sub_type  */
  YYSYMBOL_all_Op = 1088,                  /* all_Op  */
  YYSYMBOL_MathOp = 1089,                  /* MathOp  */
  YYSYMBOL_qual_Op = 1090,                 /* qual_Op  */
  YYSYMBOL_qual_all_Op = 1091,             /* qual_all_Op  */
  YYSYMBOL_subquery_Op = 1092,             /* subquery_Op  */
  YYSYMBOL_expr_list = 1093,               /* expr_list  */
  YYSYMBOL_func_arg_list = 1094,           /* func_arg_list  */
  YYSYMBOL_func_arg_expr = 1095,           /* func_arg_expr  */
  YYSYMBOL_type_list = 1096,               /* type_list  */
  YYSYMBOL_array_expr = 1097,              /* array_expr  */
  YYSYMBOL_array_expr_list = 1098,         /* array_expr_list  */
  YYSYMBOL_extract_list = 1099,            /* extract_list  */
  YYSYMBOL_extract_arg = 1100,             /* extract_arg  */
  YYSYMBOL_overlay_list = 1101,            /* overlay_list  */
  YYSYMBOL_overlay_placing = 1102,         /* overlay_placing  */
  YYSYMBOL_position_list = 1103,           /* position_list  */
  YYSYMBOL_substr_list = 1104,             /* substr_list  */
  YYSYMBOL_substr_from = 1105,             /* substr_from  */
  YYSYMBOL_substr_for = 1106,              /* substr_for  */
  YYSYMBOL_trim_list = 1107,               /* trim_list  */
  YYSYMBOL_in_expr = 1108,                 /* in_expr  */
  YYSYMBOL_case_expr = 1109,               /* case_expr  */
  YYSYMBOL_when_clause_list = 1110,        /* when_clause_list  */
  YYSYMBOL_when_clause = 1111,             /* when_clause  */
  YYSYMBOL_case_default = 1112,            /* case_default  */
  YYSYMBOL_case_arg = 1113,                /* case_arg  */
  YYSYMBOL_columnref = 1114,               /* columnref  */
  YYSYMBOL_indirection_el = 1115,          /* indirection_el  */
  YYSYMBOL_opt_slice_bound = 1116,         /* opt_slice_bound  */
  YYSYMBOL_indirection = 1117,             /* indirection  */
  YYSYMBOL_opt_indirection = 1118,         /* opt_indirection  */
  YYSYMBOL_opt_asymmetric = 1119,          /* opt_asymmetric  */
  YYSYMBOL_opt_target_list = 1120,         /* opt_target_list  */
  YYSYMBOL_target_list = 1121,             /* target_list  */
  YYSYMBOL_target_el = 1122,               /* target_el  */
  YYSYMBOL_qualified_name_list = 1123,     /* qualified_name_list  */
  YYSYMBOL_qualified_name = 1124,          /* qualified_name  */
  YYSYMBOL_name_list = 1125,               /* name_list  */
  YYSYMBOL_name = 1126,                    /* name  */
  YYSYMBOL_database_name = 1127,           /* database_name  */
  YYSYMBOL_access_method = 1128,           /* access_method  */
  YYSYMBOL_attr_name = 1129,               /* attr_name  */
  YYSYMBOL_index_name = 1130,              /* index_name  */
  YYSYMBOL_file_name = 1131,               /* file_name  */
  YYSYMBOL_func_name = 1132,               /* func_name  */
  YYSYMBOL_AexprConst = 1133,              /* AexprConst  */
  YYSYMBOL_Iconst = 1134,                  /* Iconst  */
  YYSYMBOL_Sconst = 1135,                  /* Sconst  */
  YYSYMBOL_SignedIconst = 1136,            /* SignedIconst  */
  YYSYMBOL_RoleId = 1137,                  /* RoleId  */
  YYSYMBOL_RoleSpec = 1138,                /* RoleSpec  */
  YYSYMBOL_role_list = 1139,               /* role_list  */
  YYSYMBOL_ColId = 1140,                   /* ColId  */
  YYSYMBOL_type_function_name = 1141,      /* type_function_name  */
  YYSYMBOL_NonReservedWord = 1142,         /* NonReservedWord  */
  YYSYMBOL_ColLabel = 1143,                /* ColLabel  */
  YYSYMBOL_unreserved_keyword = 1144,      /* unreserved_keyword  */
  YYSYMBOL_col_name_keyword = 1145,        /* col_name_keyword  */
  YYSYMBOL_type_func_name_keyword = 1146,  /* type_func_name_keyword  */
  YYSYMBOL_reserved_keyword = 1147         /* reserved_keyword  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  828
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   102007

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  480
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  668
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2728
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5477

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   717


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   469,     2,     2,
     474,   475,   467,   465,   478,   466,   476,   468,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   479,   477,
     461,   463,   462,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   472,     2,   473,   470,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   464,   471
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   784,   784,   801,   813,   823,   824,   825,   826,   827,
     828,   829,   830,   831,   832,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   844,   845,   846,   847,
     848,   849,   850,   851,   852,   853,   854,   855,   856,   857,
     858,   859,   860,   861,   862,   863,   864,   865,   866,   867,
     868,   869,   870,   871,   872,   873,   874,   875,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   893,   894,   895,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   905,   906,   907,
     908,   909,   910,   911,   912,   913,   914,   915,   916,   917,
     918,   919,   920,   921,   922,   923,   924,   925,   926,   927,
     928,   929,   930,   931,   932,   933,   934,   935,   936,   937,
     938,   939,   940,   941,   942,   943,   944,   945,   946,   948,
     957,   972,   983,   984,   985,   994,   995,   999,  1000,  1004,
    1009,  1013,  1023,  1031,  1035,  1039,  1044,  1048,  1096,  1098,
    1102,  1106,  1110,  1114,  1128,  1146,  1154,  1165,  1166,  1170,
    1178,  1186,  1194,  1215,  1222,  1229,  1236,  1243,  1250,  1267,
    1285,  1296,  1297,  1308,  1318,  1328,  1343,  1361,  1362,  1366,
    1373,  1381,  1382,  1383,  1384,  1385,  1386,  1400,  1406,  1412,
    1421,  1429,  1437,  1441,  1449,  1457,  1464,  1474,  1475,  1483,
    1494,  1502,  1510,  1521,  1529,  1537,  1544,  1553,  1563,  1564,
    1568,  1569,  1572,  1574,  1578,  1579,  1580,  1581,  1585,  1586,
    1587,  1593,  1605,  1609,  1613,  1628,  1635,  1636,  1637,  1641,
    1642,  1643,  1647,  1648,  1652,  1656,  1657,  1664,  1671,  1681,
    1688,  1698,  1699,  1704,  1705,  1710,  1716,  1722,  1728,  1734,
    1744,  1754,  1755,  1759,  1760,  1768,  1783,  1789,  1795,  1801,
    1807,  1826,  1835,  1844,  1853,  1862,  1873,  1884,  1893,  1902,
    1911,  1922,  1933,  1942,  1951,  1960,  1969,  1978,  1987,  1998,
    2012,  2013,  2018,  2031,  2047,  2063,  2072,  2081,  2090,  2099,
    2108,  2116,  2124,  2133,  2149,  2158,  2167,  2176,  2193,  2202,
    2211,  2220,  2230,  2243,  2258,  2267,  2275,  2290,  2298,  2308,
    2318,  2325,  2332,  2340,  2348,  2355,  2362,  2370,  2378,  2386,
    2393,  2400,  2408,  2415,  2422,  2430,  2438,  2446,  2454,  2462,
    2470,  2480,  2487,  2495,  2503,  2511,  2519,  2527,  2534,  2541,
    2548,  2554,  2564,  2565,  2569,  2570,  2571,  2575,  2583,  2587,
    2588,  2592,  2599,  2606,  2613,  2623,  2626,  2627,  2631,  2632,
    2637,  2641,  2645,  2650,  2657,  2659,  2664,  2668,  2672,  2683,
    2691,  2744,  2757,  2771,  2783,  2790,  2794,  2801,  2802,  2803,
    2804,  2805,  2809,  2810,  2815,  2816,  2821,  2831,  2841,  2861,
    2874,  2875,  2880,  2889,  2899,  2909,  2935,  2941,  2974,  3003,
    3025,  3026,  3030,  3031,  3040,  3041,  3042,  3045,  3046,  3051,
    3052,  3056,  3060,  3064,  3068,  3072,  3076,  3080,  3084,  3088,
    3092,  3096,  3100,  3104,  3108,  3117,  3121,  3125,  3129,  3133,
    3137,  3141,  3142,  3147,  3151,  3158,  3165,  3166,  3167,  3168,
    3169,  3173,  3177,  3185,  3196,  3213,  3231,  3250,  3269,  3288,
    3320,  3321,  3322,  3323,  3324,  3331,  3338,  3339,  3343,  3344,
    3348,  3349,  3353,  3357,  3364,  3368,  3375,  3376,  3377,  3381,
    3382,  3385,  3406,  3424,  3445,  3446,  3450,  3457,  3458,  3459,
    3490,  3497,  3504,  3515,  3526,  3538,  3547,  3556,  3574,  3575,
    3594,  3601,  3608,  3615,  3626,  3637,  3638,  3639,  3643,  3644,
    3645,  3646,  3647,  3648,  3649,  3650,  3659,  3666,  3670,  3683,
    3699,  3714,  3730,  3745,  3764,  3785,  3786,  3790,  3791,  3795,
    3796,  3799,  3805,  3806,  3809,  3813,  3821,  3826,  3832,  3833,
    3837,  3842,  3849,  3850,  3860,  3862,  3864,  3866,  3869,  3872,
    3875,  3879,  3880,  3881,  3882,  3883,  3886,  3887,  3891,  3892,
    3895,  3907,  3908,  3911,  3912,  3915,  3926,  3937,  3951,  3952,
    3953,  3954,  3957,  3958,  3959,  3960,  3963,  3964,  3967,  3968,
    3971,  3989,  4001,  4026,  4039,  4055,  4069,  4070,  4071,  4083,
    4096,  4112,  4125,  4126,  4138,  4158,  4168,  4181,  4189,  4200,
    4201,  4204,  4205,  4208,  4209,  4212,  4216,  4220,  4224,  4228,
    4232,  4236,  4240,  4244,  4248,  4252,  4257,  4261,  4265,  4271,
    4272,  4276,  4277,  4278,  4283,  4286,  4287,  4299,  4311,  4326,
    4327,  4335,  4336,  4340,  4341,  4345,  4346,  4350,  4351,  4355,
    4365,  4378,  4379,  4389,  4400,  4401,  4414,  4421,  4438,  4446,
    4457,  4460,  4464,  4468,  4472,  4476,  4488,  4498,  4501,  4505,
    4518,  4527,  4536,  4545,  4554,  4563,  4572,  4581,  4590,  4599,
    4608,  4617,  4626,  4635,  4644,  4653,  4662,  4671,  4680,  4689,
    4698,  4707,  4716,  4725,  4734,  4743,  4752,  4761,  4779,  4790,
    4791,  4792,  4793,  4797,  4798,  4802,  4803,  4813,  4821,  4833,
    4834,  4838,  4842,  4850,  4854,  4858,  4865,  4869,  4874,  4879,
    4886,  4893,  4898,  4908,  4920,  4935,  4936,  4941,  4942,  4946,
    4947,  4957,  4966,  4974,  4991,  5011,  5031,  5052,  5083,  5092,
    5113,  5128,  5129,  5133,  5141,  5156,  5165,  5177,  5178,  5190,
    5198,  5215,  5239,  5256,  5270,  5271,  5275,  5276,  5280,  5281,
    5285,  5286,  5290,  5304,  5308,  5309,  5313,  5314,  5315,  5316,
    5317,  5327,  5345,  5366,  5392,  5393,  5394,  5398,  5400,  5422,
    5424,  5426,  5428,  5430,  5435,  5436,  5440,  5441,  5445,  5456,
    5457,  5461,  5470,  5474,  5478,  5483,  5493,  5494,  5498,  5499,
    5503,  5504,  5508,  5509,  5513,  5514,  5515,  5519,  5523,  5524,
    5525,  5529,  5530,  5535,  5536,  5563,  5564,  5565,  5566,  5567,
    5568,  5581,  5591,  5605,  5607,  5612,  5617,  5619,  5624,  5634,
    5635,  5636,  5637,  5649,  5669,  5691,  5701,  5712,  5722,  5732,
    5743,  5752,  5759,  5766,  5775,  5784,  5793,  5802,  5811,  5821,
    5830,  5842,  5845,  5846,  5849,  5853,  5860,  5861,  5862,  5863,
    5864,  5865,  5868,  5871,  5872,  5880,  5887,  5888,  5891,  5893,
    5904,  5915,  5926,  5937,  5950,  5951,  5967,  5982,  5983,  5987,
    5999,  6009,  6017,  6026,  6035,  6036,  6039,  6040,  6043,  6044,
    6045,  6048,  6062,  6067,  6077,  6086,  6098,  6099,  6103,  6111,
    6123,  6133,  6146,  6156,  6178,  6188,  6206,  6216,  6226,  6236,
    6246,  6256,  6266,  6276,  6286,  6296,  6306,  6316,  6330,  6331,
    6332,  6333,  6334,  6335,  6336,  6337,  6338,  6339,  6340,  6341,
    6342,  6347,  6348,  6349,  6350,  6351,  6352,  6353,  6358,  6359,
    6360,  6364,  6365,  6368,  6369,  6372,  6374,  6379,  6380,  6391,
    6402,  6403,  6404,  6438,  6446,  6454,  6462,  6470,  6478,  6486,
    6494,  6502,  6515,  6523,  6531,  6539,  6547,  6555,  6563,  6571,
    6579,  6587,  6599,  6600,  6601,  6602,  6603,  6604,  6605,  6606,
    6607,  6608,  6609,  6610,  6611,  6612,  6617,  6618,  6619,  6620,
    6621,  6622,  6623,  6624,  6625,  6626,  6627,  6628,  6632,  6633,
    6647,  6657,  6667,  6677,  6687,  6697,  6707,  6717,  6727,  6739,
    6740,  6745,  6746,  6747,  6748,  6749,  6750,  6755,  6756,  6757,
    6758,  6759,  6760,  6761,  6762,  6765,  6766,  6776,  6782,  6790,
    6798,  6806,  6814,  6822,  6830,  6838,  6846,  6854,  6862,  6870,
    6878,  6886,  6894,  6902,  6910,  6920,  6921,  6924,  6925,  6935,
    6951,  6965,  6991,  6993,  6995,  6997,  7004,  7013,  7014,  7017,
    7024,  7031,  7038,  7052,  7060,  7068,  7076,  7084,  7092,  7100,
    7108,  7116,  7124,  7132,  7140,  7148,  7156,  7164,  7172,  7180,
    7188,  7196,  7204,  7216,  7217,  7221,  7222,  7227,  7228,  7238,
    7251,  7261,  7273,  7274,  7277,  7278,  7288,  7298,  7299,  7303,
    7307,  7311,  7322,  7335,  7349,  7366,  7367,  7368,  7369,  7370,
    7371,  7383,  7411,  7442,  7443,  7447,  7448,  7452,  7453,  7457,
    7458,  7461,  7462,  7470,  7481,  7492,  7505,  7506,  7509,  7510,
    7513,  7514,  7517,  7518,  7521,  7522,  7523,  7526,  7527,  7528,
    7544,  7556,  7569,  7581,  7596,  7597,  7600,  7601,  7605,  7606,
    7610,  7611,  7616,  7628,  7635,  7642,  7657,  7658,  7662,  7663,
    7678,  7687,  7696,  7705,  7714,  7726,  7727,  7728,  7729,  7730,
    7736,  7740,  7755,  7756,  7762,  7772,  7776,  7781,  7789,  7830,
    7834,  7838,  7842,  7850,  7851,  7855,  7865,  7866,  7872,  7873,
    7880,  7884,  7888,  7892,  7896,  7900,  7904,  7908,  7912,  7916,
    7920,  7924,  7928,  7932,  7936,  7941,  7948,  7952,  7956,  7960,
    7964,  7970,  7971,  7978,  7979,  7983,  7984,  7987,  7999,  8003,
    8018,  8026,  8034,  8046,  8047,  8052,  8053,  8070,  8080,  8090,
    8100,  8110,  8120,  8133,  8143,  8156,  8166,  8179,  8187,  8189,
    8191,  8196,  8198,  8203,  8204,  8209,  8227,  8236,  8237,  8241,
    8245,  8257,  8268,  8279,  8292,  8293,  8294,  8298,  8310,  8311,
    8321,  8333,  8337,  8341,  8345,  8352,  8372,  8381,  8390,  8399,
    8410,  8411,  8414,  8415,  8416,  8419,  8420,  8423,  8433,  8442,
    8459,  8468,  8477,  8486,  8495,  8504,  8513,  8522,  8531,  8540,
    8549,  8558,  8567,  8577,  8587,  8596,  8605,  8614,  8623,  8632,
    8641,  8651,  8661,  8671,  8681,  8691,  8701,  8711,  8721,  8731,
    8741,  8751,  8761,  8772,  8783,  8794,  8805,  8815,  8825,  8836,
    8847,  8857,  8867,  8875,  8884,  8893,  8902,  8911,  8920,  8929,
    8938,  8947,  8956,  8970,  8971,  8974,  8975,  8985,  8993,  9001,
    9009,  9018,  9026,  9043,  9052,  9061,  9070,  9079,  9088,  9097,
    9106,  9115,  9124,  9133,  9142,  9151,  9160,  9169,  9178,  9187,
    9196,  9205,  9214,  9223,  9232,  9241,  9250,  9259,  9268,  9277,
    9295,  9304,  9305,  9308,  9310,  9316,  9317,  9318,  9319,  9320,
    9329,  9337,  9345,  9353,  9361,  9369,  9377,  9385,  9393,  9401,
    9409,  9417,  9425,  9433,  9441,  9449,  9457,  9465,  9473,  9481,
    9489,  9497,  9505,  9513,  9531,  9550,  9551,  9555,  9559,  9579,
    9586,  9594,  9602,  9619,  9632,  9636,  9643,  9652,  9661,  9670,
    9679,  9689,  9699,  9717,  9725,  9741,  9758,  9759,  9760,  9765,
    9771,  9780,  9781,  9782,  9783,  9784,  9788,  9789,  9792,  9793,
    9794,  9795,  9799,  9800,  9801,  9813,  9823,  9824,  9827,  9836,
    9842,  9861,  9868,  9875,  9882,  9889,  9896,  9903,  9910,  9917,
    9924,  9931,  9938,  9945,  9952,  9961,  9962,  9963,  9967,  9970,
    9973,  9976,  9979,  9986,  9988,  9990,  9995,  9997, 10009, 10022,
   10035, 10053, 10074, 10075, 10076, 10077, 10087, 10103, 10113, 10114,
   10118, 10119, 10123, 10127, 10131, 10149, 10150, 10151, 10152, 10153,
   10154, 10155, 10162, 10163, 10174, 10181, 10188, 10199, 10216, 10223,
   10239, 10256, 10262, 10278, 10291, 10300, 10308, 10316, 10325, 10336,
   10347, 10357, 10358, 10369, 10379, 10390, 10401, 10412, 10423, 10432,
   10444, 10445, 10459, 10482, 10490, 10499, 10510, 10511, 10523, 10538,
   10548, 10549, 10553, 10554, 10555, 10556, 10557, 10569, 10578, 10588,
   10589, 10593, 10597, 10598, 10602, 10603, 10607, 10608, 10611, 10612,
   10615, 10616, 10620, 10621, 10625, 10632, 10634, 10639, 10640, 10653,
   10660, 10670, 10677, 10687, 10688, 10689, 10690, 10691, 10692, 10693,
   10694, 10695, 10699, 10703, 10710, 10717, 10718, 10722, 10723, 10724,
   10734, 10744, 10745, 10749, 10750, 10751, 10752, 10762, 10769, 10786,
   10805, 10806, 10816, 10822, 10828, 10834, 10850, 10868, 10872, 10880,
   10886, 10893, 10899, 10906, 10915, 10916, 10920, 10922, 10927, 10938,
   10948, 10958, 10964, 10973, 10982, 10988, 10989, 11000, 11014, 11015,
   11026, 11037, 11038, 11041, 11042, 11043, 11044, 11045, 11046, 11047,
   11048, 11051, 11052, 11056, 11057, 11058, 11069, 11087, 11088, 11092,
   11097, 11121, 11132, 11133, 11143, 11154, 11157, 11158, 11159, 11160,
   11161, 11164, 11165, 11166, 11214, 11215, 11219, 11220, 11235, 11236,
   11243, 11251, 11259, 11267, 11275, 11283, 11294, 11295, 11322, 11336,
   11351, 11352, 11371, 11375, 11379, 11396, 11403, 11410, 11420, 11421,
   11424, 11436, 11437, 11441, 11453, 11461, 11466, 11471, 11476, 11481,
   11489, 11497, 11502, 11507, 11514, 11515, 11519, 11520, 11521, 11528,
   11529, 11533, 11534, 11538, 11539, 11543, 11547, 11548, 11551, 11560,
   11573, 11574, 11575, 11576, 11580, 11581, 11585, 11587, 11603, 11605,
   11610, 11613, 11618, 11619, 11627, 11647, 11648, 11650, 11655, 11656,
   11660, 11661, 11664, 11665, 11690, 11691, 11695, 11696, 11700, 11701,
   11702, 11703, 11704, 11708, 11721, 11728, 11735, 11742, 11743, 11747,
   11748, 11752, 11753, 11757, 11758, 11762, 11773, 11774, 11775, 11776,
   11780, 11781, 11791, 11797, 11815, 11816, 11820, 11821, 11827, 11832,
   11840, 11847, 11855, 11861, 11868, 11903, 11928, 11932, 11958, 11962,
   11974, 11987, 12001, 12012, 12027, 12033, 12038, 12044, 12051, 12052,
   12060, 12064, 12068, 12074, 12081, 12086, 12087, 12088, 12089, 12093,
   12094, 12106, 12107, 12112, 12119, 12126, 12133, 12144, 12145, 12158,
   12162, 12169, 12182, 12195, 12196, 12211, 12221, 12233, 12238, 12239,
   12242, 12243, 12246, 12247, 12252, 12253, 12258, 12259, 12267, 12272,
   12273, 12277, 12281, 12287, 12311, 12321, 12334, 12335, 12339, 12353,
   12410, 12424, 12426, 12431, 12433, 12435, 12437, 12442, 12444, 12449,
   12457, 12477, 12482, 12489, 12494, 12500, 12505, 12514, 12516, 12519,
   12523, 12524, 12525, 12526, 12527, 12528, 12533, 12553, 12554, 12555,
   12556, 12567, 12573, 12581, 12582, 12588, 12593, 12598, 12603, 12608,
   12613, 12618, 12623, 12629, 12635, 12641, 12648, 12670, 12679, 12683,
   12691, 12695, 12703, 12715, 12736, 12740, 12746, 12750, 12763, 12771,
   12781, 12783, 12785, 12787, 12789, 12791, 12796, 12797, 12804, 12813,
   12821, 12830, 12841, 12849, 12850, 12851, 12855, 12857, 12859, 12861,
   12863, 12865, 12867, 12872, 12877, 12883, 12891, 12896, 12903, 12910,
   12914, 12918, 12954, 12955, 12957, 12965, 12980, 12982, 12984, 12986,
   12988, 12990, 12992, 12994, 12996, 12998, 13000, 13002, 13004, 13006,
   13009, 13011, 13013, 13016, 13018, 13020, 13022, 13025, 13030, 13038,
   13043, 13051, 13056, 13064, 13069, 13078, 13086, 13094, 13102, 13120,
   13128, 13136, 13144, 13152, 13168, 13176, 13184, 13192, 13200, 13208,
   13216, 13220, 13224, 13228, 13232, 13240, 13248, 13256, 13264, 13284,
   13306, 13317, 13324, 13340, 13345, 13351, 13376, 13378, 13380, 13382,
   13384, 13386, 13388, 13390, 13392, 13394, 13396, 13398, 13400, 13402,
   13404, 13406, 13408, 13410, 13412, 13414, 13418, 13422, 13426, 13430,
   13435, 13451, 13452, 13453, 13468, 13502, 13504, 13506, 13517, 13541,
   13552, 13563, 13570, 13580, 13590, 13599, 13603, 13609, 13616, 13623,
   13633, 13640, 13668, 13703, 13714, 13715, 13722, 13728, 13732, 13736,
   13740, 13744, 13748, 13752, 13756, 13760, 13764, 13768, 13772, 13776,
   13780, 13784, 13788, 13790, 13794, 13803, 13808, 13815, 13830, 13837,
   13841, 13845, 13849, 13853, 13860, 13868, 13876, 13880, 13884, 13888,
   13892, 13896, 13902, 13906, 13915, 13919, 13923, 13928, 13942, 13944,
   13948, 13950, 13952, 13955, 13958, 13961, 13962, 13965, 13973, 13983,
   13984, 13987, 13988, 13989, 13994, 13998, 14002, 14006, 14017, 14018,
   14022, 14023, 14031, 14032, 14036, 14037, 14042, 14050, 14052, 14066,
   14069, 14096, 14097, 14100, 14101, 14109, 14116, 14123, 14131, 14140,
   14157, 14202, 14210, 14218, 14226, 14234, 14245, 14246, 14247, 14248,
   14249, 14263, 14264, 14265, 14268, 14269, 14272, 14275, 14276, 14277,
   14280, 14281, 14284, 14285, 14286, 14287, 14288, 14289, 14290, 14291,
   14292, 14293, 14294, 14295, 14298, 14300, 14305, 14307, 14312, 14314,
   14316, 14318, 14320, 14322, 14334, 14338, 14345, 14349, 14355, 14359,
   14368, 14379, 14380, 14383, 14387, 14391, 14397, 14398, 14403, 14407,
   14414, 14415, 14416, 14417, 14418, 14419, 14420, 14421, 14431, 14435,
   14442, 14449, 14450, 14466, 14470, 14475, 14479, 14494, 14499, 14503,
   14506, 14509, 14510, 14511, 14514, 14521, 14531, 14545, 14546, 14550,
   14561, 14562, 14565, 14566, 14569, 14573, 14580, 14584, 14588, 14596,
   14607, 14608, 14612, 14613, 14617, 14618, 14621, 14622, 14632, 14633,
   14637, 14638, 14641, 14657, 14665, 14673, 14695, 14696, 14707, 14711,
   14738, 14740, 14745, 14748, 14751, 14753, 14755, 14757, 14767, 14769,
   14780, 14784, 14788, 14792, 14796, 14805, 14812, 14844, 14848, 14854,
   14861, 14865, 14869, 14875, 14876, 14878, 14879, 14880, 14884, 14917,
   14944, 14948, 14954, 14956, 14973, 14974, 14975, 14980, 14981, 14982,
   14987, 14988, 14989, 14990, 14996, 14997, 14998, 14999, 15000, 15020,
   15021, 15022, 15023, 15024, 15025, 15026, 15027, 15028, 15029, 15030,
   15031, 15032, 15033, 15034, 15035, 15036, 15037, 15038, 15039, 15040,
   15041, 15042, 15043, 15044, 15045, 15046, 15047, 15048, 15049, 15050,
   15051, 15052, 15053, 15054, 15055, 15056, 15057, 15058, 15059, 15060,
   15061, 15062, 15063, 15064, 15065, 15066, 15067, 15068, 15069, 15070,
   15071, 15072, 15073, 15074, 15075, 15076, 15077, 15078, 15079, 15080,
   15081, 15082, 15083, 15084, 15085, 15086, 15087, 15088, 15089, 15090,
   15091, 15092, 15093, 15094, 15095, 15096, 15097, 15098, 15099, 15100,
   15101, 15102, 15103, 15104, 15105, 15106, 15107, 15108, 15109, 15110,
   15111, 15112, 15113, 15114, 15115, 15116, 15117, 15118, 15119, 15120,
   15121, 15122, 15123, 15124, 15125, 15126, 15127, 15128, 15129, 15130,
   15131, 15132, 15133, 15134, 15135, 15136, 15137, 15138, 15139, 15140,
   15141, 15142, 15143, 15144, 15145, 15146, 15147, 15148, 15149, 15150,
   15151, 15152, 15153, 15154, 15155, 15156, 15157, 15158, 15159, 15160,
   15161, 15162, 15163, 15164, 15165, 15166, 15167, 15168, 15169, 15170,
   15171, 15172, 15173, 15174, 15175, 15176, 15177, 15178, 15179, 15180,
   15181, 15182, 15183, 15184, 15185, 15186, 15187, 15188, 15189, 15190,
   15191, 15192, 15193, 15194, 15195, 15196, 15197, 15198, 15199, 15200,
   15201, 15202, 15203, 15204, 15205, 15206, 15207, 15208, 15209, 15210,
   15211, 15212, 15213, 15214, 15215, 15216, 15217, 15218, 15219, 15220,
   15221, 15222, 15223, 15224, 15225, 15226, 15227, 15228, 15229, 15230,
   15231, 15232, 15233, 15234, 15235, 15236, 15237, 15238, 15239, 15240,
   15241, 15242, 15243, 15244, 15245, 15246, 15247, 15248, 15249, 15250,
   15251, 15252, 15253, 15254, 15255, 15256, 15257, 15258, 15259, 15260,
   15261, 15262, 15263, 15264, 15265, 15266, 15267, 15268, 15269, 15270,
   15271, 15272, 15273, 15274, 15275, 15276, 15277, 15278, 15279, 15280,
   15281, 15282, 15283, 15284, 15285, 15286, 15287, 15288, 15289, 15290,
   15291, 15292, 15293, 15294, 15295, 15296, 15297, 15298, 15299, 15300,
   15301, 15302, 15303, 15304, 15305, 15306, 15307, 15308, 15309, 15323,
   15324, 15325, 15326, 15327, 15328, 15329, 15330, 15331, 15332, 15333,
   15334, 15335, 15336, 15337, 15338, 15339, 15340, 15341, 15342, 15343,
   15344, 15345, 15346, 15347, 15348, 15349, 15350, 15351, 15352, 15353,
   15354, 15355, 15356, 15357, 15358, 15359, 15360, 15361, 15362, 15363,
   15364, 15365, 15366, 15367, 15368, 15369, 15370, 15371, 15372, 15386,
   15387, 15388, 15389, 15390, 15391, 15392, 15393, 15394, 15395, 15396,
   15397, 15398, 15399, 15400, 15401, 15402, 15403, 15404, 15405, 15406,
   15407, 15408, 15418, 15419, 15420, 15421, 15422, 15423, 15424, 15425,
   15426, 15427, 15428, 15429, 15430, 15431, 15432, 15433, 15434, 15435,
   15436, 15437, 15438, 15439, 15440, 15441, 15442, 15443, 15444, 15445,
   15446, 15447, 15448, 15449, 15450, 15451, 15452, 15453, 15454, 15455,
   15456, 15457, 15458, 15459, 15460, 15461, 15462, 15463, 15464, 15465,
   15466, 15467, 15468, 15469, 15470, 15471, 15472, 15473, 15474, 15475,
   15476, 15477, 15478, 15479, 15480, 15481, 15482, 15483, 15484, 15485,
   15486, 15487, 15488, 15489, 15490, 15491, 15492, 15493, 15494
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS",
  "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER",
  "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE",
  "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT",
  "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALL", "CALLED",
  "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P",
  "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE",
  "CLUSTER", "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS",
  "COMMENT", "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DESC", "DETACH", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS",
  "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE",
  "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED",
  "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P",
  "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL",
  "NATURAL", "NCHAR", "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED",
  "OWNER", "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH",
  "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO",
  "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "';'", "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type_any_name", "drop_type_name", "drop_type_name_on_any_name",
  "any_name_list", "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type_any_name",
  "comment_type_name", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type_any_name", "security_label_type_name",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "GrantRoleStmt", "RevokeRoleStmt", "opt_grant_admin_option",
  "opt_granted_by", "AlterDefaultPrivilegesStmt", "DefACLOptionList",
  "DefACLOption", "DefACLAction", "defacl_privilege_target", "IndexStmt",
  "opt_unique", "opt_concurrently", "opt_index_name",
  "access_method_clause", "index_params", "index_elem", "opt_include",
  "index_including_params", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "function_with_argtypes_list",
  "function_with_argtypes", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "aggregate_with_argtypes",
  "aggregate_with_argtypes_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_option_list", "analyze_option_elem", "analyze_keyword",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "func_alias_clause", "join_type",
  "join_outer", "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "type_list", "array_expr", "array_expr_list", "extract_list",
  "extract_arg", "overlay_list", "overlay_placing", "position_list",
  "substr_list", "substr_from", "substr_for", "trim_list", "in_expr",
  "case_expr", "when_clause_list", "when_clause", "case_default",
  "case_arg", "columnref", "indirection_el", "opt_slice_bound",
  "indirection", "opt_indirection", "opt_asymmetric", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst", "Sconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,    60,    62,    61,   716,    43,    45,    42,    47,    37,
      94,   717,    91,    93,    40,    41,    46,    59,    44,    58
};
#endif

#define YYPACT_NINF (-4885)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-2635)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   10715,    31, 16573, -4885, -4885,    31, 61209, -4885, 68944,    27,
     650,  1124,   189, 14282, 69399, 76679,   598,   358, 15474,    31,
   76679,  1111, 52564, 66214,   809, 76679,  1044,   682, 52564, 76679,
   77134,   841,  1027,   767, 77589, 69854, 64849,  1402, 76679,  1098,
     954, 78044, 70309,  1035, 70764,   682, 48952,   411,  1019, 78499,
   76679,  2081,  1351,  1132, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,   913,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
    1964, -4885,  1060,  2047,  1767,   929,  1030, -4885, -4885, -4885,
   61209, 76679, 76679, 76679,  1364, 76679,  1315, 76679,   220, 61209,
   57114, 71219,  1525,  1409, 45306, 78954, -4885, 61209, 76679, 55294,
   61209, 76679, 76679, 79409, 76679, 76679, 76679,   111, 67579, 76679,
    1534, 76679, 76679, 55749, 79864,  1677,  1305,   248, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885,  1426,  1735, -4885,   267, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, 76679, 15858,  1044, -4885, -4885,
    2081, 76679,  1713, 61209, 76679,  1521, 80319,  1673, 76679, -4885,
   76679,  1715, 80774,   868,  1766, 57114,  2083, 45762,  1740, 76679,
   76679, 57114, 81229, 81684, 82139, 76679, 76679, -4885, -4885,  1791,
   76679, 76679, -4885,  1881, 57569,  1453,  1946,  2105,  2008,  1379,
   -4885, 71674, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   60299,   358, -4885, -4885,  1982, 61664, 76679,  2036, -4885, -4885,
   82594, 98904,  1836, -4885,   877, 62119, 58024,  2160,  1814, 46218,
    2220, -4885, 62574, -4885, 58479, 63029, -4885, -4885, -4885, -4885,
   -4885, 83049, -4885, 83504,  1905,  2036, -4885, 99345, 58934, -4885,
    2069, 83959, 84414, 84869, -4885,  1813,  1321,  1338, 41178, -4885,
   -4885, -4885,    27, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885,   326,  1698,   234,   226,   247, -4885, -4885,   227,   249,
     252,   326,  2268,  2268, -4885, 76679, -4885, -4885,  1698,   752,
    1820,  1820,  1820,  2034,     7, -4885,  1820,  1981, -4885, -4885,
   -4885, -4885, 70764, -4885,  1829,  1044,  1856,  2282,  1920, -4885,
   -4885, -4885, -4885, -4885,  1938, 76679, 76679, 76679, -4885, -4885,
    2328,  1932,  2200,  1960, -4885, -4885, -4885,  2182,  2223,  2214,
     149,  1044,  2143, -4885,  2271, -4885,  2231, 28123, 28123,  1044,
   72129, 85324,   254, 60299,  1044, 72584,  2090,  1200,  2270, -4885,
   -4885, -4885,   652, -4885,  2515,  2123,  2401,  1960,  1305, 42551,
   -4885,  2127,  1735, 70764, -4885, -4885, -4885,   415,  2441, 30011,
   76679,  2156, -4885,  2201,  2156,  2165,  2184,  1767, -4885, 10715,
    2263, 76679,  1237,  1237,  2637,  1237,   240,  1680, -4885,  2527,
   -4885,  2535,  2499, 70764,  2233,  1556,  2240,  1496,  2242,  1737,
    2961, -4885, -4885,   766, 76679,   222,  2284, 73039,  9016,  2252,
    1735,  2269, -4885, -4885, -4885,  2419,  1356, -4885, -4885, -4885,
   -4885,  2562,  2617,  5799,   314, 73494, -4885, -4885, -4885, -4885,
   76679, 76679, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885,  2309,  1262, -4885, -4885,  2308,  2622,  2520,  9064,   285,
    2607,  2483,   861,  9122,  2530,   910,  2685, 14717,  1431,  1800,
    2248, 73949, 76679,  2651,  2706,  4615,  1721,   832,  2584,  1281,
    2607,  2704,  2549,   861,  2730,  6632, 76679, -4885,  2659,  2775,
     109, -4885,   344, -4885, 23016, 30011, 48497, -4885,  1735,  2472,
    2625,  1156,  2663, 61209,  2424, -4885, -4885, 76679, -4885, -4885,
   99786,  2518, -4885,   977, 61209, -4885,  2657,  2496, 46674, 76679,
   61209, -4885, -4885, 61209, 76679, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885,  2588,  2783, 76679, 99786, -4885,  2731, 76679, 76679,
   -4885,  2481, -4885, -4885, -4885, -4885,  1820, 76679,  2488,  2891,
   99786,  2709,   406, 76679,  1649,  2933, 76679,  2727,  1649,  2544,
   85779, -4885, -4885,  1649, -4885, -4885, -4885, 76679, 76679,  2531,
    1445,  2723,  2846,  1649,  2753,  2966,  2969,  2759,  2612,  2767,
    2201,  2939,  2738,   937,   350,   201,  1876,  1649,  2595, 86234,
   86689, 76679,  2596, 76679,  2950, 61209, 61209, 76679,  2880, -4885,
    2736, -4885, -4885,  1185, -4885, -4885, -4885, -4885, -4885,  2895,
   -4885,   184,   272,  2896,  2569,  2899, -4885, -4885, -4885,  2619,
   -4885,  2619,  2619,  2573,  2573,  2751,  2579,  2908, -4885, -4885,
   -4885,  1733,  2619,  2573, -4885,100668, -4885,  1732,  1816, -4885,
     194, -4885,  3023, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885,  2585, -4885,   853,  1787, -4885, -4885,  2621, -4885,  2914,
     323, -4885,  2917, -4885,  2586, 87144, -4885, 87599, 88054,  2920,
     331, -4885, 57114,  2921,   323,  2922,  2586,  2923,   323,  2925,
     272,  2927, -4885,   989,  2929,  2932,   194,  2944,  2000,  2586,
   60754,  2946,   368, -4885,  2948,   437, -4885,  2949,  2816, 30011,
   -4885,  2714, -4885,  1019, -4885,  1772, -4885, 51654, -4885,  1338,
    1698, -4885, 76679,  1698, 76679,  1698, 76679,  1698, 76679,  1698,
   76679, 76679, 76679,  1698, -4885, -4885, -4885, 76679,  2633, 76679,
   76679, -4885, -4885, -4885, 66669, 57114, 67124, -4885, 76679, -4885,
     133,  1044, -4885, -4885, 99786,  3073, 57114,  2950, -4885,  1845,
   -4885, -4885, -4885, -4885, -4885, -4885,  2886, 76679,  2952,  2953,
   66669, 57114, -4885, 88509, 60299,  2845,  2641, -4885, -4885, -4885,
   -4885, -4885,  1924,  3111,   262,  3112, 30011,  2645,   262,   262,
    2646,  2963, -4885, -4885, -4885,   271,  2648,  2650, -4885,   265,
     265, -4885,  2652,  2654, -4885,   269,  2661,  2666,  3126,  3136,
     273,  2668,  2670,  2671,  1733,   262, 30011, -4885,  2672,   265,
    2673,  2675,  2677,  3150,  2679, -4885,  3152,  2686,   245,   289,
    2687,  2688, -4885,  2652, -4885,   291,  2689,  2692,  2693,  2694,
    2695,  2698,  2702,  2715, 30011, 30011, 30011, -4885, 26707,  1735,
    1044, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,   293,
    5211, -4885,  2745, -4885, -4885,  2905, -4885, -4885, 30011, -4885,
   -4885,   119, -4885,   295, -4885, -4885, -4885,  1735,  2984,  2719,
   -4885, -4885,  1302,  2720, -4885,   394, -4885, -4885, -4885, -4885,
   -4885, -4885, 59389,  3158, -4885,   310,  1044,   344,   367,  3104,
   50744, 51199, -4885, -4885,  2977, -4885, 76679, -4885, -4885,  1735,
     202, -4885, -4885, -4885, -4885,  1870, -4885, -4885, -4885,    27,
   12966,  1874,  2156, 76679, 76679,  3168, -4885, -4885, -4885, -4885,
    1895, -4885, -4885,  2726, -4885,  2201, -4885, -4885,  1767,  1767,
   30011,  1767,   253,  1719, 28595, 30483,  3050,  2945,  1140,  1584,
    3052, -4885,  2954,   240,  1680, 70764, 76679, 88964,  2856, 30011,
    2822,  2828,  2881, 49862, -4885,  2833,  2803,  2842,  2897, 53474,
    2763,  2847,  2848,  2904, -4885,  3028, -4885, -4885,  2859,  2864,
   89419, -4885, -4885,   996, -4885, -4885, -4885,   996, -4885,  2800,
    1679,   978,   340,  2869,   499,   218,  3181, -4885,  1367, -4885,
   -4885,  2924, -4885,  5900, 76679,  3120,  6756,  3000,   314,  3003,
    2926, -4885, -4885,  3055,  2883, 76679,  2884,  3021,   314,   290,
   89874, -4885, -4885, -4885, -4885, -4885, -4885,  4099, 25824, -4885,
    1809,  2887,  2866,  2906, 76679, 63939,  1810,  2992,  3016,  3024,
    1463,  2005,   545,  2955, 76679,  1103,  3032, 76679,  2823,  2911,
    2912,  3121,  2844,  1343,  3236,  2851, -4885, -4885, -4885, -4885,
     439,  2019,  3047, -4885,  3146,  3188,  5467,  2918,  2919, 97581,
   -4885,  2943,    83, 47130, 76679, 76679,  3070,  2951,  2956, 90329,
    4099,  2967,  2972,  2962,  2964,    13,  3252,  1520,  2976, -4885,
   -4885, -4885,  1520,  3095,  2979,  2982, 90784,  4099, 76679,  2983,
    2986, 76679,100668,   314, -4885,  3326,   314,   314,  1854,  3329,
    2989,   382,  3141,  1049,  1649,  2851,  2820, -4885,  2993,  2997,
     939, -4885,  3127,  3004,  3006,  3063,  1044, -4885, -4885,  3014,
    3087,  3017,    59, -4885, -4885,  1118,  3027, 70764,  3125,  3131,
     441,  2225,  2851, -4885,  3029,  3030,  2844,  2844, 76679, 76679,
   76679, 76679, 76679,   298,  3374,  3381,  3036,   259,  3084,  2968,
   -4885,  1520, 56204,  3039, -4885,  1520, 76679,  3044,  2501,  2851,
    1122,  1181, -4885, -4885, -4885,  1305, -4885, 30011, 30011, 30011,
    2965, -4885,  2301, 12966,    86, -4885,   297,  5802,  2970, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, 76679, -4885, 76679, -4885,  3232,
   99786,  3173,  3235, -4885,  3010, -4885,  3238,   314, -4885, 76679,
   76679,  3244,  3176,  3245,  3247,  3189,  1013, 99786,  3190,  3251,
   -4885,  3253,  3257,  3066,  3040,  3059, 50303, -4885,  2531,  3020,
    3443,  3344, 76679, 53474, -4885,  3467,   996, -4885, 99786,  3226,
    3351, -4885, 76679,  3246,    62, -4885,  3386,  3081, -4885, -4885,
      66, 76679,   305,  3064, -4885, -4885,  3357, 57114,   328,  3358,
    1044,  3079,  3365,  3248,  1044, 57114,  3282, 76679, 76679, 76679,
   76679, -4885, -4885,  3250,  1015,   168, -4885, 56204,  3261, -4885,
   76679,  3262,  2820,  3265,  3485,   948,  1820, 91239,  3364, -4885,
   91694,  3051,  3051,  3492, 99786,  3313, -4885,  1998, -4885,  3184,
   -4885, 61209, -4885, -4885, 61209, -4885, -4885, -4885, 99786, 76679,
   -4885,  3056, -4885, -4885, 30011, -4885, -4885, -4885,  2268, -4885,
   99786,  2619,  2619, -4885, -4885,  3497,  3140,  3144,  2268, -4885,
    2268, -4885, 99786, -4885,  3062,  3067,  2268,  3143,  3147,  3149,
   -4885,  3069,  3153,  2268, -4885, -4885,  2088, -4885, -4885, 61209,
   61209, -4885, 57114, 57114,  3403,   368,  3404,  3135,  3417,  3155,
   47130, 47130, -4885,   457, 61209, -4885, 57114, 61209, -4885, 76679,
   -4885, 76679, -4885, -4885, -4885, -4885, 99786, 99786, -4885, 57114,
   56204,  3424,  3425,   272, 76679, 76679, -4885, 76679, 76679, -4885,
   76679, 76679,  1901, 92149,  1338, 59844, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, 76679, -4885, 76679, -4885, 76679, -4885,
   76679, -4885, 76679, -4885, -4885, -4885, 76679, -4885, 76679,  1902,
   -4885, -4885,  1906,  1489, 76679, 76679,   866, 61209, 76679,  3311,
   61209, 61209, 76679, 76679, 76679, 76679, 76679,  3180,  2720,  1665,
   -4885,   847,   870, 70764,  3319, -4885, -4885,  1910,  2081,   583,
   76679,  1217,  1938, -4885, -4885, 67124, 66214,  3415,   352, 76679,
   -4885, -4885,  5560, 30011,  1735, 27651, -4885, -4885, 12966,  3160,
   30011, 30011,  3128,  2268,  2268, -4885,   427, 30011, 30011, 30011,
    2268,  2268, 12893, 30011, 47130, 30011, 35203, 23962, 30011, 30011,
   27179, -4885, 30011,  3341, 36607, 30011,   367,  3349, 30011,   367,
   12893,  3590,  3590,  1943,  4712,  3129,  1735, -4885,  2268,   268,
   -4885,   336, 99786, 30011, 30011, 30011, 30011, 53474,  3210,   238,
   76679, 30011,  3137,  2046, -4885, 30011, -4885,  3145, 30011,  3214,
     887, 30011, 30011, 30011, 30011, 30011, 30011, 30011, 30011, 30011,
   -4885, 37978,   467,  3449,  3473,    33,   618, 74404, 28123,  3465,
   23016, -4885,   261,  3465, -4885, -4885, -4885, 76679,  3158, -4885,
   -4885,  3243, -4885, -4885, -4885, -4885, -4885,   299, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885,  3151, -4885, -4885, -4885, -4885,
    3151, -4885,  3163,  3453,  3455,   272, 76679,   415,  2393, -4885,
   30011, -4885,  1922,  3169, 76679,  2263, 76679, -4885,  3437, -4885,
    3167, -4885, 11095,  3437, -4885, -4885, 35669,  3290,  3445,  3400,
   -4885, -4885, -4885,  3193, 12966, 30955, 30955, -4885,  2102, 12966,
    2169, -4885, -4885, -4885, -4885, -4885, -4885,  1301, -4885, 76679,
     129,  3050,  1584,  3254,  1383,  3638, 76679, -4885, 43008,  1930,
   57114, 76679, 76679,  3396, -4885,  3622, -4885,100668, -4885,  3202,
   -4885,100227, 96244, -4885, -4885,   968, -4885,  1002, 57114, -4885,
   76679, 76679, -4885, 53474, 57114, 76679, 76679, -4885, 57114, 76679,
   76679, -4885, -4885, -4885, -4885, -4885, 52109,   775, 66214,  3335,
   65304, -4885, -4885,  3207, 76679,  3264,  3472,  3475,  1352, -4885,
   -4885, 92604, -4885,  3427, 57114, 76679, 76679, 30011,  3430, 76679,
   76679, -4885,   881,  3295,  3296, -4885, 76679,  3298,  3456, 61209,
    3222, 76679, 76679, 99786,  3300,   990, 61209,  3267, 47586, 61209,
   61209, 76679, 76679, 76679, 76679,  3352,  3543, 99786, 76679,  3498,
    1368, 70764,   214,  2600,  2851,  3457, -4885,  3566,   859, -4885,
   57114, -4885, 76679,  3446, -4885, -4885, -4885, 74859,  3675,  3354,
   -4885, -4885, 93059, -4885, -4885, -4885,  1934, -4885, 57114, 57114,
   76679,  8042, 93514,  1502,  3469, -4885, -4885, 99786, -4885, 76679,
   75314, 76679, 76679,  3573,  3501, 76679, 68034, 93969, 94424,  1387,
    1435,  3502, 76679, 68489,  3505, -4885,  3391, 76679, -4885, -4885,
   53929, 57114, 76679,   869, 53474, -4885, -4885, 76679, -4885,  3464,
     280, -4885, 76679,  8759, -4885, -4885,  3339,  3346, 76679,  3466,
     235,  2713,  2851, 76679, 76679,  3259,  1935, 57114, 76679, 53474,
   -4885,  3474,   979,  3593, 57114, 76679, 74859, -4885, 70764, 70764,
   57114, 76679, 70764, -4885, 76679, 85324, -4885, 57114,   930, -4885,
    3594, 57114, 76679, 74859, -4885,  3421, 57114, 76679, 15305, -4885,
   -4885, -4885,   314, -4885, -4885, -4885, -4885, -4885, 76679, 76679,
     314, 76679, 76679,   314,  1290, -4885, 57114, 76679, -4885, -4885,
   -4885, 57114, 76679, 76679, -4885, 57114,  3064, 76679, 53474, -4885,
   76679,  7039, 76679, 76679, 76679, 76679, 76679, 76679, 57114, 76679,
   -4885, -4885,  1326,  1355,  1263,  1292,   806, 76679,  3557, 76679,
   94879, 57114, 76679, 76679,  1044, 76679,  1406, -4885, -4885,  3392,
   -4885, 57114,   930, -4885,  8255, 76679, 76679,  3366,  3373,   243,
    3435, -4885, -4885, -4885,   667,   667,  3495, -4885, 30011, 30011,
   29067,  3272, -4885, -4885, 30011, -4885, -4885, -4885,   946,  3736,
   95334,   946, -4885,   946,  3565,  3355,  3359,   946, 76679,   946,
     946, 76679, -4885, -4885, -4885, -4885,  3560, 76679,   946,   946,
     946,  3471,  3509,   164,  3588,  3317,  1942, -4885, -4885, 30011,
   99786, 76679, -4885,  1947, -4885,  3318,  1015, -4885, -4885, 53474,
   76679,   761,   734,  3636,  3519, 64394,  1255,  3627, 76679,  3362,
   76679,  3752,  3409, 70764,  2531, -4885,  1255, 76679, -4885,  1878,
   66214, -4885, -4885, -4885, -4885, -4885, -4885, -4885, 76679, -4885,
   -4885,  3628, 76679, 30011,  3487, -4885,  1044,  2531,  2531,  2531,
    2531, -4885, -4885, -4885, -4885,  3532,  1839, -4885,  3323,  2531,
   76679,  3448,  3662,  1255,  3336,  3663, -4885,  2820,  3665,  1214,
   76679,  3548, 64394,  2159,  3377,  3561,  3782,  1820,  1044,  3569,
    3549, -4885, 26265,  3035,  6424,  3550,  3609, 60299,  3647,  3648,
    3669, -4885,   184, -4885,  3793, -4885, 30011,  1953,  3356,   194,
   -4885, -4885,  3363,  3067,  3379,  3383,  3368,  3372, -4885,  2268,
     223,  3375,   852,   154,  3494,  2268,  3605,  3376, -4885,   323,
   -4885,  2586, -4885, 76679, -4885, 76679, 76679, 76679, 76679,   331,
   -4885, -4885,   323,  2586,   323,   272, -4885,  3634,   194,  2586,
    3504,  3696, 60299, -4885,   368, -4885,   437, -4885,  3586,   272,
   -4885,  3604,  1820, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885,  1968, -4885, 76679, -4885,  3673,  3676,  3677,  3678,  3679,
    3384,  3389,  3429, 76679,  3393,  3384,   314,  3393,  3393,  3384,
    2720,  2720,  3384,  3389, 56659,  3849,  3703, -4885,  3490,  3412,
    3724,   195, -4885,   221,   759,  3649, -4885, -4885, -4885, -4885,
   99786, -4885, 57114,  3452, 76679, 76679, -4885,   379,  3621,  3414,
   56659,  3842,   272, -4885, 61209, -4885, -4885, 99786,  3496,  3514,
   61209,  3637,  3476, 61209, -4885, -4885, 61209, -4885, -4885, -4885,
   -4885, -4885, 99786, -4885,  3684, 76679, 76679,  1978, -4885, -4885,
    1661, -4885,  1688, 30011,   454, -4885, 11328,  1987, 30011,  3428,
    3433, -4885, -4885, -4885, -4885, -4885, -4885, -4885,  3434,  3739,
   -4885,  1988,  2002,  2003,  3436,  3438,  3198,  3440, 11956,  3441,
    3431, 35203, 35203, 26707,  2352, -4885, 35203,  3442,  3623,  2007,
   11155,  3432,  3444, 12022, 29539, 30011, 29539, 29539, 12284,  3432,
    3450,  2009, 53474,  3630, 12425,  2013, -4885, 30011, 53474,  4663,
   30011, -4885, 30011,  3454, -4885, -4885,  2566,  2566,  2566, 12893,
   -4885,  3477, -4885, 35203, 35203, -4885,  1227, 26707, -4885, -4885,
    3749, -4885, -4885,  1499, -4885,  3447, -4885, -4885,  2439, 47130,
    3805, 30011,   256, 30011,  3137, 30011,  3529,  2566,  2566,  2566,
     359,   359,   231,   231,   231,   416,   618, -4885, -4885, -4885,
    3458,  3462,  3463,  3650,  3468, 30011, -4885,  2221,  2292, 76679,
    2960,  3564,  4093, -4885, -4885, -4885, 38893,  3506,    86,  3506,
   -4885,  1305,  2268,   268, 51654, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, 76679, 12966, -4885,  2081, -4885, -4885, -4885, 30011,
   -4885, -4885,  3413,  3479,    82,  3658,  2186,  2186,  2102,  3661,
   -4885, -4885,  3523, -4885, 30011,  2185, -4885,  2191, -4885, -4885,
   -4885, -4885,  2720, -4885,  3708, -4885, -4885, -4885, 38893,  3510,
    3521,    60, 42093,  3674, -4885, 76679, -4885, 76679,   380, -4885,
    3483, -4885, -4885, -4885, -4885, -4885, -4885, 96244,  1787, -4885,
  100227, -4885,100227, -4885,  1787,  3895, -4885, 96244,  1769, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, 57114, 57114,  3680, 76679,  3681,  3682, 30011,   424,
   76679,  3478,  3481,  1598,  3759, 76679, -4885,  3811,   272, -4885,
   -4885,  3570, -4885, 12966, -4885, -4885, -4885, -4885, -4885, 57114,
   76679, -4885, 60299, -4885, 76679, -4885, 99786, -4885, -4885, -4885,
   76679,  3518, 76679, -4885, 76679, 76679, 76679, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885,  1108, 99786, -4885, -4885, 76679, 76679,
     771,  3571,  3574, 76679, -4885,  1392,  3127,  8333, 76679, 76679,
   76679,  3765, 76679, -4885, -4885, -4885, -4885,  3709, -4885, -4885,
   96244, -4885,  2586,  1126,  3577,  2851,  3719, -4885,  3829,  3704,
   -4885,  3624,  1034, -4885, -4885, 76679,  3635, -4885, -4885, -4885,
   -4885,  3836,   272,  3838,   272, 76679, 76679, 76679, 76679,  3640,
   -4885, -4885, -4885, -4885,  3641,  3763, -4885, 53474, 53474, 53474,
    2015, -4885, -4885,  1044, -4885, -4885, -4885, -4885, -4885, -4885,
    3800, -4885,  2021, -4885,   -22, -4885, -4885, -4885, -4885, -4885,
   -4885, 57114, 76679,  8741,  3845, 76679, 76679, 76679,  1803, -4885,
    1113, 99786, -4885, 98022, -4885, -4885,  2035, -4885,  3531, 76679,
    3600, 57114,  3579, 76679, -4885, -4885, -4885,  3524,  3524, -4885,
   -4885,  3524, -4885, -4885, -4885,  3774,  3713, -4885,   986,  3714,
   57114,  3591, -4885, 76679, -4885, -4885, -4885,  3614, -4885, -4885,
    3615,  2757,  2851,  2820, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,  1692,
   -4885, -4885,  1180,   445,  2930,  2851, -4885,  1361, -4885,  3616,
   -4885,  3617, -4885, -4885, -4885,  3778,  3781,  3783,  3625,  3626,
    3683,  3629,  3632,  3685, -4885,  3639,  3687,  3643,  3688,  3748,
    3651,   272, 99786,  3768,  1044,  3667,  3873,   272, -4885,  3654,
   -4885,  3655, -4885,  3983, -4885, 76679, -4885,  3656,  3183,  2851,
   -4885, -4885, 57114, 76679, -4885, -4885, -4885, 30011,  3558,  3567,
    3568, 12966, 12966, 30011, -4885, -4885, 12966,  3559, -4885, -4885,
   -4885, 99786, 76679,  3826, -4885, -4885,   946, 76679, 76679, -4885,
    3835, -4885, -4885,  3843, 76679,  3844, -4885, -4885, -4885, -4885,
     260, -4885, -4885, -4885,  3471,  3881, 44382, -4885,  4054,  5535,
    3583,   453, -4885, 53474, 44382,  1984,  2355,   814,  1649, -4885,
   60299, 76679, 60299, -4885,   734,  3704, 76679, 76679, 76679,  3585,
    3587, -4885, -4885, -4885, -4885, 57114,   955, 57114,  2268, -4885,
   -4885,  3664, -4885, 76679,  1820,  4060,  3908, -4885,  3524, -4885,
    4027,  2969,   328,  3746,  1700,  2612,  3969,  2201,   399, 53474,
    3377, -4885, -4885, -4885, -4885, 76679, 76679,  1015,  1044, -4885,
    3602,  3597, -4885, 76679,  3925, 76679, 76679, 76679, 76679,  3452,
    3610, 76679,  3620, 99786,    61,  3818,  3820,  2844,  4061,  3951,
    2081,  3377,  3705,  3955, 70764, -4885,  2057,   193, -4885,  1044,
   60299, 97140,  3946, -4885,  6424, -4885, -4885,  6424,   933, 76679,
    3930, -4885, -4885,  2081, -4885, 99786,  2062, -4885, -4885, -4885,
    2268, -4885, -4885,  1439,  1439,  3633, -4885,  3642, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885,  3644, -4885, -4885, -4885,   368,
    3689,   272,  3691,   272, -4885, -4885, -4885, -4885, 76679, -4885,
   76679, 56204,   272, -4885, -4885, 76679, -4885,  3964, -4885, -4885,
    3769,  3770,  3771,  3773,  3775, 76679,  3384, -4885,  3653, 57114,
    1701, -4885, -4885,  3839, -4885, -4885, 70764,  3764, -4885, -4885,
   -4885, -4885,  3976,  3977, -4885, -4885, -4885,   825, -4885, -4885,
   -4885, 57114, 66669,   483, 57114, -4885,  3913,  3917, -4885, -4885,
    3919,   314, -4885,  3920,  3923,  3924, -4885,  3927,  3929, -4885,
   -4885, -4885,  3668, 12557, 30011, -4885,  4004, 99786, -4885,  6460,
   -4885, -4885, -4885, 30011, -4885, -4885, -4885, -4885, -4885, 30011,
   -4885, 30011,  3980, -4885, 24435,  4133,  4133,  3672, 99786, 35203,
   35203, 35203, 35203,  1702,  2673, 35203, 35203, 35203, 35203, 35203,
   35203, 35203, 35203, 35203, 36141,   498, -4885,  3864, 30011, 30011,
    3988,  3980, -4885, 99786,  3690,  3432,  3692,  3693, 30011, -4885,
   -4885,  2074, 37064,  3695, 53474, -4885, 30011, 11622,  2085,  3718,
   12693,  1735,  7195,  1044, 30011,  2504,  2614, 30011,  2091, 30011,
    3989, -4885, -4885, -4885,  3686, -4885, -4885, 99786, 30011,  3697,
    3148, 35203, 35203,  3821, -4885,  4153, 30011, 26707, -4885,  3495,
    3717, 43465, -4885, 24908,  3698,   682,   682,   682,   682, -4885,
   76679, 76679, 76679, 39350,  3990,  3699, 38435, 75769,  3701,  1729,
   -4885, 75769, 76224, 75769, -4885,  3702, -4885,  1735, 30011,  3984,
    3700,  3984,   344,  3710, -4885, -4885, -4885,  3711, -4885,  3706,
   -4885,  3479,  1441, -4885, -4885, -4885,  3888, -4885, -4885, -4885,
   -4885,  3701, 31427,  3841, -4885, -4885, -4885,  3751,  2097, -4885,
   -4885,  4077,  3841, -4885, -4885,  2098, 43008,  3510, 30011,  1735,
    2111,  1835, -4885, -4885, 96244, -4885,  3785,  2586,  2586,  1558,
    3384,  4025,  1558,  7214, -4885, -4885, 39807, 76679, 76679, -4885,
   76679,  2112,  1760, 76679, -4885, 76679, -4885, -4885, -4885, -4885,
    4152, -4885, 76679, -4885, -4885,  3776,  3779, 76679, 76679, 76679,
   76679,  3986, -4885, -4885,  2242, -4885, -4885, 57114, 76679, -4885,
   -4885, -4885,   250,  3209,  2851, -4885,  3796, -4885, -4885, -4885,
    3999, -4885,  4146,  3816, 76679,  4057, 76679,  3730, -4885,  1760,
    3833,  4039,  1360,  2844,   382,  4862, -4885,  1378, -4885, -4885,
    3802, -4885, -4885, 76679, -4885, 76679, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885,  3862, -4885, -4885, -4885, -4885, 53929, -4885,
   -4885, 76679, -4885, 53474, 44382, 53474, -4885,  1195,   337,  3255,
    2851, 76679, -4885,  3817, -4885,  3822,  3823,  3870,  1115,   239,
    3825,  3831,  3872,  3741,  3753,  3754, -4885, 53474, 44850,  3898,
   76679,  2586,  3750,  3790, -4885,   326,  1044, -4885, -4885,  1044,
    2586,  1044, -4885, 76679, 76679, 76679, 53474, -4885,  4177,  3846,
   76679, 76679, 76679, 76679, -4885,  3812, -4885, 76679, 76679,  4079,
     985,  2027, 57114, 76679, 76679, 57114, 76679, 76679, 76679, 76679,
   76679, 76679,  4087, 76679, -4885,  4166,  4094,  1986,  4134,  3837,
   76679, -4885, 76679,  1044,  3127, 76679, 76679, -4885, -4885, -4885,
   -4885, -4885,  3495, -4885,  3766,  4034,   946, -4885,  4035,  4038,
     946,   946,  4040,   946, -4885, -4885,  1649, -4885,   260, 76679,
   -4885,  3706,   439,  2019, -4885, -4885, -4885, -4885, -4885, -4885,
    3317, -4885, -4885,  2299, 76679, -4885, -4885, -4885, 76679,  3780,
   76679, 76679, 35203, -4885,  1690,  1369,   278, -4885,  4037, 76679,
    3064, -4885, -4885, -4885,   219, 76679, -4885, -4885, -4885, -4885,
   -4885,    67,  3610, -4885,  4059, 64394,  2586, 57114, 57114,  2586,
   -4885, 99786,  3786,  3377, -4885,   232,  3860, 57114,   328,  1272,
   95789,  3079,  3840,  3992, 38893,  1692, -4885,  3798,  3941, -4885,
    3789,  3804, -4885, -4885, 76679,  3704, 56204,  2113,  2820,  4243,
    1149,  1813, -4885, 65759,  3995,  3610,  4059, -4885, -4885, -4885,
    4207,  3907, -4885,  2081, 76679,  3452,  3907,  1044, 76679,  3264,
   -4885, 96244, 30011, 30011, -4885,  3819, -4885,  3832,  6424, -4885,
    3889,  3827, -4885, -4885, -4885, -4885, -4885,  3901,  3834, 76679,
   -4885,  3824, -4885,  3830, -4885, -4885, -4885, -4885, -4885, -4885,
   76679, -4885, 76679, -4885,   272, -4885,  3947, -4885,   272, 76679,
   76679, 76679, 76679, 76679, 76679,  3384,   314, -4885,  4138, 56659,
   -4885, -4885,  2117, 76679, -4885, -4885, -4885,  4204,   352,  4147,
   -4885, -4885,  1070,  1070,  1070,  4102,  1070,  1070,  1070,  1070,
    1070, -4885, 30011, 12966, -4885,  3847, -4885, 12966,  7353, 12966,
    3988, -4885,  2157, 30011, -4885,  3297,  3297,  3297,  3287,  4149,
   -4885,  1639,  3850,  3297,  3297,  3297,   398,   398,   246,   246,
     246,  4133,   498, 12966, 12966, -4885, -4885,  3848, -4885, -4885,
   -4885,  3432, -4885, 31899,  3997,  4261, -4885, -4885, -4885,  3880,
    3882,  3851, -4885, 30011, 32371,  3853,100668,  4046, -4885,   390,
   30011, 30011,  1925, -4885, 13328, 30011, 99786,  2158,  1925,   479,
   30011,  2712,  3122, 30011, 30011,  4361,  7720,  3854, 30011, 96685,
   -4885, -4885, -4885,  2166, 30011, 76679, 76679, 76679, 76679, -4885,
   -4885, -4885, 75769, 76224, 75769,  3858, 37521, 25366,  1729,  3859,
   76679, -4885, -4885,  3863, 38893,  4104,  4042, -4885, 38893,  4042,
    1869,  4042,  4116,  3948, 43922, -4885, -4885,  3865, -4885,  4062,
   -4885,  1809, 12966,  4283,  4167,  1044,  4167,  1044, -4885, 47130,
   -4885, -4885, -4885, -4885,  4080, 12966, 28123, -4885,  2081,  2119,
   76679,  1735,    74, -4885,  3883, 76679, -4885,  3841, 12966, -4885,
    3940,  2167, -4885, -4885, -4885, -4885, -4885, -4885, -4885,  3953,
   66214,  4186, -4885, 30011,  2172, -4885,  3914,  4278,   377,  2173,
    2174,  1760, -4885,  4164, -4885,  1547,  4161,   472, -4885,   272,
   -4885, 99786, -4885, 76679, 76679, -4885, -4885, -4885, -4885, 76679,
    2763, -4885, -4885, 76679, 76679, 76679, 76679, -4885, 57114, 76679,
   -4885, 76679, -4885, 53474,  2355,   326,  1690,  4174,  4098, -4885,
     314, -4885,  1690,  4101,   326, 76679, -4885, -4885,  2589, -4885,
   99786,   272,   272, -4885, -4885, -4885, -4885, -4885,  3900,  4305,
    3975, 76679, 76679, 76679, -4885, 76679, 57114, 76679, 76679,  2268,
    2268, 99786,  3886, -4885,  2268,  2268,  3887, -4885, 57114, 76679,
   76679, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885,  3971, -4885, 30011,  4301, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, 57114, 76679,  3978, -4885,  3979,
   -4885,   145, -4885, -4885, 76679, 76679, 76679, 76679,  4229, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, 76679,
   -4885, 76679, -4885, -4885,  1044,  1044, 99786,   272,   272, -4885,
   -4885, -4885, -4885,  3904,  4171,   946, -4885,   946,   946, -4885,
   -4885,   946, -4885,  3902,   481, -4885,  1760,  1481,  4216, -4885,
    4219, 30011, -4885,  1597,  3287, -4885,  4271,  4352, -4885, -4885,
   -4885, -4885,  3064,  1820,  3970, -4885, -4885, 61209,   346, -4885,
    4202,   761,  4126, 64394,  1361,   292,  3921,  4043, -4885,  2586,
    2586,  3973, 76679,  4358, -4885, -4885, -4885, -4885, -4885, -4885,
   57114,  3579, -4885,  4143,  1152,  4242, 76679, 30011,  3701, -4885,
    1640,  4245, -4885,  1044, -4885, -4885,  4051,  3377, -4885,  1704,
   76679,  4142, 64394,  3452,  2179, -4885, -4885, -4885,  3981,  4354,
    2159, -4885,  1361,  3995,   251, 76679, -4885,  3982,  4375, -4885,
   -4885,  4249,  4144,  3943, -4885, 12966, 12966,  1044,101109,  6424,
   99786,  4256, 76679,   173,  4225,   272, -4885,   272,   272, -4885,
   76679, -4885,  3384,  3384,  3384,  3384,  3384, -4885,  4150, -4885,
   -4885,  4208, -4885,   272, 56659, -4885, -4885, -4885, -4885, -4885,
    1070, -4885, -4885, -4885, -4885, -4885, 12966, -4885, -4885, -4885,
   -4885,  8016, 35203,  4262, -4885,  3957, 99786, -4885,  3958,  2180,
    2192, 36607,  4111, -4885, -4885, -4885,  8036,  4006, 12966,  4065,
    3960,  3961,  1925,  1925, 13328,  2196, -4885,  1925, 30011, 30011,
    1925,  1925, 30011, -4885, -4885,  8099,  4151, -4885, -4885,  8664,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, 54384,  3967,  3630,
   75769,  3968, 76679,  1729, 38893, -4885, -4885,   984, -4885, 38893,
    4226, -4885, 38893, 61209, -4885, 76679,  3972, 76679, -4885, 32843,
   30011,  4007, -4885,  4007, -4885,  3974, 76679,  2719, -4885,    60,
   -4885, -4885,  4366, 39807,  4318, 30011, -4885, -4885, -4885, -4885,
   56659,  4183, 56659,  1760,  8763,  4164, 39807, 48042, 76679, 76679,
   76679,  4136,  4164,  3994,  3064, -4885, -4885, -4885, -4885, -4885,
   -4885,  3985, -4885, -4885, -4885, -4885,  4063, -4885, -4885,   813,
    3319, -4885,  2198, -4885, -4885,  4419,  4311, -4885, -4885, -4885,
   -4885, -4885, -4885,  4166, -4885, -4885, 44382, 57114, 76679, -4885,
    4067, -4885, -4885, -4885, -4885, -4885, 41636, 47130, -4885,  1115,
    3996,  3998,   239, -4885, -4885, -4885, 76679,  9410,  4000,   826,
    3319, 76679, 76679,  4005,  4010,  4011,  1684,    39,  1777,  3384,
    4306, -4885, -4885, -4885, -4885,  4166, -4885, -4885, -4885,   946,
   -4885, -4885, -4885, -4885, 53474, -4885,  3109, -4885,  1649,  4344,
   61209,  4431,  4431, 76679, -4885,  9781,  4210, -4885, -4885,  4291,
    3970,  4237,  4287, -4885,  4013, 76679,   219,  4014, 76679,  4016,
    4127,  1031,  1031, 76679, 76679, 76679,  2211,  2081,  2586,  3790,
     328,  4335, 64394,  4384,  3704,   429, -4885, -4885,  1640, -4885,
      81,  4360,  4064, -4885, 76679,  4459, 76679,  3452,  3610, 76679,
    4021, -4885, -4885, 65759,  4232,  2355,101550,  3820,  3995,  2159,
    4158, -4885,  4159, -4885,  1047, -4885,  2081, 76679, 70764, 39807,
   -4885,100227, -4885,  2217, -4885, -4885,  4097,  3506,  4139,  4140,
    4036, 76679,   106, -4885, -4885, -4885, -4885, -4885, 76679, -4885,
     483, -4885, -4885,  3337, 35203, 99786,  2230, 30011, -4885, 30011,
   -4885,  4456, -4885, -4885, -4885,   107, -4885, -4885, -4885,  1925,
    1925,  1925, -4885,  4457,  3495, -4885, -4885,  2237,  4480, 34259,
    4443, -4885, 76679,  2241, -4885, 30011,  4048, -4885, -4885, 38893,
     984,  4052,  2255, 76679,  2256, 99786,  4058,    28,  4066, 23489,
    4047, -4885, -4885, -4885, -4885, -4885, 12966, 12966, 76679, -4885,
   -4885, -4885, -4885,  4105, 76679,  2262, -4885,   105, 12966,  1701,
    1558,   483,  4278,  3064, -4885,  4068, -4885, -4885, -4885,   917,
     917, 76679,  3064, 76679,  3970, -4885, 76679,  4148, -4885, -4885,
   53474,  4340, -4885,  4115, -4885,   945,  3319, 76679, 99786, -4885,
     128,  4378, -4885, 99786, 99786, -4885, -4885, -4885, 30011,  4155,
   -4885, -4885, -4885,   312,   329, 63484, -4885, -4885, 76679, 76679,
   76679, 76679, 76679,   272, -4885,  2276, -4885, 40721, -4885, -4885,
    2933,  1044,  2933,  1422, -4885, -4885,  2933, -4885,  2933, -4885,
    3902,  1044,  4431,   936, -4885, -4885, -4885,  2017,  4292,  4072,
   -4885,   895,  4286,  4170,  4083, -4885, 61209,  4542,  3610,  4059,
   76679, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
   -4885,  2287,  3704,  4407,  3377,  3982, -4885, 76679,  4119, -4885,
   38893, -4885, -4885, -4885,  2933, -4885,  1440,  4089,  4421,  3704,
    2081,  1813, -4885,  3995,  3610,  4059, -4885, -4885, -4885,  4090,
   -4885,  3907,  2159,  3820, -4885, -4885,  4501,  4303,  4507,  3452,
   -4885,  3264,  2289, -4885,  6424,101109, 99786,  4449,  4156,  4157,
   -4885, -4885,  4162, 76679, -4885, -4885,  3704, -4885,  3337,  2294,
   -4885,  2295,  2302,  4267,  4154, -4885, 30011,   944,  3702, 54384,
    4112, -4885, 35203,  2303, -4885,  3241, 76679,  2320, -4885, 12966,
   76679, -4885, -4885, 30011, -4885,  2326, -4885, 30011,  4113, 30011,
   -4885, 32843,  4110, -4885,  4554,  2081, -4885,  3506, 39807, -4885,
    4234, -4885,  4429, -4885, 76679,  3970, 47130,  3479,  3479,  1820,
    3970,  2333, -4885, -4885, 76679, -4885,  4072, 30011, -4885,  4211,
   -4885, -4885,  2350,  1275,  4282,  4282,  2357,  2361,  9884, 76679,
   -4885, -4885, -4885, -4885, -4885, -4885,  2367, -4885, -4885, -4885,
   -4885,  2368, -4885,  2372,  2268,  3389,  1777,  3389, -4885,  3384,
   -4885, -4885, 53474, -4885, 54839, -4885, -4885, -4885,  1044, -4885,
    1044,  4343, 76679, 49407,  1044,  1044, -4885, -4885, -4885, -4885,
   -4885,  4472,  4412, -4885,  2820, -4885, -4885, -4885, -4885,   487,
   -4885,  4338,  4339, 76679, -4885,  4135, -4885,  2373,  1361,  4257,
    3704, -4885, -4885, 76679,  4577,  4578, -4885,  1268, 76679,  3701,
   76679, -4885, -4885, -4885, 30011,   219, -4885,  3982,  3452,  2159,
    1361,  3995,  2355, 40264, -4885,  3820,  3907,  4342, -4885,  4345,
   -4885,  4160,  4428,  6424, -4885, -4885,   330,  4460,  4461, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885,  3432, 33315, 33315,
   33315,  4173, -4885, -4885, 76679,  3287,  4163, 34259, 53474,  2379,
   -4885, 98463, -4885,  2383,  2392, -4885,  2413, 32843,  2425, -4885,
   76679,  4165, -4885, -4885, -4885, 43008, 56659,   917,  4190,  4175,
   -4885, -4885,  4237, -4885, -4885,  1760,  3319, -4885, 12966, 76679,
   61209,  4575, -4885, -4885, -4885, -4885, -4885, -4885, -4885,  3319,
    4235,   312, -4885,   329, -4885, 63484, -4885, 76679, -4885, -4885,
    2436, -4885, -4885, -4885, 76679,  3798, -4885,  3798, -4885, -4885,
    4290, -4885,   987,   874,   874,  4514, -4885,  4217, -4885, -4885,
    4176, -4885,  4630,  4289, 76679, -4885, -4885,  1115,  2081, 64394,
    3704, -4885, -4885,  9963, 61209, -4885, -4885,  3820,  3995,  2159,
   30011,  2438, -4885,  4278,   377,  3907, -4885, -4885, -4885, 39807,
    4172,  3377, -4885, -4885,  2978, 61209, 61209, 34731,  4297,  1010,
   11808,  4503, -4885,  4503,  4503, -4885,  2444, 36607, -4885, -4885,
   -4885, 76679,  4373,  1134, -4885,  4329, -4885,  2453, -4885, -4885,
   -4885,  1391,   483,  3479,  4180, -4885, -4885,  4286,  1760, -4885,
    3319, -4885, 76679, -4885,  4184, -4885, -4885, -4885, -4885, -4885,
   54839,  3798,  4064, -4885, -4885,  4636, -4885,  1138, -4885, -4885,
   -4885, -4885, 76679,  3704,  3886,  3982, -4885, -4885,  4187,  3907,
    2159,  3820, 10457, -4885, 40264, 76679, 76679, -4885,  2457, 39807,
    3907, -4885,  2628, -4885, -4885, -4885, -4885, -4885, -4885, -4885,
    4182,  4185,  4632, -4885, -4885, -4885, -4885, -4885,  1123, -4885,
   -4885, -4885, -4885,  3630, -4885, -4885, 35203, 35203,  4409, -4885,
    1134, -4885,  4196, -4885, -4885, -4885, -4885, -4885, 30011,  1760,
   -4885, -4885, -4885,   312, -4885,  4527, -4885, -4885, -4885,  3704,
   -4885, -4885, 53019, -4885,  3820,  3907,  4278, -4885, -4885, -4885,
    4428, -4885,  2458,  3506,  2142, -4885, -4885,  2335,  2184,  4288,
    4510, 33787,  4347, -4885,  4400, -4885,  4606,  3287,  3287, -4885,
   -4885, 30011, 10550,  1760,  2470,   219, -4885, -4885,  2475, -4885,
   -4885, -4885, -4885,  3907, -4885, 76679,  3377, -4885, 39807, -4885,
   -4885,  2628,  4315,  4317, -4885, -4885, -4885, 76679, 10920, -4885,
   -4885, 61209, -4885, 53019, -4885, -4885,  3907, -4885, -4885,  4251,
    4252,  2476, -4885,  4220, -4885,  3506,  4525,  4526, -4885, 53019,
   -4885, 61209, 61209,  2477, -4885, -4885, -4885
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
    1672,  1447,   632,  1533,  1532,  1447,     0,   255,     0,  1537,
       0,  1447,   426,  1125,     0,     0,     0,     0,   632,  1447,
       0,  1672,     0,     0,     0,     0,     0,  1685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1447,     0,     0,
    1692,     0,     0,     0,     0,  1685,     0,  1539,     0,     0,
       0,     0,     0,     2,     4,    37,    72,    73,    31,    30,
      92,    55,    18,    63,   126,   125,   127,    42,    38,    80,
      26,    28,    39,    43,    65,    67,    45,    56,   104,    64,
      24,    62,    87,    68,    90,    50,    12,    13,    51,    14,
      52,    15,    53,    16,   100,    74,    93,    35,    61,    23,
      44,    70,    71,     5,    46,    82,    78,    11,    57,    58,
      60,    84,    85,    86,   109,    88,   121,    41,   118,    97,
      98,   115,    99,   116,     9,   101,    54,    17,   112,   111,
     113,    81,    47,    83,    69,    91,   110,    27,   114,    19,
      20,    22,    21,    59,    29,    66,    32,    89,   117,   107,
     103,   122,   120,   128,   105,    75,     7,     8,    94,     6,
      25,    49,    10,    34,    33,    48,    40,   124,    36,  1537,
      96,   108,    95,    76,   102,    79,   106,   123,    77,   119,
    1645,  1644,  1694,  1648,  1671,     0,  1660,  1446,  1445,  1431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1457,  2274,  2289,  2290,
    2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,
    2301,  2302,  2303,  2304,  2629,  2305,  2306,  2307,  2579,  2580,
    2630,  2581,  2582,  2308,  2309,  2310,  2311,  2312,  2313,  2314,
    2315,  2583,  2584,  2316,  2317,  2318,  2319,  2320,  2585,  2631,
    2321,  2322,  2323,  2324,  2325,  2632,  2326,  2327,  2328,  2329,
    2330,  2331,  2332,  2333,  2334,  2633,  2335,  2336,  2337,  2634,
    2338,  2339,  2340,  2341,  2342,  2343,  2586,  2587,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,
    2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,  2369,  2370,  2588,  2371,  2372,  2373,  2589,
    2374,  2375,  2376,  2590,  2377,  2378,  2379,  2635,  2636,  2380,
    2381,  2382,  2383,  2384,  2591,  2592,  2385,  2386,  2387,  2388,
    2389,  2390,  2391,  2637,  2392,  2393,  2394,  2395,  2396,  2397,
    2398,  2399,  2400,  2401,  2402,  2403,  2638,  2593,  2404,  2405,
    2406,  2407,  2594,  2595,  2596,  2408,  2639,  2640,  2409,  2641,
    2410,  2411,  2412,  2413,  2414,  2415,  2597,  2642,  2416,  2643,
    2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,
    2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2598,
    2644,  2599,  2436,  2437,  2438,  2600,  2439,  2440,  2645,  2441,
    2601,  2442,  2602,  2443,  2444,  2445,  2446,  2447,  2448,  2449,
    2450,  2451,  2452,  2603,  2646,  2453,  2647,  2604,  2454,  2455,
    2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2605,
    2465,  2606,  2468,  2466,  2467,  2469,  2470,  2471,  2472,  2473,
    2474,  2475,  2476,  2477,  2478,  2607,  2479,  2480,  2481,  2482,
    2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,
    2493,  2494,  2495,  2496,  2648,  2497,  2498,  2499,  2500,  2501,
    2608,  2502,  2503,  2504,  2505,  2506,  2507,  2508,  2509,  2510,
    2511,  2512,  2513,  2514,  2515,  2516,  2517,  2609,  2518,  2519,
    2649,  2520,  2521,  2610,  2522,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,  2532,  2533,  2534,  2611,  2535,  2536,
    2537,  2650,  2538,  2539,  2540,  2541,  2542,  2543,  2612,  2613,
    2544,  2545,  2614,  2546,  2615,  2547,  2548,  2549,  2550,  2551,
    2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,  2616,  2617,  2564,  2651,  2565,  2566,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2618,  2619,  2620,
    2621,  2622,  2623,  2624,  2625,  2626,  2627,  2628,  2576,  2577,
    2578,   130,     0,     0,  2248,  2275,  2276,  2279,  2274,   397,
     396,  1635,  2242,  2275,  1536,  1514,   632,     0,  1434,   425,
    1672,     0,     0,     0,     0,     0,     0,     0,     0,   864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   178,     0,     0,     0,     0,   451,   450,     0,
       0,     0,  1093,   456,     0,     0,     0,     0,     0,   620,
    1584,  2466,  1582,  1636,   256,   259,   260,   257,   258,  2264,
       0,  1226,  1227,  1229,     0,     0,     0,  1239,   904,   905,
       0,     0,     0,   913,     0,     0,     0,   902,     0,     0,
       0,   918,     0,   915,     0,     0,   919,   916,   899,   917,
     906,     0,   898,     0,     0,  1239,   920,     0,     0,   900,
       0,     0,     0,     0,  1435,  1581,   457,  1672,     0,  1558,
    1559,  1560,  1537,  1549,  1561,  1554,  1556,  1555,  1557,  1553,
    2263,  2290,  1028,  1028,  1028,  1028,  1025,  1026,  1028,  1028,
    1028,  2486,     0,     0,  1007,     0,  1009,  2265,  1028,  1033,
     518,   518,   518,     0,  1032,  1037,   518,     0,  1428,  1466,
    2247,  1684,     0,  1008,  1427,  2544,  1572,     0,     0,  1254,
    1250,  1252,  1253,  1251,     0,     0,     0,  2504,  1439,   240,
    2515,  2612,  2544,   239,   234,   235,   208,  2294,     0,     0,
    1032,     0,  1436,  1437,   990,  1691,  1689,     0,  2229,  2314,
    2329,  2419,   231,  2497,  2505,  2515,  2612,  2544,  2575,   187,
     197,   192,     0,   249,  2515,  2612,  2544,   245,  1457,     0,
    1661,  1793,  2238,     0,  1430,  1429,  1538,     0,  1541,     0,
    2481,  1665,  1668,  1543,  1666,  1657,     0,     0,     1,  1672,
       0,  1548,  1688,  1688,     0,  1688,     0,  1649,  1657,  1652,
    1656,     0,     0,     0,     0,     0,     0,     0,   923,     0,
    1469,  2243,  1078,     0,     0,     0,     0,     0,     0,     0,
    1134,  1133,  2280,  2270,  2271,     0,  2268,  2269,  2281,  2282,
    2283,     0,  2391,     0,     0,     0,  2140,  2151,  2152,  2153,
    2318,  2374,  2148,  2149,  2150,  2142,  2143,  2144,  2145,  2146,
    2147,     0,     0,  1221,  2141,     0,  2391,     0,     0,     0,
     157,     0,   134,     0,     0,     0,  2391,     0,     0,     0,
       0,     0,     0,     0,  2391,     0,     0,     0,     0,     0,
     157,  2424,     0,   134,  2391,     0,     0,  1451,     0,     0,
       0,  1453,  1456,  1432,     0,  2221,     0,  2222,  2249,  1517,
       0,  2238,     0,     0,     0,   959,   952,     0,   960,   967,
       0,     0,   969,     0,     0,   953,     0,     0,     0,     0,
       0,   972,   973,     0,     0,   974,   954,   975,   955,   976,
     956,   977,     0,     0,     0,     0,   957,     0,     0,     0,
    1443,     0,  1574,  1576,  1575,  1573,   518,     0,     0,     0,
       0,  2391,     0,     0,   134,  1502,     0,  2391,   134,     0,
       0,   455,   454,   134,  2268,   453,   452,  2318,  2374,     0,
    1124,     0,  1386,   134,  2391,     0,   180,  2391,   706,  2391,
    1543,     0,   635,     0,     0,   819,  2424,   134,     0,     0,
       0,     0,     0,     0,  1096,     0,     0,     0,     0,   619,
     632,  1585,  1583,     0,  1230,   233,   232,  1228,   911,  2391,
    1166,   346,   346,     0,     0,  2391,  1488,  2277,  1868,  1897,
    1875,  1897,  1897,  1864,  1864,  2358,  1877,  2391,  1865,  1866,
    1902,     0,  1897,  1864,  1869,     0,  1867,  1905,  1905,  1892,
     346,   927,  1849,  1850,  1851,  1852,  1878,  1879,  1853,  1884,
    1885,  1889,  1854,  1919,  1864,  2278,   912,     0,   903,  2391,
     346,  1130,  2391,  2272,   167,     0,   901,  2318,  2374,  2391,
     346,  1223,     0,  2391,   346,  2391,   163,  2391,   346,  2391,
     346,  2391,   636,     0,     0,  2391,   346,  2391,  2424,   165,
       0,  2391,   346,   921,  2391,   346,  2240,  2391,     0,     0,
    1577,     0,  1551,  2616,  1566,     0,  1562,  1569,  1565,  1672,
    1028,  1027,     0,  1028,     0,  1028,     0,  1028,     0,  1028,
       0,     0,     0,  1028,  2266,  2267,  1010,     0,  1034,     0,
       0,  1041,  1040,  1039,     0,     0,     0,  1042,     0,  1797,
    1612,     0,  1425,  1442,     0,     0,     0,  1096,  1257,     0,
    1255,  1246,  1247,  1438,   238,   236,     0,     0,     0,     0,
       0,     0,  1444,     0,     0,     0,     0,  2251,  2253,  2254,
    2154,  2224,     0,  2580,  2581,  2582,  2213,     0,  2583,  2584,
    2585,  2631,  2050,  2037,  2046,  2051,  2038,  2040,  2047,  2586,
    2587,  1985,  2588,  2589,  2261,  2590,  2591,  2592,  2594,  2595,
    2596,  2597,  2042,  2044,  2598,  2599,     0,  2262,  2601,  2602,
    2448,  2604,  2605,  2607,  2608,  2048,  2610,  2611,  2612,  2613,
    2614,  2615,  2260,     0,  2049,  2617,  2619,  2620,  2621,  2622,
    2624,  2625,  2626,  2627,     0,     0,     0,  2235,     0,  2017,
       0,  1857,  1858,  1880,  1881,  1859,  1886,  1887,  1860,     0,
    2234,  1922,  2099,  2016,  2033,     0,  2022,  2023,     0,  2015,
    2011,  1674,  2230,     0,  2012,  2250,  2252,  2214,  1674,  2228,
     200,   251,     0,   252,  2236,  2515,   188,   230,   202,   229,
     203,   201,     0,  2316,   189,     0,     0,   190,     0,     0,
       0,     0,   248,   246,     0,  1433,     0,  1795,  1794,  2239,
     932,  1526,  1524,  1525,  1523,     0,  1520,  1522,  1540,  1537,
    2164,     0,  1667,     0,     0,     0,  1647,  1646,     3,  1531,
       0,  1529,  1545,  1547,  1527,  1543,  1686,  1687,     0,     0,
       0,     0,     0,     0,     0,     0,  1742,  1702,  1703,  1705,
    1739,  1743,  1751,     0,  1653,     0,     0,  1799,     0,     0,
       0,     0,     0,     0,  1165,     0,     0,     0,     0,     0,
     924,     0,     0,     0,  1475,     0,  1477,  1478,  1479,     0,
       0,  1480,  1481,  1469,   242,  1487,  1485,  1468,  1470,  1483,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,   171,
     172,     0,   648,   632,     0,  2391,     0,     0,     0,     0,
       0,  1173,  1180,     0,     0,     0,     0,     0,     0,     0,
       0,  1174,  1172,  1175,   244,  1184,  1203,  1206,     0,  1132,
    1135,     0,     0,     0,     0,     0,  1314,     0,     0,     0,
       0,  1314,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   267,   269,   280,   341,   611,
       0,     0,     0,   614,     0,  2391,     0,     0,     0,     0,
    1225,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1206,     0,     0,     0,     0,     0,     0,     0,     0,   132,
     133,   138,     0,     0,     0,     0,     0,  1206,     0,     0,
       0,     0,     0,     0,   597,   610,     0,     0,     0,     0,
       0,   607,     0,     0,   134,   272,   587,   593,     0,     0,
       0,   713,   712,     0,     0,     0,     0,  1402,  1401,     0,
       0,     0,     0,  1492,  1491,     0,     0,     0,     0,     0,
    1314,     0,   261,   263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   389,
     390,     0,     0,     0,   138,     0,     0,     0,     0,   274,
       0,     0,  1452,  1449,  1450,     0,  1455,     0,     0,     0,
       0,  2025,     0,  2168,  1694,  2166,  1150,  2220,     0,  2284,
    2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,  2661,
    2662,  2663,  2664,  2665,  2666,  2667,  2668,  2669,  2670,  2671,
    2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,  2680,  2681,
    2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,  2690,  2691,
    2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,  2700,  2701,
    2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,  2710,  2711,
    2712,  2713,  2714,  2715,  2716,  2717,  2718,  2719,  2720,  2721,
    2722,  2723,  2724,  2725,  2726,  2727,  2728,  2217,  2216,  2245,
    2285,  2286,  2287,  2288,  2223,     0,  1513,     0,   966,     0,
       0,     0,     0,   968,     0,   961,     0,     0,   958,  2318,
    2374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     971,     0,     0,     0,   428,     0,     0,   816,     0,     0,
       0,     0,     0,     0,   827,     0,  1469,  1501,     0,     0,
       0,   641,     0,  2391,     0,   136,   865,     0,   817,   456,
       0,     0,     0,  1196,  1385,   136,     0,     0,   174,     0,
       0,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,   754,     0,     0,     0,   818,     0,     0,   136,
       0,  2391,   590,  2391,     0,   518,   518,     0,     0,  1095,
    1098,     0,     0,     0,     0,     0,  1639,  1641,  1640,     0,
    1638,     0,   344,   345,     0,  1213,   814,  1238,     0,     0,
    1896,  1883,  1891,  1890,     0,  1873,  1872,  1871,     0,  1870,
       0,  1897,  1897,  1895,  1874,  1849,     0,     0,     0,  1901,
       0,  1899,     0,   894,  1845,  1841,     0,  1908,  1909,  1910,
    1907,  1920,  1906,     0,  1855,  1911,  1864,  1861,   914,     0,
       0,  1207,     0,     0,  2391,   346,  2391,     0,  2391,     0,
       0,     0,  1215,   346,     0,  1209,     0,     0,  1211,     0,
    1403,     0,   910,   908,   907,   909,     0,     0,   892,     0,
       0,     0,  2391,   346,     0,     0,   887,     0,     0,   889,
       0,     0,     0,     0,  1672,     0,   219,   220,   218,  1567,
     221,  1568,  1564,  1550,     0,  1018,     0,  1022,     0,  1013,
       0,  1019,     0,  1014,  1011,  1012,     0,  1017,     0,     0,
     519,   521,     0,     0,  2341,  2357,     0,  2380,  2412,  2413,
    2472,  2500,  2505,  2511,     0,  2538,  2549,     0,  1043,  1073,
    1038,   724,     0,     0,  1622,  1426,  2171,     0,  1672,     0,
       0,     0,     0,   237,   209,     0,     0,     0,  1075,  2504,
    1441,   989,   632,     0,  2013,     0,  2020,  2021,  2212,     0,
       0,     0,     0,     0,     0,  2019,  2179,     0,     0,     0,
       0,     0,  1945,     0,     0,     0,  2192,     0,  2198,     0,
       0,  1982,     0,     0,     0,     0,     0,     0,     0,     0,
    1946,  1926,  1927,  2017,  2164,     0,  2018,  2257,     0,  1919,
    2233,  2154,     0,  2151,  2152,  2153,     0,     0,     0,  2227,
       0,  2162,     0,     0,  1960,  2160,  1962,     0,     0,     0,
       0,  2148,  2149,  2150,  2142,  2143,  2144,  2145,  2146,  2147,
    2158,  1942,     0,     0,  2101,     0,  1941,     0,     0,  1755,
       0,  2255,  2215,  1755,   253,   254,   250,     0,     0,   205,
     204,     0,   223,   227,   228,   199,   226,     0,   222,   207,
    2090,  2089,   206,   198,   195,   193,   210,   212,   213,   196,
     194,   247,     0,     0,     0,   346,  1548,     0,  1535,  1752,
       0,  1669,     0,     0,  1548,     0,     0,  1544,  1664,  1663,
    1695,  1696,  1116,  1662,  1722,  1723,     0,     0,     0,     0,
    1748,  1746,  1713,  1706,  1712,     0,     0,  1710,     0,  1714,
    1922,  1741,  1651,  1700,  1701,  1704,  1650,     0,  1744,     0,
    1625,  1742,  1705,  1609,     0,  1587,     0,  1800,     0,     0,
       0,     0,     0,  1145,  1147,     0,  1146,     0,  1149,     0,
    1158,     0,     0,  1144,  1163,     0,  1152,  1150,     0,  1490,
       0,     0,   925,     0,     0,     0,     0,  1476,     0,     0,
    2538,   241,  1479,  1484,  1471,  1482,     0,     0,     0,     0,
       0,  1077,  1076,     0,     0,  1100,     0,     0,     0,  1497,
     507,     0,   343,     0,     0,     0,     0,     0,     0,     0,
       0,   812,   809,     0,     0,   808,     0,   646,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     686,     0,  1314,     0,   718,     0,  1182,     0,     0,  1181,
       0,  1185,     0,     0,  1183,  1178,  1179,  2505,  2515,  2544,
     243,  1205,     0,  1204,  1200,  1127,     0,  1128,     0,     0,
       0,     0,     0,  2367,  2391,   285,   305,     0,  1313,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   328,     0,     0,   331,   330,
       0,     0,     0,     0,     0,   335,   314,     0,   315,     0,
       0,   334,     0,     0,   612,   613,     0,     0,     0,     0,
    1314,     0,   276,     0,     0,     0,     0,     0,     0,     0,
    1222,     0,   741,     0,     0,     0,  2505,  1201,     0,     0,
       0,     0,     0,  1389,     0,     0,   160,     0,   155,   159,
       0,     0,     0,  2505,  1202,     0,     0,     0,     0,   595,
     596,   609,     0,   600,   601,   598,   602,   603,     0,     0,
       0,     0,     0,     0,     0,   594,     0,     0,   708,   707,
     711,     0,     0,     0,  1398,     0,  1196,     0,     0,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1259,  1258,     0,     0,     0,     0,     0,     0,   855,     0,
       0,     0,     0,     0,     0,     0,     0,   162,   728,     0,
     727,     0,   156,   161,     0,     0,     0,     0,     0,     0,
       0,   217,  1448,  1454,  1694,  1694,  1694,  2031,     0,     0,
       0,     0,  1693,  2218,  2221,  1516,  2246,  1515,     0,     0,
       0,     0,   970,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   962,   963,   964,   965,     0,     0,     0,     0,
       0,   403,     0,     0,     0,  2277,     0,   843,   815,     0,
       0,     0,   829,     0,   832,   835,     0,  1467,   475,     0,
       0,   638,   686,     0,     0,   459,   169,     0,     0,     0,
       0,   743,     0,     0,     0,  1384,   131,   178,   180,   457,
       0,   179,   181,   183,   184,   185,   182,   186,     0,   705,
     709,     0,     0,     0,     0,   634,     0,     0,     0,     0,
       0,   756,   760,   759,   763,   761,     0,   757,     0,     0,
    1820,     0,     0,   154,     0,     0,   585,   589,     0,     0,
       0,     0,   459,   561,   357,  2391,     0,   518,     0,  2391,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1637,   346,  1167,     0,  1489,     0,     0,     0,   346,
    1894,  1893,  1846,  1842,     0,     0,     0,     0,   928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,   346,
    1131,   168,  2273,     0,   896,     0,     0,     0,     0,   346,
    1224,   884,   346,   164,   346,   346,   637,     0,   346,   166,
       0,     0,     0,   629,   346,   922,   346,  2241,     0,   346,
    1580,  2391,   518,  1552,  1563,  1015,  1024,  1023,  1021,  1020,
    1016,     0,  1035,     0,   517,     0,     0,     0,     0,     0,
    1051,  1052,     0,     0,  1048,  1053,     0,  1049,  1050,  1055,
    1045,  1044,  1056,  1057,     0,     0,  1075,   722,     0,     0,
       0,     0,  1619,     0,  1617,     0,  1798,  1621,  1610,  1571,
       0,  1570,     0,   578,     0,     0,  1256,     0,     0,  1032,
       0,     0,   346,  1440,     0,   991,   997,     0,     0,     0,
       0,     0,     0,     0,  1000,  1001,     0,  1002,   993,  1003,
     994,  1004,     0,   995,     0,     0,     0,     0,  2225,  2175,
       0,  2176,     0,     0,  2211,  2207,     0,     0,     0,     0,
       0,  2180,  2183,  2184,  2185,  2182,  2186,  2181,     0,     0,
    2187,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2608,     0,     0,     0,     0,  1986,     0,     0,  2135,     0,
    2164,  2197,     0,     0,     0,     0,     0,     0,  2164,  2203,
       0,     0,     0,     0,  2088,     0,  2085,     0,     0,     0,
       0,  2224,     0,     0,  2258,  1923,  1937,  1938,  1939,  1943,
    2232,     0,  2226,     0,     0,  1924,  1951,     0,  2204,  1978,
       0,  1983,  1966,     0,  1959,     0,  1964,  1968,  1947,     0,
    1944,     0,  2227,  2163,     0,  2161,     0,  1934,  1935,  1936,
    1928,  1929,  1930,  1931,  1932,  1933,  1940,  2139,  2137,  2138,
       0,     0,     0,  2109,     0,     0,  1963,  2383,  2419,     0,
    1685,  1685,  1685,  1673,  1683,  2231,     0,  1815,  1694,  1815,
    2237,     0,     0,  1919,     0,  1796,   930,   931,   929,  1519,
    1521,  1534,  1548,  2165,  1542,  1672,  1528,  1530,  1546,     0,
    1114,  1115,     0,  1119,  2608,  2502,     0,     0,     0,     0,
    1715,  1749,     0,  1740,     0,  2251,  1716,  2250,  1717,  1720,
    1721,  1711,  1750,  1623,     0,  1745,  1655,  1654,     0,  1818,
       0,     0,     0,  1601,  1589,     0,  1801,     0,  1755,  1627,
       0,  2224,  1753,  1360,  1260,  1323,  1148,     0,  1864,  1159,
       0,  1143,     0,  1142,  1864,     0,  1160,     0,  1864,  1361,
    1261,  1324,   926,  1362,  1262,  1325,  1363,  1263,  1486,  1474,
    1473,  1472,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   793,  2391,   346,  1495,
    1364,     0,  1264,   342,  1496,  1326,  1500,   811,   810,     0,
       0,  1327,     0,   647,     0,   651,     0,   653,   654,   655,
       0,     0,     0,   656,     0,  2318,  2374,   658,   661,   662,
     663,   670,   675,   665,     0,     0,   677,   671,     0,     0,
       0,     0,     0,     0,   683,   688,     0,     0,     0,     0,
       0,     0,     0,  1176,  1177,  1365,  1267,     0,  1328,  1126,
       0,  1268,   170,     0,     0,   268,  2391,   287,     0,   690,
     793,     0,  1316,   284,   312,     0,     0,   327,   322,   323,
     321,  2391,   346,  2391,   346,     0,     0,     0,     0,     0,
     324,   319,   320,   316,     0,     0,   329,  2293,  2359,  2516,
       0,   694,   696,     0,   701,   332,  1288,   353,   352,   351,
       0,   336,     0,   358,   361,   333,   310,   313,   311,   307,
     281,     0,     0,     0,     0,     0,     0,     0,     0,  2244,
       0,     0,  1217,     0,  1368,  1329,     0,  1351,     0,     0,
       0,     0,   735,     0,  1371,  1274,  1332,  1390,  1392,  1382,
    1275,  1391,   158,  1303,   147,     0,     0,   143,     0,     0,
       0,     0,   137,     0,  1372,  1276,  1333,     0,  1373,  1277,
       0,     0,   273,   588,   599,   604,  1282,   608,   605,  1341,
     606,  1380,  1278,  1376,  1306,  1336,  1383,  1399,  1279,  1196,
    1394,  1396,     0,  1314,     0,   262,   264,     0,   283,     0,
    1280,     0,  1334,  1375,  1305,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1503,     0,     0,     0,     0,     0,
       0,   346,     0,     0,     0,  1316,  2391,   346,  1374,     0,
    1311,     0,  1349,     0,   391,     0,  1304,     0,     0,   275,
    1284,  1343,     0,     0,   215,   214,   216,     0,     0,     0,
       0,  2169,  2170,     0,  2167,  2026,  2220,     0,   979,   937,
     978,     0,  2357,     0,   936,   938,     0,     0,     0,   939,
       0,   943,   944,     0,     0,     0,   935,   933,   934,   402,
       0,   427,   400,   401,   403,     0,     0,   842,     0,     0,
       0,     0,   831,     0,     0,     0,  1493,     0,   134,   645,
       0,     0,     0,   640,   685,   690,     0,     0,     0,     0,
     458,   462,   466,   467,   468,     0,     0,     0,     0,   148,
     135,     0,   873,     0,   518,     0,   745,  1388,  1387,  1195,
       0,   180,   173,     0,     0,   706,     0,  1543,     0,     0,
     357,   826,   824,   823,   825,     0,     0,     0,   847,   822,
       0,  1819,  1821,     0,     0,     0,     0,     0,     0,   578,
     461,     0,     0,   521,     0,     0,   565,     0,     0,     0,
       0,   357,     0,     0,     0,  1137,     0,  1155,  1138,     0,
       0,     0,     0,  1189,  1122,  1190,  1168,  1123,     0,     0,
     617,  1642,  1643,     0,  1214,     0,     0,  1863,  1876,   895,
       0,  1904,  1903,  1905,  1905,     0,  1847,     0,  1888,  1913,
    1914,  1915,  1916,  1917,  1918,     0,  1912,  1856,  1208,   346,
       0,   346,     0,   346,  1216,  1210,  1212,  1404,     0,   893,
       0,     0,   346,   886,   888,     0,   890,     0,  1036,   520,
       0,     0,     0,     0,     0,     0,  1047,   615,  1054,     0,
    1068,  1063,  1065,     0,  1069,   721,     0,     0,  1620,  1613,
    1615,  1614,     0,     0,  1611,  2172,   885,     0,   584,  1248,
    1249,     0,     0,   346,     0,  1070,     0,     0,   998,   992,
       0,     0,   996,     0,     0,     0,   999,     0,     0,  1690,
    2173,  2174,     0,     0,     0,  2208,     0,     0,  2063,     0,
    2039,  2041,  2053,     0,  2064,  2024,  2065,  2043,  2045,     0,
    2155,     0,     0,  2054,     0,  1988,  1989,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2004,  2003,  2055,  2134,     0,     0,
    2195,  2196,  2056,     0,     0,  2202,     0,     0,     0,  2061,
    2066,     0,     0,     0,     0,  2072,     0,  2093,     0,     0,
       0,  2014,  2165,     0,     0,     0,     0,     0,     0,     0,
       0,  1984,  1967,  1961,     0,  1965,  1969,     0,     0,     0,
    1955,     0,     0,  1953,  1979,  1949,     0,     0,  1980,     0,
       0,     0,  2032,     0,     0,  1685,  1685,  1685,  1685,  1682,
       0,     0,     0,     0,  2502,  2628,     0,  1779,  1754,  1756,
    1766,  1779,  1784,  1779,  2034,  1813,  2035,  2238,     0,  1725,
       0,  1725,   191,     0,   224,   211,  1518,     0,  1697,     0,
    2156,  1119,     0,  1699,  1719,  1718,     0,  1709,  1747,  1707,
    1624,  1608,     0,  1606,  1593,  1595,  1594,     0,     0,  1596,
    2224,     0,  1606,  1588,  1632,     0,     0,  1818,     0,  1631,
       0,  1864,  1140,  1141,     0,  1164,     0,  1080,  1081,     0,
    1079,     0,     0,     0,   506,  1099,     0,     0,     0,   793,
       0,     0,   510,     0,  1498,     0,  1381,  1302,   649,   650,
       0,   664,     0,   673,   672,     0,     0,     0,     0,     0,
       0,     0,   657,   679,   621,   680,   682,     0,     0,   681,
     684,   687,  1314,     0,   719,  1290,     0,  1347,  1170,  1317,
       0,  1129,     0,     0,     0,     0,     0,     0,   475,   306,
       0,     0,     0,     0,   366,     0,   289,   298,   364,   304,
       0,  1322,   338,     0,   309,     0,   302,   325,   317,   326,
     318,   337,   339,     0,   698,   699,   697,   693,     0,   700,
     702,     0,   355,     0,     0,     0,  1367,     0,  1314,     0,
     277,     0,  1286,     0,  1345,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1350,     0,     0,     0,
       0,   740,     0,   737,  1318,     0,     0,   140,   139,     0,
     146,     0,  1319,     0,     0,     0,     0,  1400,     0,     0,
       0,     0,     0,     0,   373,     0,   282,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   392,   348,     0,   850,     0,     0,
       0,   394,     0,     0,     0,     0,     0,  1366,  1269,  2029,
    2030,  2027,  1694,  2219,     0,     0,     0,   950,     0,     0,
       0,     0,     0,     0,   405,   406,   134,   404,     0,     0,
     841,  2448,  2142,  2143,   839,   845,   836,   838,   840,   837,
       0,   844,   793,     0,     0,   828,   833,   834,     0,     0,
       0,     0,     0,   490,     0,     0,     0,   481,     0,     0,
    1196,   474,   477,   478,     0,     0,   641,   644,   642,   643,
     678,     0,   461,   497,   547,     0,   150,     0,     0,   151,
     149,     0,     0,   357,   742,     0,   739,     0,   176,   457,
       0,   710,     0,     0,     0,  1196,   633,   762,   765,   758,
       0,   846,   848,   820,     0,   690,     0,     0,   590,     0,
     518,  1581,   573,     0,   549,   461,   547,   559,   558,   560,
       0,   567,   356,     0,     0,   578,   567,     0,     0,  1100,
    1136,     0,     0,     0,  1186,  1191,  1187,     0,     0,  1151,
       0,  1188,  1169,  1420,  1421,  1418,  1419,     0,     0,     0,
    1634,     0,  1882,     0,  1900,  1898,  1843,  1848,  1921,   897,
       0,   880,     0,   882,   346,   729,     0,   630,   346,     0,
       0,     0,     0,     0,     0,  1046,     0,  1066,     0,     0,
    1029,  1072,     0,     0,  1618,  1616,   576,     0,  1075,     0,
    1030,  1074,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2177,     0,  2210,  2206,     0,  2036,  2178,     0,  2190,
    2189,  2135,     0,     0,  1987,  1999,  2000,  2001,  2191,     0,
    2009,     0,     0,  1996,  1997,  1998,  1990,  1991,  1992,  1993,
    1994,  1995,  2002,  2200,  2199,  2193,  2194,     0,  2058,  2059,
    2060,  2201,  2067,     0,  2308,  2094,  2071,  2087,  2086,     0,
       0,     0,  2074,     0,     0,  2083,     0,  2136,  2259,  1925,
       0,     0,  1952,  2205,  1970,     0,     0,     0,  1948,  2155,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,  2112,
    2107,  2108,  2132,     0,     0,     0,     0,     0,     0,  1676,
    1675,  1681,  1779,  1784,  1779,     0,     0,  1657,     0,  1766,
       0,  1778,  1764,  1777,     0,     0,  1790,  1788,     0,  1790,
       0,  1790,     0,  1758,     0,  1780,  1760,  1777,  1762,     0,
    1805,  2239,  1814,     0,  1738,  2026,  1738,     0,  1670,     0,
    1698,  1117,  1118,  1708,  2337,  1816,     0,  1607,     0,     0,
       0,  1598,  1604,  1586,     0,     0,  1628,  1606,  1629,  1161,
       0,     0,  1153,  1086,  1087,  1090,  1088,  1085,  1089,     0,
       0,     0,   793,     0,     0,   528,     0,  1111,  1111,     0,
       0,   512,   570,   523,   796,     0,     0,     0,   794,   346,
    1265,     0,   674,     0,     0,   669,   667,   666,   668,     0,
     622,  1379,  1266,     0,     0,     0,     0,  1171,     0,     0,
    1289,     0,   286,     0,   471,     0,     0,   299,     0,   295,
       0,  1315,     0,     0,     0,     0,   294,   368,     0,   365,
       0,   346,   346,   340,   695,   354,   359,   360,   363,     0,
       0,     0,     0,     0,  1321,     0,     0,     0,     0,     0,
       0,     0,   874,   857,     0,     0,   875,   876,     0,     0,
       0,  1219,  1220,  1218,  1352,  1353,  1358,  1355,  1354,  1357,
    1359,  1356,     0,  1272,     0,     0,   733,   144,   141,   142,
     145,  1300,  1283,  1342,  1395,     0,     0,     0,  1281,     0,
    1335,     0,  1296,  1292,     0,     0,     0,     0,     0,  1378,
    1310,  1340,  1377,  1308,  1338,  1307,  1337,  1309,  1339,     0,
    1301,     0,  1823,   854,     0,     0,     0,   346,   346,   853,
     731,  1285,  1344,     0,     0,     0,   940,     0,     0,   942,
     945,     0,   947,   410,   430,   751,   813,     0,     0,   830,
     792,     0,   479,     0,   485,   488,     0,     0,   492,   493,
     491,   480,  1196,   518,   569,   782,   783,     0,     0,   803,
       0,   639,     0,   459,     0,   494,     0,     0,   463,   153,
     152,     0,     0,     0,   746,   750,   748,   747,   749,   744,
       0,   735,   180,  2391,     0,     0,     0,     0,   571,  1393,
       0,   775,   821,     0,  1822,   725,     0,   357,   586,     0,
       0,     0,   459,   578,     0,   464,   469,   470,   475,     0,
     561,   548,     0,   549,     0,     0,   575,  1465,     0,   579,
     581,     0,     0,     0,  1139,  1156,  1157,     0,     0,  1120,
       0,     0,     0,     0,   624,   346,  1844,   346,   346,  1245,
       0,   891,  1060,  1061,  1062,  1059,  1058,   616,     0,  1064,
     723,     0,   577,   346,     0,  1006,   984,  1005,   983,   985,
       0,   987,   988,   982,   980,   981,  2209,  2052,  2062,  2188,
    2134,  2165,     0,     0,  2010,     0,     0,  2057,  2618,     0,
       0,     0,     0,  2091,  2092,  2073,     0,  2438,  2078,     0,
       0,     0,  1976,  1974,  1971,     0,  1972,  1956,     0,     0,
    1954,  1950,     0,  1981,  2098,     0,  2114,  2111,  2131,  2165,
    1680,  1679,  1678,  1677,  1765,  1761,  1763,     0,  2623,     0,
    1768,  1775,     0,  1757,     0,  1789,  1785,     0,  1786,     0,
       0,  1787,     0,     0,  1759,     0,  1775,     0,  1812,     0,
       0,  2103,  2256,  2103,   225,     0,     0,  1605,  1590,     0,
    1591,  1597,     0,     0,     0,     0,  1633,  1626,  1154,  1162,
       0,     0,     0,   508,     0,   523,     0,     0,     0,  1113,
    1113,     0,   523,     0,  1196,   798,   797,   800,   795,   799,
    1499,     0,   659,   660,   676,  1291,     0,  1348,  1298,     0,
    1622,   288,     0,   691,   293,     0,     0,   290,   367,   369,
     291,   292,   296,   348,   308,   301,     0,     0,     0,  1287,
       0,  1346,  1294,  1369,  1270,  1330,     0,     0,   863,     0,
       0,     0,     0,  1370,  1271,  1331,     0,     0,     0,     0,
    1622,     0,     0,     0,     0,     0,     0,     0,     0,  1508,
       0,  1320,   347,   852,   851,   348,   393,  1312,  2028,     0,
     941,   948,   949,   946,     0,   399,   407,   431,   134,     0,
       0,  1236,  1236,     0,   793,     0,     0,   476,   489,     0,
     569,   527,     0,   482,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   738,   737,
     175,     0,   459,     0,   690,     0,   769,   770,   764,   766,
       0,   777,   781,   849,     0,     0,     0,   578,   461,     0,
       0,  1578,   460,     0,     0,   472,     0,   565,   549,   561,
       0,   562,     0,   566,     0,  1458,     0,     0,     0,     0,
    1192,     0,  1198,     0,  1150,  1193,     0,  1815,     0,     0,
       0,     0,   628,  1237,   881,   883,   730,  1067,     0,  1071,
     346,   986,  2136,  2005,     0,     0,     0,     0,  2068,     0,
    2069,  2096,  2095,  2075,  2079,     0,  2076,  2077,  1973,  1977,
    1975,  1958,  2100,     0,  1694,  2133,  1808,     0,  1811,     0,
       0,  1767,     0,     0,  1769,     0,     0,  1771,  1773,     0,
       0,     0,     0,     0,     0,  2242,  2336,  2592,  2499,     0,
    1724,  1726,  1729,  1731,  1730,  1732,  1728,  1737,     0,  1659,
    1658,  2157,  1817,     0,     0,     0,  1101,     0,  1630,  1068,
       0,   346,  1111,  1196,   529,  2448,   530,  1110,  1112,  1116,
    1116,     0,  1196,     0,   569,   652,     0,     0,   270,   689,
       0,     0,   300,   350,   362,     0,  1622,     0,     0,   861,
     870,   870,   858,     0,     0,   877,  1273,   734,     0,     0,
     265,  1297,  1293,     0,     0,     0,  1510,  1511,     0,     0,
       0,     0,     0,   346,   951,     0,   433,   440,   411,   416,
    1502,     0,  1502,     0,   413,   417,  1502,   412,  1502,   409,
     410,     0,  1236,     0,  1233,  1232,   791,     0,   516,   592,
     483,     0,   538,     0,     0,   804,     0,     0,   461,   547,
       0,   505,   498,   499,   500,   501,   502,   503,   504,   496,
     495,     0,   690,   867,   357,  1465,   732,     0,     0,   703,
       0,   767,   772,   771,  1502,   776,     0,     0,     0,   690,
       0,  1581,   574,   549,   461,   547,   465,   475,   551,     0,
     552,   567,   561,   565,   563,   564,     0,     0,     0,   578,
    1512,  1100,     0,  1197,     0,     0,     0,     0,     0,     0,
    1240,   623,     0,     0,   627,   618,   690,  1031,  2006,     0,
    2007,     0,     0,     0,  2081,  2080,     0,  2118,  1813,     0,
       0,  1807,     0,     0,  1837,     0,     0,     0,  1776,  1792,
       0,  1772,  1770,     0,  1781,     0,  1783,     0,     0,     0,
    1733,     0,  2102,  2104,     0,     0,  1603,  1815,     0,  1600,
       0,  1082,     0,  1083,  1113,   569,     0,  1119,  1119,   518,
     569,     0,   793,  1299,     0,   692,   592,     0,   303,     0,
     278,  1295,     0,     0,   872,   872,     0,     0,     0,     0,
     380,   387,   386,   381,   379,   388,     0,   384,   378,   377,
     382,     0,   375,     0,     0,  1504,     0,  1505,  1506,  1509,
     395,   408,     0,   438,     0,   436,   435,   437,     0,   424,
       0,     0,     0,     0,     0,     0,   398,   429,  1231,  1235,
    1234,     0,     0,   484,     0,   486,   524,   525,   526,     0,
     487,   534,   535,     0,   801,     0,   806,     0,     0,     0,
     690,   546,   714,     0,     0,     0,  1459,     0,     0,   572,
       0,   778,   779,   774,     0,     0,   726,  1465,   578,   561,
       0,   549,   473,     0,   446,   565,   567,     0,  1462,     0,
     580,     0,  1107,  1121,  1199,  1194,  1424,     0,     0,   626,
     625,   720,  2008,  2084,  2070,  2097,  2082,  2113,     0,     0,
       0,     0,  1806,  1809,     0,  1840,     0,     0,     0,     0,
    1826,     0,  1774,     0,     0,  1782,     0,     0,     0,  1727,
       0,     0,  1592,  1602,  1102,     0,     0,  1116,   533,     0,
    1104,  1103,   527,   793,   522,   509,  1622,   297,   349,     0,
       0,     0,   868,   871,   859,   860,   879,   878,   736,  1622,
       0,     0,   371,     0,   370,     0,   374,     0,   434,   443,
       0,   441,   414,   419,     0,   423,   421,   420,   415,   418,
       0,   515,     0,     0,     0,     0,   536,     0,   537,   568,
       0,   805,     0,     0,     0,   716,   866,     0,     0,   459,
     690,   768,   773,     0,     0,  1460,  1579,   565,   549,   561,
       0,     0,   553,  1111,  1111,   567,   444,  1463,  1464,     0,
       0,   357,  1423,  1422,  1672,     0,     0,  2579,  2337,  2551,
       0,  2130,  2119,  2130,  2130,  2110,     0,     0,  1838,  1839,
    1824,     0,     0,  1828,  1791,  1804,  1735,     0,  1734,  2105,
    2106,  1815,   346,  1119,     0,   793,   531,   538,   511,   271,
    1622,   862,     0,   266,     0,   385,   383,   376,  1507,   439,
       0,   422,   781,   591,   543,     0,   542,     0,   540,   539,
     802,   807,     0,   690,   856,  1465,   704,   780,     0,   567,
     561,   565,     0,   550,     0,  1113,  1113,   448,     0,     0,
     567,  1406,  1672,  1405,  1407,  1415,  1412,  1414,  1413,  1411,
    1243,  1244,     0,  2123,  2122,  2121,  2125,  2124,     0,  2117,
    2115,  2116,  1810,     0,  1827,  1830,     0,     0,     0,  1836,
    1829,  1831,     0,  1802,  1736,  1599,  1084,  1105,     0,   513,
     793,   279,   869,     0,   442,     0,   541,   545,   544,   690,
     715,  1461,   786,   447,   565,   567,  1111,   554,   556,   555,
    1107,  1108,     0,  1815,     0,  1416,  1410,  1657,  1644,     0,
       0,     0,     0,  2127,     0,  2128,     0,  1833,  1834,  1835,
    1832,     0,     0,   514,     0,     0,   717,   788,     0,   784,
     787,   789,   790,   567,   445,  1113,   357,  1106,     0,  1091,
    1408,  1672,     0,     0,  2120,  2126,  2129,     0,     0,   532,
     372,     0,   752,     0,   449,   557,   567,  1109,  1409,     0,
       0,     0,  1803,     0,   785,  1815,     0,     0,  1825,   786,
    1092,     0,     0,     0,  1241,  1242,   753
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4885, -4885, -4885,  3867, -4885, -4885,  -897,    -4,  3105,  -996,
   -4885, -4885, -4885,  1424, -4885, -4885, -4885, -4885,  3852, -4885,
    2193, -2428, -4885, -4885,   141,  3792, -1286,   123,  3367,  1847,
   -4885, -1141, -4885, -4885,  -558,   112, -4885,  3791,   541, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885,  -632,  2314, -4885,
    2394,  1674,  6665, -3529, -4885, -4885, -1374, -3202, -4885,   991,
   -4885,  1011, -4177,  -496, -4885, -4586, -4885,  -668,  -485, -4885,
   -4885,  2305, -4885, -4885, -4885,  1473,   891,  -156, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885,  -337, -4885, -4885,  -580,   169,
      44, -2447, -3719, -4885, -4885,   856,    29, -1416, -4885, -3567,
   -4885,   400, -2226, -4885, -4885, -4885,    64, -1384,  1785, -4885,
    -699, -1111,  2099, -4111,  -442, -4885,   198, -4885,  -552,  -344,
    -341,  -473, -3759, -4242, -4885, -4885, -4885,  -581, -4249, -4493,
   -3802, -3644,  1802, -4885,   174, -3107, -3231,   176,   833, -4885,
     178,   179, -4885,   848,  -268,  -903, -1535, -4885,  -740, -4885,
   -4885, -4885, -2907, -4885, -4885, -4885, -4885,    77, -4885, -4885,
   -4885, -4885,   894, -4885, -4885, -4885, -4885, -4885, -4885, -2706,
    2272,  2273, -4885, -3143, -4885,  -881, -4885,  1043, -2948,  1708,
   -4885, -4885,  1467,  3868,   876, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885, -1720, -4885, -4885, -4885, -4885,   397,    91, -4885,
   -4885, -4885, -4885, -4885, -4885,   190, -4885,  2285,  1465, -4885,
   -4885,    87, -4885, -4885, -4885, -4885, -4885, -4885,  -533, -4478,
    -691,  -673, -4885, -2954, -4885, -4885, -4885,   116, -4885, -4885,
   -4885, -4885, -4885, -4885,  -922, -4885,  1529, -3135, -4885, -4885,
    1538, -4885, -4885, -4885, -4885, -4885,  -450,   180,  3034, -4885,
     -53,  -244, -4885, -4885, -4885,   181, -4885, -4885, -4885, -4885,
   -4885, -4885, -4885, -4885, -1074, 11814,  -815,  -571, -4885, -4885,
   -4885, -4885, -4885, -2314, -4885, -4885, -4885, -4885, -3652, -4885,
    4766,  2048,  -255,   191, -4885,   -23,    56,  3619, -1126, -2622,
     817,   -12, -4885, -4885, -4885, -2561, -4885, -4885, -4885, -4885,
   -3497,   192, -4885,  3611, -4885, -3777, -4504, -3561,  -601, -4885,
   -4040, -4418, -4509, -3500, -4885, -4885, -4885, -4885,  -541,  -155,
    2998, -4885, -1408,  2639,  -856, -4885, -2068,   871,  1877,  3828,
   -2704,  -137,  2994, -2505,  -634, -3261, -4885, -4885, -2315,  -149,
   -4885, -4885,  1395, -1070, -4885, -4885, -4885, -4885,  -622,  2937,
    -202, -4885, -4885,  4179, -4885, -4315, -4885,  4114, -4885, -4885,
   -4885, -4885,  2849,  2850, -4885,  2852, -4885, -4885, -1364,  1627,
   -4885, -4885, -4885, -4885,  1066, -4885, -4885, -4885, -4885, -4885,
   -4885, -4885,  1519,  1054, -4885, -4885, -4885, -4885, -4885,  -443,
    -619, -4885, -4885,   197, -4885, -4885, -4885, -4885,  2243,  -898,
    -727,  4015,   199, -4633, -4885, -4885, -1123, -4885,  3407, -4885,
   -4885, -4885, -4885, -4885, -4885, -4885, -4885, -4885, -2645, -4885,
   -4885, -4273, -4885, -4885, -4885, -4885, -4885,  2728, -4885, -4885,
    2729,    79, -4885,   -38, -4885, -4885,  -960,  2732, -4885, -1923,
   -4885,  -584, -4885,  2928, -4885, -4885, -4885, -4885, -1826,   208,
   -3784, -4885,    12, -4885, -4885,   296, -4885,   692, -4885, -4885,
   -3390,    15, -4885, -4885, -4885, -4885, -4375, -4885,    21,  -339,
    1221, -2787, -4885,   211,    -1, -4885, -4885,    10,  1647,   -42,
     -37,   -25,     3,   118,  3488, -4885,  3535, -4885,    24,  1991,
   -4885, -4885,  -793,  -162, -4885,  1975,  -665,  2705,  3480,  3484,
   -4885,  1962,  2733, -1954, -1928, -4885,  1270,  -310,  -141, -4885,
   -4885, -4885, -4885,   736,  -615,  2724, -4885,  3486, -4885, -4885,
   -4885, -1925, -2821, -3451,  1298, -3432, -3334,   777,   768, -1228,
      96,   -43,  -747,  3499, -4885, -4885,  1308,  -102, -4885, -4885,
     -98, -2788,  1264, -4885, -4294, -2294,  1319,  -564,  -396, -4885,
    -484, -4885,  -266,  2415,  3054, -1050, -4885, -4885, -1001, 14492,
   -4885, -4885, -4885, 15013, 15365, -4885, -4885, 15864, 16250, -4885,
    -842, 17121, 13619, -1005, -1856,  -447, 13228, -1741,  -492,    84,
   -4885, -3453, -2652, -4885, -4885, -4885,   146,  1376,   952, -4885,
   -4359, -4885, -4885,   363, -4885,  -272, -4885,  -270, -4885, -4885,
   -4885, -2522, -4884, -2608,  2853, -4885, -4885, -4885,  -148, -4885,
   17585, -2739, -4885,  -419, -1316, -1524, -3423, -1865, -4885, -4885,
   -4885, -4885, -4885, -4885, -4885, -1656, -3283,  -424,  2089, -4885,
   -4885,  2178, -4885, -4885, -4885,  -916,  2460,  -761, -2614,  2093,
   -4885,  -780,  2854,  -772,  9080,  -648,  9535,  -534, -2235, -1233,
   -1640, -4885,  4649, -4885,  5356,  6198,    17,  -105,  3767,  -536,
      -6, 13463,  -644,  -854,  4372, 11677, 11514, -3129
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    52,    53,    54,    55,    56,  1521,  2496,  2348,  3279,
    3280,    57,    58,  1517,    59,    60,    61,    62,  1433,    63,
    1015,  1768,  2511,    64,  2181,   800,   801,   802,  2085,  2086,
    2432,  2087,  2075,  1318,  1910,  1454,   774,   775,  1415,  1455,
      66,    67,  1312,  2066,    68,    69,    70,  1485,  1573,  1486,
    1487,  1427,  1815,  4302,  5028,  3071,  2311,  3328,  3072,  3073,
    3697,  3698,  3776,  5052,  5053,  5045,  5051,  5046,  5047,    71,
    1589,  1590,    72,    73,  3244,  3240,  3826,  4645,  4646,  4879,
     611,  2473,  4648,  4649,  4865,  4866,  5066,  5210,  5211,  2512,
    1760,  3322,  3914,  3270,  4394,  3271,  4395,  3272,  4396,  3256,
    3861,  3862,  4337,  3863,  3273,  4355,  4909,  3274,  2200,  5083,
    2553,  1932,  1930,  4564,  4892,  4164,  4165,  5295,  5090,  5091,
    5092,  5318,  4357,  4400,  4401,  4939,  5251,  5252,  3326,  3921,
    4406,  4663,  2956,    75,   709,  1794,  3428,   710,  2556,   646,
     711,  2513,    80,  2546,  5085,  2547,  1547,  2362,  5048,  3408,
      81,  1040,  3663,  4732,  4964,  4965,    82,   225,    83,  1776,
      84,    85,  2491,  3263,    86,  2217,  2973,    87,    88,  3004,
    3005,  3006,    89,  3688,  4582,  1488,  3060,  3061,  3062,  3063,
    3719,    90,  1771,  2520,  2521,    91,    92,    93,    94,  2669,
    2670,    95,  2419,    96,    97,    98,    99,  3753,  4266,  4371,
    3102,  3286,  3886,  4369,   100,  2514,  1784,  2536,  2537,  4381,
    4688,  4689,  4690,  4924,  5241,  4692,  4926,  5113,  4928,  4347,
    5428,  5429,  4654,  3642,  4178,   102,  4348,  4349,  5097,   103,
    2215,   104,   105,   106,  1744,  2483,  2484,  3835,  1737,  2476,
    2477,  3900,  3901,   107,  3184,   108,  4242,  4243,   647,  5104,
    5034,  5194,   109,   110,  4246,  4247,   111,   112,   113,   114,
     115,   701,   702,   703,  1132,  1133,  2928,  1080,   116,  2095,
     117,   978,   979,  3219,   118,  1205,  2715,  2716,  4446,   119,
     734,  1151,  1152,  2515,   121,   743,  2689,   745,  1947,  3410,
    3411,  3980,   122,   123,  2666,  2692,   124,  1420,  2191,  2192,
    4159,  2516,   648,  1800,  2560,  2951,  4805,  4806,  5261,  5402,
    4559,  4819,  2873,  3593,   126,   649,  1459,  2266,  1100,  1101,
    2563,  3336,  2160,  2161,  2162,  3938,  2163,  3338,  2164,  1394,
    2165,  1050,  1051,  3344,  3345,  3346,  3934,  3941,  2505,  4722,
    4723,   127,  1457,  2264,   128,   129,   130,  1500,   891,  1110,
    1111,   131,   661,   662,   132,  4884,   133,  1054,   134,  4730,
     135,   136,   765,   766,  1189,  1190,   137,   138,  2280,  3700,
     139,   140,   141,  3096,  3097,  4258,   142,   143,  1763,  1764,
     144,   145,  3149,  3150,   146,   147,   148,  5343,  5404,  5405,
    5406,  3947,  5264,  5345,  1182,   150,   151,   152,   189,   931,
     932,   933,  2517,  4715,   154,   155,  1416,  1417,  1418,  1419,
    2186,   156,   157,   158,   159,   160,   161,   162,  1748,   163,
     164,  4858,   165,   166,  1706,   167,  1345,  1346,   168,  1360,
    1361,   169,  2862,   605,   818,  1349,  1355,  1362,  1363,  1364,
     170,   713,  1145,  1146,  1147,  1912,   171,  1185,   981,   714,
    1140,   173,   715,  2144,  2903,  3607,  3608,  3609,  3612,  4544,
    4137,   716,  2899,   176,  1954,  2675,  2678,  2895,   717,  2908,
    2909,  2910,  3615,   718,   736,  1043,  2570,   719,  1279,   181,
     182,   183,   827,   821,   822,   185,  2059,  2843,   752,  1368,
     787,   788,   836,  2442,  2110,  2111,  2135,  2136,  1377,  1378,
    2123,  2127,  2128,  2886,  2879,  2116,  4124,  4790,  4791,  4792,
    4793,  4794,  4795,  4531,  2131,  2132,  1380,  1381,  1382,  2140,
     186,  2847,  3568,  3569,  3570,  4101,  4102,  4116,  4112,  4516,
    4777,  3571,  1180,  1388,  4524,  5373,  3572,  4766,  4767,  4981,
    4120,  3579,  3603,  3310,  3311,  3312,  3573,  5159,  5160,  5370,
    5371,  4983,  4984,  2166,  1845,  1082,  1280,  1083,  1857,  1281,
    1829,  1085,  1282,  1283,  1284,  1088,  1285,  1286,  1287,  1091,
    1821,  1288,  1289,  1839,  1854,  1855,  1350,  4985,  1291,  1292,
    1293,  3575,  1294,  4055,  4480,  4469,  2775,  2776,  2082,  4051,
    3513,  2054,  2833,  4799,  5002,  5003,  3552,  4080,  4496,  4764,
    5151,  5271,  5272,  5359,  1295,  1296,  1297,  2830,  2050,   894,
    1298,  3837,  2052,  2769,  1614,  1615,  1957,  1977,  2722,  2738,
    2739,  2749,  3472,  2757,  2762,  3500,  3501,  2770,  2799,  1299,
    2724,  2725,  3456,  1979,  1300,   937,  1618,   938,  1974,  2794,
    1308,  1301,  1302,  1948,   811,  4773,  1136,   850,  3088,  1698,
     940,   749,  1303,  1304,  1305,  1306,  1493,   865,  1103,  1104,
     602,   594,   867,  3064,   603,   596,   597,  1703
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     593,   810,   892,   184,  1546,  1009,  1909,   600,  1309,   826,
     179,  2375,   174,   779,   653,   175,  1046,   746,  1313,   748,
     837,   177,  1704,   754,   184,  1835,  1594,  1551,   768,   776,
     746,  1865,   783,  1400,  1606,   776,   776,  2199,   812,   738,
     815,  1171,  1172,  1173,   858,   738,  1383,  1177,  3269,  2275,
    2267,  1339,   898,   845,  1135,   903,   893,   645,  1929,  3347,
    1773,  3581,  1825,  1826,  1148,  2445,  1340,  2541,  3433,   813,
    1327,  3147,  1834,  1841,  1967,  4166,  3689,  3601,  1612,   744,
    3292,  2276,  1699,  3942,   994,  2436,  3942,  1758,  3912,  3090,
     591,  4130,   780,  2921,  2923,   700,  3669,  1746,  3896,  1460,
     712,  1751,  1044,  1786,   901,  3414,  1755,  2288,  2305,  3714,
    2721,  3716,    65,  3181,  4067,  4098,  1765,  3839,   922,  3847,
    3614,  4204,  3870,  1142,  4410,  3839,  1126,  4393,  4560,  3926,
    1789,   831,  2681,  3591,  1492,  4161,  1056,  3224,  2849,  3225,
    4115,  1114,  4820,  3229,  1118,  3231,  3232,   839,  1116,  1046,
    4770,  4707,  4413,  4354,  3236,  3237,  3238,  4403,   773,   840,
    2561,  4709,  1129,  2784,  2260,   807,  2172,  3521,   824,    74,
    2620,  1376,  2888,  2859,    76,   915,    77,  4670,    78,    79,
    1339,  2866,   799,  4167,   593,   848,   848,   851,  4896,   848,
     101,   120,   125,   860,  3576,   812,  4402,   149,   895,   153,
    2891,   860,  2400,  2401,   860,  4828,  2396,   812,   172,   848,
    3909,   178,   812,  3620,  4941,  4952,   848,  4035,   812,  1822,
    1823,  1379,  4143,  2260,  1456,  4708, -2376, -2414,  1825,  1826,
    1833,  4782,   720,  4784, -2305,  1320,  1785,  4113,   609,  4118,
    2260,  1812,  2022,   720,  1429,  4850,  3576, -2379,  1834, -2437,
   -1905,  1812, -2469, -2277,  1841,  2754,   720,  3478,  4364,   659,
    1153, -2277, -2277,  3282,  1456,   659, -2249, -1897,  5050,  1456,
   -1864,  2028, -2278,  1157, -1877,  1545, -2634,  2792, -1902,  1856,
   -2278, -2278,  5106,  1572, -2634, -2634,  5033,  1734,  2278,  2093,
    2183,  2434,  2435,  1599, -1905,  2792, -1892,  3619,   659,  3670,
     659,  2412, -2248,  2030,   659,  3932,  2538,  1511,  4623,  2278,
    5017,  5018,  1201,  2072,  1489,   659,  1489,   659,  1489,   720,
    1952,   720,  3204,   720,  2278,   856,  2057,  3242,  3917,  1812,
    2207,  2502,  4624,  1489,   659,   720,  4728,  4885,   720,  3418,
    2407,  4448,  4449,  4542,  4451,  4452,  4453,  4454,  4455,  4365,
    3077,  2494, -1720,  1430,  4860,  4861,  4352,  5262,  4962,  4974,
    5009,   834, -2140,   659,  4859,  3420,  1317,  2388,  4710, -2140,
    2022,  3381,  2834,  3383,  1781,  1847,  1822,  1823,  4665,  1603,
    1812,  2499,  4711,  5352,  4345,  4998,  -134,  2893,  1812,   726,
     726,  -134,  4340,  1372,  3372,  1782,  2342,   726,  1373,  2028,
    1351,  2022,  1175,  1833,  4244,  2107,  2255,  1911,  2114,  3478,
     726,  2278,   726,   727,   727,   726,  1512, -2435,  1341,  2509,
    4922,   727,  2073,  1704,  2201,  1812,  2328,  2022,   187,  1606,
    2731,  2030,   659,  4366,   727,  4671,   727,  1322,   911,   727,
    2337,  3724,  3605,  2314,  4813,     3,     4,  1848,   720,  4558,
    5126,  4822,  2202,  2080,  3725,   604,  2028,  2354,   927,  2068,
    4943,  5030,  2030,  5040,  4923,  1374,  4942,   912,  1154,  1156,
    1158,   188,  2208,  1160,  1161,  1162,  4856,  3606,  2539,   893,
    5040,  4672,  2359,  1167,  5245,  1176,  1046,  1743,  2030,  4995,
    2193,  4666,  2894,  2827,  1812,  2081,  2500,  2510,  2256,  4857,
    2828,  1851,  1988,  1046,  2115, -2159,  1375,  2835,  1849,  3478,
    4245,  1850, -2159,  1813,  1812,  2278,  1070,  1898,  2016,  2278,
    1003,  5010,  2691,  1813,  4346,  2394,  1013,  5444,  4963,  3770,
    2094,   893,  5263,  1743,  2732,  2304,  2495,  4341,  2074,  1027,
    1812,  4353,  3431,  2846,  1704,  1699,  2062,  3078,  4543,  4712,
    5041,  1604,  1783,  5042,  3419,   928,  3474,  2329,  3670,  3243,
    1046,  2209,  3894,  4975,  2440,  1913,  2195,  5078,  4729,  1742,
    1513,  5043,  1893,   660,  2289,   816,  1873,  1342,  1431,  1343,
    3421,  4367,  4625,  2205,  2196,  2076,  4568,  3454,  5043,  4227,
    2088,  2088,  4920,  2343,  2203,  3839,  5177,  2058,   929,   941,
    -432,  1813,  1499,   857,  5223,   812,  2733,   593,  1514,  3008,
     848,  1953,   851,   184,   848,  1851,  3844,  5306,  2793,  4261,
     985,   895,   982,  2487,   654,   983,  1016,  1176,   848,  2022,
    3085,   984,  5255,  3824,  3825,   848,  3541,  5244,  1432,  1949,
    2389,  1515,  2540,  4485,  2370,  4193,  1971,  2373,  4368, -2435,
    1959,  3205,  1813,  4513,  2413,   930,  3933,  4517,  2028,   593,
    1813,  4115,  1814,   610,   851,  1968,   826,  2734,  5293,   860,
    2735,  2380,  1842,   895,  1149,  1743,   860,  1384,  1046,   860,
    1953,  4363,  2414,   977,  1836,  4171,  1046,  1046,  2503,  1820,
    2030,  5119,  5391,  5125,  4409,   848,  3366,  1813,  2246,   732,
     733,  2049, -2140, -2376, -2414,  1837,  2102,  2433,  2254,  1179,
     184, -2305,   732,   733,  5044,  3635,  3493, -2435,  2141,  1838,
    1902,  2408, -2277,  1852, -2379,  2197, -2437,  4459,  1836, -2469,
   -2435,  5044,  4231,   935,  1166, -2249, -1897,   936,  1150,  1824,
    1155, -2278,  1159,  1828,  2848, -2634,   812, -1902,  1163,  1837,
    1141,  1612,  1612,  1612,  5329,  5338,  1721,  4547,  4504,   812,
    4506,  1193,  4385,  1840,  2070, -1892,  1813,  2018,  2142,  2060,
    1179, -2248,  5014,  2852,  2736,  1490,  1491,  1490,  1491,  1490,
    1491,  1307,  1307,  5207,   812,   776,  1813,  1144,  1421,   776,
     839,   732,   733,  2360,  1490,  1491,  2363,  2364,  4741,  1716,
    1387,  1860,   840,   812,  2244,  1723,  1709,   812,  1724,  1871,
     893,  5299,  1813,  1307,  1436,  1329,  2478,  2641,  3259,  1519,
    2624,  2441,  1605,  2263,  5303,   812,  2046,  2047,  2048,  2049,
    1863,  4705,   184,  2829,  3767,  2198,  2395,   812,  5395,   179,
    3771,   174,  1520,  1344,   175, -2159,  1895,  -134,  -134,   935,
     177,   812,  3622,   936,  3623,  2598,  3027,  1176,  3616,  2015,
    5276,  2651,  3909,  3888,  2322,  3490,  3491,  3492,  3493,   812,
    5247,  2290,  2663,   759,   848,   848,  2263,  2100,  3009,  5249,
    1743,  2330,  2737,  2130,  2291,   817,  2292,  2723,  4326,  2485,
    2671,   655,  4569,  2263,  2206,  1914,  1347,  1422,  1916,  4647,
    1918,  5433,  1920,  5224,  1922,   776,   776,  2100,  1926,  2999,
    2967,  3576,  3817,  1578,  3576,  1898,  3214,  5398,  5399,   606,
    4151,  5233,  4325,  2888,  3260,  5381,  3179,  1743,  1307,  1307,
    3986,  5314,  1316,  3114,  2812,  1863,  1324,   593,  1352,  3586,
    2932,    65,   834,  5248,   659,  2293,  3665,  5451,   860,   656,
    3596,   659,   895,  2870,   860,  1579,  3086,   860,   760,  3864,
    1847,  3979,  1414,  3488,  3489,  3490,  3491,  3492,  3493,   747,
    2149,  2652,   848,   999,  5079,  3013,  2260,  2454,  2682,  4933,
     785,  3067,  1097,  3617,  3576,   657,  3000,   658,  2667,  2580,
    2581,   659,  3818,  3819,   812,  4166,  4141,  3584,    74,  1404,
    5331,   848,   848,    76,  5416,    77,  5330,    78,    79,  4259,
    3475,  3476,  2375,  3115,  2672,  3495,  4890,  5455,  1777,   101,
     120,   125,  1532,   812,   812,   812,   149,   848,   153,   593,
     593,  3369,  1848,  3068,   773,  1565, -1864,   172,  2871,  3587,
     178,  1533,  4424,  4746,  2193,  2940,   841,  1330,  1516,   659,
    3943,  1423,  3525,  3526,  4768,  1168,  3691,  4901,  2718,  5086,
    1778,  1863,  2194,  4774,  4833,   751,  3116,  3014,  4778,  2813,
    1882,  4780,  2668,  4378,  2814,   659,  4105,  3987,  4771,  1405,
     786,  5394,  1714,  2044,  2045,  2046,  2047,  2048,  2049,  1424,
    4167,  1534,  3370,  1849,  2462,  2981,  1850,  2554,  3422,   848,
    1704,   848,   848,  4167,  3261,  4946,  4863,  1835,  4902,  2942,
     761,  2815,  1883,  4947, -1864,  1331,  4903,  1805,  5148,  1580,
    2195,  5080,  1425,  3117,  3069,   757,  5315,  3877,  1197,  3180,
     842,  1406,  2532,  1307,  3944,  3738,  2463,  5366,  2196,  5124,
    5099,     3,     4,  4285,  4904,  3207,  1704,  5118,  4106,   762,
     763,  1915,   184,  1917,  3337,  1919,  3003,  1921,  3942,  1923,
    1924,  1925,  4701,  1931,  1931,  3692,  1927,  5354,   812,  4827,
     746,  2660,  2661,  2790,  5131,  3423,  5121,  1535,  3836,  5098,
    5022,  4107,  4849,  5087, -2268,  4695,  3836,  1426,  -157,  3657,
    3262,  1964,  2943,  3666,   812,  1529,  4108,  1970,  2378,  1851,
    1851,   832,   706,  5316,  1612,  3218,  4109,  2968,  4553,  2673,
    1307,  4905,  2550,  5335,  5336,  5120,  2533,  -157,  5412,  2653,
    1581,  3118,    15,  4906,  1779,  1536,  1169,  1407,  1537,  2674,
    5317,  3658,  4110,  1530,  1806,  2021,   826,  2551,  2022,  2374,
    1307,   764,  3576,  2925,  3739,  3757,  5367,  3865,  2816,  2626,
    5387,  1000,  2016,  4775,  5149,  4583,    20,  5088,  3114,  2579,
    1098,  1148,  2296,  1366,   758,   833,  4167,  2028,  1307,  1307,
    1307,  1539,  1307,  3939, -2635,  4948,  1884, -1864,  3275,  2197,
    4239,  2182,  3945,  2306,  5150,  2575,  2650,  3070,  1807,  3878,
    2655,  1863,  1307,  1372,  2659,  5413,  2297,  2662,  1519,  2030,
    2464,  5029,  3100,  1583,  1863,  2920,  5355,  1478,  1852,  1584,
    4286,  2098,   784,  5012,   927,  1541,  2618,  4111,  2599,  1699,
    2633,  1520,  4969,   759,  5256,  1780,  2601,  1853,  4991,  4445,
     812,  2108,  2109,  2612,  2113,   834,  2614,  1542,  3115,  3119,
    2613,   604,  1387,   840,   840,   843,   840,  3120,  3165,  3946,
    3121,   828,  3122,  2619,  3166,   893,  5435,  1544,  4546,  3318,
    1715,  3693,  3694,  1367,  1307,  1374,  3527,  2892,  1307,  1307,
    5122,  5178,  2747,  2982,  3101,  5414,  5183,  1885,  1429,   812,
     812,  2147,  1411,  1307,  1412,  1808,  4240,   830,  5368,  2198,
    3695,  3116,  2372,  5369,  2365,  3659,  2654,  5388,  3740,  2657,
    2658,  2465,  4776,  4907,   776,  2577,  4908,  2427,   760, -2635,
    3682,   928,  1585,  4390, -2635,  5032,  2550,  2064,  2534,   927,
    5036,  5037,  2552,  1863,   607, -2246,  3122,  4443,  3193,   706,
      32,  2535,   808,  4419,  1584,  2307,  3741,  1809,  4391,  2251,
     624,  2551,  3276,  2926,   776,  2428,  2927,  5174,  3117,    15,
    3074, -2635,  3576,  5337,   929,  3133,  3576,  3167,   812,  2277,
      40,  4834,  5313,  2308,  3768, -1864,  4932,  3839,   812,  3742,
     835,   848,  2202,  3774, -1864,  3098,  1824, -1864,  1399,  4229,
   -1864,  3174,  3683,    20,  4338,  2065,  2309,  1430,  2310,   624,
    4241,  2211,  2429,   819,    44,  2900,  3660,   895,  2037,   812,
     626,  2212,  4316,   776,  2755,  2430,  4319,  4320,   844,  4322,
    2239,   930,  2773,  1330,  2117,  5415,   928,  5180,  5181,  3775,
     776,   187,   812,  2304,  2391,   812,  4768,  5393,  2366,  3379,
    1810,  2367,  4390,  2431,  3151,    48,  3769,  1585,  5403,   707,
    4207,  4919,  1046,  2999,  1035,  4344,  3118,  1501,    49,   626,
    5191,  4230,  4339,  2118,  2717,  4167,  2720,  4391,  -583,   929,
     761,   812,  2727,    40,   188,  1326,  1586,  2999,  2741,  2742,
    2743,    50,   848,   848,   848,   848,   812,  2306,  2759,  2761,
    4379,  1331,  3289,  2771,  1612,   708,  3175,  4001, -2635,  3277,
     812,  3107,  3108,  5434,  1197,  3111,  4131,    44,  2375,   762,
     763,  1307,  1307,  1307,  1587,  3301,  3302,  3303,  3304,   829,
    4384,  3168,  3681,   624,  4208,  3177,   930,  3309,  1502,  3176,
    3000,  5192,  3134,  4392,  2880,  3530,  4682,  3531,   935,  1414,
    3137,  5454,   936,  3140,  1414,  3257,  3278,  1588,    48,  3025,
    3171,  3208,  3209,  3210,  3000,  2937,  4650,   180,  3178,  3169,
    3532,    49,  2213,  3001,  5465,  2645,  3836,    32,  4132,   637,
    2120,   638,  4565,  3849,  3119,  -685,  2901,   852,   180,  2610,
    5253,  3966,  3120,   626,    50,  3121,  5071,  2573,  3172,  4651,
    4257,  5072,  3170,  3214,  1036, -2635,  1759,    40,    51,  3812,
    2214,  3002,  2044,  2045,  2046,  2047,  2048,  2049,   825,  2446,
    4887,   812,   781,  1414,  1478,  2600,  3694,  1414,   637,  3852,
     638,  3173,  5105,   848,   848,   854,  1548,  2121,  5130,  4335,
    1037,    44,   893,   893,  4153,  4427,  3132,  4428,  3045,  2307,
    4566,  5073,    40,  3022,  4218,   643,   848,  1372,  4015,  4016,
    4017,  4018,  5239,  4336,  4023,  4024,  4025,  4026,  4027,  4028,
    4029,  4030,  4031,  4032,  1549,   812,  3288,  2308,  3533,  3155,
    -457,  2506,    48,  3534,  3854,  4463,    44,  4464,  1028,  5102,
    2954,   848,   848,   848,   848,    49,  3047,  1038,  5401,  5111,
    2309,  1395,  2310,  1039,   812,  2543,  5116,  3046,   874,  3772,
    3003,   812,  3199,  5377,  2446,  2646,  1831,  1832,    50,   187,
    4071,  4072,  2284,  1029,  2285,   593,  4167,    48,   593,  1374,
    3112,  5112,    51,   851,  3003,  1396,  4010,  2304,  1307,  1397,
      49,  4105,  4740,  5141,  4961,  3578,  2955,  2647,  4019,  1743,
    4020,   838,   637, -1693,   638,  3048,  1030,  2187, -1693,   875,
    2648,  1390,   188,    50,  3641,  4036,   893,    35,  2188,  4696,
    1375,  4656,  1398,   860,   860,  3576,  3857,  2902,  3331,  1759,
    1550,   726,  3576,  2286,   895,   895,  2189,  3576,   860,  3616,
    3576,   860,  3942,  2649,  4174,  -457,  2345,  5457,  1836,  1391,
     917,  5253,  5025,  1031,  2278,   727,  4167,  5246,   848,   848,
    4686,  3576,   926,  4106,  2279,   848,  4154,   812,  3858,  1837,
     934,  3535,  4155,  4465,  3576, -1693,  4669,   184,  4687,  4156,
    2676,  3536,  1392,  2635,  3859,  2636,  3407,  2637,  3511,  2638,
    2950,  2639,  1931,  1046,  3518,  2640,  4107,  2598,  4809,   848,
    4811,   860,  2117,  2021,   860,   860,  2022,   812,   812,  4957,
     848,  4108,  4157,  2688,  4680,  4700, -1693,   812,  4572,  4573,
    3918,  4109,   987,  3922,   812,  4175,  4021,  5235,  2365,   746,
     746,   184,   617,  2693,  4158,  2028,  4022,  1307,   985,  1307,
     982,  2118, -2635,   983,  1307,  1307, -1100,  4110,  1046,   984,
    4585,  1307,  1307,  1307,  1144,  4167,  4589,  1307,   895,  1307,
    1307,  1307,  1307,  1307,  1307,   990,  1307,  2030,  1307,  1307,
    4172,  4640,  1307,  4641,  4642,  3406,  1574,  4643,  3860,  3350,
    4304,  2190,  4176,  2296,  4177,  1028,  2954,  1307,  1307,  1307,
    1307,  2687,  1401,  2315,   848,  1307,  2987,  4660,   720,  1307,
    2119,  4305,  1307,  4106,  1787,  1307,  1307,  1307,  1307,  1307,
    1307,  1307,  1307,  1307,  1575,  1307,   624,  2297,  1576,  2714,
    1029,   812,  1307,    40,  1307,  3580,  5140,  1788,  2346,  5340,
    1402,   812,  4111,  2349,  3392,  1010,  4107,  3576,  5185, -1094,
     735,  2983,  3638,   993,  2988,  2989,   735,  1577,  2120,  2278,
     893,  4519,  2975,  3890, -1657,  1553,  1519,    44,  3735,  2287,
     812,  4109,  2366,  1403,  1307,  2367, -1657,  5326,   812,  5109,
     812, -1657,  2665,  3621,  3298, -1657,   626, -2635,  3306,  1520,
    1307,  4334, -2635,  3307,  2088,   996,    40, -1657,  -582,  1307,
    1307,  4856, -1657,  1554,  3582,  3671,  3736,  3576,    48,  2504,
    1031,  4174,  2417,   812,  3450,  2121,  2423,  1023,  3978,  2100,
    2906,    49,  2911,  1863,  4857,  3371,  3373,  3374, -1657, -2635,
      44,  3699,  3293,  1001,  2904,  1002,  1555,  3356,  1890,  3737,
    4217,  3451,  1898,  3021,    50,  2944,  3452,  2947, -1657, -1657,
    3766,  1836,  2800,   851,  2801,  5081,  1347,  2861,    51,  3979,
    5390,  1891,   746,  1032,   746,  4287,  4386,  3539, -1656, -1657,
    3594,    48,  1837,  1033,  3897,   720,  2037,  2802,  3007,  1034,
   -1656,  1307,  4111,  2941,  3907, -1656,  1838,   935,  4288, -1657,
    1046,   936,  4175,   593,  4856,   848,   848,  1053, -1657,  5173,
     860,  1048,   895,   860,   860,  5068,   848,  5070,   848,  5298,
   -1657,  5074,   848,  5075,  5456,   812,  1096,  4857,  3626, -1657,
    1105,    51,  3113,  1824,  1106,  2173,  5426,  1904,   226,  4824,
    1905,  1123, -1656,  3848,   608,  1836,   776,   180,  3307,  2755,
    2755,  1824,   704,  1399,  2755,   637,  2277,   638,  3576,  4176,
    4202,  4177, -1656,  1112,  3032,   812,  1837,   720,   640,  5110,
     782,   935,  3044, -2249,  1130,   936, -2635,  1139,  4412,   642,
    1840,   812,  1759,  1510,  1170,  1179,  1179,  3630,  1527,  1179,
    2803,  2755,  2755,  1174,  4150,  2804,  3989,  1181,  4194,  1824,
    2805,  2173,   812, -1656,  2438,  2439,  3196,  3089,  3089,  4209,
    1961,  4216, -1656,  1962,  1178,  4864,  1522,  3576,  1046,  3845,
    1184,  1556,   812,   812,  3477,  1186,   812,  3893,   851,   776,
    3504,  5379,  3506,  3507,  1591,  2096,  3505,  1595,  2097,  2099,
    1187,  1612,  2100, -1657,   180,   825,  3576,  1612,  3954,  3955,
    1210,  3866,   848,  3478,  4232,   848,  1188,  3479,  3480,  3481,
    2104,  1194,  1557,  2105, -1657,  3674,  2630,  2642,  3528,  2100,
    2643,  2644,  1558, -2635,  2643,  2679,   812,   812,  2680,  1195,
    2044,  2045,  2046,  2047,  2048,  2049,  1975,  2864,    51,  2485,
    1898,  3182,  4539,  3185,  3187,  2912,  3627,  3628,  2100,  3019,
    3092,  1196,  3020,  3093,  3648,   935,  3554,  3247,  1356,   936,
    3248,  3849,  3252,     3,     4,  3253,  5423,  3850,  3357,  1204,
      40,  2100,  1307,  1307,  1307,  2568,  1197,  2569,  1307,  3851,
    4913,  2889,  2890,  3398,   848,  3151,  2643,  2021,  2806,  5133,
    2022,  3730,   848,  3449,  1198,   848,  2100, -1656,  2807,  2306,
    1179,   848,  3458,  3464,    44,  2100,  2100,  3852,    40,  3853,
    1005,  3576,  1006,  1307,   838,   848,   180,  3465,  3466,  2028,
    2100,  2100,  3497,  1200,  3510,  2100, -2635,  2100,  3515,  2277,
    3717,  3516,  3089,  3718,   812,  1199,  3722,   812,  5015,  3723,
    1206,  3291,    44,  5375,   746,    48,  3834,  5020, -1715, -1715,
    3746,  2030,  1210,  3747,  3834,  3478,   848,  1307,    49,  3479,
    3480,  3481,  3854,  3337, -1719, -1719,  4169,  4170,  3836,  4397,
   -1718, -1718,  3930,  1559,  3182,  3931,  4060,  3952,  1203,  3482,
    2100,    50,  1328,    48,   848,  3440,  3323,  1325,  3443,  4042,
    3855,  3444,  4043,  3294,  5292,    51,    49,  3436,  1332,  3319,
    4052,  3483,  1824,  4053,  2173,  3751,  4063,  1560,  2397,  2100,
    1307,  1561,  4139,  4144,  2021,  4140,  4145,  2022,  3538,    50,
    1333, -2635, -2635, -2635,  3760,  3883,  4149,  4173,  4387,  2927,
    2643,  2643,  4440,    51,  1338,  1953,  3324,   848,  3325,   848,
    3089,   848,  3089,  1348,  1562,  2718,  2028,  3576,  3555,  3856,
    3556,  2307,  1334,  2029,  3857,  5439,  1046,  5440,  1046,  5441,
    2598, -2635,  1210,  3484,  1532,  3478, -2635,  5273,  5274,  3479,
    3480,  3481,  4460,  4486,  1353,  2100,  2680,  1931,  2030,  2308,
    1356,  4498,  4549,  1533,  2100,  2927,  4061,  4555,  4561,  4562,
    4556,  2643,  2643,  4953,  4702,  4748,  3858,  4703,  4749,  1357,
    4047,   893,  2309, -2635,  2310,  5360,  5361,  4750,   832,  3982,
    2100,  4758,  3859,  4829,  2680,  1354,  4830,  5470,   812,  3557,
   -1694,  3558,  3576,  4217,  1606, -1694,  4914,  3576,   593,  2643,
    1370,  1359,  4954,  1534,   860,  4955,  1046,   860,  1385,  2304,
     860,  3995,  3867,  2718,  3869,  4970,  1386,  1389,  2680,   848,
    2037,   826,  4978,  3483,  1393,  4979,  4988,  1307,  1399,  1898,
    1210,  4743,  1307,  3478,  3590,  1434,  1458,  3479,  3480,  3481,
    4994,  4996,   833,  3904,  3904,  2306,  4327,  5007,  4328,  3876,
    5008,  3879,  1461, -2279,  4488,  1307,  1307,  1307,  2031,  1463,
    1307,  5061, -1694,  2032,  5062,   826,  4212,  3975,  1307,  1307,
    1307,  1307,  5101,  1464,  5132,  2067,  3860,  5008,  1504,  5142,
    5143,  1307,  2680,  3516,  1307,  3484,  1307,  5144,  5156,  1535,
    2100,  5157,  3936,  1499,  1503,  4581,  3576,  1307,  1307,  1505,
    2035,  1307,  4700, -1694,  1516,  5162,   180,  4210,  1898,  1528,
   -2635,  5165,   834,   895,  3904,  1307,  1518,  1307,  5184,  1307,
    1356,  2643, -1645,  3485,  3486,  3487,  4121,  3488,  3489,  3490,
    3491,  3492,  3493,  3483,  1369,  5190,  1371,  1536,  2680,  1307,
    1537,  1531,  5196,   812,  2306,  2680,  5197,  2037,  1566,  2680,
    3577,  2374,  5200,  5202,  2426,  5201,  5203,  5204,  5231,  4190,
    5205,  5232,  1567,  1582,  5280,  1532,   812,  5281,  5284,  1976,
     826,  1898,  1592,  1307,  3560,  3561,  3562,  5285,   184,  3074,
    2100,  4228,  1593,  1539,  1533,   985,  1596,   982,  1307,  1985,
     983,  4518,  1601,  4521,    29,  3484,   984,  2307,  5286,  1602,
    1705,  2100,  3577,  3098,  1707,  3988,  3610, -2635,  1710,  3613,
    5288,  2911,  1708,  2100,  2044,  2045,  2046,  2047,  2048,  2049,
    2001,  5309,  3151,  5333,  5310,  2308,  5334,  1541,  1713,  5362,
    1717,  3483,  3904,  4310,  1534,  2013,  1718,  2039,  5374,  4323,
    3574,  5001,  5400,  5437,  1726,  5008,  5438,   835,  2309,  1542,
    2310,  1727,  1307,  3010,  3089,  5450,  1730,  2306,  5201,  1931,
    5452,  5468,  5476,  5453,  5281,  5453,  1733,  1739,  2777,  1544,
   -2539,  2780,  1736,  1741,  1404,  3485,  3486,  3487,  1747,  3488,
    3489,  3490,  3491,  3492,  3493,  2304,   848,    40,   848,   848,
     848,  1750,  3574,  3484,  3834,  1752,  2307,  2755,  2755,  2755,
    2755,  2306,  1761,  2755,  2755,  2755,  2755,  2755,  2755,  2755,
    2755,  2755,  2755,  4968,  1762,  1743,  4481,  1766,  4256,  1767,
    1535,    44,  -177,  1769,  2308,   838,   838,  1770,   838,  4313,
    4045,  1772,  1774,  1775,  2040,  1790,  1797, -2635, -2635, -2635,
    1799,  2044,  2045,  2046,  2047,  2048,  2049,  2309,  1804,  2310,
     206,  1811,  1817,  1818,  1405,  1819,  1820,  1824,  1827,  2755,
    2755, -2539,    48,  1828,  1830,  4012,  3087,  1844,  1536,  1846,
    1859,  1537,  1858,  1862,  1863,    49,  1870,  1874,  1876,  1877,
    3339,  1879,  2374,  1881,  2304,  3485,  3486,  3487,  1887,  3488,
    3489,  3490,  3491,  3492,  3493,  1901,  1081,  1886,    50,  4041,
    1889,  1437,  1894,   812,  1897,  1900,  1406,  1903,  3590,  2307,
    3765, -2539,    51, -1417,  1539, -1417,  3590,  1928,  1958,  1963,
    1965,  1966,  1081, -2539,  1972,  1973, -1868, -1875, -2539,  1980,
    1981,  1982,  1983, -2539,  1984,  1438,    51,  2308,  1986, -2539,
    1210, -1865, -2539,  3478,  4083,  1987, -2539,  3479,  3480,  3481,
    1988, -1866,  1989,  2307,  1990,  1991,  1993,  1994,  1541,  1995,
    2309,  1996,  2310,  1997,  4489, -1869,  2021, -1867,  4868,  2022,
    1998,  1999,  2000,  2002,  2306, -2539,  2003,  2004,  2005,  2006,
    1542,  2308,  2007,  3485,  3486,  3487,  2008,  3488,  3489,  3490,
    3491,  3492,  3493,  2053,  1440, -2539,  2055,  2304,  2028,  2009,
    1544,  2057,  1407,  2071,  2309, -2635,  2310,  2058,  2067,  2083,
    2091,  1307,  4869,  2103,  2106,  1704,  2021,  1307,  1373,  2022,
    2137,  1375,  2148,  2023,  2024,  2025,   848,  2150,  2139,  1441,
    2030,  3089,  3089,  2151,  2152,  2718, -2539,  4870,  2168, -2539,
    2026,  2304,  2169,  5341,    29, -2539,  4437,  2170,  2028,  2173,
    2171,  5155,  2174,  2175,  4871,  2029,  1408,  2176,  4872,  1210,
    3340,  4676,  3478,  2177,  2178,  1442,  3479,  3480,  3481,  2179,
     812,   812,   812,  2185,  2204,  2210,  2241,  2216,  4873,  2245,
    2030,  4874,  2247,  3773,  2248,  2249,  5158,   812,  2250,  2252,
    2253,  2281,  2268,  2269,  1409,  2282,  4875,  4070,    35,  1443,
   -2539,  3929,  2270,  2283,  2294,  1210,  2298,  2300,  3478,  1931,
     812,  2303,  3479,  3480,  3481,  1210,  2301,  2302,  3478,  1931,
     812,   812, -2635, -2635, -2635,   812,  2307,  1410,  2304,  4397,
    2312,  1445,  4432,  4433,  4434,  4435,  4436,    40,   812,  2313,
   -2635,  3483,  2316,  2317,  2318, -2635,  2323,  2324,  2327,  2333,
    3925,  4359,  4360,   751,  2308,  1210,  2334,  1411,  3478,  1412,
    2338,  2335,  3479,  3480,  3481,  2339,  4537,  2340,  2344,  2341,
    2755,    44,    35,  3950,  2350,  1712,  3341,  2309,  4876,  2310,
   -2539,  2347, -2635,  1179,  2351,  1448,  4877,  2352,  2356,  2361,
    2031,  2357,  2368,  1449,  2369,  2032,  2371,  4077,  2376,   848,
    1729,  2262,  2377,  3484, -2539,  2386, -2539, -2539,  1413,  2381,
    1478,  2382,    48,  1451,  2304,  1740,  2383,  2033,  2034,  2385,
     812,  1452,  2387,  2390,  2392,    49,  2409,  2306,  4878,  2037,
    2393,   876,  2035,  2410,  2398,  2399,   812,  2415,   877,   878,
     879,  2411, -2539,  3342,  2421, -2539, -2539, -2539,    50,  2425,
    2437,  2448,  2450,  2306,  2451,  2458,  2416,  2453,  1307,  2444,
    3483,  2452,  5342,  2457,  2459,  2036,  2460,  1307,  2461,  2467,
    2468,  2471,  2469,  1307,  2474,  1307,  2470,  1453,  1307,  2037,
    4588,  3343,  2038,  1307,  1307,  1307,  1307,  2472,  2480,  1307,
    1307,  1307,  1307,  1307,  1307,  1307,  1307,  1307,  1307,  2306,
    2481,  2486,  1307,  1307,  2479,  2489,  3483,  2490,   619,  2498,
    2493,  2504,  1307,  2507,  2518,   826,  1307,  4535,  1550, -2635,
    1307,  2522,  3484,  2526,  2531,  2542,  2545,  2523,  1307,  2548,
    2549,  1307,  2558,  1307,   826,  2562,  3806,  2565,  2567,  2571,
    2576,  2582,  1307,  2584,  2589,  1307,  1307,  2585,  2592,  2590,
    1307,  1307,  2593,  2595,  2594,  4081, -2635,  1307,  2596,  2603,
    2605,   180,  4195,  2606,   812,   812,   812,   593,  3484,  2039,
    3577,  4103,  4721,  2607, -2541,  4103,  4117,  4103,  3484,  2307,
    2621,  2622,  1307,  2608,  2656,  2664,  3590,  2677,  2690,  4085,
    4086,  4087,  4088,  3485,  3486,  3487,  2772,  3488,  3489,  3490,
    3491,  3492,  3493,  2723,  2778,  2307,  1307,  2308,  4233,  1956,
    3590,  2022,  2728,  2791,  4509,   180, -2635,  2782,  3484,  2811,
    2911,  2797,  1307,  2044,  2045,  2046,  2047,  2048,  2049,  2809,
    2309,  2831,  2310,  2308,  4470,  5417,  5418,  2832,  2846,  2854,
    4168,  1931,  1931,  2856,  2446,  2857,  4626,  4627,  2855,  4629,
    2851,  2307,   833,  2865,  4661,  2869,  2309,  3574,  2310,  2881,
    3574,   848,   848,   848,   848, -2541,  2040,  2304,  2882,  2041,
    2042,  2043,  4579,  2044,  2045,  2046,  2047,  2048,  2049,  2308,
    2883,  2884,  2898,  2905,  2916,  2917,  3469,  2919,  2945,  2798,
    2277,  2948,  2950,  2304,  3589,  2952,  2959,  2375,  2953,  2964,
    2969,  2970,  2309,  2972,  2310,  2974,  2976,  2984,  2994,  4222,
    2980,  2995,  3485,  3486,  3487, -2541,  3488,  3489,  3490,  3491,
    3492,  3493,  5021,  2998,  3012,  3017,  3011, -2541,  1322,  1326,
    3574,  3035, -2541,  3028,  3036,  3049,  5065, -2541,  3054,  2304,
    3055,  3076,  3082, -2541,  3081,  3084, -2541,  3091,  3183,  4619,
   -2541,  3103,  3123,  3099,  3127,  3195,  3206,  3215,  3485,  3486,
    3487,  4880,  3488,  3489,  3490,  3491,  3492,  3493, -2635, -2635,
   -2635,  3202,  3488,  3489,  3490,  3491,  3492,  3493,  3203, -2541,
     834,  3221,  4267,  3227,  3226,  3234,  3241,  3228,  3239,  3245,
    3246,  3254,  3266,  3267,  5055,  3281,  5057,  3285,  3296, -2541,
    4867,   180,  3283,  3287,  4307,  3299,  3305,  3308,  3485,  3486,
    3487,  3313,  3488,  3489,  3490,  3491,  3492,  3493,  3314,  3316,
    3315,  3317,  3321,  2021,  3327,  3329,  2022,  3330,  3334,  3348,
    2023,  2024,  2025,  3333,  3349,  3351,  3352,  3353,  3355,  2021,
   -2541,  3358,  2022, -2541,  4678,  3360,  3361,  2026,   848, -2541,
    3362,  1851,   812,  3363,   848,  2028,  1307,  3364,  3376,  3388,
    3368,  3377,  2029,   812,  3391,  3395,  3834,  3390,  3397,  4350,
    3400,  2028,  1898,  3401,  3402,  3403,  3404,  1895, -2635,  2277,
    3405,  1860,  3413,  2691,   882,   883,   884,  2030,   885,   886,
     887,   888,   889,   890,   812,  3415,  3416,  3417,  3577,  3427,
    3432,  3424,  1176,  2030, -2541,  3434,  3438,  3439,  3182,  3446,
    3441,  4911,  3463,  3460, -2132,  3474,  3442,  4398,  3461,  3462,
    2100,  3467,  3529,  3468,  2326,  3470,  3473,  3496,   812,  3502,
    3512,  3537,  2446,  5209,  3546,  3509,  1307,  1307, -1721,  3523,
    3551,  3597,  3547,  4407,  3524,  4816,  3549,  3550,  3592,  3598,
    3578,  3600,  3553,  3611,  3602,  3604,  3618,   751,  3624,  3629,
    3640,  3632,  3636,  3631,  3089,  3637,  3089,  3643,  4685,  3652,
    4073,  5215,  5217,   812,  3678,  3645,  3667,   866,  3680,  3668,
    2755,  4977,  3684,  3685, -2541,  3686,   902,  3687,  3574,  4751,
    3690,   893,  3703,  3702,  3705,  4840,  3713,  2031,  3711,  3712,
     923,  3721,  2032,  3731,  3748,  3750,  1307,  3752, -2541,  3755,
   -2541, -2541,  1953, -2635,  3756,  3759,  3761,  1307, -2635,  3763,
    3764,  3777,  3778,  3779,  2033,  2034,  3780,  3792,  3781,  3800,
    3782,  3783,  3796,  3798,  3785,  2407,  3784,  3786,  3787,  2035,
    3789,  3791,  3813,  3809,  3788,  3816, -2541,  1307,  3790, -2541,
   -2541, -2541,  3810,  3811,  3820, -2635,  3793,  1307,  1307,  3802,
    3803,  3805,  3821,  3823,  1307,  1307,  3829,  3840,  3843,  1307,
    3874,  4835,  2036,  3884,  1307,  3875,  3885,  1307,  1307,  3881,
    3887,  3889,  1307,  4497,  3892,  3904,  2037,  3903,  1307,   812,
     812,   812,   812,  3906,  3913,  3919,  4103,  4117,  4103,  3920,
    1307,  4103,  2037, -2556,  4511,  3916,  3923,  3924,  3577,  4721,
    3927,  3928,  3577,  5311,  3940,  3949,  3956,  3960,  4526,  3962,
    3969,  3981,  3970,  3971,  3972,  3957,  3973,  3983,  3974,  3958,
    3984,  3985,  3992,   895,  4987,  2449,  3993,  5067,  3994,  3996,
    1307,  3976,  3997,  3998,  3610,  4987,  3999,  4551,  4000,  2911,
    1975,  4004,  2466,  3499,  3478, -2131,  3498,  4054,  4538,  4540,
    4013,  4078,  4065,  4095,   746,  1437,  4123,  1307,  4133,  4142,
    4066,  2021,  4119,  2488,  2022,  4038,  2039,  4039,  4040,  5209,
    4046,  4136,  4069,  4096,  4138,  4125,  4084,  3089,  3089,  4104,
    4129,  5222, -2635,  4160, -2556,  4127,  4128,  4181,  3574,  1438,
    4152,  4196,  3574,  2028,  4183,  2277,   180,  4184,  4197,  4198,
   -2635,  4189,  4199,  4201,  4203,  4205,  4206,  4220,  4867,  4592,
    4223,  5054,  4235,  4238,  5059,  4250,  4251,  4236,  4237,  2566,
    4248,  4262,  4584,  1046,  4264,  2030,  4249,  4265,  4252,  4253,
    4275,  4591,  4276,  2574, -2556,  4299,  4281,  4284,  4301,  4211,
    4303,  4314,  4306,  4315,  4317,  1081, -2556,  4318,  1440,  4321,
    4342, -2556,  2755,  4356,  4331,  4370, -2556,  2588,  1307,  4380,
    4362,  4377, -2556,  2040,  4382, -2556,  2041,  2042,  2043, -2556,
    2044,  2045,  2046,  2047,  2048,  2049,  2643,  2755,  4389, -2635,
     848,  4376,  4383,  1441,  4399,  4404,  2044,  2045,  2046,  2047,
    2048,  2049,  4074,  4405,  4420,   848,  4422,  4417, -2556,  4425,
    4430,  2617,  1081,  4426,  5279,  4421,  4418,  4438,  4423,  4442,
    4444,  4450,  4462,  4471,  4472,  4473,  4514,  4474, -2556,  1442,
    5182,  4515,  4457,  4467,  4466,  1307,  4475, -2133,  4522,  4494,
    4972,  4479,  4507,  4523,  4510, -2635,  4529,  4512,  4528,  4527,
   -2635,   593,  5163,  4530,  4536,  4548,  4545,  2277,  4550,  4552,
    4558,  4557,  4563,  1443,  4567,  4586,  1931,  4587,  4597, -2556,
    4590,  4598, -2556,  4596,  4609,  4612,  4616,  4618, -2556,  2021,
    2015,  1307,  2022,  4621,  4622,  4630,  4644, -2635,   595,  4638,
    4639,  4652,  4653,  4658,   848,  1445,  3323,  4659,  4662,  4667,
    4668,  4675,  1004,  4677,  5179,  4673,  4674,  4681,  1004,  4697,
    2013,  2028,  4683,  4691,  4694,  4841,  4699,  4706, -2635,   893,
    4716,  1004,  4717,  4718,  4726,  4738,   812,  4719,  4704,  4714,
    1046,  4731,  4737, -2556,  2037,  4744,    35,  4752,  2261,  4754,
    1447,  4745,  4747,  2030,  4755,  4756,  4757,  2785,  4779,  1448,
    4763,  4769,  4772,  4798,  2013,  4807,  4783,  1449,  3590,  4801,
    4804,  4839,  4810,  4821,  4831,  2262,  1307,  4832,  4826,   893,
    4825,  2798,  4837,  4881,  4862,  1307,  4883,  1451,  4823,  4341,
    4843,  4889,  4844,  4891,  4848,  1452,   751,  3548,  4893,  4853,
    4900,  4917,  1307,  1307,  4854,  4855,  1307,  4894,  4897,  4918,
    2755,  4899,  4925,  3567,  4930,  4882,  4935,  4927,  4944,  4945,
    4492,   593,  4956, -2556,  4103,  4937,  4958,  4959,  3577,  4973,
    4976,  4960,   180,  3577, -2635,  4980,  3577,   593,  4986,  3182,
    5026,  4785,  4990,  1307,  1307,  5001,  4993, -2556,  5005, -2556,
   -2556,  1453,  4997,  5027,  5024,  4802,  5033,  4168,  5432,  1307,
    4999,  5039,  5016, -2635,  5082,  3567,  5084,  5096, -2635,   825,
    4168,   895,   848,   848,   848,  5089,  5093,  5147,  5094,  5103,
    5108,  5054,   595,  5114,  5123, -2556,  5115,  5127, -2556, -2556,
   -2556,   595,   868,  5129,  5164,  5128,  5136,  5146,  5166,   595,
    5168,   868,   595,  5145,  5139, -2635,  5154,  5167,  5170,  5171,
    5175,  3574,  5176,  5137,  5138,   868,  5193,  5189,  3574,  5432,
     860,   895,  5214,  3574,  5220,  5221,  3574,  5225,  5227,  5230,
    5234, -2635,  5237,  5238,  5257,  5432,  5260,  5258,  2044,  2045,
    2046,  2047,  2048,  2049,  5294,  5265,  5266,  3574,  5302,  5312,
    5304,  5223,  2037,  5224,  5259,  5321,  5353,  1465,  2979,  4079,
    3574,  5277,  5322,  1466,   860,  5358,  5339,   812,  5275,  5365,
    5296,  5320,  2996,  5372,  5378,   592,  1568,  5386,  5383,  4350,
    5409,  5392,   812,  5410,  5411,  2755,  1046,   812,  5419,  3089,
    5421,  2021,  5425,  5443,  2022,  4951,  2277,  5446,  2023,  2024,
    2025,  5447,  5459,  5442,  5460,  1468,  5445,  4915,  5466,  5467,
    5471,  5472,  3029,   812,  5469,  2026,  1358,  4398,  2090,  2422,
    3290,  3585,  1563,  2028,  1564,  3156,  3696,  3080,  4219,  5307,
    2029,   848,   812,  4168,  4226,  5424,  5305,  3828,  1462,  4324,
    2021,  3194, -2635,  2022,  5076,  5208,  4949,  2023,  2024,  2025,
    5384,  4358,  4936,  4657,  3634,  2030,  4910,  1569,  1307,  1470,
    5297,  1307,  3399,  1307,  2026,  5380,  1471,   826,  5228,  1472,
    5226,  5319,  2028,  5397,  4814,  3639,  4388,  4408,  5187,  2029,
    4351,  4224,  3891,  1307,  3264,  3265,  3715,  4375,  4679,  1307,
    4916,  3255,  3899,  3577,  1473,  4921,  1552,  4785,  5473,  5385,
    5464,  4895,  3846,  1307,  2030,  5363,  3841,  5324,  5035,  4842,
    2497,  5195,  5004,  4845,   753,  1950,  4439,  5011,  1960,  5436,
    2564,  2922,  4414,  3574,  3625,  2572,  5134,  2609,  1474,  1124,
    2684,  2685,  3799,  4254,  2686,   812,  1738,  1931,  3895, -2635,
    4274,  5344,  5458,  1335,  2184,  2860,  2044,  2045,  2046,  2047,
    2048,  2049,  4541,  2634,  2867,  4803,  5291,  4146,  2868,   846,
    1047,  2101,  1307,  2063,  3588,  2031,  3599,  2897,   859,  2878,
    2032,  4126,   848,   848,   848,   848,   859,  5287,  2134,   859,
    5169,  2133,  4533,  3574,  4099,  2896,  2138,  1475,   893,  1476,
    4505,  4093,  2033,  2034,  2755,  2755,  4992,  5153,  4520,  1477,
    5152,  4147,  4094,  5461,  2143,  5364,  5420,  2035,  1478,  2583,
     593,  5278,  4048,  4971,  2031,  3250,  4800,  1532,  5289,  2032,
    1479,  5290,  3455,  3544,  3217,  3542,     0,     0,  2836,     0,
       0,   812,  2845,     0,  3577,     0,  1533,     0,     0,     0,
    2036,  2033,  2034,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2037,     0,  2035,  2038,  1570,     0,
    5117,  1481,  1482,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1534,  4211,     0,  2036,
    1307,  1571,     0,   593,  2207,     0,  1307,   180,     0,     0,
    5161,     0,     0,  2037,     0,   595,  2038,  1307,     0,     0,
       0,  1307,     0,  1307,     0,  1307,     0,   868,     0,     0,
     180,     0,  4168,   868,  3574,     0,     0,     0,   848,     0,
     895,     0,     0,     0,     0,  5172,   868,     0,     0,     0,
       0,  1307,     0,     0,  2039,     0,     0,     0,     0,  4212,
       0,     0,   868,     0,     0,  5301,  1484,   595,     0,     0,
       0,     0,     0,  1095,     0,     0,     0,   595,   868,     0,
       0,     0,  1535,     0,   595,     0,   868,   595,     0,     0,
       0,     0,     0,  3574,     0,     0,  1931,  1931,     0,  1095,
     868,     0,     0,  2039,     0,     0,     0,     0,     0,     0,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3574,     0,     0,  3425,     0,   848,     0,     0,
    1536,     0,     0,  1537,  5242,     0,     0,     0,  1307,     0,
    5350,  5351,  3437,     0,  2374,     0,  4213,  5254,     0,     0,
       0,  2040,     0,     0,  2041,  2042,  2043,  3445,  2044,  2045,
    2046,  2047,  2048,  2049,     0,     0,     0,     0,     0,     0,
       0,  3519,  1307,  1307,  1307,     0,  1539,     0,  3182,     0,
       0,  1307,     0,     0,     0,     0,     0,     0,     0,   595,
     595,  1307,     0,     0,  5004,   868,     0,     0,     0,  2911,
    2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,     0,   860,     0,     0,  2781,     0,     0,
    1541,   595,     0,     0,  2013,     0,     0,     0,     0,     0,
       0,   848,     0,     0,     0,     0,     0,  3574,  1931,     0,
    4092,     0,  1542,  4097,  2020,     0,     0,     0,     0,  2021,
       0,     0,  2022,     0,     0,     0,  2023,  2024,  2025,     0,
       0,     0,  1544,  2277,  4214,     0,     0,  4215,   593,     0,
       0,     0,     0,  2026,  1307,     0,  2027,     0,  5325,     0,
       0,  2028,     0,  4168,     0,     0,     0,     0,  2029,   860,
     860,  1307,   988,     0,     0,     0,     0,   184,     0,     0,
       0,  1307,     0,     0,  5349,  5161,  5346,     0,     0,  5347,
       0,     0,     0,  2030,     0,  5348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   848,     0,     0,     0,
    5408,     0,     0,     0,     0,     0,   595,   595,  1700,     0,
       0,     0,     0,     0,   846,   595,  5474,  5475,     0,     0,
       0,     0,  1095,     0,   859,     0,   595,     0,  5254,   848,
     848,   859,   595,  4168,   859,   595,  2304,     0,     0,     0,
       0,     0,     0,  3574,     0,   184,     0,  1095,     0,     0,
       0,     0,  5349,     0,  5346,     0,     0,  5347,     0,  2420,
    1307,  1307,  1095,  5348,     0,     0,     0,     0,     0,     0,
       0,     0,  1307,     0,     0,     0,     0,     0,   737,     0,
       0,     0,     0,     0,   737,     0,     0,     0,     0,     0,
       0,  3650,     0,  2031,     0,     0,     0,     0,  2032,     0,
       0,     0,     0,     0,     0,  1307,     0,   595,   595,     0,
    3661,     0,     0,     0,     0,  1307,     0,     0,  3574,     0,
    2033,  2034,     0,  3574,     0,     0,     0,     0,     0,   848,
       0,     0,  4168,     0,     0,  2035,     0,     0,     0,     0,
       0,  5161,     0,     0,   184,   593,     0,  1095,     0,     0,
       0,  5349,     0,  5346,     0,     0,  5347,     0,     0,     0,
       0,     0,  5348,     0,     0,   860,   860,     0,  2036,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2037,     0,   868,  2038,     0,     0,     0,  1465,
       0,     0,     0,     0,     0,  1466,     0,     0,     0,     0,
       0,     0,   868,     0,     0,     0,  3743,     0,  3745,     0,
       0,   595,     0,     0,     0,     0,     0,     0,     0,   868,
       0,     0,  3574,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2508,     0,     0,  1468,     0,     0,
       0,  3567,  2525,  2021,     0,     0,  2022,   868,     0,     0,
    2023,  2024,  2025,     0,  2420,     0,  1095,     0,   868,     0,
       0,     0,     0,     0,     0,     0,     0,  2026,     0,     0,
     180,     0,  2039,   868,     0,  2028,   868,     0,     0,     0,
       0,     0,  2029,     0,     0,  2694,     0,  2319,   595,     0,
       0,  1470,   846,     0,     0,     0,     0,  3795,  1471,     0,
       0,  1472,     0,   859,     0,     0,     0,  2030,     0,   859,
       0,     0,   859,     0,     0,     0,     0,     0,   595,     0,
       0,     0,     0,     0,     0,     0,  1473,     0,     0,     0,
    2602,     0,     0,     0,  2695,     0,  3814,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   595,   595,   595,     0,
     595,     0,     0,     0,     0,     0,     0,  2420,     0,     0,
    1474,     0,     0,     0,     0,     0,  2696,     0,     0,  2040,
     595,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,
    2048,  2049,     0,     0,  1801,  1802,     0,     0,     0,  2697,
       0,     0,     0,     0,   868,     0,     0,     0,     0,     0,
    2698,     0,   868,   868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2031,     0,  1475,
    2699,  1476,  2032,     0,     0,  2700,     0,     0,     0,     0,
       0,  1477,     0,     0,     0,     0,     0,     0,  3029,     0,
    1478,     0,   595,     0,  2033,  2034,   595,   595,     0,     0,
       0,  3567,  1479,     0,     0,  3567,     0,     0,     0,  2035,
       0,   595,     0,     0,     0,  1095,     0,     0,     0,     0,
    3951,  1700,     0,     0,     0,     0,  2701,     0,     0,     0,
       0,     0,     0,     0,     0,   180,   180,     0,     0,     0,
    2320,     0,  2036,  1481,  1482,     0,     0,  2702,     0,     0,
       0,     0,     0,     0,     0,     0,  2037,     0,     0,  2038,
    2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,  2025,
       0,  1465,     0,  2321,     0,     0,     0,  1466,     0,     0,
    1095,     0,     0,     0,  2026,     0,     0,     0,     0,     0,
    1467,     0,  2028,     0,     0,     0,     0,     0,     0,  2029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   206,  2703,     0,     0,  2704,  1468,
       0,  1095,  4005,     0,  2030,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1484,     0,
       0,     0,     0,  4014,  2705,     0,  2039,  2706,     0,     0,
       0,     0,     0,  2707,  1095,     0,     0,     0,     0,     0,
    2708,     0,     0,     0,     0,     0,     0,  2913,  4037,  1469,
    2218,     0,     0,  1470,     0,  2219,     0,     0,     0,     0,
    1471,     0,     0,  1472,     0,  2929,     0,     0,  2709,     0,
       0,  2933,     0,  2710,     0,  2936,  2711,     0,     0,     0,
       0,     0,  1956,     0,     0,     0,     0,     0,  1473,     0,
    2220,     0,     0,     0,   868,  2712,     0,     0,     0,     0,
       0,  2960,     0,  2221,     0,     0,     0,     0,     0,   595,
     595,   595,     0,     0,  2031,     0,     0,     0,  2222,  2032,
    2713,     0,  1474,  2040,     0,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
    3842,  2033,  2034,     0,     0,     0,     0,  3015,     0,     0,
       0,     0,     0,     0,     0,     0,  2035,     0,     0,  2223,
       0,     0,     0,     0,     0,  1004,   180,     0,     0,     0,
    2224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1475,     0,  1476,     0,     0,     0,     0,     0,  2036,
    2225,     0,     0,  1477,     0,  2226,     0,     0,  3065,     0,
       0,     0,  1478,  2037,     0,     0,  2038,   737,     0,   737,
       0,   737,  1095,     0,  1479,     0,     0,   737,  1164,  1165,
       0,     0,     0,     0,  3094,     0,     0,     0,     0,  1095,
       0,  3104,     0,     0,     0,     0,     0,  3109,  1095,     0,
       0,     0,     0,     0,  1004,  1700,     0,     0,  3124,     0,
    1095,     0,  1480,  3128,     0,  1481,  1482,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2227,     0,   868,
       0,     0,     0,  3141,     0,     0,     0,   868,  3143,     0,
       0,     0,  3146,     0,     0,  1483,     0,     0,     0,   868,
       0,  3567,     0,  2039,     0,  3163,  3567,     0,     0,  3567,
       0,  2228,     0,     0,     0,     0,  1095,     0,  3188,     0,
       0,     0,     0,   595,     0,     0,   595,     0,  1004,     0,
    1095,     0,     0,     0,     0,     0,   595,     0,     0,     0,
       0,     0,  1095,     0,   206,  2229,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,   663,     0,     0,     0,     0,
    1484,     0,     0,     0,   750,     0,     0,     0,     0,     0,
     737,   595,   595,     0,   868,   868,     0,  2230,     0,     0,
       0,     0,     0,  2231,     0,     0,   595,     0,   868,   595,
    2232,     0,     0,  2233,     0,     0,     0,     0,  1095,  1095,
    2040,   868,   868,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,     0,     0,  2443,     0,   868,     0,     0,
       0,     0,     0,  2234,     0,     0,     0,     0,     0,     0,
    2235,     0,     0,     0,     0,     0,  4361,     0,  2236,     0,
       0,     0,     0,     0,     0,  2237,     0,     0,     0,   595,
       0,     0,   595,   595,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   180,     0,     0,     0,     0,     0,
    2238,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   595,     0,   595,     0,     0,
       0,     0,   595,   595,     0,     0,     0,     0,     0,   595,
     595,   595,     0,   180,     0,   595,     0,   595,   595,   595,
     595,   595,   595,     0,   595,     0,   595,   595,     0,     0,
     595,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,   595,   595,   595,   595,  1700,
       0,     0,     0,   595,     0,     0,     0,   595,     0,     0,
     595,     0,     0,   595,   595,   595,   595,   595,   595,   595,
     595,   595,     0,   595,     0,     0,  3567,     0,     0,     0,
     595,  3412,   595,     0,     0,     0,  2013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3426,
       0,     0,     0,     0,     0,     0,     0,  3412,     0,  3339,
     846,     0,     0,   846,     0,     0,     0,     0,  2021,     0,
       0,  2022,   595,     0,     0,  2023,  2024,  2025,     0,     0,
    1437,  1956,     0,     0,     0,     0,     0,     0,   595,     0,
       0,     0,  2026,     0,     0,     0,     0,   595,   595,     0,
    2028,     0,     0,   737,     0,     0,     0,  2029,   859,   859,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,   868,   859,     0,     0,   859,     0,     0,  1095,
       0,     0,  2030,  1095,  1095,     0,     0,     0,     0,     0,
     868,     0,     0,     0,     0,  1700,   868,     0,     0,     0,
     868,     0,     0,     0,     0,     0,     0,     0,   868,     0,
       0,     0,     0,     0,     0,     0,     0,  3567,     0,     0,
       0,     0,     0,  1440,     0,     0,   868,   180,     0,   595,
       0,     0,     0,     0,     0,     0,   859,     0,     0,   859,
     859,   595,     0,     0,     0,  1095,  4571,     0,   595,     0,
       0,   595,   595,     0,     0,     0,     0,     0,  1441,  1095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4593,     0,     0,     0,  3340,
     868,   868,  2031,     0,  1442,     0,     0,  2032,     0,  1095,
       0,     0,   180,     0,  1465,     0,  4608,     0,     0,     0,
    1466,     0,     0,     0,     0,     0,     0,     0,     0,  2033,
    2034,     0,  1700,   868,     0,     0,  1700,     0,  1443,     0,
       0,   737,     0,     0,  2035,     0,   737,   737,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   868,
       0,  1700,  1468,     0,     0,     0,   868,     0,     0,     0,
    1445,     0,   868,     0,     0,     0,     0,  2036,     0,   868,
       0,  4635,     0,   868,     0,     0,     0,     0,   868,     0,
       0,  2037,     0,     0,  2038,     0,  3646,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   868,     0,
       0,    35,     0,   868,     0,  1447,  1470,   868,     0,     0,
    1700,     0,     0,  1471,  1448,     0,  1472,     0,     0,     0,
     868,     0,  1449,     0,     0,     0,     0,     0,  1465,     0,
    2262,     0,     0,   868,  1466,     0,     0,     0,     0,     0,
       0,  1473,  1451,   868,   737,     0,     0,     0,     0,     0,
    1452,     0,     0,     0,   737,   980,     0,     0,     0,     0,
     595,   595,   595,     0,     0,     0,   595,     0,     0,     0,
       0,  2039,  3342,     0,     0,  1474,  1468,     0,     0,     0,
       0,     0,     0,     0,     0,  4725,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1164,  1165,  3726,     0,
       0,   595,  1095,     0,     0,     0,  1453,     0,  1045,   663,
    3343,  1700,     0,     0,     0,     0,     0,     0,   846,     0,
       0,     0,     0,     0,     0,   859,     0,     0,   859,   859,
    1470,  1956,     0,     0,  1475,   180,  1476,  1471,     0,   737,
    1472,     0,   737,   737,     0,   595,  1477,     0,     0,     0,
       0,     0,     0,     0,     0,  1478,     0,     0,     0,     0,
       0,   180,     0,     0,     0,  1473,     0,  1479,  2040,     0,
       0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,
    2049,     0,     0,     0,  1095,  4006,     0,     0,     0,   868,
       0,     0,     0,     0,     0,     0,     0,     0,   595,  1474,
       0,     0,     0,  1183,     0,  1597,     0,     0,  1481,  1482,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3807,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1202,
       0,     0,     0,     0,     0,     0,     0,  1310,  1598,  5407,
    1319,  1045,  1321,     0,   868,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1475,     0,
    1476,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1477,     0,     0,     0,     0,     0,     0,     0,     0,  1478,
       0,     0,     0,     0,     0,     0,   868,     0,     0,     0,
       0,  1479,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1095,  1484,   868,     0,     0,     0,     0,     0,
       0,  1465,   868,     0,     0,     0,   595,  1466,     0,  1095,
       0,     0,   595,   737,     0,   595,     0,     0,   595,  2242,
    1568,     0,  1481,  1482,  1095,     0,     0,     0,   180,     0,
       0,     0,     0,     0,     0,   595,     0,     0,     0,     0,
     595,     0,     0,     0,     0,     0,     0,     0,     0,  1468,
       0,     0,  2243,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   595,   595,   595,     0,     0,   595,     0,
       0,     0,     0,     0,     0,     0,   595,   595,   595,   595,
       0,     0,     0,     0,  1700,     0,     0,     0,     0,   595,
    1700,     0,   595,     0,   595,     0,     0,     0,  2420,     0,
    1956,  1569,     0,  1470,     0,   595,   595,     0,     0,   595,
    1471,     0,     0,  1472,     0,     0,  3977,  1484,     0,     0,
       0,     0,     0,   595,  2578,   595,     0,   595,     0,     0,
       0,     0,     0,     0,  2586,     0,  2587,     0,  1473,     0,
    3795,  3991,  2591,  2021,     0,     0,  2022,   595,     0,  2597,
    2023,  2024,  2025,     0,     0,     0,     0,     0,   595,     0,
       0,     0,  2021,     0,     0,  2022,   868,  2026,     0,  2023,
    2024,  2025,  1474,     0,     0,  2028,     0,     0,     0,     0,
       0,   595,  2029,     0,     0,     0,  2026,     0,     0,     0,
       0,     0,     0,  1956,  2028,     0,   595,     0,  1956,  1956,
       0,  2029,     0,     0,     0,     0,     0,  2030,     0,     0,
     595,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2030,     0,     0,  1095,
       0,  1475,  1095,  1476,  1095,     0,     0,     0,     0,  1095,
       0,     0,     0,  1477,     0,     0,     0,     0,     0,     0,
       0,     0,  1478,     0,   868,   868,     0,     0,     0,     0,
     595,     0,     0,     0,  1479,     0,     0,     0,  1045,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2729,
    2730,   868,     0,   846,   868,  1045,  2744,  2745,  1095,   859,
       0,     0,   859,     0,     0,   859,     0,     0,     0,     0,
       0,  2021,  3153,     0,  2022,  1481,  1482,  1095,  2023,  2024,
    2025,  5135,     0,     0,  2783,     0,     0,  2031,     0,  1955,
       0,     0,  2032,     0,     0,  2026,     0,     0,     0,     0,
       0,     0,  1095,  2028,     0,  3154,  2031,     0,     0,     0,
    2029,  2032,  1045,     0,  2033,  2034,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2035,
       0,     0,     0,  2033,  2034,  2030,     0,     0,     0,  1700,
    1700,  1700,     0,     0,  4191,     0,     0,     0,  2035,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2036,   868,     0,     0,     0,     0,     0,     0,
    1484,     0,     0,  1095,     0,  1095,  2037,     0,     0,  2038,
       0,  2036,     0,   868,     0,     0,     0,     0,  2017,     0,
       0,  2887,  2887,     0,     0,  2037,     0,  2019,  2038,     0,
       0,     0,   868,     0,     0,   592,     0,     0,     0,     0,
       0,  2061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1045,     0,     0,  2078,  2079,     0,     0,     0,  1045,  1045,
       0,     0,     0,     0,     0,  2031,     0,     0,     0,     0,
    2032,     0,   737,     0,     0,     0,     0,   592,     0,  4289,
       0,     0,  4292,     0,  1095,     0,  2039,     0,     0,     0,
       0,     0,  2033,  2034,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   868,  2039,  5283,  2035,     0,   595,
       0,     0,     0,     0,     0,   595,     0,     0,     0,     0,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2036,     0,     0,     0,     0,     0,     0,     0,  1095,     0,
       0,     0,     0,     0,  2037,  1700,  1095,  2038,     0,     0,
       0,     0,   868,     0,   868,     0,  3031,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   868,     0,   868,
       0,     0,     0,  2040,  4372,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
    4057,  1700,  2040,  2420,     0,  2041,  2042,  2043,     0,  2044,
    2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,  4162,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   868,  1095,  2039,     0,     0,  1816,   737,     0,
       0,     0,     0,     0,     0,     0,   737,  1095,  2021,   737,
       0,  2022,     0,     0,     0,  2023,  2024,  2025,     0,     0,
       0,     0,     0,     0,     0,  1843,  3412,     0,  2379,     0,
       0,     0,  2026,     0,  2384,     0,     0,     0,     0,     0,
    2028,     0,     0,   868,     0,  1861,     0,  2029,     0,     0,
       0,     0,     0,     0,     0,  1872,     0,     0,     0,  1875,
       0,   868,     0,  1878,     0,  1880,     0,     0,     0,     0,
       0,  1888,  2030,     0,     0,     0,     0,  1896,     0,     0,
    1899,     0,     0,   868,     0,     0,   868,     0,     0,     0,
       0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,     0,     0,   595,     0,  4458,  1095,
       0,     0,     0,     0,     0,   595,     0,     0,     0,     0,
       0,   595,     0,   595,     0,     0,   595,     0,     0,     0,
    1095,   595,   595,   595,   595,     0,     0,   595,   595,   595,
     595,   595,   595,   595,   595,   595,   595,     0,     0,     0,
     595,   595,     0,     0,     0,  1095,     0,     0,     0,     0,
     595,     0,     0,     0,   595,     0,  1700,     0,   595,     0,
       0,     0,     0,     0,     0,     0,   595,     0,     0,   595,
       0,   595,  2031,     0,     0,     0,     0,  2032,     0,  1095,
     595,     0,     0,   595,   595,     0,     0,     0,   595,   595,
       0,     0,     0,     0,     0,   595,     0,     0,     0,  2033,
    2034,     0,     0,     0,     0,   595,     0,     0,   595,     0,
       0,     0,     0,     0,  2035,  3365,  3367,     0,     0,     0,
     595,  3375,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2519,     0,
       0,     0,  2524,     0,   595,     0,     0,  2036,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     595,  2037,     0,     0,  2038,     0,  1095,     0,     0,     0,
       0,     0,     0,  4603,     0,     0,     0,     0,   595,     0,
       0,     0,   737,     0,     0,  4613,     0,     0,     0,     0,
       0,     0,     0,     0,  2021,     0,     0,  2022,     0,     0,
       0,  2023,  2024,  2025,     0,     0,     0,     0,     0,   868,
       0,     0,     0,     0,  2021,     0,     0,  2022,  2026,     0,
       0,  2023,  2024,  2025,     0,     0,  2028,     0,     0,     0,
       0,     0,     0,  2029,  1465,     0,     0,     0,  2026,     0,
    1466,     0,     0,     0,     0,     0,  2028,     0,     0,     0,
       0,  2039,     0,  2029,     0,     0,     0,     0,  2030,     0,
    1700,     0,     0,     0,     0,  1700,  1095,  1700,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2021,  2030,     0,
    2022,     0,  1468,     0,  2023,  2024,  2025,     0,     0,  1700,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2026,     0,     0,     0,     0,     0,     0,  1700,  2028,
       0,     0,     0,     0,     0,     0,  2029,     0,     0,     0,
       0,     0,     0,     0,   868,     0,     0,   868,     0,     0,
       0,     0,     0,     0,     0,     0,  1470,     0,     0,     0,
       0,  2030,     0,  1471,     0,     0,  1472,     0,  2040,     0,
       0,  2041,  2042,  2043,  2740,  2044,  2045,  2046,  2047,  2048,
    2049,     0,     0,     0,     0,  4493,     0,     0,  2031,     0,
       0,  1473,     0,  2032,     0,     0,     0,     0,  3583,     0,
     737,  3412,   592,     0,     0,   592,     0,     0,  2031,     0,
       0,     0,     0,  2032,   595,  2033,  2034,     0,     0,     0,
       0,     0,  3595,  3595,     0,  1474,     0,     0,     0,     0,
    2035,     0,     0,     0,     0,  2033,  2034,     0,     0,   868,
     868,     0,     0,  1095,     0,     0,     0,     0,     0,   868,
    2035,     0,     0,     0,     0,     0,   595,     0,     0,     0,
       0,     0,     0,  2036,     0,  2853,     0,  1465,   868,     0,
       0,  2031,     0,  1466,     0,   592,  2032,  2037,     0,     0,
    2038,     0,     0,  2036,  1475,     0,  1476,     0,     0,     0,
       0,     0,     0,  1095,   595,   595,  1477,  2037,  2033,  2034,
    2038,     0,     0,     0,     0,  1478,     0,  3412,     0,  3412,
       0,     0,     0,  2035,     0,  1468,     0,  1479,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   868,     0,     0,     0,  1465,  2036,     0,     0,     0,
       0,  1466,     0,     0,     0,  3024,     0,     0,  1481,  1482,
    2037,     0,     0,  2038,   595,     0,     0,  2039,     0,  1470,
       0,     0,     0,     0,  1045,   595,  1471,     0,     0,  1472,
       0,     0,     0,     0,     0,     0,     0,  2039,  1483,     0,
       0,     0,     0,  1468,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1473,   595,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   595,   595,     0,  1095,     0,
       0,     0,   595,   595,     0,     0,     0,   595,  1095,     0,
       0,     0,   595,     0,     0,   595,   595,     0,  1474,     0,
     595,     0,     0,     0,     0,  1321,   595,  1470,     0,     0,
    2039,     0,     0,  1484,  1471,     0,     0,  1472,   595,     0,
       0,     0,     0,     0,  2040,     0,   595,  2041,  2042,  2043,
     595,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,
       0,  4742,  1473,     0,  2040,     0,     0,  2041,  2042,  2043,
       0,  2044,  2045,  2046,  2047,  2048,  2049,  1475,   595,  1476,
       0,  4753,     0,     0,     0,     0,     0,     0,     0,  1477,
       0,     0,     0,     0,     0,     0,  1474,     0,  1478,     0,
    2604,     0,     0,     0,  1321,   595,     0,     0,  2611,     0,
    1479,     0,     0,   592,     0,     0,     0,     0,     0,     0,
       0,  1321,     0,  1095,     0,     0,     0,  2040,  2623,     0,
    2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,
     868,     0,     0,     0,  4762,  1700,     0,     0,  3197,     0,
       0,  1481,  1482,     0,     0,  1475,     0,  1476,     0,     0,
       0,     0,  1095,     0,     0,     0,     0,  1477,     0,     0,
       0,     0,   737,     0,     0,     0,  1478,     0,   868,     0,
     737,  3198,  3191,  1095,     0,     0,     0,     0,  1479,     0,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3880,     0,   595,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3220,   868,     0,  3220,
       0,  3220,     0,     0,     0,  3220,  3672,  3220,  3220,  1481,
    1482,     0,     0,     0,     0,     0,  3220,  3220,  3220,     0,
       0,     0,  2021,     0,     0,  2022,  1484,     0,  1095,  2023,
    2024,  2025,     0,     0,     0,     0,     0,     0,     0,  3673,
       0,     0,     0,     0,     0,     0,  2026,     0,     0,     0,
       0,     0,     0,   595,  2028,     0,     0,     0,     0,     0,
       0,  2029,     0,     0,     0,     0,  3953,     0,     0,   595,
       0,     0,     0,     0,  3300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2030,     0,     0,     0,
       0,     0,   868,     0,     0,     0,     0,     0,     0,   595,
       0,     0,     0,   592,  1484,     0,  3332,   592,     0,     0,
    2858,     0,     0,  1465,     0,  1045,     0,     0,     0,  1466,
       0,  2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,
    2025,  1465,     0,     0,     0,     0,     0,  1466,     0,     0,
    1095,     0,  1095,     0,     0,  2026,     0,   737,     0,     0,
       0,     0,     0,  2028,     0,     0,     0,     0,     0,     0,
    2029,  1468,     0,     0,     0,     0,   868,     0,     0,     0,
    1045,     0,     0,     0,     0,     0,     0,     0,     0,  1468,
       0,     0,     0,     0,   595,  2030,     0,     0,  1095,     0,
       0,     0,     0,   595,     0,     0,  2031,     0,     0,     0,
       0,  2032,     0,     0,     0,     0,     0,     0,     0,     0,
     595,   595,     0,     0,   595,  1470,     0,     0,     0,     0,
       0,     0,  1471,  2033,  2034,  1472,     0,     0,     0,   595,
       0,     0,     0,  1470,     0,     0,   595,     0,  2035,     0,
    1471,   595,     0,  1472,   595,   595,     0,     0,     0,     0,
    1473,   595,   595,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   595,     0,   595,  1473,     0,
       0,  2036,   868,     0,   868,     0,     0,     0,   595,     0,
       0,     0,     0,     0,  1474,  2037,     0,     0,  2038,     0,
       0,     0,     0,  3412,     0,  2031,     0,     0,     0,     0,
    2032,     0,  1474,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1095,   868,
       0,     0,  2033,  2034,     0,     0,     0,     0,   595,     0,
       0,     0,     0,     0,     0,     0,     0,  2035,     0,     0,
       0,     0,     0,  1475,     0,  1476,  4664,     0,     0,     0,
       0,     0,     0,     0,     0,  1477,     0,     0,     0,     0,
       0,  1475,     0,  1476,  1478,     0,  1700,     0,     0,     0,
    2036,     0,   595,  1477,     0,  2039,  1479,     0,     0,     0,
       0,     0,  1478,     0,  2037,     0,     0,  2038,     0,     0,
       0,     0,     0,     0,  1479,     0,     0,     0,     0,     0,
       0,     0,  1045,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3728,     0,     0,  1481,  1482,     0,
       0,     0,  1437,     0,     0,     0,     0,     0,  4940,     0,
     737,     0,     0,     0,     0,  1481,  1482,     0,     0,     0,
       0,   595,     0,  1095,     0,     0,     0,  3729,     0,     0,
       0,     0,     0,     0,   737,     0,  1438,     0,     0,     0,
       0,   737,     0,     0,     0,  1483,   595,  1095,     0,   595,
    1437,   595,  2040,     0,  2039,  2041,  2042,  2043,     0,  2044,
    2045,  2046,  2047,  2048,  2049,     0,  1439,     0,     0,  4765,
       0,   595,     0,     0,     0,     0,     0,   595,     0,     0,
       0,   595,     0,     0,  1438,     0,   592,  1095,     0,     0,
       0,   595,  1484,   592,     0,  1440,     0,     0,   592,     0,
    1045,   592,  4781,     0,     0,     0,     0,     0,  1437,     0,
    1484,     0,     0,     0,  1506,     0,     0,     0,  1164,  1165,
       0,     0,   592,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,  1700,     0,     0,   592,     0,     0,     0,     0,
    1095,     0,  1438,  1440,     0,  1095,  1095,     0,     0,     0,
     595,  2040,     0,     0,  2041,  2042,  2043,   868,  2044,  2045,
    2046,  2047,  2048,  2049,     0,     0,  1442,  3354,  4812,   868,
       0,     0,  1523,     0,  3359,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,   859,     0,     0,     0,     0,
       0,  3720,     0,     0,  3378,     0,     0,     0,   595,     0,
    1443,  1440,     0,     0,  3384,     0,     0,  3385,     0,  3386,
    3387,   873,     0,  3389,  1442,     0,     0,     0,     0,  3393,
       0,  3394,   595,   907,  3396,     0,     0,     0,     0,   859,
       0,  1444,  1445,     0,   925,     0,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3758,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,  1095,  1095,     0,
       0,     0,   737,     0,     0,     0,     0,     0,     0,  1446,
       0,     0,  1442,    35,     0,     0,     0,  1447,   595,  1507,
    1445,   595,     0,     0,   595,     0,  1448,  3435,     0,     0,
       0,     0,     0,     0,  1449,   595,     0,     0,   592,   595,
       0,   595,  1450,   595,     0,     0,  1443,     0,     0,     0,
     595,     0,  3797,     0,  1451,     0,     0,  1508,     0,     0,
       0,    35,  1452,     0,     0,  1447,     0,     0,     0,   595,
       0,     0,     0,     0,  1448,     0,     0,  1524,  1445,     0,
       0,     0,  1449,     0,     0,     0,     0,     0,  2021,     0,
    1509,  2022,     0,     0,  3220,  2023,  2024,  2025,   592,     0,
       0,     0,  1451,     0,  1700,     0,   868,     0,  3827,     0,
    1452,     0,  2026,     0,  3838,  1525,     0,     0,  1453,    35,
    2028,     0,  3838,  1447,     0,     0,     0,  2029,  1045,     0,
    1045,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
    1449,     0,     0,     0,     0,     0,     0,     0,  1526,     0,
       0,     0,  2030,     0,     0,     0,   595,     0,     0,     0,
    1451,     0,     0,     0,     0,   595,  1453,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,  3902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     595,   595,   595,     0,     0,     0,     0,     0,     0,   595,
    1700,     0,     0,  1095,     0,     0,     0,  3935,  1045,   595,
       0,     0,     0,   601,     0,  5095,     0,     0,   868,   652,
     601,     0,     0,     0,  1453,   705,     0,   601,     0,     0,
       0,   737,   595,   601,     0,   756,   737,     0,     0,   592,
     737,     0,     0,     0,     0,     0,     0,   868,     0,     0,
       0,     0,     0,     0,   823,   823,     0,     0,     0,     0,
       0,     0,  2031,     0,     0,  4606,  4607,  2032,     0,     0,
    4610,  4611,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   595,     0,     0,  2033,
    2034,     0,   595,  3644,     0,     0,     0,     0,   592,     0,
       0,   595,     0,     0,  2035,     0,     0,   595,   595,   595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   595,
       0,     0,     0,     0,     0,     0,     0,   592,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2036,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2037,   868,     0,  2038,   939,     0,     0,     0,     0,
       0,   986,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   595,  3704,     0,  3706,
       0,   595,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4058,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   855,     0,     0,     0,     0,     0,   595,   595,
     897,     0,     0,   899,     0,     0,   904,   905,     0,   908,
     595,   910,     0,     0,   916,     0,   918,     0,     0,     0,
       0,     0,     0,     0,  1700,     0,     0,     0,     0,     0,
       0,  2039,   592,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   595,     0,     0,     0,     0,     0,  2021,
       0,     0,  2022,   595,     0,     0,  2023,  2024,  2025,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     595,     0,     0,  2026,     0,     0,     0,     0,     0,     0,
       0,  2028,     0,   595,     0,  1700,     0,     0,  2029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   859,
       0,  1700,     0,   595,   595,  1191,  3794,     0,     0,     0,
       0,     0,  3801,  2030,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2040,     0,
    1314,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,
    2049,     0,     0,     0,     0,  4847,     0,     0,     0,  1337,
       0,     0,  2021,  5328,     0,  2022,     0,     0,     0,  2023,
    2024,  2025,     0,     0,     0,     0,     0,     0,   592,     0,
       0,  1365,     0,     0,   859,   859,  2026,     0,     0,     0,
       0,     0,  3838,     0,  2028,     0,     0,     0,     0,     0,
       0,  2029,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4260,     0,     0,     0,
       0,     0,   737,     0,  4268,  1496,  2030,  4269,     0,  4270,
       0,     0,     0,  2031,     0,     0,     0,     0,  2032,     0,
       0,  2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,
    2025,     0,     0,   592,     0,     0,     0,     0,   592,     0,
    2033,  2034,     0,     0,     0,  2026,     0,     0,     0,     0,
       0,  4309,     0,  2028,     0,  2035,     0,     0,     0,     0,
    2029,     0,     0,     0,  3220,     0,     0,     0,  3220,  3220,
       0,  3220,     0,     0,     0,     0,  3827,     0,     0,     0,
       0,     0,     0,     0,     0,  2030,     0,     0,  2036,     0,
       0,     0,     0,     0,  3959,     0,  3961,     0,  3963,     0,
       0,     0,  2037,     0,     0,  2038,     0,  3967,     0,     0,
       0,     0,     0,     0,     0,     0,  2031,     0,     0,     0,
       0,  2032,     0,     0,     0,     0,     0,     0,     0,     0,
    1754,     0,     0,     0,     0,     0,     0,   592,     0,     0,
       0,     0,     0,  2033,  2034,     0,     0,     0,  3990,     0,
    5463,     0,     0,     0,     0,     0,     0,     0,  2035,  1792,
    1795,  1796,     0,     0,     0,     0,     0,     0,     0,     0,
     859,   859,     0,     0,     0,  4411,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2036,  2039,     0,     0,  2031,     0,     0,     0,   989,
    2032,     0,     0,     0,     0,  2037,     0,   998,  2038,     0,
       0,     0,     0,     0,  1011,  1012,     0,     0,  1018,     0,
    1021,  1022,  2033,  2034,     0,  1024,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1042,  2035,     0,     0,
    4447,  4447,  4447,     0,  4447,  4447,  4447,  4447,  4447,     0,
       0,  1052,     0,     0,     0,     0,     0,     0,     0,   737,
     737,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2036,     0,     0,   737,     0,     0,  1120,     0,  1122,     0,
       0,     0,     0,     0,  2037,     0,     0,  2038,  1138,  2040,
       0,     0,  2041,  2042,  2043,  2039,  2044,  2045,  2046,  2047,
    2048,  2049,     0,     0,  1314,     0,  4888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     601,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1314,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4532,  2039,  4534,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,
    2045,  2046,  2047,  2048,  2049,   823,     0,     0,     0,  5198,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5206,     0,     0,     0,     0,     0,  2092,     0,     0,     0,
       0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,     0,     0,     0,     0,  5327,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1600,     0,     0,     0,  2021,  2145,     0,  2022,     0,
       0,     0,  2023,  2024,  2025,     0,     0,     0,     0,     0,
       0,     0,  1711,     0,     0,     0,     0,     0,     0,  2026,
       0,     0,     0,     0,  1722,     0,     0,  2028,     0,  1725,
       0,     0,  4633,  4634,  2029,     0,     0,     0,     0,  1728,
       0,     0,     0,  3220,  1732,  3220,  3220,     0,     0,  3220,
       0,     0,  1735,     0,     0,     0,     0,     0,  1745,  2030,
       0,  1749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2271,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2295,     0,     0,   737,  2021,   737,
       0,  2022,     0,     0,     0,  2023,  2024,  2025,     0,     0,
       0,     0,  1803,     0,     0,     0,     0,     0,     0,     0,
       0,  4693,  2026,     0,     0,  2332,     0,     0,     0,     0,
    2028,     0,     0,     0,     0,     0,     0,  2029,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
       0,  2358,     0,     0,     0,  4720,     0,     0,     0,     0,
       0,     0,  2030,     0,     0,     0,     0,     0,     0,  4429,
       0,     0,     0,  4431,     0,     0,     0,     0,     0,  2031,
       0,     0,     0,     0,  2032,     0,     0,     0,  4447,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2406,     0,     0,     0,  2033,  2034,     0,     0,
       0,     0,     0,     0,     0,     0,  2424,     0,     0,     0,
       0,  2035,     0,     0,     0,     0,     0,   601,     0,   601,
       0,   601,     0,   601,     0,   601,   601,   601,     0,     0,
       0,     0,   601,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1951,  2036,  -129,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2037,     0,
       0,  2038,  2031,     1,     0,     0,     0,  2032,     0,   737,
       0,     0,     0,     2,     0,     3,     4,     0,  5430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2033,
    2034,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     0,     0,     0,  2035,     0,     0,     0,     0,     0,
       0,     0,     7,     0,     8,     9,     0,  2447,     0,     0,
       0,    10,     0,    11,  3838,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    12,     0,    13,  2036,     0,  5430,
       0,     0,     0,     0,     0,     0,     0,     0,  2039,     0,
       0,  2037,     0,    14,  2038,  5430,    15,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3220,     0,     0,
      16,  2501,    17,     0,  4570,     0,    18,     0,     0,     0,
       0,     0,    19,     0,     0,     0,     0,     0,     0,     0,
      20,     0,    21,     0,     0,     0,     0,     0,    22,     0,
    2544,     0,     0,     0,     0,     0,     0,  2557,     0,     0,
       0,     0,     0,     0,    23,     0,  4594,  4595,   823,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    24,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2039,     0,     0,     0,  2040,     0,     0,  2041,  2042,
    2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,  2021,     0,
       0,  2022,  5396,     0,     0,  2023,  2024,  2025,     0,     0,
       0,    25,    26,     0,     0,     0,     0,    27,     0,     0,
       0,     0,  2026,     0,     0,     0,     0,     0,     0,    28,
    2028,     0,     0,     0,     0,     0,     0,  2029,     0,  2240,
       0,    29,  4636,  4637,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2632,     0,     0,     0,     0,     0,     0,
       0,     0,  2030,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2040,     0,
       0,  2041,  2042,  2043,    30,  2044,  2045,  2046,  2047,  2048,
    2049,     0,     0,  1314,  1314,  5449,     0,     0,    31,     0,
       0,     0,     0,     0,    32,    33,     0,    34,     0,  2331,
    2683,     0,    35,     0,     0,     0,     0,    36,     0,     0,
      37,  5049,  5049,     0,     0,     0,     0,    38,     0,     0,
       0,     0,     0,    39,    40,  1045,     0,     0,     0,  5069,
       0,    41,     0,     0,     0,    42,     0,     0,     0,  5077,
       0,     0,     0,     0,     0,    43,     0,     0,     0,     0,
    4733,     0,  4734,  4735,     0,     0,     0,     0,    44,     0,
       0,     0,  2031,  2021,     0,     0,  2022,  2032,  4739,     0,
    2023,  2024,  2025,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,  2026,    46,  2033,
    2034,  2870,     0,     0,    47,  2028,     0,  2844,     0,    48,
       0,     0,  2029,     0,  2035,     0,     0,  2850,     0,     0,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2021,     0,     0,  2022,  2030,     0,     0,
    2023,  2024,  2025,     0,     0,    50,  1365,  2036,     0,     0,
       0,     0,     0,     0,  1365,     0,  1365,  2026,     0,    51,
       0,  2037,  -129,     0,  2038,  2028,     0,     0,     0,     0,
       0,     0,  2029,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2871,     0,     0,  1314,
       0,     0,     0,     0,     0,     0,     0,  2030,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1045,     0,     0,     0,  5212,     0,  5213,     0,
       0,     0,  5218,  5219,     0,     0,     0,  2031,     0,     0,
       0,  2039,  2032,     0,     0,     0,     0,  2492,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2033,  2034,     0,     0,     0,     0,
       0,     0,     0,  3498,     0,     0,     0,     0,  3499,  2035,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2021,  2031,     0,  2022,
       0,     0,  2032,  2023,  2024,  2025,     0,     0,     0,     0,
       0,     0,  2036,     0,     0,     0,     0,     0,     0,     0,
    2026,  3033,     0,  3457,  2033,  2034,  2037,     0,  2028,  2038,
       0,     0,     0,     0,     0,  2029,     0,  3056,  2040,  2035,
       0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,
    2049,     0,     0,     0,     0,  5462,     0,     0,  3083,  5049,
    2030,  5049,     0,     0,     0,  4967,     0,     0,     0,     0,
       0,     0,  2036,     0,  2615,     0,  2616,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2037,     0,     0,  2038,
       0,     0,     0,  2627,     0,  2628,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   601,
       0,   601,     0,   601,     0,   601,  2039,   601,     0,     0,
       0,   601,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3157,  3158,     0,     0,  5013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1045,     0,
    2031,     0,     0,  2872,     0,  2032,  2039,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5060,     0,
       0,     0,     0,     0,     0,     0,     0,  2033,  2034,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2035,  2040,     0,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3284,  5049,     0,     0,     0,  2036,     0,     0,     0,     0,
    5431,     0,     0,     0,     0,     0,     0,     0,     0,  2037,
       0,     0,  2038,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
    2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,  2025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5431,     0,     0,  2026,     0,     0,     0,     0,     0,
       0,     0,  2028,     0,     0,     0,     0,  5431,     0,  2029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2914,  2915,     0,  2039,
       0,     0,     0,     0,  2030,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2930,  2931,     0,     0,     0,
    2934,  2935,     0,   861,   870,  2938,     0,     0,     0,     0,
       0,   861,     0,   870,   861,     0,     0,     0,     0,  2949,
       0,     0,     0,     0,     0,     0,  2958,   870,     0,     0,
    2961,  2962,     0,     0,  2965,  2966,     0,     0,     0,     0,
       0,  2971,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3429,     0,  2990,     0,  2992,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2040,  3016,     0,  2041,
    2042,  2043,  3018,  2044,  2045,  2046,  2047,  2048,  2049,     0,
       0,     0,     0,     0,  2031,  3023,     0,     0,     0,  2032,
       0,     0,     0,     0,  3030,     0,  2021,  3034,     0,  2022,
    3037,  3040,  3042,  2023,  2024,  2025,     0,  3050,  3053,     0,
       0,  2033,  2034,     0,     0,     0,     0,  3066,     0,     0,
    2026,     0,  3075,     0,     0,     0,  2035,  3079,  2028,     0,
       0,     0,     0,     0,     0,  2029,     0,     0,     0,     0,
       0,     0,     0,  3095,     0,     0,     0,     0,     0,     0,
    3105,  3106,     0,     0,     0,     0,  3110,   869,     0,  2036,
    2030,     0,     0,     0,     0,     0,   869,  3125,  3126,     0,
       0,     0,  3129,  2037,     0,     0,  2038,     0,     0,     0,
     869,     0,     0,     0,  3136,     0,     0,  3139,     0,     0,
       0,     0,  3142,     0,     0,     0,     0,  3144,  3145,  3559,
    4049,     0,  3148,     0,     0,  3152,     0,     0,     0,  3159,
    3160,  3161,  3162,     0,  3164,     0,     0,     0,     0,     0,
       0,     0,  1365,     0,     0,     0,     0,  3189,  3190,     0,
    3192,     0,     0,     0,     0,     0,     0,  5376,     0,     0,
    3200,  3201,     0,     0,  2021,  5356,     0,  2022,     0,     0,
       0,  2023,  2024,  2025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2039,     0,     0,     0,     0,  2026,     0,
    2031,     0,     0,     0,     0,  2032,  2028,     0,     0,  4050,
       0,     0,     0,  2029,     0,   847,   849,     0,     0,   853,
       0,     0,     0,     0,     0,     0,     0,  2033,  2034,     0,
       0,     0,     0,     0,     0,  3258,     0,     0,  2030,   909,
    2021,     0,  2035,  2022,     0,     0,   919,  2023,  2024,  2025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3295,  2026,     0,     0,  3503,     0,     0,
       0,     0,  2028,     0,     0,  2036,     0,     0,     0,  2029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2037,
    2040,     0,  2038,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,     0,  2030,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5357,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2031,   870,
       0,     0,     0,  2032,     0,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   870,     0,
       0,     0,     0,     0,     0,  2033,  2034,     0,     0,  2039,
       0,     0,     0,     0,   870,     0,     0,     0,     0,  3749,
    2035,     0,     0,     0,     0,     0,     0,     0,     0,   861,
     870,     0,     0,     0,     0,     0,   861,     0,   870,   861,
       0,     0,     0,     0,  2031,     0,     0,     0,     0,  2032,
       0,     0,   870,  2036,     0,     0,     0,     0,     0,     0,
    3430,     0,   870,     0,     0,     0,     0,  2037,     0,     0,
    2038,  2033,  2034,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2035,     0,  3471,     0,
       0,  3448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2040,     0,     0,  2041,
    2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,  2036,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2021,  2037,     0,  2022,  2038,     0,     0,  2023,
    2024,  2025,   869,     0,     0,     0,     0,   870,   869,     0,
       0,     0,     0,     0,     0,     0,  2026,  2039,     0,     0,
       0,   869,     0,     0,  2028,     0,     0,     0,     0,     0,
       0,  2029,     0,     0,     0,     0,     0,   869,     0,     0,
       0,     0,     0,     0,     0,     0,  3871,  3872,  3873,     0,
       0,     0,     0,   869,     0,     0,  2030,     0,     0,     0,
       0,   869,     0,  3882,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   869,     0,     0,     0,     0,
       0,     0,     0,  2039,     0,   869,  3898,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3908,  3910,     0,     0,
       0,  3915,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,
       0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,
     992,     0,     0,  2021,   995,     0,  2022,     0,     0,     0,
    2023,  2024,  2025,     0,     0,     0,     0,  3508,  1020,     0,
    1702,     0,     0,     0,     0,  1025,     0,  2026,     0,     0,
    3514,     0,     0,     0,     0,  2028,  2031,     0,   861,     0,
     869,  2032,  2029,     0,   861,     0,     0,   861,     0,     0,
    2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,  2033,  2034,     0,     0,  2030,     0,     0,
       0,     0,     0,     0,     0,  3647,     0,     0,  2035,  3649,
       0,     0,  1314,     0,     0,  3651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3662,  3664,     0,     0,     0,  3664,     0,
       0,  2036,     0,  3675,  3676,  3677,     0,  3679,     0,     0,
       0,     0,     0,     0,     0,  2037,     0,     0,  2038,     0,
       0,     0,     0,     0,     0,  2021,     0,     0,  2022,     0,
    3701,     0,  2023,  2024,  2025,     0,     0,     0,     0,     0,
    3707,  3708,  3709,  3710,     0,     0,     0,     0,     0,  2026,
       0,     0,     0,     0,     0,     0,     0,  2028,     0,     0,
       0,     0,     0,     0,  2029,     0,     0,  2031,     0,     0,
       0,     0,  2032,  1701,     0,     0,     0,  3727,     0,     0,
    3732,  3733,  3734,     0,     0,     0,   870,     0,     0,  2030,
       0,     0,     0,     0,  2033,  2034,     0,     0,  3754,     0,
    4089,  4090,  4091,     0,   870,  2039,     0,     0,     0,  2035,
       0,     0,     0,     0,     0,     0,     0,     0,  3762,     0,
       0,   870,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2036,     0,     0,     0,     0,     0,     0,   870,
       0,     0,     0,     0,  1497,  1498,  2037,     0,     0,  2038,
     870,  2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,
    2025,     0,     0,     0,     0,   870,     0,     0,   870,     0,
       0,     0,     0,     0,     0,  2026,     0,     0,  4056,     0,
    3804,     0,     0,  2028,     0,     0,     0,     0,  3808,  2031,
    2029,     0,  2040,     0,  2032,  2041,  2042,  2043,     0,  2044,
    2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2030,  2033,  2034,     0,  3822,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2035,     0,     0,     0,     0,  2039,     0,     0,   869,
       0,     0,  1731,     0,     0,     0,  3868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   869,     0,     0,
       0,     0,     0,     0,  2036,     0,     0,     0,     0,     0,
       0,  1756,  1757,     0,   869,     0,     0,     0,  2037,     0,
       0,  2038,     0,     0,     0,     0,   870,     0,     0,     0,
       0,     0,     0,     0,   870,   870,     0,  1798,  3905,     0,
       0,     0,   869,  3911,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   869,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2031,     0,     0,   869,     0,
    2032,   869,     0,  2040,  3948,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
       0,  2021,  2033,  2034,  2022,     0,     0,     0,  2023,  2024,
    2025,     0,     0,  1702,     0,     0,     0,  2035,  2039,     0,
       0,  1867,  1869,  3964,     0,  3965,     0,     0,  4330,     0,
       0,     0,     0,  2028,     0,     0,     0,     0,     0,  4343,
    2029,     0,     0,     0,     0,     0,     0,     0,  4002,     0,
    2036,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2037,  2030,     0,  2038,     0,     0,
    4374,     0,     0,     0,  2021,     0,     0,  2022,     0,     0,
       0,  2023,  2024,  2025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2026,   869,
       0,     0,     0,     0,  2557,     0,  2028,   869,   869,     0,
       0,     0,     0,  2029,     0,  2040,     0,     0,  2041,  2042,
    2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2632,
       0,     0,     0,     0,  2039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2031,  1701,     0,     0,     0,
    2032,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2033,  2034,     0,     0,   870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2035,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2031,     0,
    2036,  2040,     0,  2032,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,  2037,  4500,  4501,  4502,  4503,     0,
       0,     0,     0,     0,     0,  2033,  2034,     0,  4179,     0,
    4180,     0,     0,     0,     0,     0,     0,  4182,     0,     0,
    2035,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4200,
       0,     0,     0,  2036,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2037,  4221,     0,
    2038,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2039,     0,  4225,  1702,     0,     0,
       0,     0,     0,     0,     0,     0,  4234,     0,     0,   869,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   870,     0,     0,     0,  4263,     0,     0,     0,   870,
       0,  2299,     0,     0,     0,     0,     0,     0,  4271,  4272,
    4273,   870,     0,     0,     0,  4277,  4278,  4279,  4280,     0,
       0,     0,  4282,  4283,     0,     0,     0,     0,  4290,  4291,
       0,  4293,  4294,  4295,  4296,  4297,  4298,  2039,  4300,     0,
       0,     0,     0,     0,     0,     0,  2021,  4308,     0,  2022,
    4311,  4312,     0,  2023,  2024,  2025,     0,     0,     0,     0,
       0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,  3664,     0,     0,     0,  2028,     0,
       0,     0,     0,   861,   861,  2029,   870,   870,     0,     0,
       0,     0,     0,     0,     0,     0,  4333,     0,   861,     0,
     870,   861,  2402,  2403,  2404,  2405,     0,     0,     0,     0,
    2030,     0,     0,   870,   870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   870,
    1701,     0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,
       0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,
       0,     0,     0,     0,   869,     0,     0,     0,     0,     0,
       0,   861,   869,     0,   861,   861,     0,     0,     0,     0,
       0,     0,     0,     0,   869,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3664,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4727,     0,     0,     0,     0,     0,     0,     0,
    2031,     0,     0,     0,     0,  2032,     0,     0,  4441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2455,  2456,     0,     0, -2635, -2635,   869,
     869,  1702,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2035,   869,     0,     0,  2482,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   869,   869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   869,     0,     0, -2635,     0,     0,     0,     0,
       0,  2527,  2528,  2529,  2530,     0,     0,     0,     0,  2037,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   870,     0,     0,     0,     0,  1702,   870,  2039,
       0,     0,   870,     0,     0,     0,     0,     0,     0,     0,
     870,     0,     0,     0,  1701,     0,     0,     0,     0,  2625,
       0,     0,     0,     0,     0,  2629,     0,     0,   870,     0,
       0,     0,     0,     0,  4574,     0,     0,     0,  4575,  4576,
    4577,  4578,     0,  4886,  4580,     0,     0,     0,     0,     0,
     861,     0,     0,   861,   861,     0,     0,     0,  4898,     0,
       0,     0,     0,  1314,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   870,     0,  4599,  4600,  4601,     0,
    4602,     0,  4604,  4605,     0,     0,     0,     0,     0,  4934,
       0,     0,   870,   870,  4614,  4615,  2040,     0,     0,  2041,
    2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4620,     0,     0,  1702,   870,     0,     0,  1702,     0,
       0,     0,     0,     0,     0,     0,     0,   869,     0,     0,
       0,     0,     0,     0,  4631,     0,     0,     0,     0,     0,
       0,   870,     0,  1702,  2795,   869,     0,     0,   870,     0,
    1701,   869,     0,     0,   870,   869,     0,     0,     0,     0,
       0,   870,     0,   869,     0,   870,     0,     0,     0,     0,
     870,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   869,     0,     0,     0,     0,     0,     0,     0,     0,
     870,     0,     0,     0,     0,   870,     0,     0,     0,   870,
       0,  5019,  1702,     0,     0,     0,     0,     0,     0,     0,
       0,  4684,   870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   870,     0,   869,     0,     0,
       0,     0,     0,     0,     0,   870,     0,     0,     0,     0,
    4713,     0,     0,     0,     0,   869,   869,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4736,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1701,   869,     0,
       0,  1701,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5107,     0,     0,
       0,     0,     0,  1702,   869,     0,  1701,     0,     0,     0,
       0,   869,     0,     0,     0,  1290,  1290,   869,     0,     0,
       0,     0,     0,     0,   869,     0,     0,     0,   869,     0,
       0,     0,     0,   869,     0,  2977,  2978,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2991,     0,  2993,     0,
       0,     0,  2997,   869,     0,     0,     0,     0,   869,     0,
       0,     0,   869,     0,     0,  1701,     0,     0,     0,     0,
       0,   601,     0,     0,     0,   869,     0,     0,     0,     0,
       0,   870,     0,     0,     0,     0,     0,     0,   869,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   869,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4836,  1094,     0,   870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4846,     0,     0,     0,     0,  4851,  4852,     0,     0,
    1094,     0,  1613,  1617,     0,     0,  1701,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   870,     0,
       0,     0,  3135,     0,     0,  3138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   870,     0,     0,     0,
       0,     0,     0,     0,   870,     0,     0,     0,     0,  4912,
       0,     0,     0,     0,   861,     0,     0,   861,     0,     0,
     861,     0,     0,     0,     0,     0,     0,     0,     0,  4929,
       0,  4931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   869,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3223,     0,  3664,     0,     0,     0,
       0,     0,  3230,  4966,     0,  3233,     0,     0,     0,     0,
       0,  3235,     0,     0,     0,     0,  1702,     0,     0,     0,
    1093,     0,  1702,     0,     0,  3251,     0,     0,     0,   869,
       0,     0,   612,     0,     0,     0,     0,   613,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,     0,     0,   614,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3297,     0,     0,  5006,
       0,   869,   615,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   616,     0,     0,     0,   869,
       0,  5023,     0,     0,  3320,     0,   617,   869,   870,     0,
    -865,     0,  5031,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   618,     0,
       0,     0,     0,     0,   619,     0,     0,  1616,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   620,     0,  1094,     0,     0,     0,     0,     0,  3380,
       0,  3382,   621,     0,     0,     0,     0,     0,     0,     0,
     622,     0,     0,     0,     0,  5100,     0,     0,  1094,     0,
       0,     0,   623,     0,  1978,     0,     0,     0,     0,  1701,
     624,     0,     0,  1094,   625,  1701,   870,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -1094,  1992,     0,     0,     0,     0,     0,
       0,     0,     0,   870,     0,     0,   870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3664,     0,
       0,     0,  2010,  2011,  2012,     0,  2014,     0,     0,     0,
     626,     0,     0,     0,     0,     0,     0,     0,     0,  -583,
       0,     0,     0,     0,     0,     0,  2056,     0,     0,  3447,
       0,   869,     0,     0,     0,     0,     0,     0,  1094,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   627,     0,     0,   628,     0,     0,  5186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1093,
       0,  1702,  1702,  1702,  5199,     0,   629,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     630,     0,     0,     0,  1093,   870,     0,  -457,  2112,     0,
       0,     0,  2124,  2129,     0,     0,     0,     0,     0,  1093,
       0,     0,     0,     0,     0,   870,   631,     0,     0,   869,
     869,     0,     0,     0,     0,   632,     0,     0,  5229,     0,
       0,     0,  -457,     0,   870,   633,     0,     0,     0,     0,
       0,     0,     0,  5240,     0,     0,   869,  1094,     0,   869,
       0,     0,     0,     0,   634,     0,     0,     0,     0,     0,
     635,     0,     0,     0,     0,  -457,     0,     0,   636,   637,
       0,   638,   639,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   640,     0,     0,     0,     0,   641,     0,     0,
       0,     0,     0,   642,  1093,     0,   643,     0,     0,   644,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -457,     0,     0,     0,   870,     0,     0,     0,
       0,     0,     0,     0,  5300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1701,  1701,  1701,     0,     0,  1465,
       0,     0,     0,     0,     0,  1466,     0,     0,     0,     0,
       0,     0,  1532,     0,     0,     0,     0,     0,   869,     0,
       0,     0,     0,     0,     0,     0,     0,  1702,     0,  5323,
       0,  1533,     0,     0,   870,     0,   870,     0,   869,     0,
       0,     0,     0,     0,     0,     0,     0,  1468,     0,   870,
       0,   870,     0,     0,     0,     0,  3653,   869,  3654,  3655,
    3656,     0,     0,  1093,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1702,     0,     0,     0,     0,     0,     0,
       0,  1534,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1613,  1613,  1613,     0,     0,
       0,  1470,     0,     0,     0,     0,     0,     0,  1471,     0,
       0,  1472,     0,     0,   870,     0,  2167,  5389,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1473,     0,     0,   869,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   870,     0,  1535,     0,     0,
    1474,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2167,     0,   870,     0,     0,     0,     0,     0,     0,
    1701,     0,     0,     0,     0,     0,     0,   869,     0,   869,
       0,     0,     0,     0,  2077,   870,     0,     0,   870,     0,
       0,     0,   869,     0,   869,  1536,     0,     0,  1537,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,  1538,
       0,  1476,     0,     0,     0,     0,  1701,     0,     0,     0,
       0,  1477,     0,     0,     0,     0,     0,     0,     0,     0,
    1478,     0,     0,     0,     0,  1094,     0,     0,     0,     0,
       0,  1539,  1479,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,     0,     0,   869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1702,     0,
       0,     0,     0,     0,     0,     0,  3815,     0,     0,     0,
    1540,     0,     0,  1481,  1482,  1541,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1542,   869,     0,
    1616,  1616,  1616,  1543,     0,     0,     0,  1093,     0,     0,
       0,     0,     0,     0,     0,     0,   869,  1544,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   869,     0,
       0,   869,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1484,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1094,     0,     0,     0,     0,     0,     0,
       0,   870,     0,     0,     0,     0,     0,     0,     0,  1084,
    1094,  1701,     0,     0,     0,     0,     0,     0,     0,  2167,
       0,     0,     0,     0,     0,     0,     0,     0,  2726,  3968,
       0,  1094,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2746,     0,  2748,     0,     0,  2760,  2763,  2768,     0,
       0,     0,  1702,  2774,     0,     0,  2779,  1702,     0,  1702,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2786,  2787,  2788,  2789,     0,     0,     0,     0,  2796,
       0,  1702,     0,  2808,     0,     0,  2810,  1094,     0,  2817,
    2818,  2819,  2820,  2821,  2822,  2823,  2824,  2825,     0,  2826,
    1702,  1094,     0,     0,     0,     0,  1290,     0,  1613,     0,
       0,     0,     0,  1094,     0,     0,   870,     0,     0,   870,
       0,     0,     0,     0,     0,  1094,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1465,  2863,  1093,
       0,     0,     0,  1466,     0,     0,     0,     0,     0,     0,
    1532,     0,     0,     0,   869,     0,  1093,     0,     0,  1094,
    1094,     0,     0,  2011,  2012,  1093,     0,     0,     0,  1533,
       0,     0,     0,     0,     0,     0,     0,  1093,     0,     0,
       0,     0,     0,     0,     0,  1468,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   870,   870,     0,     0,  1701,     0,     0,     0,     0,
    1701,   870,  1701,     0,     0,     0,     0,     0,     0,  1534,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     870,     0,     0,  1093,  1701,     0,     0,     0,     0,  1470,
       0,     0,     0,     0,     0,  2963,  1471,  1093,     0,  1472,
       0,     0,  1084,  1701,     0,     0,     0,     0,     0,  1093,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   869,
       0,  1093,   869,     0,  1473,     0,     0,  1084,     0,     0,
       0,  4185,  4186,  4187,  4188,     0,     0,     0,     0,     0,
       0,     0,  1084,     0,     0,  1094,     0,     0,     0,     0,
       0,     0,     0,   870,   664,  1535,     0,     0,  1474,   665,
       0,     0,     0,     0,     0,  1093,  1093,     0,     0,     0,
       0,   666,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1616,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   667,     0,     0,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,  1537,   668,     0,     0,
       0,     0,     0,     0,   869,   869,     0,  1538,     0,  1476,
       0,     0,   669,     0,   869,     0,     0,  1084,     0,  1477,
       0,     0,     0,     0,     0,     0,     0,     0,  1478,     0,
     670,     0,     0,   869,     0,     0,     0,     0,     0,  1539,
    1479,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   671,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
    2918,     0,   673,     0,  2167,  2924,     0,     0,  3130,     0,
       0,  1481,  1482,  1541,   674,     0,     0,     0,     0,   675,
       0,  1093,     0,     0,     0,     0,   676,     0,     0,     0,
       0,     0,     0,     0,     0,  1542,   869,     0,  4329,     0,
       0,  3131,     0,     0,  4332,   677,  3211,  3212,  1613,     0,
       0,     0,  3216,     0,     0,  1544,  1084,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,     0,     0,     0,     0,     0,  3249,     0,     0,
    1086,   678,   870,     0,     0,     0,     0,  1702,     0,     0,
       0,     0,     0,     0,     0,     0,  1484,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,     0,     0,     0,   679,     0,     0,     0,     0,
     870,     0,     0,     0,     0,     0,     0,     0,   680,     0,
       0,     0,   870,     0,     0,     0,     0,     0,   681,     0,
       0,     0,     0,     0,     0,     0,  1093,     0,   206,   682,
    1093,  1093,   683,     0,     0,     0,     0,     0,     0,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   684,     0,
       0,   685,     0,     0,     0,   686,     0,   687,     0,     0,
       0,     0,     0,     0,   688,     0,     0,   689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,     0,   690,     0,     0,     0,
       0,     0,   691,     0,     0,     0,  1093,   692,     0,     0,
     693,     0,     0,     0,   694,     0,     0,     0,     0,     0,
       0,     0,   695,     0,   696,   869,     0,     0,   942,   697,
    1701,     0,     0,   943,   870,  1084,     0,     0,     0,     0,
       0,   698,     0,     0,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,  1616,   699,     0,     0,     0,     0,     0,
       0,     0,     0,   869,     0,     0,     0,     0,   944,     0,
       0,     0,     0,     0,     0,   869,     0,     0,     0,     0,
       0,   945,   946,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   947,  1094,     0,     0,   948,     0,     0,     0,
    1084,  3453,   869,     0,     0,     0,  3459,     0,   870,     0,
       0,     0,     0,  1086,   949,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2014,     0,     0,     0,     0,     0,   950,  1086,     0,
       0,  1084,  2768,     0,  2768,  2768,     0,     0,   951,     0,
       0,     0,     0,  1086,     0,  3517,   952,     0,  3520,     0,
    3522,     0,     0,     0,     0,     0,     0,     0,   953,     0,
       0,     0,     0,   954,  1084,  2167,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1087,     0,     0,  3540,
       0,  3543,     0,  3545,     0,     0,     0,   869,     0,   955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,   870,     0,   870,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,   957,     0,  2112,     0,  1093,
    4628,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   870,  2129,     0,     0,  4632,     0,     0,     0,     0,
     861,   869,     0,     0,     0,     0,     0,     0,     0,   958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1094,     0,     0,     0,     0,     0,     0,
       0,     0,   959,     0,     0,     0,     0,     0,  1702,     0,
    1094,     0,   206,   960,   861,     0,   961,     0,     0,     0,
       0,     0,     0,     0,     0,  1094,  3633,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   962,     0,     0,   963,     0,  1086,     0,   964,
       0,   965,  1084,     0,  4698,     0,     0,     0,   966,     0,
       0,   967,     0,     0,     0,     0,     0,     0,     0,  1084,
       0,     0,     0,     0,     0,     0,     0,   869,  1084,   869,
     968,     0,     0,     0,     0,     0,   969,     0,     0,     0,
    1084,   970,     0,     0,   971,     0,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,   973,     0,   974,     0,
       0,     0,     0,   975,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   869,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   976,     0,
       0,     0,     0,     0,     0,     0,  1084,     0,     0,  1093,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,  1087,  1093,     0,     0,     0,
       0,  1701,  1084,     0,     0,     0,     0,     0,     0,     0,
       0,  1093,     0,     0,  1084,     0,     0,     0,     0,     0,
    1087,     0,     0,     0,  1702,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1087,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   870,
       0,     0,  4817,  4818,  4818,     0,     0,     0,  1084,  1084,
    2167,   870,     0,  2924,     0,  2924,     0,     0,     0,     0,
    2167,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1613,     0,     0,     0,  1094,
    1087,  1613,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1094,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2167,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1701,     0,     0,
       0,     0,  1086,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4950,   869,     0,     0,  1089,  1093,     0,     0,  1093,
       0,  1093,     0,     0,   869,  1086,  1093,     0,     0,  1087,
       0,     0,     0,     0,  1094,     0,  1094,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1702,     0,   870,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1093,     0,     0,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1093,
       0,     0,     0,     0,     0,  1094,   191,     0,     0,  1084,
       0,     0,     0,  1084,  1084,     0,     0,     0,     0,     0,
       0,   192,     0,     0,     0,     0,     0,     0,     0,     0,
    1616,     0,  1702,  5056,     0,  5058,  1616,     0,     0,   193,
       0,     0,  4003,     0,  1094,   194,     0,     0,     0,     0,
     870,  4007,     0,     0,     0,     0,     0,  4008,     0,  4009,
       0,     0,   195,     0,   861,     0,     0,     0,     0,  2924,
    1093,     0,  1093,   196,     0,  1084,     0,  2924,     0,   870,
       0,   197,     0,  1086,     0,     0,  4033,  4034,     0,  1084,
       0,     0,     0,   198,     0,     0,     0,     0,   199,  1701,
    1086,   869,     0,     0,  2774,   200,     0,     0,     0,  1086,
       0,     0,  4059,     0,     0,  4062,     0,  4064,  1087,     0,
       0,  1086,     0,     0,   201,     0,  4068,     0,     0,  1084,
       0,     0,     0,     0,  4075,  4076,     0,     0,     0,   861,
     861,     0,     0,     0,     0,     0,  1094,     0,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1093,     0,     0,  2924,     0,  4122,     0,     0,     0,
     203,     0,     0,     0,  1089,     0,     0,  1086,  1094,     0,
       0,     0,     0,  1087,   870,     0,     0,     0,  4818,     0,
    4135,  1086,     0,     0,     0,  1701,     0,     0,     0,  1089,
    1093,     0,     0,  1086,   204,     0,  4148,     0,     0,     0,
       0,     0,     0,   869,  1089,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,  1087,  1093,     0,   205,     0,     0,
       0,     0,     0,  1093,     0,     0,     0,   206,   207,     0,
       0,   208,   869,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1087,     0,  1086,
    1086,     0,     0,     0,     0,     0,  1702,   209,     0,     0,
     210,     0,     0,     0,   211,     0,   212,  5236,     0,     0,
    1094,  1090,     0,   213,     0,     0,   214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
       0,  1094,  1093,     0,     0,   215,     0,  1090,     0,     0,
       0,   216,     0,     0,     0,   217,   218,     0,     0,   219,
    1093,     0,     0,   220,     0,     0,  1094,  1702,     0,     0,
       0,     0,  1084,   221,  1093,     0,     0,     0,   222,     0,
       0,     0,     0,  1702,     0,   861,   861,   869,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,     0,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5308,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1701,
       0,     0,     0,     0,     0,  1087,  1093,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2167,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,  1093,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1087,     0,     0,  5382,     0,     0,     0,
       0,     0,  1093,     0,     0,     0,     0,     0,     0,     0,
    1701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1701,     0,     0,  4818,
    4818,     0,     0,     0,     0,     0,  1093,     0,     0,     0,
    4415,  4416,     0,     0,     0,     0,     0,     0,     0,  1087,
    1086,     0,  1084,     0,  1086,  1086,     0,     0,     0,     0,
       0,     0,     0,  1087,     0,     0,     0,  2924,     0,  1084,
       0,     0,     0,     0,     0,  1087,     0,     0,     0,     0,
    1090,     0,     0,     0,  1084,     0,     0,  1087,     0,     0,
       0,  2924,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1090,     0,     0,     0,     0,
    4456,     0,     0,     0,     0,     0,  1086,     0,     0,     0,
    1090,  4461,     0,  1093,     0,     0,     0,     0,     0,  4818,
    1086,  1087,  1087,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4476,  4478,     0,     0,     0,     0,     0,  4482,  4483,
    1086,     0,     0,  4484,     0,     0,     0,     0,  4487,     0,
       0,  4490,  4491,     0,     0,     0,  4495,     0,     0,     0,
       0,     0,  4499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1089,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1093,  1094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1089,  1290,     0,     0,  1093,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1087,     0,     0,
       0,  4554,     0,     0,  2167,     0,  1089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1084,
       0,     0,  1084,     0,  1084,     0,     0,     0,     0,  1084,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,  4617,  1086,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1084,     0,     0,     0,     0,     0,     0,  1094,
       0,     0,  1087,     0,     0,     0,  1087,  1087,     0,  1094,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,  4655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,  1086,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,  1084,     0,     0,  1087,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,  1090,  1094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,  1084,  1093,     0,     0,     0,     0,
       0,     0,  1089,  1094,     0,  1093,     0,     0,     0,     0,
       0,     0,     0,  1086,  1089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1094,     0,  1089,     0,  1090,     0,
    1086,     0,     0,  1084,     0,     0,  4759,  4760,     0,     0,
    4761,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,  1084,     0,     0,  1090,
    1089,  1089,     0,     0,     0,     0,     0,  4796,  4797,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1094,
       0,     0,     0,  4808,     0,     0,     0,     0,     0,     0,
       0,     0,  1090,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1084,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,  1093,
       0,     0,     0,     0,     0,  1087,     0,  1084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4724,     0,  1094,     0,     0,  1089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1093,     0,  1087,     0,  1094,
    1086,     0,     0,  1086,     0,  1086,     0,     0,     0,     0,
    1086,     0,     0,     0,     0,     0,     0,     0,     0,  1084,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,  2774,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,  1086,
       0,     0,     0,     0,     0,  1084,     0,     0,  1090,     0,
       0,     0,     0,  4989,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,  2014,     0,     0,
       0,  1089,     0,     0,     0,  1089,  1089,     0,     0,  1084,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,  1093,
       0,     0,     0,     0,     0,  1087,     0,     0,     0,     0,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,  2924,
       0,     0,  1087,     0,     0,     0,     0,     0,  1090,     0,
       0,  1092,     0,     0,     0,     0,  5038,  1087,     0,     0,
    1090,     0,     0,     0,     0,  1093,     0,  1089,     0,     0,
       0,     0,  1090,     0,     0,     0,  1092,     0,     0,     0,
       0,  1089,     0,     0,  1086,     0,  1086,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,  1090,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2924,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1086,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1094,     0,
       0,     0,     0,     0,     0,  1093,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4796,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,     0,     0,  1094,     0,
       0,     0,     0,     0,     0,  5188,     0,     0,     0,  1086,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,  1090,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,  1087,     0,  1087,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,     0,     0,     0,  1092,  1094,  1094,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,     0,
    1093,  1087,  5243,     0,  1089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
    1087,     0,     0,     0,  1093,     0,     0,     0,  1086,     0,
       0,     0,     0,  1084,     0,     0,  5270,  5270,  5270,     0,
       0,     0,     0,     0,     0,  1087,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4796,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,     0,  1090,     0,     0,
       0,  1090,  1090,     0,     0,     0,     0,     0,  4724,  1094,
       0,     0,     0,  1084,     0,     0,  1089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1087,  1093,  1087,     0,
       0,     0,  1093,  1093,     0,     0,     0,     0,     0,     0,
    1086,     0,     0,  1090,     0,     0,     0,     0,  5332,     0,
       0,     0,     0,     0,     0,     0,     0,  1090,     0,     0,
       0,  1086,     0,     0,     0,  5270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,  1086,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,     0,  1087,  1084,     0,
    1086,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1093,  1089,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5422,     0,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,     0,     0,  1087,
    1092,     0,     0,     0,  1094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,  5270,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5448,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1087,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1087,     0,     0,     0,
       0,     0,  1084,     0,     0,     0,     0,     0,     0,     0,
    1087,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,  1084,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1093,  1089,     0,     0,  1089,     0,  1089,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1090,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,  1087,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,  1089,
       0,     0,     0,     0,     0,     0,     0,     0,  1087,  1092,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,  2051,     0,     0,     0,  1092,
       0,     0,     0,     0,  1086,     0,     0,  1090,     0,     0,
       0,  1092,     0,     0,     0,  1089,     0,  1089,  1084,     0,
       0,     0,  1090,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1087,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,     0,  1089,     0,     0,  1084,  1087,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,  1087,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1090,     0,     0,
    1090,     0,  1090,     0,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,  2051,     0,
       0,     0,  2051,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,  1089,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,     0,  1090,  1087,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,     0,  1084,  1092,     0,
       0,     0,  1092,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,  1084,  1084,     0,     0,     0,
       0,  1090,  1089,  1090,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,  1090,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,     0,  2051,     0,     0,
       0,  2756,     0,     0,     0,  1087,     0,     0,  1089,     0,
       0,  1090,     0,     0,     0,  2051,  2051,  2051,     0,  2051,
       0,  1092,     0,     0,     0,  1090,  1087,     0,     0,  1086,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2051,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1090,     0,  2051,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1087,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,  1086,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,  1086,  1086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,  1092,     0,  1092,     0,  1089,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
    1087,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
    1087,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1087,     0,     0,     0,     0,  1087,  1087,
       0,     0,  1092,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,  1090,     0,     0,     0,
       0,  2051,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,  2051,     0,  2051,     0,     0,  2756,  2756,     0,  3494,
       0,  2756,  1092,     0,     0,  2051,     0,     0,  2051,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,  2051,
       0,     0,     0,     0,  2051,     0,     0,  1092,     0,     0,
       0,  2051,  2051,  2051,  2051,  1092,     0,     0,  2756,  2756,
       0,  2051,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,  2051,     0,     0,     0,     0,
       0,     0,  2051,  2051,  2051,  2051,  2051,  2051,  2051,  2051,
    2051,  2051,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,  1089,  1089,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2051,  2051,     0,     0,
       0,  2051,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1090,     0,     0,  2051,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
    3494,  3494,     0,     0,  2756,  2756,  2756,  2756,     0,     0,
    2756,  2756,  2756,  2756,  2756,  2756,  2756,  2756,  2756,  2756,
    3494,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,  1090,  1090,     0,     0,     0,     0,     0,
       0,     0,  2051,     0,     0,  2051,     0,  2051,     0,     0,
    3494,  3494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2051,  2756,  2756,  2051,     0,
    2051,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2756,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,  2051,     0,
       0,     0,  2051,  2051,  2051,     0,     0,     0,     0,     0,
    3494,  3494,  3494,  3494,     0,     0,     0,     0,  3494,  3494,
    3494,  3494,  3494,  3494,  3494,  3494,  3494,  3494,  2051,  2051,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,     0,  2051,     0,  2051,
       0,     0,     0,  2051,     0,     0,  3494,  3494,     0,     0,
    2051,  2051,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
    2051,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,  1092,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,  2051,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2051,     0,     0,     0,     0,  2051,  2756,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2051,     0,  2051,     0,     0,     0,  2051,  2051,  2051,
       0,     0,  2051,     0,     0,  2051,  2051,  1092,     0,     0,
    2051,     0,     0,     0,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2051,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3494,  2756,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,  2051,  2051,     0,     0,     0,
       0,     0,     0,     0,  2756,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2051,  2051,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2756,     0,     0,
    3494,     0,     0,     0,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3494,     0,  2756,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2756,  2756,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3494,  3494,     0,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
    1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,
       0,     0,     0,  2051,   228,   229,   230,   231,   232,   233,
     234,   235,  1607,   236,   237,   238,     0,     0,     0,     0,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,  1231,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,  1608,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
    1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,  1250,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1254,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,   549,   550,   551,     0,  1263,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,  1265,  1609,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,  1274,     0,     0,     0,     0,     0,
       0,  1275,  1276,  1610,     0,     0,     0,     0,     0,     0,
    1278,  1611,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1212,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1213,   250,  1214,
    1215,     0,   253,   254,   255,   256,   257,   258,  1216,  1217,
     259,   260,  1218,  1219,   263,     0,   264,   265,   266,   267,
    1220,     0,  1221,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,   290,   291,   292,   293,   294,   295,  1229,  1230,
     298,  1231,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1232,   326,   327,   328,  1233,
    1234,   330,     0,   331,   332,  1235,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1236,     0,  1237,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1238,  1239,     0,  1240,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1241,   387,   388,   389,     0,   390,   391,   392,  1242,  1243,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1244,   410,  1245,   412,
     413,   414,   415,  1246,   416,   417,   418,   419,  1247,  1248,
     421,  1249,   423,   424,   425,     0,   426,   427,     0,     0,
    1250,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1251,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,  1252,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1253,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,  1254,   491,
     492,   493,   494,   495,   496,   497,   498,   499,    40,   500,
     501,   502,   503,   504,  1255,   505,   506,   507,   508,   509,
     510,   511,   512,  1256,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1257,     0,
     528,   529,    44,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1258,  1259,     0,     0,   540,   541,  1260,   543,
    1261,  1262,   545,   546,   547,   548,   549,   550,   551,     0,
    1263,   552,   553,   554,   555,   556,  1264,     0,   557,   558,
     559,   560,   561,  1143,  1265,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,    49,   571,   572,   573,
     574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,
    1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,    50,
       0,     0,     0,     0,  1275,  1276,     0,     0,     0,     0,
       0,     0,     0,  1278,  5000,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,  1231,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,  1246,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  1254,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,  1263,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
    1274,     0,     0,     0,     0,     0,     0,  1275,  1276,     0,
       0,     0,     0,     0,     0,     0,  1278,  2758,   227,  1207,
     659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1212,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1213,   250,  1214,  1215,     0,   253,   254,
     255,   256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,
     263,     0,   264,   265,   266,   267,  1220,     0,  1221,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,
     292,   293,   294,   295,  1229,  1230,   298,  1231,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1232,   326,   327,   328,  1233,  1234,   330,     0,   331,
     332,  1235,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1236,     0,  1237,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1238,  1239,
       0,  1240,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1241,   387,   388,   389,
       0,   390,   391,   392,  1242,  1243,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1244,   410,  1245,   412,   413,   414,   415,  1246,
     416,   417,   418,   419,  1247,  1248,   421,  1249,   423,   424,
     425,     0,   426,   427,     0,     0,  1250,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1251,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
    1252,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1253,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1254,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1255,   505,   506,   507,   508,   509,   510,   511,   512,  1256,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  1257,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1258,  1259,
       0,     0,   540,   541,  1260,   543,  1261,  1262,   545,   546,
     547,   548,   549,   550,   551,     0,  1263,   552,   553,   554,
     555,   556,  1264,     0,   557,   558,   559,   560,   561,   562,
    1265,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
    1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,
     588,   589,   590,  1274,     0,     0,     0,     0,     0,     0,
    1275,  1276,     0,     0,     0,     0,     0,     0,     0,  1278,
    4011,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,  1274,     0,     0,   598,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,  4082,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,  4100,     0,   239,   240,     0,   241,   242,   243,     0,
     245,   246,   247,   248,   249,     0,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,     0,     0,
       0,   270,   271,   272,   273,   274,     0,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0, -1779,   286,
     287,   288,     0,     0,     0,     0,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
   -1779,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365, -1779,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378, -1779,   380,
     381,   382,   383,   384,     0,     0,   385,   386, -1779,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409, -1779,   411,   412,   413,   414,   415,
       0,   416,   417,     0,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,     0,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483, -1779,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   528,   529,     0,
     530,     0,   532,   533,   534,   535,   536,     0,   537,   538,
     539,     0,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
     562,   563,     0,   564,     0,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,     0,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1356,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,     0,  1058,   250,  1059,  1060,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,  1061,  1062,   263,
       0,   264,   265,   266,   267,     0,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,  1063,  1064,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
       0,   326,   327,   328,     0,     0,   330,     0,   331,   332,
    1066,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,     0,     0,     0,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,  2153,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,  2154,   368,   369,   370,   371,  1068,  1069,     0,
    1070,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,     0,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,  1072,   412,   413,   414,     0,     0,   416,
     417,   418,   419,     0,     0,   421,  1073,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,  2156,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1074,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  2157,   508,   509,   510,   511,   512,  1076,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1077,  1078,     0,
       0,   540,   541,     0,   543,     0,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,     0,  1079,
    2158,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   588,
     589,   590,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  2265,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1058,   250,  1059,  1060,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1061,  1062,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1063,  1064,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1066,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  2153,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,  2154,   368,   369,   370,   371,  1068,  1069,
       0,  1070,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1071,   410,  1072,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1073,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,  2156,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
       0,   450,     0,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1074,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,  2157,   508,   509,   510,   511,   512,  1076,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1077,  1078,
       0,     0,   540,   541,     0,   543,     0,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,     0,
    1079,  2158,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,     0,
     227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,
     588,   589,   590,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
    3335,  1212,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1213,   250,  1214,  1215,     0,
     253,   254,   255,   256,   257,   258,  1216,  1217,   259,   260,
    1218,  1219,   263,     0,   264,   265,   266,   267,  1220,     0,
    1221,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
     290,   291,   292,   293,   294,   295,  1229,  1230,   298,  1231,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1232,   326,   327,   328,  1233,  1234,   330,
       0,   331,   332,  1235,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1236,     0,
    1237,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1238,  1239,     0,  1240,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1241,   387,
     388,   389,     0,   390,   391,   392,  1242,  1243,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1244,   410,  1245,   412,   413,   414,
     415,  1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,
     423,   424,   425,     0,   426,   427,     0,     0,  1250,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1251,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,  1252,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1253,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  1254,   491,   492,   493,
     494,   495,   496,   497,   498,   499,    40,   500,   501,   502,
     503,   504,  1255,   505,   506,   507,   508,   509,   510,   511,
     512,  1256,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,  1257,     0,   528,   529,
      44,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,
     545,   546,   547,   548,   549,   550,   551,     0,  1263,   552,
     553,   554,   555,   556,  1264,     0,   557,   558,   559,   560,
     561,  1143,  1265,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,    49,   571,   572,   573,   574,   575,
     576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,
    1273,   587,   588,   589,   590,  1274,     0,    50,     0,     0,
       0,     0,  1275,  1276,     0,     0,     0,     0,     0,     0,
       0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1212,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1213,   250,  1214,
    1215,  2764,   253,   254,   255,   256,   257,   258,  1216,  1217,
     259,   260,  1218,  1219,   263,     0,   264,   265,   266,   267,
    1220,     0,  1221,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,   290,   291,   292,   293,   294,   295,  1229,  1230,
     298,  1231,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1232,   326,   327,   328,  1233,
    1234,   330,     0,   331,   332,  1235,   334,     0,   335,     0,
     336,   337,  2765,   338,   339,   340,   341,   342,     0,   343,
    1236,     0,  1237,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1238,  1239,     0,  1240,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,  2766,   385,
    1241,   387,   388,   389,     0,   390,   391,   392,  1242,  1243,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1244,   410,  1245,   412,
     413,   414,   415,  1246,   416,   417,   418,   419,  1247,  1248,
     421,  1249,   423,   424,   425,     0,   426,   427,     0,     0,
    1250,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1251,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,  1252,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1253,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,  1254,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1255,   505,   506,   507,   508,   509,
     510,   511,   512,  1256,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1257,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1258,  1259,     0,  2767,   540,   541,  1260,   543,
    1261,  1262,   545,   546,   547,   548,   549,   550,   551,     0,
    1263,   552,   553,   554,   555,   556,  1264,     0,   557,   558,
     559,   560,   561,   562,  1265,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,
    1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,     0,
       0,     0,     0,     0,  1275,  1276,     0,     0,     0,     0,
       0,     0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,
     720,  1211,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1212,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,  1213,
     250,  1214,  1215,     0,   253,   254,   255,   256,   257,   258,
    1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,   265,
     266,   267,  1220,     0,  1221,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1222,  1223,  1224,
    1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,   295,
    1229,  1230,   298,  1231,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1232,   326,   327,
     328,  1233,  1234,   330,     0,   331,   332,  1235,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1236,     0,  1237,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1238,  1239,     0,  1240,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1241,   387,   388,   389,     0,   390,   391,   392,
    1242,  1243,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1244,   410,
    1245,   412,   413,   414,   415,  1246,   416,   417,   418,   419,
    1247,  1248,   421,  1249,   423,   424,   425,     0,   426,   427,
       0,     0,  1250,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1251,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,  1252,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1253,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
    1254,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,  1255,   505,   506,   507,
     508,   509,   510,   511,   512,  1256,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1257,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1258,  1259,     0,     0,   540,   541,
    1260,   543,  1261,  1262,   545,   546,   547,   548,   549,   550,
     551,     0,  1263,   552,   553,   554,   555,   556,  1264,     0,
     557,   558,   559,   560,   561,   562,  1265,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,
     582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,
       0,     0,     0,     0,     0,     0,  1275,  1276,     0,     0,
       0,     0,     0,  1975,  2719,  1278,   227,  1207,   659,  1208,
    1209,  1210,   720,  1211,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,  1212,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,  1213,   250,  1214,  1215,     0,   253,   254,   255,   256,
     257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,
     264,   265,   266,   267,  1220,     0,  1221,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1222,
    1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,
     294,   295,  1229,  1230,   298,  1231,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,  1232,
     326,   327,   328,  1233,  1234,   330,     0,   331,   332,  1235,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1236,     0,  1237,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1238,  1239,     0,  1240,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1241,   387,   388,   389,     0,   390,
     391,   392,  1242,  1243,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1244,   410,  1245,   412,   413,   414,   415,  1246,   416,   417,
     418,   419,  1247,  1248,   421,  1249,   423,   424,   425,     0,
     426,   427,     0,     0,  1250,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1251,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,  1252,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1253,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1254,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1255,   505,
     506,   507,   508,   509,   510,   511,   512,  1256,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1257,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1258,  1259,     0,     0,
     540,   541,  1260,   543,  1261,  1262,   545,   546,   547,   548,
     549,   550,   551,     0,  1263,   552,   553,   554,   555,   556,
    1264,     0,   557,   558,   559,   560,   561,   562,  1265,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,  1266,  1267,
    1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,
     590,  1274,     0,     0,     0,     0,     0,     0,  1275,  1276,
    1277,     0,     0,     0,     0,     0,     0,  1278,   227,  1207,
     659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  2122,   236,   237,   238,     0,     0,     0,     0,  1212,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1213,   250,  1214,  1215,     0,   253,   254,
     255,   256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,
     263,     0,   264,   265,   266,   267,  1220,     0,  1221,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,
     292,   293,   294,   295,  1229,  1230,   298,  1231,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1232,   326,   327,   328,  1233,  1234,   330,     0,   331,
     332,  1235,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1236,     0,  1237,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1238,  1239,
       0,  1240,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1241,   387,   388,   389,
       0,   390,   391,   392,  1242,  1243,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1244,   410,  1245,   412,   413,   414,   415,  1246,
     416,   417,   418,   419,  1247,  1248,   421,  1249,   423,   424,
     425,     0,   426,   427,     0,     0,  1250,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1251,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
    1252,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1253,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1254,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1255,   505,   506,   507,   508,   509,   510,   511,   512,  1256,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  1257,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1258,  1259,
       0,     0,   540,   541,  1260,   543,  1261,  1262,   545,   546,
     547,   548,   549,   550,   551,     0,  1263,   552,   553,   554,
     555,   556,  1264,     0,   557,   558,   559,   560,   561,   562,
    1265,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
    1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,
     588,   589,   590,  1274,     0,     0,     0,     0,     0,     0,
    1275,  1276,     0,     0,     0,     0,     0,     0,     0,  1278,
     227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1212,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1213,   250,  1214,  1215,     0,
     253,   254,   255,   256,   257,   258,  1216,  1217,   259,   260,
    1218,  1219,   263,     0,   264,   265,   266,   267,  1220,     0,
    1221,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
     290,   291,   292,   293,   294,   295,  1229,  1230,   298,  1231,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1232,   326,   327,   328,  1233,  1234,   330,
       0,   331,   332,  1235,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1236,     0,
    1237,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1238,  1239,     0,  1240,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1241,   387,
     388,   389,     0,   390,   391,   392,  1242,  1243,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1244,   410,  1245,   412,   413,   414,
     415,  1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,
     423,   424,   425,     0,   426,   427,     0,     0,  1250,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1251,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,  1252,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1253,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  1254,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1255,   505,   506,   507,   508,   509,   510,   511,
     512,  1256,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,  1257,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,
     545,   546,   547,   548,   549,   550,   551,     0,  1263,   552,
     553,   554,   555,   556,  1264,     0,   557,   558,   559,   560,
     561,   562,  1265,  3213,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,
    1273,   587,   588,   589,   590,  1274,     0,     0,     0,     0,
       0,     0,  1275,  1276,     0,     0,     0,     0,     0,     0,
       0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1212,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1213,   250,  1214,
    1215,     0,   253,   254,   255,   256,   257,   258,  1216,  1217,
     259,   260,  1218,  1219,   263,     0,   264,   265,   266,   267,
    1220,     0,  1221,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,   290,   291,   292,   293,   294,   295,  1229,  1230,
     298,  1231,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1232,   326,   327,   328,  1233,
    1234,   330,     0,   331,   332,  1235,   334,     0,   335,     0,
     336,   337,  2765,   338,   339,   340,   341,   342,     0,   343,
    1236,     0,  1237,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1238,  1239,     0,  1240,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1241,   387,   388,   389,     0,   390,   391,   392,  1242,  1243,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1244,   410,  1245,   412,
     413,   414,   415,  1246,   416,   417,   418,   419,  1247,  1248,
     421,  1249,   423,   424,   425,     0,   426,   427,     0,     0,
    1250,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1251,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,  1252,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1253,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,  1254,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1255,   505,   506,   507,   508,   509,
     510,   511,   512,  1256,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1257,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1258,  1259,     0,     0,   540,   541,  1260,   543,
    1261,  1262,   545,   546,   547,   548,   549,   550,   551,     0,
    1263,   552,   553,   554,   555,   556,  1264,     0,   557,   558,
     559,   560,   561,   562,  1265,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,
    1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,     0,
       0,     0,     0,     0,  1275,  1276,     0,     0,     0,     0,
       0,     0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,
     720,  1211,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1212,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,  1213,
     250,  1214,  1215,     0,   253,   254,   255,   256,   257,   258,
    1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,   265,
     266,   267,  1220,     0,  1221,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1222,  1223,  1224,
    1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,   295,
    1229,  1230,   298,  1231,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1232,   326,   327,
     328,  1233,  1234,   330,     0,   331,   332,  1235,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1236,     0,  1237,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1238,  1239,     0,  1240,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1241,   387,   388,   389,     0,   390,   391,   392,
    1242,  1243,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1244,   410,
    1245,   412,   413,   414,   415,  1246,   416,   417,   418,   419,
    1247,  1248,   421,  1249,   423,   424,   425,     0,   426,   427,
       0,     0,  1250,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1251,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,  1252,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1253,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
    1254,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,  1255,   505,   506,   507,
     508,   509,   510,   511,   512,  1256,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1257,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1258,  1259,     0,     0,   540,   541,
    1260,   543,  1261,  1262,   545,   546,   547,   548,   549,   550,
     551,     0,  1263,   552,   553,   554,   555,   556,  1264,     0,
     557,   558,   559,   560,   561,   562,  1265,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,
     582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,
       0,     0,     0,     0,     0,     0,  1275,  1276,     0,     0,
       0,     0,     0,     0,     0,  1278,   227,  1207,   659,  1208,
    1209,  1210,   720,  1211,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,  1212,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,  1213,   250,  1214,  1215,     0,   253,   254,   255,   256,
     257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,
     264,   265,   266,   267,  1220,     0,  1221,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1222,
    1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,
     294,   295,  1229,  1230,   298,  1231,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,  1232,
     326,   327,   328,  1233,  1234,   330,     0,   331,   332,  1235,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1236,     0,  1237,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1238,  1239,     0,  1240,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1241,   387,   388,   389,     0,   390,
     391,   392,  1242,  1243,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1244,   410,  1245,   412,   413,   414,   415,  1246,   416,   417,
     418,   419,  1247,  1248,   421,  1249,   423,   424,   425,     0,
     426,   427,     0,     0,  1250,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1251,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,  1252,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1253,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1254,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1255,   505,
     506,   507,   508,   509,   510,   511,   512,  1256,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1257,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1258,  1259,     0,     0,
     540,   541,  1260,   543,  1261,  1262,   545,   546,   547,   548,
     549,   550,   551,     0,  1263,   552,   553,   554,   555,   556,
    1264,     0,   557,   558,   559,   560,   561,   562,  1265,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,  1266,  1267,
    1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,
     590,  1274,     0,     0,     0,     0,     0,     0,  2125,  2126,
       0,     0,     0,     0,     0,     0,     0,  1278,   227,  2885,
     659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1212,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1213,   250,  1214,  1215,     0,   253,   254,
     255,   256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,
     263,     0,   264,   265,   266,   267,  1220,     0,  1221,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,
     292,   293,   294,   295,  1229,  1230,   298,  1231,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1232,   326,   327,   328,  1233,  1234,   330,     0,   331,
     332,  1235,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1236,     0,  1237,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1238,  1239,
       0,  1240,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1241,   387,   388,   389,
       0,   390,   391,   392,  1242,  1243,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1244,   410,  1245,   412,   413,   414,   415,  1246,
     416,   417,   418,   419,  1247,  1248,   421,  1249,   423,   424,
     425,     0,   426,   427,     0,     0,  1250,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1251,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
    1252,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1253,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1254,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1255,   505,   506,   507,   508,   509,   510,   511,   512,  1256,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  1257,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1258,  1259,
       0,     0,   540,   541,  1260,   543,  1261,  1262,   545,   546,
     547,   548,   549,   550,   551,     0,  1263,   552,   553,   554,
     555,   556,  1264,     0,   557,   558,   559,   560,   561,   562,
    1265,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
    1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,
     588,   589,   590,  1274,     0,     0,     0,     0,     0,     0,
    1275,  1276,     0,     0,     0,     0,     0,     0,     0,  1278,
     227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1212,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1213,   250,  1214,  1215,     0,
     253,   254,   255,   256,   257,   258,  1216,  1217,   259,   260,
    1218,  1219,   263,     0,   264,   265,   266,   267,  1220,     0,
    1221,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,  4134,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
     290,   291,   292,   293,   294,   295,  1229,  1230,   298,  1231,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1232,   326,   327,   328,  1233,  1234,   330,
       0,   331,   332,  1235,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1236,     0,
    1237,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1238,  1239,     0,  1240,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1241,   387,
     388,   389,     0,   390,   391,   392,  1242,  1243,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1244,   410,  1245,   412,   413,   414,
     415,  1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,
     423,   424,   425,     0,   426,   427,     0,     0,  1250,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1251,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,  1252,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1253,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  1254,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1255,   505,   506,   507,   508,   509,   510,   511,
     512,  1256,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,  1257,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,
     545,   546,   547,   548,   549,   550,   551,     0,  1263,   552,
     553,   554,   555,   556,  1264,     0,   557,   558,   559,   560,
     561,   562,  1265,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,
    1273,   587,   588,   589,   590,  1274,     0,     0,     0,     0,
       0,     0,  1275,  1276,     0,     0,     0,     0,     0,     0,
       0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1212,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1213,   250,  1214,
    1215,     0,   253,   254,   255,   256,   257,   258,  1216,  1217,
     259,   260,  1218,  1219,   263,     0,   264,   265,   266,   267,
    1220,     0,  1221,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,   290,   291,   292,   293,   294,   295,  1229,  1230,
     298,  1231,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1232,   326,   327,   328,  1233,
    1234,   330,     0,   331,   332,  1235,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1236,     0,  1237,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1238,  1239,     0,  1240,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1241,   387,   388,   389,     0,   390,   391,   392,  1242,  1243,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1244,   410,  1245,   412,
     413,   414,   415,  1246,   416,   417,   418,   419,  1247,  1248,
     421,  1249,   423,   424,   425,     0,   426,   427,     0,     0,
    1250,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1251,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,  1252,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1253,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,  1254,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1255,   505,   506,   507,   508,   509,
     510,   511,   512,  1256,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1257,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1258,  1259,     0,     0,   540,   541,  1260,   543,
    1261,  1262,   545,   546,   547,   548,   549,   550,   551,     0,
    1263,   552,   553,   554,   555,   556,  1264,     0,   557,   558,
     559,   560,   561,   562,  1265,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,  4468,  1266,  1267,  1268,  1269,   582,  1270,
    1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,     0,
       0,     0,     0,     0,  1275,  1276,     0,     0,     0,     0,
       0,     0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,
     720,  1211,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1212,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,  1213,
     250,  1214,  1215,     0,   253,   254,   255,   256,   257,   258,
    1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,   265,
     266,   267,  1220,     0,  1221,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1222,  1223,  1224,
    1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,   295,
    1229,  1230,   298,  1231,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1232,   326,   327,
     328,  1233,  1234,   330,     0,   331,   332,  1235,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1236,     0,  1237,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1238,  1239,     0,  1240,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1241,   387,   388,   389,     0,   390,   391,   392,
    1242,  1243,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1244,   410,
    1245,   412,   413,  4477,   415,  1246,   416,   417,   418,   419,
    1247,  1248,   421,  1249,   423,   424,   425,     0,   426,   427,
       0,     0,  1250,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1251,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,  1252,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1253,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
    1254,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,  1255,   505,   506,   507,
     508,   509,   510,   511,   512,  1256,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1257,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1258,  1259,     0,     0,   540,   541,
    1260,   543,  1261,  1262,   545,   546,   547,   548,   549,   550,
     551,     0,  1263,   552,   553,   554,   555,   556,  1264,     0,
     557,   558,   559,   560,   561,   562,  1265,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,
     582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,
       0,     0,     0,     0,     0,     0,  1275,  1276,     0,     0,
       0,     0,     0,     0,     0,  1278,   227,  1207,   659,  1208,
    1209,  1210,   720,  1211,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,  1212,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,  1213,   250,  1214,  1215,     0,   253,   254,   255,   256,
     257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,
     264,   265,   266,   267,  1220,     0,  1221,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,  4786,   288,  1222,
    1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,
     294,   295,  1229,  1230,   298,  1231,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,  1232,
     326,   327,   328,  1233,  1234,   330,     0,   331,   332,  1235,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1236,     0,  4787,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1238,  1239,     0,  1240,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1241,   387,   388,   389,     0,   390,
     391,   392,  1242,  1243,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1244,   410,  1245,   412,   413,   414,   415,  1246,   416,   417,
     418,   419,  1247,  1248,   421,  1249,   423,   424,   425,     0,
     426,   427,     0,     0,  1250,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1251,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,  1252,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1253,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,  4788,
     488,   489,  1254,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1255,   505,
     506,   507,   508,   509,   510,   511,   512,  1256,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1257,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1258,  1259,     0,     0,
     540,   541,  1260,   543,  1261,  1262,   545,   546,   547,   548,
     549,   550,   551,     0,  1263,   552,   553,   554,   555,   556,
    1264,     0,   557,   558,   559,   560,   561,   562,  1265,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,  1266,  1267,
    1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,
     590,  1274,     0,     0,     0,     0,     0,     0,  1275,  1276,
       0,     0,     0,     0,     0,     0,     0,  4789,   227,  1207,
     659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1212,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,  5267,  1213,   250,  1214,  1215,     0,   253,   254,
     255,   256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,
     263,     0,   264,   265,   266,   267,  1220,     0,  1221,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
    5268,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,
     292,   293,   294,   295,  1229,  1230,   298,  1231,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1232,   326,   327,   328,  1233,  1234,   330,     0,   331,
     332,  1235,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1236,     0,  1237,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1238,  1239,
       0,  1240,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1241,   387,   388,   389,
       0,   390,   391,   392,  1242,  1243,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1244,   410,  1245,   412,   413,   414,   415,  1246,
     416,   417,   418,   419,  1247,  1248,   421,  1249,   423,   424,
     425,     0,   426,   427,     0,     0,  1250,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1251,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
    1252,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1253,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1254,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1255,   505,   506,   507,   508,   509,   510,   511,   512,  1256,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  1257,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1258,  1259,
       0,     0,   540,   541,  1260,   543,  1261,  1262,   545,   546,
     547,   548,  5269,   550,   551,     0,  1263,   552,   553,   554,
     555,   556,  1264,     0,   557,   558,   559,   560,   561,   562,
    1265,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
    1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,
     588,   589,   590,  1274,     0,     0,     0,     0,     0,     0,
    1275,  1276,     0,     0,     0,     0,     0,     0,     0,  1278,
     227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1212,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1213,   250,  1214,  1215,     0,
     253,   254,   255,   256,   257,   258,  1216,  1217,   259,   260,
    1218,  1219,   263,     0,   264,   265,   266,   267,  1220,     0,
    1221,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,  5268,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
     290,   291,   292,   293,   294,   295,  1229,  1230,   298,  1231,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1232,   326,   327,   328,  1233,  1234,   330,
       0,   331,   332,  1235,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1236,     0,
    1237,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1238,  1239,     0,  1240,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1241,   387,
     388,   389,     0,   390,   391,   392,  1242,  1243,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1244,   410,  1245,   412,   413,   414,
     415,  1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,
     423,   424,   425,     0,   426,   427,     0,     0,  1250,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1251,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,  1252,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1253,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  1254,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1255,   505,   506,   507,   508,   509,   510,   511,
     512,  1256,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,  1257,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,
     545,   546,   547,   548,  5269,   550,   551,     0,  1263,   552,
     553,   554,   555,   556,  1264,     0,   557,   558,   559,   560,
     561,   562,  1265,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,
    1273,   587,   588,   589,   590,  1274,     0,     0,     0,     0,
       0,     0,  1275,  1276,     0,     0,     0,     0,     0,     0,
       0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1212,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1213,   250,  1214,
    1215,     0,   253,   254,   255,   256,   257,   258,  1216,  1217,
     259,   260,  1218,  1219,   263,     0,   264,   265,   266,   267,
    1220,     0,  1221,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,   290,   291,   292,   293,   294,   295,  1229,  1230,
     298,  4982,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1232,   326,   327,   328,  1233,
    1234,   330,     0,   331,   332,  1235,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1236,     0,  1237,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1238,  1239,     0,  1240,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1241,   387,   388,   389,     0,   390,   391,   392,  1242,  1243,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1244,   410,  1245,   412,
     413,   414,   415,     0,   416,   417,   418,   419,  1247,  1248,
     421,  1249,   423,   424,   425,     0,   426,   427,     0,     0,
    1250,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1251,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,  1252,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1253,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,  2750,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1255,   505,   506,   507,   508,   509,
     510,   511,   512,  1256,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1257,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1258,  1259,     0,     0,   540,   541,  1260,   543,
    1261,  1262,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,  1264,     0,   557,   558,
     559,   560,   561,   562,  1265,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,
    1271,  1272,  1273,   587,   588,   589,   590,     0,     0,     0,
       0,     0,     0,     0,  2751,  2752,     0,     0,     0,     0,
       0,     0,     0,  2753,   227,  1207,   659,  1208,  1209,  1210,
     720,  1211,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1212,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247, -2635,  1213,
     250,  1214,  1215,     0,   253,   254,   255,   256,   257,   258,
    1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,   265,
     266,   267,  1220,     0,  1221,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,  5268,  1222,  1223,  1224,
    1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,   295,
    1229,  1230,   298,  1231,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1232,   326,   327,
     328,  1233,  1234,   330,     0,   331,   332,  1235,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1236,     0,  1237,   346,   347,     0,   348,   349,
     350,   351,   352, -2635,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1238,  1239,     0,  1240,     0,   375,
       0,     0,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1241,   387,   388, -2635,     0,   390,   391,   392,
    1242,  1243,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1244,   410,
    1245,   412,   413,   414,   415,  1246,   416,   417,     0,   419,
    1247,  1248,   421,  1249,   423,   424,   425,     0,   426,   427,
       0,     0,  1250,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1251,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,  1252,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1253,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
    1254,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,  1255,   505,   506,   507,
     508,   509, -2635,   511,   512,  1256,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1257,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1258,  1259,     0,     0,   540,   541,
    1260,   543,  1261,  1262,   545,   546,   547,   548,  5269,   550,
     551,     0,  1263,   552,   553,   554,   555,   556,  1264,     0,
     557,   558,   559,   560,   561,   562,  1265,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,
     582,  1270,  1271,  1272,  1273,   587,   588,   589,   590, -2635,
       0,     0,     0,     0,     0,     0,  1275,  1276,     0,     0,
       0,     0,     0,     0,     0,  1278,   227,  1207,   659,  1208,
    1209,  1210,   720,  1211,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,  1212,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,  1213,   250,  1214,  1215,     0,   253,   254,   255,   256,
     257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,
     264,   265,   266,   267,  1220,     0,  1221,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1222,
    1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,
     294,   295,  1229,  1230,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,  1232,
     326,   327,   328,  1233,  1234,   330,     0,   331,   332,  1235,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1236,     0,  1237,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1238,  1239,     0,  1240,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1241,   387,   388,   389,     0,   390,
     391,   392,  1242,  1243,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1244,   410,  1245,   412,   413,   414,   415,     0,   416,   417,
     418,   419,  1247,  1248,   421,  1249,   423,   424,   425,     0,
     426,   427,     0,     0,  1250,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1251,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,  1252,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1253,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  2750,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1255,   505,
     506,   507,   508,   509,   510,   511,   512,  1256,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1257,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1258,  1259,     0,     0,
     540,   541,  1260,   543,  1261,  1262,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
    1264,     0,   557,   558,   559,   560,   561,   562,  1265,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,  1266,  1267,
    1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,
     590,     0,     0,     0,     0,     0,     0,     0,  2751,  2752,
       0,     0,   227,  1207,   659,  1208,  1209,  2753,   720,  1211,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1212,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1213,   250,  1214,
    1215,     0,   253,   254,   255,   256,   257,   258,  1216,  1217,
     259,   260,  1218,  1219,   263,     0,   264,   265,   266,   267,
    1220,     0,  1221,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,   290,   291,   292,   293,   294,   295,  1229,  1230,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1232,   326,   327,   328,  1233,
    1234,   330,     0,   331,   332,  1235,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1236,     0,  1237,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1238,  1239,     0,  1240,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1241,   387,   388,   389,     0,   390,   391,   392,  1242,  1243,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1244,   410,  1245,   412,
     413,   414,   415,     0,   416,   417,   418,   419,  1247,  1248,
     421,  1249,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1251,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,  1252,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1253,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,  2874,  2875,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1255,   505,   506,   507,   508,   509,
     510,   511,   512,  1256,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1257,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1258,  1259,     0,     0,   540,   541,  1260,   543,
    1261,  1262,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,  1264,     0,   557,   558,
     559,   560,   561,   562,  1265,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,
    1271,  1272,  1273,   587,   588,   589,   590,     0,     0,     0,
       0,     0,     0,     0,  2876,  2877,     0,     0,     0,     0,
       0,     0,     0,  2753,   227,  1207,   659,  1208,  1209,  1210,
     720,  1211,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1212,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,  1213,
     250,  1214,  1215,     0,   253,   254,   255,   256,   257,   258,
    1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,   265,
     266,   267,  1220,     0,  1221,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1222,  1223,  1224,
    1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,   295,
    1229,  1230,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1232,   326,   327,
     328,  1233,  1234,   330,     0,   331,   332,  1235,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1236,     0,  1237,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1238,  1239,     0,  1240,     0,   375,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1241,   387,   388,   389,     0,   390,   391,   392,
    1242,  1243,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1244,   410,
    1245,   412,   413,   414,   415,     0,   416,   417,   418,   419,
    1247,  1248,   421,  1249,   423,   424,   425,     0,   426,   427,
       0,     0,  1250,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1251,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,  1252,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1253,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
    2750,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,  1255,   505,   506,   507,
     508,   509,   510,   511,   512,  1256,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1257,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1258,  1259,     0,     0,   540,   541,
    1260,   543,  1261,  1262,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,  1264,     0,
     557,   558,   559,   560,   561,   562,  1265,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,
     582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,     0,
       0,     0,     0,     0,     0,     0,  2751,  2752,     0,     0,
     227,  1207,   659,  1208,  1209,  2753,   720,  1211,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1212,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1213,   250,  1214,  1215,     0,
     253,   254,   255,   256,   257,   258,  1216,  1217,   259,   260,
    1218,  1219,   263,     0,   264,   265,   266,   267,  1220,     0,
    1221,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
     290,   291,   292,   293,   294,   295,  1229,  1230,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1232,   326,   327,   328,  1233,  1234,   330,
       0,   331,   332,  1235,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1236,     0,
    1237,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1238,  1239,     0,  1240,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1241,   387,
     388,   389,     0,   390,   391,   392,  1242,  1243,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1244,   410,  1245,   412,   413,   414,
     415,     0,   416,   417,   418,   419,  1247,  1248,   421,  1249,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1251,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,  1252,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1253,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  2750,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1255,   505,   506,   507,   508,   509,   510,   511,
     512,  1256,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,  1257,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,  1264,     0,   557,   558,   559,   560,
     561,   562,  1265,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,
    1273,   587,   588,   589,   590,     0,     0,   227,  1207,   659,
    1208,  1209,     0,   720,  1211,     0,     0,     0,     0,     0,
       0,  2753,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1212,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1213,   250,  1214,  1215,     0,  4044,   254,   255,
     256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,  1229,  1230,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1232,   326,   327,   328,  1233,  1234,   330,     0,   331,   332,
    1235,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,  1237,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1238,  1239,     0,
    1240,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1244,   410,  1245,   412,   413,   414,   415,     0,   416,
     417,   418,   419,  1247,  1248,   421,  1249,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1253,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  2750,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,  1256,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1258,  1259,     0,
       0,   540,   541,  1260,   543,  1261,  1262,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,  1265,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,     0,     0,   227,  1207,   659,  1208,  1209,     0,
     720,  1211,     0,     0,     0,     0,     0,     0,  2753,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1212,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,  1213,
     250,  1214,  1215,     0,   253,   254,   255,   256,   257,   258,
    1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,   265,
     266,   267,  1220,     0,  1221,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1222,  1223,  1224,
    1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,   295,
    1229,  1230,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1232,   326,   327,
     328,  1233,  1234,   330,     0,   331,   332,  1235,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1236,     0,  1237,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1238,  1239,     0,  1240,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1241,   387,   388,   389,     0,   390,   391,   392,
    1242,  1243,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1244,   410,
    1245,   412,   413,   414,   415,     0,   416,   417,   418,   419,
    1247,  1248,   421,  1249,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1251,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,  1252,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1253,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
    2750,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,  1255,   505,   506,   507,
     508,   509,   510,   511,   512,  1256,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1257,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1258,  1259,     0,     0,   540,   541,
    1260,   543,  1261,  1262,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,  1264,     0,
     557,   558,   559,   560,   561,   562,  1265,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,
    4508,  1270,  1271,  1272,  1273,   587,   588,   589,   590,     0,
       0,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,  2753,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,     0,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,     0,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,     0,     0,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,     0,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,     0,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,     0,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,     0,     0,   227,     0,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,  1217,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,  1220,     0,  1221,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,  1233,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1236,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,  3563,     0,   385,  1241,   387,   388,   389,
       0,   390,   391,   392,  1242,  1243,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,  1248,   421,   422,   423,   424,
     425,     0,   426,   427,     0,   809,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1251,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
    1252,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,  3564,   492,   493,   494,   495,
     496,   497,   498,   499,    40,   500,   501,   502,   503,   504,
    1255,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  1257,     0,   528,   529,    44,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,  1260,   543,  1261,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,  1264,     0,   557,   558,   559,   560,   561,  1143,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,    49,   571,   572,   573,   574,   575,   576,   577,
    1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,  3565,
     588,   589,   590,     0,     0,    50,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3566,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,  1217,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,  1220,     0,  1221,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1222,
    1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,  1233,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1236,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,  3563,     0,   385,  1241,   387,   388,   389,     0,   390,
     391,   392,  1242,  1243,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,  1248,   421,   422,   423,   424,   425,     0,
     426,   427,     0,   809,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1251,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,  1252,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,  3564,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1255,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1257,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,  1260,   543,  1261,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
    1264,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,  1266,  1267,
    1268,  1269,   582,  1270,  1271,  1272,  1273,  3565,   588,   589,
     590,     0,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3566,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
    1217,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
    1233,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
    1248,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
    3564,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,  1260,
     543,  1261,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,  3565,   588,   589,   590,     0,     0,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    51,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,  1217,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,  1220,     0,
    1221,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,  1233,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1236,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1241,   387,
     388,   389,     0,   390,   391,   392,  1242,  1243,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,  1248,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1251,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,  1252,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1255,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,  1257,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,     0,     0,   540,   541,  1260,   543,  1261,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,  1264,     0,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,
    1273,   587,   588,   589,   590,     0,     0,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4163,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,  1217,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,  1233,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,  1248,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,  1260,   543,  1261,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,     0,     0,   862,  1489,   659,     0,     0,     0,
     720,     0,     0,     0,     0,     0,     0,     0,  5250,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,  1906,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
    1907,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,     0,     0,   540,   541,
     542,   543,   544,  1908,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   862,     0,     0,     0,     0,  1490,  1491,  5063,     0,
       0,     0,     0,     0,     0,  5064,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     3,     4,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,    40,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,    44,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,  1143,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,    49,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,    50,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    51,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,     0,     0,     0,   289,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,   386,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
       0,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,     0,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4838,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,    40,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,    44,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,  1143,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
      49,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,    50,   598,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,     0,   528,   529,     0,   530,     0,   532,   533,   534,
     535,   536,     0,   537,   538,   539,     0,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,   562,   563,     0,   564,     0,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1336,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2907,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   598,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4079,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,     0,   245,   246,   247,   248,
     249,     0,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,   268,     0,     0,     0,   270,   271,   272,
     273,   274,     0,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,     0,   286,   287,   288,     0,     0,
       0,     0,     0,     0,     0,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,     0,   416,   417,     0,
     419,     0,   420,   421,   422,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
     433,     0,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   528,   529,     0,   530,     0,   532,   533,
     534,   535,   536,     0,   537,   538,   539,     0,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,   562,   563,     0,   564,
       0,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,     0,     0,     0,  1057,  1489,   659,     0,     0,
     876,   720,     0,     0,     0,     0,  4525,   877,   878,   879,
     228,   229,   230,   231,   232,   233,   234,   235,  1620,   236,
     237,   238,  1621,  1622,  1623,  1624,  1625,  1626,  1627,   239,
     240,  1628,   241,   242,   243,   244,   245,   246,   247,     0,
    1058,   250,  1059,  1060,  1629,   253,   254,   255,   256,   257,
     258,  1630,  1631,   259,   260,  1061,  1062,   263,  1632,   264,
     265,   266,   267,     0,  1633,   269,  1634,   270,   271,   272,
     273,   274,   275,   276,   277,   278,  1635,   279,   280,   281,
     282,   283,   284,  1636,   285,   286,   287,   288,  1637,  1638,
    1639,   289,  1640,  1641,  1642,   290,   291,   292,   293,   294,
     295,  1063,  1064,   298,  1643,   299,  1644,   300,   301,   302,
     303,   304,   305,  1645,   306,   307,   308,   309,  1646,  1647,
     310,   311,  1065,   313,   314,  1648,   315,   316,   317,  1649,
     318,   319,   320,  1650,   321,   322,   323,   324,     0,   326,
     327,   328,     0,  1651,   330,  1652,   331,   332,  1066,   334,
    1653,   335,  1654,   336,   337,  1655,   338,   339,   340,   341,
     342,  1656,   343,     0,  1657,     0,   346,   347,  1658,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,  1659,
     358,   359,   360,   361,   362,   363,   364,  1660,   365,   366,
       0,   368,   369,   370,   371,  1068,  1069,  1661,  1070,  1662,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
    1663,  1664,   385,     0,   387,   388,   389,  1665,   390,   391,
     392,  1666,  1667,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,  1072,   412,   413,   414,  3830,  1668,   416,   417,   418,
     419,  1669,     0,   421,  1073,   423,   424,   425,  1670,   426,
     427,  1671,  1672,  3831,   429,   430,  1673,  1674,   431,   432,
       0,   434,   435,   436,     0,   438,   439,   440,   441,   442,
     443,   444,   445,   446,  1675,   447,   448,     0,   450,     0,
     452,   453,   454,  1676,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1074,   466,   467,   468,   469,  1677,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,  1678,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1679,   500,   501,   502,   503,   504,  1680,   505,   506,
    2157,   508,   509,   510,   511,   512,  1076,   514,  1681,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,     0,  1682,   528,   529,  1683,   530,   531,   532,   533,
     534,   535,   536,  1684,   537,  1077,  1078,  1685,  1686,   540,
     541,     0,   543,     0,  1687,   545,   546,   547,   548,   549,
     550,   551,  1688,  1689,   552,   553,   554,   555,   556,  1690,
    1691,   557,   558,   559,   560,   561,     0,  1079,  1692,   564,
     565,   566,   567,   568,   569,  1693,  1694,   570,  1695,  1696,
     571,   572,   573,   574,   575,   576,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   588,   589,   590,
       0,     0,     0,   882,   883,   884,     0,  3832,  3833,   887,
     888,   889,   890,  1057,  1489,   659,     0,     0,   876,   720,
       0,     0,     0,     0,     0,   877,   878,   879,   228,   229,
     230,   231,   232,   233,   234,   235,  1620,   236,   237,   238,
    1621,  1622,  1623,  1624,  1625,  1626,  1627,   239,   240,  1628,
     241,   242,   243,   244,   245,   246,   247,     0,  1058,   250,
    1059,  1060,  1629,   253,   254,   255,   256,   257,   258,  1630,
    1631,   259,   260,  1061,  1062,   263,  1632,   264,   265,   266,
     267,     0,  1633,   269,  1634,   270,   271,   272,   273,   274,
     275,   276,   277,   278,  1635,   279,   280,   281,   282,   283,
     284,  1636,   285,   286,   287,   288,  1637,  1638,  1639,   289,
    1640,  1641,  1642,   290,   291,   292,   293,   294,   295,  1063,
    1064,   298,  1643,   299,  1644,   300,   301,   302,   303,   304,
     305,  1645,   306,   307,   308,   309,  1646,  1647,   310,   311,
    1065,   313,   314,  1648,   315,   316,   317,  1649,   318,   319,
     320,  1650,   321,   322,   323,   324,     0,   326,   327,   328,
       0,  1651,   330,  1652,   331,   332,  1066,   334,  1653,   335,
    1654,   336,   337,  1655,   338,   339,   340,   341,   342,  1656,
     343,     0,  1657,     0,   346,   347,  1658,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,  1659,   358,   359,
     360,   361,   362,   363,   364,  1660,   365,   366,     0,   368,
     369,   370,   371,  1068,  1069,  1661,  1070,  1662,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,  1663,  1664,
     385,     0,   387,   388,   389,  1665,   390,   391,   392,  1666,
    1667,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1071,   410,  1072,
     412,   413,   414,  4255,  1668,   416,   417,   418,   419,  1669,
       0,   421,  1073,   423,   424,   425,  1670,   426,   427,  1671,
    1672,  3831,   429,   430,  1673,  1674,   431,   432,     0,   434,
     435,   436,     0,   438,   439,   440,   441,   442,   443,   444,
     445,   446,  1675,   447,   448,     0,   450,     0,   452,   453,
     454,  1676,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1074,   466,   467,   468,   469,  1677,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
    1678,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1679,
     500,   501,   502,   503,   504,  1680,   505,   506,  2157,   508,
     509,   510,   511,   512,  1076,   514,  1681,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,     0,
    1682,   528,   529,  1683,   530,   531,   532,   533,   534,   535,
     536,  1684,   537,  1077,  1078,  1685,  1686,   540,   541,     0,
     543,     0,  1687,   545,   546,   547,   548,   549,   550,   551,
    1688,  1689,   552,   553,   554,   555,   556,  1690,  1691,   557,
     558,   559,   560,   561,     0,  1079,  1692,   564,   565,   566,
     567,   568,   569,  1693,  1694,   570,  1695,  1696,   571,   572,
     573,   574,   575,   576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   588,   589,   590,     0,   598,
       0,   882,   883,   884,   876,  3832,  3833,   887,   888,   889,
     890,   877,   878,   879,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,     0,
     245,   246,   247,   248,   249,     0,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,   880,   266,   267,   268,     0,     0,
       0,   270,   271,   272,   273,   274,     0,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,     0,   286,
     287,   288,     0,     0,     0,     0,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   881,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
       0,   416,   417,     0,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,     0,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   528,   529,     0,
     530,     0,   532,   533,   534,   535,   536,     0,   537,   538,
     539,     0,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
     562,   563,     0,   564,     0,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,     0,   598,     0,   882,   883,   884,
     876,   885,   886,   887,   888,   889,   890,   877,   878,   879,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,     0,   245,   246,   247,   248,
     249,     0,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,   261,   262,   263,     0,   264,
    1007,   266,   267,   268,     0,     0,     0,   270,   271,   272,
     273,   274,     0,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,     0,   286,   287,   288,     0,     0,
       0,     0,     0,     0,     0,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,  1008,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,     0,   416,   417,     0,
     419,     0,   420,   421,   422,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
     433,     0,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   528,   529,     0,   530,     0,   532,   533,
     534,   535,   536,     0,   537,   538,   539,     0,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,   562,   563,     0,   564,
       0,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
       0,   598,     0,   882,   883,   884,   876,   885,   886,   887,
     888,   889,   890,   877,   878,   879,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,  1107,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
    1108,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1109,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,     0,   598,     0,   882,
     883,   884,   876,   885,   886,   887,   888,   889,   890,   877,
     878,   879,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,  1719,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,  1720,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,     0,   598,     0,   882,   883,   884,   876,   885,
     886,   887,   888,   889,   890,   877,   878,   879,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,     0,   598,
       0,   882,   883,   884,   876,   885,   886,   887,   888,   889,
     890,   877,   878,   879,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,     0,
     245,   246,   247,   248,   249,     0,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,  2985,   266,   267,   268,     0,     0,
       0,   270,   271,   272,   273,   274,     0,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,     0,   286,
     287,   288,     0,     0,     0,     0,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,  2986,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
       0,   416,   417,     0,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,     0,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   528,   529,     0,
     530,     0,   532,   533,   534,   535,   536,     0,   537,   538,
     539,     0,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
     562,   563,     0,   564,     0,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,     0,   598,     0,   882,   883,   884,
     876,   885,   886,   887,   888,   889,   890,   877,   878,   879,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,     0,   245,   246,   247,   248,
     249,     0,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,   268,     0,     0,     0,   270,   271,   272,
     273,   274,     0,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,     0,   286,   287,   288,     0,     0,
       0,     0,     0,     0,     0,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,     0,   416,   417,     0,
     419,     0,   420,   421,   422,   423,   424,   425,     0,   426,
     427,     0,     0,  4815,   429,   430,     0,     0,   431,   432,
     433,     0,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   528,   529,     0,   530,     0,   532,   533,
     534,   535,   536,     0,   537,   538,   539,     0,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,   562,   563,     0,   564,
       0,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
    1619,     0,     0,   882,   883,   884,     0,   885,   886,   887,
     888,   889,   890,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,  1620,   236,   237,   238,  1621,  1622,  1623,
    1624,  1625,  1626,  1627,   239,   240,  1628,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,  1629,
     253,   254,   255,   256,   257,   258,  1630,  1631,   259,   260,
     261,   262,   263,  1632,   264,   265,   266,   267,   268,  1633,
     269,  1634,   270,   271,   272,   273,   274,   275,   276,   277,
     278,  1635,   279,   280,   281,   282,   283,   284,  1636,   285,
     286,   287,   288,  1637,  1638,  1639,   289,  1640,  1641,  1642,
     290,   291,   292,   293,   294,   295,   296,   297,   298,  1643,
     299,  1644,   300,   301,   302,   303,   304,   305,  1645,   306,
     307,   308,   309,  1646,  1647,   310,   311,   312,   313,   314,
    1648,   315,   316,   317,  1649,   318,   319,   320,  1650,   321,
     322,   323,   324,   325,   326,   327,   328,   329,  1651,   330,
    1652,   331,   332,   333,   334,  1653,   335,  1654,   336,   337,
    1655,   338,   339,   340,   341,   342,  1656,   343,   344,  1657,
     345,   346,   347,  1658,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,  1659,   358,   359,   360,   361,   362,
     363,   364,  1660,   365,   366,   367,   368,   369,   370,   371,
     372,   373,  1661,   374,  1662,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,  1663,  1664,   385,   386,   387,
     388,   389,  1665,   390,   391,   392,  1666,  1667,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,  1668,   416,   417,   418,   419,  1669,   420,   421,   422,
     423,   424,   425,  1670,   426,   427,  1671,  1672,   428,   429,
     430,  1673,  1674,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,  1675,
     447,   448,   449,   450,   451,   452,   453,   454,  1676,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,  1677,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,  1678,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1679,   500,   501,   502,
     503,   504,  1680,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,  1681,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,  1682,   528,   529,
    1683,   530,   531,   532,   533,   534,   535,   536,  1684,   537,
     538,   539,  1685,  1686,   540,   541,   542,   543,   544,  1687,
     545,   546,   547,   548,   549,   550,   551,  1688,  1689,   552,
     553,   554,   555,   556,  1690,  1691,   557,   558,   559,   560,
     561,   562,   563,  1692,   564,   565,   566,   567,   568,   569,
    1693,  1694,   570,  1695,  1696,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   598,     0,     0,     0,     0,
       0,     0,     0,     0,  1697,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,     0,   245,   246,   247,   248,
     249,     0,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,   268,     0,     0,     0,   270,   271,   272,
     273,   274,     0,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,     0,   286,   287,   288,     0,     0,
       0,     0,     0,     0,     0,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,     0,   416,   417,     0,
     419,     0,   420,   421,   422,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
     433,     0,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   528,   529,     0,   530,     0,   532,   533,
     534,   535,   536,     0,   537,   538,   539,     0,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,   562,   563,     0,   564,
       0,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     598,     0,     0,     0,     0,     0,     0,     0,     0,   814,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,     0,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,     0,   528,   529,
       0,   530,     0,   532,   533,   534,   535,   536,     0,   537,
     538,   539,     0,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,   562,   563,     0,   564,     0,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,  5216,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,     0,
    1058,   250,  1059,  1060,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,  1061,  1062,   263,     0,   264,
     265,   266,   267,     0,     0,   269,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,     0,     0,
       0,   289,     0,     0,     0,   290,   291,   292,   293,   294,
     295,  1063,  1064,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,     0,   326,
     327,   328,     0,     0,   330,     0,   331,   332,  1066,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,     0,     0,     0,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,  2153,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
    2154,   368,   369,   370,   371,  1068,  1069,     0,  1070,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,     0,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,  1072,   412,   413,   414,     0,     0,   416,   417,   418,
     419,     0,     0,   421,  1073,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,  2155,   431,   432,
    2156,   434,   435,   436,     0,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1074,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
    2157,   508,   509,   510,   511,   512,  1076,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,     0,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1077,  1078,     0,     0,   540,
     541,     0,   543,     0,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,     0,  1079,  2158,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,  2475,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   588,   589,   590,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  2159,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1058,   250,  1059,  1060,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1061,  1062,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1063,  1064,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1066,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    2153,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,  2154,   368,   369,   370,   371,  1068,  1069,     0,  1070,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1071,   410,  1072,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1073,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,  2155,   431,
     432,  2156,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,     0,   450,
       0,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1074,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,  2157,   508,   509,   510,   511,   512,  1076,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1077,  1078,     0,     0,
     540,   541,     0,   543,     0,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,     0,  1079,  2158,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   862,  1489,   659,
       0,     0,     0,   720,     0,     0,     0,     0,   588,   589,
     590,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    2159,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,  2084,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,  1906,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,  1907,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,  1908,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   862,  1489,   659,     0,     0,     0,   720,  1490,
    1491,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,  2089,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
    1906,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,  1907,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,  1908,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   862,  1489,   659,
       0,     0,     0,   720,  1490,  1491,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,  1906,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,  1907,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,  1908,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   862,     0,   659,     0,     0,     0,   720,  1490,
    1491,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,  2939,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
    1906,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,  1907,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,  1908,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,   720,   732,   733,     0,     0,     0,     0,
       0,     0,   228,   721,   230,   231,   232,   233,   234,   235,
     722,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   723,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   724,
     333,   334,     0,   335,     0,   725,     0,   726,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,   727,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   728,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   729,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   730,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   731,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,  1619,  5427,   659,     0,     0,     0,   720,   732,
     733,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  1620,   236,   237,   238,  1621,
    1622,  1623,  1624,  1625,  1626,  1627,   239,   240,  1628,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,  1629,   253,   254,   255,   256,   257,   258,  1630,  1631,
     259,   260,   261,   262,   263,  1632,   264,   265,   266,   267,
     268,  1633,   269,  1634,   270,   271,   272,   273,   274,   275,
     276,   277,   278,  1635,   279,   280,   281,   282,   283,   284,
    1636,   285,   286,   287,   288,  1637,  1638,  1639,   289,  1640,
    1641,  1642,   290,   291,   292,   293,   294,   295,   296,   297,
     298,  1643,   299,  1644,   300,   301,   302,   303,   304,   305,
    1645,   306,   307,   308,   309,  1646,  1647,   310,   311,   312,
     313,   314,  1648,   315,   316,   317,  1649,   318,   319,   320,
    1650,   321,   322,   323,   324,   325,   326,   327,   328,   329,
    1651,   330,  1652,   331,   332,   333,   334,  1653,   335,  1654,
     336,   337,  1655,   338,   339,   340,   341,   342,  1656,   343,
     344,  1657,   345,   346,   347,  1658,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,  1659,   358,   359,   360,
     361,   362,   363,   364,  1660,   365,   366,   367,   368,   369,
     370,   371,   372,   373,  1661,   374,  1662,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,  1663,  1664,   385,
     386,   387,   388,   389,  1665,   390,   391,   392,  1666,  1667,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,  1668,   416,   417,   418,   419,  1669,   420,
     421,   422,   423,   424,   425,  1670,   426,   427,  1671,  1672,
     428,   429,   430,  1673,  1674,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,  1675,   447,   448,   449,   450,   451,   452,   453,   454,
    1676,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,  1677,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,  1678,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1679,   500,
     501,   502,   503,   504,  1680,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,  1681,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,  1682,
     528,   529,  1683,   530,   531,   532,   533,   534,   535,   536,
    1684,   537,   538,   539,  1685,  1686,   540,   541,   542,   543,
     544,  1687,   545,   546,   547,   548,   549,   550,   551,  1688,
    1689,   552,   553,   554,   555,   556,  1690,  1691,   557,   558,
     559,   560,   561,   562,   563,  1692,   564,   565,   566,   567,
     568,   569,  1693,  1694,   570,  1695,  1696,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,  1619,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    1620,   236,   237,   238,  1621,  1622,  1623,  1624,  1625,  1626,
    1627,   239,   240,  1628,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,  1629,   253,   254,   255,
     256,   257,   258,  1630,  1631,   259,   260,   261,   262,   263,
    1632,   264,   265,   266,   267,   268,  1633,   269,  1634,   270,
     271,   272,   273,   274,   275,   276,   277,   278,  1635,   279,
     280,   281,   282,   283,   284,  1636,   285,   286,   287,   288,
    1637,  1638,  1639,   289,  1640,  1641,  1642,   290,   291,   292,
     293,   294,   295,   296,   297,   298,  1643,   299,  1644,   300,
     301,   302,   303,   304,   305,  1645,   306,   307,   308,   309,
    1646,  1647,   310,   311,   312,   313,   314,  1648,   315,   316,
     317,  1649,   318,   319,   320,  1650,   321,   322,   323,   324,
     325,   326,   327,   328,   329,  1651,   330,  1652,   331,   332,
     333,   334,  1653,   335,  1654,   336,   337,  1655,   338,   339,
     340,   341,   342,  1656,   343,   344,  1657,   345,   346,   347,
    1658,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,  1659,   358,   359,   360,   361,   362,   363,   364,  1660,
     365,   366,   367,   368,   369,   370,   371,   372,   373,  1661,
     374,  1662,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,  1663,  1664,   385,   386,   387,   388,   389,  1665,
     390,   391,   392,  1666,  1667,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,  1668,   416,
     417,   418,   419,  1669,   420,   421,   422,   423,   424,   425,
    1670,   426,   427,  1671,  1672,   428,   429,   430,  1673,  1674,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,  1675,   447,   448,   449,
     450,   451,   452,   453,   454,  1676,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,  1677,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,  1678,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1679,   500,   501,   502,   503,   504,  1680,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
    1681,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,  1682,   528,   529,  1683,   530,   531,
     532,   533,   534,   535,   536,  1684,   537,   538,   539,  1685,
    1686,   540,   541,   542,   543,   544,  1687,   545,   546,   547,
     548,   549,   550,   551,  1688,  1689,   552,   553,   554,   555,
     556,  1690,  1691,   557,   558,   559,   560,   561,   562,   563,
    1692,   564,   565,   566,   567,   568,   569,  1693,  1694,   570,
    1695,  1696,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,  1619,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,  3057,   233,   234,   235,  1620,   236,   237,   238,  1621,
    1622,  1623,  1624,  1625,  1626,  1627,   239,   240,  1628,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,  1629,   253,   254,   255,   256,   257,   258,  1630,  1631,
     259,   260,   261,   262,   263,  1632,   264,   265,   266,   267,
     268,  1633,   269,  1634,   270,   271,   272,   273,   274,   275,
     276,   277,   278,  1635,   279,   280,   281,   282,   283,   284,
    1636,   285,   286,   287,   288,  1637,  1638,  1639,   289,  1640,
    1641,  1642,   290,   291,   292,   293,   294,   295,   296,   297,
     298,  1643,   299,  1644,   300,   301,   302,   303,   304,   305,
    1645,   306,   307,   308,   309,  1646,  1647,   310,   311,   312,
    3058,   314,  1648,   315,   316,   317,  1649,   318,   319,   320,
    1650,   321,   322,   323,   324,   325,   326,   327,   328,   329,
    1651,   330,  1652,   331,   332,   333,   334,  1653,   335,  1654,
     336,   337,  1655,   338,   339,   340,   341,   342,  1656,   343,
     344,  1657,   345,   346,   347,  1658,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,  1659,   358,   359,   360,
     361,   362,   363,   364,  1660,   365,   366,   367,   368,   369,
     370,   371,   372,   373,  1661,   374,  1662,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,  1663,  1664,   385,
     386,   387,   388,   389,  1665,   390,   391,   392,  1666,  1667,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,  1668,   416,   417,   418,   419,  1669,   420,
     421,   422,   423,   424,   425,  1670,   426,   427,  1671,  1672,
     428,   429,   430,  1673,  1674,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,  1675,   447,   448,   449,   450,   451,   452,   453,   454,
    1676,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,  1677,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,  1678,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1679,   500,
     501,   502,   503,   504,  1680,  3059,   506,   507,   508,   509,
     510,   511,   512,   513,   514,  1681,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,  1682,
     528,   529,  1683,   530,   531,   532,   533,   534,   535,   536,
    1684,   537,   538,   539,  1685,  1686,   540,   541,   542,   543,
     544,  1687,   545,   546,   547,   548,   549,   550,   551,  1688,
    1689,   552,   553,   554,   555,   556,  1690,  1691,   557,   558,
     559,   560,   561,   562,   563,  1692,   564,   565,   566,   567,
     568,   569,  1693,  1694,   570,  1695,  1696,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,  1217,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,  1233,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,  1248,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,  1260,   543,  1261,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,   862,     0,   659,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
    1906,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,  1907,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,  1908,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
     900,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,   863,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   864,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   862,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,   920,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,   863,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   921,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   864,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,   863,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   864,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,  2418,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   862,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,   863,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,  3409,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   864,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,   863,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   864,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   862,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,   863,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,  1026,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   864,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,   863,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1102,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   864,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   862,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,   863,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1115,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   864,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,   863,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1127,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,  1128,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   864,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   862,     0,   659,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,  2069,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     3,     4,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   862,     0,   659,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   862,     0,   659,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1892,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1049,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1099,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1113,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1117,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,  2193,   264,   265,   266,   267,
     268,     0,     0,  2272,   270,   271,   272,   273,   274,     0,
     276,   277,   278,  2194,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,  2273,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,  2196,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    2274,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
    2197,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
    2198,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
    2193,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,  2194,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,  2273,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,  2196,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,  3268,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,  2197,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,  2198,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   777,   234,   235,   739,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
     740,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,   778,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   741,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   742,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
     739,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,   740,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,  2946,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   741,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   742,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,  2193,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,  2194,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,  2273,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,  2196,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
    2197,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
    2198,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
     739,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,   740,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   741,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   742,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  1933,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,  1934,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,  1935,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,  1936,
     336,     0,     0,     0,  1937,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,  1938,  1939,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,  1940,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,  1941,   489,   490,   491,
     492,   493,  1942,   495,   496,   497,   498,   499,     0,  1943,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,  1944,   530,     0,  1945,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,  1946,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,   740,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   741,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   742,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,   913,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     914,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,   809,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    3038,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,  3039,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  3051,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,  3052,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
     599,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,   650,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   651,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
     769,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   770,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   771,   539,     0,
       0,   772,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,   803,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   804,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   805,   539,     0,     0,   806,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,   809,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,   871,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     872,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    1041,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  1311,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,  1322,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   789,   260,   261,   262,  1323,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     792,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   793,   486,
     487,   488,   489,   490,   491,   492,   493,   794,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,  1315,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   796,   539,     0,
       0,   797,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   798,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1435,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,   809,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    1494,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1495,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,   769,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,  2837,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,  2838,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,  2839,   530,     0,
     532,  2840,   534,  2841,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,  2842,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,   659,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,   720,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,  4100,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,  4114,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   755,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   767,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   789,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   790,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   791,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     792,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   793,   486,
     487,   488,   489,   490,   491,   492,   493,   794,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   795,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   796,   539,     0,
       0,   797,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   798,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   820,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   896,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     906,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   924,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     991,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   997,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1014,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1017,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1019,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1055,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1119,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1121,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1131,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1134,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1137,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   789,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     792,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   793,   486,
     487,   488,   489,   490,   491,   492,   493,   794,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,  1315,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   796,   539,     0,
       0,   797,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   798,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1753,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1791,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1793,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1864,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1866,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1868,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,  1969,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,  2146,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
       0,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     789,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   792,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   793,   486,   487,   488,   489,   490,   491,
     492,   493,   794,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,  1315,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,  2180,   533,   534,   535,   536,
       0,   537,   796,   539,     0,     0,   797,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   798,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   789,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     792,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   793,   486,
     487,   488,   489,   490,   491,   492,   493,  2257,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,  2258,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   796,   539,     0,
       0,  2259,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   798,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     789,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   792,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   793,   486,   487,   488,   489,   490,   491,
     492,   493,  2336,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,  2258,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   796,   539,     0,     0,  2259,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   798,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   789,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     792,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   793,   486,
     487,   488,   489,   490,   491,   492,   493,  2353,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,  2258,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   796,   539,     0,
       0,  2259,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   798,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    2555,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  2559,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    2631,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  2957,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     789,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   792,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   793,   486,   487,   488,   489,   490,   491,
     492,   493,   794,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,  2258,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   796,   539,     0,     0,  2259,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   798,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  3026,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    3041,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  3043,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    3186,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,  3222,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    4373,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,     0,  1058,   250,  1059,  1060,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,  1061,  1062,   263,
       0,   264,   265,   266,   267,     0,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,  1063,  1064,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
       0,   326,   327,   328,     0,     0,   330,     0,   331,   332,
    1066,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,     0,     0,     0,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,  2153,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,  2154,   368,   369,   370,   371,  1068,  1069,     0,
    1070,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,     0,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,  1072,   412,   413,   414,     0,     0,   416,
     417,   418,   419,     0,     0,   421,  1073,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,  2156,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1074,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  2157,   508,   509,   510,   511,   512,  1076,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1077,  1078,     0,
       0,   540,   541,     0,   543,     0,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,     0,  1079,
    2158,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   588,
     589,   590,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,     0,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,     0,  1058,   250,
    1059,  1060,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,  1061,  1062,   263,     0,   264,   265,   266,
     267,     0,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,  1063,
    1064,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,     0,   326,   327,   328,
       0,     0,   330,     0,   331,   332,  1066,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,     0,     0,     0,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,     0,   368,
     369,   370,   371,  1068,  1069,     0,  1070,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,     0,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1071,   410,  1072,
     412,   413,   414,     0,     0,   416,   417,   418,   419,  2253,
       0,   421,  1073,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,     0,   434,
     435,   436,     0,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1074,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,  2157,   508,
     509,   510,   511,   512,  1076,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,     0,
       0,   528,   529,  3937,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1077,  1078,     0,     0,   540,   541,     0,
     543,     0,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,     0,  1079,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   588,   589,   590,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,     0,  1058,
     250,  1059,  1060,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,  1061,  1062,   263,     0,   264,   265,
     266,   267,     0,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
    1063,  1064,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1066,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,     0,
     368,   369,   370,   371,  1068,  1069,     0,  1070,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1071,   410,
    1072,   412,   413,   414,  2325,     0,   416,   417,   418,   419,
       0,     0,   421,  1073,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,     0,   450,     0,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1074,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,  1075,
     508,   509,   510,   511,   512,  1076,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1077,  1078,     0,     0,   540,   541,
       0,   543,     0,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,     0,  1079,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   588,   589,   590,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,     0,
    1058,   250,  1059,  1060,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,  1061,  1062,   263,     0,   264,
     265,   266,   267,     0,     0,   269,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,     0,     0,
       0,   289,     0,     0,     0,   290,   291,   292,   293,   294,
     295,  1063,  1064,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,     0,   326,
     327,   328,     0,     0,   330,     0,   331,   332,  1066,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,     0,     0,     0,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
       0,   368,   369,   370,   371,  1068,  1069,     0,  1070,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,     0,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,  1072,   412,   413,   414,  3744,     0,   416,   417,   418,
     419,     0,     0,   421,  1073,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
       0,   434,   435,   436,     0,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1074,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
    1075,   508,   509,   510,   511,   512,  1076,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,     0,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1077,  1078,     0,     0,   540,
     541,     0,   543,     0,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,     0,  1079,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   588,   589,   590,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1058,   250,  1059,  1060,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1061,  1062,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1063,  1064,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1066,
     334,  5282,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,     0,   368,   369,   370,   371,  1068,  1069,     0,  1070,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1071,   410,  1072,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1073,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,     0,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,     0,   450,
       0,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1074,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,  1075,   508,   509,   510,   511,   512,  1076,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1077,  1078,     0,     0,
     540,   541,     0,   543,     0,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,     0,  1079,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   588,   589,
     590,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,     0,  1058,   250,  1059,  1060,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,  1061,  1062,   263,
       0,   264,   265,   266,   267,     0,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,  1063,  1064,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
       0,   326,   327,   328,     0,     0,   330,     0,   331,   332,
    1066,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,     0,     0,     0,   346,   347,
       0,   348,   349,   350,   351,  1067,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,     0,   368,   369,   370,   371,  1068,  1069,     0,
    1070,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,     0,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,  1072,   412,   413,   414,     0,     0,   416,
     417,   418,   419,     0,     0,   421,  1073,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,     0,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1074,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  1075,   508,   509,   510,   511,   512,  1076,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1077,  1078,     0,
       0,   540,   541,     0,   543,     0,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,     0,  1079,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   588,
     589,   590,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1058,   250,  1059,  1060,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1061,  1062,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1063,  1064,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1066,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,  1125,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,     0,   368,   369,   370,   371,  1068,  1069,
       0,  1070,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1071,   410,  1072,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1073,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,     0,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
       0,   450,     0,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1074,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,  1075,   508,   509,   510,   511,   512,  1076,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1077,  1078,
       0,     0,   540,   541,     0,   543,     0,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,     0,
    1079,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,  1057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     588,   589,   590,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,     0,  1058,   250,  1059,  1060,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,  1061,
    1062,   263,     0,   264,   265,   266,   267,     0,     0,   269,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,     0,     0,     0,   289,     0,     0,     0,   290,
     291,   292,   293,   294,   295,  1063,  1064,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,     0,   326,   327,   328,     0,     0,   330,     0,
     331,   332,  1066,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,     0,     0,     0,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,     0,   368,   369,   370,   371,  1068,
    1069,     0,  1070,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,     0,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,  1072,   412,   413,   414,     0,
       0,   416,   417,   418,   419,     0,     0,   421,  1073,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,     0,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1074,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  1075,   508,   509,   510,   511,   512,
    1076,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1077,
    1078,     0,     0,   540,   541,     0,   543,     0,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
       0,  1079,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   588,   589,   590,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1058,   250,  1059,  1060,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
    1061,  1062,   263,     0,   264,   265,   266,   267,     0,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,  1063,  1064,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1066,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,     0,   368,   369,   370,   371,
    1068,  1069,     0,  1070,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1071,   410,  1072,   412,   413,   414,
       0,     0,   416,   417,   418,   419,     0,     0,   421,  1073,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,     0,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,     0,   450,     0,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1074,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,  2157,   508,   509,   510,   511,
     512,  1076,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1077,  1078,     0,     0,   540,   541,     0,   543,     0,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,     0,  1079,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,  1057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   588,   589,   590,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,     0,  1058,   250,  1059,  1060,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,  1061,  1062,   263,     0,   264,   265,   266,   267,     0,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,  1063,  1064,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,     0,   326,   327,   328,     0,     0,
     330,     0,   331,   332,  1066,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,     0,
       0,     0,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,     0,   368,   369,   370,
     371,  1068,  1069,     0,  1070,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,     0,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,  1072,   412,   413,
     414,     0,     0,   416,   417,   418,   419,     0,     0,   421,
    1073,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,     0,   434,   435,   436,
       0,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1074,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,   508,   509,   510,
     511,   512,  1076,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,     0,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1077,  1078,     0,     0,   540,   541,     0,   543,     0,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,     0,  1079,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   588,   589,   590,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,     0,   250,     0,
       0,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,     0,     0,   263,     0,   264,   265,   266,   267,
       0,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,     0,     0,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,     0,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,     0,   368,   369,
     370,   371,     0,     0,     0,     0,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,   410,     0,   412,
     413,   414,     0,     0,   416,   417,   418,   419,     0,     0,
     421,     0,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,     0,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,     0,   450,     0,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,   508,   509,
     510,   511,   512,     0,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,     0,     0,     0,     0,   540,   541,     0,   543,
       0,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,     0,     0,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,  4938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   588,   589,   590,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,     0,     0,   263,     0,   264,   265,   266,
     267,     0,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,     0,   326,   327,   328,
       0,     0,   330,     0,   331,   332,     0,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,     0,     0,     0,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   368,
     369,   370,   371,     0,     0,     0,     0,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,     0,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,     0,
     412,   413,   414,     0,     0,   416,   417,     0,   419,     0,
       0,   421,     0,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,     0,     0,
     435,     0,     0,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,   508,
     509,     0,   511,   512,     0,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,     0,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,     0,     0,     0,     0,   540,   541,     0,
     543,     0,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,     0,     0,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   588,   589,   590
};

static const yytype_int16 yycheck[] =
{
       6,    44,   204,     0,   907,   627,  1147,     8,   788,    51,
       0,  1546,     0,    36,    15,     0,   660,    23,   790,    25,
     182,     0,   938,    29,    21,  1075,   923,   908,    34,    35,
      36,  1105,    38,   848,   932,    41,    42,  1421,    44,    22,
      46,   740,   741,   742,   199,    28,   839,   746,  2495,  1465,
    1458,   812,   207,   190,   702,   210,   204,    13,  1169,  2564,
    1020,  2849,  1063,  1064,   708,  1705,   813,  1787,  2690,    45,
     797,  2386,  1073,  1078,  1200,  3636,  3030,  2898,   934,    23,
    2508,  1465,   936,  3344,   618,  1609,  3347,  1009,  3319,  2324,
       6,  3591,    36,  2161,  2162,    18,  3003,   994,  3300,   860,
      21,   998,   660,  1025,   209,  2666,  1003,  1471,  1482,  3057,
    1975,  3059,     0,  2407,  3537,  3566,  1013,  3246,   223,  3254,
    2907,  3688,  3265,   707,  3926,  3254,   697,  3911,  4168,  3331,
    1027,   169,  1958,  2872,   874,  3632,   670,  2451,  2063,  2453,
    3572,   682,  4560,  2457,   685,  2459,  2460,   184,   684,   793,
    4509,  4400,  3929,  3872,  2468,  2469,  2470,  3916,    35,   184,
    1800,  4403,   698,  2019,  1450,    42,  1399,  2781,    50,     0,
    1890,   836,  2126,  2096,     0,   218,     0,  4354,     0,     0,
     941,  2104,    41,  3636,   190,   191,   192,   193,  4666,   195,
       0,     0,     0,   199,  2846,   201,  3915,     0,   204,     0,
    2128,   207,  1576,  1577,   210,  4580,  1570,   213,     0,   215,
    3317,     0,   218,  2917,  4707,  4719,   222,  3500,   224,  1061,
    1062,   836,  3612,  1509,   858,  4402,     0,     0,  1229,  1230,
    1072,  4525,     9,  4527,     0,   793,    35,  3571,    49,  3573,
    1526,    57,    11,     9,    22,  4620,  2898,     0,  1249,     0,
       5,    57,     0,     5,  1259,  1996,     9,    11,    26,     5,
      26,    13,    14,  2498,   898,     5,     5,     5,  4854,   903,
       5,    40,     5,    26,     5,   907,     5,    39,     5,  1094,
      13,    14,  4915,   915,    13,    14,   158,   986,    74,    87,
    1413,  1607,  1608,   925,     5,    39,     5,  2911,     5,  3005,
       5,    42,     5,    72,     5,   112,   138,    22,   163,    74,
    4819,  4820,   163,     3,     4,     5,     4,     5,     4,     9,
     187,     9,    79,     9,    74,   105,   207,   163,   267,    57,
     112,    26,   187,     4,     5,     9,   163,  4652,     9,   144,
      42,  3993,  3994,   269,  3996,  3997,  3998,  3999,  4000,   117,
      70,   289,   270,   131,  4627,  4628,   289,    27,   252,   252,
     255,   275,    26,     5,   325,   144,   112,   308,   117,    33,
      11,  2606,   339,  2608,    24,   107,  1218,  1219,    32,   270,
      57,   315,   131,  5267,   165,   357,     4,   258,    57,   163,
     163,     9,   114,   153,   240,    45,   383,   163,   158,    40,
     819,    11,   395,  1245,   165,  1365,   116,  1147,   155,    11,
     163,    74,   163,   187,   187,   163,   131,   163,     3,    91,
     339,   187,   112,  1339,    84,    57,   343,    11,   397,  1327,
       3,    72,     5,   201,   187,   143,   187,    43,   327,   187,
    1510,   463,   382,     4,  4555,    30,    31,   179,     9,    72,
    4943,  4562,   112,    86,   476,   428,    40,  1527,   114,    65,
    4709,  4836,    72,   151,   383,   225,  4708,   356,   723,   724,
     725,   440,   254,   728,   729,   730,   437,   417,   310,   627,
     151,   189,  1532,   738,  5117,   478,  1130,   474,    72,  4783,
      66,   145,   363,    26,    57,   128,   430,   169,   208,   460,
      33,   347,   474,  1147,   251,    26,   266,   474,   240,    11,
     271,   243,    33,   329,    57,    74,   206,   478,  1279,    74,
     625,   416,   170,   329,   305,    84,   631,  5411,   422,    84,
     328,   679,   202,   474,   107,   474,   474,   259,   228,   644,
      57,   474,   163,   163,  1460,  1399,  1307,   267,   474,   298,
     238,   442,   202,   241,   359,   211,   474,   474,  3264,   395,
    1204,   343,   163,   456,   478,  1149,   142,  4882,   395,   163,
     285,   259,  1130,   215,    29,   164,  1112,   162,   356,   164,
     359,   349,   437,    84,   160,  1325,   114,   133,   259,  3724,
    1330,  1331,   163,  1515,   254,  3724,  5014,   478,   254,   605,
     119,   329,   474,   383,   117,   611,   179,   613,   323,   395,
     616,   478,   618,   610,   620,   347,   163,  5203,   380,  3748,
     610,   627,   610,  1746,    26,   610,   632,   478,   634,    11,
     395,   610,  5125,   373,   374,   641,   380,  5115,   416,  1175,
    1562,   356,   474,  4066,  1541,   395,  1204,  1544,   416,   395,
    1186,   408,   329,  4104,   395,   311,   463,  4108,    40,   665,
     329,  4093,   478,   474,   670,  1201,   708,   240,  5177,   675,
     243,  1552,   478,   679,   712,   474,   682,   839,  1322,   685,
     478,  3883,   423,   606,   439,  3639,  1330,  1331,   383,   427,
      72,  4933,  5325,  4942,  3925,   701,   473,   329,  1438,   465,
     466,   470,   366,   477,   477,   460,  1354,  1605,  1448,   752,
     707,   477,   465,   466,   402,  2950,   470,   463,  1383,   474,
    1139,   423,   474,   455,   477,   301,   477,  4010,   439,   477,
     476,   402,   395,   472,   735,   474,   474,   476,   721,   474,
     723,   474,   725,   474,  2060,   474,   752,   474,   731,   460,
     706,  1607,  1608,  1609,  5247,  5259,   958,  4147,  4092,   765,
    4094,   767,  3905,   474,  1322,   474,   329,   474,  1383,   474,
     813,   474,  4812,   474,   347,   465,   466,   465,   466,   465,
     466,   787,   788,  5056,   790,   791,   329,   708,    22,   795,
     827,   465,   466,  1533,   465,   466,  1536,  1537,  4450,   954,
     843,   478,   827,   809,  1436,   960,   943,   813,   963,   478,
     958,  5186,   329,   819,   857,   163,  1738,  1928,    57,   437,
    1894,  1614,   478,  1457,  5199,   831,   467,   468,   469,   470,
     478,  4398,   829,   366,  3149,   411,   395,   843,  5331,   829,
     395,   829,   460,   428,   829,   366,   478,   465,   466,   472,
     829,   857,  2920,   476,  2922,  1856,  2272,   478,   478,  1278,
    5154,  1935,  3969,  3291,  1496,   467,   468,   469,   470,   875,
    5119,   326,  1946,   106,   880,   881,  1510,   478,  2242,  5121,
     474,  1503,   455,  1375,   339,   474,   341,   433,  3842,  1743,
      20,   293,   420,  1527,   395,  1150,   817,   131,  1153,   418,
    1155,  5394,  1157,   416,  1159,   911,   912,   478,  1163,   175,
      29,  3563,  3226,    81,  3566,   478,  2440,  5335,  5336,   269,
    3624,  5098,  3829,  2877,   163,  5300,   120,   474,   934,   935,
     105,    57,   791,     3,    47,   478,   795,   943,   820,  2862,
    2173,   829,   275,  5120,     5,   400,   175,  5425,   954,   351,
    2878,     5,   958,    36,   960,   123,  2320,   963,   191,   145,
     107,   478,   850,   465,   466,   467,   468,   469,   470,   160,
    1389,   105,   978,   105,    38,   116,  2262,  1717,   395,  4698,
      26,   112,   105,  2908,  3636,   387,   252,   389,   141,  1831,
    1832,     5,  3227,  3228,  1000,  4556,  3610,  2853,   829,     3,
    5249,  1007,  1008,   829,  5363,   829,  5248,   829,   829,  3748,
    2751,  2752,  2547,    83,   144,  2756,  4660,  5435,    81,   829,
     829,   829,    35,  1029,  1030,  1031,   829,  1033,   829,  1035,
    1036,   179,   179,   164,   911,   912,    34,   829,   121,  2865,
     829,    54,  3949,  4466,    66,  2186,   117,   395,   187,     5,
     117,   285,  2793,  2794,  4507,   303,    22,    26,  1974,   164,
     123,   478,    84,  4514,  4593,   383,   136,   208,  4519,   182,
      81,  4522,   225,  3894,   187,     5,    92,   252,  4510,    83,
     126,  5330,   105,   465,   466,   467,   468,   469,   470,   323,
    4543,   104,   240,   240,    81,   105,   243,  1796,   339,  1105,
    2016,  1107,  1108,  4556,   343,    58,  4635,  2157,    77,   334,
     343,   224,   123,    66,   112,   463,    85,  1040,   174,   287,
     142,   185,   356,   193,   255,   284,   252,   172,   476,   323,
     201,   135,   117,  1139,   201,    22,   123,     3,   160,  4941,
    4899,    30,    31,   158,   113,   478,  2062,  4931,   164,   382,
     383,  1152,  1149,  1154,  2562,  1156,   422,  1158,  4419,  1160,
    1161,  1162,  4393,  1169,  1170,   131,  1167,   157,  1174,   356,
    1176,  1943,  1944,  2027,  4951,   416,  4935,   190,  3246,  4898,
    4824,   197,   356,   288,   323,  4387,  3254,   421,   327,    81,
     429,  1197,   417,   422,  1200,   285,   212,  1203,   259,   347,
     347,   141,    91,   329,  2060,   259,   222,   326,  4162,   339,
    1216,   180,   264,  5253,  5254,  4934,   201,   356,    95,   353,
     388,   291,   111,   192,   287,   238,   474,   231,   241,   359,
     356,   123,   248,   323,    49,     8,  1278,   289,    11,   252,
    1246,   474,  3894,   275,   131,   259,   112,   433,   361,  1897,
     112,   383,  2013,   269,   310,  4203,   145,   362,     3,  1830,
     383,  1905,   159,    26,   237,   205,  4719,    40,  1274,  1275,
    1276,   284,  1278,  3341,    47,   228,   287,   275,    23,   301,
     165,   285,   349,   234,   340,  1819,  1934,   418,   103,   334,
    1938,   478,  1298,   153,  1942,   172,   193,  1945,   437,    72,
     287,   356,   323,    22,   478,  2161,   296,   273,   455,    28,
     325,  1349,   214,  4810,   114,   328,  1887,   333,  1859,  2173,
    1904,   460,  4745,   106,  5126,   388,  1862,   474,  4779,   259,
    1336,  1368,  1369,  1874,  1371,   275,  1877,   350,    83,   409,
    1876,   428,  1385,  1368,  1369,   416,  1371,   417,    22,   416,
     420,     0,  2348,  1889,    28,  1503,  5396,   370,  4145,   145,
     383,   327,   328,   126,  1370,   225,   139,  2139,  1374,  1375,
    4937,  5015,  1994,   383,   395,   252,  5020,   388,    22,  1385,
    1386,  1387,   386,  1389,   388,   200,   271,   474,   254,   411,
     356,   136,   343,   259,   104,   287,  1937,   259,   285,  1940,
    1941,   388,   418,   372,  1410,  1824,   375,   285,   191,   182,
     284,   211,   131,   264,   187,  4838,   264,   115,   403,   114,
    4843,  4844,   474,   478,   300,   269,  2422,  3988,    22,    91,
     319,   416,   397,  3938,    28,   386,   323,   252,   289,  1445,
     168,   289,   187,   475,  1450,   323,   478,  5008,   193,   111,
    2304,   224,  4104,  5255,   254,  2358,  4108,   131,  1464,  1465,
     349,  4596,   475,   414,   284,   463,  4697,  4596,  1474,   356,
     410,  1477,   112,   112,   472,  2329,   474,   475,   476,   284,
     478,  2403,   356,   145,   115,   183,   437,   131,   439,   168,
     375,   124,   311,   474,   383,   112,   388,  1503,   271,  1505,
     228,   134,  3816,  1509,  1996,   324,  3820,  3821,   478,  3823,
    1433,   311,  2004,   395,   213,   392,   211,  5017,  5018,   158,
    1526,   397,  1528,   474,  1567,  1531,  4979,  5329,   238,  2603,
     345,   241,   264,   352,  2388,   424,   356,   131,  5340,   428,
     180,  4684,  2186,   175,   165,  3860,   291,   285,   437,   228,
     275,   356,   183,   252,  1973,  5008,  1975,   289,   237,   254,
     343,  1567,  1981,   349,   440,   365,   285,   175,  1987,  1988,
    1989,   460,  1578,  1579,  1580,  1581,  1582,   234,  1997,  1998,
    3895,   463,  2504,  2002,  2440,   474,   323,  3452,   361,   334,
    1596,  2338,  2339,  5395,   476,  2342,   155,   383,  3133,   382,
     383,  1607,  1608,  1609,   323,  2527,  2528,  2529,  2530,   477,
    3904,   285,  3020,   168,   254,   323,   311,  2539,   356,   356,
     252,   346,  2362,   474,  2116,   126,   474,   128,   472,  1517,
    2370,  5433,   476,  2373,  1522,  2489,   381,   356,   424,  2271,
     285,  2434,  2435,  2436,   252,  2179,   165,     0,   356,   323,
     151,   437,   285,   285,  5456,   166,  3724,   319,   217,   387,
     359,   389,   115,    66,   409,   273,   283,   303,    21,  1871,
    5123,  3391,   417,   228,   460,   420,   254,  1814,   323,   198,
    3748,   259,   356,  3207,   305,   458,   414,   349,   474,  3213,
     323,   323,   465,   466,   467,   468,   469,   470,    51,  1705,
    4654,  1707,   300,  1591,   273,  1860,   328,  1595,   387,   112,
     389,   356,  4914,  1719,  1720,   400,   285,   416,  4949,    29,
     341,   383,  1870,  1871,   166,  3960,  2358,  3962,   341,   386,
     183,   309,   349,  2269,   356,   414,  1742,   153,  3479,  3480,
    3481,  3482,   474,    53,  3485,  3486,  3487,  3488,  3489,  3490,
    3491,  3492,  3493,  3494,   323,  1761,  2503,   414,   259,  2391,
     315,  1765,   424,   264,   167,   126,   383,   128,   315,  4912,
     418,  1777,  1778,  1779,  1780,   437,   341,   398,  5339,   339,
     437,   285,   439,   404,  1790,  1789,  4929,   400,   263,  3153,
     422,  1797,  2424,  5293,  1800,   306,    63,    64,   460,   397,
    3541,  3542,   339,   350,   341,  1811,  5259,   424,  1814,   225,
    2344,   371,   474,  1819,   422,   319,  3472,   474,  1824,   323,
     437,    92,  4444,  4966,  4731,   434,   474,   338,   126,   474,
     128,   184,   387,   153,   389,   400,   383,   158,   158,   430,
     351,   285,   440,   460,  2955,  3501,  1994,   327,   169,   145,
     266,   254,   356,  1859,  1860,  4507,   259,   474,  2557,   414,
     429,   163,  4514,   400,  1870,  1871,   187,  4519,  1874,   478,
    4522,  1877,  5133,   384,   114,   430,   356,  5438,   439,   323,
     346,  5334,  4830,   430,    74,   187,  5339,  5118,  1894,  1895,
     250,  4543,   215,   164,    84,  1901,   338,  1903,   301,   460,
     474,   402,   344,   264,  4556,   225,  4353,  1904,   268,   351,
    1953,   412,   356,  1914,   317,  1916,  2656,  1918,  2772,  1920,
     418,  1922,  1928,  2567,  2778,  1926,   197,  2928,  4550,  1935,
    4552,  1937,   213,     8,  1940,  1941,    11,  1943,  1944,  4727,
    1946,   212,   384,  1966,  4372,  4392,   266,  1953,  4183,  4184,
    3324,   222,   239,  3327,  1960,   195,   254,  5100,   104,  1965,
    1966,  1958,    84,  1969,   406,    40,   264,  1973,  1958,  1975,
    1958,   252,    47,  1958,  1980,  1981,   474,   248,  2622,  1958,
    4206,  1987,  1988,  1989,  1905,  5438,  4212,  1993,  1994,  1995,
    1996,  1997,  1998,  1999,  2000,   474,  2002,    72,  2004,  2005,
    3640,  4315,  2008,  4317,  4318,  2653,   285,  4321,   411,  2567,
      24,   332,   252,   159,   254,   315,   418,  2023,  2024,  2025,
    2026,  1965,   285,     4,  2030,  2031,  2228,  4342,     9,  2035,
     311,    45,  2038,   164,   158,  2041,  2042,  2043,  2044,  2045,
    2046,  2047,  2048,  2049,   323,  2051,   168,   193,   327,  1972,
     350,  2057,  2058,   349,  2060,  2848,  4963,   181,  1517,  5261,
     323,  2067,   333,  1522,  2622,   325,   197,  4719,  5022,   191,
      22,  2226,   474,   400,  2229,  2230,    28,   356,   359,    74,
    2228,   212,  2219,   383,   141,   285,   437,   383,   285,    84,
    2096,   222,   238,   356,  2100,   241,   153,  5240,  2104,  4920,
    2106,   158,   437,  2918,  2523,   141,   228,   182,   269,   460,
    2116,  3852,   187,   274,  2854,   400,   349,   153,   237,  2125,
    2126,   437,   158,   323,  2851,  3006,   323,  4779,   424,   437,
     430,   114,  1591,  2139,   473,   416,  1595,   346,   437,   478,
    2146,   437,  2148,   478,   460,  2592,  2593,  2594,   205,   224,
     383,  3032,   274,   387,  2144,   389,   356,  2576,   158,   356,
    3695,   473,   478,  2268,   460,  2188,   478,  2190,   225,   205,
     478,   439,   126,  2179,   128,   158,  2097,  2098,   474,   478,
    5323,   181,  2188,   237,  2190,   158,  3906,  2809,   141,   225,
       4,   424,   460,    88,  3305,     9,   271,   151,  2241,   191,
     153,  2207,   333,  2186,  3315,   158,   474,   472,   181,   266,
    2854,   476,   195,  2219,   437,  2221,  2222,   181,   275,  5007,
    2226,   239,  2228,  2229,  2230,  4870,  2232,  4872,  2234,  5183,
     266,  4876,  2238,  4878,  5436,  2241,   400,   460,   469,   275,
      80,   474,  2347,   474,   430,   476,  5389,   475,     5,  4564,
     478,   346,   205,   269,    11,   439,  2262,   610,   274,  2751,
    2752,   474,    19,   476,  2756,   387,  2272,   389,  4920,   252,
    3686,   254,   225,    53,  2280,  2281,   460,     9,   400,  4924,
      37,   472,  2288,   474,   215,   476,   361,   474,  3928,   411,
     474,  2297,   414,   898,   474,  2338,  2339,  2945,   903,  2342,
     254,  2793,  2794,   269,   469,   259,  3432,   478,  3672,   474,
     264,   476,  2318,   266,    13,    14,  2421,  2323,  2324,  3693,
     475,  3695,   275,   478,   343,  4639,   902,  4979,  2972,  3251,
     474,    83,  2338,  2339,  2753,    53,  2342,  3297,  2344,  2345,
    2764,  5295,  2766,  2767,   920,   475,  2765,   923,   478,   475,
     430,  3207,   478,   410,   707,   708,  5008,  3213,  3363,  3364,
       8,  3258,  2368,    11,  3728,  2371,   428,    15,    16,    17,
     475,    43,   124,   478,   410,  3007,   475,   475,  2797,   478,
     478,   475,   134,   458,   478,   475,  2392,  2393,   478,   457,
     465,   466,   467,   468,   469,   470,   472,   475,   474,  3253,
     478,  2407,   283,  2409,  2410,   475,  2942,  2943,   478,   475,
     475,   211,   478,   478,  2972,   472,  2835,   475,   475,   476,
     478,    66,   475,    30,    31,   478,  5380,    72,   475,   158,
     349,   478,  2438,  2439,  2440,   437,   476,   439,  2444,    84,
    4675,   339,   340,   475,  2450,  3299,   478,     8,   402,  4954,
      11,  3083,  2458,   475,   272,  2461,   478,   410,   412,   234,
    2503,  2467,   475,   475,   383,   478,   478,   112,   349,   114,
     387,  5123,   389,  2479,   827,  2481,   829,   475,   475,    40,
     478,   478,   475,   269,   475,   478,    47,   478,   475,  2495,
     475,   478,  2498,   478,  2500,   272,   475,  2503,  4813,   478,
     269,  2507,   383,  5291,  2510,   424,  3246,  4822,   339,   340,
     475,    72,     8,   478,  3254,    11,  2522,  2523,   437,    15,
      16,    17,   167,  3931,   339,   340,  3637,  3638,  4596,  3913,
     339,   340,   475,   285,  2540,   478,    32,   475,   395,   187,
     478,   460,   272,   424,  2550,  2700,  2552,   457,  2703,   475,
     195,  2706,   478,  2509,  5176,   474,   437,  2694,    43,  2549,
     475,   209,   474,   478,   476,  3101,   475,   319,   343,   478,
    2576,   323,   475,   475,     8,   478,   478,    11,   139,   460,
     457,    15,    16,    17,  3120,  3284,   475,   475,   475,   478,
     478,   478,   475,   474,   467,   478,   437,  2603,   439,  2605,
    2606,  2607,  2608,   162,   356,  3521,    40,  5259,   387,   254,
     389,   386,   211,    47,   259,  5403,  3260,   475,  3262,   477,
    3621,   182,     8,   271,    35,    11,   187,  5149,  5150,    15,
      16,    17,   475,   475,   478,   478,   478,  2643,    72,   414,
     475,   475,   475,    54,   478,   478,    32,   475,   475,   475,
     478,   478,   478,  4721,   475,   475,   301,   478,   478,   475,
    3514,  2809,   437,   224,   439,  5273,  5274,   475,   141,  3416,
     478,   475,   317,   475,   478,   474,   478,  5465,  2684,   387,
     153,   389,  5334,  4218,  3582,   158,   475,  5339,  2694,   478,
      53,   428,   475,   104,  2700,   478,  3340,  2703,   163,   474,
    2706,  3441,  3260,  3619,  3262,   475,   207,   474,   478,  2715,
     271,  2753,   475,   209,   474,   478,   475,  2723,   476,   478,
       8,  4462,  2728,    11,  2872,   441,   474,    15,    16,    17,
     475,   475,   205,   478,   478,   234,   437,   475,   439,  3275,
     478,  3277,   323,   474,    32,  2751,  2752,  2753,   182,   187,
    2756,   475,   225,   187,   478,  2797,   167,  3405,  2764,  2765,
    2766,  2767,   475,   146,   475,   478,   411,   478,   146,   475,
     475,  2777,   478,   478,  2780,   271,  2782,   475,   475,   190,
     478,   478,  3340,   474,   476,  4201,  5438,  2793,  2794,   269,
     224,  2797,  5239,   266,   187,   475,  1149,  3694,   478,   269,
     361,   475,   275,  2809,   478,  2811,   323,  2813,   475,  2815,
     475,   478,   477,   461,   462,   463,  3577,   465,   466,   467,
     468,   469,   470,   209,   833,   475,   835,   238,   478,  2835,
     241,   146,   475,  2839,   234,   478,   475,   271,   187,   478,
    2846,   252,   475,   475,   343,   478,   478,   475,   475,  3664,
     478,   478,   146,   269,   475,    35,  2862,   478,   475,  1212,
    2902,   478,   158,  2869,  2840,  2841,  2842,   475,  2865,  3723,
     478,  3725,   323,   284,    54,  2865,   146,  2865,  2884,  1232,
    2865,  4109,   223,  4111,   256,   271,  2865,   386,   475,   114,
     418,   478,  2898,  3747,   269,  3431,  2902,   458,   474,  2905,
     475,  2907,   239,   478,   465,   466,   467,   468,   469,   470,
    1263,   475,  3766,   475,   478,   414,   478,   328,   400,   475,
     263,   209,   478,  3804,   104,  1278,   430,   361,   475,  3826,
    2846,   478,   475,   475,   346,   478,   478,   410,   437,   350,
     439,   158,  2948,   343,  2950,   475,   215,   234,   478,  2955,
     475,   475,   475,   478,   478,   478,   475,    66,  2006,   370,
       0,  2009,   474,   254,     3,   461,   462,   463,    35,   465,
     466,   467,   468,   469,   470,   474,  2982,   349,  2984,  2985,
    2986,   254,  2898,   271,  3724,   441,   386,  3479,  3480,  3481,
    3482,   234,   269,  3485,  3486,  3487,  3488,  3489,  3490,  3491,
    3492,  3493,  3494,  4744,   158,   474,  4056,   254,  3748,    43,
     190,   383,    43,   254,   414,  1368,  1369,   405,  1371,  3812,
    3512,   254,    83,   285,   458,   430,   430,   461,   462,   463,
      80,   465,   466,   467,   468,   469,   470,   437,   158,   439,
     304,   146,   146,   474,    83,   146,   427,   474,   297,  3541,
    3542,    91,   424,   474,   146,  3474,   343,    34,   238,   474,
     146,   241,   441,   146,   478,   437,   146,   146,   146,   146,
      35,   146,   252,   146,   474,   461,   462,   463,   146,   465,
     466,   467,   468,   469,   470,   269,   671,   158,   460,  3508,
     146,    56,   146,  3099,   146,   146,   135,   383,  3246,   386,
     343,   141,   474,   475,   284,   477,  3254,   474,    35,   223,
     158,   158,   697,   153,   269,   474,     5,     5,   158,   474,
     474,   158,   474,   163,   474,    90,   474,   414,   474,   169,
       8,     5,   172,    11,  3553,   474,   176,    15,    16,    17,
     474,     5,   474,   386,   474,   474,   474,   474,   328,   474,
     437,   474,   439,   474,    32,     5,     8,     5,    49,    11,
     474,   474,   474,   474,   234,   205,   474,   474,   474,   474,
     350,   414,   474,   461,   462,   463,   474,   465,   466,   467,
     468,   469,   470,   438,   149,   225,   281,   474,    40,   474,
     370,   207,   231,    35,   437,    47,   439,   478,   478,    95,
     223,  3207,    93,    35,   478,  4121,     8,  3213,   158,    11,
     158,   266,   356,    15,    16,    17,  3222,   395,   264,   184,
      72,  3227,  3228,   395,   343,  4141,   266,   118,   395,   269,
      32,   474,   429,   255,   256,   275,  3976,   395,    40,   476,
     343,  4982,   395,   395,   135,    47,   285,   343,   139,     8,
     215,  4362,    11,   225,   395,   220,    15,    16,    17,   395,
    3266,  3267,  3268,   463,   395,    84,   146,   343,   159,   269,
      72,   162,   269,   343,   348,   220,    35,  3283,   395,   395,
     259,   289,   395,   417,   323,   269,   177,   139,   327,   254,
     330,  3334,   386,   269,   339,     8,   264,   474,    11,  3305,
    3306,   180,    15,    16,    17,     8,   395,   395,    11,  3315,
    3316,  3317,    15,    16,    17,  3321,   386,   356,   474,  4703,
      84,   286,  3970,  3971,  3972,  3973,  3974,   349,  3334,   478,
     182,   209,   285,   187,   146,   187,   418,   418,   395,   269,
    3330,  3877,  3878,   383,   414,     8,   395,   386,    11,   388,
     383,   395,    15,    16,    17,   383,  4136,   395,   106,   395,
    3852,   383,   327,  3353,   269,   950,   331,   437,   259,   439,
     410,   395,   224,  3416,   395,   340,   267,   395,   395,    53,
     182,   395,    53,   348,   395,   187,   245,  3549,   395,  3395,
     975,   356,   395,   271,   434,   308,   436,   437,   437,   395,
     273,   395,   424,   368,   474,   990,   343,   209,   210,   395,
    3416,   376,   395,   386,   289,   437,    42,   234,   309,   271,
     289,     8,   224,    42,   395,   395,  3432,   343,    15,    16,
      17,   395,   472,   398,   395,   475,   476,   477,   460,   395,
     475,   209,   269,   234,   209,   269,   478,   209,  3454,   479,
     209,   441,   474,   209,   209,   257,   209,  3463,   269,   269,
     209,   395,   209,  3469,   405,  3471,   209,   432,  3474,   271,
    4210,   436,   274,  3479,  3480,  3481,  3482,   437,    35,  3485,
    3486,  3487,  3488,  3489,  3490,  3491,  3492,  3493,  3494,   234,
     146,    24,  3498,  3499,   474,   269,   209,   146,   112,   418,
     254,   437,  3508,   146,   146,  3547,  3512,  4129,   429,   361,
    3516,   146,   271,   231,   264,   254,   254,   269,  3524,   254,
      35,  3527,   158,  3529,  3566,   474,   343,    35,   215,   345,
     474,    34,  3538,   393,   472,  3541,  3542,   393,   395,   472,
    3546,  3547,   395,   474,   395,  3551,   209,  3553,   395,   146,
     146,  1904,   343,   418,  3560,  3561,  3562,  3563,   271,   361,
    3566,  3567,  4418,   146,     0,  3571,  3572,  3573,   271,   386,
     146,   146,  3578,   418,   263,   395,  3724,   258,   163,  3555,
    3556,  3557,  3558,   461,   462,   463,   245,   465,   466,   467,
     468,   469,   470,   433,   245,   386,  3602,   414,   343,  1184,
    3748,    11,   474,   393,  4096,  1958,   458,   478,   271,   395,
    3616,   474,  3618,   465,   466,   467,   468,   469,   470,   474,
     437,   172,   439,   414,  4043,  5366,  5367,   154,   163,   478,
    3636,  3637,  3638,   180,  3640,   180,  4284,  4285,   475,  4287,
     397,   386,   205,   474,  4343,   478,   437,  3563,   439,   359,
    3566,  3657,  3658,  3659,  3660,    91,   458,   474,   213,   461,
     462,   463,  4198,   465,   466,   467,   468,   469,   470,   414,
     270,   478,   418,    35,   278,    53,   478,   475,   343,  2032,
    3686,   474,   418,   474,   271,   213,   259,  5222,   213,   259,
     395,   395,   437,   395,   439,   239,   474,   430,   346,  3705,
     400,   158,   461,   462,   463,   141,   465,   466,   467,   468,
     469,   470,  4823,   215,   148,   269,   259,   153,    43,   365,
    3636,   148,   158,   254,   223,   223,  4867,   163,   223,   474,
     339,   267,   386,   169,   395,   269,   172,   478,   181,  4275,
     176,   148,   148,   269,   323,   353,   311,   475,   461,   462,
     463,  4648,   465,   466,   467,   468,   469,   470,   461,   462,
     463,   395,   465,   466,   467,   468,   469,   470,   395,   205,
     275,    35,  3755,   418,   209,   215,   267,   418,   307,   191,
     463,   463,   146,   264,  4858,   158,  4860,    35,   160,   225,
    4644,  2144,   430,   384,  3800,   308,   264,   474,   461,   462,
     463,   353,   465,   466,   467,   468,   469,   470,   146,   146,
     474,   146,   264,     8,   437,   254,    11,    35,   269,   269,
      15,    16,    17,   254,   215,   178,   178,   158,    35,     8,
     266,   475,    11,   269,  4370,   472,   457,    32,  3844,   275,
     457,   347,  3848,   475,  3850,    40,  3852,   475,   243,   215,
     475,   475,    47,  3859,   158,   269,  4596,   353,   254,  3865,
     187,    40,   478,   187,   187,   187,   187,   478,    47,  3875,
     441,   478,    23,   170,   461,   462,   463,    72,   465,   466,
     467,   468,   469,   470,  3890,   395,   474,   163,  3894,   437,
     269,   242,   478,    72,   330,    53,   400,   383,  3904,   215,
     263,  4673,   163,   475,   281,   474,   430,  3913,   475,   475,
     478,   475,   163,   475,  1499,   475,   475,   475,  3924,   475,
     290,   474,  3928,  5064,   395,   475,  3932,  3933,   270,   475,
     280,   270,   474,  3923,   457,  4557,   474,   474,   459,   416,
     434,   233,   474,   269,   434,   424,   463,   383,    53,   269,
     191,   269,   474,   272,  3960,   474,  3962,   146,  4377,   441,
     139,  5072,  5073,  3969,   199,   395,   395,   200,   259,   395,
    4462,  4764,   395,   254,   410,   146,   209,   273,  3894,  4471,
     356,  4129,   146,   348,   146,  4607,   223,   182,   348,   348,
     223,   191,   187,   148,   463,   395,  4002,   418,   434,   225,
     436,   437,   478,   182,   291,   291,   415,  4013,   187,   395,
     395,   395,   395,   235,   209,   210,   235,   269,   235,   146,
     395,   395,   254,   356,   395,    42,   343,   395,   343,   224,
     343,   343,   473,   475,   395,   209,   472,  4043,   395,   475,
     476,   477,   475,   475,   209,   224,   395,  4053,  4054,   395,
     395,   395,   209,   209,  4060,  4061,   175,     3,   475,  4065,
     475,  4597,   257,     3,  4070,   478,   158,  4073,  4074,   405,
      43,   325,  4078,  4079,   105,   478,   271,   475,  4084,  4085,
    4086,  4087,  4088,   158,   474,   267,  4092,  4093,  4094,   269,
    4096,  4097,   271,     0,  4100,   475,    35,   146,  4104,  4955,
     395,   146,  4108,  5214,   158,   175,   473,   418,  4114,   418,
     146,   272,   343,   343,   343,   473,   343,   353,   343,   475,
     144,   144,   209,  4129,  4772,  1710,   209,  4867,   209,   209,
    4136,   478,   209,   209,  4140,  4783,   209,  4160,   209,  4145,
     472,   137,  1727,   163,    11,   281,   158,   429,  4138,  4139,
     478,   434,   163,   163,  4160,    56,   172,  4163,   270,    82,
     474,     8,   460,  1748,    11,   475,   361,   475,   475,  5310,
     475,   330,   475,   474,   423,   475,   478,  4183,  4184,   478,
     474,  5084,   361,   158,    91,   475,   475,    35,  4104,    90,
     405,   395,  4108,    40,   418,  4201,  2549,   418,   199,    53,
      47,   215,   386,   146,   474,   372,   167,   405,  5062,  4215,
     348,  4855,   395,   343,  4862,   343,   475,   395,   395,  1804,
     395,   323,  4205,  4867,   474,    72,   395,   437,   475,   475,
      53,  4214,   386,  1818,   141,   148,   424,   158,    72,   105,
     146,   475,   405,   209,   209,  1830,   153,   209,   149,   209,
     213,   158,  4744,   194,   474,   395,   163,  1842,  4264,   318,
     474,   269,   169,   458,   475,   172,   461,   462,   463,   176,
     465,   466,   467,   468,   469,   470,   478,  4769,    35,   458,
    4286,   441,   478,   184,   289,    78,   465,   466,   467,   468,
     469,   470,   139,   386,   405,  4301,   395,   478,   205,   475,
     353,  1886,  1887,   473,  5158,   478,   474,   169,   474,   105,
     163,   209,   163,   316,    53,   435,   212,   435,   225,   220,
    5019,   279,   475,   475,   474,  4331,   475,   281,   212,   475,
    4749,   478,   474,   385,   475,   182,    53,   474,   276,   474,
     187,  4347,  4990,   176,   264,   405,   463,  4353,   395,   163,
      72,   437,   188,   254,   193,   181,  4362,   259,    53,   266,
     259,   386,   269,   463,   478,   478,   395,    66,   275,     8,
    4789,  4377,    11,   395,   395,   146,   474,   224,     6,   475,
     209,   165,   163,   112,  4390,   286,  4392,    35,   418,   187,
     264,   418,   625,    35,  5016,   474,   353,   254,   631,  4389,
    2753,    40,   160,   158,   353,  4607,   264,    53,    47,  4557,
      35,   644,   163,   269,   158,   207,  4422,   474,   437,   437,
    5064,   196,   272,   330,   271,   163,   327,   316,   329,   423,
     331,   474,   474,    72,   369,   475,   475,  2022,   212,   340,
     289,   474,   474,   436,  2797,   127,   474,   348,  4596,   475,
      84,  4606,   269,   317,    35,   356,  4462,   146,   395,  4607,
     475,  2814,   395,   119,   158,  4471,    35,   368,   474,   259,
     474,   180,   474,   236,   474,   376,   383,  2830,   191,   474,
     353,   146,  4488,  4489,   474,   474,  4492,   474,   474,   105,
    4982,   475,   132,  2846,    35,  4650,   475,   433,   340,   340,
     139,  4507,   405,   410,  4510,   273,   367,   367,  4514,    53,
      53,   475,  2865,  4519,   361,    35,  4522,  4523,    75,  4525,
     180,  4527,   474,  4529,  4530,   478,   474,   434,   423,   436,
     437,   432,   474,   418,   386,  4536,   158,  4543,  5392,  4545,
     474,   386,   474,   182,   252,  2898,   474,     5,   187,  2902,
    4556,  4557,  4558,  4559,  4560,   269,   386,  4976,   475,   152,
     441,  5205,   190,   474,   474,   472,   145,    66,   475,   476,
     477,   199,   200,    66,  4993,   272,   127,   423,  4997,   207,
    4999,   209,   210,   316,   422,   224,   474,   474,   478,    35,
     356,  4507,   163,   437,   437,   223,   314,   386,  4514,  5453,
    4606,  4607,   259,  4519,   132,   193,  4522,   269,   269,   474,
     353,   458,    35,    35,   272,  5469,   188,   272,   465,   466,
     467,   468,   469,   470,   434,   165,   165,  4543,    53,   339,
     395,   117,   271,   416,   474,     5,   339,    22,  2223,   474,
    4556,   478,   353,    28,  4650,   142,   474,  4653,   475,   276,
     475,   475,  2237,   324,   474,     6,    41,    21,   474,  4665,
     478,   474,  4668,   478,    32,  5157,  5310,  4673,   259,  4675,
     474,     8,   145,   163,    11,  4718,  4682,   277,    15,    16,
      17,    75,   367,   395,   367,    70,   339,  4677,   437,   437,
     165,   165,  2277,  4699,   474,    32,   829,  4703,  1331,  1594,
    2507,  2854,   911,    40,   912,  2391,  3032,  2313,  3697,  5205,
      47,  4717,  4718,  4719,  3723,  5383,  5201,  3244,   866,  3828,
       8,  2416,   361,    11,  4880,  5062,  4716,    15,    16,    17,
    5310,  3875,  4703,  4333,  2949,    72,  4672,   122,  4744,   124,
    5182,  4747,  2643,  4749,    32,  5297,   131,  4789,  5092,   134,
    5091,  5224,    40,  5334,  4556,  2953,  3908,  3924,  5026,    47,
    3866,  3718,  3295,  4769,  2492,  2492,  3058,  3891,  4371,  4775,
    4679,  2486,  3307,  4779,   159,  4688,   908,  4783,  5469,  5312,
    5453,  4665,  3253,  4789,    72,  5277,  3248,  5237,  4841,  4609,
    1756,  5035,  4798,  4612,    28,  1176,  3979,  4809,  1187,  5400,
    1802,  2162,  3931,  4719,  2927,  1811,  4955,  1870,   193,   695,
    1961,  1961,  3185,  3747,  1962,  4821,   988,  4823,  3299,   458,
    3766,  5264,  5441,   808,  1417,  2097,   465,   466,   467,   468,
     469,   470,  4140,  1905,  2105,  4539,  5175,  3616,  2106,   190,
     661,  1353,  4848,  1308,  2869,   182,  2884,  2142,   199,  2116,
     187,  3581,  4858,  4859,  4860,  4861,   207,  5167,  1378,   210,
    5001,  1377,  4126,  4779,  3566,  2141,  1380,   252,  5016,   254,
    4093,  3563,   209,   210,  5366,  5367,  4780,  4979,  4110,   264,
    4978,  3617,  3563,  5447,  1385,  5281,  5370,   224,   273,  1835,
    4896,  5157,  3516,  4747,   182,  2480,  4533,    35,  5170,   187,
     285,  5171,  2724,  2814,  2444,  2812,    -1,    -1,  2055,    -1,
      -1,  4917,  2058,    -1,  4920,    -1,    54,    -1,    -1,    -1,
     257,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    -1,   224,   274,   323,    -1,
    4930,   326,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,   105,    -1,   257,
    4976,   356,    -1,  4979,   112,    -1,  4982,  3330,    -1,    -1,
    4986,    -1,    -1,   271,    -1,   613,   274,  4993,    -1,    -1,
      -1,  4997,    -1,  4999,    -1,  5001,    -1,   625,    -1,    -1,
    3353,    -1,  5008,   631,  4920,    -1,    -1,    -1,  5014,    -1,
    5016,    -1,    -1,    -1,    -1,  5005,   644,    -1,    -1,    -1,
      -1,  5027,    -1,    -1,   361,    -1,    -1,    -1,    -1,   167,
      -1,    -1,   660,    -1,    -1,  5190,   421,   665,    -1,    -1,
      -1,    -1,    -1,   671,    -1,    -1,    -1,   675,   676,    -1,
      -1,    -1,   190,    -1,   682,    -1,   684,   685,    -1,    -1,
      -1,    -1,    -1,  4979,    -1,    -1,  5072,  5073,    -1,   697,
     698,    -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,
     708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5008,    -1,    -1,  2680,    -1,  5103,    -1,    -1,
     238,    -1,    -1,   241,  5110,    -1,    -1,    -1,  5114,    -1,
    5265,  5266,  2697,    -1,   252,    -1,   254,  5123,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,   463,  2712,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   478,  5148,  5149,  5150,    -1,   284,    -1,  5154,    -1,
      -1,  5157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   787,
     788,  5167,    -1,    -1,  5170,   793,    -1,    -1,    -1,  5175,
     458,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,  5190,    -1,    -1,   475,    -1,    -1,
     328,   819,    -1,    -1,  3547,    -1,    -1,    -1,    -1,    -1,
      -1,  5207,    -1,    -1,    -1,    -1,    -1,  5123,  5214,    -1,
    3563,    -1,   350,  3566,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,   370,  5239,   372,    -1,    -1,   375,  5244,    -1,
      -1,    -1,    -1,    32,  5250,    -1,    35,    -1,  5238,    -1,
      -1,    40,    -1,  5259,    -1,    -1,    -1,    -1,    47,  5265,
    5266,  5267,   613,    -1,    -1,    -1,    -1,  5264,    -1,    -1,
      -1,  5277,    -1,    -1,  5264,  5281,  5264,    -1,    -1,  5264,
      -1,    -1,    -1,    72,    -1,  5264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5302,    -1,    -1,    -1,
    5342,    -1,    -1,    -1,    -1,    -1,   934,   935,   936,    -1,
      -1,    -1,    -1,    -1,   665,   943,  5471,  5472,    -1,    -1,
      -1,    -1,   950,    -1,   675,    -1,   954,    -1,  5334,  5335,
    5336,   682,   960,  5339,   685,   963,   474,    -1,    -1,    -1,
      -1,    -1,    -1,  5259,    -1,  5342,    -1,   975,    -1,    -1,
      -1,    -1,  5342,    -1,  5342,    -1,    -1,  5342,    -1,  1592,
    5366,  5367,   990,  5342,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5378,    -1,    -1,    -1,    -1,    -1,    22,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,  2976,    -1,   182,    -1,    -1,    -1,    -1,   187,    -1,
      -1,    -1,    -1,    -1,    -1,  5411,    -1,  1035,  1036,    -1,
    2995,    -1,    -1,    -1,    -1,  5421,    -1,    -1,  5334,    -1,
     209,   210,    -1,  5339,    -1,    -1,    -1,    -1,    -1,  5435,
      -1,    -1,  5438,    -1,    -1,   224,    -1,    -1,    -1,    -1,
      -1,  5447,    -1,    -1,  5441,  5451,    -1,  1075,    -1,    -1,
      -1,  5441,    -1,  5441,    -1,    -1,  5441,    -1,    -1,    -1,
      -1,    -1,  5441,    -1,    -1,  5471,  5472,    -1,   257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,    -1,  1112,   274,    -1,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,  1130,    -1,    -1,    -1,  3091,    -1,  3093,    -1,
      -1,  1139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1147,
      -1,    -1,  5438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1767,    -1,    -1,    70,    -1,    -1,
      -1,  3894,  1775,     8,    -1,    -1,    11,  1175,    -1,    -1,
      15,    16,    17,    -1,  1787,    -1,  1184,    -1,  1186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
    3923,    -1,   361,  1201,    -1,    40,  1204,    -1,    -1,    -1,
      -1,    -1,    47,    -1,    -1,    25,    -1,   120,  1216,    -1,
      -1,   124,   943,    -1,    -1,    -1,    -1,  3182,   131,    -1,
      -1,   134,    -1,   954,    -1,    -1,    -1,    72,    -1,   960,
      -1,    -1,   963,    -1,    -1,    -1,    -1,    -1,  1246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,
    1863,    -1,    -1,    -1,    74,    -1,  3221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1274,  1275,  1276,    -1,
    1278,    -1,    -1,    -1,    -1,    -1,    -1,  1890,    -1,    -1,
     193,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,   458,
    1298,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,    -1,    -1,  1035,  1036,    -1,    -1,    -1,   129,
      -1,    -1,    -1,    -1,  1322,    -1,    -1,    -1,    -1,    -1,
     140,    -1,  1330,  1331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,   252,
     160,   254,   187,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,  3323,    -1,
     273,    -1,  1370,    -1,   209,   210,  1374,  1375,    -1,    -1,
      -1,  4104,   285,    -1,    -1,  4108,    -1,    -1,    -1,   224,
      -1,  1389,    -1,    -1,    -1,  1393,    -1,    -1,    -1,    -1,
    3355,  1399,    -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4138,  4139,    -1,    -1,    -1,
     323,    -1,   257,   326,   327,    -1,    -1,   237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    22,    -1,   356,    -1,    -1,    -1,    28,    -1,    -1,
    1458,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      41,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   304,   305,    -1,    -1,   308,    70,
      -1,  1499,  3457,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   421,    -1,
      -1,    -1,    -1,  3478,   334,    -1,   361,   337,    -1,    -1,
      -1,    -1,    -1,   343,  1532,    -1,    -1,    -1,    -1,    -1,
     350,    -1,    -1,    -1,    -1,    -1,    -1,  2150,  3503,   120,
      20,    -1,    -1,   124,    -1,    25,    -1,    -1,    -1,    -1,
     131,    -1,    -1,   134,    -1,  2168,    -1,    -1,   378,    -1,
      -1,  2174,    -1,   383,    -1,  2178,   386,    -1,    -1,    -1,
      -1,    -1,  3537,    -1,    -1,    -1,    -1,    -1,   159,    -1,
      60,    -1,    -1,    -1,  1592,   405,    -1,    -1,    -1,    -1,
      -1,  2204,    -1,    73,    -1,    -1,    -1,    -1,    -1,  1607,
    1608,  1609,    -1,    -1,   182,    -1,    -1,    -1,    88,   187,
     430,    -1,   193,   458,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
     475,   209,   210,    -1,    -1,    -1,    -1,  2250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,   129,
      -1,    -1,    -1,    -1,    -1,  2268,  4389,    -1,    -1,    -1,
     140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,   254,    -1,    -1,    -1,    -1,    -1,   257,
     160,    -1,    -1,   264,    -1,   165,    -1,    -1,  2301,    -1,
      -1,    -1,   273,   271,    -1,    -1,   274,   721,    -1,   723,
      -1,   725,  1710,    -1,   285,    -1,    -1,   731,   732,   733,
      -1,    -1,    -1,    -1,  2327,    -1,    -1,    -1,    -1,  1727,
      -1,  2334,    -1,    -1,    -1,    -1,    -1,  2340,  1736,    -1,
      -1,    -1,    -1,    -1,  2347,  1743,    -1,    -1,  2351,    -1,
    1748,    -1,   323,  2356,    -1,   326,   327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,  1767,
      -1,    -1,    -1,  2376,    -1,    -1,    -1,  1775,  2381,    -1,
      -1,    -1,  2385,    -1,    -1,   356,    -1,    -1,    -1,  1787,
      -1,  4514,    -1,   361,    -1,  2398,  4519,    -1,    -1,  4522,
      -1,   271,    -1,    -1,    -1,    -1,  1804,    -1,  2411,    -1,
      -1,    -1,    -1,  1811,    -1,    -1,  1814,    -1,  2421,    -1,
    1818,    -1,    -1,    -1,    -1,    -1,  1824,    -1,    -1,    -1,
      -1,    -1,  1830,    -1,   304,   305,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1842,    17,    -1,    -1,    -1,    -1,
     421,    -1,    -1,    -1,    26,    -1,    -1,    -1,    -1,    -1,
     874,  1859,  1860,    -1,  1862,  1863,    -1,   337,    -1,    -1,
      -1,    -1,    -1,   343,    -1,    -1,  1874,    -1,  1876,  1877,
     350,    -1,    -1,   353,    -1,    -1,    -1,    -1,  1886,  1887,
     458,  1889,  1890,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,    -1,   473,    -1,  1905,    -1,    -1,
      -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
     390,    -1,    -1,    -1,    -1,    -1,  3881,    -1,   398,    -1,
      -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,  1937,
      -1,    -1,  1940,  1941,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4677,    -1,    -1,    -1,    -1,    -1,
     430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1973,    -1,  1975,    -1,    -1,
      -1,    -1,  1980,  1981,    -1,    -1,    -1,    -1,    -1,  1987,
    1988,  1989,    -1,  4716,    -1,  1993,    -1,  1995,  1996,  1997,
    1998,  1999,  2000,    -1,  2002,    -1,  2004,  2005,    -1,    -1,
    2008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2022,  2023,  2024,  2025,  2026,  2027,
      -1,    -1,    -1,  2031,    -1,    -1,    -1,  2035,    -1,    -1,
    2038,    -1,    -1,  2041,  2042,  2043,  2044,  2045,  2046,  2047,
    2048,  2049,    -1,  2051,    -1,    -1,  4779,    -1,    -1,    -1,
    2058,  2664,  2060,    -1,    -1,    -1,  4789,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2682,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2690,    -1,    35,
    1811,    -1,    -1,  1814,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,  2100,    -1,    -1,    15,    16,    17,    -1,    -1,
      56,  4066,    -1,    -1,    -1,    -1,    -1,    -1,  2116,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,  2125,  2126,    -1,
      40,    -1,    -1,  1147,    -1,    -1,    -1,    47,  1859,  1860,
      -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2150,  1874,    -1,    -1,  1877,    -1,    -1,  2157,
      -1,    -1,    72,  2161,  2162,    -1,    -1,    -1,    -1,    -1,
    2168,    -1,    -1,    -1,    -1,  2173,  2174,    -1,    -1,    -1,
    2178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4920,    -1,    -1,
      -1,    -1,    -1,   149,    -1,    -1,  2204,  4930,    -1,  2207,
      -1,    -1,    -1,    -1,    -1,    -1,  1937,    -1,    -1,  1940,
    1941,  2219,    -1,    -1,    -1,  2223,  4181,    -1,  2226,    -1,
      -1,  2229,  2230,    -1,    -1,    -1,    -1,    -1,   184,  2237,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4220,    -1,    -1,    -1,   215,
    2268,  2269,   182,    -1,   220,    -1,    -1,   187,    -1,  2277,
      -1,    -1,  5005,    -1,    22,    -1,  4241,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
     210,    -1,  2300,  2301,    -1,    -1,  2304,    -1,   254,    -1,
      -1,  1325,    -1,    -1,   224,    -1,  1330,  1331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2327,
      -1,  2329,    70,    -1,    -1,    -1,  2334,    -1,    -1,    -1,
     286,    -1,  2340,    -1,    -1,    -1,    -1,   257,    -1,  2347,
      -1,  4306,    -1,  2351,    -1,    -1,    -1,    -1,  2356,    -1,
      -1,   271,    -1,    -1,   274,    -1,  2969,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2376,    -1,
      -1,   327,    -1,  2381,    -1,   331,   124,  2385,    -1,    -1,
    2388,    -1,    -1,   131,   340,    -1,   134,    -1,    -1,    -1,
    2398,    -1,   348,    -1,    -1,    -1,    -1,    -1,    22,    -1,
     356,    -1,    -1,  2411,    28,    -1,    -1,    -1,    -1,    -1,
      -1,   159,   368,  2421,  1438,    -1,    -1,    -1,    -1,    -1,
     376,    -1,    -1,    -1,  1448,   607,    -1,    -1,    -1,    -1,
    2438,  2439,  2440,    -1,    -1,    -1,  2444,    -1,    -1,    -1,
      -1,   361,   398,    -1,    -1,   193,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1490,  1491,  3081,    -1,
      -1,  2479,  2480,    -1,    -1,    -1,   432,    -1,   660,   661,
     436,  2489,    -1,    -1,    -1,    -1,    -1,    -1,  2219,    -1,
      -1,    -1,    -1,    -1,    -1,  2226,    -1,    -1,  2229,  2230,
     124,  4466,    -1,    -1,   252,  5238,   254,   131,    -1,  1533,
     134,    -1,  1536,  1537,    -1,  2523,   264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   273,    -1,    -1,    -1,    -1,
      -1,  5264,    -1,    -1,    -1,   159,    -1,   285,   458,    -1,
      -1,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,    -1,    -1,    -1,  2562,   475,    -1,    -1,    -1,  2567,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2576,   193,
      -1,    -1,    -1,   755,    -1,   323,    -1,    -1,   326,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   781,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   789,   356,  5342,
     792,   793,   794,    -1,  2622,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,
      -1,    -1,    -1,    -1,    -1,    -1,  2664,    -1,    -1,    -1,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2680,   421,  2682,    -1,    -1,    -1,    -1,    -1,
      -1,    22,  2690,    -1,    -1,    -1,  2694,    28,    -1,  2697,
      -1,    -1,  2700,  1717,    -1,  2703,    -1,    -1,  2706,   323,
      41,    -1,   326,   327,  2712,    -1,    -1,    -1,  5441,    -1,
      -1,    -1,    -1,    -1,    -1,  2723,    -1,    -1,    -1,    -1,
    2728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2751,  2752,  2753,    -1,    -1,  2756,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2764,  2765,  2766,  2767,
      -1,    -1,    -1,    -1,  2772,    -1,    -1,    -1,    -1,  2777,
    2778,    -1,  2780,    -1,  2782,    -1,    -1,    -1,  3391,    -1,
    4745,   122,    -1,   124,    -1,  2793,  2794,    -1,    -1,  2797,
     131,    -1,    -1,   134,    -1,    -1,  3409,   421,    -1,    -1,
      -1,    -1,    -1,  2811,  1828,  2813,    -1,  2815,    -1,    -1,
      -1,    -1,    -1,    -1,  1838,    -1,  1840,    -1,   159,    -1,
    4785,  3434,  1846,     8,    -1,    -1,    11,  2835,    -1,  1853,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,  2846,    -1,
      -1,    -1,     8,    -1,    -1,    11,  2854,    32,    -1,    15,
      16,    17,   193,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,  2869,    47,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      -1,    -1,    -1,  4838,    40,    -1,  2884,    -1,  4843,  4844,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,
    2898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,  2917,
      -1,   252,  2920,   254,  2922,    -1,    -1,    -1,    -1,  2927,
      -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   273,    -1,  2942,  2943,    -1,    -1,    -1,    -1,
    2948,    -1,    -1,    -1,   285,    -1,    -1,    -1,  1130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1983,
    1984,  2969,    -1,  2694,  2972,  1147,  1990,  1991,  2976,  2700,
      -1,    -1,  2703,    -1,    -1,  2706,    -1,    -1,    -1,    -1,
      -1,     8,   323,    -1,    11,   326,   327,  2995,    15,    16,
      17,  4956,    -1,    -1,  2018,    -1,    -1,   182,    -1,  1181,
      -1,    -1,   187,    -1,    -1,    32,    -1,    -1,    -1,    -1,
      -1,    -1,  3020,    40,    -1,   356,   182,    -1,    -1,    -1,
      47,   187,  1204,    -1,   209,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
      -1,    -1,    -1,   209,   210,    72,    -1,    -1,    -1,  3057,
    3058,  3059,    -1,    -1,  3667,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,  3081,    -1,    -1,    -1,    -1,    -1,    -1,
     421,    -1,    -1,  3091,    -1,  3093,   271,    -1,    -1,   274,
      -1,   257,    -1,  3101,    -1,    -1,    -1,    -1,  1280,    -1,
      -1,  2125,  2126,    -1,    -1,   271,    -1,  1289,   274,    -1,
      -1,    -1,  3120,    -1,    -1,  2846,    -1,    -1,    -1,    -1,
      -1,  1303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1322,    -1,    -1,  1325,  1326,    -1,    -1,    -1,  1330,  1331,
      -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,
     187,    -1,  2186,    -1,    -1,    -1,    -1,  2898,    -1,  3782,
      -1,    -1,  3785,    -1,  3182,    -1,   361,    -1,    -1,    -1,
      -1,    -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3202,   361,  5161,   224,    -1,  3207,
      -1,    -1,    -1,    -1,    -1,  3213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3246,    -1,
      -1,    -1,    -1,    -1,   271,  3253,  3254,   274,    -1,    -1,
      -1,    -1,  3260,    -1,  3262,    -1,  2280,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,  3277,
      -1,    -1,    -1,   458,  3887,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
     475,  3299,   458,  3906,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,   475,
      -1,    -1,    -1,    -1,    -1,  3323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3340,  3341,   361,    -1,    -1,  1052,  2362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2370,  3355,     8,  2373,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1080,  3979,    -1,  1550,    -1,
      -1,    -1,    32,    -1,  1556,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,  3391,    -1,  1100,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1110,    -1,    -1,    -1,  1114,
      -1,  3409,    -1,  1118,    -1,  1120,    -1,    -1,    -1,    -1,
      -1,  1126,    72,    -1,    -1,    -1,    -1,  1132,    -1,    -1,
    1135,    -1,    -1,  3431,    -1,    -1,  3434,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,  3454,    -1,   475,  3457,
      -1,    -1,    -1,    -1,    -1,  3463,    -1,    -1,    -1,    -1,
      -1,  3469,    -1,  3471,    -1,    -1,  3474,    -1,    -1,    -1,
    3478,  3479,  3480,  3481,  3482,    -1,    -1,  3485,  3486,  3487,
    3488,  3489,  3490,  3491,  3492,  3493,  3494,    -1,    -1,    -1,
    3498,  3499,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,
    3508,    -1,    -1,    -1,  3512,    -1,  3514,    -1,  3516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3524,    -1,    -1,  3527,
      -1,  3529,   182,    -1,    -1,    -1,    -1,   187,    -1,  3537,
    3538,    -1,    -1,  3541,  3542,    -1,    -1,    -1,  3546,  3547,
      -1,    -1,    -1,    -1,    -1,  3553,    -1,    -1,    -1,   209,
     210,    -1,    -1,    -1,    -1,  3563,    -1,    -1,  3566,    -1,
      -1,    -1,    -1,    -1,   224,  2589,  2590,    -1,    -1,    -1,
    3578,  2595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1770,    -1,
      -1,    -1,  1774,    -1,  3602,    -1,    -1,   257,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3618,   271,    -1,    -1,   274,    -1,  3624,    -1,    -1,    -1,
      -1,    -1,    -1,  4236,    -1,    -1,    -1,    -1,  3636,    -1,
      -1,    -1,  2656,    -1,    -1,  4248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,  3667,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    32,    -1,
      -1,    15,    16,    17,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    22,    -1,    -1,    -1,    32,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,   361,    -1,    47,    -1,    -1,    -1,    -1,    72,    -1,
    3718,    -1,    -1,    -1,    -1,  3723,  3724,  3725,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    72,    -1,
      11,    -1,    70,    -1,    15,    16,    17,    -1,    -1,  3747,
    3748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,  3766,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3782,    -1,    -1,  3785,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   124,    -1,    -1,    -1,
      -1,    72,    -1,   131,    -1,    -1,   134,    -1,   458,    -1,
      -1,   461,   462,   463,  1986,   465,   466,   467,   468,   469,
     470,    -1,    -1,    -1,    -1,   475,    -1,    -1,   182,    -1,
      -1,   159,    -1,   187,    -1,    -1,    -1,    -1,  2852,    -1,
    2854,  4444,  3563,    -1,    -1,  3566,    -1,    -1,   182,    -1,
      -1,    -1,    -1,   187,  3852,   209,   210,    -1,    -1,    -1,
      -1,    -1,  2876,  2877,    -1,   193,    -1,    -1,    -1,    -1,
     224,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,  3877,
    3878,    -1,    -1,  3881,    -1,    -1,    -1,    -1,    -1,  3887,
     224,    -1,    -1,    -1,    -1,    -1,  3894,    -1,    -1,    -1,
      -1,    -1,    -1,   257,    -1,  2077,    -1,    22,  3906,    -1,
      -1,   182,    -1,    28,    -1,  3636,   187,   271,    -1,    -1,
     274,    -1,    -1,   257,   252,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,  3931,  3932,  3933,   264,   271,   209,   210,
     274,    -1,    -1,    -1,    -1,   273,    -1,  4550,    -1,  4552,
      -1,    -1,    -1,   224,    -1,    70,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3979,    -1,    -1,    -1,    22,   257,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,   323,    -1,    -1,   326,   327,
     271,    -1,    -1,   274,  4002,    -1,    -1,   361,    -1,   124,
      -1,    -1,    -1,    -1,  2186,  4013,   131,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   361,   356,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   159,  4043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4053,  4054,    -1,  4056,    -1,
      -1,    -1,  4060,  4061,    -1,    -1,    -1,  4065,  4066,    -1,
      -1,    -1,  4070,    -1,    -1,  4073,  4074,    -1,   193,    -1,
    4078,    -1,    -1,    -1,    -1,  2257,  4084,   124,    -1,    -1,
     361,    -1,    -1,   421,   131,    -1,    -1,   134,  4096,    -1,
      -1,    -1,    -1,    -1,   458,    -1,  4104,   461,   462,   463,
    4108,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
      -1,   475,   159,    -1,   458,    -1,    -1,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   252,  4136,   254,
      -1,   475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,   273,    -1,
    1865,    -1,    -1,    -1,  2336,  4163,    -1,    -1,  1873,    -1,
     285,    -1,    -1,  3894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2353,    -1,  4181,    -1,    -1,    -1,   458,  1893,    -1,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
    4198,    -1,    -1,    -1,   475,  4203,    -1,    -1,   323,    -1,
      -1,   326,   327,    -1,    -1,   252,    -1,   254,    -1,    -1,
      -1,    -1,  4220,    -1,    -1,    -1,    -1,   264,    -1,    -1,
      -1,    -1,  3246,    -1,    -1,    -1,   273,    -1,  4236,    -1,
    3254,   356,  2414,  4241,    -1,    -1,    -1,    -1,   285,    -1,
    4248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3278,    -1,  4264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2448,  4275,    -1,  2451,
      -1,  2453,    -1,    -1,    -1,  2457,   323,  2459,  2460,   326,
     327,    -1,    -1,    -1,    -1,    -1,  2468,  2469,  2470,    -1,
      -1,    -1,     8,    -1,    -1,    11,   421,    -1,  4306,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   356,
      -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      -1,    -1,    -1,  4331,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,  3360,    -1,    -1,  4347,
      -1,    -1,    -1,    -1,  2526,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,
      -1,    -1,  4370,    -1,    -1,    -1,    -1,    -1,    -1,  4377,
      -1,    -1,    -1,  4104,   421,    -1,  2558,  4108,    -1,    -1,
    2095,    -1,    -1,    22,    -1,  2567,    -1,    -1,    -1,    28,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    22,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
    4418,    -1,  4420,    -1,    -1,    32,    -1,  3441,    -1,    -1,
      -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    70,    -1,    -1,    -1,    -1,  4444,    -1,    -1,    -1,
    2622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,    -1,    -1,    -1,  4462,    72,    -1,    -1,  4466,    -1,
      -1,    -1,    -1,  4471,    -1,    -1,   182,    -1,    -1,    -1,
      -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4488,  4489,    -1,    -1,  4492,   124,    -1,    -1,    -1,    -1,
      -1,    -1,   131,   209,   210,   134,    -1,    -1,    -1,  4507,
      -1,    -1,    -1,   124,    -1,    -1,  4514,    -1,   224,    -1,
     131,  4519,    -1,   134,  4522,  4523,    -1,    -1,    -1,    -1,
     159,  4529,  4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4543,    -1,  4545,   159,    -1,
      -1,   257,  4550,    -1,  4552,    -1,    -1,    -1,  4556,    -1,
      -1,    -1,    -1,    -1,   193,   271,    -1,    -1,   274,    -1,
      -1,    -1,    -1,  5176,    -1,   182,    -1,    -1,    -1,    -1,
     187,    -1,   193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4596,  4597,
      -1,    -1,   209,   210,    -1,    -1,    -1,    -1,  4606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,
      -1,    -1,    -1,   252,    -1,   254,  4347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,
      -1,   252,    -1,   254,   273,    -1,  4644,    -1,    -1,    -1,
     257,    -1,  4650,   264,    -1,   361,   285,    -1,    -1,    -1,
      -1,    -1,   273,    -1,   271,    -1,    -1,   274,    -1,    -1,
      -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,   326,   327,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,  4706,    -1,
    3724,    -1,    -1,    -1,    -1,   326,   327,    -1,    -1,    -1,
      -1,  4719,    -1,  4721,    -1,    -1,    -1,   356,    -1,    -1,
      -1,    -1,    -1,    -1,  3748,    -1,    90,    -1,    -1,    -1,
      -1,  3755,    -1,    -1,    -1,   356,  4744,  4745,    -1,  4747,
      56,  4749,   458,    -1,   361,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,   120,    -1,    -1,   475,
      -1,  4769,    -1,    -1,    -1,    -1,    -1,  4775,    -1,    -1,
      -1,  4779,    -1,    -1,    90,    -1,  4507,  4785,    -1,    -1,
      -1,  4789,   421,  4514,    -1,   149,    -1,    -1,  4519,    -1,
    2972,  4522,  4523,    -1,    -1,    -1,    -1,    -1,    56,    -1,
     421,    -1,    -1,    -1,   120,    -1,    -1,    -1,  3832,  3833,
      -1,    -1,  4543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,    -1,  4830,    -1,    -1,  4556,    -1,    -1,    -1,    -1,
    4838,    -1,    90,   149,    -1,  4843,  4844,    -1,    -1,    -1,
    4848,   458,    -1,    -1,   461,   462,   463,  4855,   465,   466,
     467,   468,   469,   470,    -1,    -1,   220,  2572,   475,  4867,
      -1,    -1,   120,    -1,  2579,    -1,    -1,    -1,   184,    -1,
      -1,    -1,    -1,    -1,    -1,  4606,    -1,    -1,    -1,    -1,
      -1,  3063,    -1,    -1,  2599,    -1,    -1,    -1,  4896,    -1,
     254,   149,    -1,    -1,  2609,    -1,    -1,  2612,    -1,  2614,
    2615,   201,    -1,  2618,   220,    -1,    -1,    -1,    -1,  2624,
      -1,  2626,  4920,   213,  2629,    -1,    -1,    -1,    -1,  4650,
      -1,   285,   286,    -1,   224,    -1,   184,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3118,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4955,  4956,    -1,
      -1,    -1,  3976,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,   220,   327,    -1,    -1,    -1,   331,  4976,   285,
     286,  4979,    -1,    -1,  4982,    -1,   340,  2692,    -1,    -1,
      -1,    -1,    -1,    -1,   348,  4993,    -1,    -1,  4719,  4997,
      -1,  4999,   356,  5001,    -1,    -1,   254,    -1,    -1,    -1,
    5008,    -1,  3184,    -1,   368,    -1,    -1,   323,    -1,    -1,
      -1,   327,   376,    -1,    -1,   331,    -1,    -1,    -1,  5027,
      -1,    -1,    -1,    -1,   340,    -1,    -1,   285,   286,    -1,
      -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,     8,    -1,
     356,    11,    -1,    -1,  3226,    15,    16,    17,  4779,    -1,
      -1,    -1,   368,    -1,  5062,    -1,  5064,    -1,  3240,    -1,
     376,    -1,    32,    -1,  3246,   323,    -1,    -1,   432,   327,
      40,    -1,  3254,   331,    -1,    -1,    -1,    47,  3260,    -1,
    3262,    -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,
      -1,    -1,    72,    -1,    -1,    -1,  5114,    -1,    -1,    -1,
     368,    -1,    -1,    -1,    -1,  5123,   432,    -1,   376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5148,  5149,  5150,    -1,    -1,    -1,    -1,    -1,    -1,  5157,
    5158,    -1,    -1,  5161,    -1,    -1,    -1,  3339,  3340,  5167,
      -1,    -1,    -1,     8,    -1,  4896,    -1,    -1,  5176,    14,
      15,    -1,    -1,    -1,   432,    20,    -1,    22,    -1,    -1,
      -1,  4205,  5190,    28,    -1,    30,  4210,    -1,    -1,  4920,
    4214,    -1,    -1,    -1,    -1,    -1,    -1,  5205,    -1,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      -1,    -1,   182,    -1,    -1,  4239,  4240,   187,    -1,    -1,
    4244,  4245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5244,    -1,    -1,   209,
     210,    -1,  5250,  2958,    -1,    -1,    -1,    -1,  4979,    -1,
      -1,  5259,    -1,    -1,   224,    -1,    -1,  5265,  5266,  5267,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5277,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5008,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   271,  5310,    -1,   274,   605,    -1,    -1,    -1,    -1,
      -1,   611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5334,  3042,    -1,  3044,
      -1,  5339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,  5366,  5367,
     205,    -1,    -1,   208,    -1,    -1,   211,   212,    -1,   214,
    5378,   216,    -1,    -1,   219,    -1,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5392,    -1,    -1,    -1,    -1,    -1,
      -1,   361,  5123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5411,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,  5421,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5438,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,  5451,    -1,  5453,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5190,
      -1,  5469,    -1,  5471,  5472,   765,  3181,    -1,    -1,    -1,
      -1,    -1,  3187,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
     790,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,    -1,    -1,    -1,    -1,   475,    -1,    -1,    -1,   809,
      -1,    -1,     8,  5244,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,  5259,    -1,
      -1,   831,    -1,    -1,  5265,  5266,    32,    -1,    -1,    -1,
      -1,    -1,  3724,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3748,    -1,    -1,    -1,
      -1,    -1,  4596,    -1,  3756,   875,    72,  3759,    -1,  3761,
      -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,  5334,    -1,    -1,    -1,    -1,  5339,    -1,
     209,   210,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,
      -1,  3803,    -1,    40,    -1,   224,    -1,    -1,    -1,    -1,
      47,    -1,    -1,    -1,  3816,    -1,    -1,    -1,  3820,  3821,
      -1,  3823,    -1,    -1,    -1,    -1,  3828,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,   257,    -1,
      -1,    -1,    -1,    -1,  3379,    -1,  3381,    -1,  3383,    -1,
      -1,    -1,   271,    -1,    -1,   274,    -1,  3392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,
      -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1000,    -1,    -1,    -1,    -1,    -1,    -1,  5438,    -1,    -1,
      -1,    -1,    -1,   209,   210,    -1,    -1,    -1,  3433,    -1,
    5451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,  1029,
    1030,  1031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5471,  5472,    -1,    -1,    -1,  3927,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   257,   361,    -1,    -1,   182,    -1,    -1,    -1,   614,
     187,    -1,    -1,    -1,    -1,   271,    -1,   622,   274,    -1,
      -1,    -1,    -1,    -1,   629,   630,    -1,    -1,   633,    -1,
     635,   636,   209,   210,    -1,   640,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   651,   224,    -1,    -1,
    3992,  3993,  3994,    -1,  3996,  3997,  3998,  3999,  4000,    -1,
      -1,   666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4853,
    4854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,    -1,    -1,  4867,    -1,    -1,   691,    -1,   693,    -1,
      -1,    -1,    -1,    -1,   271,    -1,    -1,   274,   703,   458,
      -1,    -1,   461,   462,   463,   361,   465,   466,   467,   468,
     469,   470,    -1,    -1,  1174,    -1,   475,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4125,   361,  4127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   820,    -1,    -1,    -1,   475,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   854,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5054,    -1,    -1,    -1,    -1,    -1,  1336,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,   475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   926,    -1,    -1,    -1,     8,  1386,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   947,    -1,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    -1,    -1,   959,    -1,    -1,    40,    -1,   964,
      -1,    -1,  4304,  4305,    47,    -1,    -1,    -1,    -1,   974,
      -1,    -1,    -1,  4315,   979,  4317,  4318,    -1,    -1,  4321,
      -1,    -1,   987,    -1,    -1,    -1,    -1,    -1,   993,    72,
      -1,   996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1474,    -1,    -1,  5201,     8,  5203,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,  1037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4383,    32,    -1,    -1,  1505,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1528,    -1,
      -1,  1531,    -1,    -1,    -1,  4417,    -1,    -1,    -1,    -1,
      -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,  3964,
      -1,    -1,    -1,  3968,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,  4450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1582,    -1,    -1,    -1,   209,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1596,    -1,    -1,    -1,
      -1,   224,    -1,    -1,    -1,    -1,    -1,  1152,    -1,  1154,
      -1,  1156,    -1,  1158,    -1,  1160,  1161,  1162,    -1,    -1,
      -1,    -1,  1167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1178,   257,     0,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,   274,   182,    18,    -1,    -1,    -1,   187,    -1,  5383,
      -1,    -1,    -1,    28,    -1,    30,    31,    -1,  5392,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
     210,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    67,    -1,    69,    70,    -1,  1707,    -1,    -1,
      -1,    76,    -1,    78,  4596,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    89,    -1,    91,   257,    -1,  5453,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   361,    -1,
      -1,   271,    -1,   108,   274,  5469,   111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4639,    -1,    -1,
     125,  1761,   127,    -1,  4179,    -1,   131,    -1,    -1,    -1,
      -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,
    1790,    -1,    -1,    -1,    -1,    -1,    -1,  1797,    -1,    -1,
      -1,    -1,    -1,    -1,   169,    -1,  4221,  4222,  1353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   361,    -1,    -1,    -1,   458,    -1,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,     8,    -1,
      -1,    11,   475,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,   226,   227,    -1,    -1,    -1,    -1,   232,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,  1434,
      -1,   256,  4307,  4308,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1903,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,   461,   462,   463,   299,   465,   466,   467,   468,   469,
     470,    -1,    -1,  1943,  1944,   475,    -1,    -1,   313,    -1,
      -1,    -1,    -1,    -1,   319,   320,    -1,   322,    -1,  1504,
    1960,    -1,   327,    -1,    -1,    -1,    -1,   332,    -1,    -1,
     335,  4853,  4854,    -1,    -1,    -1,    -1,   342,    -1,    -1,
      -1,    -1,    -1,   348,   349,  4867,    -1,    -1,    -1,  4871,
      -1,   356,    -1,    -1,    -1,   360,    -1,    -1,    -1,  4881,
      -1,    -1,    -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,
    4425,    -1,  4427,  4428,    -1,    -1,    -1,    -1,   383,    -1,
      -1,    -1,   182,     8,    -1,    -1,    11,   187,  4443,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,   403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,   413,   209,
     210,    36,    -1,    -1,   419,    40,    -1,  2057,    -1,   424,
      -1,    -1,    47,    -1,   224,    -1,    -1,  2067,    -1,    -1,
      -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    72,    -1,    -1,
      15,    16,    17,    -1,    -1,   460,  2096,   257,    -1,    -1,
      -1,    -1,    -1,    -1,  2104,    -1,  2106,    32,    -1,   474,
      -1,   271,   477,    -1,   274,    40,    -1,    -1,    -1,    -1,
      -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,  2139,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5064,    -1,    -1,    -1,  5068,    -1,  5070,    -1,
      -1,    -1,  5074,  5075,    -1,    -1,    -1,   182,    -1,    -1,
      -1,   361,   187,    -1,    -1,    -1,    -1,  1752,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   158,    -1,    -1,    -1,    -1,   163,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,   182,    -1,    11,
      -1,    -1,   187,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,  2281,    -1,    35,   209,   210,   271,    -1,    40,   274,
      -1,    -1,    -1,    -1,    -1,    47,    -1,  2297,   458,   224,
      -1,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,    -1,    -1,    -1,    -1,   475,    -1,    -1,  2318,  5201,
      72,  5203,    -1,    -1,    -1,  4740,    -1,    -1,    -1,    -1,
      -1,    -1,   257,    -1,  1879,    -1,  1881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,
      -1,    -1,    -1,  1898,    -1,  1900,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1914,
      -1,  1916,    -1,  1918,    -1,  1920,   361,  1922,    -1,    -1,
      -1,  1926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2392,  2393,    -1,    -1,  4811,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5310,    -1,
     182,    -1,    -1,   418,    -1,   187,   361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4863,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,   458,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2500,  5383,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
    5392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5453,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,  5469,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2151,  2152,    -1,   361,
      -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2170,  2171,    -1,    -1,    -1,
    2175,  2176,    -1,   199,   200,  2180,    -1,    -1,    -1,    -1,
      -1,   207,    -1,   209,   210,    -1,    -1,    -1,    -1,  2194,
      -1,    -1,    -1,    -1,    -1,    -1,  2201,   223,    -1,    -1,
    2205,  2206,    -1,    -1,  2209,  2210,    -1,    -1,    -1,    -1,
      -1,  2216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2684,    -1,  2231,    -1,  2233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   458,  2252,    -1,   461,
     462,   463,  2257,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,    -1,    -1,   182,  2270,    -1,    -1,    -1,   187,
      -1,    -1,    -1,    -1,  2279,    -1,     8,  2282,    -1,    11,
    2285,  2286,  2287,    15,    16,    17,    -1,  2292,  2293,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,  2302,    -1,    -1,
      32,    -1,  2307,    -1,    -1,    -1,   224,  2312,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2328,    -1,    -1,    -1,    -1,    -1,    -1,
    2335,  2336,    -1,    -1,    -1,    -1,  2341,   200,    -1,   257,
      72,    -1,    -1,    -1,    -1,    -1,   209,  2352,  2353,    -1,
      -1,    -1,  2357,   271,    -1,    -1,   274,    -1,    -1,    -1,
     223,    -1,    -1,    -1,  2369,    -1,    -1,  2372,    -1,    -1,
      -1,    -1,  2377,    -1,    -1,    -1,    -1,  2382,  2383,  2839,
     298,    -1,  2387,    -1,    -1,  2390,    -1,    -1,    -1,  2394,
    2395,  2396,  2397,    -1,  2399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2862,    -1,    -1,    -1,    -1,  2412,  2413,    -1,
    2415,    -1,    -1,    -1,    -1,    -1,    -1,  5292,    -1,    -1,
    2425,  2426,    -1,    -1,     8,   157,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,    32,    -1,
     182,    -1,    -1,    -1,    -1,   187,    40,    -1,    -1,   377,
      -1,    -1,    -1,    47,    -1,   191,   192,    -1,    -1,   195,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,   210,    -1,
      -1,    -1,    -1,    -1,    -1,  2490,    -1,    -1,    72,   215,
       8,    -1,   224,    11,    -1,    -1,   222,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2518,    32,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    40,    -1,    -1,   257,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
     458,    -1,   274,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   625,
      -1,    -1,    -1,   187,    -1,   631,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   644,    -1,
      -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,   361,
      -1,    -1,    -1,    -1,   660,    -1,    -1,    -1,    -1,  3099,
     224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   675,
     676,    -1,    -1,    -1,    -1,    -1,   682,    -1,   684,   685,
      -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,
      -1,    -1,   698,   257,    -1,    -1,    -1,    -1,    -1,    -1,
    2685,    -1,   708,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,   292,    -1,
      -1,  2716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,   271,    -1,    11,   274,    -1,    -1,    15,
      16,    17,   625,    -1,    -1,    -1,    -1,   793,   631,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    32,   361,    -1,    -1,
      -1,   644,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,    -1,   660,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3266,  3267,  3268,    -1,
      -1,    -1,    -1,   676,    -1,    -1,    72,    -1,    -1,    -1,
      -1,   684,    -1,  3283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   698,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   361,    -1,   708,  3306,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3316,  3317,    -1,    -1,
      -1,  3321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
     616,    -1,    -1,     8,   620,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,   163,   634,    -1,
     936,    -1,    -1,    -1,    -1,   641,    -1,    32,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    40,   182,    -1,   954,    -1,
     793,   187,    47,    -1,   960,    -1,    -1,   963,    -1,    -1,
     458,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   209,   210,    -1,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2970,    -1,    -1,   224,  2974,
      -1,    -1,  3432,    -1,    -1,  2980,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2998,  2999,    -1,    -1,    -1,  3003,    -1,
      -1,   257,    -1,  3008,  3009,  3010,    -1,  3012,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
    3035,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
    3045,  3046,  3047,  3048,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,   182,    -1,    -1,
      -1,    -1,   187,   936,    -1,    -1,    -1,  3082,    -1,    -1,
    3085,  3086,  3087,    -1,    -1,    -1,  1112,    -1,    -1,    72,
      -1,    -1,    -1,    -1,   209,   210,    -1,    -1,  3103,    -1,
    3560,  3561,  3562,    -1,  1130,   361,    -1,    -1,    -1,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3123,    -1,
      -1,  1147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,  1175,
      -1,    -1,    -1,    -1,   880,   881,   271,    -1,    -1,   274,
    1186,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,  1201,    -1,    -1,  1204,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    35,    -1,
    3195,    -1,    -1,    40,    -1,    -1,    -1,    -1,  3203,   182,
      47,    -1,   458,    -1,   187,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    72,   209,   210,    -1,  3234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,    -1,    -1,    -1,    -1,   361,    -1,    -1,  1112,
      -1,    -1,   978,    -1,    -1,    -1,  3261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1130,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,  1007,  1008,    -1,  1147,    -1,    -1,    -1,   271,    -1,
      -1,   274,    -1,    -1,    -1,    -1,  1322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1330,  1331,    -1,  1033,  3313,    -1,
      -1,    -1,  1175,  3318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1186,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,  1201,    -1,
     187,  1204,    -1,   458,  3349,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
      -1,     8,   209,   210,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,  1399,    -1,    -1,    -1,   224,   361,    -1,
      -1,  1107,  1108,  3388,    -1,  3390,    -1,    -1,  3848,    -1,
      -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,  3859,
      47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    72,    -1,   274,    -1,    -1,
    3890,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,  1322,
      -1,    -1,    -1,    -1,  3924,    -1,    40,  1330,  1331,    -1,
      -1,    -1,    -1,    47,    -1,   458,    -1,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3969,
      -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   182,  1399,    -1,    -1,    -1,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,   210,    -1,    -1,  1592,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,
     257,   458,    -1,   187,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   271,  4085,  4086,  4087,  4088,    -1,
      -1,    -1,    -1,    -1,    -1,   209,   210,    -1,  3643,    -1,
    3645,    -1,    -1,    -1,    -1,    -1,    -1,  3652,    -1,    -1,
     224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3668,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3684,
      -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,  3703,    -1,
     274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   361,    -1,  3721,  1743,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3731,    -1,    -1,  1592,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1767,    -1,    -1,    -1,  3750,    -1,    -1,    -1,  1775,
      -1,  1477,    -1,    -1,    -1,    -1,    -1,    -1,  3763,  3764,
    3765,  1787,    -1,    -1,    -1,  3770,  3771,  3772,  3773,    -1,
      -1,    -1,  3777,  3778,    -1,    -1,    -1,    -1,  3783,  3784,
      -1,  3786,  3787,  3788,  3789,  3790,  3791,   361,  3793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,  3802,    -1,    11,
    3805,  3806,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,  3829,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,  1859,  1860,    47,  1862,  1863,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3851,    -1,  1874,    -1,
    1876,  1877,  1578,  1579,  1580,  1581,    -1,    -1,    -1,    -1,
      72,    -1,    -1,  1889,  1890,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1905,
    1743,    -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1767,    -1,    -1,    -1,    -1,    -1,
      -1,  1937,  1775,    -1,  1940,  1941,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1787,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3949,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,    -1,   187,    -1,    -1,  3983,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1719,  1720,    -1,    -1,   209,   210,  1862,
    1863,  2027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,  1876,    -1,    -1,  1742,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1889,  1890,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1905,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,  1777,  1778,  1779,  1780,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2168,    -1,    -1,    -1,    -1,  2173,  2174,   361,
      -1,    -1,  2178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2186,    -1,    -1,    -1,  2027,    -1,    -1,    -1,    -1,  1895,
      -1,    -1,    -1,    -1,    -1,  1901,    -1,    -1,  2204,    -1,
      -1,    -1,    -1,    -1,  4189,    -1,    -1,    -1,  4193,  4194,
    4195,  4196,    -1,  4653,  4199,    -1,    -1,    -1,    -1,    -1,
    2226,    -1,    -1,  2229,  2230,    -1,    -1,    -1,  4668,    -1,
      -1,    -1,    -1,  4673,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2250,    -1,  4231,  4232,  4233,    -1,
    4235,    -1,  4237,  4238,    -1,    -1,    -1,    -1,    -1,  4699,
      -1,    -1,  2268,  2269,  4249,  4250,   458,    -1,    -1,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4276,    -1,    -1,  2300,  2301,    -1,    -1,  2304,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2150,    -1,    -1,
      -1,    -1,    -1,    -1,  4299,    -1,    -1,    -1,    -1,    -1,
      -1,  2327,    -1,  2329,  2030,  2168,    -1,    -1,  2334,    -1,
    2173,  2174,    -1,    -1,  2340,  2178,    -1,    -1,    -1,    -1,
      -1,  2347,    -1,  2186,    -1,  2351,    -1,    -1,    -1,    -1,
    2356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2376,    -1,    -1,    -1,    -1,  2381,    -1,    -1,    -1,  2385,
      -1,  4821,  2388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4376,  2398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2411,    -1,  2250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,    -1,
    4405,    -1,    -1,    -1,    -1,  2268,  2269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2300,  2301,    -1,
      -1,  2304,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4917,    -1,    -1,
      -1,    -1,    -1,  2489,  2327,    -1,  2329,    -1,    -1,    -1,
      -1,  2334,    -1,    -1,    -1,   787,   788,  2340,    -1,    -1,
      -1,    -1,    -1,    -1,  2347,    -1,    -1,    -1,  2351,    -1,
      -1,    -1,    -1,  2356,    -1,  2221,  2222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2232,    -1,  2234,    -1,
      -1,    -1,  2238,  2376,    -1,    -1,    -1,    -1,  2381,    -1,
      -1,    -1,  2385,    -1,    -1,  2388,    -1,    -1,    -1,    -1,
      -1,  4536,    -1,    -1,    -1,  2398,    -1,    -1,    -1,    -1,
      -1,  2567,    -1,    -1,    -1,    -1,    -1,    -1,  2411,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4598,   671,    -1,  2622,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4616,    -1,    -1,    -1,    -1,  4621,  4622,    -1,    -1,
     697,    -1,   934,   935,    -1,    -1,  2489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,    -1,
      -1,    -1,  2368,    -1,    -1,  2371,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2682,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2690,    -1,    -1,    -1,    -1,  4674,
      -1,    -1,    -1,    -1,  2700,    -1,    -1,  2703,    -1,    -1,
    2706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4694,
      -1,  4696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2567,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2450,    -1,  4731,    -1,    -1,    -1,
      -1,    -1,  2458,  4738,    -1,  2461,    -1,    -1,    -1,    -1,
      -1,  2467,    -1,    -1,    -1,    -1,  2772,    -1,    -1,    -1,
     671,    -1,  2778,    -1,    -1,  2481,    -1,    -1,    -1,  2622,
      -1,    -1,    20,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   697,    -1,    -1,    37,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2522,    -1,    -1,  4804,
      -1,  2664,    60,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,  2682,
      -1,  4826,    -1,    -1,  2550,    -1,    84,  2690,  2854,    -1,
      88,    -1,  4837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,
      -1,    -1,    -1,    -1,   112,    -1,    -1,   934,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   129,    -1,   950,    -1,    -1,    -1,    -1,    -1,  2605,
      -1,  2607,   140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     148,    -1,    -1,    -1,    -1,  4900,    -1,    -1,   975,    -1,
      -1,    -1,   160,    -1,  1216,    -1,    -1,    -1,    -1,  2772,
     168,    -1,    -1,   990,   172,  2778,  2942,  2943,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   191,  1246,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2969,    -1,    -1,  2972,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4963,    -1,
      -1,    -1,  1274,  1275,  1276,    -1,  1278,    -1,    -1,    -1,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,
      -1,    -1,    -1,    -1,    -1,    -1,  1298,    -1,    -1,  2715,
      -1,  2854,    -1,    -1,    -1,    -1,    -1,    -1,  1075,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,   274,    -1,    -1,  5024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   950,
      -1,  3057,  3058,  3059,  5039,    -1,   294,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     308,    -1,    -1,    -1,   975,  3081,    -1,   315,  1370,    -1,
      -1,    -1,  1374,  1375,    -1,    -1,    -1,    -1,    -1,   990,
      -1,    -1,    -1,    -1,    -1,  3101,   334,    -1,    -1,  2942,
    2943,    -1,    -1,    -1,    -1,   343,    -1,    -1,  5093,    -1,
      -1,    -1,   350,    -1,  3120,   353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5108,    -1,    -1,  2969,  1184,    -1,  2972,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
     378,    -1,    -1,    -1,    -1,   383,    -1,    -1,   386,   387,
      -1,   389,   390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   400,    -1,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    -1,   411,  1075,    -1,   414,    -1,    -1,   417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   430,    -1,    -1,    -1,  3202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5189,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3057,  3058,  3059,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,  3081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3253,    -1,  5234,
      -1,    54,    -1,    -1,  3260,    -1,  3262,    -1,  3101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,  3275,
      -1,  3277,    -1,    -1,    -1,    -1,  2982,  3120,  2984,  2985,
    2986,    -1,    -1,  1184,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1607,  1608,  1609,    -1,    -1,
      -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,
      -1,   134,    -1,    -1,  3340,    -1,  1393,  5322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,  3202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3391,    -1,   190,    -1,    -1,
     193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1458,    -1,  3409,    -1,    -1,    -1,    -1,    -1,    -1,
    3253,    -1,    -1,    -1,    -1,    -1,    -1,  3260,    -1,  3262,
      -1,    -1,    -1,    -1,  1325,  3431,    -1,    -1,  3434,    -1,
      -1,    -1,  3275,    -1,  3277,   238,    -1,    -1,   241,    -1,
      -1,    -1,  1499,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,   254,    -1,    -1,    -1,    -1,  3299,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     273,    -1,    -1,    -1,    -1,  1532,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1393,    -1,    -1,    -1,    -1,  3340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3514,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,
     323,    -1,    -1,   326,   327,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,  3391,    -1,
    1607,  1608,  1609,   356,    -1,    -1,    -1,  1458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3409,   370,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,
      -1,  3434,    -1,    -1,    -1,    -1,    -1,    -1,  1499,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   671,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1710,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   697,
    1727,  3514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1736,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1980,  3395,
      -1,  1748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1993,    -1,  1995,    -1,    -1,  1998,  1999,  2000,    -1,
      -1,    -1,  3718,  2005,    -1,    -1,  2008,  3723,    -1,  3725,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2023,  2024,  2025,  2026,    -1,    -1,    -1,    -1,  2031,
      -1,  3747,    -1,  2035,    -1,    -1,  2038,  1804,    -1,  2041,
    2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,    -1,  2051,
    3766,  1818,    -1,    -1,    -1,    -1,  2058,    -1,  2060,    -1,
      -1,    -1,    -1,  1830,    -1,    -1,  3782,    -1,    -1,  3785,
      -1,    -1,    -1,    -1,    -1,  1842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,  2100,  1710,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,  3667,    -1,  1727,    -1,    -1,  1886,
    1887,    -1,    -1,  2125,  2126,  1736,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1748,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3877,  3878,    -1,    -1,  3718,    -1,    -1,    -1,    -1,
    3723,  3887,  3725,    -1,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3906,    -1,    -1,  1804,  3747,    -1,    -1,    -1,    -1,   124,
      -1,    -1,    -1,    -1,    -1,  2207,   131,  1818,    -1,   134,
      -1,    -1,   950,  3766,    -1,    -1,    -1,    -1,    -1,  1830,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3782,
      -1,  1842,  3785,    -1,   159,    -1,    -1,   975,    -1,    -1,
      -1,  3657,  3658,  3659,  3660,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   990,    -1,    -1,  2022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3979,    20,   190,    -1,    -1,   193,    25,
      -1,    -1,    -1,    -1,    -1,  1886,  1887,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2060,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,    -1,    -1,   241,    73,    -1,    -1,
      -1,    -1,    -1,    -1,  3877,  3878,    -1,   252,    -1,   254,
      -1,    -1,    88,    -1,  3887,    -1,    -1,  1075,    -1,   264,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,
     106,    -1,    -1,  3906,    -1,    -1,    -1,    -1,    -1,   284,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,    -1,
    2157,    -1,   148,    -1,  2161,  2162,    -1,    -1,   323,    -1,
      -1,   326,   327,   328,   160,    -1,    -1,    -1,    -1,   165,
      -1,  2022,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,  3979,    -1,  3844,    -1,
      -1,   356,    -1,    -1,  3850,   191,  2438,  2439,  2440,    -1,
      -1,    -1,  2444,    -1,    -1,   370,  1184,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   671,    -1,  2223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2237,    -1,    -1,    -1,    -1,    -1,    -1,  2479,    -1,    -1,
     697,   237,  4198,    -1,    -1,    -1,    -1,  4203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   421,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2277,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
    4236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,
      -1,    -1,  4248,    -1,    -1,    -1,    -1,    -1,   294,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2157,    -1,   304,   305,
    2161,  2162,   308,    -1,    -1,    -1,    -1,    -1,    -1,  4275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,
      -1,   337,    -1,    -1,    -1,   341,    -1,   343,    -1,    -1,
      -1,    -1,    -1,    -1,   350,    -1,    -1,   353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2223,    -1,    -1,    -1,   372,    -1,    -1,    -1,
      -1,    -1,   378,    -1,    -1,    -1,  2237,   383,    -1,    -1,
     386,    -1,    -1,    -1,   390,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   398,    -1,   400,  4198,    -1,    -1,    20,   405,
    4203,    -1,    -1,    25,  4370,  1393,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,    -1,    -1,  2277,    -1,    -1,    -1,
      -1,    -1,    -1,  2440,   430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4236,    -1,    -1,    -1,    -1,    60,    -1,
      -1,    -1,    -1,    -1,    -1,  4248,    -1,    -1,    -1,    -1,
      -1,    73,    74,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,  2480,    -1,    -1,    88,    -1,    -1,    -1,
    1458,  2723,  4275,    -1,    -1,    -1,  2728,    -1,  4444,    -1,
      -1,    -1,    -1,   950,   106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2753,    -1,    -1,    -1,    -1,    -1,   129,   975,    -1,
      -1,  1499,  2764,    -1,  2766,  2767,    -1,    -1,   140,    -1,
      -1,    -1,    -1,   990,    -1,  2777,   148,    -1,  2780,    -1,
    2782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,    -1,    -1,   165,  1532,  2562,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   671,    -1,    -1,  2811,
      -1,  2813,    -1,  2815,    -1,    -1,    -1,  4370,    -1,   191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   697,    -1,  4550,    -1,  4552,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1075,    -1,
      -1,    -1,    -1,    -1,    -1,   237,    -1,  2869,    -1,  2480,
    4286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4597,  2884,    -1,    -1,  4301,    -1,    -1,    -1,    -1,
    4606,  4444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2680,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,    -1,    -1,    -1,    -1,    -1,  4644,    -1,
    2697,    -1,   304,   305,  4650,    -1,   308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2712,  2948,    -1,    -1,    -1,
      -1,  2562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   334,    -1,    -1,   337,    -1,  1184,    -1,   341,
      -1,   343,  1710,    -1,  4390,    -1,    -1,    -1,   350,    -1,
      -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1727,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4550,  1736,  4552,
     372,    -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,    -1,
    1748,   383,    -1,    -1,   386,    -1,    -1,    -1,   390,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   398,    -1,   400,    -1,
      -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4597,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1804,    -1,    -1,  2680,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1818,    -1,    -1,    -1,    -1,   950,  2697,    -1,    -1,    -1,
      -1,  4644,  1830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2712,    -1,    -1,  1842,    -1,    -1,    -1,    -1,    -1,
     975,    -1,    -1,    -1,  4830,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   990,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4855,
      -1,    -1,  4558,  4559,  4560,    -1,    -1,    -1,  1886,  1887,
    2917,  4867,    -1,  2920,    -1,  2922,    -1,    -1,    -1,    -1,
    2927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3207,    -1,    -1,    -1,  2976,
    1075,  3213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2995,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4830,    -1,    -1,
      -1,    -1,  1499,    -1,  2022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4717,  4855,    -1,    -1,   671,  2917,    -1,    -1,  2920,
      -1,  2922,    -1,    -1,  4867,  1532,  2927,    -1,    -1,  1184,
      -1,    -1,    -1,    -1,  3091,    -1,  3093,    -1,    -1,    -1,
      -1,   697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5062,    -1,  5064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2976,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2995,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3020,
      -1,    -1,    -1,    -1,    -1,  3182,    73,    -1,    -1,  2157,
      -1,    -1,    -1,  2161,  2162,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3207,    -1,  5158,  4859,    -1,  4861,  3213,    -1,    -1,   106,
      -1,    -1,  3454,    -1,  3221,   112,    -1,    -1,    -1,    -1,
    5176,  3463,    -1,    -1,    -1,    -1,    -1,  3469,    -1,  3471,
      -1,    -1,   129,    -1,  5190,    -1,    -1,    -1,    -1,  3246,
    3091,    -1,  3093,   140,    -1,  2223,    -1,  3254,    -1,  5205,
      -1,   148,    -1,  1710,    -1,    -1,  3498,  3499,    -1,  2237,
      -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,   165,  5062,
    1727,  5064,    -1,    -1,  3516,   172,    -1,    -1,    -1,  1736,
      -1,    -1,  3524,    -1,    -1,  3527,    -1,  3529,  1393,    -1,
      -1,  1748,    -1,    -1,   191,    -1,  3538,    -1,    -1,  2277,
      -1,    -1,    -1,    -1,  3546,  3547,    -1,    -1,    -1,  5265,
    5266,    -1,    -1,    -1,    -1,    -1,  3323,    -1,    -1,   216,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3182,    -1,    -1,  3341,    -1,  3578,    -1,    -1,    -1,
     237,    -1,    -1,    -1,   950,    -1,    -1,  1804,  3355,    -1,
      -1,    -1,    -1,  1458,  5310,    -1,    -1,    -1,  5014,    -1,
    3602,  1818,    -1,    -1,    -1,  5158,    -1,    -1,    -1,   975,
    3221,    -1,    -1,  1830,   271,    -1,  3618,    -1,    -1,    -1,
      -1,    -1,    -1,  5176,   990,  1842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1499,  3246,    -1,   294,    -1,    -1,
      -1,    -1,    -1,  3254,    -1,    -1,    -1,   304,   305,    -1,
      -1,   308,  5205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1532,    -1,  1886,
    1887,    -1,    -1,    -1,    -1,    -1,  5392,   334,    -1,    -1,
     337,    -1,    -1,    -1,   341,    -1,   343,  5103,    -1,    -1,
    3457,   671,    -1,   350,    -1,    -1,   353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1075,
      -1,  3478,  3323,    -1,    -1,   372,    -1,   697,    -1,    -1,
      -1,   378,    -1,    -1,    -1,   382,   383,    -1,    -1,   386,
    3341,    -1,    -1,   390,    -1,    -1,  3503,  5453,    -1,    -1,
      -1,    -1,  2480,   400,  3355,    -1,    -1,    -1,   405,    -1,
      -1,    -1,    -1,  5469,    -1,  5471,  5472,  5310,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3537,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1184,    -1,
      -1,    -1,    -1,    -1,  2562,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5392,
      -1,    -1,    -1,    -1,    -1,  1710,  3457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,    -1,
      -1,    -1,  1727,    -1,    -1,    -1,    -1,  3478,    -1,    -1,
      -1,  1736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1748,    -1,    -1,  5302,    -1,    -1,    -1,
      -1,    -1,  3503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5469,    -1,    -1,  5335,
    5336,    -1,    -1,    -1,    -1,    -1,  3537,    -1,    -1,    -1,
    3932,  3933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1804,
    2157,    -1,  2680,    -1,  2161,  2162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1818,    -1,    -1,    -1,  3724,    -1,  2697,
      -1,    -1,    -1,    -1,    -1,  1830,    -1,    -1,    -1,    -1,
     950,    -1,    -1,    -1,  2712,    -1,    -1,  1842,    -1,    -1,
      -1,  3748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   975,    -1,    -1,    -1,    -1,
    4002,    -1,    -1,    -1,    -1,    -1,  2223,    -1,    -1,    -1,
     990,  4013,    -1,  3624,    -1,    -1,    -1,    -1,    -1,  5435,
    2237,  1886,  1887,    -1,    -1,    -1,    -1,  1393,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4053,  4054,    -1,    -1,    -1,    -1,    -1,  4060,  4061,
    2277,    -1,    -1,  4065,    -1,    -1,    -1,    -1,  4070,    -1,
      -1,  4073,  4074,    -1,    -1,    -1,  4078,    -1,    -1,    -1,
      -1,    -1,  4084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1458,    -1,    -1,  1075,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3724,  3881,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1499,  4136,    -1,    -1,  3748,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,    -1,    -1,
      -1,  4163,    -1,    -1,  3931,    -1,  1532,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,
      -1,    -1,  2920,    -1,  2922,    -1,    -1,    -1,    -1,  2927,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1184,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2976,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2995,    -1,    -1,
      -1,    -1,  4264,  2480,    -1,    -1,    -1,    -1,    -1,    -1,
    3881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,    -1,  4056,
      -1,    -1,  2157,    -1,    -1,    -1,  2161,  2162,    -1,  4066,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1710,  2562,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3091,    -1,  3093,    -1,    -1,  2223,    -1,
      -1,  1727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1736,    -1,  2237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2277,  1393,  4181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1804,    -1,
      -1,    -1,    -1,    -1,  3182,  4056,    -1,    -1,    -1,    -1,
      -1,    -1,  1818,  4220,    -1,  4066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2680,  1830,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4241,    -1,  1842,    -1,  1458,    -1,
    2697,    -1,    -1,  3221,    -1,    -1,  4488,  4489,    -1,    -1,
    4492,    -1,    -1,    -1,    -1,  2712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3254,    -1,    -1,  1499,
    1886,  1887,    -1,    -1,    -1,    -1,    -1,  4529,  4530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4306,
      -1,    -1,    -1,  4545,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3323,    -1,    -1,   697,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3341,    -1,    -1,    -1,    -1,    -1,  4220,
      -1,    -1,    -1,    -1,    -1,  2480,    -1,  3355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4418,    -1,  4420,    -1,    -1,  2022,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4306,    -1,  2562,    -1,  4466,
    2917,    -1,    -1,  2920,    -1,  2922,    -1,    -1,    -1,    -1,
    2927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3478,    -1,    -1,    -1,    -1,  4747,    -1,  1727,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1736,    -1,    -1,  2976,
      -1,    -1,    -1,    -1,    -1,  3503,    -1,    -1,  1748,    -1,
      -1,    -1,    -1,  4775,    -1,    -1,    -1,    -1,  2995,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4789,    -1,    -1,
      -1,  2157,    -1,    -1,    -1,  2161,  2162,    -1,    -1,  3537,
      -1,    -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,  4420,
      -1,    -1,    -1,    -1,    -1,  2680,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,    -1,  4596,
      -1,    -1,  2697,    -1,    -1,    -1,    -1,    -1,  1818,    -1,
      -1,   950,    -1,    -1,    -1,    -1,  4848,  2712,    -1,    -1,
    1830,    -1,    -1,    -1,    -1,  4466,    -1,  2223,    -1,    -1,
      -1,    -1,  1842,    -1,    -1,    -1,   975,    -1,    -1,    -1,
      -1,  2237,    -1,    -1,  3091,    -1,  3093,    -1,    -1,    -1,
      -1,   990,    -1,    -1,    -1,    -1,  3624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1886,  1887,    -1,    -1,
      -1,  2277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4721,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3182,  1075,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,    -1,
      -1,    -1,    -1,    -1,    -1,  4596,  3724,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5001,
      -1,    -1,    -1,    -1,  3221,    -1,    -1,    -1,    -1,    -1,
    3748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4785,    -1,
      -1,    -1,    -1,    -1,    -1,  5027,    -1,    -1,    -1,  3246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3254,    -1,    -1,
      -1,    -1,  2022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2917,    -1,    -1,  2920,    -1,  2922,    -1,    -1,
      -1,    -1,  2927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4838,    -1,    -1,    -1,  1184,  4843,  4844,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3323,    -1,    -1,    -1,
    4721,  2976,  5114,    -1,  2480,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3341,    -1,    -1,    -1,    -1,    -1,
    2995,    -1,    -1,    -1,  4745,    -1,    -1,    -1,  3355,    -1,
      -1,    -1,    -1,  3881,    -1,    -1,  5148,  5149,  5150,    -1,
      -1,    -1,    -1,    -1,    -1,  3020,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4785,    -1,    -1,  2157,    -1,    -1,
      -1,  2161,  2162,    -1,    -1,    -1,    -1,    -1,  4955,  4956,
      -1,    -1,    -1,  3931,    -1,    -1,  2562,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3091,  4838,  3093,    -1,
      -1,    -1,  4843,  4844,    -1,    -1,    -1,    -1,    -1,    -1,
    3457,    -1,    -1,  2223,    -1,    -1,    -1,    -1,  5250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2237,    -1,    -1,
      -1,  3478,    -1,    -1,    -1,  5267,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1393,    -1,  3503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2277,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2680,    -1,    -1,  3182,  4056,    -1,
    3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,    -1,
      -1,  2697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4956,  2712,    -1,    -1,  1458,
      -1,    -1,    -1,    -1,    -1,    -1,  3221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5378,    -1,    -1,    -1,
      -1,  3246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3254,
    1499,    -1,    -1,    -1,  5161,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,  5411,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5421,
      -1,    -1,    -1,  1532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3341,    -1,    -1,    -1,
      -1,    -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2480,    -1,    -1,  4241,    -1,    -1,    -1,  3724,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5161,  2917,    -1,    -1,  2920,    -1,  2922,    -1,    -1,    -1,
      -1,  2927,    -1,    -1,    -1,    -1,    -1,    -1,  4306,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2976,    -1,    -1,  3478,    -1,    -1,    -1,    -1,  1727,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1736,    -1,  2995,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3503,  1748,
      -1,    -1,    -1,    -1,    -1,  1290,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3881,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,    -1,
    2680,    -1,    -1,    -1,    -1,  1350,    -1,    -1,    -1,  1818,
      -1,    -1,    -1,    -1,  3931,    -1,    -1,  2697,    -1,    -1,
      -1,  1830,    -1,    -1,    -1,  3091,    -1,  3093,  4466,    -1,
      -1,    -1,  2712,  1842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3624,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1886,  1887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3182,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,
      -1,    -1,    -1,    -1,    -1,  3221,    -1,    -1,  4596,  3724,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3246,    -1,    -1,  3748,    -1,    -1,    -1,    -1,  3254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2022,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,    -1,    -1,
    2920,    -1,  2922,    -1,    -1,    -1,    -1,  2927,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3323,    -1,    -1,
      -1,    -1,    -1,    -1,  4181,    -1,    -1,    -1,  1613,    -1,
      -1,    -1,  1617,    -1,    -1,  3341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4721,    -1,    -1,    -1,    -1,    -1,  3355,
      -1,    -1,    -1,    -1,    -1,    -1,  2976,    -1,    -1,    -1,
      -1,    -1,    -1,  4220,    -1,    -1,    -1,  4745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2995,  3881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3020,    -1,    -1,    -1,    -1,    -1,    -1,  4785,  2157,    -1,
      -1,    -1,  2161,  2162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4306,
      -1,  3457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4838,    -1,    -1,    -1,    -1,  4843,  4844,    -1,    -1,    -1,
      -1,  3091,  3478,  3093,  2223,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3503,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2277,    -1,
      -1,  3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4066,  3182,  4420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4956,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1978,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3323,    -1,    -1,    -1,  1992,    -1,    -1,
      -1,  1996,    -1,    -1,    -1,  4220,    -1,    -1,  3724,    -1,
      -1,  3341,    -1,    -1,    -1,  2010,  2011,  2012,    -1,  2014,
      -1,  2480,    -1,    -1,    -1,  3355,  4241,    -1,    -1,  4596,
      -1,    -1,  3748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3457,    -1,  2124,
      -1,    -1,    -1,    -1,  2129,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,
      -1,    -1,    -1,    -1,  4721,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3881,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,  4745,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4420,    -1,  3537,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3931,    -1,    -1,  4785,    -1,
      -1,  2680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2697,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4466,    -1,  2712,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4838,    -1,    -1,    -1,    -1,  4843,  4844,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4956,
      -1,    -1,    -1,    -1,  3724,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,    -1,
      -1,  2920,    -1,  2922,    -1,  4181,    -1,    -1,  2927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4220,    -1,  4721,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2976,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,    -1,
    4745,    -1,    -1,    -1,    -1,    -1,  2995,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4306,    -1,    -1,    -1,  5161,    -1,    -1,    -1,    -1,    -1,
      -1,  3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4838,    -1,    -1,    -1,    -1,  4843,  4844,
      -1,    -1,  3091,    -1,  3093,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3182,    -1,    -1,  4056,    -1,    -1,    -1,
      -1,  2726,    -1,    -1,    -1,    -1,  4066,    -1,    -1,    -1,
      -1,  4956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4466,  2746,    -1,  2748,    -1,    -1,  2751,  2752,    -1,  2754,
      -1,  2756,  3221,    -1,    -1,  2760,    -1,    -1,  2763,    -1,
      -1,    -1,    -1,  2768,    -1,    -1,    -1,    -1,    -1,  2774,
      -1,    -1,    -1,    -1,  2779,    -1,    -1,  3246,    -1,    -1,
      -1,  2786,  2787,  2788,  2789,  3254,    -1,    -1,  2793,  2794,
      -1,  2796,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2808,    -1,  2810,    -1,    -1,    -1,    -1,
      -1,    -1,  2817,  2818,  2819,  2820,  2821,  2822,  2823,  2824,
    2825,  2826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3323,    -1,    -1,    -1,  2863,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4596,    -1,  3341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4220,    -1,    -1,    -1,    -1,    -1,  3355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2963,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4306,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3457,    -1,
      -1,    -1,    -1,    -1,    -1,  4721,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4785,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4838,    -1,    -1,    -1,    -1,  4843,  4844,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3211,  3212,    -1,    -1,
      -1,  3216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3724,  4596,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3748,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4745,    -1,    -1,    -1,    -1,
      -1,    -1,  3881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4785,    -1,    -1,  3453,    -1,
      -1,    -1,    -1,    -1,  3459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3475,  3476,    -1,    -1,  3479,  3480,  3481,  3482,    -1,    -1,
    3485,  3486,  3487,  3488,  3489,  3490,  3491,  3492,  3493,  3494,
    3495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4838,    -1,
      -1,    -1,    -1,  4843,  4844,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3517,    -1,    -1,  3520,    -1,  3522,    -1,    -1,
    3525,  3526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3540,  3541,  3542,  3543,    -1,
    3545,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4056,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4956,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3633,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4306,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3852,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4466,  4003,    -1,
      -1,    -1,  4007,  4008,  4009,    -1,    -1,    -1,    -1,    -1,
    4015,  4016,  4017,  4018,    -1,    -1,    -1,    -1,  4023,  4024,
    4025,  4026,  4027,  4028,  4029,  4030,  4031,  4032,  4033,  4034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4059,    -1,    -1,  4062,    -1,  4064,
      -1,    -1,    -1,  4068,    -1,    -1,  4071,  4072,    -1,    -1,
    4075,  4076,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4596,    -1,    -1,
    4135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4745,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4785,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4838,
      -1,    -1,    -1,    -1,  4843,  4844,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4415,  4416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4456,    -1,    -1,    -1,    -1,  4461,  4462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4476,    -1,  4478,    -1,    -1,    -1,  4482,  4483,  4484,
      -1,    -1,  4487,    -1,    -1,  4490,  4491,  4956,    -1,    -1,
    4495,    -1,    -1,    -1,  4499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4554,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4743,  4744,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4759,  4760,  4761,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4796,  4797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4808,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4982,    -1,    -1,
    4985,    -1,    -1,    -1,  4989,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5038,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5155,    -1,  5157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5366,  5367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5417,  5418,    -1,    -1,    -1,  5422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,  5448,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,   466,   467,    -1,    -1,    -1,    -1,    -1,    -1,
     474,   475,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,   475,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,   475,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
     465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
     475,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,    -1,     3,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,   475,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    -1,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,    -1,    -1,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
      -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,    -1,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   475,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,    -1,   255,
     256,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,
     456,   457,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,   475,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
     455,   456,   457,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
     475,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,    -1,
      -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,
      -1,    -1,    -1,   472,   473,   474,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,
     467,    -1,    -1,    -1,    -1,    -1,    -1,   474,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
     465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
     465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
     465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,
      -1,    -1,     3,     4,     5,     6,     7,   474,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,
       3,     4,     5,     6,     7,   474,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,     3,     4,     5,
       6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,   474,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,     3,     4,     5,     6,     7,    -1,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,   474,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,   474,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,    -1,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,    -1,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,     3,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,   270,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,   270,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,
       9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,     3,    -1,    -1,    -1,    -1,   465,   466,   467,    -1,
      -1,    -1,    -1,    -1,    -1,   474,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,    -1,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   474,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    -1,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,    -1,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,    -1,   211,    -1,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
      -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,
       8,     9,    -1,    -1,    -1,    -1,   474,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,
      -1,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,     3,     4,     5,    -1,    -1,     8,     9,
      -1,    -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,     3,
      -1,   461,   462,   463,     8,   465,   466,   467,   468,   469,
     470,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    -1,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    -1,    93,
      94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,
      -1,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,    -1,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,    -1,   223,
      -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,    -1,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,     3,    -1,   461,   462,   463,
       8,   465,   466,   467,   468,   469,   470,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    -1,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,    -1,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,    -1,   211,    -1,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
      -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,     3,    -1,   461,   462,   463,     8,   465,   466,   467,
     468,   469,   470,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,     3,    -1,   461,
     462,   463,     8,   465,   466,   467,   468,   469,   470,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,     3,    -1,   461,   462,   463,     8,   465,
     466,   467,   468,   469,   470,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,     3,
      -1,   461,   462,   463,     8,   465,   466,   467,   468,   469,
     470,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    -1,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    -1,    93,
      94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,
      -1,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,    -1,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,    -1,   223,
      -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,    -1,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,     3,    -1,   461,   462,   463,
       8,   465,   466,   467,   468,   469,   470,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    -1,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,    -1,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,    -1,   211,    -1,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
      -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
       3,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    -1,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,    -1,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,    -1,   211,    -1,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
      -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,    -1,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    -1,    -1,
      -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,    -1,    -1,   255,   256,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,    -1,   400,    -1,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,   467,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,    -1,   400,    -1,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,     3,     4,     5,
      -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,   455,   456,
     457,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
     467,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,     4,     5,    -1,    -1,    -1,     9,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,     4,     5,
      -1,    -1,    -1,     9,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,     5,    -1,    -1,    -1,     9,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,     9,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,   163,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,     4,     5,    -1,    -1,    -1,     9,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,   160,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,   270,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,   270,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
      -1,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,    -1,   255,
     256,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,
     456,   457,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,    -1,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,    -1,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,    -1,    -1,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,   279,
     280,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,    -1,
     400,    -1,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,    -1,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
      -1,   400,    -1,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,    -1,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    -1,    -1,
      -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
      -1,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,    -1,   400,    -1,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,    -1,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,    -1,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,    -1,   400,    -1,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,    -1,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,
     457,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,    -1,   255,
     256,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,    -1,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,    -1,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,
     456,   457,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,    -1,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,    -1,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     455,   456,   457,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,    -1,   222,   223,
     224,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,    -1,
      -1,   255,   256,   257,   258,    -1,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
      -1,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   455,   456,   457,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,    -1,   400,    -1,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,    -1,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   455,   456,   457,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,   147,   148,   149,    -1,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,    -1,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,    -1,   279,   280,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,    -1,   400,    -1,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,    -1,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   455,   456,   457,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    -1,    49,    -1,
      -1,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    -1,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,    -1,    -1,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,    -1,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,    -1,    -1,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,   250,
     251,   252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,
     261,    -1,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,    -1,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,    -1,    -1,    -1,   397,   398,    -1,   400,
      -1,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,    -1,    -1,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   455,   456,   457,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    -1,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,    -1,
      -1,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,    -1,   152,    -1,   154,   155,    -1,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,    -1,   199,
     200,   201,   202,    -1,    -1,    -1,    -1,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,    -1,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,    -1,    -1,
     250,   251,   252,    -1,    -1,   255,   256,    -1,   258,    -1,
      -1,   261,    -1,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,    -1,
     280,    -1,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,    -1,   359,
     360,    -1,   362,   363,    -1,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,    -1,    -1,    -1,    -1,   397,   398,    -1,
     400,    -1,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,    -1,    -1,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   455,   456,   457
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    55,    67,    69,    70,
      76,    78,    89,    91,   108,   111,   125,   127,   131,   137,
     145,   147,   153,   169,   186,   226,   227,   232,   244,   256,
     299,   313,   319,   320,   322,   327,   332,   335,   342,   348,
     349,   356,   360,   370,   383,   403,   413,   419,   424,   437,
     460,   474,   481,   482,   483,   484,   485,   491,   492,   494,
     495,   496,   497,   499,   503,   515,   520,   521,   524,   525,
     526,   549,   552,   553,   569,   613,   614,   617,   620,   621,
     622,   630,   636,   638,   640,   641,   644,   647,   648,   652,
     661,   665,   666,   667,   668,   671,   673,   674,   675,   676,
     684,   685,   705,   709,   711,   712,   713,   723,   725,   732,
     733,   736,   737,   738,   739,   740,   748,   750,   754,   759,
     763,   764,   772,   773,   776,   781,   794,   821,   824,   825,
     826,   831,   834,   836,   838,   840,   841,   846,   847,   850,
     851,   852,   856,   857,   860,   861,   864,   865,   866,   873,
     875,   876,   877,   882,   884,   885,   891,   892,   893,   894,
     895,   896,   897,   899,   900,   902,   903,   905,   908,   911,
     920,   926,   929,   931,   932,   941,   943,   948,   953,   957,
     958,   959,   960,   961,   962,   965,  1000,   397,   440,   878,
      25,    73,    88,   106,   112,   129,   140,   148,   160,   165,
     172,   191,   216,   237,   271,   294,   304,   305,   308,   334,
     337,   341,   343,   350,   353,   372,   378,   382,   383,   386,
     390,   400,   405,   417,   430,   637,   878,     3,    18,    19,
      20,    21,    22,    23,    24,    25,    27,    28,    29,    37,
      38,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    53,    54,    55,    56,    57,    58,    61,
      62,    63,    64,    65,    67,    68,    69,    70,    71,    73,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    85,
      86,    87,    88,    89,    90,    92,    93,    94,    95,    99,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   113,
     115,   116,   117,   118,   119,   120,   122,   123,   124,   125,
     128,   129,   130,   131,   132,   134,   135,   136,   138,   139,
     140,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     152,   154,   155,   156,   157,   159,   161,   162,   164,   165,
     166,   167,   168,   170,   171,   173,   174,   175,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   188,   189,
     190,   191,   192,   193,   194,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   206,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   220,   221,   222,   223,   224,
     226,   227,   228,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   255,   256,   257,   258,
     260,   261,   262,   263,   264,   265,   267,   268,   271,   272,
     273,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   293,   294,   295,
     296,   297,   298,   299,   300,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     350,   351,   352,   353,   354,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   381,   382,
     384,   385,   386,   387,   388,   389,   390,   392,   393,   394,
     397,   398,   399,   400,   401,   403,   404,   405,   406,   407,
     408,   409,   412,   413,   414,   415,   416,   419,   420,   421,
     422,   423,   424,   425,   427,   428,   429,   430,   431,   432,
     435,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,  1059,  1132,  1140,  1141,  1144,  1145,  1146,     3,    26,
     954,  1126,  1140,  1144,   428,   913,   269,   300,   878,    49,
     474,   560,    20,    25,    37,    60,    73,    84,   106,   112,
     129,   140,   148,   160,   168,   172,   228,   271,   274,   294,
     308,   334,   343,   353,   372,   378,   386,   387,   389,   390,
     400,   405,   411,   414,   417,   570,   619,   728,   782,   795,
      26,   299,  1126,   954,    26,   293,   351,   387,   389,     5,
     215,   832,   833,  1135,    20,    25,    37,    60,    73,    88,
     106,   129,   140,   148,   160,   165,   172,   191,   237,   271,
     284,   294,   305,   308,   334,   337,   341,   343,   350,   353,
     372,   378,   383,   386,   390,   398,   400,   405,   417,   430,
     637,   741,   742,   743,   878,  1126,    91,   428,   474,   614,
     617,   620,   911,   921,   929,   932,   941,   948,   953,   957,
       9,    19,    26,    44,   155,   161,   163,   187,   217,   251,
     302,   321,   465,   466,   760,   761,   954,  1134,  1136,    26,
      91,   317,   349,   765,   766,   767,  1140,   160,  1140,  1131,
    1135,   383,   968,   760,  1140,   397,  1126,   284,   237,   106,
     191,   343,   382,   383,   474,   842,   843,   342,  1140,    26,
     354,   393,   397,   507,   516,   517,  1140,    23,   169,   765,
     766,   300,   878,  1140,   214,    26,   126,   970,   971,    61,
      85,   228,   246,   334,   343,   354,   393,   397,   443,   504,
     505,   506,   507,    26,   354,   393,   397,   507,   397,   270,
    1011,  1124,  1140,   968,   467,  1140,   164,   474,   914,   474,
     315,   963,   964,  1126,   963,   958,   959,   962,     0,   477,
     474,   913,   141,   205,   275,   410,   972,   973,   958,   960,
     961,   117,   201,   416,   478,   811,  1132,   745,  1140,   745,
    1127,  1140,   303,   745,   400,  1126,   105,   383,   799,  1132,
    1140,  1146,     3,   102,   355,  1137,  1138,  1142,  1144,  1145,
    1146,    26,   181,  1124,   263,   430,     8,    15,    16,    17,
      68,   152,   461,   462,   463,   465,   466,   467,   468,   469,
     470,   828,   830,  1088,  1089,  1140,   181,  1126,   799,  1126,
      26,  1137,  1138,   799,  1126,  1126,   181,  1124,  1126,   745,
    1126,   327,   356,    26,   181,  1011,  1126,   346,  1126,   745,
      26,   235,  1137,  1138,   181,  1124,   215,   114,   211,   254,
     311,   879,   880,   881,   474,   472,   476,  1115,  1117,  1124,
    1130,  1140,    20,    25,    60,    73,    74,    84,    88,   106,
     129,   140,   148,   160,   165,   191,   216,   237,   271,   294,
     305,   308,   334,   337,   341,   343,   350,   353,   372,   378,
     383,   386,   390,   398,   400,   405,   430,   637,   751,   752,
    1135,   928,   932,   941,   948,   957,  1124,   239,  1132,  1126,
     474,   181,   745,   400,  1127,   745,   400,   181,  1126,   105,
     383,   387,   389,  1137,  1138,   387,   389,    68,   152,   828,
     325,  1126,  1126,  1137,   181,   500,  1140,   181,  1126,   181,
     745,  1126,  1126,   346,  1126,   745,   235,  1137,   315,   350,
     383,   430,   237,    88,   191,   165,   305,   341,   398,   404,
     631,    26,  1126,   955,   514,  1135,  1142,   833,   239,   181,
     811,   812,  1126,   181,   837,   181,  1127,     3,    48,    50,
      51,    63,    64,   109,   110,   130,   156,   181,   203,   204,
     206,   247,   249,   262,   312,   358,   364,   393,   394,   425,
     747,  1033,  1035,  1037,  1039,  1041,  1043,  1044,  1045,  1047,
    1048,  1049,  1051,  1052,  1141,  1144,   400,   105,   383,   181,
     798,   799,   181,  1138,  1139,    80,   430,    68,   152,   181,
     829,   830,    53,   181,   798,   181,  1139,   181,   798,   181,
    1126,   181,  1126,   346,   837,   181,   747,   181,   235,  1139,
     215,   181,   744,   745,   181,  1125,  1126,   181,  1126,   474,
     930,   570,   921,   424,   911,   922,   923,   924,  1142,   913,
    1136,   761,   762,    26,   762,  1136,   762,    26,   762,  1136,
     762,   762,   762,  1136,  1134,  1134,   954,   762,   303,   474,
     474,   590,   590,   590,   269,   395,   478,   590,   343,  1011,
    1012,   478,   874,  1135,   474,   927,    53,   430,   428,   844,
     845,  1124,  1126,  1140,    43,   457,   211,   476,   272,   272,
     269,   163,  1135,   395,   158,   755,   269,     4,     6,     7,
       8,    10,    34,    48,    50,    51,    59,    60,    63,    64,
      71,    73,    96,    97,    98,    99,   100,   101,   102,   109,
     110,   112,   146,   150,   151,   156,   171,   173,   203,   204,
     206,   221,   229,   230,   247,   249,   254,   259,   260,   262,
     271,   282,   295,   312,   339,   355,   364,   379,   393,   394,
     399,   401,   402,   411,   417,   425,   445,   446,   447,   448,
     450,   451,   452,   453,   458,   465,   466,   467,   474,   958,
    1036,  1039,  1042,  1043,  1044,  1046,  1047,  1048,  1051,  1052,
    1056,  1058,  1059,  1060,  1062,  1084,  1085,  1086,  1090,  1109,
    1114,  1121,  1122,  1132,  1133,  1134,  1135,  1140,  1120,  1121,
    1135,    26,   522,  1123,  1124,   354,   504,   112,   513,  1135,
     514,  1135,    43,    65,   504,   457,   365,   880,   272,   163,
     395,   463,    43,   457,   211,   881,   474,  1124,   467,  1117,
    1012,     3,   162,   164,   428,   906,   907,   911,   162,   915,
    1056,  1093,   963,   478,   474,   916,   475,   475,   483,   428,
     909,   910,   917,   918,   919,  1124,    26,   126,   969,   969,
      53,   969,   153,   158,   225,   266,   976,   978,   979,   994,
     996,   997,   998,   972,   973,   163,   207,  1011,  1013,   474,
     285,   323,   356,   474,   809,   285,   319,   323,   356,   476,
     746,   285,   323,   356,     3,    83,   135,   231,   285,   323,
     356,   386,   388,   437,   515,   518,   886,   887,   888,   889,
     777,    22,   131,   285,   323,   356,   421,   531,  1126,    22,
     131,   356,   416,   498,   441,   181,  1011,    56,    90,   120,
     149,   184,   220,   254,   285,   286,   323,   331,   340,   348,
     356,   368,   376,   432,   515,   519,   814,   822,   474,   796,
    1117,   323,   498,   187,   146,    22,    28,    41,    70,   120,
     124,   131,   134,   159,   193,   252,   254,   264,   273,   285,
     323,   326,   327,   356,   421,   527,   529,   530,   655,     4,
     465,   466,   628,  1136,    26,   181,  1124,   745,   745,   474,
     827,   285,   356,   476,   146,   269,   120,   285,   323,   356,
     822,    22,   131,   285,   323,   356,   187,   493,   323,   437,
     460,   486,   493,   120,   285,   323,   356,   822,   269,   285,
     323,   146,    35,    54,   104,   190,   238,   241,   252,   284,
     323,   328,   350,   356,   370,   527,   625,   626,   285,   323,
     429,   655,   663,   285,   323,   356,    83,   124,   134,   285,
     319,   323,   356,   517,   505,   507,   187,   146,    41,   122,
     323,   356,   527,   528,   285,   323,   327,   356,    81,   123,
     287,   388,   269,    22,    28,   131,   285,   323,   356,   550,
     551,   493,   158,   323,   486,   493,   146,   323,   356,   527,
    1126,   223,   114,   270,   442,   478,   879,    26,   126,   426,
     467,   475,   804,  1056,  1094,  1095,  1141,  1056,  1116,     3,
      26,    30,    31,    32,    33,    34,    35,    36,    39,    52,
      59,    60,    66,    72,    74,    84,    91,    96,    97,    98,
     100,   101,   102,   112,   114,   121,   126,   127,   133,   137,
     141,   151,   153,   158,   160,   163,   169,   172,   176,   187,
     195,   205,   207,   218,   219,   225,   229,   230,   254,   259,
     266,   269,   270,   274,   275,   292,   301,   317,   330,   349,
     355,   366,   380,   383,   391,   395,   396,   402,   410,   411,
     417,   418,   426,   433,   434,   436,   437,   467,  1129,  1143,
    1144,  1145,  1146,  1147,  1115,   418,   904,   269,   239,   811,
     474,  1126,  1033,   400,   105,   383,   799,   263,   430,    68,
     152,   830,  1126,   799,   799,  1126,   346,   158,  1126,  1033,
     215,   745,  1126,   475,   590,  1126,   474,   718,   809,    66,
    1033,   254,   163,   474,   714,  1126,   486,    35,   898,  1126,
     254,   486,   441,   181,  1124,   486,   745,   745,   714,   414,
     570,   269,   158,   858,   859,   486,   254,    43,   501,   254,
     405,   662,   254,   916,    83,   285,   639,    81,   123,   287,
     388,    24,    45,   202,   686,    35,   714,   158,   181,   486,
     430,   181,  1124,   181,   615,  1124,  1124,   430,   745,    80,
     783,  1132,  1132,  1126,   158,   637,    49,   103,   200,   252,
     345,   146,    57,   329,   478,   532,   532,   146,   474,   146,
     427,  1050,  1050,  1050,   474,  1038,  1038,   297,   474,  1040,
     146,    63,    64,  1050,  1038,  1035,   439,   460,   474,  1053,
     474,  1053,   478,   532,    34,  1034,   474,   107,   179,   240,
     243,   347,   455,   474,  1054,  1055,   746,  1038,   441,   146,
     478,   532,   146,   478,   181,   744,   181,   745,   181,   745,
     146,   478,   532,  1139,   146,   532,   146,   146,   532,   146,
     532,   146,    81,   123,   287,   388,   158,   146,   532,   146,
     158,   181,   181,   514,   146,   478,   532,   146,   478,   532,
     146,   269,  1093,   383,   475,   478,   151,   269,   402,   511,
     514,   628,   925,   921,   762,   954,   762,   954,   762,   954,
     762,   954,   762,   954,   954,   954,   762,   954,   474,   591,
     592,  1140,   591,    26,   106,   129,   160,   165,   215,   216,
     305,   337,   343,   350,   383,   386,   405,   768,  1123,  1139,
     767,  1126,   187,   478,   944,  1135,  1033,  1096,    35,  1139,
     783,   475,   478,   223,  1140,   158,   158,   768,  1139,   342,
    1140,   514,   269,   474,  1118,   472,   958,  1097,  1056,  1113,
     474,   474,   158,   474,   474,   958,   474,   474,   474,   474,
     474,   474,  1056,   474,   474,   474,   474,   474,   474,   474,
     474,   958,   474,   474,   474,   474,   474,   474,   474,   474,
    1056,  1056,  1056,   958,  1056,  1093,  1117,  1135,   474,  1135,
       3,     8,    11,    15,    16,    17,    32,    35,    40,    47,
      72,   182,   187,   209,   210,   224,   257,   271,   274,   361,
     458,   461,   462,   463,   465,   466,   467,   468,   469,   470,
    1088,  1090,  1092,   438,  1071,   281,  1056,   207,   478,   966,
     474,  1135,  1117,   966,   115,   183,   523,   478,    65,   112,
     514,    35,     3,   112,   228,   512,   628,  1052,  1135,  1135,
      86,   128,  1068,    95,   112,   508,   509,   511,   628,   112,
     508,   223,  1124,    87,   328,   749,   475,   478,   913,   475,
     478,   964,  1125,    35,   475,   478,   478,   916,   960,   960,
     974,   975,  1056,   960,   155,   251,   985,   213,   252,   311,
     359,   416,    26,   980,  1056,   465,   466,   981,   982,  1056,
    1058,   994,   995,   979,   978,   976,   977,   158,   997,   264,
     999,   976,   994,  1013,   933,  1124,    35,  1140,   356,  1093,
     395,   395,   343,   187,   198,   275,   278,   358,   426,   467,
     802,   803,   804,   806,   808,   810,  1033,  1141,   395,   429,
     395,   343,  1129,   476,   395,   395,   343,   225,   395,   395,
     386,   504,   285,   886,   888,   463,   890,   158,   169,   187,
     332,   778,   779,    66,    84,   142,   160,   301,   411,   587,
     588,    84,   112,   254,   395,    84,   395,   112,   254,   343,
      84,   124,   134,   285,   323,   710,   343,   645,    20,    25,
      60,    73,    88,   129,   140,   160,   165,   237,   271,   305,
     337,   343,   350,   353,   383,   390,   398,   405,   430,   637,
    1126,   146,   323,   356,   527,   269,   628,   269,   348,   220,
     395,  1140,   395,   259,   628,   116,   208,   343,   354,   397,
     506,   329,   356,   814,   823,   475,   797,   802,   395,   417,
     386,  1124,    74,   142,   181,   577,   587,  1140,    74,    84,
     848,   289,   269,   269,   339,   341,   400,    84,   848,    29,
     326,   339,   341,   400,   339,  1124,   159,   193,   264,   745,
     474,   395,   395,   180,   474,   536,   234,   386,   414,   437,
     439,   536,    84,   478,     4,     4,   285,   187,   146,   120,
     323,   356,   527,   418,   418,   253,  1033,   395,   343,   474,
     828,  1126,  1124,   269,   395,   395,   343,   823,   383,   383,
     395,   395,   383,   714,   106,   356,   518,   395,   488,   518,
     269,   395,   395,   343,   823,  1124,   395,   395,  1124,  1035,
     628,    53,   627,   628,   628,   104,   238,   241,    53,   395,
     486,   245,   343,   486,   252,   626,   395,   395,   259,  1135,
     655,   395,   395,   343,  1135,   395,   308,   395,   308,   714,
     386,  1011,   289,   289,    84,   395,   848,   343,   395,   395,
     536,   536,   745,   745,   745,   745,  1124,    42,   423,    42,
      42,   395,    42,   395,   423,   343,   478,   518,   417,   672,
    1138,   395,   488,   518,  1124,   395,   343,   285,   323,   311,
     324,   352,   510,   879,  1094,  1094,  1095,   475,    13,    14,
     478,   972,   973,   473,   479,  1130,  1140,  1124,   209,  1033,
     269,   209,   441,   209,   628,   745,   745,   209,   269,   209,
     209,   269,    81,   123,   287,   388,  1033,   269,   209,   209,
     209,   395,   437,   561,   405,     3,   719,   720,   714,   474,
      35,   146,   745,   715,   716,  1143,    24,   886,  1033,   269,
     146,   642,  1126,   254,   289,   474,   487,   728,   418,   315,
     430,  1124,    26,   383,   437,   818,   487,   146,  1138,    91,
     169,   502,   569,   621,   685,   763,   781,   882,   146,  1135,
     663,   664,   146,   269,  1135,  1138,   231,   745,   745,   745,
     745,   264,   117,   201,   403,   416,   687,   688,   138,   310,
     474,   672,   254,   487,  1124,   254,   623,   625,   254,    35,
     264,   289,   474,   590,   590,   181,   618,  1124,   158,   181,
     784,  1130,   474,   800,   800,    35,  1033,   215,   437,   439,
     956,   345,   812,   811,  1033,  1127,   474,  1093,  1134,   747,
    1050,  1050,    34,  1034,   393,   393,  1134,  1134,  1033,   472,
     472,  1134,   395,   395,   395,   474,   395,  1134,  1038,   798,
     799,  1139,  1138,   146,   532,   146,   418,   146,   418,   829,
     830,   532,   798,  1139,   798,  1126,  1126,  1033,   747,  1139,
     672,   146,   146,   532,   744,   745,  1125,  1126,  1126,   745,
     475,   181,  1124,   921,   923,   954,   954,   954,   954,   954,
     954,   591,   475,   478,   475,   166,   306,   338,   351,   384,
    1125,   744,   105,   353,   798,  1125,   263,   798,   798,  1125,
    1123,  1123,  1125,   744,   395,   437,   774,   141,   225,   669,
     670,    20,   144,   339,   359,   945,  1011,   258,   946,   475,
     478,   928,   395,  1124,   842,   843,   845,   766,   765,   766,
     163,   170,   775,  1140,    25,    74,   106,   129,   140,   160,
     165,   216,   237,   305,   308,   334,   337,   343,   350,   378,
     383,   386,   405,   430,   637,   756,   757,  1093,  1115,   473,
    1093,  1097,  1098,   433,  1110,  1111,  1056,  1093,   474,  1134,
    1134,     3,   107,   179,   240,   243,   347,   455,  1099,  1100,
    1135,  1093,  1093,  1093,  1134,  1134,  1056,   828,  1056,  1101,
     339,   465,   466,   474,  1057,  1058,  1090,  1103,   475,  1093,
    1056,  1093,  1104,  1056,    52,   163,   219,   396,  1056,  1093,
    1107,  1093,   245,  1058,  1056,  1066,  1067,  1068,   245,  1056,
    1068,   475,   478,  1134,  1054,  1033,  1056,  1056,  1056,  1056,
    1143,   393,    39,   380,  1119,   745,  1056,   474,   958,  1108,
     126,   128,   151,   254,   259,   264,   402,   412,  1056,   474,
    1056,   395,    47,   182,   187,   224,   361,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,    26,    33,   366,
    1087,   172,   154,  1072,   339,   474,  1084,   168,   228,   383,
     387,   389,   414,   967,  1124,  1122,   163,  1001,  1094,  1001,
    1124,   397,   474,  1135,   478,   475,   180,   180,   532,   919,
     907,   911,   912,  1056,   475,   474,   919,   910,   917,   478,
      36,   121,   418,   792,   339,   340,   465,   466,   982,   984,
    1058,   359,   213,   270,   478,     4,   983,  1134,   983,   339,
     340,   984,  1123,   258,   363,   947,   995,   977,   418,   942,
     112,   283,   474,   934,   957,    35,  1140,   474,   949,   950,
     951,  1140,   475,  1138,  1126,  1126,   278,    53,  1141,   475,
     804,   806,   803,   806,  1141,   275,   475,   478,   746,  1138,
    1126,  1126,  1129,  1138,  1126,  1126,  1138,  1127,  1126,   112,
     511,  1136,   334,   417,   765,   343,   169,   765,   474,  1126,
     418,   785,   213,   213,   418,   474,   612,   181,  1126,   259,
    1138,  1126,  1126,  1056,   259,  1126,  1126,    29,   326,   395,
     395,  1126,   395,   646,   239,   811,   474,   745,   745,  1033,
     400,   105,   383,   799,   430,    68,   152,   830,   799,   799,
    1126,   745,  1126,   745,   346,   158,  1033,   745,   215,   175,
     252,   285,   323,   422,   649,   650,   651,  1011,   395,   848,
     343,   259,   148,   116,   208,  1138,  1126,   269,  1126,   475,
     478,  1137,  1139,  1126,   323,   527,   181,   577,   254,  1033,
    1126,  1134,  1140,  1124,  1126,   148,   223,  1126,    26,   417,
    1126,   181,  1126,   181,  1140,   341,   400,   341,   400,   223,
    1126,    26,   417,  1126,   223,   339,  1124,    22,   131,   356,
     656,   657,   658,   659,  1143,  1138,  1126,   112,   164,   255,
     418,   535,   538,   539,  1143,  1126,   267,    70,   267,  1126,
     530,   395,   386,  1124,   269,   395,   848,   343,  1128,  1140,
    1128,   478,   475,   478,  1138,  1126,   853,   854,  1143,   269,
     323,   395,   680,   148,  1138,  1126,  1126,  1012,  1012,  1138,
    1126,  1012,  1127,  1137,     3,    83,   136,   193,   291,   409,
     417,   420,   489,   148,  1138,  1126,  1126,   323,  1138,  1126,
     323,   356,   527,   625,   628,   745,  1126,   628,   745,  1126,
     628,  1138,  1126,  1138,  1126,  1126,  1138,   818,  1126,   862,
     863,  1143,  1126,   323,   356,   527,   528,  1124,  1124,  1126,
    1126,  1126,  1126,  1138,  1126,    22,    28,   131,   285,   323,
     356,   285,   323,   356,   714,   323,   356,   323,   356,   120,
     323,  1025,  1140,   181,   724,  1140,   181,  1140,  1138,  1126,
    1126,  1135,  1126,    22,   551,   353,  1137,   323,   356,   527,
    1126,  1126,   395,   395,    79,   408,   311,   478,   972,   972,
     972,  1056,  1056,   426,  1095,   475,  1056,  1116,   259,   753,
    1135,    35,   129,   745,   753,   753,   209,   418,   418,   753,
     745,   753,   753,   745,   215,   745,   753,   753,   753,   307,
     555,   267,   163,   395,   554,   191,   463,   475,   478,  1056,
    1033,   745,   475,   478,   463,   687,   579,  1143,  1126,    57,
     163,   343,   429,   643,   650,   651,   146,   264,   224,   571,
     573,   575,   577,   584,   587,    23,   187,   334,   381,   489,
     490,   158,  1128,   430,  1124,    35,   681,   384,  1012,   714,
     500,  1140,   501,   274,   570,  1126,   160,   745,  1093,   308,
    1135,   714,   714,   714,   714,   264,   269,   274,   474,   714,
    1023,  1024,  1025,   353,   146,   474,   146,   146,   145,   957,
     745,   264,   571,  1140,   437,   439,   608,   437,   537,   254,
      35,   590,  1135,   254,   269,   475,   801,   802,   807,    35,
     215,   331,   398,   436,   813,   814,   815,   813,   269,   215,
     514,   178,   178,   158,   532,    35,  1093,   475,   475,   532,
     472,   457,   457,   475,   475,  1134,   473,  1134,   475,   179,
     240,  1055,   240,  1055,  1055,  1134,   243,   475,   532,   744,
     745,  1128,   745,  1128,   532,   532,   532,   532,   215,   532,
     353,   158,   514,   532,   532,   269,   532,   254,   475,   592,
     187,   187,   187,   187,   187,   441,  1125,   628,   629,   172,
     769,   770,  1138,    23,   775,   395,   474,   163,   144,   359,
     144,   359,   339,   416,   242,  1033,  1138,   437,   616,  1124,
    1126,   163,   269,   769,    53,   532,   811,  1033,   400,   383,
     799,   263,   430,   799,   799,  1033,   215,   745,  1126,   475,
     473,   473,   478,  1056,   133,  1111,  1112,    35,   475,  1056,
     475,   475,   475,   163,   475,   475,   475,   475,   475,   478,
     475,   292,  1102,   475,   474,  1057,  1057,  1093,    11,    15,
      16,    17,   187,   209,   271,   461,   462,   463,   465,   466,
     467,   468,   469,   470,  1090,  1057,   475,   475,   158,   163,
    1105,  1106,   475,    35,  1107,  1093,  1107,  1107,   163,   475,
     475,  1143,   290,  1070,    35,   475,   478,  1056,  1143,   478,
    1056,  1118,  1056,   475,   457,  1057,  1057,   139,  1093,   163,
     126,   128,   151,   259,   264,   402,   412,   474,   139,   828,
    1056,   380,  1119,  1056,  1108,  1056,   395,   474,   958,   474,
     474,   280,  1076,   474,  1093,   387,   389,   387,   389,  1124,
     968,   968,   968,   218,   340,   454,   474,   958,  1002,  1003,
    1004,  1011,  1016,  1026,  1059,  1061,  1062,  1140,   434,  1021,
     972,  1021,   880,  1134,  1054,   509,   919,   928,   975,   271,
    1088,  1091,   459,   793,     4,  1134,   984,   270,   416,   981,
     233,  1002,   434,  1022,   424,   382,   417,   935,   936,   937,
    1140,   269,   938,  1140,   951,   952,   478,  1001,   463,  1118,
     810,   746,   806,   806,    53,   808,   469,  1139,  1139,   269,
    1125,   272,   269,  1056,   588,  1128,   474,   474,   474,   612,
     191,   591,   703,   146,   532,   395,  1138,  1126,   514,  1126,
    1033,  1126,   441,   745,   745,   745,   745,    81,   123,   287,
     388,  1033,  1126,   632,  1126,   175,   422,   395,   395,   632,
     649,   655,   323,   356,   527,  1126,  1126,  1126,   199,  1126,
     259,   802,   284,   356,   395,   254,   146,   273,   653,   703,
     356,    22,   131,   327,   328,   356,   531,   540,   541,   655,
     849,  1126,   348,   146,   532,   146,   532,  1126,  1126,  1126,
    1126,   348,   348,   223,   658,   659,   658,   475,   478,   660,
    1135,   191,   475,   478,   463,   476,  1138,  1126,   323,   356,
     527,   148,  1126,  1126,  1126,   285,   323,   356,    22,   131,
     285,   323,   356,  1033,   253,  1033,   475,   478,   463,  1124,
     395,  1139,   418,   677,  1126,   225,   291,   259,  1135,   291,
    1139,   415,  1126,   395,   395,   343,   478,   818,   284,   356,
      84,   395,   848,   343,   112,   158,   542,   395,   395,   235,
     235,   235,   395,   395,   343,   395,   395,   343,   395,   343,
     395,   343,   269,   395,   532,  1033,   254,  1135,   356,   849,
     146,   532,   395,   395,  1126,   395,   343,  1138,  1126,   475,
     475,   475,  1095,   473,  1033,   745,   209,   753,  1128,  1128,
     209,   209,  1126,   209,   373,   374,   556,  1135,   555,   175,
     253,   271,   465,   466,   628,   717,   806,  1091,  1135,  1147,
       3,   720,   475,   475,   163,   714,   716,   717,   269,    66,
      72,    84,   112,   114,   167,   195,   254,   259,   301,   317,
     411,   580,   581,   583,   145,   433,   486,   514,  1126,   514,
     653,  1124,  1124,  1124,   475,   478,  1139,   172,   334,  1139,
    1134,   405,  1124,   590,     3,   158,   682,    43,   501,   325,
     383,   662,   105,   916,   163,   862,   537,   591,  1124,   688,
     721,   722,  1135,   475,   478,  1126,   158,   591,  1124,   615,
    1124,  1126,   616,   474,   572,  1124,   475,   267,   536,   267,
     269,   609,   536,    35,   146,   957,   537,   395,   146,  1011,
     475,   478,   112,   463,   816,  1135,   514,   383,   805,   806,
     158,   817,   815,   117,   201,   349,   416,   871,  1126,   175,
     957,  1033,   475,  1134,  1053,  1053,   473,   473,   475,   532,
     418,   532,   418,   532,  1126,  1126,   672,   532,   745,   146,
     343,   343,   343,   343,   343,  1125,   478,  1138,   437,   478,
     771,   272,  1012,   353,   144,   144,   105,   252,  1139,   768,
     532,  1138,   209,   209,   209,   628,   209,   209,   209,   209,
     209,  1097,   391,  1056,   137,  1033,   475,  1056,  1056,  1056,
    1105,   475,  1093,   478,  1033,  1057,  1057,  1057,  1057,   126,
     128,   254,   264,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1056,  1056,  1106,  1105,  1033,   475,   475,
     475,  1093,   475,   478,    53,  1058,   475,  1143,  1067,   298,
     377,  1069,   475,   478,   429,  1063,    35,   475,  1135,  1056,
      32,    32,  1056,   475,  1056,   163,   474,  1096,  1056,   475,
     139,  1057,  1057,   139,   139,  1056,  1056,   973,   434,   474,
    1077,  1140,   475,  1093,   478,   968,   968,   968,   968,  1124,
    1124,  1124,   958,  1016,  1026,   163,   474,   958,  1003,  1004,
      35,  1005,  1006,  1140,   478,    92,   164,   197,   212,   222,
     248,   333,  1008,  1006,    35,  1005,  1007,  1140,  1006,   460,
    1020,  1117,  1056,   172,   986,   475,   986,   475,   475,   474,
     793,   155,   217,   270,    95,  1056,   330,   940,   423,   475,
     478,  1118,    82,   940,   475,   478,   950,  1022,  1056,   475,
     469,   810,   405,   166,   338,   344,   351,   384,   406,   780,
     158,   780,   475,   474,   595,   596,   787,  1061,  1140,   591,
     591,   703,  1130,   475,   114,   195,   252,   254,   704,  1126,
    1126,    35,  1126,   418,   418,   745,   745,   745,   745,   215,
     746,  1138,  1126,   395,   848,   343,   395,   199,    53,   386,
    1126,   146,   577,   474,   579,   372,   167,   180,   254,   536,
     486,   105,   167,   254,   372,   375,   536,   626,   356,   541,
     405,  1126,  1140,   348,   657,  1126,   539,   717,  1143,   284,
     356,   395,   848,   343,  1126,   395,   395,   395,   343,   165,
     271,   375,   726,   727,   165,   271,   734,   735,   395,   395,
     343,   475,   475,   475,   854,   253,   628,   806,   855,  1091,
    1135,  1147,   323,  1126,   474,   437,   678,  1136,  1135,  1135,
    1135,  1126,  1126,  1126,   863,    53,   386,  1126,  1126,  1126,
    1126,   424,  1126,  1126,   158,   158,   325,   158,   181,  1138,
    1126,  1126,  1138,  1126,  1126,  1126,  1126,  1126,  1126,   148,
    1126,    72,   533,   146,    24,    45,   405,  1140,  1126,  1135,
     655,  1126,  1126,   972,   475,   209,   753,   209,   209,   753,
     753,   209,   753,   486,   556,   632,   703,   437,   439,   745,
    1124,   474,   745,  1126,  1057,    29,    53,   582,   115,   183,
     114,   259,   213,  1124,   818,   165,   305,   699,   706,   707,
    1140,   642,   289,   474,   572,   585,   194,   602,   575,  1139,
    1139,  1033,   474,   537,    26,   117,   201,   349,   416,   683,
     395,   679,  1138,   181,  1124,   664,   441,   269,  1002,   818,
     318,   689,   475,   478,  1025,   653,   672,   475,   623,    35,
     264,   289,   474,   930,   574,   576,   578,   587,  1140,   289,
     603,   604,   572,   602,    78,   386,   610,   957,   618,   616,
     610,  1135,  1130,   785,   807,  1056,  1056,   478,   474,   813,
     405,   478,   395,   474,   632,   475,   473,  1128,  1128,   532,
     353,   532,  1125,  1125,  1125,  1125,  1125,   628,   169,   770,
     475,  1126,   105,   775,   163,   259,   758,  1135,   758,   758,
     209,   758,   758,   758,   758,   758,  1056,   475,   475,  1106,
     475,  1056,   163,   126,   128,   264,   474,   475,   444,  1065,
    1093,   316,    53,   435,   435,   475,  1056,   252,  1056,   478,
    1064,  1035,  1056,  1056,  1056,  1096,   475,  1056,    32,    32,
    1056,  1056,   139,   475,   475,  1056,  1078,  1140,   475,  1056,
    1124,  1124,  1124,  1124,  1006,  1007,  1006,   474,   449,  1058,
     475,  1140,   474,  1003,   212,   279,  1009,  1003,  1009,   212,
    1008,  1009,   212,   385,  1014,   474,  1140,   474,   276,    53,
     176,   993,  1135,   993,  1135,   828,   264,  1121,   957,   283,
     957,   937,   269,   474,   939,   463,   951,   940,   405,   475,
     395,   765,   163,   703,  1056,   475,   478,   437,    72,   790,
     790,   475,   475,   188,   593,   115,   183,   193,   114,   420,
     532,  1033,  1128,  1128,  1126,  1126,  1126,  1126,  1126,  1139,
    1126,   577,   654,   658,  1136,   582,   181,   259,   628,   582,
     259,  1136,  1140,  1033,   532,   532,   463,    53,   386,  1126,
    1126,  1126,  1126,  1138,  1126,  1126,  1134,  1134,  1033,   478,
    1134,  1134,   478,  1138,  1126,  1126,   395,  1056,    66,  1139,
    1126,   395,   395,   163,   187,   437,  1125,  1125,   745,  1125,
     146,  1126,   745,  1135,  1135,  1033,   532,   532,   475,   209,
     753,   753,   753,   753,   474,   557,   558,   418,   562,   563,
     165,   198,   165,   163,   702,  1056,   254,   581,   112,    35,
     818,   590,   418,   611,  1132,    32,   145,   187,   264,   571,
     542,   143,   189,   474,   353,   418,   591,    35,  1139,   677,
     501,   254,   474,   160,  1126,  1093,   250,   268,   690,   691,
     692,   158,   695,  1135,   353,   537,   145,   957,   745,   264,
     571,   616,   475,   478,   437,   579,    53,   608,   542,   603,
     117,   131,   298,  1126,   437,   883,    35,   163,   269,   474,
    1135,   804,   819,   820,  1141,  1033,   158,  1124,   163,   395,
     839,   196,   633,   532,   532,   532,  1126,   272,   207,   532,
     769,   758,   475,  1057,   163,   474,  1096,   474,   475,   478,
     475,  1058,   316,   475,   423,   369,   475,   475,   475,  1056,
    1056,  1056,   475,   289,  1079,   475,  1017,  1018,  1061,   474,
    1070,  1005,   474,  1125,  1003,   269,   418,  1010,  1003,   212,
    1003,  1132,  1024,   474,  1024,  1140,    94,   173,   336,   474,
     987,   988,   989,   990,   991,   992,  1056,  1056,   436,  1073,
    1073,   475,   954,   935,    84,   786,   787,   127,  1056,   769,
     269,   769,   475,   593,   596,   271,   828,   745,   745,   791,
     791,   317,   593,   474,   818,   475,   395,   356,   946,   475,
     478,    35,   146,   533,   717,  1139,  1126,   395,   474,   799,
     828,   830,   727,   474,   474,   735,  1126,   475,   474,   356,
     946,  1126,  1126,   474,   474,   474,   437,   460,   901,   325,
     901,   901,   158,   533,   753,   564,   565,  1143,    49,    93,
     118,   135,   139,   159,   162,   177,   259,   267,   309,   559,
     486,   119,   799,    35,   835,   835,  1124,   703,   475,   180,
     611,   236,   594,   191,   474,   707,   699,   474,  1124,   475,
     353,    26,    77,    85,   113,   180,   192,   372,   375,   586,
     586,  1123,  1126,  1128,   475,   957,   678,   146,   105,   653,
     163,   691,   339,   383,   693,   132,   696,   433,   698,  1126,
      35,  1126,   616,   572,  1124,   475,   576,   273,     3,   605,
    1144,   609,   603,   608,   340,   340,    58,    66,   228,   957,
     745,  1011,   786,   806,   475,   478,   405,  1021,   367,   367,
     475,   632,   252,   422,   634,   635,  1126,   532,  1057,  1096,
     475,  1066,  1093,    53,   252,   456,    53,   972,   475,   478,
      35,  1019,   112,  1031,  1032,  1057,    75,  1125,   475,  1056,
     474,  1003,  1010,   474,   475,  1024,   475,   474,   357,   474,
     475,   478,  1074,  1075,  1140,   423,  1126,   475,   478,   255,
     416,   771,   780,   532,   790,   818,   474,   792,   792,  1124,
     818,   591,   611,  1126,   386,   658,   180,   418,   534,   356,
     946,  1126,  1096,   158,   730,   730,  1096,  1096,  1056,   386,
     151,   238,   241,   259,   402,   545,   547,   548,   628,  1135,
     545,   546,   543,   544,  1142,   744,   745,   744,   745,  1125,
     532,   475,   478,   467,   474,   511,   566,   628,   898,  1135,
     898,   254,   259,   309,   898,   898,   557,  1135,   835,    38,
     185,   158,   252,   589,   474,   624,   164,   288,   362,   269,
     598,   599,   600,   386,   475,  1132,     5,   708,   572,   602,
    1126,   475,   653,   152,   729,   537,   883,  1124,   441,  1002,
     898,   339,   371,   697,   474,   145,   653,   957,   930,   603,
     572,   602,   579,   474,   610,   608,   609,    66,   272,    66,
     616,   785,   475,   813,   819,  1033,   127,   437,   437,   422,
     632,   653,   475,   475,   475,   316,   423,  1093,   174,   310,
     340,  1080,  1020,  1017,   474,  1057,   475,   478,    35,  1027,
    1028,  1140,   475,  1125,  1093,   475,  1093,   474,  1093,   988,
     478,    35,   957,  1021,   787,   356,   163,   791,   611,   828,
     793,   793,   590,   611,   475,   703,  1126,   624,  1056,   386,
     475,   275,   346,   314,   731,   731,   475,   475,   475,  1126,
     475,   478,   475,   478,   475,   478,  1134,   901,   565,   511,
     567,   568,  1135,  1135,   259,   591,   467,   591,  1135,  1135,
     132,   193,   625,   117,   416,   269,   600,   269,   599,  1126,
     474,   475,   478,   542,   353,   653,   745,    35,    35,   474,
    1126,   694,  1140,  1056,   699,   883,   616,   608,   542,   603,
     474,   606,   607,  1061,  1140,   609,   610,   272,   272,   474,
     188,   788,    27,   202,   872,   165,   165,    47,    95,   407,
    1056,  1081,  1082,  1081,  1081,   475,  1024,   478,  1032,  1143,
     475,   478,   158,  1033,   475,   475,   475,   987,   475,  1075,
    1077,   949,   769,   792,   434,   597,   475,   594,   703,   946,
    1126,   799,    53,   946,   395,   548,   545,   543,   745,   475,
     478,   591,   339,   475,    57,   252,   329,   356,   601,   601,
     475,     5,   353,  1126,   726,   957,   653,   475,  1132,   609,
     603,   608,  1056,   475,   478,   790,   790,   610,   786,   474,
     537,   255,   474,   867,   869,   873,   932,   941,   948,   957,
     799,   799,  1082,   339,   157,   296,   157,   296,   142,  1083,
    1083,  1083,   475,  1058,  1028,   276,     3,   112,   254,   259,
    1029,  1030,   324,  1015,   475,  1021,   532,   793,   474,   703,
     598,   946,   745,   474,   568,   698,    21,   112,   259,  1126,
     653,   883,   474,   610,   608,   609,   475,   607,   791,   791,
     475,   787,   789,   610,   868,   869,   870,   958,   959,   478,
     478,    32,    95,   172,   252,   392,  1070,  1057,  1057,   259,
    1030,   474,  1056,   703,   547,   145,   653,     4,   700,   701,
    1134,  1135,  1143,   609,   610,   790,   788,   475,   478,  1021,
     475,   477,   395,   163,  1082,   339,   277,    75,  1056,   475,
     475,   699,   475,   478,   610,   791,   537,   787,   870,   367,
     367,  1027,   475,  1132,   701,   610,   437,   437,   475,   474,
    1021,   165,   165,   700,   799,   799,   475
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   480,   481,   482,   482,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     484,   485,   486,   486,   486,   487,   487,   488,   488,   489,
     489,   489,   489,   489,   489,   489,   489,   489,   490,   490,
     490,   490,   490,   490,   491,   492,   492,   493,   493,   494,
     494,   494,   494,   495,   495,   495,   495,   495,   495,   496,
     497,   498,   498,   499,   499,   499,   499,   500,   500,   501,
     501,   502,   502,   502,   502,   502,   502,   503,   503,   503,
     504,   504,   504,   505,   505,   505,   505,   506,   506,   506,
     506,   506,   506,   506,   506,   506,   506,   506,   507,   507,
     508,   508,   509,   509,   510,   510,   510,   510,   511,   511,
     511,   511,   512,   512,   512,   512,   512,   512,   512,   513,
     513,   513,   514,   514,   515,   516,   516,   516,   516,   517,
     517,   518,   518,   519,   519,   520,   520,   520,   520,   520,
     521,   522,   522,   523,   523,   524,   525,   525,   525,   525,
     525,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     527,   527,   528,   528,   529,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   531,   531,   532,   532,   532,   533,   533,   534,
     534,   535,   535,   535,   535,   536,   537,   537,   538,   538,
     539,   539,   539,   539,   540,   540,   541,   541,   541,   541,
     542,   542,   542,   542,   543,   544,   544,   545,   545,   545,
     545,   545,   546,   546,   547,   547,   548,   548,   548,   549,
     550,   550,   551,   551,   551,   551,   552,   552,   553,   553,
     554,   554,   555,   555,   556,   556,   556,   557,   557,   558,
     558,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   560,   560,   561,   561,   562,
     562,   563,   563,   564,   564,   565,   566,   566,   566,   566,
     566,   567,   567,   568,   569,   569,   569,   569,   569,   569,
     570,   570,   570,   570,   570,   570,   570,   570,   571,   571,
     572,   572,   573,   573,   574,   574,   575,   575,   575,   576,
     576,   577,   578,   578,   579,   579,   580,   580,   580,   580,
     581,   581,   581,   581,   581,   581,   581,   581,   582,   582,
     583,   583,   583,   583,   584,   585,   585,   585,   586,   586,
     586,   586,   586,   586,   586,   586,   587,   587,   588,   588,
     588,   588,   588,   588,   588,   589,   589,   590,   590,   591,
     591,   592,   593,   593,   594,   594,   594,   594,   595,   595,
     596,   596,   597,   597,   598,   598,   598,   598,   598,   599,
     600,   601,   601,   601,   601,   601,   602,   602,   603,   603,
     604,   605,   605,   606,   606,   607,   607,   607,   608,   608,
     608,   608,   609,   609,   609,   609,   610,   610,   611,   611,
     612,   613,   613,   614,   614,   615,   616,   616,   616,   617,
     617,   618,   619,   619,   620,   621,   621,   622,   622,   623,
     623,   624,   624,   625,   625,   626,   626,   626,   626,   626,
     626,   626,   626,   626,   626,   626,   626,   626,   626,   627,
     627,   628,   628,   628,   628,   629,   629,   630,   630,   631,
     631,   632,   632,   633,   633,   634,   634,   635,   635,   636,
     636,   637,   637,   638,   639,   639,   640,   640,   641,   641,
     642,   642,   643,   643,   643,   643,   644,   645,   645,   646,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   648,   649,
     649,   649,   649,   650,   650,   651,   651,   652,   652,   653,
     653,   654,   654,   655,   656,   656,   657,   657,   657,   657,
     658,   659,   660,   661,   661,   662,   662,   663,   663,   664,
     664,   665,   665,   665,   666,   666,   666,   666,   667,   667,
     668,   669,   669,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   675,   676,   677,   677,   678,   678,   679,   679,
     680,   680,   681,   681,   682,   682,   683,   683,   683,   683,
     683,   684,   685,   685,   686,   686,   686,   687,   687,   688,
     688,   688,   688,   688,   689,   689,   690,   690,   691,   692,
     692,   693,   693,   694,   695,   695,   696,   696,   697,   697,
     698,   698,   699,   699,   700,   700,   700,   701,   701,   701,
     701,   702,   702,   703,   703,   704,   704,   704,   704,   704,
     704,   705,   705,   706,   706,   707,   708,   708,   709,   710,
     710,   710,   710,   711,   712,   713,   713,   713,   713,   713,
     713,   713,   713,   713,   713,   713,   713,   713,   713,   713,
     713,   714,   715,   715,   716,   716,   717,   717,   717,   717,
     717,   717,   718,   719,   719,   720,   721,   721,   722,   722,
     723,   723,   723,   723,   724,   724,   725,   726,   726,   727,
     727,   727,   727,   727,   728,   728,   729,   729,   730,   730,
     730,   731,   731,   732,   733,   733,   734,   734,   735,   735,
     736,   736,   737,   737,   738,   739,   740,   740,   740,   740,
     740,   740,   740,   740,   740,   740,   740,   740,   741,   741,
     741,   741,   741,   741,   741,   741,   741,   741,   741,   741,
     741,   742,   742,   742,   742,   742,   742,   742,   743,   743,
     743,   744,   744,   745,   745,   746,   746,   747,   747,   748,
     749,   749,   749,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   752,   752,   752,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   753,   753,
     754,   754,   754,   754,   754,   754,   754,   754,   754,   755,
     755,   756,   756,   756,   756,   756,   756,   757,   757,   757,
     757,   757,   757,   757,   757,   758,   758,   759,   759,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   761,   761,   762,   762,   763,
     764,   764,   765,   765,   765,   765,   765,   766,   766,   767,
     767,   767,   767,   768,   768,   768,   768,   768,   768,   768,
     768,   768,   768,   768,   768,   768,   768,   768,   768,   768,
     768,   768,   768,   769,   769,   770,   770,   771,   771,   772,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   778,
     778,   778,   779,   779,   779,   780,   780,   780,   780,   780,
     780,   781,   781,   782,   782,   783,   783,   784,   784,   785,
     785,   786,   786,   787,   787,   787,   788,   788,   789,   789,
     790,   790,   791,   791,   792,   792,   792,   793,   793,   793,
     794,   794,   794,   794,   795,   795,   796,   796,   797,   797,
     798,   798,   799,   799,   799,   799,   800,   800,   801,   801,
     802,   802,   802,   802,   802,   803,   803,   803,   803,   803,
     804,   805,   806,   806,   806,   807,   807,   807,   808,   809,
     809,   809,   809,   810,   810,   811,   812,   812,   813,   813,
     814,   814,   814,   814,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   814,   815,   815,   815,   815,
     815,   816,   816,   817,   817,   818,   818,   819,   820,   820,
     821,   821,   821,   822,   822,   823,   823,   824,   824,   824,
     824,   824,   824,   825,   825,   826,   826,   827,   827,   827,
     827,   828,   828,   829,   829,   830,   831,   832,   832,   833,
     833,   834,   834,   834,   835,   835,   835,   836,   837,   837,
     838,   839,   839,   839,   839,   840,   841,   841,   841,   841,
     842,   842,   843,   843,   843,   844,   844,   845,   846,   846,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   848,   848,   849,   849,   850,   850,   850,
     850,   850,   850,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   851,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   851,   851,   851,   851,   851,   851,   851,   851,
     852,   853,   853,   854,   854,   855,   855,   855,   855,   855,
     856,   856,   856,   856,   856,   856,   856,   856,   856,   856,
     856,   856,   856,   856,   856,   856,   856,   856,   856,   856,
     856,   856,   856,   856,   857,   858,   858,   859,   859,   860,
     860,   860,   860,   861,   862,   862,   863,   864,   864,   864,
     864,   864,   864,   865,   865,   866,   867,   867,   867,   868,
     868,   869,   869,   869,   869,   869,   870,   870,   871,   871,
     871,   871,   872,   872,   872,   873,   874,   874,   875,   876,
     876,   877,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   878,   878,   878,   879,   879,
     879,   879,   879,   880,   880,   880,   881,   881,   882,   882,
     882,   882,   883,   883,   883,   883,   884,   885,   886,   886,
     887,   887,   888,   888,   888,   889,   889,   889,   889,   889,
     889,   889,   890,   890,   891,   891,   891,   892,   893,   893,
     894,   895,   895,   896,   897,   897,   897,   897,   897,   897,
     897,   898,   898,   899,   900,   900,   900,   900,   900,   900,
     901,   901,   902,   903,   903,   903,   904,   904,   905,   905,
     906,   906,   907,   907,   907,   907,   907,   908,   908,   909,
     909,   910,   911,   911,   912,   912,   913,   913,   914,   914,
     915,   915,   916,   916,   917,   918,   918,   919,   919,   920,
     920,   920,   920,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   922,   922,   923,   924,   924,   925,   925,   925,
     926,   927,   927,   928,   928,   928,   928,   929,   929,   929,
     930,   930,   931,   931,   931,   931,   932,   933,   933,   934,
     934,   934,   934,   934,   935,   935,   936,   936,   937,   938,
     938,   938,   939,   939,   939,   940,   940,   941,   942,   942,
     943,   944,   944,   945,   945,   945,   945,   945,   945,   945,
     945,   946,   946,   947,   947,   947,   948,   949,   949,   950,
     950,   951,   952,   952,   953,   954,   955,   955,   955,   955,
     955,   956,   956,   956,   957,   957,   958,   958,   959,   959,
     959,   959,   959,   959,   959,   959,   960,   960,   961,   961,
     961,   961,   961,   961,   961,   962,   962,   962,   963,   963,
     964,   965,   965,   966,   966,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   968,   968,   969,   969,   969,   970,
     970,   971,   971,   972,   972,   973,   974,   974,   975,   975,
     976,   976,   976,   976,   977,   977,   978,   978,   978,   978,
     979,   979,   980,   980,   981,   982,   982,   982,   983,   983,
     984,   984,   985,   985,   986,   986,   987,   987,   988,   988,
     988,   988,   988,   989,   990,   991,   992,   993,   993,   994,
     994,   995,   995,   996,   996,   997,   998,   998,   998,   998,
     999,   999,  1000,  1000,  1001,  1001,  1002,  1002,  1003,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1004,  1004,
    1004,  1004,  1004,  1004,  1005,  1005,  1005,  1005,  1006,  1006,
    1007,  1007,  1007,  1007,  1007,  1008,  1008,  1008,  1008,  1009,
    1009,  1010,  1010,  1011,  1011,  1011,  1011,  1012,  1012,  1013,
    1013,  1013,  1014,  1015,  1015,  1016,  1016,  1017,  1018,  1018,
    1019,  1019,  1020,  1020,  1021,  1021,  1022,  1022,  1022,  1023,
    1023,  1024,  1024,  1025,  1026,  1026,  1027,  1027,  1028,  1028,
    1028,  1029,  1029,  1030,  1030,  1030,  1030,  1031,  1031,  1032,
    1032,  1033,  1033,  1033,  1033,  1033,  1033,  1034,  1034,  1034,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1036,  1036,  1036,
    1036,  1037,  1037,  1038,  1038,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1040,  1040,  1041,  1041,
    1042,  1042,  1043,  1044,  1045,  1045,  1046,  1046,  1047,  1048,
    1049,  1049,  1049,  1049,  1049,  1049,  1050,  1050,  1051,  1051,
    1051,  1051,  1052,  1053,  1053,  1053,  1054,  1054,  1054,  1054,
    1054,  1054,  1054,  1054,  1054,  1054,  1054,  1054,  1054,  1054,
    1055,  1055,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1060,  1060,  1061,  1061,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1063,  1063,
    1064,  1064,  1064,  1064,  1065,  1066,  1066,  1067,  1067,  1068,
    1068,  1069,  1069,  1069,  1070,  1070,  1070,  1070,  1071,  1071,
    1072,  1072,  1073,  1073,  1074,  1074,  1075,  1076,  1076,  1076,
    1077,  1078,  1078,  1079,  1079,  1080,  1080,  1080,  1080,  1081,
    1081,  1082,  1082,  1082,  1082,  1082,  1083,  1083,  1083,  1083,
    1083,  1084,  1084,  1084,  1085,  1085,  1086,  1087,  1087,  1087,
    1088,  1088,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1090,  1090,  1091,  1091,  1092,  1092,
    1092,  1092,  1092,  1092,  1093,  1093,  1094,  1094,  1095,  1095,
    1095,  1096,  1096,  1097,  1097,  1097,  1098,  1098,  1099,  1099,
    1100,  1100,  1100,  1100,  1100,  1100,  1100,  1100,  1101,  1101,
    1102,  1103,  1103,  1104,  1104,  1104,  1104,  1104,  1104,  1105,
    1106,  1107,  1107,  1107,  1108,  1108,  1109,  1110,  1110,  1111,
    1112,  1112,  1113,  1113,  1114,  1114,  1115,  1115,  1115,  1115,
    1116,  1116,  1117,  1117,  1118,  1118,  1119,  1119,  1120,  1120,
    1121,  1121,  1122,  1122,  1122,  1122,  1123,  1123,  1124,  1124,
    1125,  1125,  1126,  1127,  1128,  1129,  1130,  1131,  1132,  1132,
    1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,
    1133,  1133,  1133,  1134,  1135,  1136,  1136,  1136,  1137,  1138,
    1138,  1138,  1139,  1139,  1140,  1140,  1140,  1141,  1141,  1141,
    1142,  1142,  1142,  1142,  1143,  1143,  1143,  1143,  1143,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       2,     5,     1,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     5,     0,     3,     5,
       5,     5,     5,     3,     5,     3,     5,     3,     5,     5,
       6,     1,     1,     6,     4,     9,     7,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     1,     3,     3,
       2,     2,     2,     2,     3,     3,     3,     3,     1,     3,
       1,     3,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     5,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     1,     2,     3,     2,     1,
       1,     2,     1,     2,     1,     2,     3,     4,     3,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     4,     6,     4,     6,    10,    13,     4,     6,     4,
      10,    13,     4,     6,     4,     6,     5,     7,    11,    14,
       1,     3,     4,     3,     3,     2,     5,     3,     6,     4,
       6,     6,     6,     6,     5,     5,     6,     9,     4,     5,
       7,     6,     4,     8,     4,     2,     4,     3,     6,     4,
       3,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     3,     2,     2,     3,     4,     4,     4,
       5,     1,     3,     2,     1,     1,     0,     2,     0,     2,
       0,     1,     1,     1,     3,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     1,     2,     1,     3,     2,     3,
       6,     6,    10,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     1,     1,     1,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    12,    15,    11,    14,    13,    16,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     4,     2,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     5,     1,     2,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     5,     8,
       3,     9,     4,    10,    11,     2,     0,     3,     0,     1,
       3,     1,     4,     0,     2,     2,     2,     0,     1,     3,
       3,     6,     4,     0,     1,     1,     2,     2,     0,     3,
       3,     2,     1,     1,     2,     2,     4,     0,     1,     0,
       6,     1,     1,     1,     3,     3,     3,     5,     2,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     7,    10,     5,     2,     3,     0,     8,
      11,     4,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       0,     1,     2,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     5,
       7,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       7,     6,    10,     6,     6,     6,     6,     7,     6,     9,
       9,     6,     6,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,    13,     2,     0,     2,     2,     1,
       0,     5,     4,     4,    11,    14,    12,    15,     5,     7,
      11,     2,     1,     4,     0,     8,    11,     1,     1,     7,
       9,     8,    10,     8,     4,     0,     5,     0,     2,     0,
       2,     0,     2,     0,     2,     0,     1,     1,     1,     1,
       1,     8,    16,    20,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     2,     0,     1,     2,     4,     1,
       1,     1,     1,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     2,     0,     0,     2,     2,     1,     2,     2,     2,
       2,    11,    13,     1,     3,     5,     1,     3,     5,     1,
       2,     2,     1,     8,     4,     5,     4,     4,     4,     3,
       7,     8,     6,     6,     6,     6,     6,     4,     7,     5,
       8,     3,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     3,     1,     0,     1,     3,
       7,     9,     9,     8,     3,     0,    13,     1,     3,     5,
       5,     3,     6,     2,     1,     0,     2,     0,     2,     4,
       0,     1,     0,     6,     8,     8,     1,     3,     5,     5,
       7,     9,     7,     9,     5,     6,     6,     4,     6,     4,
       6,     8,     4,     6,     4,     6,     5,     7,     1,     1,
       1,     2,     1,     2,     1,     1,     1,     3,     3,     3,
       3,     2,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     2,     2,     3,     1,     3,     5,
       2,     2,     0,     6,     6,     6,     6,     6,     6,     6,
       8,     9,     8,     6,     6,     8,     9,     8,     9,     9,
       7,    10,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     2,     3,     3,     3,     3,     2,     1,     2,     1,
       3,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       8,     8,     8,     8,     8,     8,     9,     8,     8,     2,
       0,     1,     2,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       4,     4,     3,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     5,     5,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,     1,
       1,    15,    18,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     4,     0,     1,     3,
       2,     0,     1,     0,     1,     1,     0,     2,     2,     0,
       8,    11,     6,     6,     2,     0,     3,     2,     1,     3,
       1,     3,     2,     1,     1,     2,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     2,     1,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     2,     2,     1,
       1,     1,     3,     3,     5,     2,     0,     2,     1,     3,
       5,     5,     5,     1,     2,     1,     0,     4,     6,     4,
       6,     4,     6,     4,     6,     4,     6,     3,     5,     5,
       5,     1,     3,     1,     3,     2,     2,     1,     2,     1,
       2,    11,    10,    10,     2,     2,     0,     9,     2,     0,
      10,    11,    11,     5,     5,     8,     3,     3,     6,     6,
       1,     1,     1,     1,     1,     1,     3,     1,     5,     5,
       6,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     8,    10,     6,     6,     6,     6,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     9,    11,     8,    10,     9,    11,
       8,     8,     7,     6,     6,     6,     6,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     7,     7,     7,
       9,     8,     7,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     6,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       6,     6,     6,     6,     6,     6,     7,     7,     6,     9,
       9,     6,     6,     6,     6,     6,     6,     8,     8,     8,
       6,     7,     6,     6,     5,     1,     0,     3,     3,     5,
       6,     6,     6,     8,     1,     3,     1,     5,     5,     6,
       7,     4,     4,     4,     6,    13,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     0,     3,     2,     0,     2,     2,
       2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       5,     4,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     9,    11,
      12,    14,     3,     4,     4,     0,     2,     5,     1,     0,
       1,     2,     3,     3,     3,     1,     2,     1,     1,     1,
       1,     1,     1,     0,     5,     4,     6,     4,     3,     5,
       5,     4,     4,     6,     4,     6,     6,     5,     7,     9,
       6,     1,     0,     6,    11,    11,    11,    13,     9,    11,
       1,     1,    10,     4,     2,     5,     2,     0,     6,     5,
       1,     3,     1,     1,     1,     1,     1,     3,     5,     1,
       3,     1,     1,     1,     1,     0,     1,     0,     1,     0,
       1,     0,     3,     0,     2,     1,     3,     1,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     3,     0,     1,     1,     1,     1,     3,     9,    12,
       3,     0,     2,     3,     2,     3,     7,     1,     3,     1,
       4,     4,     7,     2,     1,     1,     1,     3,     2,     8,
       5,     0,     4,     3,     0,     2,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     1,     2,     0,     8,     1,     3,     3,
       5,     2,     1,     3,     7,     1,     0,     3,     2,     2,
       2,     0,     2,     2,     1,     1,     3,     3,     1,     2,
       4,     4,     2,     3,     5,     5,     1,     1,     9,     9,
       1,     2,     4,     4,     4,     2,     2,     3,     1,     3,
       6,     1,     0,     2,     0,     3,     3,     4,     4,     4,
       4,     3,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     4,
       2,     3,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,     0,     1,     3,     1,     1,
       1,     1,     1,     2,     4,     4,     5,     2,     0,     1,
       3,     1,     0,     1,     2,     3,     2,     4,     2,     3,
       2,     0,     4,     5,     2,     0,     1,     3,     2,     3,
       2,     3,     2,     3,     2,     3,     1,     4,     3,     4,
       5,     4,     5,     4,     5,     2,     4,     1,     1,     0,
       1,     4,     5,     4,     0,     2,     2,     2,     1,     1,
       0,     4,     2,     1,     2,     2,     4,     1,     3,     1,
       2,     3,     6,     4,     0,     2,     6,     2,     1,     3,
       4,     0,     2,     0,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     7,    12,     1,     3,     2,     3,
       3,     1,     2,     2,     2,     2,     1,     1,     3,     3,
       2,     2,     3,     5,     6,     2,     3,     3,     4,     0,
       1,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     4,     1,
       2,     2,     1,     3,     3,     2,     1,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     5,     6,     6,     7,     3,
       4,     1,     1,     2,     4,     1,     1,     1,     2,     2,
       2,     2,     1,     1,     4,     3,     5,     6,     8,     6,
       6,     4,     4,     1,     1,     1,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     6,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     2,     3,
       3,     3,     4,     0,     4,     1,     3,     3,     1,     1,
       1,     2,     2,     0,     2,     4,     4,     6,     5,     0,
       5,     0,     2,     0,     1,     3,     3,     2,     2,     0,
       6,     1,     0,     3,     0,     3,     3,     3,     0,     1,
       4,     2,     2,     2,     2,     2,     3,     2,     2,     3,
       0,     4,     3,     5,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     1,     4,     1,     4,
       1,     2,     1,     2,     1,     3,     1,     3,     1,     3,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     0,     1,     2,     0,     2,     1,     0,     1,     0,
       1,     3,     3,     2,     1,     1,     1,     3,     1,     2,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     6,     2,     3,     5,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YY_LOCATION_PRINT
#  if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#   define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

#  else
#   define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#  endif
# endif /* !defined YY_LOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, core_yyscan_t yyscanner)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* stmtblock: stmtmulti  */
#line 785 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 25858 "gram.c"
    break;

  case 3: /* stmtmulti: stmtmulti ';' stmt  */
#line 802 "gram.y"
                                {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 25874 "gram.c"
    break;

  case 4: /* stmtmulti: stmt  */
#line 814 "gram.y"
                                {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 25885 "gram.c"
    break;

  case 129: /* stmt: %empty  */
#line 948 "gram.y"
                                { (yyval.node) = NULL; }
#line 25891 "gram.c"
    break;

  case 130: /* CallStmt: CALL func_application  */
#line 958 "gram.y"
                                {
					CallStmt *n = makeNode(CallStmt);
					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *)n;
				}
#line 25901 "gram.c"
    break;

  case 131: /* CreateRoleStmt: CREATE ROLE RoleId opt_with OptRoleList  */
#line 973 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25913 "gram.c"
    break;

  case 132: /* opt_with: WITH  */
#line 983 "gram.y"
                                                                                        {}
#line 25919 "gram.c"
    break;

  case 133: /* opt_with: WITH_LA  */
#line 984 "gram.y"
                                                                                                {}
#line 25925 "gram.c"
    break;

  case 134: /* opt_with: %empty  */
#line 985 "gram.y"
                                                                                                {}
#line 25931 "gram.c"
    break;

  case 135: /* OptRoleList: OptRoleList CreateOptRoleElem  */
#line 994 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25937 "gram.c"
    break;

  case 136: /* OptRoleList: %empty  */
#line 995 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 25943 "gram.c"
    break;

  case 137: /* AlterOptRoleList: AlterOptRoleList AlterOptRoleElem  */
#line 999 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25949 "gram.c"
    break;

  case 138: /* AlterOptRoleList: %empty  */
#line 1000 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 25955 "gram.c"
    break;

  case 139: /* AlterOptRoleElem: PASSWORD Sconst  */
#line 1005 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 25964 "gram.c"
    break;

  case 140: /* AlterOptRoleElem: PASSWORD NULL_P  */
#line 1010 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 25972 "gram.c"
    break;

  case 141: /* AlterOptRoleElem: ENCRYPTED PASSWORD Sconst  */
#line 1014 "gram.y"
                                {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 25986 "gram.c"
    break;

  case 142: /* AlterOptRoleElem: UNENCRYPTED PASSWORD Sconst  */
#line 1024 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 25998 "gram.c"
    break;

  case 143: /* AlterOptRoleElem: INHERIT  */
#line 1032 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 26006 "gram.c"
    break;

  case 144: /* AlterOptRoleElem: CONNECTION LIMIT SignedIconst  */
#line 1036 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 26014 "gram.c"
    break;

  case 145: /* AlterOptRoleElem: VALID UNTIL Sconst  */
#line 1040 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26022 "gram.c"
    break;

  case 146: /* AlterOptRoleElem: USER role_list  */
#line 1045 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26030 "gram.c"
    break;

  case 147: /* AlterOptRoleElem: IDENT  */
#line 1049 "gram.y"
                                {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 26079 "gram.c"
    break;

  case 148: /* CreateOptRoleElem: AlterOptRoleElem  */
#line 1096 "gram.y"
                                                                { (yyval.defelt) = (yyvsp[0].defelt); }
#line 26085 "gram.c"
    break;

  case 149: /* CreateOptRoleElem: SYSID Iconst  */
#line 1099 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 26093 "gram.c"
    break;

  case 150: /* CreateOptRoleElem: ADMIN role_list  */
#line 1103 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26101 "gram.c"
    break;

  case 151: /* CreateOptRoleElem: ROLE role_list  */
#line 1107 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26109 "gram.c"
    break;

  case 152: /* CreateOptRoleElem: IN_P ROLE role_list  */
#line 1111 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26117 "gram.c"
    break;

  case 153: /* CreateOptRoleElem: IN_P GROUP_P role_list  */
#line 1115 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26125 "gram.c"
    break;

  case 154: /* CreateUserStmt: CREATE USER RoleId opt_with OptRoleList  */
#line 1129 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26137 "gram.c"
    break;

  case 155: /* AlterRoleStmt: ALTER ROLE RoleSpec opt_with AlterOptRoleList  */
#line 1147 "gram.y"
                                 {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 26149 "gram.c"
    break;

  case 156: /* AlterRoleStmt: ALTER USER RoleSpec opt_with AlterOptRoleList  */
#line 1155 "gram.y"
                                 {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 26161 "gram.c"
    break;

  case 157: /* opt_in_database: %empty  */
#line 1165 "gram.y"
                                                                        { (yyval.str) = NULL; }
#line 26167 "gram.c"
    break;

  case 158: /* opt_in_database: IN_P DATABASE database_name  */
#line 1166 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 26173 "gram.c"
    break;

  case 159: /* AlterRoleSetStmt: ALTER ROLE RoleSpec opt_in_database SetResetClause  */
#line 1171 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26185 "gram.c"
    break;

  case 160: /* AlterRoleSetStmt: ALTER ROLE ALL opt_in_database SetResetClause  */
#line 1179 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26197 "gram.c"
    break;

  case 161: /* AlterRoleSetStmt: ALTER USER RoleSpec opt_in_database SetResetClause  */
#line 1187 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26209 "gram.c"
    break;

  case 162: /* AlterRoleSetStmt: ALTER USER ALL opt_in_database SetResetClause  */
#line 1195 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26221 "gram.c"
    break;

  case 163: /* DropRoleStmt: DROP ROLE role_list  */
#line 1216 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26232 "gram.c"
    break;

  case 164: /* DropRoleStmt: DROP ROLE IF_P EXISTS role_list  */
#line 1223 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26243 "gram.c"
    break;

  case 165: /* DropRoleStmt: DROP USER role_list  */
#line 1230 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26254 "gram.c"
    break;

  case 166: /* DropRoleStmt: DROP USER IF_P EXISTS role_list  */
#line 1237 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26265 "gram.c"
    break;

  case 167: /* DropRoleStmt: DROP GROUP_P role_list  */
#line 1244 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26276 "gram.c"
    break;

  case 168: /* DropRoleStmt: DROP GROUP_P IF_P EXISTS role_list  */
#line 1251 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26287 "gram.c"
    break;

  case 169: /* CreateGroupStmt: CREATE GROUP_P RoleId opt_with OptRoleList  */
#line 1268 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26299 "gram.c"
    break;

  case 170: /* AlterGroupStmt: ALTER GROUP_P RoleSpec add_drop USER role_list  */
#line 1286 "gram.y"
                                {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 26312 "gram.c"
    break;

  case 171: /* add_drop: ADD_P  */
#line 1296 "gram.y"
                                                                                        { (yyval.ival) = +1; }
#line 26318 "gram.c"
    break;

  case 172: /* add_drop: DROP  */
#line 1297 "gram.y"
                                                                                                { (yyval.ival) = -1; }
#line 26324 "gram.c"
    break;

  case 173: /* CreateSchemaStmt: CREATE SCHEMA OptSchemaName AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 1309 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26338 "gram.c"
    break;

  case 174: /* CreateSchemaStmt: CREATE SCHEMA ColId OptSchemaEltList  */
#line 1319 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26352 "gram.c"
    break;

  case 175: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS OptSchemaName AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 1329 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26371 "gram.c"
    break;

  case 176: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS ColId OptSchemaEltList  */
#line 1344 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26390 "gram.c"
    break;

  case 177: /* OptSchemaName: ColId  */
#line 1361 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 26396 "gram.c"
    break;

  case 178: /* OptSchemaName: %empty  */
#line 1362 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 26402 "gram.c"
    break;

  case 179: /* OptSchemaEltList: OptSchemaEltList schema_stmt  */
#line 1367 "gram.y"
                                {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 26412 "gram.c"
    break;

  case 180: /* OptSchemaEltList: %empty  */
#line 1373 "gram.y"
                                { (yyval.list) = NIL; }
#line 26418 "gram.c"
    break;

  case 187: /* VariableSetStmt: SET set_rest  */
#line 1401 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26428 "gram.c"
    break;

  case 188: /* VariableSetStmt: SET LOCAL set_rest  */
#line 1407 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 26438 "gram.c"
    break;

  case 189: /* VariableSetStmt: SET SESSION set_rest  */
#line 1413 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26448 "gram.c"
    break;

  case 190: /* set_rest: TRANSACTION transaction_mode_list  */
#line 1422 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26460 "gram.c"
    break;

  case 191: /* set_rest: SESSION CHARACTERISTICS AS TRANSACTION transaction_mode_list  */
#line 1430 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26472 "gram.c"
    break;

  case 193: /* generic_set: var_name TO var_list  */
#line 1442 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26484 "gram.c"
    break;

  case 194: /* generic_set: var_name '=' var_list  */
#line 1450 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26496 "gram.c"
    break;

  case 195: /* generic_set: var_name TO DEFAULT  */
#line 1458 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26507 "gram.c"
    break;

  case 196: /* generic_set: var_name '=' DEFAULT  */
#line 1465 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26518 "gram.c"
    break;

  case 197: /* set_rest_more: generic_set  */
#line 1474 "gram.y"
                                                                                {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 26524 "gram.c"
    break;

  case 198: /* set_rest_more: var_name FROM CURRENT_P  */
#line 1476 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26535 "gram.c"
    break;

  case 199: /* set_rest_more: TIME ZONE zone_value  */
#line 1484 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26550 "gram.c"
    break;

  case 200: /* set_rest_more: CATALOG_P Sconst  */
#line 1495 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 26562 "gram.c"
    break;

  case 201: /* set_rest_more: SCHEMA Sconst  */
#line 1503 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26574 "gram.c"
    break;

  case 202: /* set_rest_more: NAMES opt_encoding  */
#line 1511 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26589 "gram.c"
    break;

  case 203: /* set_rest_more: ROLE NonReservedWord_or_Sconst  */
#line 1522 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26601 "gram.c"
    break;

  case 204: /* set_rest_more: SESSION AUTHORIZATION NonReservedWord_or_Sconst  */
#line 1530 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26613 "gram.c"
    break;

  case 205: /* set_rest_more: SESSION AUTHORIZATION DEFAULT  */
#line 1538 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26624 "gram.c"
    break;

  case 206: /* set_rest_more: XML_P OPTION document_or_content  */
#line 1545 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26636 "gram.c"
    break;

  case 207: /* set_rest_more: TRANSACTION SNAPSHOT Sconst  */
#line 1554 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26648 "gram.c"
    break;

  case 208: /* var_name: ColId  */
#line 1563 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 26654 "gram.c"
    break;

  case 209: /* var_name: var_name '.' ColId  */
#line 1565 "gram.y"
                                { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 26660 "gram.c"
    break;

  case 210: /* var_list: var_value  */
#line 1568 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26666 "gram.c"
    break;

  case 211: /* var_list: var_list ',' var_value  */
#line 1569 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26672 "gram.c"
    break;

  case 212: /* var_value: opt_boolean_or_string  */
#line 1573 "gram.y"
                                { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26678 "gram.c"
    break;

  case 213: /* var_value: NumericOnly  */
#line 1575 "gram.y"
                                { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26684 "gram.c"
    break;

  case 214: /* iso_level: READ UNCOMMITTED  */
#line 1578 "gram.y"
                                                                                { (yyval.str) = "read uncommitted"; }
#line 26690 "gram.c"
    break;

  case 215: /* iso_level: READ COMMITTED  */
#line 1579 "gram.y"
                                                                                        { (yyval.str) = "read committed"; }
#line 26696 "gram.c"
    break;

  case 216: /* iso_level: REPEATABLE READ  */
#line 1580 "gram.y"
                                                                                        { (yyval.str) = "repeatable read"; }
#line 26702 "gram.c"
    break;

  case 217: /* iso_level: SERIALIZABLE  */
#line 1581 "gram.y"
                                                                                        { (yyval.str) = "serializable"; }
#line 26708 "gram.c"
    break;

  case 218: /* opt_boolean_or_string: TRUE_P  */
#line 1585 "gram.y"
                                                                                                { (yyval.str) = "true"; }
#line 26714 "gram.c"
    break;

  case 219: /* opt_boolean_or_string: FALSE_P  */
#line 1586 "gram.y"
                                                                                                { (yyval.str) = "false"; }
#line 26720 "gram.c"
    break;

  case 220: /* opt_boolean_or_string: ON  */
#line 1587 "gram.y"
                                                                                                { (yyval.str) = "on"; }
#line 26726 "gram.c"
    break;

  case 221: /* opt_boolean_or_string: NonReservedWord_or_Sconst  */
#line 1593 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 26732 "gram.c"
    break;

  case 222: /* zone_value: Sconst  */
#line 1606 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26740 "gram.c"
    break;

  case 223: /* zone_value: IDENT  */
#line 1610 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26748 "gram.c"
    break;

  case 224: /* zone_value: ConstInterval Sconst opt_interval  */
#line 1614 "gram.y"
                                {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 26767 "gram.c"
    break;

  case 225: /* zone_value: ConstInterval '(' Iconst ')' Sconst  */
#line 1629 "gram.y"
                                {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 26778 "gram.c"
    break;

  case 226: /* zone_value: NumericOnly  */
#line 1635 "gram.y"
                                                                                        { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26784 "gram.c"
    break;

  case 227: /* zone_value: DEFAULT  */
#line 1636 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 26790 "gram.c"
    break;

  case 228: /* zone_value: LOCAL  */
#line 1637 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 26796 "gram.c"
    break;

  case 229: /* opt_encoding: Sconst  */
#line 1641 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 26802 "gram.c"
    break;

  case 230: /* opt_encoding: DEFAULT  */
#line 1642 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 26808 "gram.c"
    break;

  case 231: /* opt_encoding: %empty  */
#line 1643 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 26814 "gram.c"
    break;

  case 232: /* NonReservedWord_or_Sconst: NonReservedWord  */
#line 1647 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 26820 "gram.c"
    break;

  case 233: /* NonReservedWord_or_Sconst: Sconst  */
#line 1648 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 26826 "gram.c"
    break;

  case 234: /* VariableResetStmt: RESET reset_rest  */
#line 1652 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 26832 "gram.c"
    break;

  case 235: /* reset_rest: generic_reset  */
#line 1656 "gram.y"
                                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26838 "gram.c"
    break;

  case 236: /* reset_rest: TIME ZONE  */
#line 1658 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 26849 "gram.c"
    break;

  case 237: /* reset_rest: TRANSACTION ISOLATION LEVEL  */
#line 1665 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 26860 "gram.c"
    break;

  case 238: /* reset_rest: SESSION AUTHORIZATION  */
#line 1672 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26871 "gram.c"
    break;

  case 239: /* generic_reset: var_name  */
#line 1682 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 26882 "gram.c"
    break;

  case 240: /* generic_reset: ALL  */
#line 1689 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 26892 "gram.c"
    break;

  case 241: /* SetResetClause: SET set_rest  */
#line 1698 "gram.y"
                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26898 "gram.c"
    break;

  case 242: /* SetResetClause: VariableResetStmt  */
#line 1699 "gram.y"
                                                                        { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26904 "gram.c"
    break;

  case 243: /* FunctionSetResetClause: SET set_rest_more  */
#line 1704 "gram.y"
                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26910 "gram.c"
    break;

  case 244: /* FunctionSetResetClause: VariableResetStmt  */
#line 1705 "gram.y"
                                                                        { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26916 "gram.c"
    break;

  case 245: /* VariableShowStmt: SHOW var_name  */
#line 1711 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26926 "gram.c"
    break;

  case 246: /* VariableShowStmt: SHOW TIME ZONE  */
#line 1717 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 26936 "gram.c"
    break;

  case 247: /* VariableShowStmt: SHOW TRANSACTION ISOLATION LEVEL  */
#line 1723 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 26946 "gram.c"
    break;

  case 248: /* VariableShowStmt: SHOW SESSION AUTHORIZATION  */
#line 1729 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 26956 "gram.c"
    break;

  case 249: /* VariableShowStmt: SHOW ALL  */
#line 1735 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 26966 "gram.c"
    break;

  case 250: /* ConstraintsSetStmt: SET CONSTRAINTS constraints_set_list constraints_set_mode  */
#line 1745 "gram.y"
                                {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 26977 "gram.c"
    break;

  case 251: /* constraints_set_list: ALL  */
#line 1754 "gram.y"
                                                                                                        { (yyval.list) = NIL; }
#line 26983 "gram.c"
    break;

  case 252: /* constraints_set_list: qualified_name_list  */
#line 1755 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 26989 "gram.c"
    break;

  case 253: /* constraints_set_mode: DEFERRED  */
#line 1759 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 26995 "gram.c"
    break;

  case 254: /* constraints_set_mode: IMMEDIATE  */
#line 1760 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 27001 "gram.c"
    break;

  case 255: /* CheckPointStmt: CHECKPOINT  */
#line 1769 "gram.y"
                                {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 27010 "gram.c"
    break;

  case 256: /* DiscardStmt: DISCARD ALL  */
#line 1784 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 27020 "gram.c"
    break;

  case 257: /* DiscardStmt: DISCARD TEMP  */
#line 1790 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 27030 "gram.c"
    break;

  case 258: /* DiscardStmt: DISCARD TEMPORARY  */
#line 1796 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 27040 "gram.c"
    break;

  case 259: /* DiscardStmt: DISCARD PLANS  */
#line 1802 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 27050 "gram.c"
    break;

  case 260: /* DiscardStmt: DISCARD SEQUENCES  */
#line 1808 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 27060 "gram.c"
    break;

  case 261: /* AlterTableStmt: ALTER TABLE relation_expr alter_table_cmds  */
#line 1827 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27073 "gram.c"
    break;

  case 262: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 1836 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27086 "gram.c"
    break;

  case 263: /* AlterTableStmt: ALTER TABLE relation_expr partition_cmd  */
#line 1845 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27099 "gram.c"
    break;

  case 264: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr partition_cmd  */
#line 1854 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27112 "gram.c"
    break;

  case 265: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 1863 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27127 "gram.c"
    break;

  case 266: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 1874 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27142 "gram.c"
    break;

  case 267: /* AlterTableStmt: ALTER INDEX qualified_name alter_table_cmds  */
#line 1885 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27155 "gram.c"
    break;

  case 268: /* AlterTableStmt: ALTER INDEX IF_P EXISTS qualified_name alter_table_cmds  */
#line 1894 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27168 "gram.c"
    break;

  case 269: /* AlterTableStmt: ALTER INDEX qualified_name index_partition_cmd  */
#line 1903 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27181 "gram.c"
    break;

  case 270: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 1912 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27196 "gram.c"
    break;

  case 271: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 1923 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27211 "gram.c"
    break;

  case 272: /* AlterTableStmt: ALTER SEQUENCE qualified_name alter_table_cmds  */
#line 1934 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27224 "gram.c"
    break;

  case 273: /* AlterTableStmt: ALTER SEQUENCE IF_P EXISTS qualified_name alter_table_cmds  */
#line 1943 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27237 "gram.c"
    break;

  case 274: /* AlterTableStmt: ALTER VIEW qualified_name alter_table_cmds  */
#line 1952 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27250 "gram.c"
    break;

  case 275: /* AlterTableStmt: ALTER VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 1961 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27263 "gram.c"
    break;

  case 276: /* AlterTableStmt: ALTER MATERIALIZED VIEW qualified_name alter_table_cmds  */
#line 1970 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27276 "gram.c"
    break;

  case 277: /* AlterTableStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 1979 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27289 "gram.c"
    break;

  case 278: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 1988 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27304 "gram.c"
    break;

  case 279: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 1999 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27319 "gram.c"
    break;

  case 280: /* alter_table_cmds: alter_table_cmd  */
#line 2012 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27325 "gram.c"
    break;

  case 281: /* alter_table_cmds: alter_table_cmds ',' alter_table_cmd  */
#line 2013 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27331 "gram.c"
    break;

  case 282: /* partition_cmd: ATTACH PARTITION qualified_name PartitionBoundSpec  */
#line 2019 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27347 "gram.c"
    break;

  case 283: /* partition_cmd: DETACH PARTITION qualified_name  */
#line 2032 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27363 "gram.c"
    break;

  case 284: /* index_partition_cmd: ATTACH PARTITION qualified_name  */
#line 2048 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27379 "gram.c"
    break;

  case 285: /* alter_table_cmd: ADD_P columnDef  */
#line 2064 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27391 "gram.c"
    break;

  case 286: /* alter_table_cmd: ADD_P IF_P NOT EXISTS columnDef  */
#line 2073 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27403 "gram.c"
    break;

  case 287: /* alter_table_cmd: ADD_P COLUMN columnDef  */
#line 2082 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27415 "gram.c"
    break;

  case 288: /* alter_table_cmd: ADD_P COLUMN IF_P NOT EXISTS columnDef  */
#line 2091 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27427 "gram.c"
    break;

  case 289: /* alter_table_cmd: ALTER opt_column ColId alter_column_default  */
#line 2100 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27439 "gram.c"
    break;

  case 290: /* alter_table_cmd: ALTER opt_column ColId DROP NOT NULL_P  */
#line 2109 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27450 "gram.c"
    break;

  case 291: /* alter_table_cmd: ALTER opt_column ColId SET NOT NULL_P  */
#line 2117 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27461 "gram.c"
    break;

  case 292: /* alter_table_cmd: ALTER opt_column ColId SET STATISTICS SignedIconst  */
#line 2125 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27473 "gram.c"
    break;

  case 293: /* alter_table_cmd: ALTER opt_column Iconst SET STATISTICS SignedIconst  */
#line 2134 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27492 "gram.c"
    break;

  case 294: /* alter_table_cmd: ALTER opt_column ColId SET reloptions  */
#line 2150 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27504 "gram.c"
    break;

  case 295: /* alter_table_cmd: ALTER opt_column ColId RESET reloptions  */
#line 2159 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27516 "gram.c"
    break;

  case 296: /* alter_table_cmd: ALTER opt_column ColId SET STORAGE ColId  */
#line 2168 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 27528 "gram.c"
    break;

  case 297: /* alter_table_cmd: ALTER opt_column ColId ADD_P GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 2177 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 27548 "gram.c"
    break;

  case 298: /* alter_table_cmd: ALTER opt_column ColId alter_identity_column_option_list  */
#line 2194 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27560 "gram.c"
    break;

  case 299: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P  */
#line 2203 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27572 "gram.c"
    break;

  case 300: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P IF_P EXISTS  */
#line 2212 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27584 "gram.c"
    break;

  case 301: /* alter_table_cmd: DROP opt_column IF_P EXISTS ColId opt_drop_behavior  */
#line 2221 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27597 "gram.c"
    break;

  case 302: /* alter_table_cmd: DROP opt_column ColId opt_drop_behavior  */
#line 2231 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27610 "gram.c"
    break;

  case 303: /* alter_table_cmd: ALTER opt_column ColId opt_set_data TYPE_P Typename opt_collate_clause alter_using  */
#line 2244 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 27628 "gram.c"
    break;

  case 304: /* alter_table_cmd: ALTER opt_column ColId alter_generic_options  */
#line 2259 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27640 "gram.c"
    break;

  case 305: /* alter_table_cmd: ADD_P TableConstraint  */
#line 2268 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27651 "gram.c"
    break;

  case 306: /* alter_table_cmd: ALTER CONSTRAINT name ConstraintAttributeSpec  */
#line 2276 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27669 "gram.c"
    break;

  case 307: /* alter_table_cmd: VALIDATE CONSTRAINT name  */
#line 2291 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27680 "gram.c"
    break;

  case 308: /* alter_table_cmd: DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 2299 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27693 "gram.c"
    break;

  case 309: /* alter_table_cmd: DROP CONSTRAINT name opt_drop_behavior  */
#line 2309 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27706 "gram.c"
    break;

  case 310: /* alter_table_cmd: SET WITH OIDS  */
#line 2319 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 27716 "gram.c"
    break;

  case 311: /* alter_table_cmd: SET WITHOUT OIDS  */
#line 2326 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 27726 "gram.c"
    break;

  case 312: /* alter_table_cmd: CLUSTER ON name  */
#line 2333 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27737 "gram.c"
    break;

  case 313: /* alter_table_cmd: SET WITHOUT CLUSTER  */
#line 2341 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27748 "gram.c"
    break;

  case 314: /* alter_table_cmd: SET LOGGED  */
#line 2349 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 27758 "gram.c"
    break;

  case 315: /* alter_table_cmd: SET UNLOGGED  */
#line 2356 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 27768 "gram.c"
    break;

  case 316: /* alter_table_cmd: ENABLE_P TRIGGER name  */
#line 2363 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27779 "gram.c"
    break;

  case 317: /* alter_table_cmd: ENABLE_P ALWAYS TRIGGER name  */
#line 2371 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27790 "gram.c"
    break;

  case 318: /* alter_table_cmd: ENABLE_P REPLICA TRIGGER name  */
#line 2379 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27801 "gram.c"
    break;

  case 319: /* alter_table_cmd: ENABLE_P TRIGGER ALL  */
#line 2387 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 27811 "gram.c"
    break;

  case 320: /* alter_table_cmd: ENABLE_P TRIGGER USER  */
#line 2394 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 27821 "gram.c"
    break;

  case 321: /* alter_table_cmd: DISABLE_P TRIGGER name  */
#line 2401 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27832 "gram.c"
    break;

  case 322: /* alter_table_cmd: DISABLE_P TRIGGER ALL  */
#line 2409 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 27842 "gram.c"
    break;

  case 323: /* alter_table_cmd: DISABLE_P TRIGGER USER  */
#line 2416 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 27852 "gram.c"
    break;

  case 324: /* alter_table_cmd: ENABLE_P RULE name  */
#line 2423 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27863 "gram.c"
    break;

  case 325: /* alter_table_cmd: ENABLE_P ALWAYS RULE name  */
#line 2431 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27874 "gram.c"
    break;

  case 326: /* alter_table_cmd: ENABLE_P REPLICA RULE name  */
#line 2439 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27885 "gram.c"
    break;

  case 327: /* alter_table_cmd: DISABLE_P RULE name  */
#line 2447 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27896 "gram.c"
    break;

  case 328: /* alter_table_cmd: INHERIT qualified_name  */
#line 2455 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27907 "gram.c"
    break;

  case 329: /* alter_table_cmd: NO INHERIT qualified_name  */
#line 2463 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27918 "gram.c"
    break;

  case 330: /* alter_table_cmd: OF any_name  */
#line 2471 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 27931 "gram.c"
    break;

  case 331: /* alter_table_cmd: NOT OF  */
#line 2481 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 27941 "gram.c"
    break;

  case 332: /* alter_table_cmd: OWNER TO RoleSpec  */
#line 2488 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 27952 "gram.c"
    break;

  case 333: /* alter_table_cmd: SET TABLESPACE name  */
#line 2496 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27963 "gram.c"
    break;

  case 334: /* alter_table_cmd: SET reloptions  */
#line 2504 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27974 "gram.c"
    break;

  case 335: /* alter_table_cmd: RESET reloptions  */
#line 2512 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27985 "gram.c"
    break;

  case 336: /* alter_table_cmd: REPLICA IDENTITY_P replica_identity  */
#line 2520 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27996 "gram.c"
    break;

  case 337: /* alter_table_cmd: ENABLE_P ROW LEVEL SECURITY  */
#line 2528 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28006 "gram.c"
    break;

  case 338: /* alter_table_cmd: DISABLE_P ROW LEVEL SECURITY  */
#line 2535 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28016 "gram.c"
    break;

  case 339: /* alter_table_cmd: FORCE ROW LEVEL SECURITY  */
#line 2542 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28026 "gram.c"
    break;

  case 340: /* alter_table_cmd: NO FORCE ROW LEVEL SECURITY  */
#line 2549 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28036 "gram.c"
    break;

  case 341: /* alter_table_cmd: alter_generic_options  */
#line 2555 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28047 "gram.c"
    break;

  case 342: /* alter_column_default: SET DEFAULT a_expr  */
#line 2564 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 28053 "gram.c"
    break;

  case 343: /* alter_column_default: DROP DEFAULT  */
#line 2565 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 28059 "gram.c"
    break;

  case 344: /* opt_drop_behavior: CASCADE  */
#line 2569 "gram.y"
                                                                        { (yyval.dbehavior) = DROP_CASCADE; }
#line 28065 "gram.c"
    break;

  case 345: /* opt_drop_behavior: RESTRICT  */
#line 2570 "gram.y"
                                                                        { (yyval.dbehavior) = DROP_RESTRICT; }
#line 28071 "gram.c"
    break;

  case 346: /* opt_drop_behavior: %empty  */
#line 2571 "gram.y"
                                                                { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 28077 "gram.c"
    break;

  case 347: /* opt_collate_clause: COLLATE any_name  */
#line 2576 "gram.y"
                                {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 28089 "gram.c"
    break;

  case 348: /* opt_collate_clause: %empty  */
#line 2583 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 28095 "gram.c"
    break;

  case 349: /* alter_using: USING a_expr  */
#line 2587 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 28101 "gram.c"
    break;

  case 350: /* alter_using: %empty  */
#line 2588 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 28107 "gram.c"
    break;

  case 351: /* replica_identity: NOTHING  */
#line 2593 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28118 "gram.c"
    break;

  case 352: /* replica_identity: FULL  */
#line 2600 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28129 "gram.c"
    break;

  case 353: /* replica_identity: DEFAULT  */
#line 2607 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28140 "gram.c"
    break;

  case 354: /* replica_identity: USING INDEX name  */
#line 2614 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 28151 "gram.c"
    break;

  case 355: /* reloptions: '(' reloption_list ')'  */
#line 2623 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 28157 "gram.c"
    break;

  case 356: /* opt_reloptions: WITH reloptions  */
#line 2626 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 28163 "gram.c"
    break;

  case 357: /* opt_reloptions: %empty  */
#line 2627 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 28169 "gram.c"
    break;

  case 358: /* reloption_list: reloption_elem  */
#line 2631 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28175 "gram.c"
    break;

  case 359: /* reloption_list: reloption_list ',' reloption_elem  */
#line 2632 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 28181 "gram.c"
    break;

  case 360: /* reloption_elem: ColLabel '=' def_arg  */
#line 2638 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 28189 "gram.c"
    break;

  case 361: /* reloption_elem: ColLabel  */
#line 2642 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 28197 "gram.c"
    break;

  case 362: /* reloption_elem: ColLabel '.' ColLabel '=' def_arg  */
#line 2646 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 28206 "gram.c"
    break;

  case 363: /* reloption_elem: ColLabel '.' ColLabel  */
#line 2651 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 28214 "gram.c"
    break;

  case 364: /* alter_identity_column_option_list: alter_identity_column_option  */
#line 2658 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28220 "gram.c"
    break;

  case 365: /* alter_identity_column_option_list: alter_identity_column_option_list alter_identity_column_option  */
#line 2660 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28226 "gram.c"
    break;

  case 366: /* alter_identity_column_option: RESTART  */
#line 2665 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 28234 "gram.c"
    break;

  case 367: /* alter_identity_column_option: RESTART opt_with NumericOnly  */
#line 2669 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28242 "gram.c"
    break;

  case 368: /* alter_identity_column_option: SET SeqOptElem  */
#line 2673 "gram.y"
                                {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 28257 "gram.c"
    break;

  case 369: /* alter_identity_column_option: SET GENERATED generated_when  */
#line 2684 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 28265 "gram.c"
    break;

  case 370: /* PartitionBoundSpec: FOR VALUES WITH '(' hash_partbound ')'  */
#line 2692 "gram.y"
                                {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28320 "gram.c"
    break;

  case 371: /* PartitionBoundSpec: FOR VALUES IN_P '(' partbound_datum_list ')'  */
#line 2745 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28335 "gram.c"
    break;

  case 372: /* PartitionBoundSpec: FOR VALUES FROM '(' range_datum_list ')' TO '(' range_datum_list ')'  */
#line 2758 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 28351 "gram.c"
    break;

  case 373: /* PartitionBoundSpec: DEFAULT  */
#line 2772 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 28364 "gram.c"
    break;

  case 374: /* hash_partbound_elem: NonReservedWord Iconst  */
#line 2784 "gram.y"
                        {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 28372 "gram.c"
    break;

  case 375: /* hash_partbound: hash_partbound_elem  */
#line 2791 "gram.y"
                        {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 28380 "gram.c"
    break;

  case 376: /* hash_partbound: hash_partbound ',' hash_partbound_elem  */
#line 2795 "gram.y"
                        {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 28388 "gram.c"
    break;

  case 377: /* partbound_datum: Sconst  */
#line 2801 "gram.y"
                                                { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 28394 "gram.c"
    break;

  case 378: /* partbound_datum: NumericOnly  */
#line 2802 "gram.y"
                                        { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 28400 "gram.c"
    break;

  case 379: /* partbound_datum: TRUE_P  */
#line 2803 "gram.y"
                                                { (yyval.node) = makeStringConst(pstrdup("true"), (yylsp[0])); }
#line 28406 "gram.c"
    break;

  case 380: /* partbound_datum: FALSE_P  */
#line 2804 "gram.y"
                                                { (yyval.node) = makeStringConst(pstrdup("false"), (yylsp[0])); }
#line 28412 "gram.c"
    break;

  case 381: /* partbound_datum: NULL_P  */
#line 2805 "gram.y"
                                                { (yyval.node) = makeNullAConst((yylsp[0])); }
#line 28418 "gram.c"
    break;

  case 382: /* partbound_datum_list: partbound_datum  */
#line 2809 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28424 "gram.c"
    break;

  case 383: /* partbound_datum_list: partbound_datum_list ',' partbound_datum  */
#line 2811 "gram.y"
                                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28430 "gram.c"
    break;

  case 384: /* range_datum_list: PartitionRangeDatum  */
#line 2815 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28436 "gram.c"
    break;

  case 385: /* range_datum_list: range_datum_list ',' PartitionRangeDatum  */
#line 2817 "gram.y"
                                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28442 "gram.c"
    break;

  case 386: /* PartitionRangeDatum: MINVALUE  */
#line 2822 "gram.y"
                                {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MINVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 28456 "gram.c"
    break;

  case 387: /* PartitionRangeDatum: MAXVALUE  */
#line 2832 "gram.y"
                                {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MAXVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 28470 "gram.c"
    break;

  case 388: /* PartitionRangeDatum: partbound_datum  */
#line 2842 "gram.y"
                                {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_VALUE;
					n->value = (yyvsp[0].node);
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 28484 "gram.c"
    break;

  case 389: /* AlterCompositeTypeStmt: ALTER TYPE_P any_name alter_type_cmds  */
#line 2862 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 28498 "gram.c"
    break;

  case 390: /* alter_type_cmds: alter_type_cmd  */
#line 2874 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28504 "gram.c"
    break;

  case 391: /* alter_type_cmds: alter_type_cmds ',' alter_type_cmd  */
#line 2875 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28510 "gram.c"
    break;

  case 392: /* alter_type_cmd: ADD_P ATTRIBUTE TableFuncElement opt_drop_behavior  */
#line 2881 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28522 "gram.c"
    break;

  case 393: /* alter_type_cmd: DROP ATTRIBUTE IF_P EXISTS ColId opt_drop_behavior  */
#line 2890 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28535 "gram.c"
    break;

  case 394: /* alter_type_cmd: DROP ATTRIBUTE ColId opt_drop_behavior  */
#line 2900 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28548 "gram.c"
    break;

  case 395: /* alter_type_cmd: ALTER ATTRIBUTE ColId opt_set_data TYPE_P Typename opt_collate_clause opt_drop_behavior  */
#line 2910 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 28567 "gram.c"
    break;

  case 396: /* ClosePortalStmt: CLOSE cursor_name  */
#line 2936 "gram.y"
                                {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28577 "gram.c"
    break;

  case 397: /* ClosePortalStmt: CLOSE ALL  */
#line 2942 "gram.y"
                                {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28587 "gram.c"
    break;

  case 398: /* CopyStmt: COPY opt_binary qualified_name opt_column_list opt_oids copy_from opt_program copy_file_name copy_delimiter opt_with copy_options  */
#line 2976 "gram.y"
                                {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 28619 "gram.c"
    break;

  case 399: /* CopyStmt: COPY '(' PreparableStmt ')' TO opt_program copy_file_name opt_with copy_options  */
#line 3004 "gram.y"
                                {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 28642 "gram.c"
    break;

  case 400: /* copy_from: FROM  */
#line 3025 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 28648 "gram.c"
    break;

  case 401: /* copy_from: TO  */
#line 3026 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 28654 "gram.c"
    break;

  case 402: /* opt_program: PROGRAM  */
#line 3030 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 28660 "gram.c"
    break;

  case 403: /* opt_program: %empty  */
#line 3031 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 28666 "gram.c"
    break;

  case 404: /* copy_file_name: Sconst  */
#line 3040 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 28672 "gram.c"
    break;

  case 405: /* copy_file_name: STDIN  */
#line 3041 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 28678 "gram.c"
    break;

  case 406: /* copy_file_name: STDOUT  */
#line 3042 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 28684 "gram.c"
    break;

  case 407: /* copy_options: copy_opt_list  */
#line 3045 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 28690 "gram.c"
    break;

  case 408: /* copy_options: '(' copy_generic_opt_list ')'  */
#line 3046 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 28696 "gram.c"
    break;

  case 409: /* copy_opt_list: copy_opt_list copy_opt_item  */
#line 3051 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28702 "gram.c"
    break;

  case 410: /* copy_opt_list: %empty  */
#line 3052 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 28708 "gram.c"
    break;

  case 411: /* copy_opt_item: BINARY  */
#line 3057 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28716 "gram.c"
    break;

  case 412: /* copy_opt_item: OIDS  */
#line 3061 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28724 "gram.c"
    break;

  case 413: /* copy_opt_item: FREEZE  */
#line 3065 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28732 "gram.c"
    break;

  case 414: /* copy_opt_item: DELIMITER opt_as Sconst  */
#line 3069 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28740 "gram.c"
    break;

  case 415: /* copy_opt_item: NULL_P opt_as Sconst  */
#line 3073 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28748 "gram.c"
    break;

  case 416: /* copy_opt_item: CSV  */
#line 3077 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 28756 "gram.c"
    break;

  case 417: /* copy_opt_item: HEADER_P  */
#line 3081 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28764 "gram.c"
    break;

  case 418: /* copy_opt_item: QUOTE opt_as Sconst  */
#line 3085 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28772 "gram.c"
    break;

  case 419: /* copy_opt_item: ESCAPE opt_as Sconst  */
#line 3089 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28780 "gram.c"
    break;

  case 420: /* copy_opt_item: FORCE QUOTE columnList  */
#line 3093 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28788 "gram.c"
    break;

  case 421: /* copy_opt_item: FORCE QUOTE '*'  */
#line 3097 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 28796 "gram.c"
    break;

  case 422: /* copy_opt_item: FORCE NOT NULL_P columnList  */
#line 3101 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 28804 "gram.c"
    break;

  case 423: /* copy_opt_item: FORCE NULL_P columnList  */
#line 3105 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28812 "gram.c"
    break;

  case 424: /* copy_opt_item: ENCODING Sconst  */
#line 3109 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28820 "gram.c"
    break;

  case 425: /* opt_binary: BINARY  */
#line 3118 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28828 "gram.c"
    break;

  case 426: /* opt_binary: %empty  */
#line 3121 "gram.y"
                                                                                                { (yyval.defelt) = NULL; }
#line 28834 "gram.c"
    break;

  case 427: /* opt_oids: WITH OIDS  */
#line 3126 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 28842 "gram.c"
    break;

  case 428: /* opt_oids: %empty  */
#line 3129 "gram.y"
                                                                                                { (yyval.defelt) = NULL; }
#line 28848 "gram.c"
    break;

  case 429: /* copy_delimiter: opt_using DELIMITERS Sconst  */
#line 3134 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28856 "gram.c"
    break;

  case 430: /* copy_delimiter: %empty  */
#line 3137 "gram.y"
                                                                                                { (yyval.defelt) = NULL; }
#line 28862 "gram.c"
    break;

  case 431: /* opt_using: USING  */
#line 3141 "gram.y"
                                                                                                {}
#line 28868 "gram.c"
    break;

  case 432: /* opt_using: %empty  */
#line 3142 "gram.y"
                                                                                                {}
#line 28874 "gram.c"
    break;

  case 433: /* copy_generic_opt_list: copy_generic_opt_elem  */
#line 3148 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 28882 "gram.c"
    break;

  case 434: /* copy_generic_opt_list: copy_generic_opt_list ',' copy_generic_opt_elem  */
#line 3152 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 28890 "gram.c"
    break;

  case 435: /* copy_generic_opt_elem: ColLabel copy_generic_opt_arg  */
#line 3159 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 28898 "gram.c"
    break;

  case 436: /* copy_generic_opt_arg: opt_boolean_or_string  */
#line 3165 "gram.y"
                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28904 "gram.c"
    break;

  case 437: /* copy_generic_opt_arg: NumericOnly  */
#line 3166 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 28910 "gram.c"
    break;

  case 438: /* copy_generic_opt_arg: '*'  */
#line 3167 "gram.y"
                                                                                { (yyval.node) = (Node *) makeNode(A_Star); }
#line 28916 "gram.c"
    break;

  case 439: /* copy_generic_opt_arg: '(' copy_generic_opt_arg_list ')'  */
#line 3168 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 28922 "gram.c"
    break;

  case 440: /* copy_generic_opt_arg: %empty  */
#line 3169 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 28928 "gram.c"
    break;

  case 441: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list_item  */
#line 3174 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28936 "gram.c"
    break;

  case 442: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list ',' copy_generic_opt_arg_list_item  */
#line 3178 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28944 "gram.c"
    break;

  case 443: /* copy_generic_opt_arg_list_item: opt_boolean_or_string  */
#line 3185 "gram.y"
                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28950 "gram.c"
    break;

  case 444: /* CreateStmt: CREATE OptTemp TABLE qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3198 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28970 "gram.c"
    break;

  case 445: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3216 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28990 "gram.c"
    break;

  case 446: /* CreateStmt: CREATE OptTemp TABLE qualified_name OF any_name OptTypedTableElementList OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3234 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29011 "gram.c"
    break;

  case 447: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name OF any_name OptTypedTableElementList OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3253 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29032 "gram.c"
    break;

  case 448: /* CreateStmt: CREATE OptTemp TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3272 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29053 "gram.c"
    break;

  case 449: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3291 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29074 "gram.c"
    break;

  case 450: /* OptTemp: TEMPORARY  */
#line 3320 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29080 "gram.c"
    break;

  case 451: /* OptTemp: TEMP  */
#line 3321 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29086 "gram.c"
    break;

  case 452: /* OptTemp: LOCAL TEMPORARY  */
#line 3322 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29092 "gram.c"
    break;

  case 453: /* OptTemp: LOCAL TEMP  */
#line 3323 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29098 "gram.c"
    break;

  case 454: /* OptTemp: GLOBAL TEMPORARY  */
#line 3325 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 29109 "gram.c"
    break;

  case 455: /* OptTemp: GLOBAL TEMP  */
#line 3332 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 29120 "gram.c"
    break;

  case 456: /* OptTemp: UNLOGGED  */
#line 3338 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 29126 "gram.c"
    break;

  case 457: /* OptTemp: %empty  */
#line 3339 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 29132 "gram.c"
    break;

  case 458: /* OptTableElementList: TableElementList  */
#line 3343 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 29138 "gram.c"
    break;

  case 459: /* OptTableElementList: %empty  */
#line 3344 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 29144 "gram.c"
    break;

  case 460: /* OptTypedTableElementList: '(' TypedTableElementList ')'  */
#line 3348 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 29150 "gram.c"
    break;

  case 461: /* OptTypedTableElementList: %empty  */
#line 3349 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 29156 "gram.c"
    break;

  case 462: /* TableElementList: TableElement  */
#line 3354 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 29164 "gram.c"
    break;

  case 463: /* TableElementList: TableElementList ',' TableElement  */
#line 3358 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 29172 "gram.c"
    break;

  case 464: /* TypedTableElementList: TypedTableElement  */
#line 3365 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 29180 "gram.c"
    break;

  case 465: /* TypedTableElementList: TypedTableElementList ',' TypedTableElement  */
#line 3369 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 29188 "gram.c"
    break;

  case 466: /* TableElement: columnDef  */
#line 3375 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 29194 "gram.c"
    break;

  case 467: /* TableElement: TableLikeClause  */
#line 3376 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 29200 "gram.c"
    break;

  case 468: /* TableElement: TableConstraint  */
#line 3377 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 29206 "gram.c"
    break;

  case 469: /* TypedTableElement: columnOptions  */
#line 3381 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 29212 "gram.c"
    break;

  case 470: /* TypedTableElement: TableConstraint  */
#line 3382 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 29218 "gram.c"
    break;

  case 471: /* columnDef: ColId Typename create_generic_options ColQualList  */
#line 3386 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 29241 "gram.c"
    break;

  case 472: /* columnOptions: ColId ColQualList  */
#line 3407 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29263 "gram.c"
    break;

  case 473: /* columnOptions: ColId WITH OPTIONS ColQualList  */
#line 3425 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 29285 "gram.c"
    break;

  case 474: /* ColQualList: ColQualList ColConstraint  */
#line 3445 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 29291 "gram.c"
    break;

  case 475: /* ColQualList: %empty  */
#line 3446 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 29297 "gram.c"
    break;

  case 476: /* ColConstraint: CONSTRAINT name ColConstraintElem  */
#line 3451 "gram.y"
                                {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 29308 "gram.c"
    break;

  case 477: /* ColConstraint: ColConstraintElem  */
#line 3457 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 29314 "gram.c"
    break;

  case 478: /* ColConstraint: ConstraintAttr  */
#line 3458 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 29320 "gram.c"
    break;

  case 479: /* ColConstraint: COLLATE any_name  */
#line 3460 "gram.y"
                                {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 29337 "gram.c"
    break;

  case 480: /* ColConstraintElem: NOT NULL_P  */
#line 3491 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29348 "gram.c"
    break;

  case 481: /* ColConstraintElem: NULL_P  */
#line 3498 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 29359 "gram.c"
    break;

  case 482: /* ColConstraintElem: UNIQUE opt_definition OptConsTableSpace  */
#line 3505 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29374 "gram.c"
    break;

  case 483: /* ColConstraintElem: PRIMARY KEY opt_definition OptConsTableSpace  */
#line 3516 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29389 "gram.c"
    break;

  case 484: /* ColConstraintElem: CHECK '(' a_expr ')' opt_no_inherit  */
#line 3527 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 29405 "gram.c"
    break;

  case 485: /* ColConstraintElem: DEFAULT b_expr  */
#line 3539 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29418 "gram.c"
    break;

  case 486: /* ColConstraintElem: GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 3548 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 29431 "gram.c"
    break;

  case 487: /* ColConstraintElem: REFERENCES qualified_name opt_column_list key_match key_actions  */
#line 3557 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 29450 "gram.c"
    break;

  case 488: /* generated_when: ALWAYS  */
#line 3574 "gram.y"
                                                { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 29456 "gram.c"
    break;

  case 489: /* generated_when: BY DEFAULT  */
#line 3575 "gram.y"
                                        { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 29462 "gram.c"
    break;

  case 490: /* ConstraintAttr: DEFERRABLE  */
#line 3595 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 29473 "gram.c"
    break;

  case 491: /* ConstraintAttr: NOT DEFERRABLE  */
#line 3602 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29484 "gram.c"
    break;

  case 492: /* ConstraintAttr: INITIALLY DEFERRED  */
#line 3609 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29495 "gram.c"
    break;

  case 493: /* ConstraintAttr: INITIALLY IMMEDIATE  */
#line 3616 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29506 "gram.c"
    break;

  case 494: /* TableLikeClause: LIKE qualified_name TableLikeOptionList  */
#line 3627 "gram.y"
                                {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 29518 "gram.c"
    break;

  case 495: /* TableLikeOptionList: TableLikeOptionList INCLUDING TableLikeOption  */
#line 3637 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 29524 "gram.c"
    break;

  case 496: /* TableLikeOptionList: TableLikeOptionList EXCLUDING TableLikeOption  */
#line 3638 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 29530 "gram.c"
    break;

  case 497: /* TableLikeOptionList: %empty  */
#line 3639 "gram.y"
                                                                                        { (yyval.ival) = 0; }
#line 29536 "gram.c"
    break;

  case 498: /* TableLikeOption: COMMENTS  */
#line 3643 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 29542 "gram.c"
    break;

  case 499: /* TableLikeOption: CONSTRAINTS  */
#line 3644 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 29548 "gram.c"
    break;

  case 500: /* TableLikeOption: DEFAULTS  */
#line 3645 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 29554 "gram.c"
    break;

  case 501: /* TableLikeOption: IDENTITY_P  */
#line 3646 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 29560 "gram.c"
    break;

  case 502: /* TableLikeOption: INDEXES  */
#line 3647 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 29566 "gram.c"
    break;

  case 503: /* TableLikeOption: STATISTICS  */
#line 3648 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 29572 "gram.c"
    break;

  case 504: /* TableLikeOption: STORAGE  */
#line 3649 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 29578 "gram.c"
    break;

  case 505: /* TableLikeOption: ALL  */
#line 3650 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 29584 "gram.c"
    break;

  case 506: /* TableConstraint: CONSTRAINT name ConstraintElem  */
#line 3660 "gram.y"
                                {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 29595 "gram.c"
    break;

  case 507: /* TableConstraint: ConstraintElem  */
#line 3666 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 29601 "gram.c"
    break;

  case 508: /* ConstraintElem: CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 3671 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29618 "gram.c"
    break;

  case 509: /* ConstraintElem: UNIQUE '(' columnList ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 3685 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29637 "gram.c"
    break;

  case 510: /* ConstraintElem: UNIQUE ExistingIndex ConstraintAttributeSpec  */
#line 3700 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29656 "gram.c"
    break;

  case 511: /* ConstraintElem: PRIMARY KEY '(' columnList ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 3716 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29675 "gram.c"
    break;

  case 512: /* ConstraintElem: PRIMARY KEY ExistingIndex ConstraintAttributeSpec  */
#line 3731 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29694 "gram.c"
    break;

  case 513: /* ConstraintElem: EXCLUDE access_method_clause '(' ExclusionConstraintList ')' opt_c_include opt_definition OptConsTableSpace ExclusionWhereClause ConstraintAttributeSpec  */
#line 3748 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method	= (yyvsp[-8].str);
					n->exclusions		= (yyvsp[-6].list);
					n->including		= (yyvsp[-4].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29715 "gram.c"
    break;

  case 514: /* ConstraintElem: FOREIGN KEY '(' columnList ')' REFERENCES qualified_name opt_column_list key_match key_actions ConstraintAttributeSpec  */
#line 3766 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29737 "gram.c"
    break;

  case 515: /* opt_no_inherit: NO INHERIT  */
#line 3785 "gram.y"
                                                                                {  (yyval.boolean) = true; }
#line 29743 "gram.c"
    break;

  case 516: /* opt_no_inherit: %empty  */
#line 3786 "gram.y"
                                                                                        {  (yyval.boolean) = false; }
#line 29749 "gram.c"
    break;

  case 517: /* opt_column_list: '(' columnList ')'  */
#line 3790 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 29755 "gram.c"
    break;

  case 518: /* opt_column_list: %empty  */
#line 3791 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 29761 "gram.c"
    break;

  case 519: /* columnList: columnElem  */
#line 3795 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29767 "gram.c"
    break;

  case 520: /* columnList: columnList ',' columnElem  */
#line 3796 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29773 "gram.c"
    break;

  case 521: /* columnElem: ColId  */
#line 3800 "gram.y"
                                {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 29781 "gram.c"
    break;

  case 522: /* opt_c_include: INCLUDE '(' columnList ')'  */
#line 3805 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 29787 "gram.c"
    break;

  case 523: /* opt_c_include: %empty  */
#line 3806 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 29793 "gram.c"
    break;

  case 524: /* key_match: MATCH FULL  */
#line 3810 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 29801 "gram.c"
    break;

  case 525: /* key_match: MATCH PARTIAL  */
#line 3814 "gram.y"
                        {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 29813 "gram.c"
    break;

  case 526: /* key_match: MATCH SIMPLE  */
#line 3822 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29821 "gram.c"
    break;

  case 527: /* key_match: %empty  */
#line 3826 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29829 "gram.c"
    break;

  case 528: /* ExclusionConstraintList: ExclusionConstraintElem  */
#line 3832 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 29835 "gram.c"
    break;

  case 529: /* ExclusionConstraintList: ExclusionConstraintList ',' ExclusionConstraintElem  */
#line 3834 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 29841 "gram.c"
    break;

  case 530: /* ExclusionConstraintElem: index_elem WITH any_operator  */
#line 3838 "gram.y"
                        {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 29849 "gram.c"
    break;

  case 531: /* ExclusionConstraintElem: index_elem WITH OPERATOR '(' any_operator ')'  */
#line 3843 "gram.y"
                        {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 29857 "gram.c"
    break;

  case 532: /* ExclusionWhereClause: WHERE '(' a_expr ')'  */
#line 3849 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 29863 "gram.c"
    break;

  case 533: /* ExclusionWhereClause: %empty  */
#line 3850 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 29869 "gram.c"
    break;

  case 534: /* key_actions: key_update  */
#line 3861 "gram.y"
                                { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29875 "gram.c"
    break;

  case 535: /* key_actions: key_delete  */
#line 3863 "gram.y"
                                { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29881 "gram.c"
    break;

  case 536: /* key_actions: key_update key_delete  */
#line 3865 "gram.y"
                                { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29887 "gram.c"
    break;

  case 537: /* key_actions: key_delete key_update  */
#line 3867 "gram.y"
                                { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 29893 "gram.c"
    break;

  case 538: /* key_actions: %empty  */
#line 3869 "gram.y"
                                { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29899 "gram.c"
    break;

  case 539: /* key_update: ON UPDATE key_action  */
#line 3872 "gram.y"
                                                { (yyval.ival) = (yyvsp[0].ival); }
#line 29905 "gram.c"
    break;

  case 540: /* key_delete: ON DELETE_P key_action  */
#line 3875 "gram.y"
                                                { (yyval.ival) = (yyvsp[0].ival); }
#line 29911 "gram.c"
    break;

  case 541: /* key_action: NO ACTION  */
#line 3879 "gram.y"
                                                                        { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 29917 "gram.c"
    break;

  case 542: /* key_action: RESTRICT  */
#line 3880 "gram.y"
                                                                        { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 29923 "gram.c"
    break;

  case 543: /* key_action: CASCADE  */
#line 3881 "gram.y"
                                                                        { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 29929 "gram.c"
    break;

  case 544: /* key_action: SET NULL_P  */
#line 3882 "gram.y"
                                                                { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 29935 "gram.c"
    break;

  case 545: /* key_action: SET DEFAULT  */
#line 3883 "gram.y"
                                                                { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 29941 "gram.c"
    break;

  case 546: /* OptInherit: INHERITS '(' qualified_name_list ')'  */
#line 3886 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 29947 "gram.c"
    break;

  case 547: /* OptInherit: %empty  */
#line 3887 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 29953 "gram.c"
    break;

  case 548: /* OptPartitionSpec: PartitionSpec  */
#line 3891 "gram.y"
                                { (yyval.partspec) = (yyvsp[0].partspec); }
#line 29959 "gram.c"
    break;

  case 549: /* OptPartitionSpec: %empty  */
#line 3892 "gram.y"
                                                        { (yyval.partspec) = NULL; }
#line 29965 "gram.c"
    break;

  case 550: /* PartitionSpec: PARTITION BY part_strategy '(' part_params ')'  */
#line 3896 "gram.y"
                                {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 29979 "gram.c"
    break;

  case 551: /* part_strategy: IDENT  */
#line 3907 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 29985 "gram.c"
    break;

  case 552: /* part_strategy: unreserved_keyword  */
#line 3908 "gram.y"
                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 29991 "gram.c"
    break;

  case 553: /* part_params: part_elem  */
#line 3911 "gram.y"
                                                                        { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 29997 "gram.c"
    break;

  case 554: /* part_params: part_params ',' part_elem  */
#line 3912 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 30003 "gram.c"
    break;

  case 555: /* part_elem: ColId opt_collate opt_class  */
#line 3916 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 30018 "gram.c"
    break;

  case 556: /* part_elem: func_expr_windowless opt_collate opt_class  */
#line 3927 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 30033 "gram.c"
    break;

  case 557: /* part_elem: '(' a_expr ')' opt_collate opt_class  */
#line 3938 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 30048 "gram.c"
    break;

  case 558: /* OptWith: WITH reloptions  */
#line 3951 "gram.y"
                                                                { (yyval.list) = (yyvsp[0].list); }
#line 30054 "gram.c"
    break;

  case 559: /* OptWith: WITH OIDS  */
#line 3952 "gram.y"
                                                                        { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(true), (yylsp[-1]))); }
#line 30060 "gram.c"
    break;

  case 560: /* OptWith: WITHOUT OIDS  */
#line 3953 "gram.y"
                                                                { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(false), (yylsp[-1]))); }
#line 30066 "gram.c"
    break;

  case 561: /* OptWith: %empty  */
#line 3954 "gram.y"
                                                                        { (yyval.list) = NIL; }
#line 30072 "gram.c"
    break;

  case 562: /* OnCommitOption: ON COMMIT DROP  */
#line 3957 "gram.y"
                                                        { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 30078 "gram.c"
    break;

  case 563: /* OnCommitOption: ON COMMIT DELETE_P ROWS  */
#line 3958 "gram.y"
                                                                { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 30084 "gram.c"
    break;

  case 564: /* OnCommitOption: ON COMMIT PRESERVE ROWS  */
#line 3959 "gram.y"
                                                                { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 30090 "gram.c"
    break;

  case 565: /* OnCommitOption: %empty  */
#line 3960 "gram.y"
                                                                                { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 30096 "gram.c"
    break;

  case 566: /* OptTableSpace: TABLESPACE name  */
#line 3963 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 30102 "gram.c"
    break;

  case 567: /* OptTableSpace: %empty  */
#line 3964 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 30108 "gram.c"
    break;

  case 568: /* OptConsTableSpace: USING INDEX TABLESPACE name  */
#line 3967 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 30114 "gram.c"
    break;

  case 569: /* OptConsTableSpace: %empty  */
#line 3968 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 30120 "gram.c"
    break;

  case 570: /* ExistingIndex: USING INDEX index_name  */
#line 3971 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 30126 "gram.c"
    break;

  case 571: /* CreateStatsStmt: CREATE STATISTICS any_name opt_name_list ON expr_list FROM from_list  */
#line 3991 "gram.y"
                                {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30141 "gram.c"
    break;

  case 572: /* CreateStatsStmt: CREATE STATISTICS IF_P NOT EXISTS any_name opt_name_list ON expr_list FROM from_list  */
#line 4003 "gram.y"
                                {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30156 "gram.c"
    break;

  case 573: /* CreateAsStmt: CREATE OptTemp TABLE create_as_target AS SelectStmt opt_with_data  */
#line 4027 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30173 "gram.c"
    break;

  case 574: /* CreateAsStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS SelectStmt opt_with_data  */
#line 4040 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30190 "gram.c"
    break;

  case 575: /* create_as_target: qualified_name opt_column_list OptWith OnCommitOption OptTableSpace  */
#line 4056 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 30205 "gram.c"
    break;

  case 576: /* opt_with_data: WITH DATA_P  */
#line 4069 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 30211 "gram.c"
    break;

  case 577: /* opt_with_data: WITH NO DATA_P  */
#line 4070 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 30217 "gram.c"
    break;

  case 578: /* opt_with_data: %empty  */
#line 4071 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 30223 "gram.c"
    break;

  case 579: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW create_mv_target AS SelectStmt opt_with_data  */
#line 4084 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30240 "gram.c"
    break;

  case 580: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW IF_P NOT EXISTS create_mv_target AS SelectStmt opt_with_data  */
#line 4097 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30257 "gram.c"
    break;

  case 581: /* create_mv_target: qualified_name opt_column_list opt_reloptions OptTableSpace  */
#line 4113 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 30272 "gram.c"
    break;

  case 582: /* OptNoLog: UNLOGGED  */
#line 4125 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 30278 "gram.c"
    break;

  case 583: /* OptNoLog: %empty  */
#line 4126 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 30284 "gram.c"
    break;

  case 584: /* RefreshMatViewStmt: REFRESH MATERIALIZED VIEW opt_concurrently qualified_name opt_with_data  */
#line 4139 "gram.y"
                                {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 30296 "gram.c"
    break;

  case 585: /* CreateSeqStmt: CREATE OptTemp SEQUENCE qualified_name OptSeqOptList  */
#line 4159 "gram.y"
                                {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30310 "gram.c"
    break;

  case 586: /* CreateSeqStmt: CREATE OptTemp SEQUENCE IF_P NOT EXISTS qualified_name OptSeqOptList  */
#line 4169 "gram.y"
                                {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30324 "gram.c"
    break;

  case 587: /* AlterSeqStmt: ALTER SEQUENCE qualified_name SeqOptList  */
#line 4182 "gram.y"
                                {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30336 "gram.c"
    break;

  case 588: /* AlterSeqStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SeqOptList  */
#line 4190 "gram.y"
                                {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30348 "gram.c"
    break;

  case 589: /* OptSeqOptList: SeqOptList  */
#line 4200 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 30354 "gram.c"
    break;

  case 590: /* OptSeqOptList: %empty  */
#line 4201 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 30360 "gram.c"
    break;

  case 591: /* OptParenthesizedSeqOptList: '(' SeqOptList ')'  */
#line 4204 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 30366 "gram.c"
    break;

  case 592: /* OptParenthesizedSeqOptList: %empty  */
#line 4205 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 30372 "gram.c"
    break;

  case 593: /* SeqOptList: SeqOptElem  */
#line 4208 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30378 "gram.c"
    break;

  case 594: /* SeqOptList: SeqOptList SeqOptElem  */
#line 4209 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30384 "gram.c"
    break;

  case 595: /* SeqOptElem: AS SimpleTypename  */
#line 4213 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 30392 "gram.c"
    break;

  case 596: /* SeqOptElem: CACHE NumericOnly  */
#line 4217 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30400 "gram.c"
    break;

  case 597: /* SeqOptElem: CYCLE  */
#line 4221 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30408 "gram.c"
    break;

  case 598: /* SeqOptElem: NO CYCLE  */
#line 4225 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 30416 "gram.c"
    break;

  case 599: /* SeqOptElem: INCREMENT opt_by NumericOnly  */
#line 4229 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30424 "gram.c"
    break;

  case 600: /* SeqOptElem: MAXVALUE NumericOnly  */
#line 4233 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30432 "gram.c"
    break;

  case 601: /* SeqOptElem: MINVALUE NumericOnly  */
#line 4237 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30440 "gram.c"
    break;

  case 602: /* SeqOptElem: NO MAXVALUE  */
#line 4241 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 30448 "gram.c"
    break;

  case 603: /* SeqOptElem: NO MINVALUE  */
#line 4245 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 30456 "gram.c"
    break;

  case 604: /* SeqOptElem: OWNED BY any_name  */
#line 4249 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30464 "gram.c"
    break;

  case 605: /* SeqOptElem: SEQUENCE NAME_P any_name  */
#line 4253 "gram.y"
                                {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30473 "gram.c"
    break;

  case 606: /* SeqOptElem: START opt_with NumericOnly  */
#line 4258 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30481 "gram.c"
    break;

  case 607: /* SeqOptElem: RESTART  */
#line 4262 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 30489 "gram.c"
    break;

  case 608: /* SeqOptElem: RESTART opt_with NumericOnly  */
#line 4266 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30497 "gram.c"
    break;

  case 609: /* opt_by: BY  */
#line 4271 "gram.y"
                                                {}
#line 30503 "gram.c"
    break;

  case 610: /* opt_by: %empty  */
#line 4272 "gram.y"
                                        {}
#line 30509 "gram.c"
    break;

  case 611: /* NumericOnly: FCONST  */
#line 4276 "gram.y"
                                                                                        { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30515 "gram.c"
    break;

  case 612: /* NumericOnly: '+' FCONST  */
#line 4277 "gram.y"
                                                                                { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30521 "gram.c"
    break;

  case 613: /* NumericOnly: '-' FCONST  */
#line 4279 "gram.y"
                                {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 30530 "gram.c"
    break;

  case 614: /* NumericOnly: SignedIconst  */
#line 4283 "gram.y"
                                                                                { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 30536 "gram.c"
    break;

  case 615: /* NumericOnly_list: NumericOnly  */
#line 4286 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30542 "gram.c"
    break;

  case 616: /* NumericOnly_list: NumericOnly_list ',' NumericOnly  */
#line 4287 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30548 "gram.c"
    break;

  case 617: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE NonReservedWord_or_Sconst  */
#line 4300 "gram.y"
                        {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 30564 "gram.c"
    break;

  case 618: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE NonReservedWord_or_Sconst HANDLER handler_name opt_inline_handler opt_validator  */
#line 4313 "gram.y"
                        {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 30579 "gram.c"
    break;

  case 619: /* opt_trusted: TRUSTED  */
#line 4326 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 30585 "gram.c"
    break;

  case 620: /* opt_trusted: %empty  */
#line 4327 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 30591 "gram.c"
    break;

  case 621: /* handler_name: name  */
#line 4335 "gram.y"
                                                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30597 "gram.c"
    break;

  case 622: /* handler_name: name attrs  */
#line 4336 "gram.y"
                                                                { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 30603 "gram.c"
    break;

  case 623: /* opt_inline_handler: INLINE_P handler_name  */
#line 4340 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 30609 "gram.c"
    break;

  case 624: /* opt_inline_handler: %empty  */
#line 4341 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 30615 "gram.c"
    break;

  case 625: /* validator_clause: VALIDATOR handler_name  */
#line 4345 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 30621 "gram.c"
    break;

  case 626: /* validator_clause: NO VALIDATOR  */
#line 4346 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 30627 "gram.c"
    break;

  case 627: /* opt_validator: validator_clause  */
#line 4350 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 30633 "gram.c"
    break;

  case 628: /* opt_validator: %empty  */
#line 4351 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 30639 "gram.c"
    break;

  case 629: /* DropPLangStmt: DROP opt_procedural LANGUAGE NonReservedWord_or_Sconst opt_drop_behavior  */
#line 4356 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 30653 "gram.c"
    break;

  case 630: /* DropPLangStmt: DROP opt_procedural LANGUAGE IF_P EXISTS NonReservedWord_or_Sconst opt_drop_behavior  */
#line 4366 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 30667 "gram.c"
    break;

  case 631: /* opt_procedural: PROCEDURAL  */
#line 4378 "gram.y"
                                                                                                {}
#line 30673 "gram.c"
    break;

  case 632: /* opt_procedural: %empty  */
#line 4379 "gram.y"
                                                                                                {}
#line 30679 "gram.c"
    break;

  case 633: /* CreateTableSpaceStmt: CREATE TABLESPACE name OptTableSpaceOwner LOCATION Sconst opt_reloptions  */
#line 4390 "gram.y"
                                {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30692 "gram.c"
    break;

  case 634: /* OptTableSpaceOwner: OWNER RoleSpec  */
#line 4400 "gram.y"
                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 30698 "gram.c"
    break;

  case 635: /* OptTableSpaceOwner: %empty  */
#line 4401 "gram.y"
                                                                { (yyval.rolespec) = NULL; }
#line 30704 "gram.c"
    break;

  case 636: /* DropTableSpaceStmt: DROP TABLESPACE name  */
#line 4415 "gram.y"
                                {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30715 "gram.c"
    break;

  case 637: /* DropTableSpaceStmt: DROP TABLESPACE IF_P EXISTS name  */
#line 4422 "gram.y"
                                {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30726 "gram.c"
    break;

  case 638: /* CreateExtensionStmt: CREATE EXTENSION name opt_with create_extension_opt_list  */
#line 4439 "gram.y"
                                {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30738 "gram.c"
    break;

  case 639: /* CreateExtensionStmt: CREATE EXTENSION IF_P NOT EXISTS name opt_with create_extension_opt_list  */
#line 4447 "gram.y"
                                {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30750 "gram.c"
    break;

  case 640: /* create_extension_opt_list: create_extension_opt_list create_extension_opt_item  */
#line 4458 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30756 "gram.c"
    break;

  case 641: /* create_extension_opt_list: %empty  */
#line 4460 "gram.y"
                                { (yyval.list) = NIL; }
#line 30762 "gram.c"
    break;

  case 642: /* create_extension_opt_item: SCHEMA name  */
#line 4465 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30770 "gram.c"
    break;

  case 643: /* create_extension_opt_item: VERSION_P NonReservedWord_or_Sconst  */
#line 4469 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30778 "gram.c"
    break;

  case 644: /* create_extension_opt_item: FROM NonReservedWord_or_Sconst  */
#line 4473 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30786 "gram.c"
    break;

  case 645: /* create_extension_opt_item: CASCADE  */
#line 4477 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30794 "gram.c"
    break;

  case 646: /* AlterExtensionStmt: ALTER EXTENSION name UPDATE alter_extension_opt_list  */
#line 4489 "gram.y"
                                {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30805 "gram.c"
    break;

  case 647: /* alter_extension_opt_list: alter_extension_opt_list alter_extension_opt_item  */
#line 4499 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30811 "gram.c"
    break;

  case 648: /* alter_extension_opt_list: %empty  */
#line 4501 "gram.y"
                                { (yyval.list) = NIL; }
#line 30817 "gram.c"
    break;

  case 649: /* alter_extension_opt_item: TO NonReservedWord_or_Sconst  */
#line 4506 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30825 "gram.c"
    break;

  case 650: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop ACCESS METHOD name  */
#line 4519 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30838 "gram.c"
    break;

  case 651: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop AGGREGATE aggregate_with_argtypes  */
#line 4528 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30851 "gram.c"
    break;

  case 652: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop CAST '(' Typename AS Typename ')'  */
#line 4537 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 30864 "gram.c"
    break;

  case 653: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop COLLATION any_name  */
#line 4546 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30877 "gram.c"
    break;

  case 654: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop CONVERSION_P any_name  */
#line 4555 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30890 "gram.c"
    break;

  case 655: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop DOMAIN_P Typename  */
#line 4564 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 30903 "gram.c"
    break;

  case 656: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FUNCTION function_with_argtypes  */
#line 4573 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30916 "gram.c"
    break;

  case 657: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop opt_procedural LANGUAGE name  */
#line 4582 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30929 "gram.c"
    break;

  case 658: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR operator_with_argtypes  */
#line 4591 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30942 "gram.c"
    break;

  case 659: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR CLASS any_name USING access_method  */
#line 4600 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30955 "gram.c"
    break;

  case 660: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR FAMILY any_name USING access_method  */
#line 4609 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30968 "gram.c"
    break;

  case 661: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop PROCEDURE function_with_argtypes  */
#line 4618 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30981 "gram.c"
    break;

  case 662: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop ROUTINE function_with_argtypes  */
#line 4627 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30994 "gram.c"
    break;

  case 663: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop SCHEMA name  */
#line 4636 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31007 "gram.c"
    break;

  case 664: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop EVENT TRIGGER name  */
#line 4645 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31020 "gram.c"
    break;

  case 665: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TABLE any_name  */
#line 4654 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31033 "gram.c"
    break;

  case 666: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TEXT_P SEARCH PARSER any_name  */
#line 4663 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31046 "gram.c"
    break;

  case 667: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TEXT_P SEARCH DICTIONARY any_name  */
#line 4672 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31059 "gram.c"
    break;

  case 668: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TEXT_P SEARCH TEMPLATE any_name  */
#line 4681 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31072 "gram.c"
    break;

  case 669: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TEXT_P SEARCH CONFIGURATION any_name  */
#line 4690 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31085 "gram.c"
    break;

  case 670: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop SEQUENCE any_name  */
#line 4699 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31098 "gram.c"
    break;

  case 671: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop VIEW any_name  */
#line 4708 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31111 "gram.c"
    break;

  case 672: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop MATERIALIZED VIEW any_name  */
#line 4717 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31124 "gram.c"
    break;

  case 673: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FOREIGN TABLE any_name  */
#line 4726 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31137 "gram.c"
    break;

  case 674: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FOREIGN DATA_P WRAPPER name  */
#line 4735 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31150 "gram.c"
    break;

  case 675: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop SERVER name  */
#line 4744 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31163 "gram.c"
    break;

  case 676: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TRANSFORM FOR Typename LANGUAGE name  */
#line 4753 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 31176 "gram.c"
    break;

  case 677: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TYPE_P Typename  */
#line 4762 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 31189 "gram.c"
    break;

  case 678: /* CreateFdwStmt: CREATE FOREIGN DATA_P WRAPPER name opt_fdw_options create_generic_options  */
#line 4780 "gram.y"
                                {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31201 "gram.c"
    break;

  case 679: /* fdw_option: HANDLER handler_name  */
#line 4790 "gram.y"
                                                                        { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 31207 "gram.c"
    break;

  case 680: /* fdw_option: NO HANDLER  */
#line 4791 "gram.y"
                                                                                { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 31213 "gram.c"
    break;

  case 681: /* fdw_option: VALIDATOR handler_name  */
#line 4792 "gram.y"
                                                                        { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 31219 "gram.c"
    break;

  case 682: /* fdw_option: NO VALIDATOR  */
#line 4793 "gram.y"
                                                                                { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 31225 "gram.c"
    break;

  case 683: /* fdw_options: fdw_option  */
#line 4797 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31231 "gram.c"
    break;

  case 684: /* fdw_options: fdw_options fdw_option  */
#line 4798 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31237 "gram.c"
    break;

  case 685: /* opt_fdw_options: fdw_options  */
#line 4802 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 31243 "gram.c"
    break;

  case 686: /* opt_fdw_options: %empty  */
#line 4803 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 31249 "gram.c"
    break;

  case 687: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name opt_fdw_options alter_generic_options  */
#line 4814 "gram.y"
                                {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31261 "gram.c"
    break;

  case 688: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name fdw_options  */
#line 4822 "gram.y"
                                {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31273 "gram.c"
    break;

  case 689: /* create_generic_options: OPTIONS '(' generic_option_list ')'  */
#line 4833 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 31279 "gram.c"
    break;

  case 690: /* create_generic_options: %empty  */
#line 4834 "gram.y"
                                                                                                        { (yyval.list) = NIL; }
#line 31285 "gram.c"
    break;

  case 691: /* generic_option_list: generic_option_elem  */
#line 4839 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31293 "gram.c"
    break;

  case 692: /* generic_option_list: generic_option_list ',' generic_option_elem  */
#line 4843 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31301 "gram.c"
    break;

  case 693: /* alter_generic_options: OPTIONS '(' alter_generic_option_list ')'  */
#line 4850 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 31307 "gram.c"
    break;

  case 694: /* alter_generic_option_list: alter_generic_option_elem  */
#line 4855 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31315 "gram.c"
    break;

  case 695: /* alter_generic_option_list: alter_generic_option_list ',' alter_generic_option_elem  */
#line 4859 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31323 "gram.c"
    break;

  case 696: /* alter_generic_option_elem: generic_option_elem  */
#line 4866 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31331 "gram.c"
    break;

  case 697: /* alter_generic_option_elem: SET generic_option_elem  */
#line 4870 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 31340 "gram.c"
    break;

  case 698: /* alter_generic_option_elem: ADD_P generic_option_elem  */
#line 4875 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 31349 "gram.c"
    break;

  case 699: /* alter_generic_option_elem: DROP generic_option_name  */
#line 4880 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 31357 "gram.c"
    break;

  case 700: /* generic_option_elem: generic_option_name generic_option_arg  */
#line 4887 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 31365 "gram.c"
    break;

  case 701: /* generic_option_name: ColLabel  */
#line 4893 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 31371 "gram.c"
    break;

  case 702: /* generic_option_arg: Sconst  */
#line 4898 "gram.y"
                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 31377 "gram.c"
    break;

  case 703: /* CreateForeignServerStmt: CREATE SERVER name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 4910 "gram.y"
                                {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31392 "gram.c"
    break;

  case 704: /* CreateForeignServerStmt: CREATE SERVER IF_P NOT EXISTS name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 4922 "gram.y"
                                {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31407 "gram.c"
    break;

  case 705: /* opt_type: TYPE_P Sconst  */
#line 4935 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 31413 "gram.c"
    break;

  case 706: /* opt_type: %empty  */
#line 4936 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 31419 "gram.c"
    break;

  case 707: /* foreign_server_version: VERSION_P Sconst  */
#line 4941 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 31425 "gram.c"
    break;

  case 708: /* foreign_server_version: VERSION_P NULL_P  */
#line 4942 "gram.y"
                                                        { (yyval.str) = NULL; }
#line 31431 "gram.c"
    break;

  case 709: /* opt_foreign_server_version: foreign_server_version  */
#line 4946 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 31437 "gram.c"
    break;

  case 710: /* opt_foreign_server_version: %empty  */
#line 4947 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 31443 "gram.c"
    break;

  case 711: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version alter_generic_options  */
#line 4958 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 31456 "gram.c"
    break;

  case 712: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version  */
#line 4967 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 31468 "gram.c"
    break;

  case 713: /* AlterForeignServerStmt: ALTER SERVER name alter_generic_options  */
#line 4975 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31479 "gram.c"
    break;

  case 714: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 4994 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31501 "gram.c"
    break;

  case 715: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 5014 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31523 "gram.c"
    break;

  case 716: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5034 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31546 "gram.c"
    break;

  case 717: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5055 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31569 "gram.c"
    break;

  case 718: /* AlterForeignTableStmt: ALTER FOREIGN TABLE relation_expr alter_table_cmds  */
#line 5084 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 31582 "gram.c"
    break;

  case 719: /* AlterForeignTableStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 5093 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 31595 "gram.c"
    break;

  case 720: /* ImportForeignSchemaStmt: IMPORT_P FOREIGN SCHEMA name import_qualification FROM SERVER name INTO name create_generic_options  */
#line 5115 "gram.y"
                        {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 31610 "gram.c"
    break;

  case 721: /* import_qualification_type: LIMIT TO  */
#line 5128 "gram.y"
                                                        { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 31616 "gram.c"
    break;

  case 722: /* import_qualification_type: EXCEPT  */
#line 5129 "gram.y"
                                                        { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 31622 "gram.c"
    break;

  case 723: /* import_qualification: import_qualification_type '(' relation_expr_list ')'  */
#line 5134 "gram.y"
                        {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 31633 "gram.c"
    break;

  case 724: /* import_qualification: %empty  */
#line 5141 "gram.y"
                        {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 31644 "gram.c"
    break;

  case 725: /* CreateUserMappingStmt: CREATE USER MAPPING FOR auth_ident SERVER name create_generic_options  */
#line 5157 "gram.y"
                                {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31657 "gram.c"
    break;

  case 726: /* CreateUserMappingStmt: CREATE USER MAPPING IF_P NOT EXISTS FOR auth_ident SERVER name create_generic_options  */
#line 5166 "gram.y"
                                {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31670 "gram.c"
    break;

  case 727: /* auth_ident: RoleSpec  */
#line 5177 "gram.y"
                                        { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 31676 "gram.c"
    break;

  case 728: /* auth_ident: USER  */
#line 5178 "gram.y"
                                                        { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 31682 "gram.c"
    break;

  case 729: /* DropUserMappingStmt: DROP USER MAPPING FOR auth_ident SERVER name  */
#line 5191 "gram.y"
                                {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31694 "gram.c"
    break;

  case 730: /* DropUserMappingStmt: DROP USER MAPPING IF_P EXISTS FOR auth_ident SERVER name  */
#line 5199 "gram.y"
                                {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31706 "gram.c"
    break;

  case 731: /* AlterUserMappingStmt: ALTER USER MAPPING FOR auth_ident SERVER name alter_generic_options  */
#line 5216 "gram.y"
                                {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31718 "gram.c"
    break;

  case 732: /* CreatePolicyStmt: CREATE POLICY name ON qualified_name RowSecurityDefaultPermissive RowSecurityDefaultForCmd RowSecurityDefaultToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5242 "gram.y"
                                {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31734 "gram.c"
    break;

  case 733: /* AlterPolicyStmt: ALTER POLICY name ON qualified_name RowSecurityOptionalToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5258 "gram.y"
                                {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31748 "gram.c"
    break;

  case 734: /* RowSecurityOptionalExpr: USING '(' a_expr ')'  */
#line 5270 "gram.y"
                                                { (yyval.node) = (yyvsp[-1].node); }
#line 31754 "gram.c"
    break;

  case 735: /* RowSecurityOptionalExpr: %empty  */
#line 5271 "gram.y"
                                                        { (yyval.node) = NULL; }
#line 31760 "gram.c"
    break;

  case 736: /* RowSecurityOptionalWithCheck: WITH CHECK '(' a_expr ')'  */
#line 5275 "gram.y"
                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 31766 "gram.c"
    break;

  case 737: /* RowSecurityOptionalWithCheck: %empty  */
#line 5276 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 31772 "gram.c"
    break;

  case 738: /* RowSecurityDefaultToRole: TO role_list  */
#line 5280 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 31778 "gram.c"
    break;

  case 739: /* RowSecurityDefaultToRole: %empty  */
#line 5281 "gram.y"
                                                        { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 31784 "gram.c"
    break;

  case 740: /* RowSecurityOptionalToRole: TO role_list  */
#line 5285 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 31790 "gram.c"
    break;

  case 741: /* RowSecurityOptionalToRole: %empty  */
#line 5286 "gram.y"
                                                        { (yyval.list) = NULL; }
#line 31796 "gram.c"
    break;

  case 742: /* RowSecurityDefaultPermissive: AS IDENT  */
#line 5291 "gram.y"
                                {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 31814 "gram.c"
    break;

  case 743: /* RowSecurityDefaultPermissive: %empty  */
#line 5304 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 31820 "gram.c"
    break;

  case 744: /* RowSecurityDefaultForCmd: FOR row_security_cmd  */
#line 5308 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 31826 "gram.c"
    break;

  case 745: /* RowSecurityDefaultForCmd: %empty  */
#line 5309 "gram.y"
                                                        { (yyval.str) = "all"; }
#line 31832 "gram.c"
    break;

  case 746: /* row_security_cmd: ALL  */
#line 5313 "gram.y"
                                                        { (yyval.str) = "all"; }
#line 31838 "gram.c"
    break;

  case 747: /* row_security_cmd: SELECT  */
#line 5314 "gram.y"
                                                { (yyval.str) = "select"; }
#line 31844 "gram.c"
    break;

  case 748: /* row_security_cmd: INSERT  */
#line 5315 "gram.y"
                                                { (yyval.str) = "insert"; }
#line 31850 "gram.c"
    break;

  case 749: /* row_security_cmd: UPDATE  */
#line 5316 "gram.y"
                                                { (yyval.str) = "update"; }
#line 31856 "gram.c"
    break;

  case 750: /* row_security_cmd: DELETE_P  */
#line 5317 "gram.y"
                                                { (yyval.str) = "delete"; }
#line 31862 "gram.c"
    break;

  case 751: /* CreateAmStmt: CREATE ACCESS METHOD name TYPE_P INDEX HANDLER handler_name  */
#line 5328 "gram.y"
                                {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 31874 "gram.c"
    break;

  case 752: /* CreateTrigStmt: CREATE TRIGGER name TriggerActionTime TriggerEvents ON qualified_name TriggerReferencing TriggerForSpec TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5348 "gram.y"
                                {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = false;
					n->deferrable	 = false;
					n->initdeferred  = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 31897 "gram.c"
    break;

  case 753: /* CreateTrigStmt: CREATE CONSTRAINT TRIGGER name AFTER TriggerEvents ON qualified_name OptConstrFromTable ConstraintAttributeSpec FOR EACH ROW TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5370 "gram.y"
                                {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = true;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 31921 "gram.c"
    break;

  case 754: /* TriggerActionTime: BEFORE  */
#line 5392 "gram.y"
                                                                                        { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 31927 "gram.c"
    break;

  case 755: /* TriggerActionTime: AFTER  */
#line 5393 "gram.y"
                                                                                        { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 31933 "gram.c"
    break;

  case 756: /* TriggerActionTime: INSTEAD OF  */
#line 5394 "gram.y"
                                                                                { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 31939 "gram.c"
    break;

  case 757: /* TriggerEvents: TriggerOneEvent  */
#line 5399 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 31945 "gram.c"
    break;

  case 758: /* TriggerEvents: TriggerEvents OR TriggerOneEvent  */
#line 5401 "gram.y"
                                {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 31968 "gram.c"
    break;

  case 759: /* TriggerOneEvent: INSERT  */
#line 5423 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 31974 "gram.c"
    break;

  case 760: /* TriggerOneEvent: DELETE_P  */
#line 5425 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 31980 "gram.c"
    break;

  case 761: /* TriggerOneEvent: UPDATE  */
#line 5427 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 31986 "gram.c"
    break;

  case 762: /* TriggerOneEvent: UPDATE OF columnList  */
#line 5429 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 31992 "gram.c"
    break;

  case 763: /* TriggerOneEvent: TRUNCATE  */
#line 5431 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 31998 "gram.c"
    break;

  case 764: /* TriggerReferencing: REFERENCING TriggerTransitions  */
#line 5435 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 32004 "gram.c"
    break;

  case 765: /* TriggerReferencing: %empty  */
#line 5436 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 32010 "gram.c"
    break;

  case 766: /* TriggerTransitions: TriggerTransition  */
#line 5440 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32016 "gram.c"
    break;

  case 767: /* TriggerTransitions: TriggerTransitions TriggerTransition  */
#line 5441 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32022 "gram.c"
    break;

  case 768: /* TriggerTransition: TransitionOldOrNew TransitionRowOrTable opt_as TransitionRelName  */
#line 5446 "gram.y"
                                {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32034 "gram.c"
    break;

  case 769: /* TransitionOldOrNew: NEW  */
#line 5456 "gram.y"
                                                                                                        { (yyval.boolean) = true; }
#line 32040 "gram.c"
    break;

  case 770: /* TransitionOldOrNew: OLD  */
#line 5457 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 32046 "gram.c"
    break;

  case 771: /* TransitionRowOrTable: TABLE  */
#line 5461 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 32052 "gram.c"
    break;

  case 772: /* TransitionRowOrTable: ROW  */
#line 5470 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 32058 "gram.c"
    break;

  case 773: /* TransitionRelName: ColId  */
#line 5474 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 32064 "gram.c"
    break;

  case 774: /* TriggerForSpec: FOR TriggerForOptEach TriggerForType  */
#line 5479 "gram.y"
                                {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 32072 "gram.c"
    break;

  case 775: /* TriggerForSpec: %empty  */
#line 5483 "gram.y"
                                {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 32084 "gram.c"
    break;

  case 776: /* TriggerForOptEach: EACH  */
#line 5493 "gram.y"
                                                                                                {}
#line 32090 "gram.c"
    break;

  case 777: /* TriggerForOptEach: %empty  */
#line 5494 "gram.y"
                                                                                                {}
#line 32096 "gram.c"
    break;

  case 778: /* TriggerForType: ROW  */
#line 5498 "gram.y"
                                                                                                        { (yyval.boolean) = true; }
#line 32102 "gram.c"
    break;

  case 779: /* TriggerForType: STATEMENT  */
#line 5499 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 32108 "gram.c"
    break;

  case 780: /* TriggerWhen: WHEN '(' a_expr ')'  */
#line 5503 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[-1].node); }
#line 32114 "gram.c"
    break;

  case 781: /* TriggerWhen: %empty  */
#line 5504 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 32120 "gram.c"
    break;

  case 784: /* TriggerFuncArgs: TriggerFuncArg  */
#line 5513 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 32126 "gram.c"
    break;

  case 785: /* TriggerFuncArgs: TriggerFuncArgs ',' TriggerFuncArg  */
#line 5514 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 32132 "gram.c"
    break;

  case 786: /* TriggerFuncArgs: %empty  */
#line 5515 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 32138 "gram.c"
    break;

  case 787: /* TriggerFuncArg: Iconst  */
#line 5520 "gram.y"
                                {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 32146 "gram.c"
    break;

  case 788: /* TriggerFuncArg: FCONST  */
#line 5523 "gram.y"
                                                                                                { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32152 "gram.c"
    break;

  case 789: /* TriggerFuncArg: Sconst  */
#line 5524 "gram.y"
                                                                                                { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32158 "gram.c"
    break;

  case 790: /* TriggerFuncArg: ColLabel  */
#line 5525 "gram.y"
                                                                                                { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32164 "gram.c"
    break;

  case 791: /* OptConstrFromTable: FROM qualified_name  */
#line 5529 "gram.y"
                                                                                        { (yyval.range) = (yyvsp[0].range); }
#line 32170 "gram.c"
    break;

  case 792: /* OptConstrFromTable: %empty  */
#line 5530 "gram.y"
                                                                                                { (yyval.range) = NULL; }
#line 32176 "gram.c"
    break;

  case 793: /* ConstraintAttributeSpec: %empty  */
#line 5535 "gram.y"
                                { (yyval.ival) = 0; }
#line 32182 "gram.c"
    break;

  case 794: /* ConstraintAttributeSpec: ConstraintAttributeSpec ConstraintAttributeElem  */
#line 5537 "gram.y"
                                {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 32210 "gram.c"
    break;

  case 795: /* ConstraintAttributeElem: NOT DEFERRABLE  */
#line 5563 "gram.y"
                                                                        { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 32216 "gram.c"
    break;

  case 796: /* ConstraintAttributeElem: DEFERRABLE  */
#line 5564 "gram.y"
                                                                        { (yyval.ival) = CAS_DEFERRABLE; }
#line 32222 "gram.c"
    break;

  case 797: /* ConstraintAttributeElem: INITIALLY IMMEDIATE  */
#line 5565 "gram.y"
                                                                { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 32228 "gram.c"
    break;

  case 798: /* ConstraintAttributeElem: INITIALLY DEFERRED  */
#line 5566 "gram.y"
                                                                { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 32234 "gram.c"
    break;

  case 799: /* ConstraintAttributeElem: NOT VALID  */
#line 5567 "gram.y"
                                                                                { (yyval.ival) = CAS_NOT_VALID; }
#line 32240 "gram.c"
    break;

  case 800: /* ConstraintAttributeElem: NO INHERIT  */
#line 5568 "gram.y"
                                                                        { (yyval.ival) = CAS_NO_INHERIT; }
#line 32246 "gram.c"
    break;

  case 801: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 5583 "gram.y"
                                {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 32259 "gram.c"
    break;

  case 802: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel WHEN event_trigger_when_list EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 5594 "gram.y"
                                {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 32272 "gram.c"
    break;

  case 803: /* event_trigger_when_list: event_trigger_when_item  */
#line 5606 "gram.y"
                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32278 "gram.c"
    break;

  case 804: /* event_trigger_when_list: event_trigger_when_list AND event_trigger_when_item  */
#line 5608 "gram.y"
                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32284 "gram.c"
    break;

  case 805: /* event_trigger_when_item: ColId IN_P '(' event_trigger_value_list ')'  */
#line 5613 "gram.y"
                        { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 32290 "gram.c"
    break;

  case 806: /* event_trigger_value_list: SCONST  */
#line 5618 "gram.y"
                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32296 "gram.c"
    break;

  case 807: /* event_trigger_value_list: event_trigger_value_list ',' SCONST  */
#line 5620 "gram.y"
                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32302 "gram.c"
    break;

  case 808: /* AlterEventTrigStmt: ALTER EVENT TRIGGER name enable_trigger  */
#line 5625 "gram.y"
                                {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 32313 "gram.c"
    break;

  case 809: /* enable_trigger: ENABLE_P  */
#line 5634 "gram.y"
                                                                        { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 32319 "gram.c"
    break;

  case 810: /* enable_trigger: ENABLE_P REPLICA  */
#line 5635 "gram.y"
                                                                { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 32325 "gram.c"
    break;

  case 811: /* enable_trigger: ENABLE_P ALWAYS  */
#line 5636 "gram.y"
                                                                { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 32331 "gram.c"
    break;

  case 812: /* enable_trigger: DISABLE_P  */
#line 5637 "gram.y"
                                                                        { (yyval.chr) = TRIGGER_DISABLED; }
#line 32337 "gram.c"
    break;

  case 813: /* CreateAssertStmt: CREATE ASSERTION name CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 5651 "gram.y"
                                {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = true;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 32357 "gram.c"
    break;

  case 814: /* DropAssertStmt: DROP ASSERTION name opt_drop_behavior  */
#line 5670 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 32372 "gram.c"
    break;

  case 815: /* DefineStmt: CREATE AGGREGATE func_name aggr_args definition  */
#line 5692 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32386 "gram.c"
    break;

  case 816: /* DefineStmt: CREATE AGGREGATE func_name old_aggr_definition  */
#line 5702 "gram.y"
                                {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32401 "gram.c"
    break;

  case 817: /* DefineStmt: CREATE OPERATOR any_operator definition  */
#line 5713 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32415 "gram.c"
    break;

  case 818: /* DefineStmt: CREATE TYPE_P any_name definition  */
#line 5723 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32429 "gram.c"
    break;

  case 819: /* DefineStmt: CREATE TYPE_P any_name  */
#line 5733 "gram.y"
                                {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 32444 "gram.c"
    break;

  case 820: /* DefineStmt: CREATE TYPE_P any_name AS '(' OptTableFuncElementList ')'  */
#line 5744 "gram.y"
                                {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 32457 "gram.c"
    break;

  case 821: /* DefineStmt: CREATE TYPE_P any_name AS ENUM_P '(' opt_enum_val_list ')'  */
#line 5753 "gram.y"
                                {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 32468 "gram.c"
    break;

  case 822: /* DefineStmt: CREATE TYPE_P any_name AS RANGE definition  */
#line 5760 "gram.y"
                                {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32479 "gram.c"
    break;

  case 823: /* DefineStmt: CREATE TEXT_P SEARCH PARSER any_name definition  */
#line 5767 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32492 "gram.c"
    break;

  case 824: /* DefineStmt: CREATE TEXT_P SEARCH DICTIONARY any_name definition  */
#line 5776 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32505 "gram.c"
    break;

  case 825: /* DefineStmt: CREATE TEXT_P SEARCH TEMPLATE any_name definition  */
#line 5785 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32518 "gram.c"
    break;

  case 826: /* DefineStmt: CREATE TEXT_P SEARCH CONFIGURATION any_name definition  */
#line 5794 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32531 "gram.c"
    break;

  case 827: /* DefineStmt: CREATE COLLATION any_name definition  */
#line 5803 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32544 "gram.c"
    break;

  case 828: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name definition  */
#line 5812 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32558 "gram.c"
    break;

  case 829: /* DefineStmt: CREATE COLLATION any_name FROM any_name  */
#line 5822 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 32571 "gram.c"
    break;

  case 830: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name FROM any_name  */
#line 5831 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32585 "gram.c"
    break;

  case 831: /* definition: '(' def_list ')'  */
#line 5842 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 32591 "gram.c"
    break;

  case 832: /* def_list: def_elem  */
#line 5845 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32597 "gram.c"
    break;

  case 833: /* def_list: def_list ',' def_elem  */
#line 5846 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32603 "gram.c"
    break;

  case 834: /* def_elem: ColLabel '=' def_arg  */
#line 5850 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32611 "gram.c"
    break;

  case 835: /* def_elem: ColLabel  */
#line 5854 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32619 "gram.c"
    break;

  case 836: /* def_arg: func_type  */
#line 5860 "gram.y"
                                                                        { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 32625 "gram.c"
    break;

  case 837: /* def_arg: reserved_keyword  */
#line 5861 "gram.y"
                                                                        { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32631 "gram.c"
    break;

  case 838: /* def_arg: qual_all_Op  */
#line 5862 "gram.y"
                                                                        { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 32637 "gram.c"
    break;

  case 839: /* def_arg: NumericOnly  */
#line 5863 "gram.y"
                                                                        { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 32643 "gram.c"
    break;

  case 840: /* def_arg: Sconst  */
#line 5864 "gram.y"
                                                                                { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 32649 "gram.c"
    break;

  case 841: /* def_arg: NONE  */
#line 5865 "gram.y"
                                                                                { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32655 "gram.c"
    break;

  case 842: /* old_aggr_definition: '(' old_aggr_list ')'  */
#line 5868 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 32661 "gram.c"
    break;

  case 843: /* old_aggr_list: old_aggr_elem  */
#line 5871 "gram.y"
                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32667 "gram.c"
    break;

  case 844: /* old_aggr_list: old_aggr_list ',' old_aggr_elem  */
#line 5872 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32673 "gram.c"
    break;

  case 845: /* old_aggr_elem: IDENT '=' def_arg  */
#line 5881 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 32681 "gram.c"
    break;

  case 846: /* opt_enum_val_list: enum_val_list  */
#line 5887 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 32687 "gram.c"
    break;

  case 847: /* opt_enum_val_list: %empty  */
#line 5888 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 32693 "gram.c"
    break;

  case 848: /* enum_val_list: Sconst  */
#line 5892 "gram.y"
                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32699 "gram.c"
    break;

  case 849: /* enum_val_list: enum_val_list ',' Sconst  */
#line 5894 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32705 "gram.c"
    break;

  case 850: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst  */
#line 5905 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32720 "gram.c"
    break;

  case 851: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst BEFORE Sconst  */
#line 5916 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32735 "gram.c"
    break;

  case 852: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst AFTER Sconst  */
#line 5927 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32750 "gram.c"
    break;

  case 853: /* AlterEnumStmt: ALTER TYPE_P any_name RENAME VALUE_P Sconst TO Sconst  */
#line 5938 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 32765 "gram.c"
    break;

  case 854: /* opt_if_not_exists: IF_P NOT EXISTS  */
#line 5950 "gram.y"
                                                { (yyval.boolean) = true; }
#line 32771 "gram.c"
    break;

  case 855: /* opt_if_not_exists: %empty  */
#line 5951 "gram.y"
                                                       { (yyval.boolean) = false; }
#line 32777 "gram.c"
    break;

  case 856: /* CreateOpClassStmt: CREATE OPERATOR CLASS any_name opt_default FOR TYPE_P Typename USING access_method opt_opfamily AS opclass_item_list  */
#line 5969 "gram.y"
                                {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32792 "gram.c"
    break;

  case 857: /* opclass_item_list: opclass_item  */
#line 5982 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32798 "gram.c"
    break;

  case 858: /* opclass_item_list: opclass_item_list ',' opclass_item  */
#line 5983 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32804 "gram.c"
    break;

  case 859: /* opclass_item: OPERATOR Iconst any_operator opclass_purpose opt_recheck  */
#line 5988 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32820 "gram.c"
    break;

  case 860: /* opclass_item: OPERATOR Iconst operator_with_argtypes opclass_purpose opt_recheck  */
#line 6001 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32833 "gram.c"
    break;

  case 861: /* opclass_item: FUNCTION Iconst function_with_argtypes  */
#line 6010 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 32845 "gram.c"
    break;

  case 862: /* opclass_item: FUNCTION Iconst '(' type_list ')' function_with_argtypes  */
#line 6018 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 32858 "gram.c"
    break;

  case 863: /* opclass_item: STORAGE Typename  */
#line 6027 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 32869 "gram.c"
    break;

  case 864: /* opt_default: DEFAULT  */
#line 6035 "gram.y"
                                                                { (yyval.boolean) = true; }
#line 32875 "gram.c"
    break;

  case 865: /* opt_default: %empty  */
#line 6036 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 32881 "gram.c"
    break;

  case 866: /* opt_opfamily: FAMILY any_name  */
#line 6039 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 32887 "gram.c"
    break;

  case 867: /* opt_opfamily: %empty  */
#line 6040 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 32893 "gram.c"
    break;

  case 868: /* opclass_purpose: FOR SEARCH  */
#line 6043 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 32899 "gram.c"
    break;

  case 869: /* opclass_purpose: FOR ORDER BY any_name  */
#line 6044 "gram.y"
                                                                { (yyval.list) = (yyvsp[0].list); }
#line 32905 "gram.c"
    break;

  case 870: /* opclass_purpose: %empty  */
#line 6045 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 32911 "gram.c"
    break;

  case 871: /* opt_recheck: RECHECK  */
#line 6049 "gram.y"
                                {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 32929 "gram.c"
    break;

  case 872: /* opt_recheck: %empty  */
#line 6062 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 32935 "gram.c"
    break;

  case 873: /* CreateOpFamilyStmt: CREATE OPERATOR FAMILY any_name USING access_method  */
#line 6068 "gram.y"
                                {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32946 "gram.c"
    break;

  case 874: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING access_method ADD_P opclass_item_list  */
#line 6078 "gram.y"
                                {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32959 "gram.c"
    break;

  case 875: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING access_method DROP opclass_drop_list  */
#line 6087 "gram.y"
                                {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32972 "gram.c"
    break;

  case 876: /* opclass_drop_list: opclass_drop  */
#line 6098 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32978 "gram.c"
    break;

  case 877: /* opclass_drop_list: opclass_drop_list ',' opclass_drop  */
#line 6099 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32984 "gram.c"
    break;

  case 878: /* opclass_drop: OPERATOR Iconst '(' type_list ')'  */
#line 6104 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32996 "gram.c"
    break;

  case 879: /* opclass_drop: FUNCTION Iconst '(' type_list ')'  */
#line 6112 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33008 "gram.c"
    break;

  case 880: /* DropOpClassStmt: DROP OPERATOR CLASS any_name USING access_method opt_drop_behavior  */
#line 6124 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33022 "gram.c"
    break;

  case 881: /* DropOpClassStmt: DROP OPERATOR CLASS IF_P EXISTS any_name USING access_method opt_drop_behavior  */
#line 6134 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33036 "gram.c"
    break;

  case 882: /* DropOpFamilyStmt: DROP OPERATOR FAMILY any_name USING access_method opt_drop_behavior  */
#line 6147 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33050 "gram.c"
    break;

  case 883: /* DropOpFamilyStmt: DROP OPERATOR FAMILY IF_P EXISTS any_name USING access_method opt_drop_behavior  */
#line 6157 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33064 "gram.c"
    break;

  case 884: /* DropOwnedStmt: DROP OWNED BY role_list opt_drop_behavior  */
#line 6179 "gram.y"
                                {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33075 "gram.c"
    break;

  case 885: /* ReassignOwnedStmt: REASSIGN OWNED BY role_list TO RoleSpec  */
#line 6189 "gram.y"
                                {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 33086 "gram.c"
    break;

  case 886: /* DropStmt: DROP drop_type_any_name IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6207 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33100 "gram.c"
    break;

  case 887: /* DropStmt: DROP drop_type_any_name any_name_list opt_drop_behavior  */
#line 6217 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33114 "gram.c"
    break;

  case 888: /* DropStmt: DROP drop_type_name IF_P EXISTS name_list opt_drop_behavior  */
#line 6227 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33128 "gram.c"
    break;

  case 889: /* DropStmt: DROP drop_type_name name_list opt_drop_behavior  */
#line 6237 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33142 "gram.c"
    break;

  case 890: /* DropStmt: DROP drop_type_name_on_any_name name ON any_name opt_drop_behavior  */
#line 6247 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33156 "gram.c"
    break;

  case 891: /* DropStmt: DROP drop_type_name_on_any_name IF_P EXISTS name ON any_name opt_drop_behavior  */
#line 6257 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33170 "gram.c"
    break;

  case 892: /* DropStmt: DROP TYPE_P type_name_list opt_drop_behavior  */
#line 6267 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33184 "gram.c"
    break;

  case 893: /* DropStmt: DROP TYPE_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6277 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33198 "gram.c"
    break;

  case 894: /* DropStmt: DROP DOMAIN_P type_name_list opt_drop_behavior  */
#line 6287 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33212 "gram.c"
    break;

  case 895: /* DropStmt: DROP DOMAIN_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6297 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33226 "gram.c"
    break;

  case 896: /* DropStmt: DROP INDEX CONCURRENTLY any_name_list opt_drop_behavior  */
#line 6307 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 33240 "gram.c"
    break;

  case 897: /* DropStmt: DROP INDEX CONCURRENTLY IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6317 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 33254 "gram.c"
    break;

  case 898: /* drop_type_any_name: TABLE  */
#line 6330 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_TABLE; }
#line 33260 "gram.c"
    break;

  case 899: /* drop_type_any_name: SEQUENCE  */
#line 6331 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33266 "gram.c"
    break;

  case 900: /* drop_type_any_name: VIEW  */
#line 6332 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_VIEW; }
#line 33272 "gram.c"
    break;

  case 901: /* drop_type_any_name: MATERIALIZED VIEW  */
#line 6333 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33278 "gram.c"
    break;

  case 902: /* drop_type_any_name: INDEX  */
#line 6334 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_INDEX; }
#line 33284 "gram.c"
    break;

  case 903: /* drop_type_any_name: FOREIGN TABLE  */
#line 6335 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33290 "gram.c"
    break;

  case 904: /* drop_type_any_name: COLLATION  */
#line 6336 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_COLLATION; }
#line 33296 "gram.c"
    break;

  case 905: /* drop_type_any_name: CONVERSION_P  */
#line 6337 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_CONVERSION; }
#line 33302 "gram.c"
    break;

  case 906: /* drop_type_any_name: STATISTICS  */
#line 6338 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 33308 "gram.c"
    break;

  case 907: /* drop_type_any_name: TEXT_P SEARCH PARSER  */
#line 6339 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSPARSER; }
#line 33314 "gram.c"
    break;

  case 908: /* drop_type_any_name: TEXT_P SEARCH DICTIONARY  */
#line 6340 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 33320 "gram.c"
    break;

  case 909: /* drop_type_any_name: TEXT_P SEARCH TEMPLATE  */
#line 6341 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 33326 "gram.c"
    break;

  case 910: /* drop_type_any_name: TEXT_P SEARCH CONFIGURATION  */
#line 6342 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 33332 "gram.c"
    break;

  case 911: /* drop_type_name: ACCESS METHOD  */
#line 6347 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 33338 "gram.c"
    break;

  case 912: /* drop_type_name: EVENT TRIGGER  */
#line 6348 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33344 "gram.c"
    break;

  case 913: /* drop_type_name: EXTENSION  */
#line 6349 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_EXTENSION; }
#line 33350 "gram.c"
    break;

  case 914: /* drop_type_name: FOREIGN DATA_P WRAPPER  */
#line 6350 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_FDW; }
#line 33356 "gram.c"
    break;

  case 915: /* drop_type_name: PUBLICATION  */
#line 6351 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33362 "gram.c"
    break;

  case 916: /* drop_type_name: SCHEMA  */
#line 6352 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33368 "gram.c"
    break;

  case 917: /* drop_type_name: SERVER  */
#line 6353 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 33374 "gram.c"
    break;

  case 918: /* drop_type_name_on_any_name: POLICY  */
#line 6358 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_POLICY; }
#line 33380 "gram.c"
    break;

  case 919: /* drop_type_name_on_any_name: RULE  */
#line 6359 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_RULE; }
#line 33386 "gram.c"
    break;

  case 920: /* drop_type_name_on_any_name: TRIGGER  */
#line 6360 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_TRIGGER; }
#line 33392 "gram.c"
    break;

  case 921: /* any_name_list: any_name  */
#line 6364 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33398 "gram.c"
    break;

  case 922: /* any_name_list: any_name_list ',' any_name  */
#line 6365 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33404 "gram.c"
    break;

  case 923: /* any_name: ColId  */
#line 6368 "gram.y"
                                                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33410 "gram.c"
    break;

  case 924: /* any_name: ColId attrs  */
#line 6369 "gram.y"
                                                                { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 33416 "gram.c"
    break;

  case 925: /* attrs: '.' attr_name  */
#line 6373 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33422 "gram.c"
    break;

  case 926: /* attrs: attrs '.' attr_name  */
#line 6375 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 33428 "gram.c"
    break;

  case 927: /* type_name_list: Typename  */
#line 6379 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 33434 "gram.c"
    break;

  case 928: /* type_name_list: type_name_list ',' Typename  */
#line 6380 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 33440 "gram.c"
    break;

  case 929: /* TruncateStmt: TRUNCATE opt_table relation_expr_list opt_restart_seqs opt_drop_behavior  */
#line 6392 "gram.y"
                                {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33452 "gram.c"
    break;

  case 930: /* opt_restart_seqs: CONTINUE_P IDENTITY_P  */
#line 6402 "gram.y"
                                                        { (yyval.boolean) = false; }
#line 33458 "gram.c"
    break;

  case 931: /* opt_restart_seqs: RESTART IDENTITY_P  */
#line 6403 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 33464 "gram.c"
    break;

  case 932: /* opt_restart_seqs: %empty  */
#line 6404 "gram.y"
                                                                { (yyval.boolean) = false; }
#line 33470 "gram.c"
    break;

  case 933: /* CommentStmt: COMMENT ON comment_type_any_name any_name IS comment_text  */
#line 6439 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33482 "gram.c"
    break;

  case 934: /* CommentStmt: COMMENT ON comment_type_name name IS comment_text  */
#line 6447 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33494 "gram.c"
    break;

  case 935: /* CommentStmt: COMMENT ON TYPE_P Typename IS comment_text  */
#line 6455 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33506 "gram.c"
    break;

  case 936: /* CommentStmt: COMMENT ON DOMAIN_P Typename IS comment_text  */
#line 6463 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33518 "gram.c"
    break;

  case 937: /* CommentStmt: COMMENT ON AGGREGATE aggregate_with_argtypes IS comment_text  */
#line 6471 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33530 "gram.c"
    break;

  case 938: /* CommentStmt: COMMENT ON FUNCTION function_with_argtypes IS comment_text  */
#line 6479 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33542 "gram.c"
    break;

  case 939: /* CommentStmt: COMMENT ON OPERATOR operator_with_argtypes IS comment_text  */
#line 6487 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33554 "gram.c"
    break;

  case 940: /* CommentStmt: COMMENT ON CONSTRAINT name ON any_name IS comment_text  */
#line 6495 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33566 "gram.c"
    break;

  case 941: /* CommentStmt: COMMENT ON CONSTRAINT name ON DOMAIN_P any_name IS comment_text  */
#line 6503 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33583 "gram.c"
    break;

  case 942: /* CommentStmt: COMMENT ON POLICY name ON any_name IS comment_text  */
#line 6516 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33595 "gram.c"
    break;

  case 943: /* CommentStmt: COMMENT ON PROCEDURE function_with_argtypes IS comment_text  */
#line 6524 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33607 "gram.c"
    break;

  case 944: /* CommentStmt: COMMENT ON ROUTINE function_with_argtypes IS comment_text  */
#line 6532 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33619 "gram.c"
    break;

  case 945: /* CommentStmt: COMMENT ON RULE name ON any_name IS comment_text  */
#line 6540 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33631 "gram.c"
    break;

  case 946: /* CommentStmt: COMMENT ON TRANSFORM FOR Typename LANGUAGE name IS comment_text  */
#line 6548 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33643 "gram.c"
    break;

  case 947: /* CommentStmt: COMMENT ON TRIGGER name ON any_name IS comment_text  */
#line 6556 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33655 "gram.c"
    break;

  case 948: /* CommentStmt: COMMENT ON OPERATOR CLASS any_name USING access_method IS comment_text  */
#line 6564 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33667 "gram.c"
    break;

  case 949: /* CommentStmt: COMMENT ON OPERATOR FAMILY any_name USING access_method IS comment_text  */
#line 6572 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33679 "gram.c"
    break;

  case 950: /* CommentStmt: COMMENT ON LARGE_P OBJECT_P NumericOnly IS comment_text  */
#line 6580 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33691 "gram.c"
    break;

  case 951: /* CommentStmt: COMMENT ON CAST '(' Typename AS Typename ')' IS comment_text  */
#line 6588 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33703 "gram.c"
    break;

  case 952: /* comment_type_any_name: COLUMN  */
#line 6599 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_COLUMN; }
#line 33709 "gram.c"
    break;

  case 953: /* comment_type_any_name: INDEX  */
#line 6600 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_INDEX; }
#line 33715 "gram.c"
    break;

  case 954: /* comment_type_any_name: SEQUENCE  */
#line 6601 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33721 "gram.c"
    break;

  case 955: /* comment_type_any_name: STATISTICS  */
#line 6602 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 33727 "gram.c"
    break;

  case 956: /* comment_type_any_name: TABLE  */
#line 6603 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_TABLE; }
#line 33733 "gram.c"
    break;

  case 957: /* comment_type_any_name: VIEW  */
#line 6604 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_VIEW; }
#line 33739 "gram.c"
    break;

  case 958: /* comment_type_any_name: MATERIALIZED VIEW  */
#line 6605 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33745 "gram.c"
    break;

  case 959: /* comment_type_any_name: COLLATION  */
#line 6606 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_COLLATION; }
#line 33751 "gram.c"
    break;

  case 960: /* comment_type_any_name: CONVERSION_P  */
#line 6607 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_CONVERSION; }
#line 33757 "gram.c"
    break;

  case 961: /* comment_type_any_name: FOREIGN TABLE  */
#line 6608 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33763 "gram.c"
    break;

  case 962: /* comment_type_any_name: TEXT_P SEARCH CONFIGURATION  */
#line 6609 "gram.y"
                                                                { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 33769 "gram.c"
    break;

  case 963: /* comment_type_any_name: TEXT_P SEARCH DICTIONARY  */
#line 6610 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 33775 "gram.c"
    break;

  case 964: /* comment_type_any_name: TEXT_P SEARCH PARSER  */
#line 6611 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_TSPARSER; }
#line 33781 "gram.c"
    break;

  case 965: /* comment_type_any_name: TEXT_P SEARCH TEMPLATE  */
#line 6612 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 33787 "gram.c"
    break;

  case 966: /* comment_type_name: ACCESS METHOD  */
#line 6617 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 33793 "gram.c"
    break;

  case 967: /* comment_type_name: DATABASE  */
#line 6618 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_DATABASE; }
#line 33799 "gram.c"
    break;

  case 968: /* comment_type_name: EVENT TRIGGER  */
#line 6619 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33805 "gram.c"
    break;

  case 969: /* comment_type_name: EXTENSION  */
#line 6620 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_EXTENSION; }
#line 33811 "gram.c"
    break;

  case 970: /* comment_type_name: FOREIGN DATA_P WRAPPER  */
#line 6621 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_FDW; }
#line 33817 "gram.c"
    break;

  case 971: /* comment_type_name: opt_procedural LANGUAGE  */
#line 6622 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 33823 "gram.c"
    break;

  case 972: /* comment_type_name: PUBLICATION  */
#line 6623 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33829 "gram.c"
    break;

  case 973: /* comment_type_name: ROLE  */
#line 6624 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_ROLE; }
#line 33835 "gram.c"
    break;

  case 974: /* comment_type_name: SCHEMA  */
#line 6625 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33841 "gram.c"
    break;

  case 975: /* comment_type_name: SERVER  */
#line 6626 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 33847 "gram.c"
    break;

  case 976: /* comment_type_name: SUBSCRIPTION  */
#line 6627 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 33853 "gram.c"
    break;

  case 977: /* comment_type_name: TABLESPACE  */
#line 6628 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 33859 "gram.c"
    break;

  case 978: /* comment_text: Sconst  */
#line 6632 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33865 "gram.c"
    break;

  case 979: /* comment_text: NULL_P  */
#line 6633 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 33871 "gram.c"
    break;

  case 980: /* SecLabelStmt: SECURITY LABEL opt_provider ON security_label_type_any_name any_name IS security_label  */
#line 6649 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33884 "gram.c"
    break;

  case 981: /* SecLabelStmt: SECURITY LABEL opt_provider ON security_label_type_name name IS security_label  */
#line 6659 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33897 "gram.c"
    break;

  case 982: /* SecLabelStmt: SECURITY LABEL opt_provider ON TYPE_P Typename IS security_label  */
#line 6669 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33910 "gram.c"
    break;

  case 983: /* SecLabelStmt: SECURITY LABEL opt_provider ON DOMAIN_P Typename IS security_label  */
#line 6679 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33923 "gram.c"
    break;

  case 984: /* SecLabelStmt: SECURITY LABEL opt_provider ON AGGREGATE aggregate_with_argtypes IS security_label  */
#line 6689 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33936 "gram.c"
    break;

  case 985: /* SecLabelStmt: SECURITY LABEL opt_provider ON FUNCTION function_with_argtypes IS security_label  */
#line 6699 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33949 "gram.c"
    break;

  case 986: /* SecLabelStmt: SECURITY LABEL opt_provider ON LARGE_P OBJECT_P NumericOnly IS security_label  */
#line 6709 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33962 "gram.c"
    break;

  case 987: /* SecLabelStmt: SECURITY LABEL opt_provider ON PROCEDURE function_with_argtypes IS security_label  */
#line 6719 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33975 "gram.c"
    break;

  case 988: /* SecLabelStmt: SECURITY LABEL opt_provider ON ROUTINE function_with_argtypes IS security_label  */
#line 6729 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33988 "gram.c"
    break;

  case 989: /* opt_provider: FOR NonReservedWord_or_Sconst  */
#line 6739 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 33994 "gram.c"
    break;

  case 990: /* opt_provider: %empty  */
#line 6740 "gram.y"
                                                                                { (yyval.str) = NULL; }
#line 34000 "gram.c"
    break;

  case 991: /* security_label_type_any_name: COLUMN  */
#line 6745 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_COLUMN; }
#line 34006 "gram.c"
    break;

  case 992: /* security_label_type_any_name: FOREIGN TABLE  */
#line 6746 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 34012 "gram.c"
    break;

  case 993: /* security_label_type_any_name: SEQUENCE  */
#line 6747 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 34018 "gram.c"
    break;

  case 994: /* security_label_type_any_name: TABLE  */
#line 6748 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_TABLE; }
#line 34024 "gram.c"
    break;

  case 995: /* security_label_type_any_name: VIEW  */
#line 6749 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_VIEW; }
#line 34030 "gram.c"
    break;

  case 996: /* security_label_type_any_name: MATERIALIZED VIEW  */
#line 6750 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_MATVIEW; }
#line 34036 "gram.c"
    break;

  case 997: /* security_label_type_name: DATABASE  */
#line 6755 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_DATABASE; }
#line 34042 "gram.c"
    break;

  case 998: /* security_label_type_name: EVENT TRIGGER  */
#line 6756 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 34048 "gram.c"
    break;

  case 999: /* security_label_type_name: opt_procedural LANGUAGE  */
#line 6757 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 34054 "gram.c"
    break;

  case 1000: /* security_label_type_name: PUBLICATION  */
#line 6758 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 34060 "gram.c"
    break;

  case 1001: /* security_label_type_name: ROLE  */
#line 6759 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_ROLE; }
#line 34066 "gram.c"
    break;

  case 1002: /* security_label_type_name: SCHEMA  */
#line 6760 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_SCHEMA; }
#line 34072 "gram.c"
    break;

  case 1003: /* security_label_type_name: SUBSCRIPTION  */
#line 6761 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 34078 "gram.c"
    break;

  case 1004: /* security_label_type_name: TABLESPACE  */
#line 6762 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 34084 "gram.c"
    break;

  case 1005: /* security_label: Sconst  */
#line 6765 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 34090 "gram.c"
    break;

  case 1006: /* security_label: NULL_P  */
#line 6766 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 34096 "gram.c"
    break;

  case 1007: /* FetchStmt: FETCH fetch_args  */
#line 6777 "gram.y"
                                {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = false;
					(yyval.node) = (Node *)n;
				}
#line 34106 "gram.c"
    break;

  case 1008: /* FetchStmt: MOVE fetch_args  */
#line 6783 "gram.y"
                                {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = true;
					(yyval.node) = (Node *)n;
				}
#line 34116 "gram.c"
    break;

  case 1009: /* fetch_args: cursor_name  */
#line 6791 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34128 "gram.c"
    break;

  case 1010: /* fetch_args: from_in cursor_name  */
#line 6799 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34140 "gram.c"
    break;

  case 1011: /* fetch_args: NEXT opt_from_in cursor_name  */
#line 6807 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34152 "gram.c"
    break;

  case 1012: /* fetch_args: PRIOR opt_from_in cursor_name  */
#line 6815 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34164 "gram.c"
    break;

  case 1013: /* fetch_args: FIRST_P opt_from_in cursor_name  */
#line 6823 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34176 "gram.c"
    break;

  case 1014: /* fetch_args: LAST_P opt_from_in cursor_name  */
#line 6831 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 34188 "gram.c"
    break;

  case 1015: /* fetch_args: ABSOLUTE_P SignedIconst opt_from_in cursor_name  */
#line 6839 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34200 "gram.c"
    break;

  case 1016: /* fetch_args: RELATIVE_P SignedIconst opt_from_in cursor_name  */
#line 6847 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34212 "gram.c"
    break;

  case 1017: /* fetch_args: SignedIconst opt_from_in cursor_name  */
#line 6855 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34224 "gram.c"
    break;

  case 1018: /* fetch_args: ALL opt_from_in cursor_name  */
#line 6863 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34236 "gram.c"
    break;

  case 1019: /* fetch_args: FORWARD opt_from_in cursor_name  */
#line 6871 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34248 "gram.c"
    break;

  case 1020: /* fetch_args: FORWARD SignedIconst opt_from_in cursor_name  */
#line 6879 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34260 "gram.c"
    break;

  case 1021: /* fetch_args: FORWARD ALL opt_from_in cursor_name  */
#line 6887 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34272 "gram.c"
    break;

  case 1022: /* fetch_args: BACKWARD opt_from_in cursor_name  */
#line 6895 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34284 "gram.c"
    break;

  case 1023: /* fetch_args: BACKWARD SignedIconst opt_from_in cursor_name  */
#line 6903 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34296 "gram.c"
    break;

  case 1024: /* fetch_args: BACKWARD ALL opt_from_in cursor_name  */
#line 6911 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34308 "gram.c"
    break;

  case 1025: /* from_in: FROM  */
#line 6920 "gram.y"
                                                                                        {}
#line 34314 "gram.c"
    break;

  case 1026: /* from_in: IN_P  */
#line 6921 "gram.y"
                                                                                                {}
#line 34320 "gram.c"
    break;

  case 1027: /* opt_from_in: from_in  */
#line 6924 "gram.y"
                                                                                {}
#line 34326 "gram.c"
    break;

  case 1028: /* opt_from_in: %empty  */
#line 6925 "gram.y"
                                                                                        {}
#line 34332 "gram.c"
    break;

  case 1029: /* GrantStmt: GRANT privileges ON privilege_target TO grantee_list opt_grant_grant_option  */
#line 6937 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34348 "gram.c"
    break;

  case 1030: /* RevokeStmt: REVOKE privileges ON privilege_target FROM grantee_list opt_drop_behavior  */
#line 6953 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34365 "gram.c"
    break;

  case 1031: /* RevokeStmt: REVOKE GRANT OPTION FOR privileges ON privilege_target FROM grantee_list opt_drop_behavior  */
#line 6967 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34382 "gram.c"
    break;

  case 1032: /* privileges: privilege_list  */
#line 6992 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 34388 "gram.c"
    break;

  case 1033: /* privileges: ALL  */
#line 6994 "gram.y"
                                { (yyval.list) = NIL; }
#line 34394 "gram.c"
    break;

  case 1034: /* privileges: ALL PRIVILEGES  */
#line 6996 "gram.y"
                                { (yyval.list) = NIL; }
#line 34400 "gram.c"
    break;

  case 1035: /* privileges: ALL '(' columnList ')'  */
#line 6998 "gram.y"
                                {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 34411 "gram.c"
    break;

  case 1036: /* privileges: ALL PRIVILEGES '(' columnList ')'  */
#line 7005 "gram.y"
                                {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 34422 "gram.c"
    break;

  case 1037: /* privilege_list: privilege  */
#line 7013 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 34428 "gram.c"
    break;

  case 1038: /* privilege_list: privilege_list ',' privilege  */
#line 7014 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 34434 "gram.c"
    break;

  case 1039: /* privilege: SELECT opt_column_list  */
#line 7018 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34445 "gram.c"
    break;

  case 1040: /* privilege: REFERENCES opt_column_list  */
#line 7025 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34456 "gram.c"
    break;

  case 1041: /* privilege: CREATE opt_column_list  */
#line 7032 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34467 "gram.c"
    break;

  case 1042: /* privilege: ColId opt_column_list  */
#line 7039 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34478 "gram.c"
    break;

  case 1043: /* privilege_target: qualified_name_list  */
#line 7053 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34490 "gram.c"
    break;

  case 1044: /* privilege_target: TABLE qualified_name_list  */
#line 7061 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34502 "gram.c"
    break;

  case 1045: /* privilege_target: SEQUENCE qualified_name_list  */
#line 7069 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34514 "gram.c"
    break;

  case 1046: /* privilege_target: FOREIGN DATA_P WRAPPER name_list  */
#line 7077 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34526 "gram.c"
    break;

  case 1047: /* privilege_target: FOREIGN SERVER name_list  */
#line 7085 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34538 "gram.c"
    break;

  case 1048: /* privilege_target: FUNCTION function_with_argtypes_list  */
#line 7093 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34550 "gram.c"
    break;

  case 1049: /* privilege_target: PROCEDURE function_with_argtypes_list  */
#line 7101 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34562 "gram.c"
    break;

  case 1050: /* privilege_target: ROUTINE function_with_argtypes_list  */
#line 7109 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34574 "gram.c"
    break;

  case 1051: /* privilege_target: DATABASE name_list  */
#line 7117 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34586 "gram.c"
    break;

  case 1052: /* privilege_target: DOMAIN_P any_name_list  */
#line 7125 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34598 "gram.c"
    break;

  case 1053: /* privilege_target: LANGUAGE name_list  */
#line 7133 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34610 "gram.c"
    break;

  case 1054: /* privilege_target: LARGE_P OBJECT_P NumericOnly_list  */
#line 7141 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34622 "gram.c"
    break;

  case 1055: /* privilege_target: SCHEMA name_list  */
#line 7149 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34634 "gram.c"
    break;

  case 1056: /* privilege_target: TABLESPACE name_list  */
#line 7157 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34646 "gram.c"
    break;

  case 1057: /* privilege_target: TYPE_P any_name_list  */
#line 7165 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34658 "gram.c"
    break;

  case 1058: /* privilege_target: ALL TABLES IN_P SCHEMA name_list  */
#line 7173 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34670 "gram.c"
    break;

  case 1059: /* privilege_target: ALL SEQUENCES IN_P SCHEMA name_list  */
#line 7181 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34682 "gram.c"
    break;

  case 1060: /* privilege_target: ALL FUNCTIONS IN_P SCHEMA name_list  */
#line 7189 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34694 "gram.c"
    break;

  case 1061: /* privilege_target: ALL PROCEDURES IN_P SCHEMA name_list  */
#line 7197 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34706 "gram.c"
    break;

  case 1062: /* privilege_target: ALL ROUTINES IN_P SCHEMA name_list  */
#line 7205 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34718 "gram.c"
    break;

  case 1063: /* grantee_list: grantee  */
#line 7216 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 34724 "gram.c"
    break;

  case 1064: /* grantee_list: grantee_list ',' grantee  */
#line 7217 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 34730 "gram.c"
    break;

  case 1065: /* grantee: RoleSpec  */
#line 7221 "gram.y"
                                                                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34736 "gram.c"
    break;

  case 1066: /* grantee: GROUP_P RoleSpec  */
#line 7222 "gram.y"
                                                                                        { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34742 "gram.c"
    break;

  case 1067: /* opt_grant_grant_option: WITH GRANT OPTION  */
#line 7227 "gram.y"
                                          { (yyval.boolean) = true; }
#line 34748 "gram.c"
    break;

  case 1068: /* opt_grant_grant_option: %empty  */
#line 7228 "gram.y"
                                    { (yyval.boolean) = false; }
#line 34754 "gram.c"
    break;

  case 1069: /* GrantRoleStmt: GRANT privilege_list TO role_list opt_grant_admin_option opt_granted_by  */
#line 7239 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 34768 "gram.c"
    break;

  case 1070: /* RevokeRoleStmt: REVOKE privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7252 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 34782 "gram.c"
    break;

  case 1071: /* RevokeRoleStmt: REVOKE ADMIN OPTION FOR privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7262 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 34796 "gram.c"
    break;

  case 1072: /* opt_grant_admin_option: WITH ADMIN OPTION  */
#line 7273 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 34802 "gram.c"
    break;

  case 1073: /* opt_grant_admin_option: %empty  */
#line 7274 "gram.y"
                                                                                                        { (yyval.boolean) = false; }
#line 34808 "gram.c"
    break;

  case 1074: /* opt_granted_by: GRANTED BY RoleSpec  */
#line 7277 "gram.y"
                                                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34814 "gram.c"
    break;

  case 1075: /* opt_granted_by: %empty  */
#line 7278 "gram.y"
                                                                                                        { (yyval.rolespec) = NULL; }
#line 34820 "gram.c"
    break;

  case 1076: /* AlterDefaultPrivilegesStmt: ALTER DEFAULT PRIVILEGES DefACLOptionList DefACLAction  */
#line 7289 "gram.y"
                                {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 34831 "gram.c"
    break;

  case 1077: /* DefACLOptionList: DefACLOptionList DefACLOption  */
#line 7298 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34837 "gram.c"
    break;

  case 1078: /* DefACLOptionList: %empty  */
#line 7299 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 34843 "gram.c"
    break;

  case 1079: /* DefACLOption: IN_P SCHEMA name_list  */
#line 7304 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34851 "gram.c"
    break;

  case 1080: /* DefACLOption: FOR ROLE role_list  */
#line 7308 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34859 "gram.c"
    break;

  case 1081: /* DefACLOption: FOR USER role_list  */
#line 7312 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34867 "gram.c"
    break;

  case 1082: /* DefACLAction: GRANT privileges ON defacl_privilege_target TO grantee_list opt_grant_grant_option  */
#line 7324 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34883 "gram.c"
    break;

  case 1083: /* DefACLAction: REVOKE privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 7337 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34900 "gram.c"
    break;

  case 1084: /* DefACLAction: REVOKE GRANT OPTION FOR privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 7351 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34917 "gram.c"
    break;

  case 1085: /* defacl_privilege_target: TABLES  */
#line 7366 "gram.y"
                                                { (yyval.ival) = OBJECT_TABLE; }
#line 34923 "gram.c"
    break;

  case 1086: /* defacl_privilege_target: FUNCTIONS  */
#line 7367 "gram.y"
                                                { (yyval.ival) = OBJECT_FUNCTION; }
#line 34929 "gram.c"
    break;

  case 1087: /* defacl_privilege_target: ROUTINES  */
#line 7368 "gram.y"
                                                { (yyval.ival) = OBJECT_FUNCTION; }
#line 34935 "gram.c"
    break;

  case 1088: /* defacl_privilege_target: SEQUENCES  */
#line 7369 "gram.y"
                                                { (yyval.ival) = OBJECT_SEQUENCE; }
#line 34941 "gram.c"
    break;

  case 1089: /* defacl_privilege_target: TYPES_P  */
#line 7370 "gram.y"
                                                { (yyval.ival) = OBJECT_TYPE; }
#line 34947 "gram.c"
    break;

  case 1090: /* defacl_privilege_target: SCHEMAS  */
#line 7371 "gram.y"
                                                { (yyval.ival) = OBJECT_SCHEMA; }
#line 34953 "gram.c"
    break;

  case 1091: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently opt_index_name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_reloptions OptTableSpace where_clause  */
#line 7386 "gram.y"
                                {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-13].boolean);
					n->concurrent = (yyvsp[-11].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->relationId = InvalidOid;
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 34983 "gram.c"
    break;

  case 1092: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently IF_P NOT EXISTS index_name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_reloptions OptTableSpace where_clause  */
#line 7414 "gram.y"
                                {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-16].boolean);
					n->concurrent = (yyvsp[-14].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->relationId = InvalidOid;
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 35013 "gram.c"
    break;

  case 1093: /* opt_unique: UNIQUE  */
#line 7442 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 35019 "gram.c"
    break;

  case 1094: /* opt_unique: %empty  */
#line 7443 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 35025 "gram.c"
    break;

  case 1095: /* opt_concurrently: CONCURRENTLY  */
#line 7447 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 35031 "gram.c"
    break;

  case 1096: /* opt_concurrently: %empty  */
#line 7448 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 35037 "gram.c"
    break;

  case 1097: /* opt_index_name: index_name  */
#line 7452 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 35043 "gram.c"
    break;

  case 1098: /* opt_index_name: %empty  */
#line 7453 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 35049 "gram.c"
    break;

  case 1099: /* access_method_clause: USING access_method  */
#line 7457 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 35055 "gram.c"
    break;

  case 1100: /* access_method_clause: %empty  */
#line 7458 "gram.y"
                                                                                                { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 35061 "gram.c"
    break;

  case 1101: /* index_params: index_elem  */
#line 7461 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35067 "gram.c"
    break;

  case 1102: /* index_params: index_params ',' index_elem  */
#line 7462 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35073 "gram.c"
    break;

  case 1103: /* index_elem: ColId opt_collate opt_class opt_asc_desc opt_nulls_order  */
#line 7471 "gram.y"
                                {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 35088 "gram.c"
    break;

  case 1104: /* index_elem: func_expr_windowless opt_collate opt_class opt_asc_desc opt_nulls_order  */
#line 7482 "gram.y"
                                {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 35103 "gram.c"
    break;

  case 1105: /* index_elem: '(' a_expr ')' opt_collate opt_class opt_asc_desc opt_nulls_order  */
#line 7493 "gram.y"
                                {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 35118 "gram.c"
    break;

  case 1106: /* opt_include: INCLUDE '(' index_including_params ')'  */
#line 7505 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 35124 "gram.c"
    break;

  case 1107: /* opt_include: %empty  */
#line 7506 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35130 "gram.c"
    break;

  case 1108: /* index_including_params: index_elem  */
#line 7509 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35136 "gram.c"
    break;

  case 1109: /* index_including_params: index_including_params ',' index_elem  */
#line 7510 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35142 "gram.c"
    break;

  case 1110: /* opt_collate: COLLATE any_name  */
#line 7513 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 35148 "gram.c"
    break;

  case 1111: /* opt_collate: %empty  */
#line 7514 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35154 "gram.c"
    break;

  case 1112: /* opt_class: any_name  */
#line 7517 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 35160 "gram.c"
    break;

  case 1113: /* opt_class: %empty  */
#line 7518 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35166 "gram.c"
    break;

  case 1114: /* opt_asc_desc: ASC  */
#line 7521 "gram.y"
                                                                        { (yyval.ival) = SORTBY_ASC; }
#line 35172 "gram.c"
    break;

  case 1115: /* opt_asc_desc: DESC  */
#line 7522 "gram.y"
                                                                                { (yyval.ival) = SORTBY_DESC; }
#line 35178 "gram.c"
    break;

  case 1116: /* opt_asc_desc: %empty  */
#line 7523 "gram.y"
                                                                                { (yyval.ival) = SORTBY_DEFAULT; }
#line 35184 "gram.c"
    break;

  case 1117: /* opt_nulls_order: NULLS_LA FIRST_P  */
#line 7526 "gram.y"
                                                        { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 35190 "gram.c"
    break;

  case 1118: /* opt_nulls_order: NULLS_LA LAST_P  */
#line 7527 "gram.y"
                                                                        { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 35196 "gram.c"
    break;

  case 1119: /* opt_nulls_order: %empty  */
#line 7528 "gram.y"
                                                                                { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 35202 "gram.c"
    break;

  case 1120: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS func_return createfunc_opt_list  */
#line 7546 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-6].boolean);
					n->funcname = (yyvsp[-4].list);
					n->parameters = (yyvsp[-3].list);
					n->returnType = (yyvsp[-1].typnam);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35217 "gram.c"
    break;

  case 1121: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS TABLE '(' table_func_column_list ')' createfunc_opt_list  */
#line 7558 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-9].boolean);
					n->funcname = (yyvsp[-7].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-6].list), (yyvsp[-2].list));
					n->returnType = TableFuncTypeName((yyvsp[-2].list));
					n->returnType->location = (yylsp[-4]);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35233 "gram.c"
    break;

  case 1122: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults createfunc_opt_list  */
#line 7571 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35248 "gram.c"
    break;

  case 1123: /* CreateFunctionStmt: CREATE opt_or_replace PROCEDURE func_name func_args_with_defaults createfunc_opt_list  */
#line 7583 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = true;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35263 "gram.c"
    break;

  case 1124: /* opt_or_replace: OR REPLACE  */
#line 7596 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 35269 "gram.c"
    break;

  case 1125: /* opt_or_replace: %empty  */
#line 7597 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 35275 "gram.c"
    break;

  case 1126: /* func_args: '(' func_args_list ')'  */
#line 7600 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 35281 "gram.c"
    break;

  case 1127: /* func_args: '(' ')'  */
#line 7601 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35287 "gram.c"
    break;

  case 1128: /* func_args_list: func_arg  */
#line 7605 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35293 "gram.c"
    break;

  case 1129: /* func_args_list: func_args_list ',' func_arg  */
#line 7606 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35299 "gram.c"
    break;

  case 1130: /* function_with_argtypes_list: function_with_argtypes  */
#line 7610 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35305 "gram.c"
    break;

  case 1131: /* function_with_argtypes_list: function_with_argtypes_list ',' function_with_argtypes  */
#line 7612 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35311 "gram.c"
    break;

  case 1132: /* function_with_argtypes: func_name func_args  */
#line 7617 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 35322 "gram.c"
    break;

  case 1133: /* function_with_argtypes: type_func_name_keyword  */
#line 7629 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35333 "gram.c"
    break;

  case 1134: /* function_with_argtypes: ColId  */
#line 7636 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35344 "gram.c"
    break;

  case 1135: /* function_with_argtypes: ColId indirection  */
#line 7643 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35356 "gram.c"
    break;

  case 1136: /* func_args_with_defaults: '(' func_args_with_defaults_list ')'  */
#line 7657 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 35362 "gram.c"
    break;

  case 1137: /* func_args_with_defaults: '(' ')'  */
#line 7658 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35368 "gram.c"
    break;

  case 1138: /* func_args_with_defaults_list: func_arg_with_default  */
#line 7662 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35374 "gram.c"
    break;

  case 1139: /* func_args_with_defaults_list: func_args_with_defaults_list ',' func_arg_with_default  */
#line 7664 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35380 "gram.c"
    break;

  case 1140: /* func_arg: arg_class param_name func_type  */
#line 7679 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35393 "gram.c"
    break;

  case 1141: /* func_arg: param_name arg_class func_type  */
#line 7688 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35406 "gram.c"
    break;

  case 1142: /* func_arg: param_name func_type  */
#line 7697 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35419 "gram.c"
    break;

  case 1143: /* func_arg: arg_class func_type  */
#line 7706 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35432 "gram.c"
    break;

  case 1144: /* func_arg: func_type  */
#line 7715 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35445 "gram.c"
    break;

  case 1145: /* arg_class: IN_P  */
#line 7726 "gram.y"
                                                                                { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 35451 "gram.c"
    break;

  case 1146: /* arg_class: OUT_P  */
#line 7727 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 35457 "gram.c"
    break;

  case 1147: /* arg_class: INOUT  */
#line 7728 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 35463 "gram.c"
    break;

  case 1148: /* arg_class: IN_P OUT_P  */
#line 7729 "gram.y"
                                                                                { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 35469 "gram.c"
    break;

  case 1149: /* arg_class: VARIADIC  */
#line 7730 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 35475 "gram.c"
    break;

  case 1151: /* func_return: func_type  */
#line 7741 "gram.y"
                                {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 35487 "gram.c"
    break;

  case 1152: /* func_type: Typename  */
#line 7755 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 35493 "gram.c"
    break;

  case 1153: /* func_type: type_function_name attrs '%' TYPE_P  */
#line 7757 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35503 "gram.c"
    break;

  case 1154: /* func_type: SETOF type_function_name attrs '%' TYPE_P  */
#line 7763 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35514 "gram.c"
    break;

  case 1155: /* func_arg_with_default: func_arg  */
#line 7773 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35522 "gram.c"
    break;

  case 1156: /* func_arg_with_default: func_arg DEFAULT a_expr  */
#line 7777 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35531 "gram.c"
    break;

  case 1157: /* func_arg_with_default: func_arg '=' a_expr  */
#line 7782 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35540 "gram.c"
    break;

  case 1158: /* aggr_arg: func_arg  */
#line 7790 "gram.y"
                                {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35554 "gram.c"
    break;

  case 1159: /* aggr_args: '(' '*' ')'  */
#line 7831 "gram.y"
                                {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 35562 "gram.c"
    break;

  case 1160: /* aggr_args: '(' aggr_args_list ')'  */
#line 7835 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 35570 "gram.c"
    break;

  case 1161: /* aggr_args: '(' ORDER BY aggr_args_list ')'  */
#line 7839 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 35578 "gram.c"
    break;

  case 1162: /* aggr_args: '(' aggr_args_list ORDER BY aggr_args_list ')'  */
#line 7843 "gram.y"
                                {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 35587 "gram.c"
    break;

  case 1163: /* aggr_args_list: aggr_arg  */
#line 7850 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35593 "gram.c"
    break;

  case 1164: /* aggr_args_list: aggr_args_list ',' aggr_arg  */
#line 7851 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35599 "gram.c"
    break;

  case 1165: /* aggregate_with_argtypes: func_name aggr_args  */
#line 7856 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 35610 "gram.c"
    break;

  case 1166: /* aggregate_with_argtypes_list: aggregate_with_argtypes  */
#line 7865 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35616 "gram.c"
    break;

  case 1167: /* aggregate_with_argtypes_list: aggregate_with_argtypes_list ',' aggregate_with_argtypes  */
#line 7867 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35622 "gram.c"
    break;

  case 1168: /* createfunc_opt_list: createfunc_opt_item  */
#line 7872 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35628 "gram.c"
    break;

  case 1169: /* createfunc_opt_list: createfunc_opt_list createfunc_opt_item  */
#line 7873 "gram.y"
                                                                  { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35634 "gram.c"
    break;

  case 1170: /* common_func_opt_item: CALLED ON NULL_P INPUT_P  */
#line 7881 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(false), (yylsp[-3]));
				}
#line 35642 "gram.c"
    break;

  case 1171: /* common_func_opt_item: RETURNS NULL_P ON NULL_P INPUT_P  */
#line 7885 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[-4]));
				}
#line 35650 "gram.c"
    break;

  case 1172: /* common_func_opt_item: STRICT_P  */
#line 7889 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35658 "gram.c"
    break;

  case 1173: /* common_func_opt_item: IMMUTABLE  */
#line 7893 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 35666 "gram.c"
    break;

  case 1174: /* common_func_opt_item: STABLE  */
#line 7897 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 35674 "gram.c"
    break;

  case 1175: /* common_func_opt_item: VOLATILE  */
#line 7901 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 35682 "gram.c"
    break;

  case 1176: /* common_func_opt_item: EXTERNAL SECURITY DEFINER  */
#line 7905 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-2]));
				}
#line 35690 "gram.c"
    break;

  case 1177: /* common_func_opt_item: EXTERNAL SECURITY INVOKER  */
#line 7909 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-2]));
				}
#line 35698 "gram.c"
    break;

  case 1178: /* common_func_opt_item: SECURITY DEFINER  */
#line 7913 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 35706 "gram.c"
    break;

  case 1179: /* common_func_opt_item: SECURITY INVOKER  */
#line 7917 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 35714 "gram.c"
    break;

  case 1180: /* common_func_opt_item: LEAKPROOF  */
#line 7921 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35722 "gram.c"
    break;

  case 1181: /* common_func_opt_item: NOT LEAKPROOF  */
#line 7925 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 35730 "gram.c"
    break;

  case 1182: /* common_func_opt_item: COST NumericOnly  */
#line 7929 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 35738 "gram.c"
    break;

  case 1183: /* common_func_opt_item: ROWS NumericOnly  */
#line 7933 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 35746 "gram.c"
    break;

  case 1184: /* common_func_opt_item: FunctionSetResetClause  */
#line 7937 "gram.y"
                                {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 35755 "gram.c"
    break;

  case 1185: /* common_func_opt_item: PARALLEL ColId  */
#line 7942 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35763 "gram.c"
    break;

  case 1186: /* createfunc_opt_item: AS func_as  */
#line 7949 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35771 "gram.c"
    break;

  case 1187: /* createfunc_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 7953 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35779 "gram.c"
    break;

  case 1188: /* createfunc_opt_item: TRANSFORM transform_type_list  */
#line 7957 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35787 "gram.c"
    break;

  case 1189: /* createfunc_opt_item: WINDOW  */
#line 7961 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35795 "gram.c"
    break;

  case 1190: /* createfunc_opt_item: common_func_opt_item  */
#line 7965 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 35803 "gram.c"
    break;

  case 1191: /* func_as: Sconst  */
#line 7970 "gram.y"
                                                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35809 "gram.c"
    break;

  case 1192: /* func_as: Sconst ',' Sconst  */
#line 7972 "gram.y"
                                {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 35817 "gram.c"
    break;

  case 1193: /* transform_type_list: FOR TYPE_P Typename  */
#line 7978 "gram.y"
                                            { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 35823 "gram.c"
    break;

  case 1194: /* transform_type_list: transform_type_list ',' FOR TYPE_P Typename  */
#line 7979 "gram.y"
                                                                      { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 35829 "gram.c"
    break;

  case 1195: /* opt_definition: WITH definition  */
#line 7983 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 35835 "gram.c"
    break;

  case 1196: /* opt_definition: %empty  */
#line 7984 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35841 "gram.c"
    break;

  case 1197: /* table_func_column: param_name func_type  */
#line 7988 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35854 "gram.c"
    break;

  case 1198: /* table_func_column_list: table_func_column  */
#line 8000 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 35862 "gram.c"
    break;

  case 1199: /* table_func_column_list: table_func_column_list ',' table_func_column  */
#line 8004 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 35870 "gram.c"
    break;

  case 1200: /* AlterFunctionStmt: ALTER FUNCTION function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8019 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35882 "gram.c"
    break;

  case 1201: /* AlterFunctionStmt: ALTER PROCEDURE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8027 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35894 "gram.c"
    break;

  case 1202: /* AlterFunctionStmt: ALTER ROUTINE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8035 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35906 "gram.c"
    break;

  case 1203: /* alterfunc_opt_list: common_func_opt_item  */
#line 8046 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35912 "gram.c"
    break;

  case 1204: /* alterfunc_opt_list: alterfunc_opt_list common_func_opt_item  */
#line 8047 "gram.y"
                                                                  { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35918 "gram.c"
    break;

  case 1207: /* RemoveFuncStmt: DROP FUNCTION function_with_argtypes_list opt_drop_behavior  */
#line 8071 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35932 "gram.c"
    break;

  case 1208: /* RemoveFuncStmt: DROP FUNCTION IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8081 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35946 "gram.c"
    break;

  case 1209: /* RemoveFuncStmt: DROP PROCEDURE function_with_argtypes_list opt_drop_behavior  */
#line 8091 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35960 "gram.c"
    break;

  case 1210: /* RemoveFuncStmt: DROP PROCEDURE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8101 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35974 "gram.c"
    break;

  case 1211: /* RemoveFuncStmt: DROP ROUTINE function_with_argtypes_list opt_drop_behavior  */
#line 8111 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35988 "gram.c"
    break;

  case 1212: /* RemoveFuncStmt: DROP ROUTINE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8121 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36002 "gram.c"
    break;

  case 1213: /* RemoveAggrStmt: DROP AGGREGATE aggregate_with_argtypes_list opt_drop_behavior  */
#line 8134 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36016 "gram.c"
    break;

  case 1214: /* RemoveAggrStmt: DROP AGGREGATE IF_P EXISTS aggregate_with_argtypes_list opt_drop_behavior  */
#line 8144 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36030 "gram.c"
    break;

  case 1215: /* RemoveOperStmt: DROP OPERATOR operator_with_argtypes_list opt_drop_behavior  */
#line 8157 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36044 "gram.c"
    break;

  case 1216: /* RemoveOperStmt: DROP OPERATOR IF_P EXISTS operator_with_argtypes_list opt_drop_behavior  */
#line 8167 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36058 "gram.c"
    break;

  case 1217: /* oper_argtypes: '(' Typename ')'  */
#line 8180 "gram.y"
                                {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 36070 "gram.c"
    break;

  case 1218: /* oper_argtypes: '(' Typename ',' Typename ')'  */
#line 8188 "gram.y"
                                        { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 36076 "gram.c"
    break;

  case 1219: /* oper_argtypes: '(' NONE ',' Typename ')'  */
#line 8190 "gram.y"
                                        { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 36082 "gram.c"
    break;

  case 1220: /* oper_argtypes: '(' Typename ',' NONE ')'  */
#line 8192 "gram.y"
                                        { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 36088 "gram.c"
    break;

  case 1221: /* any_operator: all_Op  */
#line 8197 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36094 "gram.c"
    break;

  case 1222: /* any_operator: ColId '.' any_operator  */
#line 8199 "gram.y"
                                        { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 36100 "gram.c"
    break;

  case 1223: /* operator_with_argtypes_list: operator_with_argtypes  */
#line 8203 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 36106 "gram.c"
    break;

  case 1224: /* operator_with_argtypes_list: operator_with_argtypes_list ',' operator_with_argtypes  */
#line 8205 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 36112 "gram.c"
    break;

  case 1225: /* operator_with_argtypes: any_operator oper_argtypes  */
#line 8210 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 36123 "gram.c"
    break;

  case 1226: /* DoStmt: DO dostmt_opt_list  */
#line 8228 "gram.y"
                                {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36133 "gram.c"
    break;

  case 1227: /* dostmt_opt_list: dostmt_opt_item  */
#line 8236 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36139 "gram.c"
    break;

  case 1228: /* dostmt_opt_list: dostmt_opt_list dostmt_opt_item  */
#line 8237 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36145 "gram.c"
    break;

  case 1229: /* dostmt_opt_item: Sconst  */
#line 8242 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 36153 "gram.c"
    break;

  case 1230: /* dostmt_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 8246 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 36161 "gram.c"
    break;

  case 1231: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH FUNCTION function_with_argtypes cast_context  */
#line 8259 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 36175 "gram.c"
    break;

  case 1232: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITHOUT FUNCTION cast_context  */
#line 8270 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 36189 "gram.c"
    break;

  case 1233: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH INOUT cast_context  */
#line 8281 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 36203 "gram.c"
    break;

  case 1234: /* cast_context: AS IMPLICIT_P  */
#line 8292 "gram.y"
                                                                { (yyval.ival) = COERCION_IMPLICIT; }
#line 36209 "gram.c"
    break;

  case 1235: /* cast_context: AS ASSIGNMENT  */
#line 8293 "gram.y"
                                                                                { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 36215 "gram.c"
    break;

  case 1236: /* cast_context: %empty  */
#line 8294 "gram.y"
                                                                                        { (yyval.ival) = COERCION_EXPLICIT; }
#line 36221 "gram.c"
    break;

  case 1237: /* DropCastStmt: DROP CAST opt_if_exists '(' Typename AS Typename ')' opt_drop_behavior  */
#line 8299 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36235 "gram.c"
    break;

  case 1238: /* opt_if_exists: IF_P EXISTS  */
#line 8310 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 36241 "gram.c"
    break;

  case 1239: /* opt_if_exists: %empty  */
#line 8311 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 36247 "gram.c"
    break;

  case 1240: /* CreateTransformStmt: CREATE opt_or_replace TRANSFORM FOR Typename LANGUAGE name '(' transform_element_list ')'  */
#line 8322 "gram.y"
                                {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 36261 "gram.c"
    break;

  case 1241: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes ',' TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 8334 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 36269 "gram.c"
    break;

  case 1242: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes ',' FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 8338 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 36277 "gram.c"
    break;

  case 1243: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 8342 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 36285 "gram.c"
    break;

  case 1244: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 8346 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 36293 "gram.c"
    break;

  case 1245: /* DropTransformStmt: DROP TRANSFORM opt_if_exists FOR Typename LANGUAGE name opt_drop_behavior  */
#line 8353 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36306 "gram.c"
    break;

  case 1246: /* ReindexStmt: REINDEX reindex_target_type qualified_name  */
#line 8373 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 36319 "gram.c"
    break;

  case 1247: /* ReindexStmt: REINDEX reindex_target_multitable name  */
#line 8382 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 36332 "gram.c"
    break;

  case 1248: /* ReindexStmt: REINDEX '(' reindex_option_list ')' reindex_target_type qualified_name  */
#line 8391 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 36345 "gram.c"
    break;

  case 1249: /* ReindexStmt: REINDEX '(' reindex_option_list ')' reindex_target_multitable name  */
#line 8400 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 36358 "gram.c"
    break;

  case 1250: /* reindex_target_type: INDEX  */
#line 8410 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 36364 "gram.c"
    break;

  case 1251: /* reindex_target_type: TABLE  */
#line 8411 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 36370 "gram.c"
    break;

  case 1252: /* reindex_target_multitable: SCHEMA  */
#line 8414 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 36376 "gram.c"
    break;

  case 1253: /* reindex_target_multitable: SYSTEM_P  */
#line 8415 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 36382 "gram.c"
    break;

  case 1254: /* reindex_target_multitable: DATABASE  */
#line 8416 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 36388 "gram.c"
    break;

  case 1255: /* reindex_option_list: reindex_option_elem  */
#line 8419 "gram.y"
                                                                                                        { (yyval.ival) = (yyvsp[0].ival); }
#line 36394 "gram.c"
    break;

  case 1256: /* reindex_option_list: reindex_option_list ',' reindex_option_elem  */
#line 8420 "gram.y"
                                                                        { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 36400 "gram.c"
    break;

  case 1257: /* reindex_option_elem: VERBOSE  */
#line 8423 "gram.y"
                                { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 36406 "gram.c"
    break;

  case 1258: /* AlterTblSpcStmt: ALTER TABLESPACE name SET reloptions  */
#line 8434 "gram.y"
                                {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *)n;
				}
#line 36419 "gram.c"
    break;

  case 1259: /* AlterTblSpcStmt: ALTER TABLESPACE name RESET reloptions  */
#line 8443 "gram.y"
                                {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *)n;
				}
#line 36432 "gram.c"
    break;

  case 1260: /* RenameStmt: ALTER AGGREGATE aggregate_with_argtypes RENAME TO name  */
#line 8460 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36445 "gram.c"
    break;

  case 1261: /* RenameStmt: ALTER COLLATION any_name RENAME TO name  */
#line 8469 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36458 "gram.c"
    break;

  case 1262: /* RenameStmt: ALTER CONVERSION_P any_name RENAME TO name  */
#line 8478 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36471 "gram.c"
    break;

  case 1263: /* RenameStmt: ALTER DATABASE database_name RENAME TO database_name  */
#line 8487 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36484 "gram.c"
    break;

  case 1264: /* RenameStmt: ALTER DOMAIN_P any_name RENAME TO name  */
#line 8496 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36497 "gram.c"
    break;

  case 1265: /* RenameStmt: ALTER DOMAIN_P any_name RENAME CONSTRAINT name TO name  */
#line 8505 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36510 "gram.c"
    break;

  case 1266: /* RenameStmt: ALTER FOREIGN DATA_P WRAPPER name RENAME TO name  */
#line 8514 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36523 "gram.c"
    break;

  case 1267: /* RenameStmt: ALTER FUNCTION function_with_argtypes RENAME TO name  */
#line 8523 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36536 "gram.c"
    break;

  case 1268: /* RenameStmt: ALTER GROUP_P RoleId RENAME TO RoleId  */
#line 8532 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36549 "gram.c"
    break;

  case 1269: /* RenameStmt: ALTER opt_procedural LANGUAGE name RENAME TO name  */
#line 8541 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36562 "gram.c"
    break;

  case 1270: /* RenameStmt: ALTER OPERATOR CLASS any_name USING access_method RENAME TO name  */
#line 8550 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36575 "gram.c"
    break;

  case 1271: /* RenameStmt: ALTER OPERATOR FAMILY any_name USING access_method RENAME TO name  */
#line 8559 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36588 "gram.c"
    break;

  case 1272: /* RenameStmt: ALTER POLICY name ON qualified_name RENAME TO name  */
#line 8568 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36602 "gram.c"
    break;

  case 1273: /* RenameStmt: ALTER POLICY IF_P EXISTS name ON qualified_name RENAME TO name  */
#line 8578 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36616 "gram.c"
    break;

  case 1274: /* RenameStmt: ALTER PROCEDURE function_with_argtypes RENAME TO name  */
#line 8588 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36629 "gram.c"
    break;

  case 1275: /* RenameStmt: ALTER PUBLICATION name RENAME TO name  */
#line 8597 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36642 "gram.c"
    break;

  case 1276: /* RenameStmt: ALTER ROUTINE function_with_argtypes RENAME TO name  */
#line 8606 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36655 "gram.c"
    break;

  case 1277: /* RenameStmt: ALTER SCHEMA name RENAME TO name  */
#line 8615 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36668 "gram.c"
    break;

  case 1278: /* RenameStmt: ALTER SERVER name RENAME TO name  */
#line 8624 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36681 "gram.c"
    break;

  case 1279: /* RenameStmt: ALTER SUBSCRIPTION name RENAME TO name  */
#line 8633 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36694 "gram.c"
    break;

  case 1280: /* RenameStmt: ALTER TABLE relation_expr RENAME TO name  */
#line 8642 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36708 "gram.c"
    break;

  case 1281: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 8652 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36722 "gram.c"
    break;

  case 1282: /* RenameStmt: ALTER SEQUENCE qualified_name RENAME TO name  */
#line 8662 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36736 "gram.c"
    break;

  case 1283: /* RenameStmt: ALTER SEQUENCE IF_P EXISTS qualified_name RENAME TO name  */
#line 8672 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36750 "gram.c"
    break;

  case 1284: /* RenameStmt: ALTER VIEW qualified_name RENAME TO name  */
#line 8682 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36764 "gram.c"
    break;

  case 1285: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 8692 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36778 "gram.c"
    break;

  case 1286: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME TO name  */
#line 8702 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36792 "gram.c"
    break;

  case 1287: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 8712 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36806 "gram.c"
    break;

  case 1288: /* RenameStmt: ALTER INDEX qualified_name RENAME TO name  */
#line 8722 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36820 "gram.c"
    break;

  case 1289: /* RenameStmt: ALTER INDEX IF_P EXISTS qualified_name RENAME TO name  */
#line 8732 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36834 "gram.c"
    break;

  case 1290: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME TO name  */
#line 8742 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36848 "gram.c"
    break;

  case 1291: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 8752 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36862 "gram.c"
    break;

  case 1292: /* RenameStmt: ALTER TABLE relation_expr RENAME opt_column name TO name  */
#line 8762 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36877 "gram.c"
    break;

  case 1293: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 8773 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36892 "gram.c"
    break;

  case 1294: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME opt_column name TO name  */
#line 8784 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36907 "gram.c"
    break;

  case 1295: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 8795 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36922 "gram.c"
    break;

  case 1296: /* RenameStmt: ALTER TABLE relation_expr RENAME CONSTRAINT name TO name  */
#line 8806 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36936 "gram.c"
    break;

  case 1297: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME CONSTRAINT name TO name  */
#line 8816 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36950 "gram.c"
    break;

  case 1298: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME opt_column name TO name  */
#line 8826 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36965 "gram.c"
    break;

  case 1299: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 8837 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36980 "gram.c"
    break;

  case 1300: /* RenameStmt: ALTER RULE name ON qualified_name RENAME TO name  */
#line 8848 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36994 "gram.c"
    break;

  case 1301: /* RenameStmt: ALTER TRIGGER name ON qualified_name RENAME TO name  */
#line 8858 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37008 "gram.c"
    break;

  case 1302: /* RenameStmt: ALTER EVENT TRIGGER name RENAME TO name  */
#line 8868 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37020 "gram.c"
    break;

  case 1303: /* RenameStmt: ALTER ROLE RoleId RENAME TO RoleId  */
#line 8876 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37033 "gram.c"
    break;

  case 1304: /* RenameStmt: ALTER USER RoleId RENAME TO RoleId  */
#line 8885 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37046 "gram.c"
    break;

  case 1305: /* RenameStmt: ALTER TABLESPACE name RENAME TO name  */
#line 8894 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37059 "gram.c"
    break;

  case 1306: /* RenameStmt: ALTER STATISTICS any_name RENAME TO name  */
#line 8903 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37072 "gram.c"
    break;

  case 1307: /* RenameStmt: ALTER TEXT_P SEARCH PARSER any_name RENAME TO name  */
#line 8912 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37085 "gram.c"
    break;

  case 1308: /* RenameStmt: ALTER TEXT_P SEARCH DICTIONARY any_name RENAME TO name  */
#line 8921 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37098 "gram.c"
    break;

  case 1309: /* RenameStmt: ALTER TEXT_P SEARCH TEMPLATE any_name RENAME TO name  */
#line 8930 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37111 "gram.c"
    break;

  case 1310: /* RenameStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name RENAME TO name  */
#line 8939 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37124 "gram.c"
    break;

  case 1311: /* RenameStmt: ALTER TYPE_P any_name RENAME TO name  */
#line 8948 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37137 "gram.c"
    break;

  case 1312: /* RenameStmt: ALTER TYPE_P any_name RENAME ATTRIBUTE name TO name opt_drop_behavior  */
#line 8957 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37153 "gram.c"
    break;

  case 1313: /* opt_column: COLUMN  */
#line 8970 "gram.y"
                                                                                        { (yyval.ival) = COLUMN; }
#line 37159 "gram.c"
    break;

  case 1314: /* opt_column: %empty  */
#line 8971 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 37165 "gram.c"
    break;

  case 1315: /* opt_set_data: SET DATA_P  */
#line 8974 "gram.y"
                                                                                { (yyval.ival) = 1; }
#line 37171 "gram.c"
    break;

  case 1316: /* opt_set_data: %empty  */
#line 8975 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 37177 "gram.c"
    break;

  case 1317: /* AlterObjectDependsStmt: ALTER FUNCTION function_with_argtypes DEPENDS ON EXTENSION name  */
#line 8986 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37189 "gram.c"
    break;

  case 1318: /* AlterObjectDependsStmt: ALTER PROCEDURE function_with_argtypes DEPENDS ON EXTENSION name  */
#line 8994 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37201 "gram.c"
    break;

  case 1319: /* AlterObjectDependsStmt: ALTER ROUTINE function_with_argtypes DEPENDS ON EXTENSION name  */
#line 9002 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37213 "gram.c"
    break;

  case 1320: /* AlterObjectDependsStmt: ALTER TRIGGER name ON qualified_name DEPENDS ON EXTENSION name  */
#line 9010 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37226 "gram.c"
    break;

  case 1321: /* AlterObjectDependsStmt: ALTER MATERIALIZED VIEW qualified_name DEPENDS ON EXTENSION name  */
#line 9019 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37238 "gram.c"
    break;

  case 1322: /* AlterObjectDependsStmt: ALTER INDEX qualified_name DEPENDS ON EXTENSION name  */
#line 9027 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37250 "gram.c"
    break;

  case 1323: /* AlterObjectSchemaStmt: ALTER AGGREGATE aggregate_with_argtypes SET SCHEMA name  */
#line 9044 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37263 "gram.c"
    break;

  case 1324: /* AlterObjectSchemaStmt: ALTER COLLATION any_name SET SCHEMA name  */
#line 9053 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37276 "gram.c"
    break;

  case 1325: /* AlterObjectSchemaStmt: ALTER CONVERSION_P any_name SET SCHEMA name  */
#line 9062 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37289 "gram.c"
    break;

  case 1326: /* AlterObjectSchemaStmt: ALTER DOMAIN_P any_name SET SCHEMA name  */
#line 9071 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37302 "gram.c"
    break;

  case 1327: /* AlterObjectSchemaStmt: ALTER EXTENSION name SET SCHEMA name  */
#line 9080 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37315 "gram.c"
    break;

  case 1328: /* AlterObjectSchemaStmt: ALTER FUNCTION function_with_argtypes SET SCHEMA name  */
#line 9089 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37328 "gram.c"
    break;

  case 1329: /* AlterObjectSchemaStmt: ALTER OPERATOR operator_with_argtypes SET SCHEMA name  */
#line 9098 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37341 "gram.c"
    break;

  case 1330: /* AlterObjectSchemaStmt: ALTER OPERATOR CLASS any_name USING access_method SET SCHEMA name  */
#line 9107 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37354 "gram.c"
    break;

  case 1331: /* AlterObjectSchemaStmt: ALTER OPERATOR FAMILY any_name USING access_method SET SCHEMA name  */
#line 9116 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37367 "gram.c"
    break;

  case 1332: /* AlterObjectSchemaStmt: ALTER PROCEDURE function_with_argtypes SET SCHEMA name  */
#line 9125 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37380 "gram.c"
    break;

  case 1333: /* AlterObjectSchemaStmt: ALTER ROUTINE function_with_argtypes SET SCHEMA name  */
#line 9134 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37393 "gram.c"
    break;

  case 1334: /* AlterObjectSchemaStmt: ALTER TABLE relation_expr SET SCHEMA name  */
#line 9143 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37406 "gram.c"
    break;

  case 1335: /* AlterObjectSchemaStmt: ALTER TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 9152 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37419 "gram.c"
    break;

  case 1336: /* AlterObjectSchemaStmt: ALTER STATISTICS any_name SET SCHEMA name  */
#line 9161 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37432 "gram.c"
    break;

  case 1337: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH PARSER any_name SET SCHEMA name  */
#line 9170 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37445 "gram.c"
    break;

  case 1338: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH DICTIONARY any_name SET SCHEMA name  */
#line 9179 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37458 "gram.c"
    break;

  case 1339: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH TEMPLATE any_name SET SCHEMA name  */
#line 9188 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37471 "gram.c"
    break;

  case 1340: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name SET SCHEMA name  */
#line 9197 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37484 "gram.c"
    break;

  case 1341: /* AlterObjectSchemaStmt: ALTER SEQUENCE qualified_name SET SCHEMA name  */
#line 9206 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37497 "gram.c"
    break;

  case 1342: /* AlterObjectSchemaStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SET SCHEMA name  */
#line 9215 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37510 "gram.c"
    break;

  case 1343: /* AlterObjectSchemaStmt: ALTER VIEW qualified_name SET SCHEMA name  */
#line 9224 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37523 "gram.c"
    break;

  case 1344: /* AlterObjectSchemaStmt: ALTER VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 9233 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37536 "gram.c"
    break;

  case 1345: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW qualified_name SET SCHEMA name  */
#line 9242 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37549 "gram.c"
    break;

  case 1346: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 9251 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37562 "gram.c"
    break;

  case 1347: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE relation_expr SET SCHEMA name  */
#line 9260 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37575 "gram.c"
    break;

  case 1348: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 9269 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37588 "gram.c"
    break;

  case 1349: /* AlterObjectSchemaStmt: ALTER TYPE_P any_name SET SCHEMA name  */
#line 9278 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37601 "gram.c"
    break;

  case 1350: /* AlterOperatorStmt: ALTER OPERATOR operator_with_argtypes SET '(' operator_def_list ')'  */
#line 9296 "gram.y"
                                {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 37612 "gram.c"
    break;

  case 1351: /* operator_def_list: operator_def_elem  */
#line 9304 "gram.y"
                                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37618 "gram.c"
    break;

  case 1352: /* operator_def_list: operator_def_list ',' operator_def_elem  */
#line 9305 "gram.y"
                                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37624 "gram.c"
    break;

  case 1353: /* operator_def_elem: ColLabel '=' NONE  */
#line 9309 "gram.y"
                                                { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 37630 "gram.c"
    break;

  case 1354: /* operator_def_elem: ColLabel '=' operator_def_arg  */
#line 9311 "gram.y"
                                                { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 37636 "gram.c"
    break;

  case 1355: /* operator_def_arg: func_type  */
#line 9316 "gram.y"
                                                                                { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 37642 "gram.c"
    break;

  case 1356: /* operator_def_arg: reserved_keyword  */
#line 9317 "gram.y"
                                                                        { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 37648 "gram.c"
    break;

  case 1357: /* operator_def_arg: qual_all_Op  */
#line 9318 "gram.y"
                                                                        { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 37654 "gram.c"
    break;

  case 1358: /* operator_def_arg: NumericOnly  */
#line 9319 "gram.y"
                                                                        { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 37660 "gram.c"
    break;

  case 1359: /* operator_def_arg: Sconst  */
#line 9320 "gram.y"
                                                                                { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 37666 "gram.c"
    break;

  case 1360: /* AlterOwnerStmt: ALTER AGGREGATE aggregate_with_argtypes OWNER TO RoleSpec  */
#line 9330 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37678 "gram.c"
    break;

  case 1361: /* AlterOwnerStmt: ALTER COLLATION any_name OWNER TO RoleSpec  */
#line 9338 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37690 "gram.c"
    break;

  case 1362: /* AlterOwnerStmt: ALTER CONVERSION_P any_name OWNER TO RoleSpec  */
#line 9346 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37702 "gram.c"
    break;

  case 1363: /* AlterOwnerStmt: ALTER DATABASE database_name OWNER TO RoleSpec  */
#line 9354 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37714 "gram.c"
    break;

  case 1364: /* AlterOwnerStmt: ALTER DOMAIN_P any_name OWNER TO RoleSpec  */
#line 9362 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37726 "gram.c"
    break;

  case 1365: /* AlterOwnerStmt: ALTER FUNCTION function_with_argtypes OWNER TO RoleSpec  */
#line 9370 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37738 "gram.c"
    break;

  case 1366: /* AlterOwnerStmt: ALTER opt_procedural LANGUAGE name OWNER TO RoleSpec  */
#line 9378 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37750 "gram.c"
    break;

  case 1367: /* AlterOwnerStmt: ALTER LARGE_P OBJECT_P NumericOnly OWNER TO RoleSpec  */
#line 9386 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37762 "gram.c"
    break;

  case 1368: /* AlterOwnerStmt: ALTER OPERATOR operator_with_argtypes OWNER TO RoleSpec  */
#line 9394 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37774 "gram.c"
    break;

  case 1369: /* AlterOwnerStmt: ALTER OPERATOR CLASS any_name USING access_method OWNER TO RoleSpec  */
#line 9402 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37786 "gram.c"
    break;

  case 1370: /* AlterOwnerStmt: ALTER OPERATOR FAMILY any_name USING access_method OWNER TO RoleSpec  */
#line 9410 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37798 "gram.c"
    break;

  case 1371: /* AlterOwnerStmt: ALTER PROCEDURE function_with_argtypes OWNER TO RoleSpec  */
#line 9418 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37810 "gram.c"
    break;

  case 1372: /* AlterOwnerStmt: ALTER ROUTINE function_with_argtypes OWNER TO RoleSpec  */
#line 9426 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37822 "gram.c"
    break;

  case 1373: /* AlterOwnerStmt: ALTER SCHEMA name OWNER TO RoleSpec  */
#line 9434 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37834 "gram.c"
    break;

  case 1374: /* AlterOwnerStmt: ALTER TYPE_P any_name OWNER TO RoleSpec  */
#line 9442 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37846 "gram.c"
    break;

  case 1375: /* AlterOwnerStmt: ALTER TABLESPACE name OWNER TO RoleSpec  */
#line 9450 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37858 "gram.c"
    break;

  case 1376: /* AlterOwnerStmt: ALTER STATISTICS any_name OWNER TO RoleSpec  */
#line 9458 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37870 "gram.c"
    break;

  case 1377: /* AlterOwnerStmt: ALTER TEXT_P SEARCH DICTIONARY any_name OWNER TO RoleSpec  */
#line 9466 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37882 "gram.c"
    break;

  case 1378: /* AlterOwnerStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name OWNER TO RoleSpec  */
#line 9474 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37894 "gram.c"
    break;

  case 1379: /* AlterOwnerStmt: ALTER FOREIGN DATA_P WRAPPER name OWNER TO RoleSpec  */
#line 9482 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37906 "gram.c"
    break;

  case 1380: /* AlterOwnerStmt: ALTER SERVER name OWNER TO RoleSpec  */
#line 9490 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37918 "gram.c"
    break;

  case 1381: /* AlterOwnerStmt: ALTER EVENT TRIGGER name OWNER TO RoleSpec  */
#line 9498 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37930 "gram.c"
    break;

  case 1382: /* AlterOwnerStmt: ALTER PUBLICATION name OWNER TO RoleSpec  */
#line 9506 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37942 "gram.c"
    break;

  case 1383: /* AlterOwnerStmt: ALTER SUBSCRIPTION name OWNER TO RoleSpec  */
#line 9514 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37954 "gram.c"
    break;

  case 1384: /* CreatePublicationStmt: CREATE PUBLICATION name opt_publication_for_tables opt_definition  */
#line 9532 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = true;
					}
					(yyval.node) = (Node *)n;
				}
#line 37974 "gram.c"
    break;

  case 1385: /* opt_publication_for_tables: publication_for_tables  */
#line 9550 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 37980 "gram.c"
    break;

  case 1386: /* opt_publication_for_tables: %empty  */
#line 9551 "gram.y"
                                                                                        { (yyval.node) = NULL; }
#line 37986 "gram.c"
    break;

  case 1387: /* publication_for_tables: FOR TABLE relation_expr_list  */
#line 9556 "gram.y"
                                {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 37994 "gram.c"
    break;

  case 1388: /* publication_for_tables: FOR ALL TABLES  */
#line 9560 "gram.y"
                                {
					(yyval.node) = (Node *) makeInteger(true);
				}
#line 38002 "gram.c"
    break;

  case 1389: /* AlterPublicationStmt: ALTER PUBLICATION name SET definition  */
#line 9580 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38013 "gram.c"
    break;

  case 1390: /* AlterPublicationStmt: ALTER PUBLICATION name ADD_P TABLE relation_expr_list  */
#line 9587 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 38025 "gram.c"
    break;

  case 1391: /* AlterPublicationStmt: ALTER PUBLICATION name SET TABLE relation_expr_list  */
#line 9595 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 38037 "gram.c"
    break;

  case 1392: /* AlterPublicationStmt: ALTER PUBLICATION name DROP TABLE relation_expr_list  */
#line 9603 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 38049 "gram.c"
    break;

  case 1393: /* CreateSubscriptionStmt: CREATE SUBSCRIPTION name CONNECTION Sconst PUBLICATION publication_name_list opt_definition  */
#line 9620 "gram.y"
                                {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38063 "gram.c"
    break;

  case 1394: /* publication_name_list: publication_name_item  */
#line 9633 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 38071 "gram.c"
    break;

  case 1395: /* publication_name_list: publication_name_list ',' publication_name_item  */
#line 9637 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 38079 "gram.c"
    break;

  case 1396: /* publication_name_item: ColLabel  */
#line 9643 "gram.y"
                                                        { (yyval.value) = makeString((yyvsp[0].str)); }
#line 38085 "gram.c"
    break;

  case 1397: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET definition  */
#line 9653 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38098 "gram.c"
    break;

  case 1398: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name CONNECTION Sconst  */
#line 9662 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38111 "gram.c"
    break;

  case 1399: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name REFRESH PUBLICATION opt_definition  */
#line 9671 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38124 "gram.c"
    break;

  case 1400: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET PUBLICATION publication_name_list opt_definition  */
#line 9680 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38138 "gram.c"
    break;

  case 1401: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ENABLE_P  */
#line 9690 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(true), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 38152 "gram.c"
    break;

  case 1402: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DISABLE_P  */
#line 9700 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(false), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 38166 "gram.c"
    break;

  case 1403: /* DropSubscriptionStmt: DROP SUBSCRIPTION name opt_drop_behavior  */
#line 9718 "gram.y"
                                {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38178 "gram.c"
    break;

  case 1404: /* DropSubscriptionStmt: DROP SUBSCRIPTION IF_P EXISTS name opt_drop_behavior  */
#line 9726 "gram.y"
                                {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38190 "gram.c"
    break;

  case 1405: /* RuleStmt: CREATE opt_or_replace RULE name AS ON event TO qualified_name where_clause DO opt_instead RuleActionList  */
#line 9744 "gram.y"
                                {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38206 "gram.c"
    break;

  case 1406: /* RuleActionList: NOTHING  */
#line 9758 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 38212 "gram.c"
    break;

  case 1407: /* RuleActionList: RuleActionStmt  */
#line 9759 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38218 "gram.c"
    break;

  case 1408: /* RuleActionList: '(' RuleActionMulti ')'  */
#line 9760 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 38224 "gram.c"
    break;

  case 1409: /* RuleActionMulti: RuleActionMulti ';' RuleActionStmtOrEmpty  */
#line 9766 "gram.y"
                                { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 38234 "gram.c"
    break;

  case 1410: /* RuleActionMulti: RuleActionStmtOrEmpty  */
#line 9772 "gram.y"
                                { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 38244 "gram.c"
    break;

  case 1416: /* RuleActionStmtOrEmpty: RuleActionStmt  */
#line 9788 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 38250 "gram.c"
    break;

  case 1417: /* RuleActionStmtOrEmpty: %empty  */
#line 9789 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 38256 "gram.c"
    break;

  case 1418: /* event: SELECT  */
#line 9792 "gram.y"
                                                                                        { (yyval.ival) = CMD_SELECT; }
#line 38262 "gram.c"
    break;

  case 1419: /* event: UPDATE  */
#line 9793 "gram.y"
                                                                                                { (yyval.ival) = CMD_UPDATE; }
#line 38268 "gram.c"
    break;

  case 1420: /* event: DELETE_P  */
#line 9794 "gram.y"
                                                                                                { (yyval.ival) = CMD_DELETE; }
#line 38274 "gram.c"
    break;

  case 1421: /* event: INSERT  */
#line 9795 "gram.y"
                                                                                                { (yyval.ival) = CMD_INSERT; }
#line 38280 "gram.c"
    break;

  case 1422: /* opt_instead: INSTEAD  */
#line 9799 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 38286 "gram.c"
    break;

  case 1423: /* opt_instead: ALSO  */
#line 9800 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 38292 "gram.c"
    break;

  case 1424: /* opt_instead: %empty  */
#line 9801 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 38298 "gram.c"
    break;

  case 1425: /* NotifyStmt: NOTIFY ColId notify_payload  */
#line 9814 "gram.y"
                                {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38309 "gram.c"
    break;

  case 1426: /* notify_payload: ',' Sconst  */
#line 9823 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 38315 "gram.c"
    break;

  case 1427: /* notify_payload: %empty  */
#line 9824 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 38321 "gram.c"
    break;

  case 1428: /* ListenStmt: LISTEN ColId  */
#line 9828 "gram.y"
                                {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38331 "gram.c"
    break;

  case 1429: /* UnlistenStmt: UNLISTEN ColId  */
#line 9837 "gram.y"
                                {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38341 "gram.c"
    break;

  case 1430: /* UnlistenStmt: UNLISTEN '*'  */
#line 9843 "gram.y"
                                {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 38351 "gram.c"
    break;

  case 1431: /* TransactionStmt: ABORT_P opt_transaction  */
#line 9862 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 38362 "gram.c"
    break;

  case 1432: /* TransactionStmt: BEGIN_P opt_transaction transaction_mode_list_or_empty  */
#line 9869 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38373 "gram.c"
    break;

  case 1433: /* TransactionStmt: START TRANSACTION transaction_mode_list_or_empty  */
#line 9876 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38384 "gram.c"
    break;

  case 1434: /* TransactionStmt: COMMIT opt_transaction  */
#line 9883 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 38395 "gram.c"
    break;

  case 1435: /* TransactionStmt: END_P opt_transaction  */
#line 9890 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 38406 "gram.c"
    break;

  case 1436: /* TransactionStmt: ROLLBACK opt_transaction  */
#line 9897 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 38417 "gram.c"
    break;

  case 1437: /* TransactionStmt: SAVEPOINT ColId  */
#line 9904 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38428 "gram.c"
    break;

  case 1438: /* TransactionStmt: RELEASE SAVEPOINT ColId  */
#line 9911 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38439 "gram.c"
    break;

  case 1439: /* TransactionStmt: RELEASE ColId  */
#line 9918 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38450 "gram.c"
    break;

  case 1440: /* TransactionStmt: ROLLBACK opt_transaction TO SAVEPOINT ColId  */
#line 9925 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38461 "gram.c"
    break;

  case 1441: /* TransactionStmt: ROLLBACK opt_transaction TO ColId  */
#line 9932 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38472 "gram.c"
    break;

  case 1442: /* TransactionStmt: PREPARE TRANSACTION Sconst  */
#line 9939 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38483 "gram.c"
    break;

  case 1443: /* TransactionStmt: COMMIT PREPARED Sconst  */
#line 9946 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38494 "gram.c"
    break;

  case 1444: /* TransactionStmt: ROLLBACK PREPARED Sconst  */
#line 9953 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38505 "gram.c"
    break;

  case 1445: /* opt_transaction: WORK  */
#line 9961 "gram.y"
                                                                                {}
#line 38511 "gram.c"
    break;

  case 1446: /* opt_transaction: TRANSACTION  */
#line 9962 "gram.y"
                                                                                        {}
#line 38517 "gram.c"
    break;

  case 1447: /* opt_transaction: %empty  */
#line 9963 "gram.y"
                                                                                                {}
#line 38523 "gram.c"
    break;

  case 1448: /* transaction_mode_item: ISOLATION LEVEL iso_level  */
#line 9968 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 38530 "gram.c"
    break;

  case 1449: /* transaction_mode_item: READ ONLY  */
#line 9971 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 38537 "gram.c"
    break;

  case 1450: /* transaction_mode_item: READ WRITE  */
#line 9974 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 38544 "gram.c"
    break;

  case 1451: /* transaction_mode_item: DEFERRABLE  */
#line 9977 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 38551 "gram.c"
    break;

  case 1452: /* transaction_mode_item: NOT DEFERRABLE  */
#line 9980 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 38558 "gram.c"
    break;

  case 1453: /* transaction_mode_list: transaction_mode_item  */
#line 9987 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38564 "gram.c"
    break;

  case 1454: /* transaction_mode_list: transaction_mode_list ',' transaction_mode_item  */
#line 9989 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38570 "gram.c"
    break;

  case 1455: /* transaction_mode_list: transaction_mode_list transaction_mode_item  */
#line 9991 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38576 "gram.c"
    break;

  case 1457: /* transaction_mode_list_or_empty: %empty  */
#line 9997 "gram.y"
                                        { (yyval.list) = NIL; }
#line 38582 "gram.c"
    break;

  case 1458: /* ViewStmt: CREATE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 10011 "gram.y"
                                {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38598 "gram.c"
    break;

  case 1459: /* ViewStmt: CREATE OR REPLACE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 10024 "gram.y"
                                {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38614 "gram.c"
    break;

  case 1460: /* ViewStmt: CREATE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 10037 "gram.y"
                                {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 38635 "gram.c"
    break;

  case 1461: /* ViewStmt: CREATE OR REPLACE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 10055 "gram.y"
                                {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 38656 "gram.c"
    break;

  case 1462: /* opt_check_option: WITH CHECK OPTION  */
#line 10074 "gram.y"
                                                                { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 38662 "gram.c"
    break;

  case 1463: /* opt_check_option: WITH CASCADED CHECK OPTION  */
#line 10075 "gram.y"
                                                { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 38668 "gram.c"
    break;

  case 1464: /* opt_check_option: WITH LOCAL CHECK OPTION  */
#line 10076 "gram.y"
                                                        { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 38674 "gram.c"
    break;

  case 1465: /* opt_check_option: %empty  */
#line 10077 "gram.y"
                                                                { (yyval.ival) = NO_CHECK_OPTION; }
#line 38680 "gram.c"
    break;

  case 1466: /* LoadStmt: LOAD file_name  */
#line 10088 "gram.y"
                                {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38690 "gram.c"
    break;

  case 1467: /* CreatedbStmt: CREATE DATABASE database_name opt_with createdb_opt_list  */
#line 10104 "gram.y"
                                {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38701 "gram.c"
    break;

  case 1468: /* createdb_opt_list: createdb_opt_items  */
#line 10113 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 38707 "gram.c"
    break;

  case 1469: /* createdb_opt_list: %empty  */
#line 10114 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 38713 "gram.c"
    break;

  case 1470: /* createdb_opt_items: createdb_opt_item  */
#line 10118 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38719 "gram.c"
    break;

  case 1471: /* createdb_opt_items: createdb_opt_items createdb_opt_item  */
#line 10119 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38725 "gram.c"
    break;

  case 1472: /* createdb_opt_item: createdb_opt_name opt_equal SignedIconst  */
#line 10124 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 38733 "gram.c"
    break;

  case 1473: /* createdb_opt_item: createdb_opt_name opt_equal opt_boolean_or_string  */
#line 10128 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 38741 "gram.c"
    break;

  case 1474: /* createdb_opt_item: createdb_opt_name opt_equal DEFAULT  */
#line 10132 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 38749 "gram.c"
    break;

  case 1475: /* createdb_opt_name: IDENT  */
#line 10149 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 38755 "gram.c"
    break;

  case 1476: /* createdb_opt_name: CONNECTION LIMIT  */
#line 10150 "gram.y"
                                                                        { (yyval.str) = pstrdup("connection_limit"); }
#line 38761 "gram.c"
    break;

  case 1477: /* createdb_opt_name: ENCODING  */
#line 10151 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38767 "gram.c"
    break;

  case 1478: /* createdb_opt_name: LOCATION  */
#line 10152 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38773 "gram.c"
    break;

  case 1479: /* createdb_opt_name: OWNER  */
#line 10153 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38779 "gram.c"
    break;

  case 1480: /* createdb_opt_name: TABLESPACE  */
#line 10154 "gram.y"
                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38785 "gram.c"
    break;

  case 1481: /* createdb_opt_name: TEMPLATE  */
#line 10155 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38791 "gram.c"
    break;

  case 1482: /* opt_equal: '='  */
#line 10162 "gram.y"
                                                                                                {}
#line 38797 "gram.c"
    break;

  case 1483: /* opt_equal: %empty  */
#line 10163 "gram.y"
                                                                                                {}
#line 38803 "gram.c"
    break;

  case 1484: /* AlterDatabaseStmt: ALTER DATABASE database_name WITH createdb_opt_list  */
#line 10175 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38814 "gram.c"
    break;

  case 1485: /* AlterDatabaseStmt: ALTER DATABASE database_name createdb_opt_list  */
#line 10182 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38825 "gram.c"
    break;

  case 1486: /* AlterDatabaseStmt: ALTER DATABASE database_name SET TABLESPACE name  */
#line 10189 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 38837 "gram.c"
    break;

  case 1487: /* AlterDatabaseSetStmt: ALTER DATABASE database_name SetResetClause  */
#line 10200 "gram.y"
                                {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38848 "gram.c"
    break;

  case 1488: /* DropdbStmt: DROP DATABASE database_name  */
#line 10217 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38859 "gram.c"
    break;

  case 1489: /* DropdbStmt: DROP DATABASE IF_P EXISTS database_name  */
#line 10224 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38870 "gram.c"
    break;

  case 1490: /* AlterCollationStmt: ALTER COLLATION any_name REFRESH VERSION_P  */
#line 10240 "gram.y"
                                {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 38880 "gram.c"
    break;

  case 1491: /* AlterSystemStmt: ALTER SYSTEM_P SET generic_set  */
#line 10257 "gram.y"
                                {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38890 "gram.c"
    break;

  case 1492: /* AlterSystemStmt: ALTER SYSTEM_P RESET generic_reset  */
#line 10263 "gram.y"
                                {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38900 "gram.c"
    break;

  case 1493: /* CreateDomainStmt: CREATE DOMAIN_P any_name opt_as Typename ColQualList  */
#line 10279 "gram.y"
                                {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 38913 "gram.c"
    break;

  case 1494: /* AlterDomainStmt: ALTER DOMAIN_P any_name alter_column_default  */
#line 10292 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 38925 "gram.c"
    break;

  case 1495: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP NOT NULL_P  */
#line 10301 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 38936 "gram.c"
    break;

  case 1496: /* AlterDomainStmt: ALTER DOMAIN_P any_name SET NOT NULL_P  */
#line 10309 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 38947 "gram.c"
    break;

  case 1497: /* AlterDomainStmt: ALTER DOMAIN_P any_name ADD_P TableConstraint  */
#line 10317 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 38959 "gram.c"
    break;

  case 1498: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT name opt_drop_behavior  */
#line 10326 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38973 "gram.c"
    break;

  case 1499: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 10337 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38987 "gram.c"
    break;

  case 1500: /* AlterDomainStmt: ALTER DOMAIN_P any_name VALIDATE CONSTRAINT name  */
#line 10348 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38999 "gram.c"
    break;

  case 1501: /* opt_as: AS  */
#line 10357 "gram.y"
                                                                                                {}
#line 39005 "gram.c"
    break;

  case 1502: /* opt_as: %empty  */
#line 10358 "gram.y"
                                                                                        {}
#line 39011 "gram.c"
    break;

  case 1503: /* AlterTSDictionaryStmt: ALTER TEXT_P SEARCH DICTIONARY any_name definition  */
#line 10370 "gram.y"
                                {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39022 "gram.c"
    break;

  case 1504: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ADD_P MAPPING FOR name_list any_with any_name_list  */
#line 10380 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39037 "gram.c"
    break;

  case 1505: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list any_with any_name_list  */
#line 10391 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39052 "gram.c"
    break;

  case 1506: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING REPLACE any_name any_with any_name  */
#line 10402 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 39067 "gram.c"
    break;

  case 1507: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list REPLACE any_name any_with any_name  */
#line 10413 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 39082 "gram.c"
    break;

  case 1508: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING FOR name_list  */
#line 10424 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 39095 "gram.c"
    break;

  case 1509: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING IF_P EXISTS FOR name_list  */
#line 10433 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 39108 "gram.c"
    break;

  case 1510: /* any_with: WITH  */
#line 10444 "gram.y"
                                                                                        {}
#line 39114 "gram.c"
    break;

  case 1511: /* any_with: WITH_LA  */
#line 10445 "gram.y"
                                                                                                {}
#line 39120 "gram.c"
    break;

  case 1512: /* CreateConversionStmt: CREATE opt_default CONVERSION_P any_name FOR Sconst TO Sconst FROM any_name  */
#line 10461 "gram.y"
                        {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 39134 "gram.c"
    break;

  case 1513: /* ClusterStmt: CLUSTER opt_verbose qualified_name cluster_index_specification  */
#line 10483 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 39146 "gram.c"
    break;

  case 1514: /* ClusterStmt: CLUSTER opt_verbose  */
#line 10491 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 39158 "gram.c"
    break;

  case 1515: /* ClusterStmt: CLUSTER opt_verbose index_name ON qualified_name  */
#line 10500 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 39170 "gram.c"
    break;

  case 1516: /* cluster_index_specification: USING index_name  */
#line 10510 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 39176 "gram.c"
    break;

  case 1517: /* cluster_index_specification: %empty  */
#line 10511 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 39182 "gram.c"
    break;

  case 1518: /* VacuumStmt: VACUUM opt_full opt_freeze opt_verbose opt_analyze opt_vacuum_relation_list  */
#line 10524 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-4].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_ANALYZE;
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39201 "gram.c"
    break;

  case 1519: /* VacuumStmt: VACUUM '(' vacuum_option_list ')' opt_vacuum_relation_list  */
#line 10539 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-2].ival);
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39212 "gram.c"
    break;

  case 1520: /* vacuum_option_list: vacuum_option_elem  */
#line 10548 "gram.y"
                                                                                                        { (yyval.ival) = (yyvsp[0].ival); }
#line 39218 "gram.c"
    break;

  case 1521: /* vacuum_option_list: vacuum_option_list ',' vacuum_option_elem  */
#line 10549 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 39224 "gram.c"
    break;

  case 1522: /* vacuum_option_elem: analyze_keyword  */
#line 10553 "gram.y"
                                                { (yyval.ival) = VACOPT_ANALYZE; }
#line 39230 "gram.c"
    break;

  case 1523: /* vacuum_option_elem: VERBOSE  */
#line 10554 "gram.y"
                                                        { (yyval.ival) = VACOPT_VERBOSE; }
#line 39236 "gram.c"
    break;

  case 1524: /* vacuum_option_elem: FREEZE  */
#line 10555 "gram.y"
                                                        { (yyval.ival) = VACOPT_FREEZE; }
#line 39242 "gram.c"
    break;

  case 1525: /* vacuum_option_elem: FULL  */
#line 10556 "gram.y"
                                                        { (yyval.ival) = VACOPT_FULL; }
#line 39248 "gram.c"
    break;

  case 1526: /* vacuum_option_elem: IDENT  */
#line 10558 "gram.y"
                                {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 39262 "gram.c"
    break;

  case 1527: /* AnalyzeStmt: analyze_keyword opt_verbose opt_vacuum_relation_list  */
#line 10570 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39275 "gram.c"
    break;

  case 1528: /* AnalyzeStmt: analyze_keyword '(' analyze_option_list ')' opt_vacuum_relation_list  */
#line 10579 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE | (yyvsp[-2].ival);
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39286 "gram.c"
    break;

  case 1529: /* analyze_option_list: analyze_option_elem  */
#line 10588 "gram.y"
                                                                                                        { (yyval.ival) = (yyvsp[0].ival); }
#line 39292 "gram.c"
    break;

  case 1530: /* analyze_option_list: analyze_option_list ',' analyze_option_elem  */
#line 10589 "gram.y"
                                                                        { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 39298 "gram.c"
    break;

  case 1531: /* analyze_option_elem: VERBOSE  */
#line 10593 "gram.y"
                                                        { (yyval.ival) = VACOPT_VERBOSE; }
#line 39304 "gram.c"
    break;

  case 1532: /* analyze_keyword: ANALYZE  */
#line 10597 "gram.y"
                                                                                                {}
#line 39310 "gram.c"
    break;

  case 1533: /* analyze_keyword: ANALYSE  */
#line 10598 "gram.y"
                                                                                {}
#line 39316 "gram.c"
    break;

  case 1534: /* opt_analyze: analyze_keyword  */
#line 10602 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 39322 "gram.c"
    break;

  case 1535: /* opt_analyze: %empty  */
#line 10603 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 39328 "gram.c"
    break;

  case 1536: /* opt_verbose: VERBOSE  */
#line 10607 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 39334 "gram.c"
    break;

  case 1537: /* opt_verbose: %empty  */
#line 10608 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 39340 "gram.c"
    break;

  case 1538: /* opt_full: FULL  */
#line 10611 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 39346 "gram.c"
    break;

  case 1539: /* opt_full: %empty  */
#line 10612 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 39352 "gram.c"
    break;

  case 1540: /* opt_freeze: FREEZE  */
#line 10615 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 39358 "gram.c"
    break;

  case 1541: /* opt_freeze: %empty  */
#line 10616 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 39364 "gram.c"
    break;

  case 1542: /* opt_name_list: '(' name_list ')'  */
#line 10620 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 39370 "gram.c"
    break;

  case 1543: /* opt_name_list: %empty  */
#line 10621 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39376 "gram.c"
    break;

  case 1544: /* vacuum_relation: qualified_name opt_name_list  */
#line 10626 "gram.y"
                                {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 39384 "gram.c"
    break;

  case 1545: /* vacuum_relation_list: vacuum_relation  */
#line 10633 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39390 "gram.c"
    break;

  case 1546: /* vacuum_relation_list: vacuum_relation_list ',' vacuum_relation  */
#line 10635 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39396 "gram.c"
    break;

  case 1547: /* opt_vacuum_relation_list: vacuum_relation_list  */
#line 10639 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 39402 "gram.c"
    break;

  case 1548: /* opt_vacuum_relation_list: %empty  */
#line 10640 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39408 "gram.c"
    break;

  case 1549: /* ExplainStmt: EXPLAIN ExplainableStmt  */
#line 10654 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 39419 "gram.c"
    break;

  case 1550: /* ExplainStmt: EXPLAIN analyze_keyword opt_verbose ExplainableStmt  */
#line 10661 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39433 "gram.c"
    break;

  case 1551: /* ExplainStmt: EXPLAIN VERBOSE ExplainableStmt  */
#line 10671 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39444 "gram.c"
    break;

  case 1552: /* ExplainStmt: EXPLAIN '(' explain_option_list ')' ExplainableStmt  */
#line 10678 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 39455 "gram.c"
    break;

  case 1562: /* explain_option_list: explain_option_elem  */
#line 10700 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 39463 "gram.c"
    break;

  case 1563: /* explain_option_list: explain_option_list ',' explain_option_elem  */
#line 10704 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 39471 "gram.c"
    break;

  case 1564: /* explain_option_elem: explain_option_name explain_option_arg  */
#line 10711 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 39479 "gram.c"
    break;

  case 1565: /* explain_option_name: NonReservedWord  */
#line 10717 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 39485 "gram.c"
    break;

  case 1566: /* explain_option_name: analyze_keyword  */
#line 10718 "gram.y"
                                                        { (yyval.str) = "analyze"; }
#line 39491 "gram.c"
    break;

  case 1567: /* explain_option_arg: opt_boolean_or_string  */
#line 10722 "gram.y"
                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 39497 "gram.c"
    break;

  case 1568: /* explain_option_arg: NumericOnly  */
#line 10723 "gram.y"
                                                        { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 39503 "gram.c"
    break;

  case 1569: /* explain_option_arg: %empty  */
#line 10724 "gram.y"
                                                        { (yyval.node) = NULL; }
#line 39509 "gram.c"
    break;

  case 1570: /* PrepareStmt: PREPARE name prep_type_clause AS PreparableStmt  */
#line 10735 "gram.y"
                                {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39521 "gram.c"
    break;

  case 1571: /* prep_type_clause: '(' type_list ')'  */
#line 10744 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 39527 "gram.c"
    break;

  case 1572: /* prep_type_clause: %empty  */
#line 10745 "gram.y"
                                                                        { (yyval.list) = NIL; }
#line 39533 "gram.c"
    break;

  case 1577: /* ExecuteStmt: EXECUTE name execute_param_clause  */
#line 10763 "gram.y"
                                {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39544 "gram.c"
    break;

  case 1578: /* ExecuteStmt: CREATE OptTemp TABLE create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 10771 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 39564 "gram.c"
    break;

  case 1579: /* ExecuteStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 10788 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 39584 "gram.c"
    break;

  case 1580: /* execute_param_clause: '(' expr_list ')'  */
#line 10805 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 39590 "gram.c"
    break;

  case 1581: /* execute_param_clause: %empty  */
#line 10806 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 39596 "gram.c"
    break;

  case 1582: /* DeallocateStmt: DEALLOCATE name  */
#line 10817 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 39606 "gram.c"
    break;

  case 1583: /* DeallocateStmt: DEALLOCATE PREPARE name  */
#line 10823 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 39616 "gram.c"
    break;

  case 1584: /* DeallocateStmt: DEALLOCATE ALL  */
#line 10829 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 39626 "gram.c"
    break;

  case 1585: /* DeallocateStmt: DEALLOCATE PREPARE ALL  */
#line 10835 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 39636 "gram.c"
    break;

  case 1586: /* InsertStmt: opt_with_clause INSERT INTO insert_target insert_rest opt_on_conflict returning_clause  */
#line 10852 "gram.y"
                                {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 39648 "gram.c"
    break;

  case 1587: /* insert_target: qualified_name  */
#line 10869 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 39656 "gram.c"
    break;

  case 1588: /* insert_target: qualified_name AS ColId  */
#line 10873 "gram.y"
                                {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39665 "gram.c"
    break;

  case 1589: /* insert_rest: SelectStmt  */
#line 10881 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39675 "gram.c"
    break;

  case 1590: /* insert_rest: OVERRIDING override_kind VALUE_P SelectStmt  */
#line 10887 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39686 "gram.c"
    break;

  case 1591: /* insert_rest: '(' insert_column_list ')' SelectStmt  */
#line 10894 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39696 "gram.c"
    break;

  case 1592: /* insert_rest: '(' insert_column_list ')' OVERRIDING override_kind VALUE_P SelectStmt  */
#line 10900 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39707 "gram.c"
    break;

  case 1593: /* insert_rest: DEFAULT VALUES  */
#line 10907 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 39717 "gram.c"
    break;

  case 1594: /* override_kind: USER  */
#line 10915 "gram.y"
                                        { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 39723 "gram.c"
    break;

  case 1595: /* override_kind: SYSTEM_P  */
#line 10916 "gram.y"
                                        { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 39729 "gram.c"
    break;

  case 1596: /* insert_column_list: insert_column_item  */
#line 10921 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39735 "gram.c"
    break;

  case 1597: /* insert_column_list: insert_column_list ',' insert_column_item  */
#line 10923 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39741 "gram.c"
    break;

  case 1598: /* insert_column_item: ColId opt_indirection  */
#line 10928 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39753 "gram.c"
    break;

  case 1599: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO UPDATE SET set_clause_list where_clause  */
#line 10939 "gram.y"
                                {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 39766 "gram.c"
    break;

  case 1600: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO NOTHING  */
#line 10949 "gram.y"
                                {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 39779 "gram.c"
    break;

  case 1601: /* opt_on_conflict: %empty  */
#line 10958 "gram.y"
                                {
					(yyval.onconflict) = NULL;
				}
#line 39787 "gram.c"
    break;

  case 1602: /* opt_conf_expr: '(' index_params ')' where_clause  */
#line 10965 "gram.y"
                                {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 39799 "gram.c"
    break;

  case 1603: /* opt_conf_expr: ON CONSTRAINT name  */
#line 10974 "gram.y"
                                {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 39811 "gram.c"
    break;

  case 1604: /* opt_conf_expr: %empty  */
#line 10982 "gram.y"
                                {
					(yyval.infer) = NULL;
				}
#line 39819 "gram.c"
    break;

  case 1605: /* returning_clause: RETURNING target_list  */
#line 10988 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 39825 "gram.c"
    break;

  case 1606: /* returning_clause: %empty  */
#line 10989 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 39831 "gram.c"
    break;

  case 1607: /* DeleteStmt: opt_with_clause DELETE_P FROM relation_expr_opt_alias using_clause where_or_current_clause returning_clause  */
#line 11002 "gram.y"
                                {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 39845 "gram.c"
    break;

  case 1608: /* using_clause: USING from_list  */
#line 11014 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 39851 "gram.c"
    break;

  case 1609: /* using_clause: %empty  */
#line 11015 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39857 "gram.c"
    break;

  case 1610: /* LockStmt: LOCK_P opt_table relation_expr_list opt_lock opt_nowait  */
#line 11027 "gram.y"
                                {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 39870 "gram.c"
    break;

  case 1611: /* opt_lock: IN_P lock_type MODE  */
#line 11037 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival); }
#line 39876 "gram.c"
    break;

  case 1612: /* opt_lock: %empty  */
#line 11038 "gram.y"
                                                                                { (yyval.ival) = AccessExclusiveLock; }
#line 39882 "gram.c"
    break;

  case 1613: /* lock_type: ACCESS SHARE  */
#line 11041 "gram.y"
                                                                { (yyval.ival) = AccessShareLock; }
#line 39888 "gram.c"
    break;

  case 1614: /* lock_type: ROW SHARE  */
#line 11042 "gram.y"
                                                                                { (yyval.ival) = RowShareLock; }
#line 39894 "gram.c"
    break;

  case 1615: /* lock_type: ROW EXCLUSIVE  */
#line 11043 "gram.y"
                                                                        { (yyval.ival) = RowExclusiveLock; }
#line 39900 "gram.c"
    break;

  case 1616: /* lock_type: SHARE UPDATE EXCLUSIVE  */
#line 11044 "gram.y"
                                                                { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 39906 "gram.c"
    break;

  case 1617: /* lock_type: SHARE  */
#line 11045 "gram.y"
                                                                                { (yyval.ival) = ShareLock; }
#line 39912 "gram.c"
    break;

  case 1618: /* lock_type: SHARE ROW EXCLUSIVE  */
#line 11046 "gram.y"
                                                                { (yyval.ival) = ShareRowExclusiveLock; }
#line 39918 "gram.c"
    break;

  case 1619: /* lock_type: EXCLUSIVE  */
#line 11047 "gram.y"
                                                                                { (yyval.ival) = ExclusiveLock; }
#line 39924 "gram.c"
    break;

  case 1620: /* lock_type: ACCESS EXCLUSIVE  */
#line 11048 "gram.y"
                                                                        { (yyval.ival) = AccessExclusiveLock; }
#line 39930 "gram.c"
    break;

  case 1621: /* opt_nowait: NOWAIT  */
#line 11051 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 39936 "gram.c"
    break;

  case 1622: /* opt_nowait: %empty  */
#line 11052 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 39942 "gram.c"
    break;

  case 1623: /* opt_nowait_or_skip: NOWAIT  */
#line 11056 "gram.y"
                                                                                { (yyval.ival) = LockWaitError; }
#line 39948 "gram.c"
    break;

  case 1624: /* opt_nowait_or_skip: SKIP LOCKED  */
#line 11057 "gram.y"
                                                                        { (yyval.ival) = LockWaitSkip; }
#line 39954 "gram.c"
    break;

  case 1625: /* opt_nowait_or_skip: %empty  */
#line 11058 "gram.y"
                                                                                { (yyval.ival) = LockWaitBlock; }
#line 39960 "gram.c"
    break;

  case 1626: /* UpdateStmt: opt_with_clause UPDATE relation_expr_opt_alias SET set_clause_list from_clause where_or_current_clause returning_clause  */
#line 11074 "gram.y"
                                {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 39975 "gram.c"
    break;

  case 1627: /* set_clause_list: set_clause  */
#line 11087 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 39981 "gram.c"
    break;

  case 1628: /* set_clause_list: set_clause_list ',' set_clause  */
#line 11088 "gram.y"
                                                                { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 39987 "gram.c"
    break;

  case 1629: /* set_clause: set_target '=' a_expr  */
#line 11093 "gram.y"
                                {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 39996 "gram.c"
    break;

  case 1630: /* set_clause: '(' set_target_list ')' '=' a_expr  */
#line 11098 "gram.y"
                                {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 40021 "gram.c"
    break;

  case 1631: /* set_target: ColId opt_indirection  */
#line 11122 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40033 "gram.c"
    break;

  case 1632: /* set_target_list: set_target  */
#line 11132 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40039 "gram.c"
    break;

  case 1633: /* set_target_list: set_target_list ',' set_target  */
#line 11133 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 40045 "gram.c"
    break;

  case 1634: /* DeclareCursorStmt: DECLARE cursor_name cursor_options CURSOR opt_hold FOR SelectStmt  */
#line 11144 "gram.y"
                                {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 40058 "gram.c"
    break;

  case 1635: /* cursor_name: name  */
#line 11154 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 40064 "gram.c"
    break;

  case 1636: /* cursor_options: %empty  */
#line 11157 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 40070 "gram.c"
    break;

  case 1637: /* cursor_options: cursor_options NO SCROLL  */
#line 11158 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 40076 "gram.c"
    break;

  case 1638: /* cursor_options: cursor_options SCROLL  */
#line 11159 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 40082 "gram.c"
    break;

  case 1639: /* cursor_options: cursor_options BINARY  */
#line 11160 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 40088 "gram.c"
    break;

  case 1640: /* cursor_options: cursor_options INSENSITIVE  */
#line 11161 "gram.y"
                                                        { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 40094 "gram.c"
    break;

  case 1641: /* opt_hold: %empty  */
#line 11164 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 40100 "gram.c"
    break;

  case 1642: /* opt_hold: WITH HOLD  */
#line 11165 "gram.y"
                                                                                { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 40106 "gram.c"
    break;

  case 1643: /* opt_hold: WITHOUT HOLD  */
#line 11166 "gram.y"
                                                                        { (yyval.ival) = 0; }
#line 40112 "gram.c"
    break;

  case 1646: /* select_with_parens: '(' select_no_parens ')'  */
#line 11219 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 40118 "gram.c"
    break;

  case 1647: /* select_with_parens: '(' select_with_parens ')'  */
#line 11220 "gram.y"
                                                                        { (yyval.node) = (yyvsp[-1].node); }
#line 40124 "gram.c"
    break;

  case 1648: /* select_no_parens: simple_select  */
#line 11235 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 40130 "gram.c"
    break;

  case 1649: /* select_no_parens: select_clause sort_clause  */
#line 11237 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 40141 "gram.c"
    break;

  case 1650: /* select_no_parens: select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 11244 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40153 "gram.c"
    break;

  case 1651: /* select_no_parens: select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 11252 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40165 "gram.c"
    break;

  case 1652: /* select_no_parens: with_clause select_clause  */
#line 11260 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 40177 "gram.c"
    break;

  case 1653: /* select_no_parens: with_clause select_clause sort_clause  */
#line 11268 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 40189 "gram.c"
    break;

  case 1654: /* select_no_parens: with_clause select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 11276 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40201 "gram.c"
    break;

  case 1655: /* select_no_parens: with_clause select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 11284 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40213 "gram.c"
    break;

  case 1656: /* select_clause: simple_select  */
#line 11294 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 40219 "gram.c"
    break;

  case 1657: /* select_clause: select_with_parens  */
#line 11295 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 40225 "gram.c"
    break;

  case 1658: /* simple_select: SELECT opt_all_clause opt_target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 11325 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 40241 "gram.c"
    break;

  case 1659: /* simple_select: SELECT distinct_clause target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 11339 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 40258 "gram.c"
    break;

  case 1660: /* simple_select: values_clause  */
#line 11351 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 40264 "gram.c"
    break;

  case 1661: /* simple_select: TABLE relation_expr  */
#line 11353 "gram.y"
                                {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 40287 "gram.c"
    break;

  case 1662: /* simple_select: select_clause UNION all_or_distinct select_clause  */
#line 11372 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40295 "gram.c"
    break;

  case 1663: /* simple_select: select_clause INTERSECT all_or_distinct select_clause  */
#line 11376 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40303 "gram.c"
    break;

  case 1664: /* simple_select: select_clause EXCEPT all_or_distinct select_clause  */
#line 11380 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40311 "gram.c"
    break;

  case 1665: /* with_clause: WITH cte_list  */
#line 11397 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 40322 "gram.c"
    break;

  case 1666: /* with_clause: WITH_LA cte_list  */
#line 11404 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 40333 "gram.c"
    break;

  case 1667: /* with_clause: WITH RECURSIVE cte_list  */
#line 11411 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 40344 "gram.c"
    break;

  case 1668: /* cte_list: common_table_expr  */
#line 11420 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40350 "gram.c"
    break;

  case 1669: /* cte_list: cte_list ',' common_table_expr  */
#line 11421 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40356 "gram.c"
    break;

  case 1670: /* common_table_expr: name opt_name_list AS '(' PreparableStmt ')'  */
#line 11425 "gram.y"
                        {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 40369 "gram.c"
    break;

  case 1671: /* opt_with_clause: with_clause  */
#line 11436 "gram.y"
                                                                                        { (yyval.with) = (yyvsp[0].with); }
#line 40375 "gram.c"
    break;

  case 1672: /* opt_with_clause: %empty  */
#line 11437 "gram.y"
                                                                                        { (yyval.with) = NULL; }
#line 40381 "gram.c"
    break;

  case 1673: /* into_clause: INTO OptTempTableName  */
#line 11442 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 40396 "gram.c"
    break;

  case 1674: /* into_clause: %empty  */
#line 11453 "gram.y"
                                { (yyval.into) = NULL; }
#line 40402 "gram.c"
    break;

  case 1675: /* OptTempTableName: TEMPORARY opt_table qualified_name  */
#line 11462 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40411 "gram.c"
    break;

  case 1676: /* OptTempTableName: TEMP opt_table qualified_name  */
#line 11467 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40420 "gram.c"
    break;

  case 1677: /* OptTempTableName: LOCAL TEMPORARY opt_table qualified_name  */
#line 11472 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40429 "gram.c"
    break;

  case 1678: /* OptTempTableName: LOCAL TEMP opt_table qualified_name  */
#line 11477 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40438 "gram.c"
    break;

  case 1679: /* OptTempTableName: GLOBAL TEMPORARY opt_table qualified_name  */
#line 11482 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40450 "gram.c"
    break;

  case 1680: /* OptTempTableName: GLOBAL TEMP opt_table qualified_name  */
#line 11490 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40462 "gram.c"
    break;

  case 1681: /* OptTempTableName: UNLOGGED opt_table qualified_name  */
#line 11498 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 40471 "gram.c"
    break;

  case 1682: /* OptTempTableName: TABLE qualified_name  */
#line 11503 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 40480 "gram.c"
    break;

  case 1683: /* OptTempTableName: qualified_name  */
#line 11508 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 40489 "gram.c"
    break;

  case 1684: /* opt_table: TABLE  */
#line 11514 "gram.y"
                                                                                        {}
#line 40495 "gram.c"
    break;

  case 1685: /* opt_table: %empty  */
#line 11515 "gram.y"
                                                                                                {}
#line 40501 "gram.c"
    break;

  case 1686: /* all_or_distinct: ALL  */
#line 11519 "gram.y"
                                                                                                        { (yyval.boolean) = true; }
#line 40507 "gram.c"
    break;

  case 1687: /* all_or_distinct: DISTINCT  */
#line 11520 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 40513 "gram.c"
    break;

  case 1688: /* all_or_distinct: %empty  */
#line 11521 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 40519 "gram.c"
    break;

  case 1689: /* distinct_clause: DISTINCT  */
#line 11528 "gram.y"
                                                                                                { (yyval.list) = list_make1(NIL); }
#line 40525 "gram.c"
    break;

  case 1690: /* distinct_clause: DISTINCT ON '(' expr_list ')'  */
#line 11529 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 40531 "gram.c"
    break;

  case 1691: /* opt_all_clause: ALL  */
#line 11533 "gram.y"
                                                                                                        { (yyval.list) = NIL;}
#line 40537 "gram.c"
    break;

  case 1692: /* opt_all_clause: %empty  */
#line 11534 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 40543 "gram.c"
    break;

  case 1693: /* opt_sort_clause: sort_clause  */
#line 11538 "gram.y"
                                                                                                { (yyval.list) = (yyvsp[0].list);}
#line 40549 "gram.c"
    break;

  case 1694: /* opt_sort_clause: %empty  */
#line 11539 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 40555 "gram.c"
    break;

  case 1695: /* sort_clause: ORDER BY sortby_list  */
#line 11543 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 40561 "gram.c"
    break;

  case 1696: /* sortby_list: sortby  */
#line 11547 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 40567 "gram.c"
    break;

  case 1697: /* sortby_list: sortby_list ',' sortby  */
#line 11548 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 40573 "gram.c"
    break;

  case 1698: /* sortby: a_expr USING qual_all_Op opt_nulls_order  */
#line 11552 "gram.y"
                                {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 40586 "gram.c"
    break;

  case 1699: /* sortby: a_expr opt_asc_desc opt_nulls_order  */
#line 11561 "gram.y"
                                {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 40599 "gram.c"
    break;

  case 1700: /* select_limit: limit_clause offset_clause  */
#line 11573 "gram.y"
                                                                        { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 40605 "gram.c"
    break;

  case 1701: /* select_limit: offset_clause limit_clause  */
#line 11574 "gram.y"
                                                                { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 40611 "gram.c"
    break;

  case 1702: /* select_limit: limit_clause  */
#line 11575 "gram.y"
                                                                                { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 40617 "gram.c"
    break;

  case 1703: /* select_limit: offset_clause  */
#line 11576 "gram.y"
                                                                                { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 40623 "gram.c"
    break;

  case 1704: /* opt_select_limit: select_limit  */
#line 11580 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 40629 "gram.c"
    break;

  case 1705: /* opt_select_limit: %empty  */
#line 11581 "gram.y"
                                                                                { (yyval.list) = list_make2(NULL,NULL); }
#line 40635 "gram.c"
    break;

  case 1706: /* limit_clause: LIMIT select_limit_value  */
#line 11586 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 40641 "gram.c"
    break;

  case 1707: /* limit_clause: LIMIT select_limit_value ',' select_offset_value  */
#line 11588 "gram.y"
                                {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 40654 "gram.c"
    break;

  case 1708: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows ONLY  */
#line 11604 "gram.y"
                                { (yyval.node) = (yyvsp[-2].node); }
#line 40660 "gram.c"
    break;

  case 1709: /* limit_clause: FETCH first_or_next row_or_rows ONLY  */
#line 11606 "gram.y"
                                { (yyval.node) = makeIntConst(1, -1); }
#line 40666 "gram.c"
    break;

  case 1710: /* offset_clause: OFFSET select_offset_value  */
#line 11611 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 40672 "gram.c"
    break;

  case 1711: /* offset_clause: OFFSET select_fetch_first_value row_or_rows  */
#line 11614 "gram.y"
                                { (yyval.node) = (yyvsp[-1].node); }
#line 40678 "gram.c"
    break;

  case 1712: /* select_limit_value: a_expr  */
#line 11618 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 40684 "gram.c"
    break;

  case 1713: /* select_limit_value: ALL  */
#line 11620 "gram.y"
                                {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 40693 "gram.c"
    break;

  case 1714: /* select_offset_value: a_expr  */
#line 11627 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 40699 "gram.c"
    break;

  case 1715: /* select_fetch_first_value: c_expr  */
#line 11647 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 40705 "gram.c"
    break;

  case 1716: /* select_fetch_first_value: '+' I_or_F_const  */
#line 11649 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40711 "gram.c"
    break;

  case 1717: /* select_fetch_first_value: '-' I_or_F_const  */
#line 11651 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40717 "gram.c"
    break;

  case 1718: /* I_or_F_const: Iconst  */
#line 11655 "gram.y"
                                                                                                { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 40723 "gram.c"
    break;

  case 1719: /* I_or_F_const: FCONST  */
#line 11656 "gram.y"
                                                                                                { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 40729 "gram.c"
    break;

  case 1720: /* row_or_rows: ROW  */
#line 11660 "gram.y"
                                                                                        { (yyval.ival) = 0; }
#line 40735 "gram.c"
    break;

  case 1721: /* row_or_rows: ROWS  */
#line 11661 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 40741 "gram.c"
    break;

  case 1722: /* first_or_next: FIRST_P  */
#line 11664 "gram.y"
                                                                                { (yyval.ival) = 0; }
#line 40747 "gram.c"
    break;

  case 1723: /* first_or_next: NEXT  */
#line 11665 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 40753 "gram.c"
    break;

  case 1724: /* group_clause: GROUP_P BY group_by_list  */
#line 11690 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 40759 "gram.c"
    break;

  case 1725: /* group_clause: %empty  */
#line 11691 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 40765 "gram.c"
    break;

  case 1726: /* group_by_list: group_by_item  */
#line 11695 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40771 "gram.c"
    break;

  case 1727: /* group_by_list: group_by_list ',' group_by_item  */
#line 11696 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 40777 "gram.c"
    break;

  case 1728: /* group_by_item: a_expr  */
#line 11700 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 40783 "gram.c"
    break;

  case 1729: /* group_by_item: empty_grouping_set  */
#line 11701 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 40789 "gram.c"
    break;

  case 1730: /* group_by_item: cube_clause  */
#line 11702 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 40795 "gram.c"
    break;

  case 1731: /* group_by_item: rollup_clause  */
#line 11703 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 40801 "gram.c"
    break;

  case 1732: /* group_by_item: grouping_sets_clause  */
#line 11704 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 40807 "gram.c"
    break;

  case 1733: /* empty_grouping_set: '(' ')'  */
#line 11709 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 40815 "gram.c"
    break;

  case 1734: /* rollup_clause: ROLLUP '(' expr_list ')'  */
#line 11722 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 40823 "gram.c"
    break;

  case 1735: /* cube_clause: CUBE '(' expr_list ')'  */
#line 11729 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 40831 "gram.c"
    break;

  case 1736: /* grouping_sets_clause: GROUPING SETS '(' group_by_list ')'  */
#line 11736 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 40839 "gram.c"
    break;

  case 1737: /* having_clause: HAVING a_expr  */
#line 11742 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 40845 "gram.c"
    break;

  case 1738: /* having_clause: %empty  */
#line 11743 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 40851 "gram.c"
    break;

  case 1739: /* for_locking_clause: for_locking_items  */
#line 11747 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 40857 "gram.c"
    break;

  case 1740: /* for_locking_clause: FOR READ ONLY  */
#line 11748 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 40863 "gram.c"
    break;

  case 1741: /* opt_for_locking_clause: for_locking_clause  */
#line 11752 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 40869 "gram.c"
    break;

  case 1742: /* opt_for_locking_clause: %empty  */
#line 11753 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 40875 "gram.c"
    break;

  case 1743: /* for_locking_items: for_locking_item  */
#line 11757 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40881 "gram.c"
    break;

  case 1744: /* for_locking_items: for_locking_items for_locking_item  */
#line 11758 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40887 "gram.c"
    break;

  case 1745: /* for_locking_item: for_locking_strength locked_rels_list opt_nowait_or_skip  */
#line 11763 "gram.y"
                                {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 40899 "gram.c"
    break;

  case 1746: /* for_locking_strength: FOR UPDATE  */
#line 11773 "gram.y"
                                                                                        { (yyval.ival) = LCS_FORUPDATE; }
#line 40905 "gram.c"
    break;

  case 1747: /* for_locking_strength: FOR NO KEY UPDATE  */
#line 11774 "gram.y"
                                                                        { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 40911 "gram.c"
    break;

  case 1748: /* for_locking_strength: FOR SHARE  */
#line 11775 "gram.y"
                                                                                { (yyval.ival) = LCS_FORSHARE; }
#line 40917 "gram.c"
    break;

  case 1749: /* for_locking_strength: FOR KEY SHARE  */
#line 11776 "gram.y"
                                                                                { (yyval.ival) = LCS_FORKEYSHARE; }
#line 40923 "gram.c"
    break;

  case 1750: /* locked_rels_list: OF qualified_name_list  */
#line 11780 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 40929 "gram.c"
    break;

  case 1751: /* locked_rels_list: %empty  */
#line 11781 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 40935 "gram.c"
    break;

  case 1752: /* values_clause: VALUES '(' expr_list ')'  */
#line 11792 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40945 "gram.c"
    break;

  case 1753: /* values_clause: values_clause ',' '(' expr_list ')'  */
#line 11798 "gram.y"
                                {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40955 "gram.c"
    break;

  case 1754: /* from_clause: FROM from_list  */
#line 11815 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 40961 "gram.c"
    break;

  case 1755: /* from_clause: %empty  */
#line 11816 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 40967 "gram.c"
    break;

  case 1756: /* from_list: table_ref  */
#line 11820 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40973 "gram.c"
    break;

  case 1757: /* from_list: from_list ',' table_ref  */
#line 11821 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40979 "gram.c"
    break;

  case 1758: /* table_ref: relation_expr opt_alias_clause  */
#line 11828 "gram.y"
                                {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 40988 "gram.c"
    break;

  case 1759: /* table_ref: relation_expr opt_alias_clause tablesample_clause  */
#line 11833 "gram.y"
                                {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 41000 "gram.c"
    break;

  case 1760: /* table_ref: func_table func_alias_clause  */
#line 11841 "gram.y"
                                {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 41011 "gram.c"
    break;

  case 1761: /* table_ref: LATERAL_P func_table func_alias_clause  */
#line 11848 "gram.y"
                                {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 41023 "gram.c"
    break;

  case 1762: /* table_ref: xmltable opt_alias_clause  */
#line 11856 "gram.y"
                                {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 41033 "gram.c"
    break;

  case 1763: /* table_ref: LATERAL_P xmltable opt_alias_clause  */
#line 11862 "gram.y"
                                {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 41044 "gram.c"
    break;

  case 1764: /* table_ref: select_with_parens opt_alias_clause  */
#line 11869 "gram.y"
                                {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 41083 "gram.c"
    break;

  case 1765: /* table_ref: LATERAL_P select_with_parens opt_alias_clause  */
#line 11904 "gram.y"
                                {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 41112 "gram.c"
    break;

  case 1766: /* table_ref: joined_table  */
#line 11929 "gram.y"
                                {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 41120 "gram.c"
    break;

  case 1767: /* table_ref: '(' joined_table ')' alias_clause  */
#line 11933 "gram.y"
                                {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 41129 "gram.c"
    break;

  case 1768: /* joined_table: '(' joined_table ')'  */
#line 11959 "gram.y"
                                {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 41137 "gram.c"
    break;

  case 1769: /* joined_table: table_ref CROSS JOIN table_ref  */
#line 11963 "gram.y"
                                {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 41153 "gram.c"
    break;

  case 1770: /* joined_table: table_ref join_type JOIN table_ref join_qual  */
#line 11975 "gram.y"
                                {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 41170 "gram.c"
    break;

  case 1771: /* joined_table: table_ref JOIN table_ref join_qual  */
#line 11988 "gram.y"
                                {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 41188 "gram.c"
    break;

  case 1772: /* joined_table: table_ref NATURAL join_type JOIN table_ref  */
#line 12002 "gram.y"
                                {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 41203 "gram.c"
    break;

  case 1773: /* joined_table: table_ref NATURAL JOIN table_ref  */
#line 12013 "gram.y"
                                {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 41219 "gram.c"
    break;

  case 1774: /* alias_clause: AS ColId '(' name_list ')'  */
#line 12028 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 41229 "gram.c"
    break;

  case 1775: /* alias_clause: AS ColId  */
#line 12034 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 41238 "gram.c"
    break;

  case 1776: /* alias_clause: ColId '(' name_list ')'  */
#line 12039 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 41248 "gram.c"
    break;

  case 1777: /* alias_clause: ColId  */
#line 12045 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 41257 "gram.c"
    break;

  case 1778: /* opt_alias_clause: alias_clause  */
#line 12051 "gram.y"
                                                                        { (yyval.alias) = (yyvsp[0].alias); }
#line 41263 "gram.c"
    break;

  case 1779: /* opt_alias_clause: %empty  */
#line 12052 "gram.y"
                                                                                                { (yyval.alias) = NULL; }
#line 41269 "gram.c"
    break;

  case 1780: /* func_alias_clause: alias_clause  */
#line 12061 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 41277 "gram.c"
    break;

  case 1781: /* func_alias_clause: AS '(' TableFuncElementList ')'  */
#line 12065 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 41285 "gram.c"
    break;

  case 1782: /* func_alias_clause: AS ColId '(' TableFuncElementList ')'  */
#line 12069 "gram.y"
                                {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 41295 "gram.c"
    break;

  case 1783: /* func_alias_clause: ColId '(' TableFuncElementList ')'  */
#line 12075 "gram.y"
                                {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 41305 "gram.c"
    break;

  case 1784: /* func_alias_clause: %empty  */
#line 12081 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 41313 "gram.c"
    break;

  case 1785: /* join_type: FULL join_outer  */
#line 12086 "gram.y"
                                                                                { (yyval.jtype) = JOIN_FULL; }
#line 41319 "gram.c"
    break;

  case 1786: /* join_type: LEFT join_outer  */
#line 12087 "gram.y"
                                                                                        { (yyval.jtype) = JOIN_LEFT; }
#line 41325 "gram.c"
    break;

  case 1787: /* join_type: RIGHT join_outer  */
#line 12088 "gram.y"
                                                                                        { (yyval.jtype) = JOIN_RIGHT; }
#line 41331 "gram.c"
    break;

  case 1788: /* join_type: INNER_P  */
#line 12089 "gram.y"
                                                                                                { (yyval.jtype) = JOIN_INNER; }
#line 41337 "gram.c"
    break;

  case 1789: /* join_outer: OUTER_P  */
#line 12093 "gram.y"
                                                                                        { (yyval.node) = NULL; }
#line 41343 "gram.c"
    break;

  case 1790: /* join_outer: %empty  */
#line 12094 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 41349 "gram.c"
    break;

  case 1791: /* join_qual: USING '(' name_list ')'  */
#line 12106 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 41355 "gram.c"
    break;

  case 1792: /* join_qual: ON a_expr  */
#line 12107 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 41361 "gram.c"
    break;

  case 1793: /* relation_expr: qualified_name  */
#line 12113 "gram.y"
                                {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 41372 "gram.c"
    break;

  case 1794: /* relation_expr: qualified_name '*'  */
#line 12120 "gram.y"
                                {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 41383 "gram.c"
    break;

  case 1795: /* relation_expr: ONLY qualified_name  */
#line 12127 "gram.y"
                                {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 41394 "gram.c"
    break;

  case 1796: /* relation_expr: ONLY '(' qualified_name ')'  */
#line 12134 "gram.y"
                                {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 41405 "gram.c"
    break;

  case 1797: /* relation_expr_list: relation_expr  */
#line 12144 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 41411 "gram.c"
    break;

  case 1798: /* relation_expr_list: relation_expr_list ',' relation_expr  */
#line 12145 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 41417 "gram.c"
    break;

  case 1799: /* relation_expr_opt_alias: relation_expr  */
#line 12159 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 41425 "gram.c"
    break;

  case 1800: /* relation_expr_opt_alias: relation_expr ColId  */
#line 12163 "gram.y"
                                {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 41436 "gram.c"
    break;

  case 1801: /* relation_expr_opt_alias: relation_expr AS ColId  */
#line 12170 "gram.y"
                                {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 41447 "gram.c"
    break;

  case 1802: /* tablesample_clause: TABLESAMPLE func_name '(' expr_list ')' opt_repeatable_clause  */
#line 12183 "gram.y"
                                {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 41461 "gram.c"
    break;

  case 1803: /* opt_repeatable_clause: REPEATABLE '(' a_expr ')'  */
#line 12195 "gram.y"
                                                        { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 41467 "gram.c"
    break;

  case 1804: /* opt_repeatable_clause: %empty  */
#line 12196 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 41473 "gram.c"
    break;

  case 1805: /* func_table: func_expr_windowless opt_ordinality  */
#line 12212 "gram.y"
                                {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 41487 "gram.c"
    break;

  case 1806: /* func_table: ROWS FROM '(' rowsfrom_list ')' opt_ordinality  */
#line 12222 "gram.y"
                                {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 41501 "gram.c"
    break;

  case 1807: /* rowsfrom_item: func_expr_windowless opt_col_def_list  */
#line 12234 "gram.y"
                                { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 41507 "gram.c"
    break;

  case 1808: /* rowsfrom_list: rowsfrom_item  */
#line 12238 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 41513 "gram.c"
    break;

  case 1809: /* rowsfrom_list: rowsfrom_list ',' rowsfrom_item  */
#line 12239 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 41519 "gram.c"
    break;

  case 1810: /* opt_col_def_list: AS '(' TableFuncElementList ')'  */
#line 12242 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 41525 "gram.c"
    break;

  case 1811: /* opt_col_def_list: %empty  */
#line 12243 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 41531 "gram.c"
    break;

  case 1812: /* opt_ordinality: WITH_LA ORDINALITY  */
#line 12246 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 41537 "gram.c"
    break;

  case 1813: /* opt_ordinality: %empty  */
#line 12247 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 41543 "gram.c"
    break;

  case 1814: /* where_clause: WHERE a_expr  */
#line 12252 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 41549 "gram.c"
    break;

  case 1815: /* where_clause: %empty  */
#line 12253 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 41555 "gram.c"
    break;

  case 1816: /* where_or_current_clause: WHERE a_expr  */
#line 12258 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 41561 "gram.c"
    break;

  case 1817: /* where_or_current_clause: WHERE CURRENT_P OF cursor_name  */
#line 12260 "gram.y"
                                {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 41573 "gram.c"
    break;

  case 1818: /* where_or_current_clause: %empty  */
#line 12267 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 41579 "gram.c"
    break;

  case 1819: /* OptTableFuncElementList: TableFuncElementList  */
#line 12272 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 41585 "gram.c"
    break;

  case 1820: /* OptTableFuncElementList: %empty  */
#line 12273 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 41591 "gram.c"
    break;

  case 1821: /* TableFuncElementList: TableFuncElement  */
#line 12278 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 41599 "gram.c"
    break;

  case 1822: /* TableFuncElementList: TableFuncElementList ',' TableFuncElement  */
#line 12282 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 41607 "gram.c"
    break;

  case 1823: /* TableFuncElement: ColId Typename opt_collate_clause  */
#line 12288 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 41629 "gram.c"
    break;

  case 1824: /* xmltable: XMLTABLE '(' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 12312 "gram.y"
                                {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 41643 "gram.c"
    break;

  case 1825: /* xmltable: XMLTABLE '(' XMLNAMESPACES '(' xml_namespace_list ')' ',' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 12323 "gram.y"
                                {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 41657 "gram.c"
    break;

  case 1826: /* xmltable_column_list: xmltable_column_el  */
#line 12334 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41663 "gram.c"
    break;

  case 1827: /* xmltable_column_list: xmltable_column_list ',' xmltable_column_el  */
#line 12335 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41669 "gram.c"
    break;

  case 1828: /* xmltable_column_el: ColId Typename  */
#line 12340 "gram.y"
                                {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 41687 "gram.c"
    break;

  case 1829: /* xmltable_column_el: ColId Typename xmltable_column_option_list  */
#line 12354 "gram.y"
                                {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 41748 "gram.c"
    break;

  case 1830: /* xmltable_column_el: ColId FOR ORDINALITY  */
#line 12411 "gram.y"
                                {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 41763 "gram.c"
    break;

  case 1831: /* xmltable_column_option_list: xmltable_column_option_el  */
#line 12425 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41769 "gram.c"
    break;

  case 1832: /* xmltable_column_option_list: xmltable_column_option_list xmltable_column_option_el  */
#line 12427 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 41775 "gram.c"
    break;

  case 1833: /* xmltable_column_option_el: IDENT b_expr  */
#line 12432 "gram.y"
                                { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 41781 "gram.c"
    break;

  case 1834: /* xmltable_column_option_el: DEFAULT b_expr  */
#line 12434 "gram.y"
                                { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 41787 "gram.c"
    break;

  case 1835: /* xmltable_column_option_el: NOT NULL_P  */
#line 12436 "gram.y"
                                { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 41793 "gram.c"
    break;

  case 1836: /* xmltable_column_option_el: NULL_P  */
#line 12438 "gram.y"
                                { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 41799 "gram.c"
    break;

  case 1837: /* xml_namespace_list: xml_namespace_el  */
#line 12443 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 41805 "gram.c"
    break;

  case 1838: /* xml_namespace_list: xml_namespace_list ',' xml_namespace_el  */
#line 12445 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 41811 "gram.c"
    break;

  case 1839: /* xml_namespace_el: b_expr AS ColLabel  */
#line 12450 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 41823 "gram.c"
    break;

  case 1840: /* xml_namespace_el: DEFAULT b_expr  */
#line 12458 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 41835 "gram.c"
    break;

  case 1841: /* Typename: SimpleTypename opt_array_bounds  */
#line 12478 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 41844 "gram.c"
    break;

  case 1842: /* Typename: SETOF SimpleTypename opt_array_bounds  */
#line 12483 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 41854 "gram.c"
    break;

  case 1843: /* Typename: SimpleTypename ARRAY '[' Iconst ']'  */
#line 12490 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 41863 "gram.c"
    break;

  case 1844: /* Typename: SETOF SimpleTypename ARRAY '[' Iconst ']'  */
#line 12495 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 41873 "gram.c"
    break;

  case 1845: /* Typename: SimpleTypename ARRAY  */
#line 12501 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 41882 "gram.c"
    break;

  case 1846: /* Typename: SETOF SimpleTypename ARRAY  */
#line 12506 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 41892 "gram.c"
    break;

  case 1847: /* opt_array_bounds: opt_array_bounds '[' ']'  */
#line 12515 "gram.y"
                                        {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 41898 "gram.c"
    break;

  case 1848: /* opt_array_bounds: opt_array_bounds '[' Iconst ']'  */
#line 12517 "gram.y"
                                        {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 41904 "gram.c"
    break;

  case 1849: /* opt_array_bounds: %empty  */
#line 12519 "gram.y"
                                        {  (yyval.list) = NIL; }
#line 41910 "gram.c"
    break;

  case 1850: /* SimpleTypename: GenericType  */
#line 12523 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41916 "gram.c"
    break;

  case 1851: /* SimpleTypename: Numeric  */
#line 12524 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41922 "gram.c"
    break;

  case 1852: /* SimpleTypename: Bit  */
#line 12525 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41928 "gram.c"
    break;

  case 1853: /* SimpleTypename: Character  */
#line 12526 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41934 "gram.c"
    break;

  case 1854: /* SimpleTypename: ConstDatetime  */
#line 12527 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41940 "gram.c"
    break;

  case 1855: /* SimpleTypename: ConstInterval opt_interval  */
#line 12529 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 41949 "gram.c"
    break;

  case 1856: /* SimpleTypename: ConstInterval '(' Iconst ')'  */
#line 12534 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 41959 "gram.c"
    break;

  case 1857: /* ConstTypename: Numeric  */
#line 12553 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41965 "gram.c"
    break;

  case 1858: /* ConstTypename: ConstBit  */
#line 12554 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41971 "gram.c"
    break;

  case 1859: /* ConstTypename: ConstCharacter  */
#line 12555 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41977 "gram.c"
    break;

  case 1860: /* ConstTypename: ConstDatetime  */
#line 12556 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41983 "gram.c"
    break;

  case 1861: /* GenericType: type_function_name opt_type_modifiers  */
#line 12568 "gram.y"
                                {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41993 "gram.c"
    break;

  case 1862: /* GenericType: type_function_name attrs opt_type_modifiers  */
#line 12574 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 42003 "gram.c"
    break;

  case 1863: /* opt_type_modifiers: '(' expr_list ')'  */
#line 12581 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 42009 "gram.c"
    break;

  case 1864: /* opt_type_modifiers: %empty  */
#line 12582 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 42015 "gram.c"
    break;

  case 1865: /* Numeric: INT_P  */
#line 12589 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42024 "gram.c"
    break;

  case 1866: /* Numeric: INTEGER  */
#line 12594 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42033 "gram.c"
    break;

  case 1867: /* Numeric: SMALLINT  */
#line 12599 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42042 "gram.c"
    break;

  case 1868: /* Numeric: BIGINT  */
#line 12604 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42051 "gram.c"
    break;

  case 1869: /* Numeric: REAL  */
#line 12609 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42060 "gram.c"
    break;

  case 1870: /* Numeric: FLOAT_P opt_float  */
#line 12614 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42069 "gram.c"
    break;

  case 1871: /* Numeric: DOUBLE_P PRECISION  */
#line 12619 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42078 "gram.c"
    break;

  case 1872: /* Numeric: DECIMAL_P opt_type_modifiers  */
#line 12624 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42088 "gram.c"
    break;

  case 1873: /* Numeric: DEC opt_type_modifiers  */
#line 12630 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42098 "gram.c"
    break;

  case 1874: /* Numeric: NUMERIC opt_type_modifiers  */
#line 12636 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42108 "gram.c"
    break;

  case 1875: /* Numeric: BOOLEAN_P  */
#line 12642 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42117 "gram.c"
    break;

  case 1876: /* opt_float: '(' Iconst ')'  */
#line 12649 "gram.y"
                                {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 42142 "gram.c"
    break;

  case 1877: /* opt_float: %empty  */
#line 12670 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 42150 "gram.c"
    break;

  case 1878: /* Bit: BitWithLength  */
#line 12680 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42158 "gram.c"
    break;

  case 1879: /* Bit: BitWithoutLength  */
#line 12684 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42166 "gram.c"
    break;

  case 1880: /* ConstBit: BitWithLength  */
#line 12692 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42174 "gram.c"
    break;

  case 1881: /* ConstBit: BitWithoutLength  */
#line 12696 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 42183 "gram.c"
    break;

  case 1882: /* BitWithLength: BIT opt_varying '(' expr_list ')'  */
#line 12704 "gram.y"
                                {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42196 "gram.c"
    break;

  case 1883: /* BitWithoutLength: BIT opt_varying  */
#line 12716 "gram.y"
                                {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42214 "gram.c"
    break;

  case 1884: /* Character: CharacterWithLength  */
#line 12737 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42222 "gram.c"
    break;

  case 1885: /* Character: CharacterWithoutLength  */
#line 12741 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42230 "gram.c"
    break;

  case 1886: /* ConstCharacter: CharacterWithLength  */
#line 12747 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42238 "gram.c"
    break;

  case 1887: /* ConstCharacter: CharacterWithoutLength  */
#line 12751 "gram.y"
                                {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 42253 "gram.c"
    break;

  case 1888: /* CharacterWithLength: character '(' Iconst ')'  */
#line 12764 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 42263 "gram.c"
    break;

  case 1889: /* CharacterWithoutLength: character  */
#line 12772 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42275 "gram.c"
    break;

  case 1890: /* character: CHARACTER opt_varying  */
#line 12782 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42281 "gram.c"
    break;

  case 1891: /* character: CHAR_P opt_varying  */
#line 12784 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42287 "gram.c"
    break;

  case 1892: /* character: VARCHAR  */
#line 12786 "gram.y"
                                                                                { (yyval.str) = "varchar"; }
#line 42293 "gram.c"
    break;

  case 1893: /* character: NATIONAL CHARACTER opt_varying  */
#line 12788 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42299 "gram.c"
    break;

  case 1894: /* character: NATIONAL CHAR_P opt_varying  */
#line 12790 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42305 "gram.c"
    break;

  case 1895: /* character: NCHAR opt_varying  */
#line 12792 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42311 "gram.c"
    break;

  case 1896: /* opt_varying: VARYING  */
#line 12796 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 42317 "gram.c"
    break;

  case 1897: /* opt_varying: %empty  */
#line 12797 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 42323 "gram.c"
    break;

  case 1898: /* ConstDatetime: TIMESTAMP '(' Iconst ')' opt_timezone  */
#line 12805 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42336 "gram.c"
    break;

  case 1899: /* ConstDatetime: TIMESTAMP opt_timezone  */
#line 12814 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42348 "gram.c"
    break;

  case 1900: /* ConstDatetime: TIME '(' Iconst ')' opt_timezone  */
#line 12822 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42361 "gram.c"
    break;

  case 1901: /* ConstDatetime: TIME opt_timezone  */
#line 12831 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42373 "gram.c"
    break;

  case 1902: /* ConstInterval: INTERVAL  */
#line 12842 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42382 "gram.c"
    break;

  case 1903: /* opt_timezone: WITH_LA TIME ZONE  */
#line 12849 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 42388 "gram.c"
    break;

  case 1904: /* opt_timezone: WITHOUT TIME ZONE  */
#line 12850 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 42394 "gram.c"
    break;

  case 1905: /* opt_timezone: %empty  */
#line 12851 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 42400 "gram.c"
    break;

  case 1906: /* opt_interval: YEAR_P  */
#line 12856 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 42406 "gram.c"
    break;

  case 1907: /* opt_interval: MONTH_P  */
#line 12858 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 42412 "gram.c"
    break;

  case 1908: /* opt_interval: DAY_P  */
#line 12860 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 42418 "gram.c"
    break;

  case 1909: /* opt_interval: HOUR_P  */
#line 12862 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 42424 "gram.c"
    break;

  case 1910: /* opt_interval: MINUTE_P  */
#line 12864 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 42430 "gram.c"
    break;

  case 1911: /* opt_interval: interval_second  */
#line 12866 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 42436 "gram.c"
    break;

  case 1912: /* opt_interval: YEAR_P TO MONTH_P  */
#line 12868 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 42445 "gram.c"
    break;

  case 1913: /* opt_interval: DAY_P TO HOUR_P  */
#line 12873 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 42454 "gram.c"
    break;

  case 1914: /* opt_interval: DAY_P TO MINUTE_P  */
#line 12878 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 42464 "gram.c"
    break;

  case 1915: /* opt_interval: DAY_P TO interval_second  */
#line 12884 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42476 "gram.c"
    break;

  case 1916: /* opt_interval: HOUR_P TO MINUTE_P  */
#line 12892 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 42485 "gram.c"
    break;

  case 1917: /* opt_interval: HOUR_P TO interval_second  */
#line 12897 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42496 "gram.c"
    break;

  case 1918: /* opt_interval: MINUTE_P TO interval_second  */
#line 12904 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42506 "gram.c"
    break;

  case 1919: /* opt_interval: %empty  */
#line 12910 "gram.y"
                                { (yyval.list) = NIL; }
#line 42512 "gram.c"
    break;

  case 1920: /* interval_second: SECOND_P  */
#line 12915 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 42520 "gram.c"
    break;

  case 1921: /* interval_second: SECOND_P '(' Iconst ')'  */
#line 12919 "gram.y"
                                {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 42529 "gram.c"
    break;

  case 1922: /* a_expr: c_expr  */
#line 12954 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 42535 "gram.c"
    break;

  case 1923: /* a_expr: a_expr TYPECAST Typename  */
#line 12956 "gram.y"
                                        { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 42541 "gram.c"
    break;

  case 1924: /* a_expr: a_expr COLLATE any_name  */
#line 12958 "gram.y"
                                {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 42553 "gram.c"
    break;

  case 1925: /* a_expr: a_expr AT TIME ZONE a_expr  */
#line 12966 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 42563 "gram.c"
    break;

  case 1926: /* a_expr: '+' a_expr  */
#line 12981 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42569 "gram.c"
    break;

  case 1927: /* a_expr: '-' a_expr  */
#line 12983 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 42575 "gram.c"
    break;

  case 1928: /* a_expr: a_expr '+' a_expr  */
#line 12985 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42581 "gram.c"
    break;

  case 1929: /* a_expr: a_expr '-' a_expr  */
#line 12987 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42587 "gram.c"
    break;

  case 1930: /* a_expr: a_expr '*' a_expr  */
#line 12989 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42593 "gram.c"
    break;

  case 1931: /* a_expr: a_expr '/' a_expr  */
#line 12991 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42599 "gram.c"
    break;

  case 1932: /* a_expr: a_expr '%' a_expr  */
#line 12993 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42605 "gram.c"
    break;

  case 1933: /* a_expr: a_expr '^' a_expr  */
#line 12995 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42611 "gram.c"
    break;

  case 1934: /* a_expr: a_expr '<' a_expr  */
#line 12997 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42617 "gram.c"
    break;

  case 1935: /* a_expr: a_expr '>' a_expr  */
#line 12999 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42623 "gram.c"
    break;

  case 1936: /* a_expr: a_expr '=' a_expr  */
#line 13001 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42629 "gram.c"
    break;

  case 1937: /* a_expr: a_expr LESS_EQUALS a_expr  */
#line 13003 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42635 "gram.c"
    break;

  case 1938: /* a_expr: a_expr GREATER_EQUALS a_expr  */
#line 13005 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42641 "gram.c"
    break;

  case 1939: /* a_expr: a_expr NOT_EQUALS a_expr  */
#line 13007 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42647 "gram.c"
    break;

  case 1940: /* a_expr: a_expr qual_Op a_expr  */
#line 13010 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42653 "gram.c"
    break;

  case 1941: /* a_expr: qual_Op a_expr  */
#line 13012 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42659 "gram.c"
    break;

  case 1942: /* a_expr: a_expr qual_Op  */
#line 13014 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 42665 "gram.c"
    break;

  case 1943: /* a_expr: a_expr AND a_expr  */
#line 13017 "gram.y"
                                { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42671 "gram.c"
    break;

  case 1944: /* a_expr: a_expr OR a_expr  */
#line 13019 "gram.y"
                                { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42677 "gram.c"
    break;

  case 1945: /* a_expr: NOT a_expr  */
#line 13021 "gram.y"
                                { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42683 "gram.c"
    break;

  case 1946: /* a_expr: NOT_LA a_expr  */
#line 13023 "gram.y"
                                { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42689 "gram.c"
    break;

  case 1947: /* a_expr: a_expr LIKE a_expr  */
#line 13026 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42698 "gram.c"
    break;

  case 1948: /* a_expr: a_expr LIKE a_expr ESCAPE a_expr  */
#line 13031 "gram.y"
                                {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42710 "gram.c"
    break;

  case 1949: /* a_expr: a_expr NOT_LA LIKE a_expr  */
#line 13039 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42719 "gram.c"
    break;

  case 1950: /* a_expr: a_expr NOT_LA LIKE a_expr ESCAPE a_expr  */
#line 13044 "gram.y"
                                {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42731 "gram.c"
    break;

  case 1951: /* a_expr: a_expr ILIKE a_expr  */
#line 13052 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42740 "gram.c"
    break;

  case 1952: /* a_expr: a_expr ILIKE a_expr ESCAPE a_expr  */
#line 13057 "gram.y"
                                {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42752 "gram.c"
    break;

  case 1953: /* a_expr: a_expr NOT_LA ILIKE a_expr  */
#line 13065 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42761 "gram.c"
    break;

  case 1954: /* a_expr: a_expr NOT_LA ILIKE a_expr ESCAPE a_expr  */
#line 13070 "gram.y"
                                {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42773 "gram.c"
    break;

  case 1955: /* a_expr: a_expr SIMILAR TO a_expr  */
#line 13079 "gram.y"
                                {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 42785 "gram.c"
    break;

  case 1956: /* a_expr: a_expr SIMILAR TO a_expr ESCAPE a_expr  */
#line 13087 "gram.y"
                                {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42797 "gram.c"
    break;

  case 1957: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr  */
#line 13095 "gram.y"
                                {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42809 "gram.c"
    break;

  case 1958: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr ESCAPE a_expr  */
#line 13103 "gram.y"
                                {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 42821 "gram.c"
    break;

  case 1959: /* a_expr: a_expr IS NULL_P  */
#line 13121 "gram.y"
                                {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42833 "gram.c"
    break;

  case 1960: /* a_expr: a_expr ISNULL  */
#line 13129 "gram.y"
                                {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42845 "gram.c"
    break;

  case 1961: /* a_expr: a_expr IS NOT NULL_P  */
#line 13137 "gram.y"
                                {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 42857 "gram.c"
    break;

  case 1962: /* a_expr: a_expr NOTNULL  */
#line 13145 "gram.y"
                                {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42869 "gram.c"
    break;

  case 1963: /* a_expr: row OVERLAPS row  */
#line 13153 "gram.y"
                                {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 42889 "gram.c"
    break;

  case 1964: /* a_expr: a_expr IS TRUE_P  */
#line 13169 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42901 "gram.c"
    break;

  case 1965: /* a_expr: a_expr IS NOT TRUE_P  */
#line 13177 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42913 "gram.c"
    break;

  case 1966: /* a_expr: a_expr IS FALSE_P  */
#line 13185 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42925 "gram.c"
    break;

  case 1967: /* a_expr: a_expr IS NOT FALSE_P  */
#line 13193 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42937 "gram.c"
    break;

  case 1968: /* a_expr: a_expr IS UNKNOWN  */
#line 13201 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42949 "gram.c"
    break;

  case 1969: /* a_expr: a_expr IS NOT UNKNOWN  */
#line 13209 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42961 "gram.c"
    break;

  case 1970: /* a_expr: a_expr IS DISTINCT FROM a_expr  */
#line 13217 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 42969 "gram.c"
    break;

  case 1971: /* a_expr: a_expr IS NOT DISTINCT FROM a_expr  */
#line 13221 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 42977 "gram.c"
    break;

  case 1972: /* a_expr: a_expr IS OF '(' type_list ')'  */
#line 13225 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 42985 "gram.c"
    break;

  case 1973: /* a_expr: a_expr IS NOT OF '(' type_list ')'  */
#line 13229 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 42993 "gram.c"
    break;

  case 1974: /* a_expr: a_expr BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 13233 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 43005 "gram.c"
    break;

  case 1975: /* a_expr: a_expr NOT_LA BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 13241 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 43017 "gram.c"
    break;

  case 1976: /* a_expr: a_expr BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 13249 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 43029 "gram.c"
    break;

  case 1977: /* a_expr: a_expr NOT_LA BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 13257 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 43041 "gram.c"
    break;

  case 1978: /* a_expr: a_expr IN_P in_expr  */
#line 13265 "gram.y"
                                {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 43065 "gram.c"
    break;

  case 1979: /* a_expr: a_expr NOT_LA IN_P in_expr  */
#line 13285 "gram.y"
                                {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 43091 "gram.c"
    break;

  case 1980: /* a_expr: a_expr subquery_Op sub_type select_with_parens  */
#line 13307 "gram.y"
                                {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 43106 "gram.c"
    break;

  case 1981: /* a_expr: a_expr subquery_Op sub_type '(' a_expr ')'  */
#line 13318 "gram.y"
                                {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 43117 "gram.c"
    break;

  case 1982: /* a_expr: UNIQUE select_with_parens  */
#line 13325 "gram.y"
                                {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 43137 "gram.c"
    break;

  case 1983: /* a_expr: a_expr IS DOCUMENT_P  */
#line 13341 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 43146 "gram.c"
    break;

  case 1984: /* a_expr: a_expr IS NOT DOCUMENT_P  */
#line 13346 "gram.y"
                                {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 43156 "gram.c"
    break;

  case 1985: /* a_expr: DEFAULT  */
#line 13352 "gram.y"
                                {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43174 "gram.c"
    break;

  case 1986: /* b_expr: c_expr  */
#line 13377 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 43180 "gram.c"
    break;

  case 1987: /* b_expr: b_expr TYPECAST Typename  */
#line 13379 "gram.y"
                                { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 43186 "gram.c"
    break;

  case 1988: /* b_expr: '+' b_expr  */
#line 13381 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43192 "gram.c"
    break;

  case 1989: /* b_expr: '-' b_expr  */
#line 13383 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 43198 "gram.c"
    break;

  case 1990: /* b_expr: b_expr '+' b_expr  */
#line 13385 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43204 "gram.c"
    break;

  case 1991: /* b_expr: b_expr '-' b_expr  */
#line 13387 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43210 "gram.c"
    break;

  case 1992: /* b_expr: b_expr '*' b_expr  */
#line 13389 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43216 "gram.c"
    break;

  case 1993: /* b_expr: b_expr '/' b_expr  */
#line 13391 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43222 "gram.c"
    break;

  case 1994: /* b_expr: b_expr '%' b_expr  */
#line 13393 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43228 "gram.c"
    break;

  case 1995: /* b_expr: b_expr '^' b_expr  */
#line 13395 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43234 "gram.c"
    break;

  case 1996: /* b_expr: b_expr '<' b_expr  */
#line 13397 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43240 "gram.c"
    break;

  case 1997: /* b_expr: b_expr '>' b_expr  */
#line 13399 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43246 "gram.c"
    break;

  case 1998: /* b_expr: b_expr '=' b_expr  */
#line 13401 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43252 "gram.c"
    break;

  case 1999: /* b_expr: b_expr LESS_EQUALS b_expr  */
#line 13403 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43258 "gram.c"
    break;

  case 2000: /* b_expr: b_expr GREATER_EQUALS b_expr  */
#line 13405 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43264 "gram.c"
    break;

  case 2001: /* b_expr: b_expr NOT_EQUALS b_expr  */
#line 13407 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43270 "gram.c"
    break;

  case 2002: /* b_expr: b_expr qual_Op b_expr  */
#line 13409 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43276 "gram.c"
    break;

  case 2003: /* b_expr: qual_Op b_expr  */
#line 13411 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43282 "gram.c"
    break;

  case 2004: /* b_expr: b_expr qual_Op  */
#line 13413 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 43288 "gram.c"
    break;

  case 2005: /* b_expr: b_expr IS DISTINCT FROM b_expr  */
#line 13415 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 43296 "gram.c"
    break;

  case 2006: /* b_expr: b_expr IS NOT DISTINCT FROM b_expr  */
#line 13419 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 43304 "gram.c"
    break;

  case 2007: /* b_expr: b_expr IS OF '(' type_list ')'  */
#line 13423 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43312 "gram.c"
    break;

  case 2008: /* b_expr: b_expr IS NOT OF '(' type_list ')'  */
#line 13427 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 43320 "gram.c"
    break;

  case 2009: /* b_expr: b_expr IS DOCUMENT_P  */
#line 13431 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 43329 "gram.c"
    break;

  case 2010: /* b_expr: b_expr IS NOT DOCUMENT_P  */
#line 13436 "gram.y"
                                {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 43339 "gram.c"
    break;

  case 2011: /* c_expr: columnref  */
#line 13451 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 43345 "gram.c"
    break;

  case 2012: /* c_expr: AexprConst  */
#line 13452 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 43351 "gram.c"
    break;

  case 2013: /* c_expr: PARAM opt_indirection  */
#line 13454 "gram.y"
                                {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 43370 "gram.c"
    break;

  case 2014: /* c_expr: '(' a_expr ')' opt_indirection  */
#line 13469 "gram.y"
                                {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 43408 "gram.c"
    break;

  case 2015: /* c_expr: case_expr  */
#line 13503 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 43414 "gram.c"
    break;

  case 2016: /* c_expr: func_expr  */
#line 13505 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 43420 "gram.c"
    break;

  case 2017: /* c_expr: select_with_parens  */
#line 13507 "gram.y"
                                {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43435 "gram.c"
    break;

  case 2018: /* c_expr: select_with_parens indirection  */
#line 13518 "gram.y"
                                {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 43463 "gram.c"
    break;

  case 2019: /* c_expr: EXISTS select_with_parens  */
#line 13542 "gram.y"
                                {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43478 "gram.c"
    break;

  case 2020: /* c_expr: ARRAY select_with_parens  */
#line 13553 "gram.y"
                                {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43493 "gram.c"
    break;

  case 2021: /* c_expr: ARRAY array_expr  */
#line 13564 "gram.y"
                                {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43504 "gram.c"
    break;

  case 2022: /* c_expr: explicit_row  */
#line 13571 "gram.y"
                                {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 43518 "gram.c"
    break;

  case 2023: /* c_expr: implicit_row  */
#line 13581 "gram.y"
                                {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 43532 "gram.c"
    break;

  case 2024: /* c_expr: GROUPING '(' expr_list ')'  */
#line 13591 "gram.y"
                          {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 43543 "gram.c"
    break;

  case 2025: /* func_application: func_name '(' ')'  */
#line 13600 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 43551 "gram.c"
    break;

  case 2026: /* func_application: func_name '(' func_arg_list opt_sort_clause ')'  */
#line 13604 "gram.y"
                                {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43561 "gram.c"
    break;

  case 2027: /* func_application: func_name '(' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 13610 "gram.y"
                                {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43572 "gram.c"
    break;

  case 2028: /* func_application: func_name '(' func_arg_list ',' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 13617 "gram.y"
                                {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43583 "gram.c"
    break;

  case 2029: /* func_application: func_name '(' ALL func_arg_list opt_sort_clause ')'  */
#line 13624 "gram.y"
                                {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 43597 "gram.c"
    break;

  case 2030: /* func_application: func_name '(' DISTINCT func_arg_list opt_sort_clause ')'  */
#line 13634 "gram.y"
                                {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *)n;
				}
#line 43608 "gram.c"
    break;

  case 2031: /* func_application: func_name '(' '*' ')'  */
#line 13641 "gram.y"
                                {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = true;
					(yyval.node) = (Node *)n;
				}
#line 43628 "gram.c"
    break;

  case 2032: /* func_expr: func_application within_group_clause filter_clause over_clause  */
#line 13669 "gram.y"
                                {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 43667 "gram.c"
    break;

  case 2033: /* func_expr: func_expr_common_subexpr  */
#line 13704 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 43673 "gram.c"
    break;

  case 2034: /* func_expr_windowless: func_application  */
#line 13714 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 43679 "gram.c"
    break;

  case 2035: /* func_expr_windowless: func_expr_common_subexpr  */
#line 13715 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 43685 "gram.c"
    break;

  case 2036: /* func_expr_common_subexpr: COLLATION FOR '(' a_expr ')'  */
#line 13723 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 43695 "gram.c"
    break;

  case 2037: /* func_expr_common_subexpr: CURRENT_DATE  */
#line 13729 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 43703 "gram.c"
    break;

  case 2038: /* func_expr_common_subexpr: CURRENT_TIME  */
#line 13733 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 43711 "gram.c"
    break;

  case 2039: /* func_expr_common_subexpr: CURRENT_TIME '(' Iconst ')'  */
#line 13737 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43719 "gram.c"
    break;

  case 2040: /* func_expr_common_subexpr: CURRENT_TIMESTAMP  */
#line 13741 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 43727 "gram.c"
    break;

  case 2041: /* func_expr_common_subexpr: CURRENT_TIMESTAMP '(' Iconst ')'  */
#line 13745 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43735 "gram.c"
    break;

  case 2042: /* func_expr_common_subexpr: LOCALTIME  */
#line 13749 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 43743 "gram.c"
    break;

  case 2043: /* func_expr_common_subexpr: LOCALTIME '(' Iconst ')'  */
#line 13753 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43751 "gram.c"
    break;

  case 2044: /* func_expr_common_subexpr: LOCALTIMESTAMP  */
#line 13757 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 43759 "gram.c"
    break;

  case 2045: /* func_expr_common_subexpr: LOCALTIMESTAMP '(' Iconst ')'  */
#line 13761 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43767 "gram.c"
    break;

  case 2046: /* func_expr_common_subexpr: CURRENT_ROLE  */
#line 13765 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 43775 "gram.c"
    break;

  case 2047: /* func_expr_common_subexpr: CURRENT_USER  */
#line 13769 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 43783 "gram.c"
    break;

  case 2048: /* func_expr_common_subexpr: SESSION_USER  */
#line 13773 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 43791 "gram.c"
    break;

  case 2049: /* func_expr_common_subexpr: USER  */
#line 13777 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 43799 "gram.c"
    break;

  case 2050: /* func_expr_common_subexpr: CURRENT_CATALOG  */
#line 13781 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 43807 "gram.c"
    break;

  case 2051: /* func_expr_common_subexpr: CURRENT_SCHEMA  */
#line 13785 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 43815 "gram.c"
    break;

  case 2052: /* func_expr_common_subexpr: CAST '(' a_expr AS Typename ')'  */
#line 13789 "gram.y"
                                { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 43821 "gram.c"
    break;

  case 2053: /* func_expr_common_subexpr: EXTRACT '(' extract_list ')'  */
#line 13791 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43829 "gram.c"
    break;

  case 2054: /* func_expr_common_subexpr: OVERLAY '(' overlay_list ')'  */
#line 13795 "gram.y"
                                {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43842 "gram.c"
    break;

  case 2055: /* func_expr_common_subexpr: POSITION '(' position_list ')'  */
#line 13804 "gram.y"
                                {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43851 "gram.c"
    break;

  case 2056: /* func_expr_common_subexpr: SUBSTRING '(' substr_list ')'  */
#line 13809 "gram.y"
                                {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43862 "gram.c"
    break;

  case 2057: /* func_expr_common_subexpr: TREAT '(' a_expr AS Typename ')'  */
#line 13816 "gram.y"
                                {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 43881 "gram.c"
    break;

  case 2058: /* func_expr_common_subexpr: TRIM '(' BOTH trim_list ')'  */
#line 13831 "gram.y"
                                {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43892 "gram.c"
    break;

  case 2059: /* func_expr_common_subexpr: TRIM '(' LEADING trim_list ')'  */
#line 13838 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43900 "gram.c"
    break;

  case 2060: /* func_expr_common_subexpr: TRIM '(' TRAILING trim_list ')'  */
#line 13842 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43908 "gram.c"
    break;

  case 2061: /* func_expr_common_subexpr: TRIM '(' trim_list ')'  */
#line 13846 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43916 "gram.c"
    break;

  case 2062: /* func_expr_common_subexpr: NULLIF '(' a_expr ',' a_expr ')'  */
#line 13850 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 43924 "gram.c"
    break;

  case 2063: /* func_expr_common_subexpr: COALESCE '(' expr_list ')'  */
#line 13854 "gram.y"
                                {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 43935 "gram.c"
    break;

  case 2064: /* func_expr_common_subexpr: GREATEST '(' expr_list ')'  */
#line 13861 "gram.y"
                                {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 43947 "gram.c"
    break;

  case 2065: /* func_expr_common_subexpr: LEAST '(' expr_list ')'  */
#line 13869 "gram.y"
                                {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 43959 "gram.c"
    break;

  case 2066: /* func_expr_common_subexpr: XMLCONCAT '(' expr_list ')'  */
#line 13877 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43967 "gram.c"
    break;

  case 2067: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ')'  */
#line 13881 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 43975 "gram.c"
    break;

  case 2068: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ')'  */
#line 13885 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 43983 "gram.c"
    break;

  case 2069: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' expr_list ')'  */
#line 13889 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 43991 "gram.c"
    break;

  case 2070: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ',' expr_list ')'  */
#line 13893 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 43999 "gram.c"
    break;

  case 2071: /* func_expr_common_subexpr: XMLEXISTS '(' c_expr xmlexists_argument ')'  */
#line 13897 "gram.y"
                                {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 44009 "gram.c"
    break;

  case 2072: /* func_expr_common_subexpr: XMLFOREST '(' xml_attribute_list ')'  */
#line 13903 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 44017 "gram.c"
    break;

  case 2073: /* func_expr_common_subexpr: XMLPARSE '(' document_or_content a_expr xml_whitespace_option ')'  */
#line 13907 "gram.y"
                                {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 44030 "gram.c"
    break;

  case 2074: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ')'  */
#line 13916 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 44038 "gram.c"
    break;

  case 2075: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ',' a_expr ')'  */
#line 13920 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 44046 "gram.c"
    break;

  case 2076: /* func_expr_common_subexpr: XMLROOT '(' a_expr ',' xml_root_version opt_xml_root_standalone ')'  */
#line 13924 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 44055 "gram.c"
    break;

  case 2077: /* func_expr_common_subexpr: XMLSERIALIZE '(' document_or_content a_expr AS SimpleTypename ')'  */
#line 13929 "gram.y"
                                {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 44068 "gram.c"
    break;

  case 2078: /* xml_root_version: VERSION_P a_expr  */
#line 13943 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 44074 "gram.c"
    break;

  case 2079: /* xml_root_version: VERSION_P NO VALUE_P  */
#line 13945 "gram.y"
                                { (yyval.node) = makeNullAConst(-1); }
#line 44080 "gram.c"
    break;

  case 2080: /* opt_xml_root_standalone: ',' STANDALONE_P YES_P  */
#line 13949 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 44086 "gram.c"
    break;

  case 2081: /* opt_xml_root_standalone: ',' STANDALONE_P NO  */
#line 13951 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 44092 "gram.c"
    break;

  case 2082: /* opt_xml_root_standalone: ',' STANDALONE_P NO VALUE_P  */
#line 13953 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 44098 "gram.c"
    break;

  case 2083: /* opt_xml_root_standalone: %empty  */
#line 13955 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 44104 "gram.c"
    break;

  case 2084: /* xml_attributes: XMLATTRIBUTES '(' xml_attribute_list ')'  */
#line 13958 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 44110 "gram.c"
    break;

  case 2085: /* xml_attribute_list: xml_attribute_el  */
#line 13961 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44116 "gram.c"
    break;

  case 2086: /* xml_attribute_list: xml_attribute_list ',' xml_attribute_el  */
#line 13962 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44122 "gram.c"
    break;

  case 2087: /* xml_attribute_el: a_expr AS ColLabel  */
#line 13966 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 44134 "gram.c"
    break;

  case 2088: /* xml_attribute_el: a_expr  */
#line 13974 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 44146 "gram.c"
    break;

  case 2089: /* document_or_content: DOCUMENT_P  */
#line 13983 "gram.y"
                                                                        { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 44152 "gram.c"
    break;

  case 2090: /* document_or_content: CONTENT_P  */
#line 13984 "gram.y"
                                                                                                { (yyval.ival) = XMLOPTION_CONTENT; }
#line 44158 "gram.c"
    break;

  case 2091: /* xml_whitespace_option: PRESERVE WHITESPACE_P  */
#line 13987 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 44164 "gram.c"
    break;

  case 2092: /* xml_whitespace_option: STRIP_P WHITESPACE_P  */
#line 13988 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 44170 "gram.c"
    break;

  case 2093: /* xml_whitespace_option: %empty  */
#line 13989 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 44176 "gram.c"
    break;

  case 2094: /* xmlexists_argument: PASSING c_expr  */
#line 13995 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44184 "gram.c"
    break;

  case 2095: /* xmlexists_argument: PASSING c_expr BY REF_P  */
#line 13999 "gram.y"
                                {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 44192 "gram.c"
    break;

  case 2096: /* xmlexists_argument: PASSING BY REF_P c_expr  */
#line 14003 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44200 "gram.c"
    break;

  case 2097: /* xmlexists_argument: PASSING BY REF_P c_expr BY REF_P  */
#line 14007 "gram.y"
                                {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 44208 "gram.c"
    break;

  case 2098: /* within_group_clause: WITHIN GROUP_P '(' sort_clause ')'  */
#line 14017 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 44214 "gram.c"
    break;

  case 2099: /* within_group_clause: %empty  */
#line 14018 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44220 "gram.c"
    break;

  case 2100: /* filter_clause: FILTER '(' WHERE a_expr ')'  */
#line 14022 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 44226 "gram.c"
    break;

  case 2101: /* filter_clause: %empty  */
#line 14023 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 44232 "gram.c"
    break;

  case 2102: /* window_clause: WINDOW window_definition_list  */
#line 14031 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44238 "gram.c"
    break;

  case 2103: /* window_clause: %empty  */
#line 14032 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44244 "gram.c"
    break;

  case 2104: /* window_definition_list: window_definition  */
#line 14036 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 44250 "gram.c"
    break;

  case 2105: /* window_definition_list: window_definition_list ',' window_definition  */
#line 14038 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 44256 "gram.c"
    break;

  case 2106: /* window_definition: ColId AS window_specification  */
#line 14043 "gram.y"
                                {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 44266 "gram.c"
    break;

  case 2107: /* over_clause: OVER window_specification  */
#line 14051 "gram.y"
                                { (yyval.windef) = (yyvsp[0].windef); }
#line 44272 "gram.c"
    break;

  case 2108: /* over_clause: OVER ColId  */
#line 14053 "gram.y"
                                {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 44289 "gram.c"
    break;

  case 2109: /* over_clause: %empty  */
#line 14066 "gram.y"
                                { (yyval.windef) = NULL; }
#line 44295 "gram.c"
    break;

  case 2110: /* window_specification: '(' opt_existing_window_name opt_partition_clause opt_sort_clause opt_frame_clause ')'  */
#line 14071 "gram.y"
                                {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 44313 "gram.c"
    break;

  case 2111: /* opt_existing_window_name: ColId  */
#line 14096 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 44319 "gram.c"
    break;

  case 2112: /* opt_existing_window_name: %empty  */
#line 14097 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 44325 "gram.c"
    break;

  case 2113: /* opt_partition_clause: PARTITION BY expr_list  */
#line 14100 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44331 "gram.c"
    break;

  case 2114: /* opt_partition_clause: %empty  */
#line 14101 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44337 "gram.c"
    break;

  case 2115: /* opt_frame_clause: RANGE frame_extent opt_window_exclusion_clause  */
#line 14110 "gram.y"
                                {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44348 "gram.c"
    break;

  case 2116: /* opt_frame_clause: ROWS frame_extent opt_window_exclusion_clause  */
#line 14117 "gram.y"
                                {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44359 "gram.c"
    break;

  case 2117: /* opt_frame_clause: GROUPS frame_extent opt_window_exclusion_clause  */
#line 14124 "gram.y"
                                {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44370 "gram.c"
    break;

  case 2118: /* opt_frame_clause: %empty  */
#line 14131 "gram.y"
                                {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44382 "gram.c"
    break;

  case 2119: /* frame_extent: frame_bound  */
#line 14141 "gram.y"
                                {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 44403 "gram.c"
    break;

  case 2120: /* frame_extent: BETWEEN frame_bound AND frame_bound  */
#line 14158 "gram.y"
                                {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 44444 "gram.c"
    break;

  case 2121: /* frame_bound: UNBOUNDED PRECEDING  */
#line 14203 "gram.y"
                                {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44456 "gram.c"
    break;

  case 2122: /* frame_bound: UNBOUNDED FOLLOWING  */
#line 14211 "gram.y"
                                {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44468 "gram.c"
    break;

  case 2123: /* frame_bound: CURRENT_P ROW  */
#line 14219 "gram.y"
                                {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44480 "gram.c"
    break;

  case 2124: /* frame_bound: a_expr PRECEDING  */
#line 14227 "gram.y"
                                {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44492 "gram.c"
    break;

  case 2125: /* frame_bound: a_expr FOLLOWING  */
#line 14235 "gram.y"
                                {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44504 "gram.c"
    break;

  case 2126: /* opt_window_exclusion_clause: EXCLUDE CURRENT_P ROW  */
#line 14245 "gram.y"
                                                { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 44510 "gram.c"
    break;

  case 2127: /* opt_window_exclusion_clause: EXCLUDE GROUP_P  */
#line 14246 "gram.y"
                                                        { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 44516 "gram.c"
    break;

  case 2128: /* opt_window_exclusion_clause: EXCLUDE TIES  */
#line 14247 "gram.y"
                                                        { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 44522 "gram.c"
    break;

  case 2129: /* opt_window_exclusion_clause: EXCLUDE NO OTHERS  */
#line 14248 "gram.y"
                                                        { (yyval.ival) = 0; }
#line 44528 "gram.c"
    break;

  case 2130: /* opt_window_exclusion_clause: %empty  */
#line 14249 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 44534 "gram.c"
    break;

  case 2131: /* row: ROW '(' expr_list ')'  */
#line 14263 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 44540 "gram.c"
    break;

  case 2132: /* row: ROW '(' ')'  */
#line 14264 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 44546 "gram.c"
    break;

  case 2133: /* row: '(' expr_list ',' a_expr ')'  */
#line 14265 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44552 "gram.c"
    break;

  case 2134: /* explicit_row: ROW '(' expr_list ')'  */
#line 14268 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 44558 "gram.c"
    break;

  case 2135: /* explicit_row: ROW '(' ')'  */
#line 14269 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 44564 "gram.c"
    break;

  case 2136: /* implicit_row: '(' expr_list ',' a_expr ')'  */
#line 14272 "gram.y"
                                                        { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44570 "gram.c"
    break;

  case 2137: /* sub_type: ANY  */
#line 14275 "gram.y"
                                                                                                { (yyval.ival) = ANY_SUBLINK; }
#line 44576 "gram.c"
    break;

  case 2138: /* sub_type: SOME  */
#line 14276 "gram.y"
                                                                                                { (yyval.ival) = ANY_SUBLINK; }
#line 44582 "gram.c"
    break;

  case 2139: /* sub_type: ALL  */
#line 14277 "gram.y"
                                                                                                { (yyval.ival) = ALL_SUBLINK; }
#line 44588 "gram.c"
    break;

  case 2140: /* all_Op: Op  */
#line 14280 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 44594 "gram.c"
    break;

  case 2141: /* all_Op: MathOp  */
#line 14281 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 44600 "gram.c"
    break;

  case 2142: /* MathOp: '+'  */
#line 14284 "gram.y"
                                                                                        { (yyval.str) = "+"; }
#line 44606 "gram.c"
    break;

  case 2143: /* MathOp: '-'  */
#line 14285 "gram.y"
                                                                                                { (yyval.str) = "-"; }
#line 44612 "gram.c"
    break;

  case 2144: /* MathOp: '*'  */
#line 14286 "gram.y"
                                                                                                { (yyval.str) = "*"; }
#line 44618 "gram.c"
    break;

  case 2145: /* MathOp: '/'  */
#line 14287 "gram.y"
                                                                                                { (yyval.str) = "/"; }
#line 44624 "gram.c"
    break;

  case 2146: /* MathOp: '%'  */
#line 14288 "gram.y"
                                                                                                { (yyval.str) = "%"; }
#line 44630 "gram.c"
    break;

  case 2147: /* MathOp: '^'  */
#line 14289 "gram.y"
                                                                                                { (yyval.str) = "^"; }
#line 44636 "gram.c"
    break;

  case 2148: /* MathOp: '<'  */
#line 14290 "gram.y"
                                                                                                { (yyval.str) = "<"; }
#line 44642 "gram.c"
    break;

  case 2149: /* MathOp: '>'  */
#line 14291 "gram.y"
                                                                                                { (yyval.str) = ">"; }
#line 44648 "gram.c"
    break;

  case 2150: /* MathOp: '='  */
#line 14292 "gram.y"
                                                                                                { (yyval.str) = "="; }
#line 44654 "gram.c"
    break;

  case 2151: /* MathOp: LESS_EQUALS  */
#line 14293 "gram.y"
                                                                                        { (yyval.str) = "<="; }
#line 44660 "gram.c"
    break;

  case 2152: /* MathOp: GREATER_EQUALS  */
#line 14294 "gram.y"
                                                                                        { (yyval.str) = ">="; }
#line 44666 "gram.c"
    break;

  case 2153: /* MathOp: NOT_EQUALS  */
#line 14295 "gram.y"
                                                                                        { (yyval.str) = "<>"; }
#line 44672 "gram.c"
    break;

  case 2154: /* qual_Op: Op  */
#line 14299 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44678 "gram.c"
    break;

  case 2155: /* qual_Op: OPERATOR '(' any_operator ')'  */
#line 14301 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 44684 "gram.c"
    break;

  case 2156: /* qual_all_Op: all_Op  */
#line 14306 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44690 "gram.c"
    break;

  case 2157: /* qual_all_Op: OPERATOR '(' any_operator ')'  */
#line 14308 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 44696 "gram.c"
    break;

  case 2158: /* subquery_Op: all_Op  */
#line 14313 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44702 "gram.c"
    break;

  case 2159: /* subquery_Op: OPERATOR '(' any_operator ')'  */
#line 14315 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 44708 "gram.c"
    break;

  case 2160: /* subquery_Op: LIKE  */
#line 14317 "gram.y"
                                        { (yyval.list) = list_make1(makeString("~~")); }
#line 44714 "gram.c"
    break;

  case 2161: /* subquery_Op: NOT_LA LIKE  */
#line 14319 "gram.y"
                                        { (yyval.list) = list_make1(makeString("!~~")); }
#line 44720 "gram.c"
    break;

  case 2162: /* subquery_Op: ILIKE  */
#line 14321 "gram.y"
                                        { (yyval.list) = list_make1(makeString("~~*")); }
#line 44726 "gram.c"
    break;

  case 2163: /* subquery_Op: NOT_LA ILIKE  */
#line 14323 "gram.y"
                                        { (yyval.list) = list_make1(makeString("!~~*")); }
#line 44732 "gram.c"
    break;

  case 2164: /* expr_list: a_expr  */
#line 14335 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 44740 "gram.c"
    break;

  case 2165: /* expr_list: expr_list ',' a_expr  */
#line 14339 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 44748 "gram.c"
    break;

  case 2166: /* func_arg_list: func_arg_expr  */
#line 14346 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 44756 "gram.c"
    break;

  case 2167: /* func_arg_list: func_arg_list ',' func_arg_expr  */
#line 14350 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 44764 "gram.c"
    break;

  case 2168: /* func_arg_expr: a_expr  */
#line 14356 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44772 "gram.c"
    break;

  case 2169: /* func_arg_expr: param_name COLON_EQUALS a_expr  */
#line 14360 "gram.y"
                                {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 44785 "gram.c"
    break;

  case 2170: /* func_arg_expr: param_name EQUALS_GREATER a_expr  */
#line 14369 "gram.y"
                                {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 44798 "gram.c"
    break;

  case 2171: /* type_list: Typename  */
#line 14379 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 44804 "gram.c"
    break;

  case 2172: /* type_list: type_list ',' Typename  */
#line 14380 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 44810 "gram.c"
    break;

  case 2173: /* array_expr: '[' expr_list ']'  */
#line 14384 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 44818 "gram.c"
    break;

  case 2174: /* array_expr: '[' array_expr_list ']'  */
#line 14388 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 44826 "gram.c"
    break;

  case 2175: /* array_expr: '[' ']'  */
#line 14392 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 44834 "gram.c"
    break;

  case 2176: /* array_expr_list: array_expr  */
#line 14397 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44840 "gram.c"
    break;

  case 2177: /* array_expr_list: array_expr_list ',' array_expr  */
#line 14398 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44846 "gram.c"
    break;

  case 2178: /* extract_list: extract_arg FROM a_expr  */
#line 14404 "gram.y"
                                {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 44854 "gram.c"
    break;

  case 2179: /* extract_list: %empty  */
#line 14407 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44860 "gram.c"
    break;

  case 2180: /* extract_arg: IDENT  */
#line 14414 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 44866 "gram.c"
    break;

  case 2181: /* extract_arg: YEAR_P  */
#line 14415 "gram.y"
                                                                                                { (yyval.str) = "year"; }
#line 44872 "gram.c"
    break;

  case 2182: /* extract_arg: MONTH_P  */
#line 14416 "gram.y"
                                                                                                { (yyval.str) = "month"; }
#line 44878 "gram.c"
    break;

  case 2183: /* extract_arg: DAY_P  */
#line 14417 "gram.y"
                                                                                                { (yyval.str) = "day"; }
#line 44884 "gram.c"
    break;

  case 2184: /* extract_arg: HOUR_P  */
#line 14418 "gram.y"
                                                                                                { (yyval.str) = "hour"; }
#line 44890 "gram.c"
    break;

  case 2185: /* extract_arg: MINUTE_P  */
#line 14419 "gram.y"
                                                                                                { (yyval.str) = "minute"; }
#line 44896 "gram.c"
    break;

  case 2186: /* extract_arg: SECOND_P  */
#line 14420 "gram.y"
                                                                                                { (yyval.str) = "second"; }
#line 44902 "gram.c"
    break;

  case 2187: /* extract_arg: Sconst  */
#line 14421 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 44908 "gram.c"
    break;

  case 2188: /* overlay_list: a_expr overlay_placing substr_from substr_for  */
#line 14432 "gram.y"
                                {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44916 "gram.c"
    break;

  case 2189: /* overlay_list: a_expr overlay_placing substr_from  */
#line 14436 "gram.y"
                                {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44924 "gram.c"
    break;

  case 2190: /* overlay_placing: PLACING a_expr  */
#line 14443 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 44930 "gram.c"
    break;

  case 2191: /* position_list: b_expr IN_P b_expr  */
#line 14449 "gram.y"
                                                                                        { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 44936 "gram.c"
    break;

  case 2192: /* position_list: %empty  */
#line 14450 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44942 "gram.c"
    break;

  case 2193: /* substr_list: a_expr substr_from substr_for  */
#line 14467 "gram.y"
                                {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44950 "gram.c"
    break;

  case 2194: /* substr_list: a_expr substr_for substr_from  */
#line 14471 "gram.y"
                                {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 44959 "gram.c"
    break;

  case 2195: /* substr_list: a_expr substr_from  */
#line 14476 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44967 "gram.c"
    break;

  case 2196: /* substr_list: a_expr substr_for  */
#line 14480 "gram.y"
                                {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 44986 "gram.c"
    break;

  case 2197: /* substr_list: expr_list  */
#line 14495 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
				}
#line 44994 "gram.c"
    break;

  case 2198: /* substr_list: %empty  */
#line 14499 "gram.y"
                                { (yyval.list) = NIL; }
#line 45000 "gram.c"
    break;

  case 2199: /* substr_from: FROM a_expr  */
#line 14503 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45006 "gram.c"
    break;

  case 2200: /* substr_for: FOR a_expr  */
#line 14506 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45012 "gram.c"
    break;

  case 2201: /* trim_list: a_expr FROM expr_list  */
#line 14509 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 45018 "gram.c"
    break;

  case 2202: /* trim_list: FROM expr_list  */
#line 14510 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 45024 "gram.c"
    break;

  case 2203: /* trim_list: expr_list  */
#line 14511 "gram.y"
                                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 45030 "gram.c"
    break;

  case 2204: /* in_expr: select_with_parens  */
#line 14515 "gram.y"
                                {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 45041 "gram.c"
    break;

  case 2205: /* in_expr: '(' expr_list ')'  */
#line 14521 "gram.y"
                                                                                        { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 45047 "gram.c"
    break;

  case 2206: /* case_expr: CASE case_arg when_clause_list case_default END_P  */
#line 14532 "gram.y"
                                {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 45061 "gram.c"
    break;

  case 2207: /* when_clause_list: when_clause  */
#line 14545 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45067 "gram.c"
    break;

  case 2208: /* when_clause_list: when_clause_list when_clause  */
#line 14546 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45073 "gram.c"
    break;

  case 2209: /* when_clause: WHEN a_expr THEN a_expr  */
#line 14551 "gram.y"
                                {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 45085 "gram.c"
    break;

  case 2210: /* case_default: ELSE a_expr  */
#line 14561 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45091 "gram.c"
    break;

  case 2211: /* case_default: %empty  */
#line 14562 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 45097 "gram.c"
    break;

  case 2212: /* case_arg: a_expr  */
#line 14565 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 45103 "gram.c"
    break;

  case 2213: /* case_arg: %empty  */
#line 14566 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 45109 "gram.c"
    break;

  case 2214: /* columnref: ColId  */
#line 14570 "gram.y"
                                {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 45117 "gram.c"
    break;

  case 2215: /* columnref: ColId indirection  */
#line 14574 "gram.y"
                                {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 45125 "gram.c"
    break;

  case 2216: /* indirection_el: '.' attr_name  */
#line 14581 "gram.y"
                                {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 45133 "gram.c"
    break;

  case 2217: /* indirection_el: '.' '*'  */
#line 14585 "gram.y"
                                {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 45141 "gram.c"
    break;

  case 2218: /* indirection_el: '[' a_expr ']'  */
#line 14589 "gram.y"
                                {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 45153 "gram.c"
    break;

  case 2219: /* indirection_el: '[' opt_slice_bound ':' opt_slice_bound ']'  */
#line 14597 "gram.y"
                                {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 45165 "gram.c"
    break;

  case 2220: /* opt_slice_bound: a_expr  */
#line 14607 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45171 "gram.c"
    break;

  case 2221: /* opt_slice_bound: %empty  */
#line 14608 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 45177 "gram.c"
    break;

  case 2222: /* indirection: indirection_el  */
#line 14612 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45183 "gram.c"
    break;

  case 2223: /* indirection: indirection indirection_el  */
#line 14613 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45189 "gram.c"
    break;

  case 2224: /* opt_indirection: %empty  */
#line 14617 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 45195 "gram.c"
    break;

  case 2225: /* opt_indirection: opt_indirection indirection_el  */
#line 14618 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45201 "gram.c"
    break;

  case 2228: /* opt_target_list: target_list  */
#line 14632 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 45207 "gram.c"
    break;

  case 2229: /* opt_target_list: %empty  */
#line 14633 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 45213 "gram.c"
    break;

  case 2230: /* target_list: target_el  */
#line 14637 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45219 "gram.c"
    break;

  case 2231: /* target_list: target_list ',' target_el  */
#line 14638 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 45225 "gram.c"
    break;

  case 2232: /* target_el: a_expr AS ColLabel  */
#line 14642 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 45237 "gram.c"
    break;

  case 2233: /* target_el: a_expr IDENT  */
#line 14658 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45249 "gram.c"
    break;

  case 2234: /* target_el: a_expr  */
#line 14666 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 45261 "gram.c"
    break;

  case 2235: /* target_el: '*'  */
#line 14674 "gram.y"
                                {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 45277 "gram.c"
    break;

  case 2236: /* qualified_name_list: qualified_name  */
#line 14695 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 45283 "gram.c"
    break;

  case 2237: /* qualified_name_list: qualified_name_list ',' qualified_name  */
#line 14696 "gram.y"
                                                                 { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 45289 "gram.c"
    break;

  case 2238: /* qualified_name: ColId  */
#line 14708 "gram.y"
                                {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 45297 "gram.c"
    break;

  case 2239: /* qualified_name: ColId indirection  */
#line 14712 "gram.y"
                                {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 45326 "gram.c"
    break;

  case 2240: /* name_list: name  */
#line 14739 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45332 "gram.c"
    break;

  case 2241: /* name_list: name_list ',' name  */
#line 14741 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 45338 "gram.c"
    break;

  case 2242: /* name: ColId  */
#line 14745 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 45344 "gram.c"
    break;

  case 2243: /* database_name: ColId  */
#line 14748 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 45350 "gram.c"
    break;

  case 2244: /* access_method: ColId  */
#line 14751 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 45356 "gram.c"
    break;

  case 2245: /* attr_name: ColLabel  */
#line 14753 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 45362 "gram.c"
    break;

  case 2246: /* index_name: ColId  */
#line 14755 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 45368 "gram.c"
    break;

  case 2247: /* file_name: Sconst  */
#line 14757 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 45374 "gram.c"
    break;

  case 2248: /* func_name: type_function_name  */
#line 14768 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45380 "gram.c"
    break;

  case 2249: /* func_name: ColId indirection  */
#line 14770 "gram.y"
                                        {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 45389 "gram.c"
    break;

  case 2250: /* AexprConst: Iconst  */
#line 14781 "gram.y"
                                {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 45397 "gram.c"
    break;

  case 2251: /* AexprConst: FCONST  */
#line 14785 "gram.y"
                                {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45405 "gram.c"
    break;

  case 2252: /* AexprConst: Sconst  */
#line 14789 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45413 "gram.c"
    break;

  case 2253: /* AexprConst: BCONST  */
#line 14793 "gram.y"
                                {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45421 "gram.c"
    break;

  case 2254: /* AexprConst: XCONST  */
#line 14797 "gram.y"
                                {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45434 "gram.c"
    break;

  case 2255: /* AexprConst: func_name Sconst  */
#line 14806 "gram.y"
                                {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45445 "gram.c"
    break;

  case 2256: /* AexprConst: func_name '(' func_arg_list opt_sort_clause ')' Sconst  */
#line 14813 "gram.y"
                                {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45481 "gram.c"
    break;

  case 2257: /* AexprConst: ConstTypename Sconst  */
#line 14845 "gram.y"
                                {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 45489 "gram.c"
    break;

  case 2258: /* AexprConst: ConstInterval Sconst opt_interval  */
#line 14849 "gram.y"
                                {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 45499 "gram.c"
    break;

  case 2259: /* AexprConst: ConstInterval '(' Iconst ')' Sconst  */
#line 14855 "gram.y"
                                {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45510 "gram.c"
    break;

  case 2260: /* AexprConst: TRUE_P  */
#line 14862 "gram.y"
                                {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 45518 "gram.c"
    break;

  case 2261: /* AexprConst: FALSE_P  */
#line 14866 "gram.y"
                                {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 45526 "gram.c"
    break;

  case 2262: /* AexprConst: NULL_P  */
#line 14870 "gram.y"
                                {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45534 "gram.c"
    break;

  case 2263: /* Iconst: ICONST  */
#line 14875 "gram.y"
                                                                                        { (yyval.ival) = (yyvsp[0].ival); }
#line 45540 "gram.c"
    break;

  case 2264: /* Sconst: SCONST  */
#line 14876 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 45546 "gram.c"
    break;

  case 2265: /* SignedIconst: Iconst  */
#line 14878 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[0].ival); }
#line 45552 "gram.c"
    break;

  case 2266: /* SignedIconst: '+' Iconst  */
#line 14879 "gram.y"
                                                                                        { (yyval.ival) = + (yyvsp[0].ival); }
#line 45558 "gram.c"
    break;

  case 2267: /* SignedIconst: '-' Iconst  */
#line 14880 "gram.y"
                                                                                        { (yyval.ival) = - (yyvsp[0].ival); }
#line 45564 "gram.c"
    break;

  case 2268: /* RoleId: RoleSpec  */
#line 14885 "gram.y"
                                {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 45599 "gram.c"
    break;

  case 2269: /* RoleSpec: NonReservedWord  */
#line 14918 "gram.y"
                                        {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 45630 "gram.c"
    break;

  case 2270: /* RoleSpec: CURRENT_USER  */
#line 14945 "gram.y"
                                        {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 45638 "gram.c"
    break;

  case 2271: /* RoleSpec: SESSION_USER  */
#line 14949 "gram.y"
                                        {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 45646 "gram.c"
    break;

  case 2272: /* role_list: RoleSpec  */
#line 14955 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 45652 "gram.c"
    break;

  case 2273: /* role_list: role_list ',' RoleSpec  */
#line 14957 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 45658 "gram.c"
    break;

  case 2274: /* ColId: IDENT  */
#line 14973 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 45664 "gram.c"
    break;

  case 2275: /* ColId: unreserved_keyword  */
#line 14974 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45670 "gram.c"
    break;

  case 2276: /* ColId: col_name_keyword  */
#line 14975 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45676 "gram.c"
    break;

  case 2277: /* type_function_name: IDENT  */
#line 14980 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 45682 "gram.c"
    break;

  case 2278: /* type_function_name: unreserved_keyword  */
#line 14981 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45688 "gram.c"
    break;

  case 2279: /* type_function_name: type_func_name_keyword  */
#line 14982 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45694 "gram.c"
    break;

  case 2280: /* NonReservedWord: IDENT  */
#line 14987 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 45700 "gram.c"
    break;

  case 2281: /* NonReservedWord: unreserved_keyword  */
#line 14988 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45706 "gram.c"
    break;

  case 2282: /* NonReservedWord: col_name_keyword  */
#line 14989 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45712 "gram.c"
    break;

  case 2283: /* NonReservedWord: type_func_name_keyword  */
#line 14990 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45718 "gram.c"
    break;

  case 2284: /* ColLabel: IDENT  */
#line 14996 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 45724 "gram.c"
    break;

  case 2285: /* ColLabel: unreserved_keyword  */
#line 14997 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45730 "gram.c"
    break;

  case 2286: /* ColLabel: col_name_keyword  */
#line 14998 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45736 "gram.c"
    break;

  case 2287: /* ColLabel: type_func_name_keyword  */
#line 14999 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45742 "gram.c"
    break;

  case 2288: /* ColLabel: reserved_keyword  */
#line 15000 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45748 "gram.c"
    break;


#line 45752 "gram.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 15497 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Value	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
